---
title:  Hue community 2023
author: Hue Team
type: post
date: 2023-03-02T00:00:00+00:00
url: /blog/hue-community-2023/
sf_thumbnail_type:
  - none
sf_thumbnail_link_type:
  - link_to_post
sf_detail_type:
  - none
sf_page_title:
  - 1
sf_page_title_style:
  - standard
sf_no_breadcrumbs:
  - 1
sf_page_title_bg:
  - none
sf_page_title_text_style:
  - light
sf_background_image_size:
  - cover
sf_social_sharing:
  - 1
sf_related_articles:
  - 1
sf_sidebar_config:
  - left-sidebar
sf_left_sidebar:
  - Sidebar-2
sf_right_sidebar:
  - Sidebar-1
sf_caption_position:
  - caption-right
sf_remove_promo_bar:
  - 1
ampforwp-amp-on-off:
  - default
categories:
  - community
  - development

---

Hello everyone!

Last year was a bit slow for the open-source community around Hue, but we plan to change that in 2023. There will be more frequent releases, an improved issue-handling process, and a larger initiative to engage more people outside Cloudera. We want the Hue community to be vibrant, active, and inclusive. We will try to lower the threshold for those who wish to engage by simplifying, encouraging, and rewarding contributions in all forms.

We start these improvements by establishing a process for handling incoming issues for our [Github repository](https://github.com/cloudera/hue/issues). Although Hue is open source and used in the Hadoop services of all the major cloud providers, it is still mainly developed and maintained by the Hue core team at Cloudera. Upstream code changes and releases for the open source community coexist with more frequent downstream releases like [Cloudera Data Platform (CDP)](https://www.cloudera.com/products/cloudera-data-platform.html), and we always try to balance these two sides of Hue. For handling incoming issues like bug reports, requests for enhancements, or questions, our goal is to increase the amount that gets resolved with the help of external committers and experts. But we also don't want issues to go stale in a lack of community engagement. Therefore, we have put in place a process to make sure that:

  * Incoming issues of the type "questions" get transformed into GitHub discussions.
  * Configuration issues are resolved through the issue comments with contributions by the community members as much as possible. However, a core team developer will be responsible for finding a solution.
  * For configuration issues that can be resolved through the issue comments we hope for contribution by community members, but there will always be a core team developer responsible for trying to find a solution.
  * A core team member owns the issue and tracks it internally for bugs that require code changes. We will keep the open-source GitHub issue unassigned until work starts or until someone from the community decides to pick it up.
  * Enhancement and feature requests are brought to the attention of the core team and product owners at Cloudera. We will inform the reporter if the enhancement or feature request has been included in the internal release planning. However, we encourage our open-source community to contribute to developing new features.


</br>
</br>

Any feedback or question? Feel free to comment here or on the <a href="https://discourse.gethue.com/">Forum</a> or on the <a href="https://github.com/cloudera/hue/discussions/">Github discussions</a> 


Stay tuned for more updates

[Björn](https://github.com/bjornalm) from the Hue Team