---
title: Hue 4.9、およびその新しい SQL 方言とコンポーネントが公開されました！
author: Hue Team
type: post
date: 2021-02-02T00:00:00+00:00
url: /blog/hue-4-9-sql-dialects-phoenix-dasksql-flink-components/
sf_thumbnail_type:
  - none
sf_thumbnail_link_type:
  - link_to_post
sf_detail_type:
  - none
sf_page_title:
  - 1
sf_page_title_style:
  - standard
sf_no_breadcrumbs:
  - 1
sf_page_title_bg:
  - none
sf_page_title_text_style:
  - light
sf_background_image_size:
  - cover
sf_social_sharing:
  - 1
sf_related_articles:
  - 1
sf_sidebar_config:
  - left-sidebar
sf_left_sidebar:
  - Sidebar-2
sf_right_sidebar:
  - Sidebar-1
sf_caption_position:
  - caption-right
sf_remove_promo_bar:
  - 1
ampforwp-amp-on-off:
  - default
categories:
  - Version 4.9
  - Release

---
データエクスプローラーのみなさん、こんにちは。

Hue チームは全ての貢献者に感謝し、Hue 4.9 をリリースいたします！

<a href="https://cdn.gethue.com/uploads/2021/02/hue-4.9.png">
  <img src="https://cdn.gethue.com/uploads/2021/02/hue-4.9.png" />
</a>

&nbsp;

このリリースでは、[Hue 4.8](https://gethue.com/blog/hue-4-8-phoenix-flink-sparksql-components/) に加え、これら全ての改善が加えられてました。

4.9 では前リリースに加えていくつかの改善が加えられています。すでにいくつかのブログ記事で詳しく説明していますが、ここでは一般的な概要を説明します。

まず、多くの SQL の方言のサポートが改善されました。特に Apache Phoenix, Dask SQL, Apache Flink SQL のサポートが改善されています。Docker compose 環境を使ったエンドツーエンドの完全なチュートリアルが開発されており、2回クリックするだけですぐに始めることができるようになっています。

* [ログストリームを SQL クエリし、計算結果を別のストリームに出力する](https://gethue.com/blog/sql-querying-live-kafka-logs-and-sending-live-updates-with-flink-sql/)
* [HBaseのようなビッグテーブルにあるライブのKafkaデータをSQLで簡単にクエリする](https://gethue.com/blog/querying-live-kafka-data-in-apache-hbase-with-phoenix/)
* [Hue と Spark SQL Server を介したSpark SQL Editor](https://gethue.com/blog/querying-spark-sql-with-spark-thrift-server-and-hue-editor/)

!["Flink SQL - SELECT and INSERT data into Kafka Topics"](https://cdn.gethue.com/uploads/2021/02/peek-log-streams.gif)

エディタもコンポーネントに分割され、よりすっきりして再利用が簡単になっています(例: SQL パーサー、SQL スクラッチパッド...)。これにより、現在ベータ版となっている新しいバージョンのエディタが登場します。別の改善点はコネクタの導入で、SQL の方言がサーバーの再起動なく簡単に追加できるようになりました（これもベータ版です）。

２番目に、全く新しい Dask SQL 自動補完 (ISSUE-1480) とKubernetes 用の Prometheus Alerting (PR-1648) に貢献してくれたコミュニティに特別な感謝の意を表します。

Dask SQL は既存の Python ライブラリを直接 SQL 経由で呼び出すことにより、既存の Python ライブラリを活用することができます。テーブルを作成するような独自の ML モデルを作成することさえも可能です。詳細はドキュメントをご覧ください。

Flink SQL は TUMBLE() のような重要な関数のため、より洗練された構文の自動補完によってより親しみやすくなっています。

!["Flink SQL - Autocomplete improvements"](https://cdn.gethue.com/uploads/2021/02/flink_udf_tumble.png)

自動補完も賢くなってきており、外部キーをもつテーブルのJOINを提案するようになりました。

!["Foreign Keys JOINs autocomplete](https://cdn.gethue.com/uploads/2021/02/fk_joins.png)

Python 3 として最新化している技術スタックは最新の Docker イメージでのデフォルトになり、Django 1 から Django 2 への移植が完了しています。 (次は Django 3です)。


600以上のコミットと200以上のバグフィックスが行われています！全ての変更点の詳細は[リリースノート](https://docs.gethue.com/releases/release-notes-4.9.0/) をチェックしてください。

ぜひ手にとって試してみてください！

* Docker
    ```
    docker run -it -p 8888:8888 gethue/4.9.0
    ```
* Kubernetes :
    ```
    helm repo add gethue https://helm.gethue.com
    helm repo update
    helm install hue gethue/hue
    ```
* [demo.gethue.com](demo.gethue.com)
* [Tarball](https://cdn.gethue.com/downloads/hue-4.9.0.tgz) または [source](https://github.com/cloudera/hue/archive/release-4.9.0.zip)

</br>
</br>

フィードバックやご質問はありますか？こちら、あるいは<a href="https://discourse.gethue.com/">フォーラム</a> に気軽にコメントして <a href="https://docs.gethue.com/quickstart/">quick start</a> SQL クエリのクイックスタートをしましょう！


前に進みましょう!

Romain from the Hue Team
