---
title: Hue4.10（新しいSQLエディタコンポーネント、REST API、小さなファイルのインポート、Slackアプリなど）がリリースされました！
author: Hue Team
type: post
date: 2021-06-10T00:00:00+00:00
url: /blog/hue-4-10-sql-scratchpad-component-rest-api-small-file-importer-slack-app/
sf_thumbnail_type:
  - none
sf_thumbnail_link_type:
  - link_to_post
sf_detail_type:
  - none
sf_page_title:
  - 1
sf_page_title_style:
  - standard
sf_no_breadcrumbs:
  - 1
sf_page_title_bg:
  - none
sf_page_title_text_style:
  - light
sf_background_image_size:
  - cover
sf_social_sharing:
  - 1
sf_related_articles:
  - 1
sf_sidebar_config:
  - left-sidebar
sf_left_sidebar:
  - Sidebar-2
sf_right_sidebar:
  - Sidebar-1
sf_caption_position:
  - caption-right
sf_remove_promo_bar:
  - 1
ampforwp-amp-on-off:
  - default
categories:
  - Version 4.10
  - Release
---

データエクスプローラーの皆さん、こんにちは

Hueチームはすべての貢献者に感謝し、Hue4.10をリリースすることを嬉しく思います！

<a href="https://cdn.gethue.com/uploads/2021/02/hue-4.9.png">
  <img src="https://cdn.gethue.com/uploads/2021/02/hue-4.9.png" />
</a>

&nbsp;

前回の[４. 9](/blog/hue-4-9-sql-dialects-phoenix-dasksql-flink-components/) に比べ、4.10では主に以下のような[主な改善](/categories/version-4.10/) があります。


## SQLエディタ・コンポーネントとAPI
[SQL スクラッチパッド](https://docs.gethue.com/developer/components/scratchpad/) コンポーネントを利用し、HTMLの3行だけで独自の SQL エディターを構築できるようになりました。 また、クエリを実行するための、パブリック [REST API](https://docs.gethue.com/developer/api/rest/) の最初のバージョンが公開されました。

[SQL スクラッチパッドと REST API](/blog/2021-05-29-create-own-sql-editor-via-webcomponent-and-public-api/)の詳細をご覧ください。

ここでは、コンポーネントの追加がどう簡単なのかを示すライブデモをご覧いただけます。

{{< rawhtml >}}
<p>
  <div style="position: absolute; height: 10%; width: 100%">
    <sql-scratchpad api-url="https://demo.gethue.com" username="demo" password="demo" dialect="mysql" />
  </div>

  <script type="text/javascript" src="https://unpkg.com/gethue/lib/components/SqlScratchpadWebComponent.js"></script>

  <br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br>
</p>
{{< /rawhtml >}}

![3行でコンポーネントを追加し、demo.gethue.com のパブリックAPI とのやり取りを見る](https://cdn-images-1.medium.com/max/2356/1*yXRjYQN_eRUimzlXPl5SwQ.gif)*3行でコンポーネントを追加し、demo.gethue.com のパブリックAPI とのやり取りを見る*

## テーブル作成ウィザード

小さなファイルを介して3回クリックするだけで、Hive、Impala、MySql、Phoenix SQLのテーブルを作成できます。 HDFSやS3のようなストレージファイルシステムを設定する必要はなく、ブラウザ経由でアップロードして、ウィザードに従うだけです。

[小さいファイルからテーブルを作成](/blog/2021-05-26-improved-hue-importer-select-a-file-choose-a-dialect-create-a-table/)する方法についての詳細を読む。

![Importer direct upload steps](https://cdn.gethue.com/uploads/2021/05/Importer_direct_upload_steps.gif)

## Slack App
SQLクエリの豊富なプレビュー、自動リンク、クエリバンク、Slackへの結果のエクスポート機能により、Slackでのコラボレーションがより充実したものになります。

数回クリックするだけで[アプリをインストール ](/blog/2021-05-18-installing-hue-slack-app-in-three-simple-steps/)して[アシスタンスの機能](https://docs.gethue.com/user/concept/#slack)について詳しく知ることができます。

![Slack のインストールフロー](https://cdn.gethue.com/uploads/2021/05/slack-install.gif)

## 技術スタック & ツール

- [ユーザーに資格情報キーを与えずにS3ファイルへの適切なアクセスを提供する](/blog/2021-04-23-s3-file-access-without-any-credentials-and-signed-urls/)
- [コンテナーアプリをパッケージとして配布する](/blog/2021-04-19-publish-kubernetes-container-application-via-package-with-helm/)
- [ダウンタイムなしに Web/API サービスのアップグレードを行う](/blog/2021-03-06-web-api-service-upgrade-no-downtime-kubernetes-rollout/)
- [SQLによるHBaseへの対話的なクエリ - 技術講演（Tech Talk)](/blog/2021-04-05-interactively-querying-hbase-via-sql-tech-talk/)
- [Webserver スタックのアップグレード時のプロセスと学び - Django のアップグレード (1.11 から 3.1)](/blog/2021-03-09-process-and-learnings-when-upgrading-the-webserver-stack-django-upgrade-1-to-3/)
- [Vue 3 の紹介と Hue クエリエディタでの Web コンポーネント](/blog/vue3-build-cli-options-composition-api-template-web-components-hue/)
- Docker Image のサイズを [60%縮小](https://github.com/cloudera/hue/pull/2129)
- [Phoenix SQL](/sql-querying-apache-hbase-with-apache-phoenix/) のカラムキーが左アシストに表示されるようになった


700以上のコミットと100以上のバグ修正が含まれています！ すべての変更の詳細については[リリース ノート](https://docs.gethue.com/releases/release-notes-4.10.0/) をご覧ください。

使ってみてください！

* Docker
    ```
    docker run -it -p 8888:8888 gethue/4.10.0
    ```
* Kubernetes :
    ```
    helm repo add gethue https://helm.gethue.com
    helm repo update
    helm install hue gethue/hue
    ```
* [demo.gethue.com](demo.gethue.com)
* [Tarball](https://cdn.gethue.com/downloads/hue-4.10.0.tgz) または [source](https://github.com/cloudera/hue/archive/release-4.10.0.zip)

</br> </br>

ご意見やご質問はありますか? ここや<a href="https://discourse.gethue.com/">フォーラム</a> で気軽にコメントいただき、<a href="https://docs.gethue.com/quickstart/">SQLクエリ</a> のクイックスタートをしてください！


どうぞよろしくお願いします！

Romain from the Hue Team
