var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __read = (this && this.__read) || function (o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m) return o;
    var i = m.call(o), r, ar = [], e;
    try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
    }
    catch (error) { e = { error: error }; }
    finally {
        try {
            if (r && !r.done && (m = i["return"])) m.call(i);
        }
        finally { if (e) throw e.error; }
    }
    return ar;
};
var __spreadArray = (this && this.__spreadArray) || function (to, from, pack) {
    if (pack || arguments.length === 2) for (var i = 0, l = from.length, ar; i < l; i++) {
        if (ar || !(i in from)) {
            if (!ar) ar = Array.prototype.slice.call(from, 0, i);
            ar[i] = from[i];
        }
    }
    return to.concat(ar || Array.prototype.slice.call(from));
};
// Copyright (c) 2021 Cloudera, Inc. All rights reserved.
import React, { useState } from 'react';
import { Form } from 'antd';
import { useDispatch, useSelector } from 'react-redux';
import { actions as routerActions } from "cuix/dist/reducers/routerReducer";
import styled from 'styled-components';
import { linkColor, textColor } from "cuix/dist/styles/variables";
import classNames from 'classnames';
import Loading from "cuix/dist/components/Loading";
import { getValueFromEvent } from "cuix/dist/utils/formUtils";
import LinkButton from "cuix/dist/components/LegacyLinkButton";
import i18n from "cuix/dist/utils/i18n";
var StyledForm = styled(Form)(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  &.cuix-filter-bar {\n    position: relative;\n    padding: 4px 80px 0 0;\n\n    .ant-form-item {\n      margin-bottom: 4px;\n    }\n\n    .ant-form-item-label {\n      font-weight: 500;\n    }\n\n    .ant-select-selection {\n      background: transparent;\n      border: none;\n    }\n\n    .ant-select-selection__rendered {\n      margin-left: 0;\n    }\n\n    .ant-form-item-control-wrapper {\n      min-width: 60px;\n      max-width: 240px;\n    }\n\n    .ant-select-selection-selected-value {\n      color: ", ";\n    }\n\n    .ant-select-selection__placeholder,\n    .ant-select-search__field__placeholder {\n      color: ", ";\n    }\n\n    .ant-calendar-picker-input {\n      background: transparent;\n      border: none;\n      padding: 4px 0px;\n      cursor: pointer;\n\n      input {\n        cursor: pointer;\n        color: ", ";\n      }\n    }\n\n    // Customize the range selector when the date range is empty by hiding the end date and the ~ icon.\n    .empty-data-range-selector {\n      .ant-calendar-picker-input {\n        *:nth-child(2),\n        *:nth-child(3) {\n          display: none;\n        }\n\n        input {\n          width: 60px;\n          text-align: left;\n        }\n\n        input::placeholder {\n          color: ", ";\n        }\n      }\n    }\n  }\n"], ["\n  &.cuix-filter-bar {\n    position: relative;\n    padding: 4px 80px 0 0;\n\n    .ant-form-item {\n      margin-bottom: 4px;\n    }\n\n    .ant-form-item-label {\n      font-weight: 500;\n    }\n\n    .ant-select-selection {\n      background: transparent;\n      border: none;\n    }\n\n    .ant-select-selection__rendered {\n      margin-left: 0;\n    }\n\n    .ant-form-item-control-wrapper {\n      min-width: 60px;\n      max-width: 240px;\n    }\n\n    .ant-select-selection-selected-value {\n      color: ", ";\n    }\n\n    .ant-select-selection__placeholder,\n    .ant-select-search__field__placeholder {\n      color: ", ";\n    }\n\n    .ant-calendar-picker-input {\n      background: transparent;\n      border: none;\n      padding: 4px 0px;\n      cursor: pointer;\n\n      input {\n        cursor: pointer;\n        color: ", ";\n      }\n    }\n\n    // Customize the range selector when the date range is empty by hiding the end date and the ~ icon.\n    .empty-data-range-selector {\n      .ant-calendar-picker-input {\n        *:nth-child(2),\n        *:nth-child(3) {\n          display: none;\n        }\n\n        input {\n          width: 60px;\n          text-align: left;\n        }\n\n        input::placeholder {\n          color: ", ";\n        }\n      }\n    }\n  }\n"])), linkColor, textColor, linkColor, textColor);
var FilterBar = function (_a) {
    var className = _a.className, fetching = _a.fetching, renderForm = _a.renderForm, hideClearAll = _a.hideClearAll;
    var searchParams = useSelector(function (state) { return state.routing.searchParams; });
    var dispatch = useDispatch();
    var _b = __read(useState([]), 2), filters = _b[0], setFilters = _b[1];
    if (fetching) {
        return React.createElement(Loading, { size: "default", inline: true });
    }
    var registerFilter = function (filterName) {
        if (!filters.includes(filterName)) {
            setFilters(__spreadArray(__spreadArray([], __read(filters), false), [filterName], false));
        }
    };
    var filter = function (newSearchParams) {
        var updated = __assign(__assign({}, searchParams), newSearchParams);
        dispatch(routerActions.updateSearchParams(updated));
    };
    var onChange = function (filterName, event) {
        var _a;
        var value = getValueFromEvent(event);
        filter((_a = {}, _a[filterName] = value, _a));
    };
    var getOnChangeHandler = function (filterName) {
        registerFilter(filterName);
        return function (event) { return onChange(filterName, event); };
    };
    var showClearAll = !hideClearAll && filters.some(function (filterName) { return searchParams[filterName] !== undefined; });
    var clearAll = function () {
        var emptySearchParams = filters.reduce(function (params, name) {
            var _a;
            return (__assign(__assign({}, params), (_a = {}, _a[name] = undefined, _a)));
        }, {});
        filter(emptySearchParams);
    };
    return (React.createElement(StyledForm, { layout: "inline", className: classNames('cuix-filter-bar', className) },
        renderForm(searchParams, getOnChangeHandler),
        showClearAll && (React.createElement(Form.Item, null,
            React.createElement(LinkButton, { "data-test": "ClearAll", "data-event": "Clear Filters", onClick: clearAll }, i18n.t('label.clearAllFilters'))))));
};
export default FilterBar;
var templateObject_1;
