var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
/** @jsx h */
// Copyright (c) 2019 Cloudera, Inc. All rights reserved.
import { h } from 'preact';
/**
 * Renders a link element with an onClick callback (without href) in an accessible way.
 */
var ActionLink = function (_a) {
    var onClick = _a.onClick, children = _a.children, otherProps = __rest(_a, ["onClick", "children"]);
    var eventHandler = function (e) {
        var keyCode = e.keyCode;
        // Call onClick on click, enter, or space
        if (!keyCode || keyCode === 32) {
            e.preventDefault();
            onClick(e);
        }
    };
    return (h("a", __assign({ href: "#", role: "button", onClick: eventHandler, onKeyPress: eventHandler, tabIndex: 0 }, otherProps), children));
};
export default ActionLink;
