import { SimpleMap } from "cuix/dist/types/types";
import { jsonValue } from './tour/Tour/interfaces';
/**
 * ApiChecks used for Get Started feature to track onboarding proccess and provide answers next quiestions
 *  - is current user is a powerUser
 *  - has user created Credential
 *  - has user registered Environment
 *  - has user Created Group with IamUserRole and assigned himself to it
 *  - has user created Cluster
 */
export declare const needGetStarted: () => Promise<boolean>;
export declare const getGetStartedChecks: () => Promise<[Check, Check, Check, Check, Check]>;
export interface Check {
    error?: any;
    result?: boolean;
    name: string;
}
export declare type ApiCheck = (params?: SimpleMap<jsonValue>) => Promise<Check>;
export declare const isPowerUser: ApiCheck;
export declare const hasCredential: ApiCheck;
export declare const hasEnvironment: ApiCheck;
export declare const hasGroup: ApiCheck;
export declare const hasDatahubCluster: ApiCheck;
