// Copyright (c) 2020 Cloudera, Inc. All rights reserved.
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (_) try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [op[0] & 2, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
var __read = (this && this.__read) || function (o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m) return o;
    var i = m.call(o), r, ar = [], e;
    try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
    }
    catch (error) { e = { error: error }; }
    finally {
        try {
            if (r && !r.done && (m = i["return"])) m.call(i);
        }
        finally { if (e) throw e.error; }
    }
    return ar;
};
import environments2Service from "cdp-js/dist/api/environments2";
import iamService from "cdp-js/dist/api/iam";
import dataHubService from "cdp-js/dist/api/datahub";
/**
 * ApiChecks used for Get Started feature to track onboarding proccess and provide answers next quiestions
 *  - is current user is a powerUser
 *  - has user created Credential
 *  - has user registered Environment
 *  - has user Created Group with IamUserRole and assigned himself to it
 *  - has user created Cluster
 */
export var needGetStarted = function () { return __awaiter(void 0, void 0, void 0, function () {
    var checks, _a, isPowerUser, hasCredential, hasEnvironment, hasError;
    return __generator(this, function (_b) {
        switch (_b.label) {
            case 0: return [4 /*yield*/, getGetStartedChecks()];
            case 1:
                checks = _b.sent();
                _a = __read(checks, 3), isPowerUser = _a[0], hasCredential = _a[1], hasEnvironment = _a[2];
                hasError = checks.some(function (check) { return check.error; });
                return [2 /*return*/, !hasError && !!isPowerUser.result && (!hasCredential.result || !hasEnvironment.result)];
        }
    });
}); };
export var getGetStartedChecks = function () { return __awaiter(void 0, void 0, void 0, function () {
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0: return [4 /*yield*/, Promise.all([
                    isPowerUser(),
                    hasCredential(),
                    hasEnvironment(),
                    hasGroup(),
                    hasDatahubCluster()
                ])];
            case 1: return [2 /*return*/, _a.sent()];
        }
    });
}); };
export var isPowerUser = function () { return __awaiter(void 0, void 0, void 0, function () {
    var name, error_1;
    var _a;
    return __generator(this, function (_b) {
        switch (_b.label) {
            case 0:
                name = 'isPowerUser';
                _b.label = 1;
            case 1:
                _b.trys.push([1, 3, , 4]);
                _a = {
                    name: name
                };
                return [4 /*yield*/, iamService.listRoles({})];
            case 2: return [2 /*return*/, (_a.result = (_b.sent()).obj.roles.some(function (role) {
                    return role.crn.includes('PowerUser');
                }),
                    _a)];
            case 3:
                error_1 = _b.sent();
                console.error("Can't listRoles to check if user is PowerUser", error_1);
                return [2 /*return*/, { name: name, error: error_1 }];
            case 4: return [2 /*return*/];
        }
    });
}); };
export var hasCredential = function () { return __awaiter(void 0, void 0, void 0, function () {
    var name, error_2;
    var _a;
    return __generator(this, function (_b) {
        switch (_b.label) {
            case 0:
                name = 'hasCredential';
                _b.label = 1;
            case 1:
                _b.trys.push([1, 3, , 4]);
                _a = {
                    name: name
                };
                return [4 /*yield*/, environments2Service.listCredentials({})];
            case 2: return [2 /*return*/, (_a.result = (_b.sent()).obj.credentials.length > 0,
                    _a)];
            case 3:
                error_2 = _b.sent();
                console.error("Can't listCredentials", error_2);
                return [2 /*return*/, { name: name, error: error_2 }];
            case 4: return [2 /*return*/];
        }
    });
}); };
export var hasEnvironment = function () { return __awaiter(void 0, void 0, void 0, function () {
    var name, error_3;
    var _a;
    return __generator(this, function (_b) {
        switch (_b.label) {
            case 0:
                name = 'hasEnvironment';
                _b.label = 1;
            case 1:
                _b.trys.push([1, 3, , 4]);
                _a = {
                    name: name
                };
                return [4 /*yield*/, environments2Service.listEnvironments({})];
            case 2: return [2 /*return*/, (_a.result = (_b.sent()).obj.environments.length > 0,
                    _a)];
            case 3:
                error_3 = _b.sent();
                console.error("Can't listEnvironments", error_3);
                return [2 /*return*/, { name: name, error: error_3 }];
            case 4: return [2 /*return*/];
        }
    });
}); };
// Checks if user has created a Group with IamUserRole and added himself into it.
export var hasGroup = function () { return __awaiter(void 0, void 0, void 0, function () {
    var name, user, groups, result, error_4;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                name = 'hasGroup';
                _a.label = 1;
            case 1:
                _a.trys.push([1, 4, , 5]);
                return [4 /*yield*/, iamService.getUser({})];
            case 2:
                user = (_a.sent()).obj.user;
                return [4 /*yield*/, iamService.getAssigneeAuthorizationInformation({ assigneeCrn: user.crn })];
            case 3:
                groups = (_a.sent()).obj.groupMembershipInfo;
                result = groups.some(function (group) {
                    return group.roleAssignments.some(function (role) { return role.includes(':role:IamUser'); });
                });
                return [2 /*return*/, { name: name, result: result }];
            case 4:
                error_4 = _a.sent();
                console.error("Can't check if user has created group with IamUser role", error_4);
                return [2 /*return*/, { name: name, error: error_4 }];
            case 5: return [2 /*return*/];
        }
    });
}); };
export var hasDatahubCluster = function () { return __awaiter(void 0, void 0, void 0, function () {
    var name, clusters, error_5;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                name = 'hasDatahubCluster';
                _a.label = 1;
            case 1:
                _a.trys.push([1, 3, , 4]);
                return [4 /*yield*/, dataHubService.listClusters({})];
            case 2:
                clusters = (_a.sent()).obj.clusters;
                return [2 /*return*/, { name: name, result: clusters.some(function (cluster) { return cluster.status === 'AVAILABLE'; }) }];
            case 3:
                error_5 = _a.sent();
                return [2 /*return*/, { name: name, error: error_5 }];
            case 4: return [2 /*return*/];
        }
    });
}); };
