// Copyright (c) 2019 Cloudera, Inc. All rights reserved.
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (_) try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [op[0] & 2, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
import CDPDrawer from './CDPDrawer';
import appSwitcherIcon from './images/app-picker.svg';
import titleIcon from './images/app-switcher-title.svg';
import closeIcon from '@cloudera/cuix-core/icons/svg/ic-close.svg';
import { calcBaseUrl, fetchSidebarData } from './utils';
import publicFallbackApps from './cdp-public-conf/apps.v2.json';
import privateFallbackApps from './cdp-private-conf/apps.v2.json';
import appConfig, { EnvironmentType } from "cdp-js/dist/lib/appConfig";
import { listEntitlementsOnce } from "cdp-js/dist/lib/apiWrappers";
export var DOWNLOAD_APPS_PATH = '/commonconsole/downloads/apps.v2.json';
var styles = {
    trigger: 'cdp-app-switcher-trigger',
    switcher: 'cdp-app-switcher',
    header: 'cdp-app-switcher-header',
    appList: 'app-list'
};
var CDPAppSwitcher = /** @class */ (function () {
    function CDPAppSwitcher() {
        this.drawer = new CDPDrawer();
        this.trigger = document.createElement('a');
        this.entitlements = [];
    }
    CDPAppSwitcher.prototype.render = function (config) {
        return __awaiter(this, void 0, void 0, function () {
            var drawerEl, header, title, closeButton, ul, apps, _a, _b, _c, e_1;
            var _this = this;
            return __generator(this, function (_d) {
                switch (_d.label) {
                    case 0:
                        this.destroy();
                        this.config = config;
                        if (this.config.environmentBaseUrl) {
                            appConfig.configure({ environmentBaseUrl: this.config.environmentBaseUrl });
                        }
                        this.config.parent.appendChild(this.trigger);
                        this.trigger.className = styles.trigger;
                        this.trigger.innerHTML = "<img class=\"show\" src=\"".concat(appSwitcherIcon, "\"/>");
                        drawerEl = this.drawer.render({ trigger: this.trigger, className: 'cdp-app-switcher' });
                        header = drawerEl.appendChild(document.createElement('h3'));
                        header.className = styles.header;
                        title = header.appendChild(document.createElement('img'));
                        title.title = 'Cloudera Data Platform';
                        title.src = titleIcon;
                        closeButton = header.appendChild(document.createElement('a'));
                        closeButton.href = '#';
                        closeButton.setAttribute('role', 'button');
                        closeButton.innerHTML = "<img src=\"".concat(closeIcon, "\"/>");
                        closeButton.addEventListener('click', this.drawer.toggle);
                        ul = drawerEl.appendChild(document.createElement('ul'));
                        ul.className = styles.appList;
                        drawerEl.appendChild(ul);
                        _a = this.config.apps;
                        if (_a) return [3 /*break*/, 2];
                        return [4 /*yield*/, this.getApps()];
                    case 1:
                        _a = (_d.sent());
                        _d.label = 2;
                    case 2:
                        apps = _a;
                        if (!apps.some(function (app) { return app.entitlement !== undefined; })) return [3 /*break*/, 7];
                        _d.label = 3;
                    case 3:
                        _d.trys.push([3, 6, , 7]);
                        _b = this;
                        _c = config.entitlements;
                        if (_c) return [3 /*break*/, 5];
                        return [4 /*yield*/, listEntitlementsOnce()];
                    case 4:
                        _c = (_d.sent());
                        _d.label = 5;
                    case 5:
                        _b.entitlements = _c;
                        return [3 /*break*/, 7];
                    case 6:
                        e_1 = _d.sent();
                        console.log(e_1);
                        return [3 /*break*/, 7];
                    case 7:
                        apps.forEach(function (app) {
                            if (app.entitlement && !_this.entitlements.some(function (e) { return e.entitlementName === app.entitlement; })) {
                                return;
                            }
                            if (app.disablingEntitlement &&
                                _this.entitlements.some(function (e) { return e.entitlementName === app.disablingEntitlement; })) {
                                return;
                            }
                            _this.renderApp(app, ul);
                        });
                        return [2 /*return*/];
                }
            });
        });
    };
    CDPAppSwitcher.getFallbackApps = function () {
        return appConfig.getEnvironment() === EnvironmentType.PRIVATE_CLOUD
            ? privateFallbackApps
            : publicFallbackApps;
    };
    CDPAppSwitcher.prototype.renderApp = function (app, parent) {
        var _this = this;
        var el = parent.appendChild(document.createElement('li'));
        var url = calcBaseUrl(app.baseUrl) + app.path;
        var a = el.appendChild(document.createElement('a'));
        a.href = url;
        a.addEventListener('click', function () {
            _this.drawer.toggle();
            return true;
        });
        a.innerHTML = "".concat(app.logo, "<span>").concat(app.displayName, "</span>");
    };
    CDPAppSwitcher.prototype.getApps = function () {
        return __awaiter(this, void 0, void 0, function () {
            var fallbackApps, _a;
            return __generator(this, function (_b) {
                switch (_b.label) {
                    case 0:
                        if (!!this.apps) return [3 /*break*/, 2];
                        fallbackApps = CDPAppSwitcher.getFallbackApps();
                        _a = this;
                        return [4 /*yield*/, fetchSidebarData(DOWNLOAD_APPS_PATH, fallbackApps)];
                    case 1:
                        _a.apps = _b.sent();
                        _b.label = 2;
                    case 2: return [2 /*return*/, this.apps];
                }
            });
        });
    };
    CDPAppSwitcher.prototype.destroy = function () {
        if (this.config) {
            this.config.parent.innerHTML = '';
        }
        this.trigger.innerHTML = '';
        this.drawer.destroy();
    };
    return CDPAppSwitcher;
}());
export default CDPAppSwitcher;
