export interface Config {
    parent?: HTMLElement;
    trigger?: HTMLElement;
    className?: string;
    onShow?: (drawer: CDPDrawer) => void;
    onHide?: (drawer: CDPDrawer) => void;
}
export default class CDPDrawer {
    config: Config;
    isOpen: boolean;
    drawer: HTMLDivElement;
    constructor();
    onKeyPress(e: KeyboardEvent): void;
    onDocumentClick(e: MouseEvent): void;
    toggle(e?: Event): boolean;
    show: () => void;
    hide: () => void;
    render(config: Config): HTMLDivElement;
    setContent(content: HTMLElement): void;
    destroy(): void;
}
