// Copyright (c) 2019 Cloudera, Inc. All rights reserved.
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (_) try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [op[0] & 2, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
import productLogo from '@cloudera/cuix-core/icons/svg/ic-product-management-console-lg.svg';
import companyLogo from '@cloudera/cuix-core/icons/wordmarks/wordmark-management-console.svg';
import collapseImage from './images/collapse-nav.svg';
import { calcBaseUrl, fetchSidebarData } from './utils';
import { registerDefaultTourAnalytics } from './tour/tourUtils';
import { getAssigneeDisplayName, getAssigneeIconColor } from "cdp-js/dist/helpers/iamHelpers";
import CDPAppSwitcher from './CDPAppSwitcher';
import publicFallbackSidebarItems from './cdp-public-conf/sidebar.v2.json';
import privateFallbackSidebarItems from './cdp-private-conf/sidebar.v2.json';
import CDPDrawer from './CDPDrawer';
import closeIcon from '@cloudera/cuix-core/icons/svg/ic-close.svg';
import appConfig, { EnvironmentType } from "cdp-js/dist/lib/appConfig";
import { listEntitlementsOnce, getUserOnce } from "cdp-js/dist/lib/apiWrappers";
import { renderToursPanel } from './tour/sidebar/ToursPanel';
import { resumeActiveTour } from './tour/index';
import { SHOW_TOUR_APP_QUERY_PARAM } from './tour/variables';
import { getCookie, setCookie } from './tour/Tour/cookie';
import { removeQueryParamFromUrl, getQueryParam } from './tour/Substep/utils';
import analytics from "cuix/dist/utils/analytics";
var DOWNLOAD_SIDEBAR_ITEMS_PATH = '/commonconsole/downloads/sidebar.v2.json';
var DOWNLOAD_HELP_PATH = '/commonconsole/downloads/help';
var SUPPORT_ITEM = {
    name: 'support',
    displayName: 'Help',
    icon: '<svg width="1em" height="1em" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"><path d="M11.768 15.68a1.16 1.16 0 1 0 0 2.32 1.16 1.16 0 0 0 0-2.32zm-.91-1.457c0-.724.09-.967.269-1.397.18-.43.535-.902 1.066-1.417.529-.514.865-.88 1.007-1.098.217-.331.326-.69.326-1.075 0-.511-.126-.9-.38-1.168-.252-.27-.623-.404-1.113-.404-.467 0-.845.132-1.13.394-.285.264-.428.62-.428 1.069H8.493c.01-.963.338-1.725.982-2.285C10.12 6.28 10.973 6 12.033 6c1.093 0 1.945.278 2.557.833.612.555.918 1.33.918 2.327 0 .887-.414 1.76-1.24 2.62l-1.003.989c-.36.409-.544.67-.555 1.454h-1.851zM12 4c-4.411 0-8 3.589-8 8 0 4.41 3.589 8 8 8 4.412 0 8-3.59 8-8 0-4.411-3.588-8-8-8zm0 18C6.487 22 2 17.514 2 12S6.487 2 12 2c5.514 0 10 4.486 10 10s-4.486 10-10 10z" fill="currentColor" fill-rule="evenodd"></path></svg>'
};
var TOUR_ITEM = {
    name: 'tour',
    displayName: 'Get Started',
    icon: '<svg viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg" width="1em" height="1em"><path d="M12 4l-1.41 1.41L16.17 11H4v2h12.17l-5.58 5.59L12 20l8-8z" fill="currentColor" fill-rule="evenodd"/></svg>'
};
var SITE_TOUR_ENTITLEMENTS = ['TRY_CDP_PRODUCT_TOUR'];
var SIDEBAR_ENABLE_GET_STARTED = 'SIDEBAR_ENABLE_GET_STARTED'; // LocalStorage key. Allows develop/test tours on any environment
var showGettingStarted = function (entitlement) {
    return !appConfig.isGovCloud() &&
        (SITE_TOUR_ENTITLEMENTS.includes(entitlement) ||
            JSON.parse(localStorage.getItem(SIDEBAR_ENABLE_GET_STARTED) || 'false'));
};
var styles = {
    sidebar: 'cdp-sidebar',
    sidebarHeader: 'cdp-sidebar-header',
    body: 'cdp-sidebar-body',
    footer: 'cdp-sidebar-footer',
    logo: 'logo',
    title: 'title',
    item: 'item',
    itemCategory: 'item-category',
    itemWrapper: 'item-wrapper',
    itemSpacer: 'item-spacer',
    menu: 'menu',
    menuHeader: 'menu-header',
    menuBody: 'menu-body',
    menuFooter: 'menu-footer',
    icon: 'icon',
    active: 'active',
    collapsed: 'collapsed',
    trigger: 'trigger',
    helpDrawer: 'help-drawer',
    userDrawer: 'user-drawer',
    tourDrawer: 'tour-drawer',
    navList: 'nav-list'
};
var PUBLIC_CLOUD_SUPPORT_ITEMS = [
    {
        name: 'Support',
        target: '_blank',
        href: 'https://my.cloudera.com/support.html'
    },
    {
        name: 'Documentation',
        target: '_blank',
        href: 'https://docs.cloudera.com/'
    },
    {
        name: 'Community',
        target: '_blank',
        href: 'https://community.cloudera.com/t5/forums/filteredbylabelpage/board-id/Questions/label-name/cloudera%20data%20platform%20(cdp)'
    },
    {
        name: 'Download CLI',
        baseUrl: 'mow',
        path: '/cloud/download'
    }
];
var PRIVATE_CLOUD_SUPPORT_ITEMS = [
    {
        name: 'Support',
        target: '_blank',
        href: 'https://my.cloudera.com/support.html'
    },
    {
        name: 'Documentation',
        target: '_blank',
        href: 'https://docs.cloudera.com/'
    },
    {
        name: 'Community',
        target: '_blank',
        href: 'https://community.cloudera.com/t5/forums/filteredbylabelpage/board-id/Questions/label-name/cloudera%20data%20platform%20(cdp)'
    }
];
var isSidebarSpacerItem = function (item) {
    return item.type === 'spacer';
};
var hasMedallia = false;
var DEFAULT_SUPPORT_ITEMS = appConfig.isPrivateCloud()
    ? PRIVATE_CLOUD_SUPPORT_ITEMS
    : PUBLIC_CLOUD_SUPPORT_ITEMS;
/**
 * @deprecated The old CDPSidebar has been deprecated and will soon be removed
 */
var CDPSidebar = /** @class */ (function () {
    function CDPSidebar() {
        this.defaultLocalStoragePrefix = 'state.preferences';
        this.renderedItems = [];
        this.appSwitcher = new CDPAppSwitcher();
        this.helpDrawer = new CDPDrawer();
        this.userDrawer = new CDPDrawer();
        this.tourDrawer = new CDPDrawer();
        this.entitlements = [];
        /**
         * internal flag to indicated if entitlements were provided to the sidebar. This
         * is used to inform if we need to fetch.
         * This is a bit of a band-aid fix to get the app switcher to work.
         * When we redo the sidebar, this would be a good candidate for refactoring.
         */
        this.hasCustomEntitlements = false;
        /**
         * Returns a div that contains the first letter of the display name and a random background color.
         */
        this.getUserIcon = function (user) {
            return "<div class=\"user-icon\" style=\"background-color: ".concat(getAssigneeIconColor(user), "\">").concat(getAssigneeDisplayName(user)[0], "</div>");
        };
    }
    CDPSidebar.prototype.render = function (config) {
        this.destroy();
        this.config = config;
        if (this.config.environmentBaseUrl) {
            appConfig.configure({ environmentBaseUrl: this.config.environmentBaseUrl });
        }
        this.collapsed = this.isCollapsible() && this.getPreference('sidebarCollapsed', false);
        this.config.parent.classList.add(styles.sidebar);
        if (this.collapsed) {
            this.config.parent.classList.add(styles.collapsed);
        }
        if (config.entitlements) {
            this.entitlements = config.entitlements;
            this.hasCustomEntitlements = true;
        }
        this.renderHeader(this.config.parent.appendChild(document.createElement('div')));
        this.renderBody(this.config.parent.appendChild(document.createElement('nav')));
        this.renderFooter(this.config.parent.appendChild(document.createElement('div')));
        // limit to dev env for now for testing
        if (config.includeFeedbackSurvey && appConfig.isDev()) {
            this.addSurveyIfNeeded();
        }
    };
    /**
     * Adds feedback button that opens up survey modal.
     * For owner/stakeholders for this check with:
     *  - Johan Dorner <jdorner@cloudera.com>
     *  - Houshang Livian <hlivian@cloudera.com>
     */
    CDPSidebar.prototype.addSurveyIfNeeded = function () {
        if (hasMedallia || appConfig.isGovCloud()) {
            return;
        }
        hasMedallia = true;
        // adds a timeout so it is less likely to compete against page rendering/loading.
        setTimeout(function () {
            var script = document.createElement('script');
            script.src = 'https://resources.digital-cloud-west.medallia.com/wdcwest/9645/onsite/embed.js';
            script.async = true;
            script.type = 'text/javascript';
            document.body.appendChild(script);
        }, 1000);
    };
    CDPSidebar.prototype.renderHeader = function (header) {
        if (!this.config) {
            return;
        }
        header.className = styles.sidebarHeader;
        header.style.backgroundColor = this.config.productColor || '#1c2429';
        if (this.config.showAppSwitcher) {
            this.appSwitcher.render({
                parent: header,
                environmentBaseUrl: this.config.environmentBaseUrl,
                // CDPAppswitcher only fetches entitlements if no entitlements are given.
                // e.g. provding an empty array would prevent app switcher from fetching
                entitlements: this.hasCustomEntitlements ? this.entitlements : undefined
            });
        }
        var logoAnchor = header.appendChild(document.createElement('a'));
        if (typeof this.config.logoHref === 'string') {
            logoAnchor.setAttribute('href', this.config.logoHref);
        }
        else if (typeof this.config.logoHref === 'function') {
            logoAnchor.onclick = this.config.logoHref;
        }
        // Logo
        var logo = logoAnchor.appendChild(document.createElement('img'));
        logo.title = this.config.title || 'Cloudera Data Platform';
        logo.className = styles.logo;
        logo.src = this.config.productLogo || productLogo;
        // Text
        var title = logoAnchor.appendChild(document.createElement('img'));
        title.title = logo.title;
        title.className = styles.title;
        title.src = this.config.companyLogo || companyLogo;
    };
    CDPSidebar.prototype.renderBody = function (body) {
        return __awaiter(this, void 0, void 0, function () {
            var sidebarItems, _a, _b, e_1;
            var _this = this;
            return __generator(this, function (_c) {
                switch (_c.label) {
                    case 0:
                        if (!this.config) {
                            return [2 /*return*/];
                        }
                        body.className = styles.body;
                        _a = this.config.sidebarItems;
                        if (_a) return [3 /*break*/, 2];
                        return [4 /*yield*/, this.getSidebarItems()];
                    case 1:
                        _a = (_c.sent());
                        _c.label = 2;
                    case 2:
                        sidebarItems = _a;
                        if (!(sidebarItemsRequiresEntitlement(sidebarItems) &&
                            !this.hasCustomEntitlements &&
                            this.entitlements.length === 0)) return [3 /*break*/, 6];
                        _c.label = 3;
                    case 3:
                        _c.trys.push([3, 5, , 6]);
                        _b = this;
                        return [4 /*yield*/, listEntitlementsOnce()];
                    case 4:
                        _b.entitlements = _c.sent();
                        return [3 /*break*/, 6];
                    case 5:
                        e_1 = _c.sent();
                        console.log(e_1);
                        return [3 /*break*/, 6];
                    case 6:
                        sidebarItems.forEach(function (itemData) {
                            if (isSidebarSpacerItem(itemData)) {
                                _this.renderItemSpacer(itemData, body);
                            }
                            else {
                                _this.renderItem(itemData, body);
                            }
                        });
                        return [2 /*return*/];
                }
            });
        });
    };
    CDPSidebar.prototype.renderFooter = function (footer) {
        return __awaiter(this, void 0, void 0, function () {
            var _a, e_2, _b, e_3, tourItem, supportItem, userItem, trigger, icon;
            var _this = this;
            return __generator(this, function (_c) {
                switch (_c.label) {
                    case 0:
                        if (!this.config) {
                            return [2 /*return*/];
                        }
                        _c.label = 1;
                    case 1:
                        _c.trys.push([1, 4, , 5]);
                        if (!(!this.hasCustomEntitlements && this.entitlements.length === 0)) return [3 /*break*/, 3];
                        _a = this;
                        return [4 /*yield*/, listEntitlementsOnce()];
                    case 2:
                        _a.entitlements = _c.sent();
                        _c.label = 3;
                    case 3: return [3 /*break*/, 5];
                    case 4:
                        e_2 = _c.sent();
                        console.log(e_2);
                        return [3 /*break*/, 5];
                    case 5:
                        footer.className = styles.footer;
                        this.user = this.config.user;
                        if (!(!this.user && (this.config.showAppSwitcher || this.config.showUserItem))) return [3 /*break*/, 9];
                        _c.label = 6;
                    case 6:
                        _c.trys.push([6, 8, , 9]);
                        _b = this;
                        return [4 /*yield*/, getUserOnce()];
                    case 7:
                        _b.user = (_c.sent()).obj.user;
                        return [3 /*break*/, 9];
                    case 8:
                        e_3 = _c.sent();
                        return [3 /*break*/, 9];
                    case 9:
                        // Add footer items
                        if (this.config.showAppSwitcher || this.config.showSupportItems) {
                            if (this.entitlements.some(function (e) { return showGettingStarted(e.entitlementName); })) {
                                tourItem = this.renderItem(TOUR_ITEM, footer);
                                this.tourDrawer.render({
                                    trigger: tourItem,
                                    className: styles.tourDrawer,
                                    parent: this.config.parent,
                                    onShow: function () {
                                        return renderToursPanel(_this.tourDrawer.drawer, {
                                            onClose: function (e) { return _this.tourDrawer.toggle(e); },
                                            userEntitlements: _this.entitlements,
                                            user: _this.user
                                        });
                                    }
                                });
                            }
                            supportItem = this.renderItem(SUPPORT_ITEM, footer);
                            this.helpDrawer.render({
                                trigger: supportItem,
                                className: styles.helpDrawer,
                                parent: this.config.parent,
                                onShow: function () { return _this.helpDrawer.setContent(_this.getSupportMenu(_this.config)); }
                            });
                        }
                        if (this.user && this.config.showUserItem !== false) {
                            userItem = this.renderItem({
                                name: 'user',
                                displayName: getAssigneeDisplayName(this.user),
                                icon: this.getUserIcon(this.user)
                            }, footer);
                            this.userDrawer.render({
                                trigger: userItem,
                                className: styles.userDrawer,
                                parent: this.config.parent,
                                onShow: function () { return _this.userDrawer.setContent(_this.getUserMenu(_this.user)); }
                            });
                        }
                        // Expand + Collapse Icon
                        if (this.isCollapsible()) {
                            trigger = footer.appendChild(document.createElement('a'));
                            trigger.className = styles.trigger;
                            icon = trigger.appendChild(document.createElement('img'));
                            icon.src = collapseImage;
                            trigger.addEventListener('click', this.toggleSidebar.bind(this));
                        }
                        return [2 /*return*/];
                }
            });
        });
    };
    CDPSidebar.prototype.renderItemSpacer = function (itemData, parent) {
        if (!this.config) {
            // not sure why, but following the code in renderItem
            return;
        }
        var itemSpacerEl = parent.appendChild(document.createElement('div'));
        itemSpacerEl.className = styles.itemSpacer;
        itemSpacerEl.setAttribute('role', 'separator');
        this.renderedItems.push({
            itemData: itemData,
            element: itemSpacerEl
        });
    };
    CDPSidebar.prototype.renderItem = function (itemData, parent) {
        var _this = this;
        if (!this.config) {
            return;
        }
        if (itemData.entitlement &&
            !this.entitlements.some(function (e) { return e.entitlementName === itemData.entitlement; })) {
            return;
        }
        if (itemData.disablingEntitlement &&
            this.entitlements.some(function (e) { return e.entitlementName === itemData.disablingEntitlement; })) {
            return;
        }
        var itemWrapper = parent.appendChild(document.createElement('div'));
        itemWrapper.className = styles.itemWrapper;
        var item;
        if ('type' in itemData && itemData.type === 'spacer') {
            return;
        }
        else if (!itemData.children) {
            item = itemWrapper.appendChild(document.createElement('a'));
            item.setAttribute('aria-label', itemData.displayName);
            if (itemData.path) {
                item.href = calcBaseUrl(itemData.baseUrl) + itemData.path;
                item.addEventListener('click', this.onNavigate.bind(this, itemData));
            }
            else {
                item.href = '#';
                item.setAttribute('role', 'button');
                item.setAttribute('data-item-name', itemData.name);
            }
            item.setAttribute('data-tooltip', itemData.displayName);
        }
        else {
            item = itemWrapper.appendChild(document.createElement('div'));
            item.classList.add(styles.itemCategory);
        }
        item.classList.add(styles.item);
        if (this.isItemActive(itemData)) {
            item.classList.add(styles.active);
        }
        if (itemData.icon || itemData.iconClass) {
            var iconContainer = item.appendChild(document.createElement('div'));
            iconContainer.className = styles.icon;
            if (itemData.iconClass) {
                var icon = iconContainer.appendChild(document.createElement('i'));
                icon.className = itemData.iconClass;
            }
            else if (itemData.icon) {
                iconContainer.innerHTML = itemData.icon;
            }
        }
        var title = item.appendChild(document.createElement('span'));
        title.innerHTML = itemData.displayName;
        if (itemData.children && itemData.children.length > 0) {
            itemData.children.forEach(function (childItemData) { return _this.renderItem(childItemData, parent); });
        }
        this.renderedItems.push({
            itemData: itemData,
            element: item
        });
        return item;
    };
    CDPSidebar.prototype.getUserMenu = function (user) {
        var customLogoutUrl = this.config && this.config.logoutUrl;
        var displayName = getAssigneeDisplayName(user);
        var menu = document.createElement('div');
        menu.innerHTML = "\n    <div class=\"".concat(styles.menuHeader, "\">\n      ").concat(this.getUserIcon(user), "\n      <div>\n        <div>").concat(displayName, "</div><small>").concat(user.email || '', "</small></div>\n      </div>\n    </div>\n    <ul class=\"").concat(styles.navList, "\">\n      ").concat(this.config && this.config.hideUserItemProfileLink
            ? ''
            : "<li><a href=\"".concat(appConfig.getAltusBaseUrl(), "/iam/index.html#/my-account\">Profile</a></li>"), "\n      <li><a class=\"cdp-sidebar-logout-link\" href=\"#\">Log Out</a></li>\n    </ul>\n    ");
        var logoutLinkEl = menu.querySelector('.cdp-sidebar-logout-link');
        if (customLogoutUrl) {
            logoutLinkEl.href = customLogoutUrl;
        }
        else {
            logoutLinkEl.onclick = function () {
                appConfig.doLogout();
                return false;
            };
        }
        return menu;
    };
    CDPSidebar.prototype.getSupportMenu = function (config) {
        var supportItems = config.supportItems || DEFAULT_SUPPORT_ITEMS;
        var menu = document.createElement('div');
        menu.className = styles.menu;
        var header = menu.appendChild(document.createElement('div'));
        header.className = styles.menuHeader;
        var h1 = header.appendChild(document.createElement('h1'));
        h1.innerHTML = 'Help';
        var closeButton = header.appendChild(document.createElement('a'));
        closeButton.href = '#';
        closeButton.setAttribute('role', 'button');
        closeButton.innerHTML = "<img src=\"".concat(closeIcon, "\"/>");
        closeButton.addEventListener('click', this.helpDrawer.toggle);
        if (config.helpTopic) {
            var content_1 = menu.appendChild(document.createElement('div'));
            content_1.className = styles.menuBody;
            fetchSidebarData("".concat(DOWNLOAD_HELP_PATH, "/").concat(config.helpTopic, ".html"), 'There was a problem loading help content.').then(function (html) {
                content_1.innerHTML = html;
                // Make sure all links open in new window
                var links = content_1.getElementsByTagName('a');
                for (var i = 0; i < links.length; i++) {
                    links[i].target = '_blank';
                }
            });
        }
        var footer = menu.appendChild(document.createElement('div'));
        footer.className = styles.menuFooter;
        var h2 = footer.appendChild(document.createElement('h2'));
        h2.innerHTML = 'Helpful Links';
        var ul = footer.appendChild(document.createElement('ul'));
        ul.className = styles.navList;
        supportItems.forEach(function (item) {
            var li = document.createElement('li');
            var a = document.createElement('a');
            if (item.href) {
                a.href = item.href;
            }
            else {
                a.href = calcBaseUrl(item.baseUrl) + item.path;
            }
            if (item.target) {
                a.target = item.target;
            }
            a.innerHTML = item.name;
            li.appendChild(a);
            ul.appendChild(li);
        });
        return menu;
    };
    CDPSidebar.prototype.isItemActive = function (itemData) {
        if (!this.config) {
            return;
        }
        if (this.config.isItemActive) {
            return this.config.isItemActive(itemData);
        }
        var itemUrl = itemData.path;
        var currentPath = window.location.pathname + window.location.hash;
        if (itemData.matcher) {
            return new RegExp(itemData.matcher, 'i').test(currentPath);
        }
        return itemUrl && currentPath.indexOf(itemUrl) === 0;
    };
    CDPSidebar.prototype.onNavigate = function (itemData, e) {
        var _this = this;
        if (!this.config) {
            return;
        }
        var currentBaseUrl = "".concat(window.location.protocol, "//").concat(window.location.host);
        var baseUrl = calcBaseUrl(itemData.baseUrl);
        if (this.config.onNavigate && (baseUrl === '' || currentBaseUrl === baseUrl) && itemData.path) {
            if (this.config.onNavigate(itemData)) {
                e.preventDefault();
                window.setTimeout(function () { return _this.update(); }, 100);
            }
        }
    };
    CDPSidebar.prototype.update = function () {
        var _this = this;
        if (!this.config) {
            return;
        }
        this.renderedItems.forEach(function (renderedItem) {
            if (isSidebarSpacerItem(renderedItem.itemData)) {
                return;
            }
            var item = renderedItem.element;
            if (_this.isItemActive(renderedItem.itemData)) {
                item.classList.add(styles.active);
            }
            else {
                item.classList.remove(styles.active);
            }
        });
    };
    CDPSidebar.prototype.setHelpTopic = function (helpTopic) {
        if (this.config) {
            this.config.helpTopic = helpTopic;
        }
    };
    CDPSidebar.prototype.toggleSidebar = function (e) {
        if (!this.config) {
            return;
        }
        e.preventDefault();
        this.collapsed = !this.collapsed;
        this.setPreference('sidebarCollapsed', this.collapsed);
        this.config.parent.classList.toggle(styles.collapsed);
        if (this.collapsed && this.config.onCollapse) {
            this.config.onCollapse();
        }
        if (!this.collapsed && this.config.onExpand) {
            this.config.onExpand();
        }
    };
    CDPSidebar.prototype.isCollapsible = function () {
        return !this.config || this.config.collapsible !== false;
    };
    CDPSidebar.prototype.getPreference = function (key, defaultValue) {
        if (!this.config) {
            return;
        }
        var prefix = this.config.localStoragePrefix || this.defaultLocalStoragePrefix;
        try {
            var value = localStorage.getItem("".concat(prefix, ".").concat(key));
            if (value) {
                return JSON.parse(value);
            }
        }
        catch (e) { }
        return defaultValue;
    };
    CDPSidebar.prototype.setPreference = function (key, value) {
        if (!this.config) {
            return;
        }
        var prefix = this.config.localStoragePrefix || this.defaultLocalStoragePrefix;
        try {
            localStorage.setItem("".concat(prefix, ".").concat(key), JSON.stringify(value));
        }
        catch (e) { }
    };
    CDPSidebar.getFallbackConf = function () {
        return appConfig.getEnvironment() === EnvironmentType.PRIVATE_CLOUD
            ? privateFallbackSidebarItems
            : publicFallbackSidebarItems;
    };
    CDPSidebar.prototype.getSidebarItems = function () {
        return __awaiter(this, void 0, void 0, function () {
            var fallbackSidebarItems, _a;
            return __generator(this, function (_b) {
                switch (_b.label) {
                    case 0:
                        if (!!this.sidebarItems) return [3 /*break*/, 2];
                        fallbackSidebarItems = CDPSidebar.getFallbackConf();
                        _a = this;
                        return [4 /*yield*/, fetchSidebarData(DOWNLOAD_SIDEBAR_ITEMS_PATH, fallbackSidebarItems)];
                    case 1:
                        _a.sidebarItems = _b.sent();
                        _b.label = 2;
                    case 2: return [2 /*return*/, this.sidebarItems];
                }
            });
        });
    };
    CDPSidebar.prototype.destroy = function () {
        this.renderedItems = [];
        if (this.config) {
            this.config.parent.innerHTML = '';
        }
        this.appSwitcher.destroy();
        this.helpDrawer.destroy();
        this.userDrawer.destroy();
    };
    return CDPSidebar;
}());
export default CDPSidebar;
/**
 * This component could have been implemented as a singleton or a static object to make things easier
 * since where it is instantiated and where it is updated might be different so the users will have to
 * keep a handle to the instance somewhere. In order to make that easier, we now export a default
 * instance that can be used like a singleton.
 * @deprecated The old CDPSidebar has been deprecated and will soon be removed
 */
export var cdpSidebar = new CDPSidebar();
/**
 * @deprecated The old CDPSidebar has been deprecated and will soon be removed
 */
export var sidebarItemsRequiresEntitlement = function (items) {
    return (Array.isArray(items) &&
        items.some(function (item) {
            return !isSidebarSpacerItem(item) &&
                (item.entitlement ||
                    item.disablingEntitlement ||
                    sidebarItemsRequiresEntitlement(item.children));
        }));
};
// Auto open sidebar with tourCagetory name specified in url queryParams or cookie
var autoOpenTourCategoryIfNeeded = function () {
    var tourCategory = getQueryParam(SHOW_TOUR_APP_QUERY_PARAM);
    if (tourCategory) {
        // to make it work even with page redirect
        // we move tourCategory from url into short lived cookie
        setCookie(SHOW_TOUR_APP_QUERY_PARAM, tourCategory, 0.001);
        var appUrl = removeQueryParamFromUrl({
            paramName: SHOW_TOUR_APP_QUERY_PARAM,
            url: window.location.href
        });
        if (window.history && appUrl) {
            window.history.replaceState(null, '', appUrl);
        }
    }
    tourCategory = getCookie(SHOW_TOUR_APP_QUERY_PARAM);
    if (tourCategory) {
        setTimeout(cdpSidebar.tourDrawer.show, 2000);
        // ToursPanes.tsx will remove tourCategory cookie after usage
    }
};
registerDefaultTourAnalytics(analytics);
// if you need to override some product tours and/or items from apps.json for your application,
// or you can't make CORS requests for apps.json and tour.json from your private application
// call registerTourOverrides({
//   tours: {tourId: tourJson},  // optional
//   apps: [{id: 'cml', baseUrl:'', path: 'CML', icon: 'ml'}]  // optional
// }) before resumeActiveTour() is called;
resumeActiveTour({ onShowTourPanel: cdpSidebar.tourDrawer.show });
autoOpenTourCategoryIfNeeded();
