var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
/** @jsx h */
// Copyright (c) 2020 Cloudera, Inc. All rights reserved.
import { h } from 'preact';
import classnames from 'classnames';
/**
 * Fundamental link/button used for sidebar items
 */
var BaseNavigationItem = function (_a) {
    var item = _a.item, children = _a.children, className = _a.className, otherProps = __rest(_a, ["item", "children", "className"]);
    var url = item.url, handler = item.handler, name = item.name;
    if (url) {
        return (h("a", __assign({ className: classnames('cdp-sidebar-v2-base-link', className), href: url, "data-item-name": name }, otherProps), children));
    }
    else if (handler) {
        return (h("button", __assign({ className: classnames('cdp-sidebar-v2-base-btn', className), "data-item-name": name, onClick: function (event) {
                handler(name, event);
            } }, otherProps), children));
    }
    console.warn('Misconfigured link item', name);
    return h("span", null, children);
};
export default BaseNavigationItem;
