var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __read = (this && this.__read) || function (o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m) return o;
    var i = m.call(o), r, ar = [], e;
    try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
    }
    catch (error) { e = { error: error }; }
    finally {
        try {
            if (r && !r.done && (m = i["return"])) m.call(i);
        }
        finally { if (e) throw e.error; }
    }
    return ar;
};
/** @jsx h */
// Copyright (c) 2020 Cloudera, Inc. All rights reserved.
import { h } from 'preact';
import { useState, useEffect } from 'preact/hooks';
import classnames from 'classnames';
/**
 * Base tooltip used when sidebar is in collapsed state
 */
var BaseNavigationItemTooltip = function (_a) {
    var visible = _a.visible, children = _a.children, otherProps = __rest(_a, ["visible", "children"]);
    var _b = __read(useState(visible), 2), hasVisibleClass = _b[0], setHasVisibleClass = _b[1];
    useEffect(function () {
        // since we fade-in the element, we need to first render it hidden e.g. opacity: 0
        // then after render, add the visible e.g. opacity: 1 to get the css transition to
        // work as expected.
        setHasVisibleClass(visible);
    }, [visible]);
    if (!visible) {
        return null;
    }
    return (h("div", __assign({}, otherProps, { className: classnames(otherProps.className, {
            'cdp-sidebar-v2-sidebar-item-tooltip-visible': hasVisibleClass
        }) }), children));
};
export default BaseNavigationItemTooltip;
