var __read = (this && this.__read) || function (o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m) return o;
    var i = m.call(o), r, ar = [], e;
    try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
    }
    catch (error) { e = { error: error }; }
    finally {
        try {
            if (r && !r.done && (m = i["return"])) m.call(i);
        }
        finally { if (e) throw e.error; }
    }
    return ar;
};
/** @jsx h */
// Copyright (c) 2020 Cloudera, Inc. All rights reserved.
import { h } from 'preact';
import { useEffect, useState } from 'preact/hooks';
import closeIcon from '@cloudera/cuix-core/icons/svg/ic-close.svg';
import { calcBaseUrl, fetchSidebarData } from '../utils';
var DOWNLOAD_HELP_PATH = '/commonconsole/downloads/help';
/**
 * Renders the help content inside the help drawer. Will fetch html from a given source and render it inline.
 */
var HelpDrawerContent = function (_a) {
    var helpTopic = _a.helpTopic, onClose = _a.onClose, helpItems = _a.helpItems, _b = _a.entitlements, entitlements = _b === void 0 ? [] : _b, baseHelpUrl = _a.baseHelpUrl;
    var _c = __read(useState(undefined), 2), helpHtml = _c[0], setHelpHtml = _c[1];
    var isGrantedEntitlement = function (entitlement) {
        return entitlements.some(function (grantedEntitlement) { return grantedEntitlement.entitlementName === entitlement; });
    };
    useEffect(function () {
        if (!helpTopic) {
            return;
        }
        var url = baseHelpUrl !== null && baseHelpUrl !== void 0 ? baseHelpUrl : DOWNLOAD_HELP_PATH;
        fetchSidebarData("".concat(url, "/").concat(helpTopic, ".html"), 'There was a problem loading help content.', {
            useCDPHost: !baseHelpUrl
        }).then(function (html) {
            setHelpHtml(html);
        });
    }, [helpTopic, baseHelpUrl]);
    return (h("div", { className: "cdp-sidebar-v2-drawer-common-menu" },
        h("div", { className: "cdp-sidebar-v2-drawer-common-menu-header" },
            h("h1", null, "Help"),
            h("button", { onClick: onClose, className: "cdp-sidebar-v2-base-btn", "data-event-category": "Sidebar", "data-event": "Close Help" },
                h("img", { src: closeIcon, alt: "Close" }))),
        helpHtml && (h("div", { className: "cdp-sidebar-v2-drawer-common-menu-body", dangerouslySetInnerHTML: { __html: helpHtml } })),
        h("div", { className: "menu-footer" },
            h("h2", null, "Helpful Links"),
            h("ul", { className: "nav-list" }, helpItems &&
                helpItems
                    .filter(function (item) { return (item.entitlement ? isGrantedEntitlement(item.entitlement) : true); })
                    .map(function (item) {
                    var href = item.href || calcBaseUrl(item.baseUrl) + item.path;
                    return (h("li", { key: item.name },
                        h("a", { href: href, target: item.target, "data-event-category": "Sidebar", "data-event": "Open Help link", "data-event-label": item.displayName },
                            item.IconComponent && h(item.IconComponent, null),
                            item.displayName)));
                })))));
};
export default HelpDrawerContent;
