/** @jsx h */
import { FunctionComponent } from 'preact';
import { EnvironmentType } from "cdp-js/dist/lib/appConfig";
import { SidebarProps } from './types';
export interface Props extends Omit<SidebarProps, 'supportItems' | 'sidebarItems' | 'productColor' | 'productIconLogoSrc' | 'productTextLogoSrc' | 'productName' | 'productDisplayName' | 'user' | 'entitlements'> {
    /**
     * Option to override environment type for testing.
     */
    env?: EnvironmentType;
    user?: SidebarProps['user'];
    entitlements?: SidebarProps['entitlements'];
}
/**
 * Sidebar for Management Console (that spans multiple apps)
 */
declare const ManagementSidebar: FunctionComponent<Props>;
export default ManagementSidebar;
