var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (_) try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [op[0] & 2, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __read = (this && this.__read) || function (o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m) return o;
    var i = m.call(o), r, ar = [], e;
    try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
    }
    catch (error) { e = { error: error }; }
    finally {
        try {
            if (r && !r.done && (m = i["return"])) m.call(i);
        }
        finally { if (e) throw e.error; }
    }
    return ar;
};
/** @jsx h */
// Copyright (c) 2020 Cloudera, Inc. All rights reserved.
import { h } from 'preact';
import { useEffect, useMemo, useState } from 'preact/hooks';
import appConfig, { EnvironmentType } from "cdp-js/dist/lib/appConfig";
import Sidebar from './Sidebar.preact';
import publicFallbackSidebarItems from '../cdp-public-conf/sidebar.v3.json';
import { fetchSidebarData, calcBaseUrl } from '../utils';
import privateFallbackSidebarItems from '../cdp-private-conf/sidebar.v3.json';
import mgmtConsoleIconSrc from '@cloudera/cuix-core/icons/svg/ic-product-management-console-lg.svg';
import productTextLogoSrc from '@cloudera/cuix-core/icons/wordmarks/wordmark-management-console.svg';
import { fluidxMgmtConsoleProductColor } from "cuix/dist/styles/variables";
import { getIconComponentForSvg } from './util';
import { useInternalOrExternalFetchedEntitlements } from './useInternalOrExternalFetchedData.preact';
var DOWNLOAD_SIDEBAR_ITEMS_PATH = '/commonconsole/downloads/sidebar.v3.json';
var getSidebarItems = function (env) { return __awaiter(void 0, void 0, void 0, function () {
    var fallbackItems, jsonSidebarItems, sidebarItems;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                fallbackItems = (env || appConfig.getEnvironment()) === EnvironmentType.PRIVATE_CLOUD
                    ? privateFallbackSidebarItems
                    : publicFallbackSidebarItems;
                return [4 /*yield*/, fetchSidebarData(DOWNLOAD_SIDEBAR_ITEMS_PATH, fallbackItems)];
            case 1:
                jsonSidebarItems = _a.sent();
                sidebarItems = jsonSidebarItems.map(function (item) {
                    if (item.type === 'accordion') {
                        return __assign(__assign({}, item), { IconComponent: getIconComponentForSvg(item.icon), children: item.children.map(function (child) { return (__assign(__assign({}, child), { url: calcBaseUrl(child.baseUrl) + child.path, type: 'navigation' })); }) });
                    }
                    return __assign(__assign({}, item), { url: calcBaseUrl(item.baseUrl) + item.path, type: 'navigation', IconComponent: getIconComponentForSvg(item.icon) });
                });
                return [2 /*return*/, sidebarItems];
        }
    });
}); };
/**
 * Sidebar for Management Console (that spans multiple apps)
 */
var ManagementSidebar = function (_a) {
    var env = _a.env, props = __rest(_a, ["env"]);
    // We could further optimize loading speed here by storing a short-term copy in localStorage since these
    // don't change often.
    var _b = __read(useState([]), 2), sidebarItems = _b[0], setSidebarItems = _b[1];
    useEffect(function () {
        getSidebarItems(env).then(function (sidebarItems) {
            setSidebarItems(sidebarItems);
        });
    }, [env]);
    var propsWithDefaults = __assign({ user: 'auto', entitlements: 'auto' }, props);
    var entitlementsData = useInternalOrExternalFetchedEntitlements(propsWithDefaults.entitlements);
    var filteredSidebarItems = useMemo(function () {
        if (entitlementsData.isFetching || !entitlementsData.value) {
            return [];
        }
        var entitlementNames = entitlementsData.value.map(function (entitlement) { return entitlement.entitlementName; });
        var filterWithEntitlements = function (item) {
            if (item.entitlement && !entitlementNames.includes(item.entitlement)) {
                return false;
            }
            if (item.disablingEntitlement && entitlementNames.includes(item.disablingEntitlement)) {
                return false;
            }
            return true;
        };
        return sidebarItems.filter(filterWithEntitlements).map(function (item) {
            if (item.type === 'accordion') {
                return __assign(__assign({}, item), { children: item.children.filter(filterWithEntitlements) });
            }
            return item;
        });
    }, [entitlementsData.isFetching, entitlementsData.value, sidebarItems]);
    return (h(Sidebar, __assign({ productName: "serviceManager", productDisplayName: "Cloudera Data Platform", sidebarItems: filteredSidebarItems, productIconLogoSrc: mgmtConsoleIconSrc, productTextLogoSrc: productTextLogoSrc, productColor: fluidxMgmtConsoleProductColor }, propsWithDefaults)));
};
export default ManagementSidebar;
