var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __read = (this && this.__read) || function (o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m) return o;
    var i = m.call(o), r, ar = [], e;
    try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
    }
    catch (error) { e = { error: error }; }
    finally {
        try {
            if (r && !r.done && (m = i["return"])) m.call(i);
        }
        finally { if (e) throw e.error; }
    }
    return ar;
};
/** @jsx h */
// Copyright (c) 2020 Cloudera, Inc. All rights reserved.
import { h } from 'preact';
import { useCallback, useState, useRef } from 'preact/hooks';
import classnames from 'classnames';
import BaseNavigationItem from './BaseNavigationItem.preact';
import AbstractTooltip from './BaseNavigationItemTooltip.preact';
import useOnParentScroll from '../preact/hooks/useOnParentScroll';
/**
 * Represent a basic navigation item in the sidebar, can either be button or link.
 */
var NavigationItem = function (_a) {
    var active = _a.active, isCollapsed = _a.isCollapsed, item = _a.item;
    var displayName = item.displayName, IconComponent = item.IconComponent, infoConfig = item.infoConfig, showExclamationMark = item.showExclamationMark;
    var _b = __read(useState(undefined), 2), tooltip = _b[0], setTooltip = _b[1];
    var containerRef = useRef(null);
    var _c = infoConfig || {}, InfoComponent = _c.Component, infoProps = _c.props;
    var onMouseEnter = useCallback(function (event) {
        if (!isCollapsed) {
            return;
        }
        var rect = event.target.getBoundingClientRect();
        setTooltip(rect);
    }, [isCollapsed]);
    var onMouseLeave = useCallback(function () {
        setTooltip(undefined);
    }, []);
    useOnParentScroll({
        containerRef: containerRef,
        enabled: !!tooltip,
        onParentScroll: function () {
            setTooltip(undefined);
        }
    });
    return (h("div", { onMouseEnter: onMouseEnter, onMouseLeave: onMouseLeave, ref: containerRef },
        h(BaseNavigationItem, { item: item, className: classnames('cdp-sidebar-v2-sidebar-item', {
                'cdp-sidebar-v2-active': active,
                'cdp-sidebar-v2-disabled': item.disabled
            }), "aria-current": active || undefined },
            h("div", { className: "cdp-sidebar-v2-sidebar-item-icon" },
                h(IconComponent, null)),
            h("span", null, displayName),
            showExclamationMark && (h("div", { className: "cdp-sidebar-v2-user-exclamation", role: "img" }, "!")),
            !isCollapsed && InfoComponent && h(InfoComponent, __assign({}, infoProps)),
            h("div", { style: { flexGrow: 1 } }),
            h(AbstractTooltip, { visible: tooltip && isCollapsed, className: "cdp-sidebar-v2-sidebar-item-tooltip", style: {
                    top: (tooltip === null || tooltip === void 0 ? void 0 : tooltip.top) || 0,
                    left: (tooltip === null || tooltip === void 0 ? void 0 : tooltip.right) || 0
                }, role: "tooltip" },
                h("div", { className: classnames('cdp-sidebar-v2-sidebar-item-tooltip-primary', {
                        'cdp-sidebar-v2-active': active
                    }), style: { height: (tooltip === null || tooltip === void 0 ? void 0 : tooltip.height) || 0 } },
                    displayName,
                    showExclamationMark && (h("div", { className: "cdp-sidebar-v2-user-exclamation", role: "img" }, "!")))))));
};
export default NavigationItem;
