var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __read = (this && this.__read) || function (o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m) return o;
    var i = m.call(o), r, ar = [], e;
    try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
    }
    catch (error) { e = { error: error }; }
    finally {
        try {
            if (r && !r.done && (m = i["return"])) m.call(i);
        }
        finally { if (e) throw e.error; }
    }
    return ar;
};
/** @jsx h */
// Copyright (c) 2023 Cloudera, Inc. All rights reserved.
import { h } from 'preact';
import { useCallback, useState } from 'preact/hooks';
import DiamondIcon from '@cloudera/cuix-core/icons/preact/DiamondIcon.preact';
import AbstractTooltip from './BaseNavigationItemTooltip.preact';
import i18n from "cuix/dist/utils/i18n";
import { cdlBlack, cdlSpacingXxs, cdlWhite } from '@cloudera/cuix-core/variables';
/**
 * Displays an icon with tooltip for premium features.
 */
var PremiumFeature = function (_a) {
    var docLink = _a.docLink, otherProps = __rest(_a, ["docLink"]);
    var _b = __read(useState(undefined), 2), tooltip = _b[0], setTooltip = _b[1];
    var onMouseEnter = useCallback(function (event) {
        var rect = event.target.getBoundingClientRect();
        setTooltip(rect);
    }, []);
    var onMouseLeave = useCallback(function () {
        setTooltip(undefined);
    }, []);
    return (h("div", { onMouseEnter: onMouseEnter, onMouseLeave: onMouseLeave },
        h(AbstractTooltip, { visible: !!tooltip, role: "tooltip" },
            h("div", { style: {
                    // below styles replicate the default antd tooltip styles.
                    backgroundColor: cdlWhite,
                    color: cdlBlack,
                    width: 121,
                    display: 'flex',
                    flexDirection: 'column',
                    zIndex: 1,
                    position: 'fixed',
                    padding: "6px ".concat(cdlSpacingXxs),
                    borderRadius: '3px',
                    boxShadow: "0 2px ".concat(cdlSpacingXxs, " 0 rgba(0, 0, 0, 0.35)"),
                    // subtracting approx height of the tooltip to position it just over the icon.
                    top: (tooltip === null || tooltip === void 0 ? void 0 : tooltip.top) ? tooltip.top - 58 : 0,
                    left: (tooltip === null || tooltip === void 0 ? void 0 : tooltip.right) || 0
                } },
                h("div", null, i18n.t('sigma.premiumFeature')),
                h("a", { href: docLink, target: "_blank", rel: "noopener noreferrer" }, i18n.t('sigma.learnMore')))),
        h(DiamondIcon, __assign({ style: { verticalAlign: 'middle' } }, otherProps))));
};
export default PremiumFeature;
