var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
/** @jsx h */
// Copyright (c) 2020 Cloudera, Inc. All rights reserved.
import { Fragment, h } from 'preact';
import NavigationItem from './NavigationItem.preact';
import AccordionItem from './AccordionItem.preact';
import SpacerItem from './SpacerItem.preact';
/**
 * Displays a section in the menu e.g. a non-clickable header + items
 */
var SectionItem = function (_a) {
    var displayName = _a.displayName, children = _a.children, activeItemName = _a.activeItemName, isCollapsed = _a.isCollapsed;
    return (h(Fragment, null,
        h("div", { className: "cdp-sidebar-v2-sidebar-section-name", role: "heading", "aria-level": 2 }, displayName),
        children.map(function (item) {
            if (item.type === 'spacer') {
                return h(SpacerItem, null);
            }
            else if (item.type === 'accordion') {
                return (h(AccordionItem, __assign({}, item, { activeItemName: activeItemName, isCollapsed: isCollapsed })));
            }
            return (h(NavigationItem, { item: item, key: item.name, active: item.name === activeItemName, isCollapsed: isCollapsed }));
        })));
};
export default SectionItem;
