var __read = (this && this.__read) || function (o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m) return o;
    var i = m.call(o), r, ar = [], e;
    try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
    }
    catch (error) { e = { error: error }; }
    finally {
        try {
            if (r && !r.done && (m = i["return"])) m.call(i);
        }
        finally { if (e) throw e.error; }
    }
    return ar;
};
/** @jsx h */
// Copyright (c) 2023 Cloudera, Inc. All rights reserved.
import InfoIcon from '@cloudera/cuix-core/icons/preact/InfoIcon.preact';
import i18n from "cuix/dist/utils/i18n";
import timeUtil from "cuix/dist/utils/timeUtil";
import { h } from 'preact';
import { useEffect, useState } from 'preact/hooks';
import { calcBaseUrl, createClouderaSalesReq, fetchTrialDetailsOnce } from '../utils';
/**
 * Section containing information about trials of a user like
 * days left from trial and possibility to upgrade / end trial.
 */
var TrialInfo = function () {
    var _a = __read(useState(), 2), trialDetails = _a[0], setTrialDetails = _a[1];
    useEffect(function () {
        fetchTrialDetailsOnce().then(function (data) {
            setTrialDetails(data.obj.trialDetails);
        });
    }, []);
    var trialEndDate = trialDetails === null || trialDetails === void 0 ? void 0 : trialDetails.endTime;
    var daysUntilTrialEnds = timeUtil.getDaysUntil(trialEndDate);
    var daysLeftFromTrial = timeUtil.getTextOfDaysUntil(daysUntilTrialEnds);
    var createSalesReq = function () {
        createClouderaSalesReq().then(function (_res) {
            var trialPath = '/trial/#/postRegister/thankyou';
            var baseUrl = 'mow';
            var url = calcBaseUrl(baseUrl) + trialPath;
            window.location.href = url;
        });
    };
    var viewDemo = function () {
        window.location.href = 'https://github.com/cdp-one-field/opendatalakehouse';
    };
    var endTrial = function () {
        var trialPath = '/trial/#/postRegister/endTrial';
        var baseUrl = 'mow';
        var endTrialUrl = calcBaseUrl(baseUrl) + trialPath;
        window.location.href = endTrialUrl;
    };
    return (h("div", { className: "cdp-sidebar-v2-trial-wrapper" },
        h("div", { className: "cdp-sidebar-v2-flexbox" },
            h(InfoIcon, { className: "cdp-sidebar-v2-icon" }),
            h("p", { className: "cdp-sidebar-v2-trial-text cdp-sidebar-v2-text-bold" },
                i18n.t('trial.trialExpiresInDays'),
                " ",
                daysLeftFromTrial)),
        h("button", { className: "cdp-sidebar-v2-trial-button cdp-sidebar-v2-primary-button", onClick: createSalesReq }, i18n.t('trial.getStarted')),
        h("div", { className: "cdp-sidebar-v2-flexbox" },
            h("button", { className: "cdp-sidebar-v2-trial-button cdp-sidebar-v2-secondary-button", "data-event": "View Demo Clicked", onClick: viewDemo }, i18n.t('trial.viewDemo')),
            h("button", { className: "cdp-sidebar-v2-trial-button cdp-sidebar-v2-link-button", onClick: endTrial }, i18n.t('trial.endTrial'))),
        h("div", { className: "cdp-sidebar-v2-flexbox" },
            h("p", { className: "cdp-sidebar-v2-trial-text cdp-sidebar-v2-text-regular" },
                i18n.t('trial.needHelp.part1'),
                " ",
                h("a", null, i18n.t('trial.needHelp.part2')),
                ' ',
                i18n.t('trial.needHelp.part3')))));
};
export default TrialInfo;
