/** @jsx h */
// Copyright (c) 2020 Cloudera, Inc. All rights reserved.
import { h } from 'preact';
import { getAssigneeDisplayName } from "cdp-js/dist/helpers/iamHelpers";
import appConfig from "cdp-js/dist/lib/appConfig";
import UserIcon from './UserIcon.preact';
import BaseNavigationItem from './BaseNavigationItem.preact';
import i18n from "cuix/dist/utils/i18n";
/**
 * Content for the user drawer - Name, profile link and logout button
 */
var UserDrawerContent = function (_a) {
    var logoutUrl = _a.logoutUrl, logoutHandler = _a.logoutHandler, user = _a.user, hideUserItemProfileLink = _a.hideUserItemProfileLink, workloadPasswordDetails = _a.workloadPasswordDetails;
    var logoutItem = logoutUrl
        ? { name: 'logout', url: logoutUrl }
        : {
            name: 'logout',
            handler: function () {
                logoutHandler ? logoutHandler() : appConfig.doLogout();
                return false;
            }
        };
    var displayName = getAssigneeDisplayName(user);
    return (h("div", { className: "cdp-sidebar-v2-drawer-user-content" },
        h("div", { className: "cdp-sidebar-v2-drawer-user-content-header" },
            h(UserIcon, { user: user }),
            h("div", null,
                h("div", null, displayName),
                h("small", null, user.email || ''))),
        h("ul", null,
            !hideUserItemProfileLink && (h("li", null,
                h("a", { href: "".concat(appConfig.getAltusBaseUrl(), "/iam/index.html#/my-account"), "data-event-category": "Sidebar", "data-event": "Click User Profile" }, "Profile"),
                (workloadPasswordDetails === null || workloadPasswordDetails === void 0 ? void 0 : workloadPasswordDetails.showNotification) && (h("div", { className: "cdp-sidebar-v2-drawer-user-password-expiration-container" },
                    h("div", { className: "cdp-sidebar-v2-user-exclamation-small", role: "img" }, "!"),
                    workloadPasswordDetails.expired === true ? (h("p", null, i18n.t('label.workloadPasswordExpired'))) : (h("p", null, i18n.t('label.workloadPasswordExpiresSoon'))))))),
            h("li", null,
                h(BaseNavigationItem, { item: logoutItem, "data-event-category": "Sidebar", "data-event": "Click Logout" }, "Log Out")))));
};
export default UserDrawerContent;
