/** @jsx h */
// Copyright (c) 2020 Cloudera, Inc. All rights reserved.
import { h, Fragment } from 'preact';
import closeIcon from '@cloudera/cuix-core/icons/svg/ic-close.svg';
import { calcBaseUrl } from '../utils';
/**
 * Renders the build details content inside the versions drawer.
 */
var VersionsDrawerContent = function (_a) {
    var onClose = _a.onClose, buildDetails = _a.buildDetails;
    var descriptionList = (buildDetails === null || buildDetails === void 0 ? void 0 : buildDetails.descriptionList) || [];
    var docs = (buildDetails === null || buildDetails === void 0 ? void 0 : buildDetails.docs) || false;
    var now = new Date();
    // In case system clock is messed up, default to at least 2020.
    // Not sure it really matters, but made me feel a bit better since
    // its legal text.
    var currentYear = Math.max(2020, now.getFullYear());
    return (h("div", { className: "cdp-sidebar-v2-drawer-common-menu" },
        h("div", { className: "cdp-sidebar-v2-drawer-common-menu-header" },
            h("h1", null, "Build Details"),
            h("button", { onClick: onClose, className: "cdp-sidebar-v2-base-btn", "data-event-category": "Sidebar", "data-event": "Close Versions" },
                h("img", { src: closeIcon, alt: "Close" }))),
        h("div", { className: "cdp-sidebar-v2-drawer-common-menu-body" },
            h("dl", null, descriptionList.map(function (item) { return (h(Fragment, { key: item.term },
                h("dt", null, item.term),
                h("dd", null, item.description))); }))),
        docs && (h("div", { className: "cdp-sidebar-v2-drawer-common-menu-body cdp-sidebar-v2-version-drawer-related-docs" },
            h("h2", null, "Related Documentation"),
            h("ul", null, docs.map(function (item) {
                var href = item.href || calcBaseUrl(item.baseUrl) + item.path;
                return (h("li", { key: item.name },
                    h("a", { href: href, target: item.target, "data-event-category": "Sidebar", "data-event": "Open Documentation link", "data-event-label": item.displayName }, item.displayName)));
            })))),
        h("footer", null,
            "Copyright \u00A9 2011-",
            currentYear,
            " Cloudera, Inc. All rights reserved.")));
};
export default VersionsDrawerContent;
