/** @jsx h */
// Copyright (c) 2020 Cloudera, Inc. All rights reserved.
import { h } from 'preact';
import SupportIcon from '@cloudera/cuix-core/icons/preact/SupportIcon.preact';
import DocumentationIcon from '@cloudera/cuix-core/icons/preact/DocumentationIcon.preact';
import GroupsIcon from '@cloudera/cuix-core/icons/preact/GroupsIcon.preact';
import CliIcon from '@cloudera/cuix-core/icons/preact/CliIcon.preact';
import HelpIcon from '@cloudera/cuix-core/icons/preact/HelpIcon.preact';
import NextIcon from '@cloudera/cuix-core/icons/preact/NextIcon.preact';
import TelemetryIcon from '@cloudera/cuix-core/icons/preact/TelemetryIcon.preact';
import ParcelIcon from '@cloudera/cuix-core/icons/preact/ParcelIcon.preact';
export var PUBLIC_CLOUD_SUPPORT_ITEMS = [
    {
        IconComponent: SupportIcon,
        name: 'support',
        displayName: 'Support',
        target: '_blank',
        href: 'https://my.cloudera.com/support.html'
    },
    {
        IconComponent: TelemetryIcon,
        name: 'diagnostics',
        displayName: 'Collect Diagnostic Data',
        baseUrl: 'mow',
        path: '/udx',
        entitlement: 'UNIFIED_DIAGNOSTICS'
    },
    {
        IconComponent: DocumentationIcon,
        name: 'documentation',
        displayName: 'Documentation',
        target: '_blank',
        href: 'https://docs.cloudera.com/'
    },
    {
        IconComponent: GroupsIcon,
        name: 'community',
        displayName: 'Community',
        target: '_blank',
        href: 'https://community.cloudera.com/t5/forums/filteredbylabelpage/board-id/Questions/label-name/cloudera%20data%20platform%20(cdp)'
    },
    {
        IconComponent: CliIcon,
        name: 'download_cli',
        displayName: 'Download CLI',
        baseUrl: 'mow',
        path: '/cloud/download'
    }
];
export var PRIVATE_CLOUD_SUPPORT_ITEMS = [
    {
        IconComponent: SupportIcon,
        name: 'support',
        displayName: 'Support',
        target: '_blank',
        href: 'https://my.cloudera.com/support.html'
    },
    {
        IconComponent: DocumentationIcon,
        name: 'documentation',
        displayName: 'Documentation',
        target: '_blank',
        href: 'https://docs.cloudera.com/'
    },
    {
        IconComponent: GroupsIcon,
        name: 'community',
        displayName: 'Community',
        target: '_blank',
        href: 'https://community.cloudera.com/t5/forums/filteredbylabelpage/board-id/Questions/label-name/cloudera%20data%20platform%20(cdp)'
    }
];
// The help icon is slightly misaligned vertically, so adjusting it here until we can fix the underlying
// alignemnt issue in CUIX.
var AdjustedHelpIcon = function () {
    return h(HelpIcon, { viewBox: "0 2 24 24" });
};
export var HELP_ITEM = {
    name: 'help',
    displayName: 'Help',
    type: 'navigation',
    IconComponent: AdjustedHelpIcon
};
export var TOUR_ITEM = {
    name: 'tour',
    displayName: 'Get Started',
    type: 'navigation',
    IconComponent: NextIcon
};
export var WHATS_NEW_ITEM = {
    name: 'whatsnew',
    displayName: "What's new",
    type: 'navigation',
    IconComponent: ParcelIcon
};
