import { JSONApp } from '../utils';
import { Entitlement } from "cdp-js/dist/api/iam/types";
/** Apps returned from hook */
export interface App extends Omit<JSONApp, 'baseUrl' | 'path' | 'entitlement' | 'disablingEntitlement'> {
    /** Fully computed URL for the app item */
    url: string;
}
/** Hook to fetch apps and filter based on entitlements as well as computing the url */
declare const useApps: (entitlements: Entitlement[] | undefined) => {
    fetching: boolean;
    apps: App[];
};
export default useApps;
