var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __read = (this && this.__read) || function (o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m) return o;
    var i = m.call(o), r, ar = [], e;
    try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
    }
    catch (error) { e = { error: error }; }
    finally {
        try {
            if (r && !r.done && (m = i["return"])) m.call(i);
        }
        finally { if (e) throw e.error; }
    }
    return ar;
};
// Copyright (c) 2020 Cloudera, Inc. All rights reserved.
import { useState, useEffect, useMemo } from 'preact/hooks';
import { calcBaseUrl, fetchAppsOnce } from '../utils';
/** Hook to fetch apps and filter based on entitlements as well as computing the url */
var useApps = function (entitlements) {
    var _a = __read(useState('loading'), 2), fetchedApps = _a[0], setFetchedApps = _a[1];
    useEffect(function () {
        fetchAppsOnce().then(function (apps) { return setFetchedApps(apps); });
    }, []);
    var filteredJsonApps = useMemo(function () {
        if (!Array.isArray(fetchedApps) || !entitlements) {
            return [];
        }
        var entitlementNames = entitlements.map(function (entitlement) { return entitlement.entitlementName; });
        return fetchedApps.filter(function (app) {
            if (app.entitlement && !entitlementNames.includes(app.entitlement)) {
                return false;
            }
            if (app.disablingEntitlement && entitlementNames.includes(app.disablingEntitlement)) {
                return false;
            }
            return true;
        });
    }, [fetchedApps, entitlements]);
    var apps = useMemo(function () {
        return filteredJsonApps.map(function (jsonApp) { return (__assign(__assign({}, jsonApp), { url: calcBaseUrl(jsonApp.baseUrl) + jsonApp.path })); });
    }, [filteredJsonApps]);
    return {
        fetching: fetchedApps === 'loading',
        apps: apps
    };
};
export default useApps;
