var __read = (this && this.__read) || function (o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m) return o;
    var i = m.call(o), r, ar = [], e;
    try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
    }
    catch (error) { e = { error: error }; }
    finally {
        try {
            if (r && !r.done && (m = i["return"])) m.call(i);
        }
        finally { if (e) throw e.error; }
    }
    return ar;
};
// Copyright (c) 2020 Cloudera, Inc. All rights reserved.
import { useState, useEffect } from 'preact/hooks';
import { getUserOnce, listEntitlementsOnce } from "cdp-js/dist/lib/apiWrappers";
/**
 * We need to fetch both entitlement and user information to render the full sidebar. The sidebar can either
 * fetch this data or be given this data. This is a helper function that returns a hook that can be used to
 * unwrap and optionally fetch this data. See `InternalOrExternalFetchedData` type.
 * @param dataFn The data fetching function
 */
var generateUseInternalOrExternalFetchedDataHook = function (dataFn) {
    var useInternalOrExternalFetchedData = function (data) {
        var _a = __read(useState(undefined), 2), fetchedData = _a[0], setFetchedData = _a[1];
        useEffect(function () {
            if (data !== 'auto') {
                return;
            }
            dataFn()
                .then(function (newData) {
                setFetchedData(newData);
            })
                .catch(function (err) {
                console.warn("Error loading sidebar data: ".concat(err));
            });
        }, [data]);
        var isFetching = data === 'loading' || (data === 'auto' && !fetchedData);
        var actualData = undefined;
        if (data !== null && data !== 'auto' && data !== 'loading') {
            actualData = data;
        }
        else if (data === 'auto') {
            actualData = fetchedData;
        }
        return { value: actualData, isFetching: isFetching };
    };
    return useInternalOrExternalFetchedData;
};
/**
 * Fetch user or use provided user
 */
export var useInternalOrExternalFetchedUser = generateUseInternalOrExternalFetchedDataHook(function () {
    return getUserOnce().then(function (resp) {
        return resp.obj.user;
    });
});
/**
 * Fetch entitlements or use provided ones.
 */
export var useInternalOrExternalFetchedEntitlements = generateUseInternalOrExternalFetchedDataHook(listEntitlementsOnce);
