/** @jsx h */
// Copyright (c) 2019 Cloudera, Inc. All rights reserved.
import { h } from 'preact';
import closeIcon from '@cloudera/cuix-core/icons/svg/ic-close.svg';
import backIcon from '@cloudera/cuix-core/icons/svg/ic-page-previous.svg';
import ActionLink from './ActionLink';
export default function PanelHeader(_a) {
    var children = _a.children, onBack = _a.onBack, onClose = _a.onClose;
    return (h("div", { className: "cdp-panel-header" },
        onBack && (h(ActionLink, { onClick: onBack, className: "cdp-back" },
            h("img", { src: backIcon, alt: "Back" }))),
        h("h1", { title: typeof children === 'string' ? children : '' }, children),
        onClose && (h(ActionLink, { onClick: onClose, className: "cdp-close" },
            h("img", { src: closeIcon, alt: "Close" })))));
}
