export declare const hasRunCuixInit: () => boolean;
interface Options {
    /**
     * Includes a feedback button that opens up a survey to gather feedback.
     * Defaults to true.
     */
    includeFeedbackBtn?: boolean;
    /**
     * Set the environmentBaseUrl in app config. The previous sidebar used to set this itself. Not sure how
     * many people use this if any.
     */
    environmentBaseUrl?: string;
}
/**
 * There are a couple of configuration items we want to make sure it setup before we render certain
 * components, such as the sidebar.
 */
declare const cuixInit: ({ includeFeedbackBtn, environmentBaseUrl }: Options) => void;
export default cuixInit;
