// Copyright (c) 2020 Cloudera, Inc. All rights reserved.
import appConfig from "cdp-js/dist/lib/appConfig";
import cuixVersion from './cuixVersion';
export var hasRunCuixInit = function () { return !!window._cuix_init; };
/**
 * There are a couple of configuration items we want to make sure it setup before we render certain
 * components, such as the sidebar.
 */
var cuixInit = function (_a) {
    var includeFeedbackBtn = _a.includeFeedbackBtn, environmentBaseUrl = _a.environmentBaseUrl;
    if (hasRunCuixInit()) {
        return;
    }
    window._cuix_init = true;
    window._cuix_version = cuixVersion;
    if (environmentBaseUrl) {
        appConfig.configure({ environmentBaseUrl: environmentBaseUrl });
    }
    if (includeFeedbackBtn === undefined || includeFeedbackBtn) {
        if (appConfig.isGovCloud()) {
            return;
        }
        /**
         * Adds feedback button that opens up survey modal.
         * For owner/stakeholders for this check with:
         *  - Johan Dorner <jdorner@cloudera.com>
         *  - Houshang Livian <hlivian@cloudera.com>
         *
         * We put this in a timeout, so less chance of competing with inital page load
         */
        setTimeout(function () {
            var script = document.createElement('script');
            script.src = 'https://resources.digital-cloud-west.medallia.com/wdcwest/9645/onsite/embed.js';
            script.async = true;
            script.type = 'text/javascript';
            document.body.appendChild(script);
        }, 2000);
    }
};
export default cuixInit;
