// Copyright (c) 2020 Cloudera, Inc. All rights reserved.
import appConfig from "cdp-js/dist/lib/appConfig";
import cuixVersion from './cuixVersion';
export var hasRunCuixInit = function () { return !!window._cuix_init; };
/**
 * There are a couple of configuration items we want to make sure it setup before we render certain
 * components, such as the sidebar.
 */
var cuixInit = function (_a) {
    var _b = _a === void 0 ? {} : _a, environmentBaseUrl = _b.environmentBaseUrl;
    if (hasRunCuixInit()) {
        return;
    }
    window._cuix_init = true;
    window._cuix_version = cuixVersion;
    if (environmentBaseUrl) {
        appConfig.configure({ environmentBaseUrl: environmentBaseUrl });
    }
};
export default cuixInit;
