/** @jsx h */
// Copyright (c) 2020 Cloudera, Inc. All rights reserved.
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import React, { useLayoutEffect, useRef } from 'react';
import { render, h } from 'preact';
var renderReact = function (ref) {
    var h = React.createElement;
    return h("div", { ref: ref });
};
/**
 * React to Preact adapter (using a Preact component on a React page).
 * Will introduce a wrapping div.
 */
var createReactPreactAdapter = function (PreactComponent) {
    var ReactAdapter = function (props) {
        var ref = useRef(null);
        useLayoutEffect(function () {
            if (ref.current) {
                render(h(PreactComponent, __assign({}, props)), ref.current);
            }
        }, [props]);
        useLayoutEffect(function () {
            return function () {
                // eslint-disable-next-line react-hooks/exhaustive-deps
                var el = ref.current;
                if (el) {
                    render(null, el);
                }
            };
        }, []);
        return renderReact(ref);
    };
    return ReactAdapter;
};
export default createReactPreactAdapter;
