/**
 * Preact hook for storing/using preference values e.g. values that are persisted that need
 * to persist across services in CDP e.g. sidebar.
 * This will likely be changed/improved when we get an API to store user data instead.
 * Works similar to `useState`.
 * @param key
 * @param defaultValue
 */
declare const useCookiePreference: <T extends string | number | boolean | object | null>(key: string, defaultValue: T) => readonly [T, (value: T | ((oldVal: T) => T)) => void];
export default useCookiePreference;
