var __read = (this && this.__read) || function (o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m) return o;
    var i = m.call(o), r, ar = [], e;
    try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
    }
    catch (error) { e = { error: error }; }
    finally {
        try {
            if (r && !r.done && (m = i["return"])) m.call(i);
        }
        finally { if (e) throw e.error; }
    }
    return ar;
};
// Copyright (c) 2020 Cloudera, Inc. All rights reserved.
import { useState, useCallback } from 'preact/hooks';
import cookie from 'js-cookie';
/**
 * Preact hook for storing/using preference values e.g. values that are persisted that need
 * to persist across services in CDP e.g. sidebar.
 * This will likely be changed/improved when we get an API to store user data instead.
 * Works similar to `useState`.
 * @param key
 * @param defaultValue
 */
var useCookiePreference = function (key, defaultValue) {
    var _a;
    // Match the three top-most parts of the domain e.g.
    // Prod - cdp.cloudera.com (matches both altus and dps subdomains)
    // Dev - mow-dev.cloudera.com (matches both altus and dps subdomains)
    var topDomain = ((_a = location.hostname.match(/([^.]*\.){2}[^.]*$/)) === null || _a === void 0 ? void 0 : _a[0]) || location.hostname;
    var cookieVal = cookie.getJSON(key);
    var initialValue = cookieVal === undefined ? defaultValue : cookieVal;
    var _b = __read(useState(initialValue), 2), state = _b[0], setState = _b[1];
    var setPreference = useCallback(function (value) {
        if (typeof value === 'function') {
            value = value(state);
        }
        try {
            cookie.set(key, JSON.stringify(value), { expires: 365, domain: topDomain });
        }
        catch (err) {
            console.warn(err);
        }
        setState(value);
    }, [key, state, topDomain]);
    return [state, setPreference];
};
export default useCookiePreference;
