// Copyright (c) 2020 Cloudera, Inc. All rights reserved.
import { useEffect } from 'preact/hooks';
/**
 * Runs callback when the parent element is scrolled.
 */
var useOnParentScroll = function (_a) {
    var containerRef = _a.containerRef, enabled = _a.enabled, onParentScroll = _a.onParentScroll;
    // since we don't get notification when the ref is updated, we'll run on every render
    useEffect(function () {
        var parentEl = containerRef.current && containerRef.current.parentElement;
        if (!enabled || !parentEl) {
            return;
        }
        parentEl.addEventListener('scroll', onParentScroll);
        return function () {
            parentEl.removeEventListener('scroll', onParentScroll);
        };
    });
};
export default useOnParentScroll;
