/**
 * Preact hook for storing/using preference values e.g. values that are persisted.
 * Currently persisted in localStorage, but could use cookie or similar method.
 * Works similar to `useState`.
 * @param key
 * @param defaultValue
 */
declare const usePreference: <T extends string | number | boolean | object | null>(key: string, defaultValue: T) => readonly [T, (value: T | ((oldVal: T) => T)) => void];
export default usePreference;
