var __read = (this && this.__read) || function (o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m) return o;
    var i = m.call(o), r, ar = [], e;
    try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
    }
    catch (error) { e = { error: error }; }
    finally {
        try {
            if (r && !r.done && (m = i["return"])) m.call(i);
        }
        finally { if (e) throw e.error; }
    }
    return ar;
};
// Copyright (c) 2020 Cloudera, Inc. All rights reserved.
import { useState, useCallback } from 'preact/hooks';
/**
 * Preact hook for storing/using preference values e.g. values that are persisted.
 * Currently persisted in localStorage, but could use cookie or similar method.
 * Works similar to `useState`.
 * @param key
 * @param defaultValue
 */
var usePreference = function (key, defaultValue) {
    var initialValue;
    try {
        var rawVal = localStorage.getItem(key);
        initialValue = rawVal === null ? defaultValue : JSON.parse(rawVal);
    }
    catch (err) {
        console.warn(err);
        initialValue = defaultValue;
    }
    var _a = __read(useState(initialValue), 2), state = _a[0], setState = _a[1];
    var setPreference = useCallback(function (value) {
        if (typeof value === 'function') {
            value = value(state);
        }
        try {
            localStorage.setItem(key, JSON.stringify(value));
        }
        catch (err) {
            console.warn(err);
        }
        setState(value);
    }, [key, state]);
    return [state, setPreference];
};
export default usePreference;
