/** @jsx h */
// Copyright (c) 2020 Cloudera, Inc. All rights reserved.
import { h } from 'preact';
import { CloseIcon, CheckIcon } from '../svg/icons';
import { GET_STARTED_TOUR_ID } from '../variables';
export var Checklist = function (_a) {
    var title = _a.title, description = _a.description, current = _a.current, checks = _a.checks, onClose = _a.onClose, onResume = _a.onResume, onStart = _a.onStart;
    return (h("section", { className: "cuix-checklist-panel cuix-checklist-panel-semitransparent" },
        h("header", { className: "cuix-checklist-header" },
            h("nav", { className: "cuix-checklist-panel-actions" },
                h("button", { "test-id": "close-button", onClick: onClose },
                    h(CloseIcon, null))),
            title),
        h("div", { className: "cuix-checklist-description" }, description),
        h("div", { className: "cuix-checklist-steps" },
            h("ul", { className: "cdp-tour-steps" }, checks.map(function (_a, i) {
                var title = _a.title, result = _a.result;
                // const isPassed = i < current;
                var isCurrent = i == current;
                return (h("li", { key: title, className: (result ? ' passed' : '') + (isCurrent ? ' current' : '') },
                    h("span", { className: "cdp-tour-step-number" }, result ? h(CheckIcon, null) : i + 1),
                    title));
            }))),
        (onStart || onResume) && (h("footer", { className: "cuix-checklist-footer" },
            onStart && (h("button", { "test-id": "start-button", className: "primary", onClick: onStart, "data-event-category": "Product Tours", "data-event": "Start Tour", "data-event-label": GET_STARTED_TOUR_ID }, "Start")),
            onResume && (h("button", { "test-id": "resume-button", className: "primary", onClick: onResume, "data-event-category": "Product Tours", "data-event": "Resume Tour", "data-event-label": GET_STARTED_TOUR_ID }, "Resume"))))));
};
