var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (_) try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [op[0] & 2, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
/** @jsx h */
// Copyright (c) 2020 Cloudera, Inc. All rights reserved.
import { h, render } from 'preact';
import FloatingPanel from './FloatingPanel';
import { Checklist } from './Checklist';
import { getCookie, setCookie } from '../Tour/cookie';
import { FLOATING_CHECKLIST_COOKIE_NAME, FLOATING_CHECKLIST_COOKIE_DAYS, CHECKLIST_DEFAULT_POS, GET_STARTED_TOUR_ID, COMMON_CONSOLE_APP_ID } from '../variables';
import { startTour, pauseActiveTour } from "cuix/dist/cdp/tour";
import { readTourState } from "cuix/dist/cdp/tour/Tour/TourState";
import { tourController } from "cuix/dist/cdp/tour/Tour/TourController";
var defaultChecklistState = { isExpanded: false, pos: CHECKLIST_DEFAULT_POS };
var CheckListController = /** @class */ (function () {
    function CheckListController() {
        var _this = this;
        this.fetchChecksData = function (callback) { return __awaiter(_this, void 0, void 0, function () {
            return __generator(this, function (_a) {
                console.warn('Checklist feature is temporarily disabled along with get-started tour.', !!callback ? 'Callback ignored' : '');
                return [2 /*return*/];
            });
        }); };
        this.setState = function (partialState) {
            var state = __assign(__assign({}, _this.getState()), partialState);
            setCookie(FLOATING_CHECKLIST_COOKIE_NAME, JSON.stringify(state), FLOATING_CHECKLIST_COOKIE_DAYS);
        };
        this.getState = function () {
            var state;
            try {
                var lastState = getCookie(FLOATING_CHECKLIST_COOKIE_NAME);
                state = lastState ? JSON.parse(lastState) : defaultChecklistState;
            }
            catch (e) {
                console.error("Can't parse value of ".concat(FLOATING_CHECKLIST_COOKIE_NAME, " cookie "));
            }
            return state && state.pos ? state : defaultChecklistState;
        };
        this.savePosition = function (pos) {
            _this.setState({ pos: pos });
        };
        this.getPosition = function () { return _this.getState().pos; };
        this.getIsExpanded = function () { return _this.getState().isExpanded; };
        this.close = function () {
            pauseActiveTour();
            _this.setState({ isExpanded: false });
            _this.animateClose();
        };
        this.animateClose = function () {
            if (_this.floatLayerEl) {
                var floatingPanel = _this.floatLayerEl.lastChild;
                if (floatingPanel instanceof HTMLElement) {
                    floatingPanel.style.opacity = '0';
                }
                setTimeout(function () {
                    _this.destroyPanel();
                    _this.notifyVisibilityListener(false);
                }, 250);
            }
            else {
                _this.destroyPanel();
                _this.notifyVisibilityListener(false);
            }
        };
        this.addVisibilityListener = function (visibilityListener) {
            _this.visibilityListener = visibilityListener;
        };
        this.notifyVisibilityListener = function (isVisible) {
            if (_this.visibilityListener) {
                _this.visibilityListener(isVisible);
            }
        };
        this.onStart = function () {
            startTour(COMMON_CONSOLE_APP_ID, GET_STARTED_TOUR_ID);
            setTimeout(function () {
                _this.showPanel();
            }, 100);
        };
        this.onResume = function () { return __awaiter(_this, void 0, void 0, function () {
            return __generator(this, function (_a) {
                switch (_a.label) {
                    case 0: return [4 /*yield*/, tourController.resume(COMMON_CONSOLE_APP_ID, GET_STARTED_TOUR_ID)];
                    case 1:
                        _a.sent();
                        this.showPanel();
                        return [2 /*return*/];
                }
            });
        }); };
        this.showPanel = function () {
            _this.fetchChecksData(_this._showPanel);
        };
        this._showPanel = function () {
            _this.destroyPanel();
            _this.setState({ isExpanded: true });
            _this.notifyVisibilityListener(true);
            var _a = _this.getState().checks, checks = _a === void 0 ? [] : _a;
            var _b = readTourState() || {}, tourId = _b.tourId, substep = _b.substepNumber, paused = _b.paused;
            var showResume = tourId === GET_STARTED_TOUR_ID &&
                ((paused && substep) ||
                    (!paused &&
                        tourController.currentSubstepController &&
                        tourController.currentSubstepController.didExpectedPathMatch === false));
            var showStart = tourId !== GET_STARTED_TOUR_ID || (tourId === GET_STARTED_TOUR_ID && paused && substep === 0);
            _this.floatLayerEl = document.createElement('div');
            document.body.appendChild(_this.floatLayerEl);
            render(h(FloatingPanel, { handleSelector: ".cuix-checklist-header", margin: 10, position: _this.getPosition(), onChangePosition: _this.savePosition },
                h(Checklist, { title: "Get Started", description: "Required steps to configure CDP", checks: [
                        __assign({ title: 'Create a CDP Credential' }, checks[1]),
                        __assign({ title: 'Create an Environment' }, checks[2]),
                        __assign({ title: 'Assign Roles and Groups' }, checks[3]),
                        __assign({ title: 'Create a Cluster' }, checks[4])
                    ], current: -1, onClose: _this.close, onExpand: _this.showPanel, onStart: showStart ? _this.onStart : undefined, onResume: showResume ? _this.onResume : undefined })), _this.floatLayerEl);
            return _this.floatLayerEl.lastChild;
        };
        this.destroyPanel = function () {
            if (_this.floatLayerEl && _this.floatLayerEl.parentNode) {
                _this.floatLayerEl.parentNode.removeChild(_this.floatLayerEl);
                delete _this.floatLayerEl;
            }
        };
        if (this.getIsExpanded()) {
            this.fetchChecksData(this._showPanel);
        }
    }
    return CheckListController;
}());
export var checkListController = new CheckListController();
