var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (_) try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [op[0] & 2, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
import { tourController } from '../Tour/TourController';
import { sleep } from "cuix/dist/utils/sleep";
import { clearTourStateCookie, clearVisitedToursCookie as clearVisitedTours, appendNextTourStateToUrl } from '../Tour/TourState';
import { interpolateWithTourVars } from '../Tour/tourDataTransformations';
import { setInputFieldValue, simulateMouseClick } from '../Substep/utils';
var debug = function (params) {
    console.log('debug', params);
};
var persistUserInput = function (_a) {
    var _b = _a.effect, varName = _b.varName, selector = _b.selector, attribute = _b.attribute, regexp = _b.regexp, _c = _b.regexpFlags, regexpFlags = _c === void 0 ? '' : _c, target = _a.substep.target;
    if (!(selector || target) || !varName) {
        return;
    }
    var targetEl = document.querySelector(selector || target);
    var value;
    if (targetEl instanceof HTMLInputElement) {
        value = targetEl.value;
    }
    else if (targetEl instanceof HTMLElement) {
        value = targetEl.textContent;
        if (attribute) {
            value = targetEl.getAttribute(attribute);
        }
    }
    if (value) {
        if (regexp) {
            var regex = new RegExp(regexp, regexpFlags);
            var matches = value.match(regex);
            if (matches) {
                tourController.setTourStateVar(varName, matches[1] || matches[0]);
            }
            else {
                console.error("Error in persistUserInput effect. Regex: ".concat(regexp, " with flags: '").concat(regexpFlags, "' can't match value from string '").concat(value, "'"));
            }
        }
        else {
            tourController.setTourStateVar(varName, value);
        }
    }
};
var typeValue = function (_a) {
    var _b = _a.effect, varName = _b.varName, tmpl = _b.tmpl, target = _a.substep.target, _c = _a.animate, animate = _c === void 0 ? true : _c, _d = _a.typingDuration, typingDuration = _d === void 0 ? 500 : _d;
    if (!(target && (varName || tmpl))) {
        return;
    }
    var targetEl = document.querySelector(target);
    if (targetEl instanceof HTMLInputElement) {
        var value = interpolateWithTourVars(tmpl || '${' + varName + '}');
        if (value) {
            if (animate) {
                animateSetInputValue(target, value, typingDuration);
            }
            else {
                setInputValue(target, value);
            }
        }
    }
};
/**
 * DWX application has some issues with tour tooltips positioning, maybe because icons-font loaded with some delay.
 * This triggerWindowResizeEvent effect is a temp workaround.
 * It allows to reposition tooltip after specified delay.
 *
 */
var triggerWindowResizeEvent = function (_a) {
    var delay = _a.effect.delay;
    return __awaiter(void 0, void 0, void 0, function () {
        return __generator(this, function (_b) {
            switch (_b.label) {
                case 0:
                    if (!delay) return [3 /*break*/, 2];
                    return [4 /*yield*/, sleep(delay)];
                case 1:
                    _b.sent();
                    _b.label = 2;
                case 2:
                    window.dispatchEvent(new Event('resize'));
                    return [2 /*return*/];
            }
        });
    });
};
/**
 * Sample for substep config
 * "onShow": {
 *   "effect": "triggerMouseClickEvent",
 *   "delay": 5000,
 *   "selector": "a[href='/iam/index.html#/groups']"
 * }
 */
var triggerMouseClickEvent = function (_a) {
    var _b = _a.effect, delay = _b.delay, selector = _b.selector;
    return __awaiter(void 0, void 0, void 0, function () {
        var element;
        return __generator(this, function (_c) {
            switch (_c.label) {
                case 0:
                    if (!delay) return [3 /*break*/, 2];
                    return [4 /*yield*/, sleep(delay)];
                case 1:
                    _c.sent();
                    _c.label = 2;
                case 2:
                    element = document.querySelector(selector);
                    if (element) {
                        simulateMouseClick(element);
                    }
                    else {
                        console.error("Effect :triggerMouseClickEvent can't find element for selector", selector);
                    }
                    return [2 /*return*/];
            }
        });
    });
};
var clearActiveTourCookie = function (_a) {
    clearTourStateCookie();
};
var clearVisitedToursCookie = function (_a) {
    clearVisitedTours();
};
var attachNextTourStateToLink = function (_a) {
    var linkSelector = _a.effect.linkSelector;
    var link = document.querySelector(linkSelector);
    if (link && link.nodeName === 'A') {
        var href = link.getAttribute('href');
        link.href = appendNextTourStateToUrl(href);
    }
};
export var tourEffects = {
    debug: debug,
    persistUserInput: persistUserInput,
    triggerWindowResizeEvent: triggerWindowResizeEvent,
    triggerMouseClickEvent: triggerMouseClickEvent,
    typeValue: typeValue,
    clearActiveTourCookie: clearActiveTourCookie,
    clearVisitedToursCookie: clearVisitedToursCookie,
    attachNextTourStateToLink: attachNextTourStateToLink
};
export var variableProducingEffects = ['persistUserInput'];
var setInputValue = function (cssSelector, value) {
    var targetEl = document.querySelector(cssSelector);
    if (targetEl) {
        setInputFieldValue(targetEl, value);
    }
    else {
        console.error('Element is not found for css selector', cssSelector);
    }
};
var animateSetInputValue = function (cssSelector, value, typingDuration) { return __awaiter(void 0, void 0, void 0, function () {
    var i, delay;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                i = 1;
                delay = value.length ? typingDuration / value.length : typingDuration;
                _a.label = 1;
            case 1:
                setInputValue(cssSelector, value.substring(0, i));
                return [4 /*yield*/, sleep(delay)];
            case 2:
                _a.sent();
                _a.label = 3;
            case 3:
                if (i++ < value.length) return [3 /*break*/, 1];
                _a.label = 4;
            case 4: return [2 /*return*/];
        }
    });
}); };
