// Copyright (c) 2019 Cloudera, Inc. All rights reserved.
import { substepCommonPropNames } from '../Tour/interfaces';
import { tourEffects } from './Effects';
import { tourController } from '../Tour/TourController';
import pick from 'lodash/pick';
var normalizeEffects = function (tourEffect) {
    return tourEffect ? [tourEffect].flat() : [];
};
var runEffect = function (effectName, params) {
    var customEffects = tourController.customEffects;
    var effect = customEffects[effectName] || tourEffects[effectName];
    if (typeof effect === 'function') {
        effect(params);
    }
};
export var runEffects = function (_a) {
    var effects = _a.effects, substep = _a.substep, event = _a.event;
    normalizeEffects(effects).forEach(function (effect) {
        runEffect(effect.effect, {
            effect: effect,
            substep: pick(substep, substepCommonPropNames),
            event: event
        });
    });
};
