import { Placement } from 'popper.js';
import { ArrowPlacement } from '../Tour/interfaces';
/**
 *  Propper is an exptension of Popper.js libraty that provides next extra features:
 *  - Preact components rendering as a Popper content
 *  - Allows screen centered positioning without requering of targetElement.
 *
 *  Usage
 *  const propper = new Popper({target, preactContent: <MyPreactComponent />, popperConfig}) // shows popper
 *  propper.destroy()  // hides popper and cleans memory and dom tree
 *
 */
interface Props {
    preactContent: any;
    target?: Element | null;
    placement?: Placement;
    arrowPlacement?: ArrowPlacement;
    popperConfig?: Record<string, any>;
    overlay?: boolean;
    isModal?: boolean;
}
export declare class Propper {
    private overlayEl?;
    private popper;
    private contentEl?;
    constructor({ target, preactContent, placement, arrowPlacement, popperConfig, overlay, isModal }: Props);
    private generatePopperConfig;
    private renderPreact;
    private renderOverlay;
    destroy: () => void;
}
export {};
