var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
/** @jsx h */
// Copyright (c) 2019 Cloudera, Inc. All rights reserved.
// @ts-ignore
import { render } from 'preact';
import Popper from 'popper.js';
var Propper = /** @class */ (function () {
    function Propper(_a) {
        var target = _a.target, preactContent = _a.preactContent, _b = _a.placement, placement = _b === void 0 ? 'auto' : _b, arrowPlacement = _a.arrowPlacement, popperConfig = _a.popperConfig, overlay = _a.overlay, isModal = _a.isModal;
        var _this = this;
        this.destroy = function () {
            if (_this.popper) {
                _this.popper.destroy();
                delete _this.popper;
            }
            if (_this.overlayEl && _this.overlayEl.parentNode) {
                _this.overlayEl.parentNode.removeChild(_this.overlayEl);
                delete _this.overlayEl;
            }
            if (_this.contentEl && _this.contentEl.parentNode) {
                _this.contentEl.parentNode.removeChild(_this.contentEl);
                delete _this.contentEl;
            }
        };
        if (!preactContent) {
            console.error("preactContent is not provided for Propper component");
            return;
        }
        if (overlay || isModal) {
            this.renderOverlay(isModal);
        }
        var content = this.renderPreact(preactContent);
        var config = this.generatePopperConfig({ placement: placement, arrowPlacement: arrowPlacement, target: target, popperConfig: popperConfig });
        this.popper = new Popper(target || document.body, content, config);
    }
    Propper.prototype.generatePopperConfig = function (_a) {
        var placement = _a.placement, arrowPlacement = _a.arrowPlacement, target = _a.target, _b = _a.popperConfig, popperConfig = _b === void 0 ? {
            modifiers: {
                flip: {
                    behavior: ['left', 'bottom', 'top', 'right']
                },
                preventOverflow: {
                    boundariesElement: document.body
                }
            }
        } : _b;
        var popperCfg = __assign(__assign({}, popperConfig), { 
            // Hack that adds custom arrowPlacement style into popper.js component.
            placement: "".concat(placement || '').concat(arrowPlacement ? "-arrow-".concat(arrowPlacement.charAt(0)) : '') });
        if (!target) {
            // Center popover in the window
            // @ts-ignore
            popperCfg.modifiers.computeStyle = {
                enabled: true,
                fn: function (data) {
                    data.styles = __assign(__assign({}, data.styles), { position: 'fixed', 
                        // @ts-ignore;
                        left: "".concat((window.innerWidth - data.popper.width) / 2, "px"), top: '50%', transform: 'translateY(-50%)' });
                    return data;
                }
            };
        }
        return popperCfg;
    };
    Propper.prototype.renderPreact = function (preactContent) {
        var rawContent = document.createElement('div');
        this.contentEl = document.body.appendChild(rawContent);
        render(preactContent, rawContent);
        return rawContent;
    };
    Propper.prototype.renderOverlay = function (isModal) {
        var overlay = document.createElement('div');
        overlay.classList.add('propper-overlay');
        if (isModal) {
            overlay.classList.add('propper-overlay-modal');
        }
        this.overlayEl = document.body.appendChild(overlay);
    };
    return Propper;
}());
export { Propper };
