/** @jsx h */
// Copyright (c) 2019 Cloudera, Inc. All rights reserved.
/* eslint react/no-unknown-property: 0 */
import { h } from 'preact';
import { fluidxGray400, fluidxBlue900 } from '../../styles/variables';
export default function StepProgressCircle(_a) {
    var numSteps = _a.numSteps, _b = _a.currentStepNumber, currentStepNumber = _b === void 0 ? 0 : _b;
    if (numSteps === 0) {
        return null;
    }
    var radius = 40;
    var perimeter = Math.round(Math.PI * radius * 2);
    return (h("div", { className: "cdp-step-progress-circle" },
        h("svg", { viewBox: "0 0 100 100", width: "1em", height: "1em", xmlns: "http://www.w3.org/2000/svg" },
            h("circle", { cx: "50", cy: "50", r: radius, fill: "none", "stroke-width": "8", stroke: fluidxGray400 }),
            h("circle", { cx: "50", cy: "50", r: radius, fill: "none", "stroke-width": "8", stroke: fluidxBlue900, "stroke-dashoffset": perimeter - (perimeter * currentStepNumber) / numSteps, "stroke-dasharray": perimeter })),
        h("span", null,
            currentStepNumber,
            "/",
            numSteps)));
}
