/** @jsx h */
// Copyright (c) 2020 Cloudera, Inc. All rights reserved.
import { h } from 'preact';
import { calcBaseUrl } from "cuix/dist/cdp/utils";
import { interpolateWithTourVars } from '../Tour/tourDataTransformations';
import { appendNextTourStateToUrl } from '../Tour/TourState';
var NextButton = function (_a) {
    var options = _a.options, onNext = _a.onNext, disabled = _a.disabled;
    var _b = typeof options === 'object' ? options : {}, _c = _b.title, title = _c === void 0 ? 'Next' : _c, _d = _b.baseUrl, baseUrl = _d === void 0 ? '' : _d, _e = _b.path, path = _e === void 0 ? '' : _e, _f = _b.linkTarget, linkTarget = _f === void 0 ? '_self' : _f, _g = _b.appendTourState, appendTourState = _g === void 0 ? false : _g;
    if (baseUrl || path || appendTourState) {
        var url = calcBaseUrl(baseUrl) + (path ? interpolateWithTourVars(path) : path);
        return (h("a", { disabled: disabled, className: "tour-next-app-link-button primary", href: appendTourState ? appendNextTourStateToUrl(url) : url, target: linkTarget, "test-id": "next-button" }, title));
    }
    else {
        return (h("button", { disabled: disabled, "test-id": "next-button", className: "primary", onClick: function () { return onNext && onNext(); } }, title));
    }
};
export default NextButton;
