/** @jsx h */
// Copyright (c) 2019 Cloudera, Inc. All rights reserved.
import { h } from 'preact';
import { CloseIcon, CollapseIcon, BackIcon } from '../svg/icons';
import NextButton from './NextButton';
var DEFAULT_MAX_WIDTH = 300;
export var Substep = function (props) {
    return (h("section", { className: "popper site-tour", style: { maxWidth: props.maxWidth || DEFAULT_MAX_WIDTH } },
        props.arrow && h("div", { "x-arrow": true }),
        h("nav", null,
            props.showPrev ? (h("button", { "test-id": "prev-button", onClick: function (e) {
                    props.onPrev && props.onPrev(e);
                }, "data-event-category": "Product Tours", "data-event": "Substep ".concat(props.stepId, ":").concat(props.substepNestedNumber), "data-event-label": "Prev" },
                h(BackIcon, null),
                h("span", null, "Go back"))) : (h("span", null)),
            h("span", null,
                props.onCollapse && (h("button", { "test-id": "collapse-button", "data-test": "CollapseButton", onClick: function (e) {
                        props.onCollapse && props.onCollapse(e);
                    }, "data-event-category": "Product Tours", "data-event": "Substep ".concat(props.stepId, ":").concat(props.substepNestedNumber), "data-event-label": "Collapse" },
                    h(CollapseIcon, null))),
                props.onClose && (h("button", { "test-id": "close-button", "data-test": "CloseButton", onClick: function (e) {
                        props.onClose && props.onClose(e);
                    }, "data-event-category": "Product Tours", "data-event": "Substep ".concat(props.stepId, ":").concat(props.substepNestedNumber), "data-event-label": "Close" },
                    h(CloseIcon, null))))),
        h("article", null,
            h("h3", null,
                props.showStepNumber && "Step ".concat(props.stepNumber + 1, ": "),
                h("span", { dangerouslySetInnerHTML: { __html: props.title } })),
            h("p", { dangerouslySetInnerHTML: { __html: props.content } })),
        h("footer", null,
            (props.showNext || props.nextButton) && (h(NextButton, { disabled: props.disableNextButton, onNext: props.onNext, options: props.nextButton, "data-event-category": "Product Tours", "data-event": "Substep ".concat(props.stepId, ":").concat(props.substepNestedNumber), "data-event-label": "Next" })),
            props.isLast && (h("button", { "test-id": "done-button", "data-test": "DoneButton", className: "primary", onClick: function (e) {
                    props.onDone && props.onDone(e);
                }, "data-event-category": "Product Tours", "data-event": "Substep ".concat(props.stepId, ":").concat(props.substepNestedNumber), "data-event-label": "Done" }, "Done")))));
};
