var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (_) try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [op[0] & 2, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
/** @jsx h */
// Copyright (c) 2019 Cloudera, Inc. All rights reserved.
import { h } from 'preact';
import { Propper } from '../Propper/Propper';
import { Substep } from './Substep';
import { waitForDom, getComposedPath, findHtmlElement, waitForCondition } from './utils';
import { sleep } from "cuix/dist/utils/sleep";
import { interpolateWithTourVars } from '../Tour/tourDataTransformations';
import { runEffects } from '../Effects/EffectsHelpers';
import debounce from 'lodash/debounce';
import { CHECKLIST_SELECTOR, DEFAUL_RETRY_DELAY, DEFAUL_MAX_WAIT_TIME, DEFAUL_EXPECTED_PATH_DELAY, HIGHLIGHT_TARGET_CSS_CLASS } from '../variables';
var SubstepController = /** @class */ (function () {
    function SubstepController(props) {
        var _this = this;
        this.targetEl = null;
        this.observedEl = null;
        this.mutationObserver = null;
        this.redraw = function () { return __awaiter(_this, void 0, void 0, function () {
            return __generator(this, function (_a) {
                switch (_a.label) {
                    case 0:
                        if (!this.isActive) return [3 /*break*/, 2];
                        this.destroy();
                        return [4 /*yield*/, this.start()];
                    case 1:
                        _a.sent();
                        _a.label = 2;
                    case 2: return [2 /*return*/];
                }
            });
        }); };
        this.start = function () { return __awaiter(_this, void 0, void 0, function () {
            var animationDelay, _a;
            return __generator(this, function (_b) {
                switch (_b.label) {
                    case 0:
                        animationDelay = this.props.animationDelay;
                        _a = this;
                        return [4 /*yield*/, this.waitForExpectedUrl()];
                    case 1:
                        _a._didExpectedPathMatch = _b.sent();
                        if (!this._didExpectedPathMatch) {
                            this.destroy();
                            return [2 /*return*/];
                        }
                        this.isActive = true;
                        return [4 /*yield*/, this.delay()];
                    case 2:
                        _b.sent(); // we need at least 200ms delay to allow ui start rerendering on intenal hash change
                        this.onStart();
                        return [4 /*yield*/, this.waitForTarget()];
                    case 3:
                        if (!(_b.sent())) {
                            this.destroy();
                            return [2 /*return*/];
                        }
                        if (!animationDelay) return [3 /*break*/, 5];
                        return [4 /*yield*/, sleep(animationDelay)];
                    case 4:
                        _b.sent();
                        _b.label = 5;
                    case 5:
                        if (this.props.target) {
                            this.locateTarget();
                            this.subscribeOnceTargetClick();
                        }
                        this.subscribeRequiredInputValueChange();
                        this.showPopper();
                        this.subscribeTargetOutisdeClick();
                        this.subscribeKeyDown();
                        this.scrollIntoView();
                        this.subscribeForDomMutations();
                        return [4 /*yield*/, this.waitForNextStepAvailability()];
                    case 6:
                        _b.sent();
                        return [2 /*return*/];
                }
            });
        }); };
        this.delay = function () { return __awaiter(_this, void 0, void 0, function () {
            var delay;
            return __generator(this, function (_a) {
                switch (_a.label) {
                    case 0:
                        delay = Math.max(200, this.props.delay || 0);
                        return [4 /*yield*/, sleep(delay)];
                    case 1:
                        _a.sent();
                        this.onDelay();
                        return [2 /*return*/];
                }
            });
        }); };
        this.waitForExpectedUrl = function () { return __awaiter(_this, void 0, void 0, function () {
            var expectedPath, isExpectedUrl, interpolatedExpectedPath, regexp;
            return __generator(this, function (_a) {
                switch (_a.label) {
                    case 0:
                        expectedPath = this.props.expectedPath;
                        if (!expectedPath) {
                            return [2 /*return*/, true];
                        }
                        return [4 /*yield*/, sleep(DEFAUL_EXPECTED_PATH_DELAY)];
                    case 1:
                        _a.sent();
                        interpolatedExpectedPath = interpolateWithTourVars(expectedPath);
                        regexp = new RegExp(interpolatedExpectedPath);
                        return [4 /*yield*/, waitForCondition({
                                retryDelay: DEFAUL_RETRY_DELAY,
                                waitTime: DEFAUL_MAX_WAIT_TIME,
                                predicate: function () { return regexp.test(location.pathname + location.hash + location.search); },
                                onError: function () {
                                    console.warn("Tour will not continue on this page, because URL path: ".concat(location.pathname + location.hash + location.search, " doesn't match expected path: ").concat(interpolatedExpectedPath));
                                    isExpectedUrl = false;
                                },
                                onSuccess: function () {
                                    isExpectedUrl = true;
                                }
                            })];
                    case 2:
                        _a.sent();
                        return [2 /*return*/, !!isExpectedUrl];
                }
            });
        }); };
        this.waitForTarget = function () { return __awaiter(_this, void 0, void 0, function () {
            var waitFor, isFound;
            var _this = this;
            return __generator(this, function (_a) {
                switch (_a.label) {
                    case 0:
                        waitFor = this.props.waitFor;
                        if (!waitFor) {
                            return [2 /*return*/, true];
                        }
                        return [4 /*yield*/, waitForDom(__assign(__assign({}, waitFor), { onSuccess: function () {
                                    isFound = true;
                                    _this.onWaitSuccess();
                                }, onError: function (error) {
                                    isFound = false;
                                    _this.onWaitError(error);
                                    _this.onTargetNotFound("Substep Target: '".concat(JSON.stringify(waitFor), "' is not found. Try to refresh the page."));
                                } }))];
                    case 1:
                        _a.sent();
                        return [2 /*return*/, !!isFound];
                }
            });
        }); };
        this.waitForNextStepAvailability = function () { return __awaiter(_this, void 0, void 0, function () {
            var _a, nextOnWaitFor, onTargetNotFound;
            var _this = this;
            return __generator(this, function (_b) {
                switch (_b.label) {
                    case 0:
                        _a = this.props, nextOnWaitFor = _a.nextOnWaitFor, onTargetNotFound = _a.onTargetNotFound;
                        if (!nextOnWaitFor) return [3 /*break*/, 2];
                        return [4 /*yield*/, waitForDom(__assign(__assign({}, nextOnWaitFor), { onSuccess: this.onNext, onError: function (errors) {
                                    if (_this.isActive) {
                                        console.error("Can not automatically go to next substep. ", errors);
                                        if (onTargetNotFound) {
                                            _this.destroy();
                                            onTargetNotFound();
                                        }
                                    }
                                } }))];
                    case 1:
                        _b.sent();
                        _b.label = 2;
                    case 2: return [2 /*return*/];
                }
            });
        }); };
        this.locateTarget = function () {
            var selector = {
                css: _this.props.target,
                iframe: _this.props.targetIframe,
                content: _this.props.targetContent
            };
            _this.targetEl = findHtmlElement(selector);
            if (!_this.targetEl) {
                _this.onTargetNotFound("Substep Target: '".concat(JSON.stringify(selector), "' is not found. Try to refresh the page."));
            }
            else {
                _this.onTargetFound();
            }
        };
        this.onRequiredValueInput = function (e) {
            //@ts-ignore
            var value = e.currentTarget.value;
            var isInputEmpty = !value;
            var changed = isInputEmpty != _this._isInputEmpty;
            _this._isInputEmpty = isInputEmpty;
            if (changed) {
                _this.showPopper();
            }
        };
        this.subscribeRequiredInputValueChange = function () {
            if (_this.props.requireInput && _this.targetEl instanceof HTMLInputElement) {
                _this._isInputEmpty = !_this.targetEl.value;
                _this.targetEl.addEventListener('input', _this.onRequiredValueInput, false);
            }
        };
        this.unsubscribeRequiredInputValueChange = function () {
            if (_this.targetEl) {
                _this.targetEl.removeEventListener('input', _this.onRequiredValueInput, false);
                _this.targetEl.removeEventListener('input', _this.onRequiredValueInput, true);
            }
        };
        // TODO support multiple targets subscribe [future]
        this.subscribeOnceTargetClick = function () {
            var _a = _this, targetEl = _a.targetEl, onTargetClick = _a.onTargetClick;
            if (targetEl && onTargetClick) {
                targetEl.addEventListener('mousedown', onTargetClick, {
                    capture: true,
                    once: true,
                    passive: true
                });
            }
        };
        this.unsubscribeTargetClick = function () {
            var _a = _this, targetEl = _a.targetEl, onTargetClick = _a.onTargetClick;
            if (targetEl) {
                targetEl.removeEventListener('mousedown', onTargetClick, false);
                targetEl.removeEventListener('mousedown', onTargetClick, true);
            }
        };
        /**
         * We listen for onBodyMouseDown to catch the moments when user tries to interact with ui page
         * to make sure he follows product tour toolip(popper) instructions and interacts only with allowed elements.
         * User freedom for each substep is declared in
         * allowInteraction property
         * true/false - allows/forbids interaction with all elements
         * "css-selector" - allows elements who match css-selector
         * ["css-selector1", "css-selector2"] - allows elements who match any of listed selectors.
         * Regardless of allowInteraction value user can all the times interact with substep.target elemement, tooltip content and floating checklist.
         */
        this.onBodyMouseDown = function (event) {
            var eventTarget = (event.target || event.srcElement);
            var path = getComposedPath(eventTarget);
            // When tour popper(toolip) is displayed on screen we might need to partially of fully block user interaction
            if (_this.propper &&
                !(_this.isTourUiElement(path) || _this.isElementAllowedForInteraction(path))) {
                _this.onClickOutside(event);
            }
        };
        this.isTourUiElement = function (path) {
            if (_this.propper && path.includes(_this.propper.contentEl)) {
                return true;
            }
            var checkListEl = document.querySelector(CHECKLIST_SELECTOR);
            if (checkListEl && path.includes(checkListEl)) {
                return true;
            }
            return false;
        };
        this.isElementAllowedForInteraction = function (path) {
            if (_this.props.isLast) {
                // currently Congratulation (last) substep is not supposed to block any ui interactions
                return true;
            }
            if (_this.targetEl && path.includes(_this.targetEl)) {
                return true;
            }
            var allowInteraction = _this.props.allowInteraction;
            if (typeof allowInteraction === 'boolean' ||
                allowInteraction === undefined ||
                allowInteraction === null) {
                return !!allowInteraction;
            }
            if (typeof allowInteraction === 'string') {
                allowInteraction = [allowInteraction];
            }
            try {
                return path.some(function (el) { return allowInteraction.some(function (selector) { return el.matches(selector); }); });
            }
            catch (e) {
                console.error(e);
                return false;
            }
        };
        this.onKeyDown = function (e) {
            var _a = _this.props, preventDefaultForKeys = _a.preventDefaultForKeys, stopPropogationForKeys = _a.stopPropogationForKeys;
            if (stopPropogationForKeys === null || stopPropogationForKeys === void 0 ? void 0 : stopPropogationForKeys.includes(e.key)) {
                e.stopPropagation();
            }
            if (preventDefaultForKeys === null || preventDefaultForKeys === void 0 ? void 0 : preventDefaultForKeys.includes(e.key)) {
                e.preventDefault();
            }
        };
        this.subscribeTargetOutisdeClick = function () {
            document.body.addEventListener('mousedown', _this.onBodyMouseDown, {
                capture: true,
                once: false,
                passive: true
            });
        };
        this.unsubscribeTargetOutsideClick = function () {
            document.body.removeEventListener('mousedown', _this.onBodyMouseDown, false);
            document.body.removeEventListener('mousedown', _this.onBodyMouseDown, true);
        };
        this.subscribeKeyDown = function () {
            document.addEventListener('keydown', _this.onKeyDown, true);
        };
        this.ussubscribeKeyDown = function () {
            document.removeEventListener('keydown', _this.onKeyDown, false);
            document.removeEventListener('keydown', _this.onKeyDown, true);
        };
        this.runCallback = function (callbackName, event) {
            if (_this.isActive) {
                var callback = _this.props[callbackName];
                callback && callback(event);
            }
        };
        this.runEffects = function (eventName, event) {
            if (_this.isActive && _this.props && _this.props.effects[eventName]) {
                runEffects({ effects: _this.props.effects[eventName], substep: _this.props, event: event });
            }
        };
        this.runEffectsAndCallback = function (eventName, event) {
            if (_this.isActive) {
                _this.runEffects(eventName, event);
                _this.runCallback(eventName, event);
            }
        };
        this.onNext = function (event) {
            _this.runEffectsAndCallback('onNext', event);
        };
        this.onPrev = function (event) {
            _this.runEffectsAndCallback('onPrev', event);
        };
        this.onClose = function (event) {
            _this.runEffectsAndCallback('onClose', event);
        };
        this.onCollapse = function (event) {
            _this.runEffectsAndCallback('onCollapse', event);
        };
        this.onDone = function (event) {
            _this.runEffectsAndCallback('onDone', event);
        };
        this.onInit = function (event) {
            _this.runEffectsAndCallback('onInit', event);
        };
        this.onStart = function (event) {
            _this.runEffectsAndCallback('onStart', event);
        };
        this.onWaitSuccess = function (event) {
            _this.runEffectsAndCallback('onWaitSuccess', event);
        };
        this.onWaitError = function (event) {
            _this.runEffectsAndCallback('onWaitError', event);
        };
        this.onDelay = function (event) {
            _this.runEffectsAndCallback('onDelay', event);
        };
        this.onTargetFound = function (event) {
            _this.runEffectsAndCallback('onTargetFound', event);
        };
        this.onTargetNotFound = function (event) {
            _this.runEffectsAndCallback('onTargetNotFound', event);
        };
        this.onShow = function (event) {
            _this.runEffectsAndCallback('onShow', event);
        };
        this.onTargetClick = function (event) {
            _this.runEffects('onTargetClick', event);
            _this.props.nextOnTargetClick && _this.onNext(event);
        };
        // onClickOutside is called when user tries to interact with not allowed ui elements
        this.onClickOutside = function (event) {
            _this.runEffectsAndCallback('onClickOutside', event);
        };
        this.highlightTarget = function () {
            var highlightTarget = _this.props.highlightTarget;
            var targetEl = _this.targetEl;
            if (targetEl && highlightTarget) {
                targetEl.classList.add(HIGHLIGHT_TARGET_CSS_CLASS);
            }
        };
        this.unhighlightTarget = function () {
            var targetEl = _this.targetEl;
            if (targetEl) {
                targetEl.classList.remove(HIGHLIGHT_TARGET_CSS_CLASS);
            }
        };
        this.showPopper = function () {
            if (_this.propper) {
                _this.propper.destroy();
            }
            if (_this.props.hidden) {
                return;
            }
            var targetEl = _this.targetEl;
            var _a = _this.props, placement = _a.placement, target = _a.target, arrowPlacement = _a.arrowPlacement;
            if (target && !targetEl) {
                return;
            }
            _this.highlightTarget();
            _this.propper = new Propper({
                target: targetEl,
                placement: targetEl ? placement : undefined,
                arrowPlacement: arrowPlacement,
                preactContent: (h(Substep, { arrow: !!targetEl, showStepNumber: _this.props.showStepNumber, stepNumber: _this.props.stepNumber, stepId: _this.props.stepId, substepNestedNumber: _this.props.substepNestedNumber, title: interpolateWithTourVars(_this.props.title), content: interpolateWithTourVars(_this.props.content), maxWidth: _this.props.maxWidth, showPrev: _this.props.showPrev, showNext: _this.props.showNext, nextButton: _this.props.nextButton, disableNextButton: _this.props.requireInput && _this._isInputEmpty, isLast: _this.props.isLast, onDone: _this.onDone, onCollapse: _this.props.onCollapse && _this.onCollapse, onClose: _this.onClose, onPrev: _this.onPrev, onNext: _this.onNext })),
                overlay: _this.props.isLast || !target
            });
            _this.onShow();
        };
        this.scrollIntoView = function () {
            if (_this.targetEl && typeof _this.targetEl.scrollIntoView === 'function') {
                var scrollIntoView = _this.props.scrollIntoView;
                if (scrollIntoView) {
                    var options = typeof scrollIntoView === 'boolean'
                        ? { behavior: 'smooth', block: 'center' }
                        : scrollIntoView;
                    _this.targetEl.scrollIntoView(options);
                }
            }
        };
        this.subscribeForDomMutations = function () {
            if (_this.mutationObserver) {
                _this.mutationObserver.disconnect();
            }
            if (_this.observedEl) {
                _this.observedEl = null;
            }
            var watchForDomMutations = _this.props.watchForDomMutations;
            if (watchForDomMutations) {
                var selector = watchForDomMutations.selector, _a = watchForDomMutations.delay, delay = _a === void 0 ? 250 : _a;
                var cssSelector = interpolateWithTourVars(selector);
                _this.observedEl = document.querySelector(cssSelector);
                if (_this.observedEl) {
                    var observerConfig = { attributes: true, childList: true, subtree: true }; // TODO make it configurable
                    _this.mutationObserver = new MutationObserver(debounce(_this.redraw, delay));
                    _this.mutationObserver.observe(_this.observedEl, observerConfig);
                }
            }
        };
        this.destroy = function () {
            delete _this.isActive;
            delete _this._isInputEmpty;
            _this.unhighlightTarget();
            if (_this.propper) {
                _this.propper.destroy();
            }
            if (_this.mutationObserver) {
                _this.mutationObserver.disconnect();
                _this.mutationObserver = null;
            }
            if (_this.observedEl) {
                _this.observedEl = null;
            }
            _this.unsubscribeRequiredInputValueChange();
            _this.unsubscribeTargetClick();
            _this.unsubscribeTargetOutsideClick();
            _this.ussubscribeKeyDown();
            delete _this.propper;
            _this.targetEl = null;
        };
        this.isActive = true;
        this.props = props;
        this.onInit();
    }
    Object.defineProperty(SubstepController.prototype, "didExpectedPathMatch", {
        get: function () {
            return this._didExpectedPathMatch;
        },
        enumerable: false,
        configurable: true
    });
    return SubstepController;
}());
export { SubstepController };
