// Copyright (c) 2019 Cloudera, Inc. All rights reserved.
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (_) try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [op[0] & 2, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
import * as utils from './utils'; // import utils into itself
import { calcBaseUrl } from "cuix/dist/cdp/utils";
import { interpolateWithTourVars } from '../Tour/tourDataTransformations';
import { DEFAUL_MAX_WAIT_TIME, DEFAUL_RETRY_DELAY } from '../variables';
import { sleep } from "cuix/dist/utils/sleep";
import { appendTourStateToUrl } from '../Tour/TourState';
export var goToStepUrlAndReload = function (step) {
    var baseUrl = step.baseUrl, path = step.path;
    if (baseUrl || path) {
        var url = interpolateWithTourVars(getAbsoluteUrl(baseUrl, path));
        var _a = window.location, protocol = _a.protocol, hostname = _a.hostname, pathname = _a.pathname;
        var sameHostname = url.startsWith("".concat(protocol, "//").concat(hostname)) || url.startsWith('/');
        var samePathname = url.includes(pathname);
        window.location.href = appendTourStateToUrl(url);
        if (sameHostname && samePathname) {
            window.location.reload();
        }
    }
    else {
        window.location.reload();
    }
};
export var getAbsoluteUrl = function (baseUrl, path) {
    if (path === void 0) { path = ''; }
    return calcBaseUrl(baseUrl) + path;
};
export var removeQueryParamFromUrl = function (_a) {
    var url = _a.url, paramName = _a.paramName;
    if (!url || !url.includes('?')) {
        return url;
    }
    var urlParts = url.split('?');
    var searchParams = urlParts[1].split('&');
    var cleanedSearchParams = searchParams.filter(function (param) { return !param.startsWith("".concat(paramName, "=")); });
    return urlParts[0] + '?' + cleanedSearchParams.join('&');
};
export var removeTourStateFromUrl = function (url) {
    return removeQueryParamFromUrl({ url: url, paramName: 'activeTour' });
};
export var getQueryParam = function (name) {
    var urlQueryParams = document.location.search || document.location.hash.split('?')[1];
    var urlParams = new URLSearchParams(urlQueryParams);
    return urlParams.get(name);
};
var isDisplayed = function (element) {
    if (!element) {
        return false;
    }
    // according to the internet, it is faster to use offsetParent
    // than to check an element's computed style for display: none
    return element.offsetParent !== null;
};
// WAIT FOR    //TODO   [future] make it cancelable (aburov)
export var waitForDom = function (waitCfg) { return __awaiter(void 0, void 0, void 0, function () {
    var _a, delay, _b, waitTime, _c, retryDelay, presentSelector, nonPresentSelector, visibleSelector, hiddenSelector, urlPattern, onSuccess, onError, errors, errorHandler, regexp_1;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = waitCfg.delay, delay = _a === void 0 ? 0 : _a, _b = waitCfg.waitTime, waitTime = _b === void 0 ? DEFAUL_MAX_WAIT_TIME : _b, _c = waitCfg.retryDelay, retryDelay = _c === void 0 ? DEFAUL_RETRY_DELAY : _c, presentSelector = waitCfg.presentSelector, nonPresentSelector = waitCfg.nonPresentSelector, visibleSelector = waitCfg.visibleSelector, hiddenSelector = waitCfg.hiddenSelector, urlPattern = waitCfg.urlPattern, onSuccess = waitCfg.onSuccess, onError = waitCfg.onError;
                errors = [];
                errorHandler = function (e) { return errors.push(e); };
                if (!delay) return [3 /*break*/, 2];
                return [4 /*yield*/, sleep(delay)];
            case 1:
                _d.sent();
                _d.label = 2;
            case 2:
                if (!urlPattern) return [3 /*break*/, 4];
                regexp_1 = new RegExp(urlPattern);
                return [4 /*yield*/, waitForCondition({
                        retryDelay: retryDelay,
                        waitTime: waitTime,
                        predicate: function () { return regexp_1.test(document.location.href); },
                        onError: function () { return errorHandler("WaitFor took more than ".concat(waitTime, " for url: ").concat(urlPattern)); }
                    })];
            case 3:
                _d.sent();
                _d.label = 4;
            case 4: return [4 /*yield*/, waitForCondition({
                    retryDelay: retryDelay,
                    waitTime: waitTime,
                    predicate: function () {
                        // a list of potential predicates to check.
                        var predicates = [
                            {
                                selector: nonPresentSelector,
                                condition: function (element) { return !element; }
                            },
                            {
                                selector: presentSelector,
                                condition: function (element) { return !!element; }
                            },
                            {
                                selector: visibleSelector,
                                condition: function (element) { return isDisplayed(element); }
                            },
                            {
                                selector: hiddenSelector,
                                condition: function (element) { return !isDisplayed(element); }
                            }
                        ];
                        var allFound = predicates
                            .filter(function (_a) {
                            var selector = _a.selector;
                            return !!selector;
                        })
                            .every(function (_a) {
                            var selector = _a.selector, condition = _a.condition;
                            var selectors = Array.isArray(selector) ? selector : [selector];
                            return selectors.every(function (selector) {
                                var element = findHtmlElement(selector);
                                var found = condition(element);
                                return found;
                            });
                        });
                        return allFound;
                    },
                    onError: function () {
                        var selectors = { nonPresentSelector: nonPresentSelector, presentSelector: presentSelector, hiddenSelector: hiddenSelector, visibleSelector: visibleSelector };
                        errorHandler("WaitFor took more than ".concat(waitTime, " for selectors: ").concat(JSON.stringify(selectors)));
                    }
                })];
            case 5:
                _d.sent();
                errors.length ? onError && onError(errors.join('\n')) : onSuccess && onSuccess();
                return [2 /*return*/, !!errors.length];
        }
    });
}); };
// TODO [future] make it cancelable (aburov)
export var waitForCondition = function (waitCfg) { return __awaiter(void 0, void 0, void 0, function () {
    var predicate, waitTime, retryDelay, onError, onSuccess, retryUntilTime, hasError, found;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                predicate = waitCfg.predicate, waitTime = waitCfg.waitTime, retryDelay = waitCfg.retryDelay, onError = waitCfg.onError, onSuccess = waitCfg.onSuccess;
                retryUntilTime = Date.now() + waitTime;
                hasError = false;
                _a.label = 1;
            case 1:
                try {
                    found = predicate();
                }
                catch (error) {
                    console.error(error);
                    hasError = true;
                    return [3 /*break*/, 5];
                }
                if (!!found) return [3 /*break*/, 4];
                if (!(Date.now() < retryUntilTime)) return [3 /*break*/, 3];
                return [4 /*yield*/, sleep(retryDelay)];
            case 2:
                _a.sent();
                return [3 /*break*/, 4];
            case 3:
                hasError = true;
                return [3 /*break*/, 5];
            case 4:
                if (!found) return [3 /*break*/, 1];
                _a.label = 5;
            case 5:
                if (hasError) {
                    onError && onError();
                }
                else {
                    onSuccess && onSuccess();
                }
                return [2 /*return*/, hasError];
        }
    });
}); };
export var getComposedPath = function (target) {
    var path = [];
    while (target) {
        path.push(target);
        target = target.parentElement;
    }
    return path;
};
// used for test mocks
export var getWindowDocument = function () { return document; };
export var findHtmlElement = function (selector) {
    if (!selector) {
        return null;
    }
    var _a = (typeof selector === 'object' ? selector : { css: selector }), css = _a.css, content = _a.content, iframe = _a.iframe;
    if (!css) {
        return null;
    }
    var documentParent = utils.getWindowDocument();
    var targetEl;
    if (iframe) {
        var iframeSelector = interpolateWithTourVars(iframe);
        var iframeEl = documentParent.querySelector(iframeSelector);
        if (iframeEl && iframeEl.contentDocument) {
            documentParent = iframeEl.contentDocument;
        }
    }
    var cssSelector = interpolateWithTourVars(css);
    if (content) {
        // Converting NodeList to an array makes typescript yell, so it is easier to just user array.slice.
        var elements = Array.prototype.slice.call(documentParent.querySelectorAll(cssSelector));
        var contentSelector_1 = interpolateWithTourVars(content);
        // note: finds the first match
        targetEl = elements.find(function (element) {
            var text = (element === null || element === void 0 ? void 0 : element.textContent) || '';
            return text.match(contentSelector_1);
        });
    }
    else {
        targetEl = documentParent.querySelector(cssSelector);
    }
    return targetEl || null;
};
var mouseClickEvents = ['mousedown', 'click', 'mouseup'];
export var simulateMouseClick = function (element) {
    mouseClickEvents.forEach(function (mouseEventType) {
        return element.dispatchEvent(new MouseEvent(mouseEventType, {
            view: window,
            bubbles: true,
            cancelable: true,
            buttons: 1
        }));
    });
};
export var setInputFieldValue = function (input, value) {
    if (input && value) {
        setNativeValue(input, value);
        var event_1 = new Event('input', { bubbles: true });
        input.dispatchEvent(event_1);
        input.value = value;
        input.focus();
    }
};
export var setNativeValue = function (element, value) {
    var valueDescriptor = Object.getOwnPropertyDescriptor(element, 'value');
    var ownValuePropertyDescriptor = Object.getOwnPropertyDescriptor(Object.getPrototypeOf(element), 'value');
    if (!valueDescriptor || !ownValuePropertyDescriptor) {
        return;
    }
    var valueSetter = valueDescriptor.set;
    var prototypeValueSetter = ownValuePropertyDescriptor.set;
    if (valueSetter !== prototypeValueSetter) {
        prototypeValueSetter && prototypeValueSetter.call(element, value);
    }
    else {
        valueSetter && valueSetter.call(element, value);
    }
};
