import { Props as SubstepControllerProps } from '../Substep/SubstepController';
import { TourJson, TourProps, TourState, CommonSubstepProps, SubstepProps, jsonValue, AutoRestartConfig, StartConfig, TourVars, EffectFunction } from './interfaces';
import '../Checklist/ChecklistController';
declare class TourController {
    state: TourState | undefined;
    tour: TourProps | undefined;
    onShowTourPanel?: Function;
    currentSubstepController: SubstepControllerProps | null;
    clickOutsideDialog: any;
    proposeToRestoreDialog: any;
    customEffects: Record<string, EffectFunction>;
    setState: (state: TourState | undefined) => void;
    patchState: (patch: Partial<TourState>) => void;
    getTourStateVars: () => {
        [x: string]: string;
    };
    getTourStateVar: (varName: string) => string;
    setTourStateVar: (varName: string, value: jsonValue) => void;
    initTourAndState: (appId: string, tour: TourJson, vars?: TourVars) => void;
    isTourInitialised: () => boolean;
    getTourJson: (appId: string, tourId: string) => Promise<TourJson | undefined>;
    start: (appId: string, tourId: string, cfg?: StartConfig) => Promise<void>;
    autoRestart: ({ environmentBaseUrl, onShowTourPanel, vars, effects }: AutoRestartConfig) => Promise<void>;
    close: (showSidebar: boolean) => void;
    pause: (showSidebar: boolean) => void;
    resume: (appId: string, tourId: string, stepIdToResume?: string, cfg?: StartConfig) => Promise<void>;
    /**
     * Used to restore tour if user presses Restore button in tour error dialog.
     * Restore steps
     *  - finds last used step
     *  - patch activeTour substep to be first for step.
     *  - reloads page using step.url
     *  - then tour.autorestart method will do remaining part.
     */
    restore: () => Promise<void>;
    end: () => void;
    getCurrentSubstepNumber: () => number | undefined;
    getCurrentSubstep: () => SubstepProps | undefined;
    hasNext: () => boolean;
    hasPrev: () => boolean;
    getNextSubstep: () => CommonSubstepProps | undefined;
    getPrevSubstep: () => CommonSubstepProps | undefined;
    showNextSubstep: () => Promise<void>;
    showPrevSubstep: () => Promise<void>;
    destroySubstep: () => void;
    getIncrementedTourState: (increment?: number) => TourState | undefined;
    getStepSubstep: (stepId: string, substepNestedNumber: number) => SubstepProps | undefined;
    showStepSubstep: (stepId: string, substepNestedNumber: number) => Promise<void>;
    onTargetNotFound: (e: any) => void;
    proposeToRestore: (e: any) => void;
    onClickOutside: (e: MouseEvent) => void;
}
export declare const tourController: TourController;
export {};
