var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (_) try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [op[0] & 2, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
/** @jsx h */
// Copyright (c) 2019 Cloudera, Inc. All rights reserved.
import { h } from 'preact';
import { SubstepController } from '../Substep/SubstepController';
import { goToStepUrlAndReload } from '../Substep/utils';
import { saveTourStateIntoCookie, readTourState, clearTourStateCookie, patchVisitedToursCookie, calculateAppIdFromTourId } from './TourState';
import { tourJsonToProps } from './tourDataTransformations';
import { Propper } from '../Propper/Propper';
import { SimpleDialog } from '../Dialog/SimpleDialog';
import appConfig from "cdp-js/dist/lib/appConfig";
import '../Checklist/ChecklistController';
import { checkListController } from '../Checklist/ChecklistController';
import { getAppTour } from '../toursData';
import { VISITED_TOURS_V2_COOKIE_DONE_VALUE, GET_STARTED_TOUR_ID } from '../variables';
import { stateToSimpleString, trackTourError, trackTourEvent } from '../tourUtils';
var TourController = /** @class */ (function () {
    function TourController() {
        var _this = this;
        this.state = undefined;
        this.tour = undefined;
        this.currentSubstepController = null;
        this.customEffects = {};
        this.setState = function (state) {
            saveTourStateIntoCookie(state);
        };
        this.patchState = function (patch) {
            var state = readTourState();
            if (!state || !_this.isTourInitialised()) {
                throw new Error('Tour can not be patched before it is initialized');
            }
            _this.setState(__assign(__assign({}, state), patch));
        };
        this.getTourStateVars = function () {
            var _a;
            var state = readTourState();
            var tourVars = ((_a = _this.tour) === null || _a === void 0 ? void 0 : _a.vars) || {};
            var stateVars = (state && state.vars) || {};
            return __assign(__assign({}, tourVars), stateVars);
        };
        this.getTourStateVar = function (varName) { return _this.getTourStateVars()[varName]; };
        this.setTourStateVar = function (varName, value) {
            var state = readTourState();
            if (state && state.vars) {
                var vars = state.vars;
                vars[varName] = value;
                _this.patchState({ vars: vars });
            }
        };
        this.initTourAndState = function (appId, tour, vars) {
            if (vars === void 0) { vars = {}; }
            _this.tour = tourJsonToProps(tour);
            var id = _this.tour.steps[0].id;
            _this.setState({
                appId: appId,
                tourId: _this.tour.id,
                stepNumber: 0,
                stepId: id,
                substepNumber: 0,
                substepNestedNumber: 0,
                paused: false,
                vars: vars
                // we don't erase customEffects here to simplify tour restarting.
            });
        };
        this.isTourInitialised = function () {
            var state = readTourState();
            return !!(state && state.tourId && _this.tour);
        };
        this.getTourJson = function (appId, tourId) { return __awaiter(_this, void 0, void 0, function () {
            var tourJson;
            return __generator(this, function (_a) {
                switch (_a.label) {
                    case 0: return [4 /*yield*/, getAppTour(appId, tourId)];
                    case 1:
                        tourJson = _a.sent();
                        if (!tourJson) {
                            trackTourError("Can't getAppTour(".concat(appId, ", ").concat(tourId, ")"));
                        }
                        return [2 /*return*/, tourJson];
                }
            });
        }); };
        this.start = function (appId, tourId, cfg) {
            if (cfg === void 0) { cfg = {}; }
            return __awaiter(_this, void 0, void 0, function () {
                var vars, noReload, tourJson, substep, stepId, substepNestedNumber;
                var _a;
                return __generator(this, function (_b) {
                    switch (_b.label) {
                        case 0:
                            vars = cfg.vars, noReload = cfg.noReload;
                            return [4 /*yield*/, this.getTourJson(appId, tourId)];
                        case 1:
                            tourJson = _b.sent();
                            if (!tourJson) {
                                return [2 /*return*/];
                            }
                            this.initTourAndState(appId, tourJson, vars);
                            if (!noReload) return [3 /*break*/, 3];
                            substep = (_a = this.tour) === null || _a === void 0 ? void 0 : _a.allSubsteps[0];
                            if (!substep) {
                                console.error("Can't find first substep in tour ".concat(tourId, " "));
                                return [2 /*return*/];
                            }
                            stepId = substep.stepId, substepNestedNumber = substep.substepNestedNumber;
                            return [4 /*yield*/, this.showStepSubstep(stepId, substepNestedNumber)];
                        case 2:
                            _b.sent();
                            return [3 /*break*/, 4];
                        case 3:
                            goToStepUrlAndReload(tourJson.steps[0]);
                            _b.label = 4;
                        case 4: return [2 /*return*/];
                    }
                });
            });
        };
        this.autoRestart = function (_a) {
            var environmentBaseUrl = _a.environmentBaseUrl, onShowTourPanel = _a.onShowTourPanel, contextVars = _a.vars, _b = _a.effects, effects = _b === void 0 ? {} : _b;
            return __awaiter(_this, void 0, void 0, function () {
                var restoredState, tourId, _c, appId, substepNumber, paused, vars, tourJson, substep, stepId, stepNumber, substepNestedNumber, e_1;
                return __generator(this, function (_d) {
                    switch (_d.label) {
                        case 0:
                            if (environmentBaseUrl) {
                                appConfig.configure({ environmentBaseUrl: environmentBaseUrl });
                            }
                            this.customEffects = effects;
                            this.onShowTourPanel = onShowTourPanel;
                            restoredState = readTourState();
                            if (!restoredState || restoredState.paused) {
                                return [2 /*return*/];
                            }
                            tourId = restoredState.tourId, _c = restoredState.appId, appId = _c === void 0 ? calculateAppIdFromTourId(tourId) : _c, substepNumber = restoredState.substepNumber, paused = restoredState.paused, vars = restoredState.vars;
                            if (!tourId) {
                                trackTourError("Can't autorestart / tourId is undefined.");
                                return [2 /*return*/];
                            }
                            return [4 /*yield*/, this.getTourJson(appId, tourId)];
                        case 1:
                            tourJson = _d.sent();
                            if (!tourJson) {
                                trackTourError("Can't autoRestart / No tourJson. ".concat(stateToSimpleString(restoredState)));
                                return [2 /*return*/];
                            }
                            this.tour = tourJsonToProps(tourJson);
                            substep = this.getCurrentSubstep();
                            if (!substep) {
                                trackTourError("Can't autoRestart / Substep is not found. ".concat(stateToSimpleString(restoredState)));
                                return [2 /*return*/];
                            }
                            stepId = substep.stepId, stepNumber = substep.stepNumber, substepNestedNumber = substep.substepNestedNumber;
                            this.setState({
                                appId: appId,
                                tourId: tourId,
                                stepId: stepId,
                                stepNumber: stepNumber,
                                substepNumber: substepNumber,
                                substepNestedNumber: substepNestedNumber,
                                paused: paused,
                                vars: __assign(__assign({}, vars), contextVars)
                            });
                            _d.label = 2;
                        case 2:
                            _d.trys.push([2, 4, , 5]);
                            return [4 /*yield*/, this.showStepSubstep(stepId, substepNestedNumber)];
                        case 3:
                            _d.sent();
                            return [3 /*break*/, 5];
                        case 4:
                            e_1 = _d.sent();
                            console.warn("Substep ".concat(substepNumber, " autorestart failed: "), e_1);
                            return [3 /*break*/, 5];
                        case 5: return [2 /*return*/];
                    }
                });
            });
        };
        this.close = function (showSidebar) {
            _this.pause(showSidebar);
            var _a = readTourState() || {}, tourId = _a.tourId, paused = _a.paused;
            if (tourId === GET_STARTED_TOUR_ID && paused) {
                checkListController.showPanel();
            }
        };
        this.pause = function (showSidebar) {
            if (_this.isTourInitialised()) {
                _this.patchState({ paused: true });
            }
            _this.destroySubstep();
            setTimeout(function () {
                if (showSidebar && _this.onShowTourPanel) {
                    _this.onShowTourPanel();
                }
            }, 0);
        };
        // only active tour can be resumed
        // if stepNumber left undefined, we restore from stepNumber stecified in activeTour cookie
        this.resume = function (appId, tourId, stepIdToResume, cfg) {
            if (cfg === void 0) { cfg = {}; }
            return __awaiter(_this, void 0, void 0, function () {
                var vars, noReload, tourJson, restoredState, substep, firstSubstep, stepId, stepNumber, substepNumber, substepNestedNumber;
                return __generator(this, function (_a) {
                    switch (_a.label) {
                        case 0:
                            vars = cfg.vars, noReload = cfg.noReload;
                            return [4 /*yield*/, this.getTourJson(appId, tourId)];
                        case 1:
                            tourJson = _a.sent();
                            if (!tourJson) {
                                return [2 /*return*/];
                            }
                            restoredState = readTourState();
                            if (!restoredState) {
                                trackTourError("Can't resume tour ".concat(appId, "/").concat(tourId, " / Tour state is undefined."));
                                return [2 /*return*/];
                            }
                            if (restoredState && restoredState.tourId !== tourJson.id) {
                                trackTourError("Can't resume tour / Tour is not active. ".concat(stateToSimpleString(restoredState)));
                                return [2 /*return*/];
                            }
                            this.initTourAndState(appId, tourJson, __assign(__assign({}, restoredState === null || restoredState === void 0 ? void 0 : restoredState.vars), vars));
                            substep = stepIdToResume
                                ? this.getStepSubstep(stepIdToResume, 0)
                                : this.getCurrentSubstep();
                            if (!substep) {
                                trackTourError("Can't resume tour / Substep is not found. ".concat(stateToSimpleString(restoredState)));
                                return [2 /*return*/];
                            }
                            firstSubstep = this.getStepSubstep(substep.stepId, 0);
                            if (!firstSubstep) {
                                trackTourError("Can't resume tour / First Substep is not found. ".concat(stateToSimpleString(restoredState)));
                                return [2 /*return*/];
                            }
                            stepId = firstSubstep.stepId, stepNumber = firstSubstep.stepNumber, substepNumber = firstSubstep.substepNumber, substepNestedNumber = firstSubstep.substepNestedNumber;
                            console.assert(substepNestedNumber === 0, "substepNestedNumber should be 0 and not ".concat(substepNestedNumber));
                            this.patchState({
                                appId: appId,
                                tourId: tourId,
                                paused: false,
                                stepId: stepId,
                                stepNumber: stepNumber,
                                substepNumber: substepNumber,
                                substepNestedNumber: substepNestedNumber
                            });
                            if (!noReload) return [3 /*break*/, 3];
                            return [4 /*yield*/, this.showStepSubstep(stepId, substepNestedNumber)];
                        case 2:
                            _a.sent();
                            return [3 /*break*/, 4];
                        case 3:
                            goToStepUrlAndReload(tourJson.steps[stepNumber]);
                            _a.label = 4;
                        case 4: return [2 /*return*/];
                    }
                });
            });
        };
        /**
         * Used to restore tour if user presses Restore button in tour error dialog.
         * Restore steps
         *  - finds last used step
         *  - patch activeTour substep to be first for step.
         *  - reloads page using step.url
         *  - then tour.autorestart method will do remaining part.
         */
        this.restore = function () { return __awaiter(_this, void 0, void 0, function () {
            var state, tour, stepId, substep, substepNumber, stepNumber;
            return __generator(this, function (_a) {
                state = readTourState();
                if (!state) {
                    trackTourError("Can't restore tour / State is undefined. ".concat(stateToSimpleString(state)));
                    return [2 /*return*/];
                }
                tour = this.tour;
                if (!tour) {
                    trackTourError("Can't restore tour / Tour is undefined. ".concat(stateToSimpleString(state)));
                    return [2 /*return*/];
                }
                stepId = state.stepId;
                if (!stepId) {
                    trackTourError("Can't restore tour / stepId is undefined. ".concat(stateToSimpleString(state)));
                    return [2 /*return*/];
                }
                substep = this.getStepSubstep(stepId, 0);
                if (!substep) {
                    trackTourError("Can't restore tour / Step with id: ".concat(stepId, " is not found. ").concat(stateToSimpleString(state)));
                    return [2 /*return*/];
                }
                substepNumber = substep.substepNumber, stepNumber = substep.stepNumber;
                this.patchState({
                    paused: false,
                    substepNumber: substepNumber,
                    substepNestedNumber: 0,
                    stepId: stepId,
                    stepNumber: stepNumber
                });
                goToStepUrlAndReload(tour.steps[stepNumber]);
                return [2 /*return*/];
            });
        }); };
        this.end = function () {
            var tourState = readTourState();
            if (tourState) {
                var tourId = tourState.tourId, stepNumber = tourState.stepNumber;
                patchVisitedToursCookie(tourId, stepNumber + 1, VISITED_TOURS_V2_COOKIE_DONE_VALUE); // Mark last stepNumber as finished
            }
            _this.destroySubstep();
            _this.setState(undefined);
            clearTourStateCookie();
        };
        this.getCurrentSubstepNumber = function () {
            var state = readTourState();
            return state ? state.substepNumber : undefined;
        };
        this.getCurrentSubstep = function () {
            var state = readTourState();
            if (!state || !_this.tour) {
                trackTourError("Can't get current substep. ".concat(stateToSimpleString(state)));
                return;
            }
            var substep;
            var stepId = state.stepId, substepNestedNumber = state.substepNestedNumber, substepNumber = state.substepNumber;
            if (stepId !== undefined && substepNestedNumber !== undefined) {
                substep = _this.getStepSubstep(stepId, substepNestedNumber);
            }
            if (!substep && substepNumber !== undefined) {
                substep = _this.tour.allSubsteps[substepNumber];
            }
            if (!substep) {
                trackTourError("Can't get current substep. ".concat(stateToSimpleString(state)));
            }
            return substep;
        };
        this.hasNext = function () {
            var substep = _this.getCurrentSubstep();
            return (substep === null || substep === void 0 ? void 0 : substep.isLast) === false;
        };
        this.hasPrev = function () {
            var substep = _this.getCurrentSubstep();
            return (substep === null || substep === void 0 ? void 0 : substep.isFirst) === false;
        };
        this.getNextSubstep = function () {
            var _a;
            var substep = _this.getCurrentSubstep();
            return (substep === null || substep === void 0 ? void 0 : substep.isLast) === false
                ? (_a = _this.tour) === null || _a === void 0 ? void 0 : _a.allSubsteps[(substep === null || substep === void 0 ? void 0 : substep.substepNumber) + 1]
                : undefined;
        };
        this.getPrevSubstep = function () {
            var _a;
            var substep = _this.getCurrentSubstep();
            return (substep === null || substep === void 0 ? void 0 : substep.isFirst) === false
                ? (_a = _this.tour) === null || _a === void 0 ? void 0 : _a.allSubsteps[(substep === null || substep === void 0 ? void 0 : substep.substepNumber) - 1]
                : undefined;
        };
        this.showNextSubstep = function () { return __awaiter(_this, void 0, void 0, function () {
            var nextSubstep;
            return __generator(this, function (_a) {
                switch (_a.label) {
                    case 0:
                        nextSubstep = this.getNextSubstep();
                        if (!nextSubstep) {
                            trackTourError("Can't showNextSubstep / nextSubstep is undefined. ".concat(stateToSimpleString(readTourState()), " "));
                            return [2 /*return*/];
                        }
                        return [4 /*yield*/, this.showStepSubstep(nextSubstep.stepId, nextSubstep.substepNestedNumber)];
                    case 1:
                        _a.sent();
                        return [2 /*return*/];
                }
            });
        }); };
        this.showPrevSubstep = function () { return __awaiter(_this, void 0, void 0, function () {
            var prevSubstep;
            return __generator(this, function (_a) {
                switch (_a.label) {
                    case 0:
                        prevSubstep = this.getPrevSubstep();
                        if (!prevSubstep) {
                            console.error("Can't showPrevSubstep. It is undefined");
                            return [2 /*return*/];
                        }
                        return [4 /*yield*/, this.showStepSubstep(prevSubstep.stepId, prevSubstep.substepNestedNumber)];
                    case 1:
                        _a.sent();
                        return [2 /*return*/];
                }
            });
        }); };
        this.destroySubstep = function () {
            if (_this.currentSubstepController) {
                _this.currentSubstepController.destroy();
                _this.currentSubstepController = null;
            }
        };
        this.getIncrementedTourState = function (increment) {
            if (increment === void 0) { increment = 0; }
            var state = readTourState();
            if (!state) {
                console.error("Can't read tour state.");
                return undefined;
            }
            var substep = _this.tour.allSubsteps[(state === null || state === void 0 ? void 0 : state.substepNumber) + increment];
            if (!substep) {
                console.error("Substep (".concat(state.stepNumber + increment, ") doesn't exist in tour ").concat(state.tourId));
                return undefined;
            }
            var stepId = substep.stepId, stepNumber = substep.stepNumber, substepNumber = substep.substepNumber, substepNestedNumber = substep.substepNestedNumber;
            var tourState = __assign(__assign({}, state), { stepId: stepId, stepNumber: stepNumber, substepNumber: substepNumber, substepNestedNumber: substepNestedNumber });
            return tourState;
        };
        this.getStepSubstep = function (stepId, substepNestedNumber) {
            var _a;
            var substep = (_a = _this.tour) === null || _a === void 0 ? void 0 : _a.allSubsteps.find(function (ss) { return ss.stepId === stepId && ss.substepNestedNumber === substepNestedNumber; });
            if (!substep) {
                trackTourError("Can't getStepSubstep(".concat(stepId, ", ").concat(substepNestedNumber, "). ").concat(stateToSimpleString(readTourState())));
            }
            return substep;
        };
        this.showStepSubstep = function (stepId, substepNestedNumber) { return __awaiter(_this, void 0, void 0, function () {
            var substep, stepNumber, substepNumber, title, nextOnTargetClick, showNext, showPrev, substepProps, substepController;
            var _this = this;
            var _a;
            return __generator(this, function (_b) {
                switch (_b.label) {
                    case 0:
                        this.destroySubstep();
                        substep = this.getStepSubstep(stepId, substepNestedNumber);
                        if (!substep) {
                            return [2 /*return*/];
                        }
                        stepNumber = substep.stepNumber, substepNumber = substep.substepNumber, title = substep.title, nextOnTargetClick = substep.nextOnTargetClick, showNext = substep.showNext, showPrev = substep.showPrev;
                        this.patchState({
                            stepId: stepId,
                            stepNumber: stepNumber,
                            substepNumber: substepNumber,
                            substepNestedNumber: substepNestedNumber
                        });
                        if (this.tour.debug) {
                            console.log(" Show Substep (".concat(stepId, ", ").concat(substepNestedNumber, "): ").concat(title), substep);
                        }
                        substepProps = __assign(__assign({}, substep), { onCollapse: this.onShowTourPanel && (function () { return _this.close(true); }), onClose: function () { return _this.close(false); }, onNext: this.showNextSubstep, onPrev: this.showPrevSubstep, onDone: this.end, showNext: this.hasNext() && !nextOnTargetClick && showNext, showPrev: this.hasPrev() && showPrev, onTargetNotFound: this.onTargetNotFound, onClickOutside: this.onClickOutside });
                        trackTourEvent("Show. ".concat(stateToSimpleString({ tourId: (_a = this.tour) === null || _a === void 0 ? void 0 : _a.id, stepId: stepId, substepNestedNumber: substepNestedNumber })), title, substepNumber);
                        substepController = new SubstepController(substepProps);
                        this.currentSubstepController = substepController;
                        return [4 /*yield*/, substepController.start()];
                    case 1: return [2 /*return*/, _b.sent()];
                }
            });
        }); };
        this.onTargetNotFound = function (e) {
            trackTourError("Target is not found. ".concat(stateToSimpleString(readTourState())));
            _this.proposeToRestore(e);
        };
        this.proposeToRestore = function (e) {
            console.error("Propose to restore error:", e);
            var onClose = function () {
                _this.proposeToRestoreDialog.destroy();
                delete _this.proposeToRestoreDialog;
            };
            var onRestore = function () {
                onClose();
                _this.restore();
            };
            var onExit = function () {
                onClose();
                _this.pause(true);
            };
            _this.proposeToRestoreDialog = new Propper({
                overlay: true,
                preactContent: (h(SimpleDialog, { className: "error-message", title: "Oops, your tour got lost", message: "It looks like your tour got lost on the last step. This can happen if you switched pages too quickly, clicked a button unexpectedly, or clicked the browser's back button. Please click retry to try that last step again, or exit the tour and start over.", tooltip: e, onClose: onExit, actions: [
                        {
                            label: 'Retry',
                            callback: onRestore
                        },
                        {
                            label: 'Close',
                            callback: onExit
                        }
                    ] }))
            });
        };
        this.onClickOutside = function (e) {
            var _a;
            var substep = _this.getCurrentSubstep();
            if (substep === undefined) {
                trackTourError("Click Outside / Substep is undefined. ".concat(stateToSimpleString(readTourState())));
                return;
            }
            var allowInteraction = substep.allowInteraction, stepId = substep.stepId, substepNestedNumber = substep.substepNestedNumber;
            var stateString = stateToSimpleString({
                tourId: (_a = _this.tour) === null || _a === void 0 ? void 0 : _a.id,
                stepId: stepId,
                substepNestedNumber: substepNestedNumber
            });
            if (allowInteraction !== true && !_this.clickOutsideDialog) {
                var onClose_1 = function () {
                    _this.clickOutsideDialog.destroy();
                    delete _this.clickOutsideDialog;
                };
                e.stopPropagation();
                trackTourEvent("Do you want to exit the tour? ".concat(stateString), substep.title, substep.substepNumber);
                _this.clickOutsideDialog = new Propper({
                    overlay: true,
                    preactContent: (h(SimpleDialog, { title: "Do you want to exit the tour?", message: "Your progress will be saved and you can return to where you left off at any time.", onClose: onClose_1, actions: [
                            {
                                label: 'Yes',
                                callback: function () {
                                    trackTourEvent("Exit tour: Yes. ".concat(stateString), substep.title, substep.substepNumber);
                                    onClose_1();
                                    _this.pause(false);
                                }
                            },
                            {
                                label: 'No, let’s continue',
                                callback: function () {
                                    trackTourEvent("Exit tour: No. ".concat(stateString), substep.title, substep.substepNumber);
                                    onClose_1();
                                }
                            }
                        ] }))
                });
            }
        };
    }
    return TourController;
}());
export var tourController = new TourController();
