/** @jsx h */
// Copyright (c) 2019 Cloudera, Inc. All rights reserved.
import { h } from 'preact';
import { Propper } from '../Propper/Propper';
import { SimpleDialog } from '../Dialog/SimpleDialog';
var ErrorManager = /** @class */ (function () {
    function ErrorManager() {
        var _this = this;
        this.showError = function (_a) {
            var onClose = _a.onClose, _b = _a.title, title = _b === void 0 ? 'Error' : _b, message = _a.message;
            if (_this.propper) {
                _this.propper.destroy();
            }
            var _onClose = function () {
                _this.destroyError();
                onClose && onClose();
            };
            _this.propper = new Propper({
                preactContent: (h(SimpleDialog, { title: title, message: message, onClose: _onClose, actions: [{ label: 'OK', callback: _onClose }], className: "error-message" }))
            });
        };
        this.show = function (message, onClose) { return _this.showError({ message: message, onClose: onClose }); };
        this.destroyError = function () {
            if (_this.propper) {
                _this.propper.destroy();
            }
            delete _this.propper;
        };
    }
    return ErrorManager;
}());
export var errorManager = new ErrorManager();
