import { TourState, VisitedTours, VisitedToursV2 } from './interfaces';
export declare const isTourStateValid: (tourState: TourState) => boolean;
export declare const getActiveTourStateFromUrl: () => TourState | undefined;
export declare const getActiveTourStateFromCookie: () => TourState | undefined;
export declare const getActiveTourName: () => string | undefined;
export declare const isTourActive: (tourId: string) => boolean | undefined;
export declare const isVisitedTour: (tourId: string) => boolean;
export declare const saveTourStateIntoCookie: (activeTourState: TourState | undefined) => void;
/**
 * Reads Tour State from Url and Cookie.
 * If url has tourState it is updated into extended version and transfered into activeTour cookie
 */
export declare const readTourState: () => TourState | undefined;
export declare const clearTourStateCookie: () => void;
export declare const getVisitedToursV1: () => VisitedTours;
export declare const getVisitedToursV2: () => VisitedToursV2;
export declare const readVisitedToursCookie: (cookieName?: string) => VisitedTours | VisitedToursV2 | undefined;
export declare const setVisitedToursV1Cookie: (visitedTours: VisitedTours) => void;
export declare const setVisitedToursV2Cookie: (visitedToursV2: VisitedToursV2) => void;
export declare const patchVisitedToursCookie: (tourId: string, stepNumber: number, stepId?: string) => void;
export declare const clearVisitedToursCookie: () => void;
export declare const getActiveTourStateUrlQueryParam: () => string | undefined;
export declare const appendTourStateToUrl: (url: string, useNextState?: boolean) => string;
export declare const appendNextTourStateToUrl: (url: string) => string;
export declare const compressActiveTourState: (state: TourState, encode?: boolean) => string;
export declare const parseTourState: (stateString: string | null | undefined) => TourState | undefined;
export declare const calculateAppIdFromTourId: (tourId: string) => string;
export declare const decompressActiveTourState: (compressedState: string | null | undefined, decode?: boolean) => TourState | undefined;
