// Copyright (c) 2019 Cloudera, Inc. All rights reserved.
import { COOKIE_DOMAIN } from '../variables';
var hostname = document.location.hostname;
var cookieDomain = hostname.endsWith(COOKIE_DOMAIN) ? COOKIE_DOMAIN : hostname;
export var getCookie = function (name) {
    var nameEQ = name + '=', ca = document.cookie.split(';');
    var i, c, value;
    for (i = 0; i < ca.length; i++) {
        c = ca[i];
        while (c.charAt(0) === ' ') {
            c = c.substring(1, c.length);
        }
        if (c.indexOf(nameEQ) === 0) {
            value = c.substring(nameEQ.length, c.length);
            break;
        }
    }
    return value;
};
export var setCookie = function (name, value, days) {
    var expires = '', date;
    if (days) {
        date = new Date();
        date.setTime(date.getTime() + days * 24 * 60 * 60 * 1000);
        expires = date.toUTCString();
    }
    document.cookie = "".concat(name, "=").concat(value, "; expires=").concat(expires, "; domain=").concat(cookieDomain, "; path=/");
};
export var clearCookie = function (name) {
    setCookie(name, '', -1);
};
