import { SubstepJson, VarsUsage, TourJson, SubstepCommonJson, TourProps, StepJson } from './interfaces';
export declare const substepDefaults: Partial<SubstepCommonJson>;
export declare const tourJsonToProps: (tourJson: TourJson) => TourProps;
/**
 * Recursive interpolate function
 *  @param {string} template like iam/index.html#/groups/${groupName}
 *  @param {object} vars like {groupName: "myGroup"}
 *  @return {string} interpolated template string using provided vars object.
 */
export declare const interpolate: (template: string, vars: Record<string, any>) => string;
export declare const interpolateWithTourVars: (template: string) => string;
export declare const extractVarNamesFromTemplate: (tmpl?: string) => string[];
export declare const extractVarNamesFromNextButton: ({ nextButton }: SubstepJson) => string[];
export declare const extractUsedVarsFromStepJson: ({ baseUrl, path, expectedPath }: StepJson) => string[];
/**
 * During demo user may create some resources. It is possible to collect and save
 * names of this resources in tourVariables (which are persisted in activeTour cookie)
 * Variables may be used in substep.target templates or in substep effects.
 *
 * This function analyzes substep.target and .effects to finds used variables
 *  - target (can be string template)
 *  - effects (searches for varName parameter)
 *
 * Having this data it is possible to calculate is supstep has enough info to be shown.
 */
export declare const extractVarsUsageFromSubstepJson: (substep: SubstepJson) => VarsUsage;
