// Copyright (c) 2020 Cloudera, Inc. All rights reserved.
import { SHOW_TOUR_APP_QUERY_PARAM } from './variables';
import { getCookie, setCookie } from './Tour/cookie';
import { removeQueryParamFromUrl, getQueryParam } from './Substep/utils';
import analytics from "cuix/dist/utils/analytics";
import { registerDefaultTourAnalytics } from './tourUtils';
import appConfig from "cdp-js/dist/lib/appConfig";
// TODO: [future] andrii can you document this (arne)
var convertTourQueryParamToCookie = function () {
    var tourCategory = getQueryParam(SHOW_TOUR_APP_QUERY_PARAM);
    if (tourCategory) {
        // to make it work even with page redirect
        // we move tourCategory from url into short lived cookie
        setCookie(SHOW_TOUR_APP_QUERY_PARAM, tourCategory, 0.001);
        var appUrl = removeQueryParamFromUrl({
            paramName: SHOW_TOUR_APP_QUERY_PARAM,
            url: window.location.href
        });
        if (window.history && appUrl) {
            window.history.replaceState(null, '', appUrl);
        }
    }
};
convertTourQueryParamToCookie();
registerDefaultTourAnalytics(analytics);
export var shouldTourAutoOpen = function () { return !!getCookie(SHOW_TOUR_APP_QUERY_PARAM); };
export var shouldShowTourDevOverride = function () {
    try {
        var devOverride = JSON.parse(localStorage.getItem('SIDEBAR_ENABLE_GET_STARTED') || 'false');
        if (devOverride) {
            return true;
        }
    }
    catch (_a) { }
    return false;
};
export var isEntitledToShowTours = function (entitlements) {
    return (!appConfig.isGovCloud() &&
        entitlements &&
        entitlements.some(function (entitlement) { return entitlement.entitlementName === 'TRY_CDP_PRODUCT_TOUR'; }));
};
