var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (_) try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [op[0] & 2, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
/** @jsx h */
// Copyright (c) 2019 Cloudera, Inc. All rights reserved.
import { h, Component, Fragment } from 'preact';
import { getApp } from '../toursData';
import Tabs from './Tabs/Tabs';
import TabPane from './Tabs/TabPane';
import VideoItem from './VideoItem';
import { VideoPlaylist } from './VideoPlayList';
import TourItem from './TourItem';
import { RepriseTourItem } from './RepriseTourItem';
/**
 *  Renders list of tours, video and  docs for selected Application
 */
var AppToursPanel = /** @class */ (function (_super) {
    __extends(AppToursPanel, _super);
    function AppToursPanel() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.state = {
            isLoading: true,
            appProps: undefined
        };
        return _this;
    }
    AppToursPanel.prototype.componentDidMount = function () {
        return __awaiter(this, void 0, void 0, function () {
            var _a, appId, userEntitlements, fetch;
            var _this = this;
            return __generator(this, function (_b) {
                _a = this.props, appId = _a.appId, userEntitlements = _a.userEntitlements;
                fetch = function () { return __awaiter(_this, void 0, void 0, function () {
                    var userEntitlementNames, appProps, error_1;
                    return __generator(this, function (_a) {
                        switch (_a.label) {
                            case 0:
                                _a.trys.push([0, 2, , 3]);
                                userEntitlementNames = userEntitlements.map(function (entitlement) { return entitlement.entitlementName; });
                                return [4 /*yield*/, getApp(appId, userEntitlementNames)];
                            case 1:
                                appProps = _a.sent();
                                this.setState({
                                    appProps: appProps,
                                    isLoading: false
                                });
                                return [3 /*break*/, 3];
                            case 2:
                                error_1 = _a.sent();
                                this.setState({
                                    error: error_1,
                                    isLoading: false
                                });
                                return [3 /*break*/, 3];
                            case 3: return [2 /*return*/];
                        }
                    });
                }); };
                fetch();
                return [2 /*return*/];
            });
        });
    };
    AppToursPanel.prototype.render = function () {
        var _a;
        var _b = this.state, appProps = _b.appProps, isLoading = _b.isLoading, error = _b.error;
        var onTourSelect = this.props.onTourSelect;
        var repriseTourIds = (appProps === null || appProps === void 0 ? void 0 : appProps.items.filter(function (item) { return appProps.repriseTours[item]; })) || [];
        var videoIds = (appProps === null || appProps === void 0 ? void 0 : appProps.items.filter(function (item) { return appProps.videos[item]; })) || [];
        var tourIds = (appProps === null || appProps === void 0 ? void 0 : appProps.items.filter(function (item) { return appProps.tours[item]; })) || [];
        var repriseToursList = appProps ? (h(Fragment, null, repriseTourIds.map(function (tourId) {
            var repriseTour = appProps.repriseTours[tourId];
            return h(RepriseTourItem, { key: repriseTour.id, repriseTour: repriseTour, itemId: tourId });
        }))) : null;
        var toursList = appProps ? (h(Fragment, null, tourIds.map(function (tourId) { return (h(TourItem, { key: tourId, id: tourId, app: appProps, onTourSelect: onTourSelect })); }))) : null;
        return isLoading
            ? 'Loading...'
            : error || appProps === undefined
                ? 'Tours loading error'
                : appProps && (h(Fragment, null,
                    h("h2", null, appProps.title),
                    ((_a = appProps === null || appProps === void 0 ? void 0 : appProps.items) === null || _a === void 0 ? void 0 : _a.length) === 0 ? (h("span", null, "There are no tours available.")) : videoIds.length > 0 ? (h(Tabs, { defaultActiveKey: tourIds.length || repriseTourIds.length ? 'Tours' : 'Videos' },
                        h(TabPane, { key: "Tours", header: "Interactive Product Tours", tab: "Tours" },
                            h("ul", { className: "cdp-tours-list" },
                                repriseToursList,
                                " ",
                                toursList)),
                        h(TabPane, { key: "Videos", header: "Learning Videos", tab: "Videos", disabled: !(videoIds.length > 0) },
                            h("ul", { className: "cdp-tours-list" }, videoIds.map(function (videoId) {
                                var video = appProps.videos[videoId];
                                return (h("li", { className: "tour-list-item", key: video.title },
                                    video.items ? (h(VideoPlaylist, { key: video.title, video: video })) : (h(VideoItem, { key: video.title, video: video })),
                                    ' '));
                            }))))) : (h("ul", { className: "cdp-tours-list" },
                        repriseToursList,
                        " ",
                        toursList))));
    };
    return AppToursPanel;
}(Component));
export default AppToursPanel;
