/** @jsx h */
// Copyright (c) 2020 Cloudera, Inc. All rights reserved.
import { h } from 'preact';
import ActionButton from './ActionButton';
import { TooltipIcon, DocumentationIcon } from '../svg/icons';
var ItemActions = function (_a) {
    var appId = _a.appId, tour = _a.tour, doc = _a.doc, onTourSelect = _a.onTourSelect;
    return (h("div", { className: "tour-actions" },
        doc && (h(ActionButton, { className: "tour-icon-button", icon: h(DocumentationIcon, null), href: doc === null || doc === void 0 ? void 0 : doc.href, title: "Documentation", "data-event-category": "Product Tours", "data-event": "Open Documentation", "data-event-label": doc.title })),
        tour && (h(ActionButton, { className: "tour-icon-button", disabled: !tour, icon: h(TooltipIcon, null), onClick: function () { return onTourSelect(appId, tour.id); }, title: "Guided Tour", "data-event-category": "Product Tours", "data-event": "Select Tour", "data-event-label": tour.id }))));
};
export default ItemActions;
