/** @jsx h */
import type { FunctionalComponent, VNode } from 'preact';
export interface Props {
    tab: string;
    header: string;
    children: VNode<any> | null;
    disabled?: boolean;
}
/**
 * This component is used to specify infividual tabs for  <Tabs> component
 *
 * <Tabs>
 *    <TabPane
          tab="Videos"
          disabled={!(videoIds.length > 0)}>
          header={'Learning Videos'}
            Some Tab Content
      </TabPane>
 * ```...
 * </Tabs>
 */
declare const TabPane: FunctionalComponent<Props>;
export default TabPane;
