/** @jsx h */
import { h, VNode } from 'preact';
import TabPane from './TabPane';
interface Props {
    defaultActiveKey: string;
    onChange?: (activeKey: string) => void;
    children: VNode<typeof TabPane> | VNode<typeof TabPane>[];
}
/** Sample
 *
 *  <Tabs>
 *    <TabPane
          tab="Videos"
          disabled={!(videoIds.length > 0)}>
          header={'Learning Videos'}
            Some Tab Content
      </TabPane>
 * ```...
 * </Tabs>
 */
declare const Tabs: ({ defaultActiveKey, onChange, children }: Props) => h.JSX.Element;
export default Tabs;
