var __read = (this && this.__read) || function (o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m) return o;
    var i = m.call(o), r, ar = [], e;
    try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
    }
    catch (error) { e = { error: error }; }
    finally {
        try {
            if (r && !r.done && (m = i["return"])) m.call(i);
        }
        finally { if (e) throw e.error; }
    }
    return ar;
};
/** @jsx h */
// Copyright (c) 2020 Cloudera, Inc. All rights reserved.
import { h, toChildArray } from 'preact';
import { useState } from 'preact/hooks';
/** Sample
 *
 *  <Tabs>
 *    <TabPane
          tab="Videos"
          disabled={!(videoIds.length > 0)}>
          header={'Learning Videos'}
            Some Tab Content
      </TabPane>
 * ```...
 * </Tabs>
 */
var Tabs = function (_a) {
    var defaultActiveKey = _a.defaultActiveKey, onChange = _a.onChange, children = _a.children;
    var _b = __read(useState(defaultActiveKey), 2), activeKey = _b[0], setActiveKey = _b[1];
    var tabPanes = toChildArray(children).filter(function (item) { return item.props.tab !== undefined; });
    return (h("div", { className: "tour-tabs" },
        h("div", { role: "tablist", className: "tour-tabs-nav" }, tabPanes.map(function (tabpane, i) {
            var props = tabpane.props;
            var _a = props, tab = _a.tab, header = _a.header, disabled = _a.disabled;
            return (h("span", { key: i, disabled: disabled, className: "tour-tab ".concat(tab !== undefined && activeKey === tab ? 'tour-tab-active' : ''), onClick: function () {
                    setActiveKey(tab);
                    if (onChange) {
                        onChange(tab);
                    }
                } },
                h("label", null, header)));
        })),
        h("br", null),
        h("div", { className: "tour-tabs-content" }, tabPanes.map(function (tabPane) { return (tabPane.props.tab === activeKey ? tabPane : null); }))));
};
export default Tabs;
