/** @jsx h */
// Copyright (c) 2020 Cloudera, Inc. All rights reserved.
import { h } from 'preact';
import ItemActions from './ItemActions';
import ActionLink from '../../ActionLink';
import StepProgressCircle from '../StepProgressCircle';
var TourItem = function (_a) {
    var id = _a.id, app = _a.app, onTourSelect = _a.onTourSelect;
    var tour = app.tours[id];
    var doc = app.docs[id];
    var item = tour || doc;
    return (h("li", { className: "tour-list-item", key: id },
        h(ItemActions, { appId: app.app, tour: tour, doc: doc, onTourSelect: onTourSelect }),
        tour && tour.progress ? (h(StepProgressCircle, { numSteps: tour.progress.stepsAmount, currentStepNumber: tour.progress.currentStepNumber })) : null,
        h("div", { className: "tour-info" },
            tour ? (h(ActionLink, { className: "tour-name", onClick: function () { return onTourSelect(app.app, tour.id); }, "data-event-category": "Product Tours", "data-event": "Select Tour", "data-event-label": tour.id }, tour.title)) : (h("span", { className: "tour-name" }, item.title)),
            h("div", { className: "tour-description" }, item.description))));
};
export default TourItem;
