/** @jsx h */
// Copyright (c) 2019 Cloudera, Inc. All rights reserved.
import { h } from 'preact';
export default function TourSteps(_a) {
    var tourDetails = _a.tourDetails;
    var _b = tourDetails.progress, currentStepNumber = _b.currentStepNumber, currentStepId = _b.currentStepId;
    return (h("ul", { className: "cdp-tour-steps" }, tourDetails.steps.map(function (step, i) {
        var isPassed = currentStepNumber !== undefined && i < currentStepNumber;
        var isCurrent = currentStepId ? currentStepId === step.id : false;
        return (h("li", { key: step.id, className: (isPassed ? ' passed' : '') + (isCurrent ? ' current' : '') },
            h("span", { className: "cdp-tour-step-number" }, isPassed ? (h("svg", { viewBox: "0 0 24 24", xmlns: "http://www.w3.org/2000/svg", width: "1em", height: "1em" },
                h("path", { d: "M9.675 15.899l-4.262-4.262L4 13.052l5.656 5.657 11.318-11.31L19.574 6z", fill: "currentColor", fillRule: "evenodd" }))) : (i + 1)),
            step.title));
    })));
}
