var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (_) try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [op[0] & 2, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
/** @jsx h */
// Copyright (c) 2019 Cloudera, Inc. All rights reserved.
import { Component, h } from 'preact';
import PanelHeader from '../../PanelHeader';
import { realmIdFromEmail } from '../tourUtils';
import PanelBody from '../../PanelBody';
import TourSteps from './TourSteps';
import { startTour, resumeTour } from '../index';
import { isVisitedTour, isTourActive } from '../Tour/TourState';
import { getAppTour } from '../toursData';
var TourStepsPanel = /** @class */ (function (_super) {
    __extends(TourStepsPanel, _super);
    function TourStepsPanel() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.state = { loading: true, tourDetails: undefined };
        return _this;
    }
    TourStepsPanel.prototype.componentDidMount = function () {
        return __awaiter(this, void 0, void 0, function () {
            var _a, appId, tourId, tourDetails;
            return __generator(this, function (_b) {
                switch (_b.label) {
                    case 0:
                        _a = this.props, appId = _a.appId, tourId = _a.tourId;
                        return [4 /*yield*/, getAppTour(appId, tourId)];
                    case 1:
                        tourDetails = _b.sent();
                        this.setState({ loading: false, tourDetails: tourDetails });
                        return [2 /*return*/];
                }
            });
        });
    };
    TourStepsPanel.prototype.render = function () {
        var _a = this.props, appId = _a.appId, onBack = _a.onBack, onClose = _a.onClose, user = _a.user;
        var _b = this.state, loading = _b.loading, tourDetails = _b.tourDetails;
        var realmId = realmIdFromEmail(user === null || user === void 0 ? void 0 : user.email);
        var tourVars = {};
        if (realmId !== undefined) {
            tourVars = { realmId: realmId };
        }
        return (h("div", { className: "cdp-tour" },
            h(PanelHeader, { onBack: onBack, onClose: onClose }, (tourDetails === null || tourDetails === void 0 ? void 0 : tourDetails.title) || ''),
            h(PanelBody, null, loading ? ('Loading') : !tourDetails ? ('No information is available.') : (h("div", null,
                h("p", { className: "tour-description" }, tourDetails.description),
                h(TourSteps, { tourDetails: tourDetails }),
                h("br", null),
                isTourActive(tourDetails.id) && (h("button", { className: "cdp-tour-btn primary", onClick: function () {
                        onClose();
                        resumeTour(appId, tourDetails.id, tourDetails.progress.currentStepId);
                    }, "data-event-category": "Product Tours", "data-event": "Resume Tour", "data-event-label": tourDetails.id }, "Resume")),
                h("button", { className: 'cdp-tour-btn ' + (isTourActive(tourDetails.id) ? '' : 'primary'), onClick: function () {
                        onClose();
                        startTour(appId, tourDetails.id, { vars: tourVars });
                    }, "data-event-category": "Product Tours", "data-event": "Start Tour", "data-event-label": tourDetails.id }, isVisitedTour(tourDetails.id) ? 'Start over' : 'Start'))))));
    };
    return TourStepsPanel;
}(Component));
export default TourStepsPanel;
