var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (_) try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [op[0] & 2, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
/** @jsx h */
// Copyright (c) 2019 Cloudera, Inc. All rights reserved.
import { Component, render, h } from 'preact';
import { SHOW_TOUR_APP_QUERY_PARAM } from '../variables';
import PanelHeader from '../../PanelHeader';
import PanelBody from '../../PanelBody';
import TourStepsPanel from './TourStepsPanel';
import AppToursPanel from './AppToursPanel';
import AppsPanel from './AppsPanel';
import '../index';
import { readTourState } from '../Tour/TourState';
import { getCookie, clearCookie } from '../Tour/cookie';
var ToursPanel = /** @class */ (function (_super) {
    __extends(ToursPanel, _super);
    function ToursPanel() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.state = {
            selectedAppId: undefined,
            selectedTourId: undefined
        };
        _this.unselectApp = function () {
            _this.setState({ selectedAppId: undefined });
        };
        _this.selectApp = function (selectedAppId) { return _this.setState({ selectedAppId: selectedAppId }); };
        _this.selectTour = function (selectedAppId, selectedTourId) {
            return _this.setState({ selectedAppId: selectedAppId, selectedTourId: selectedTourId });
        };
        return _this;
    }
    ToursPanel.prototype.componentDidMount = function () {
        return __awaiter(this, void 0, void 0, function () {
            var selectedAppId, activeTourState, appId, tourId, paused;
            return __generator(this, function (_a) {
                selectedAppId = getCookie(SHOW_TOUR_APP_QUERY_PARAM);
                if (selectedAppId) {
                    clearCookie(SHOW_TOUR_APP_QUERY_PARAM);
                    this.setState({
                        selectedAppId: selectedAppId
                    });
                }
                activeTourState = readTourState();
                if (activeTourState) {
                    appId = activeTourState.appId, tourId = activeTourState.tourId, paused = activeTourState.paused;
                    if (appId && tourId && !paused) {
                        this.selectTour(appId, tourId);
                    }
                }
                return [2 /*return*/];
            });
        });
    };
    ToursPanel.prototype.render = function () {
        var _this = this;
        var _a = this.props.userEntitlements, userEntitlements = _a === void 0 ? [] : _a;
        var _b = this.state, selectedAppId = _b.selectedAppId, selectedTourId = _b.selectedTourId;
        if (selectedAppId !== undefined && selectedTourId !== undefined) {
            return (h(TourStepsPanel, { appId: selectedAppId, tourId: selectedTourId, onBack: function () { return _this.selectTour(selectedAppId, undefined); }, onClose: this.props.onClose, user: this.props.user }));
        }
        else if (selectedAppId !== undefined) {
            return (h("div", null,
                h(PanelHeader, { onBack: this.unselectApp, onClose: this.props.onClose }, "Product Tours"),
                h(PanelBody, null,
                    h(AppToursPanel, { appId: selectedAppId, onTourSelect: this.selectTour, userEntitlements: userEntitlements }))));
        }
        else {
            return (h("div", null,
                h(PanelHeader, { onClose: this.props.onClose }, "Get Started"),
                h(PanelBody, null,
                    h("h2", null, "Product Tours"),
                    h(AppsPanel, { onAppSelect: this.selectApp, userEntitlements: userEntitlements }))));
        }
    };
    return ToursPanel;
}(Component));
export default ToursPanel;
export var renderToursPanel = function (parent, props) {
    render(h(ToursPanel, __assign({}, props)), parent);
};
