/** @jsx h */
// Copyright (c) 2020 Cloudera, Inc. All rights reserved.
import { h } from 'preact';
import Expandable from './Expandable/Expandable';
import { CameraIcon } from '../svg/icons';
import { showVideo } from "cuix/dist/cdp/tour";
import ActionLink from '../../ActionLink';
import VideoItem from './VideoItem';
import ActionButton from './ActionButton';
export var VideoPlaylist = function (_a) {
    var video = _a.video;
    var items = video.items;
    return (h(Expandable, { header: h("div", { className: "tour-info" },
            h("span", { className: "tour-actions" },
                h(ActionButton, { className: "tour-icon-button", icon: h(CameraIcon, null), onClick: function () { return showVideo(video); }, title: "Play Demo Video", "data-event-category": "Product Tours", "data-event": "Play Video", "data-event-label": video.title })),
            h(ActionLink, { className: "tour-name", onClick: function () { return showVideo(video); }, "data-event-category": "Product Tours", "data-event": "Play Video", "data-event-label": video.title }, video.title),
            h("div", { className: "tour-description" }, video.description)) }, items.map(function (indVideo) { return (h("div", { key: indVideo.title, className: "video-playlist-item" },
        h(VideoItem, { video: indVideo }))); })));
};
