var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (_) try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [op[0] & 2, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
var __read = (this && this.__read) || function (o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m) return o;
    var i = m.call(o), r, ar = [], e;
    try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
    }
    catch (error) { e = { error: error }; }
    finally {
        try {
            if (r && !r.done && (m = i["return"])) m.call(i);
        }
        finally { if (e) throw e.error; }
    }
    return ar;
};
var __spreadArray = (this && this.__spreadArray) || function (to, from, pack) {
    if (pack || arguments.length === 2) for (var i = 0, l = from.length, ar; i < l; i++) {
        if (ar || !(i in from)) {
            if (!ar) ar = Array.prototype.slice.call(from, 0, i);
            ar[i] = from[i];
        }
    }
    return to.concat(ar || Array.prototype.slice.call(from));
};
// Copyright (c) 2020 Cloudera, Inc. All rights reserved.
import { TOURS_BASE_PATH, TOUR_EVENT_CATEGORY, TOUR_ERROR_EVENT, TOURS_APPS_PATH } from './variables';
import { calcBaseUrl, DEFAULT_DOWNLOAD_BASE_URL, getLocalStorageValue, SIDEBAR_DATA_CACHE } from '../utils';
import appConfig from "cdp-js/dist/lib/appConfig";
import { decompressActiveTourState, compressActiveTourState } from './Tour/TourState';
var LOCALSTORAGE_OVERRIDES_PREFIX = 'override';
var APPS_OVERRIDES = [];
var APP_INDEX_OVERRIDES = {};
var TOUR_OVERRIDES = {};
var ANALYTICS;
export var getLocalStorageAppsOverride = function () {
    return getLocalStorageValue("".concat(LOCALSTORAGE_OVERRIDES_PREFIX, "/apps.json"));
};
export var getLocalStorageAppIndexOverride = function (appId) {
    return getLocalStorageValue("".concat(LOCALSTORAGE_OVERRIDES_PREFIX, "/").concat(appId, "/index.json"));
};
export var getLocalStorageTourOverride = function (appId, tourId) {
    return getLocalStorageValue("".concat(LOCALSTORAGE_OVERRIDES_PREFIX, "/").concat(appId, "/").concat(tourId, ".json"));
};
/**
 * Fetches tour.json file by combination of baseUrl / appPath / tourId.
 * @returns TourJson from internet or from TOUR_OVERRIDES[tourId] if registered.
 */
export var fetchTourData = function (appId, tourId) { return __awaiter(void 0, void 0, void 0, function () {
    var localStorageTourOverride, appTourOverride, app, tourData;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                localStorageTourOverride = getLocalStorageTourOverride(appId, tourId);
                if (localStorageTourOverride) {
                    console.log("Tour ".concat(tourId, " has been overriden by localStorage ").concat(LOCALSTORAGE_OVERRIDES_PREFIX, "/").concat(appId, "/").concat(tourId, ".json"));
                    return [2 /*return*/, localStorageTourOverride];
                }
                appTourOverride = TOUR_OVERRIDES[tourId];
                if (appTourOverride) {
                    console.log("Tour ".concat(tourId, " has been overriden by current application appTourOverride()"), appTourOverride);
                    return [2 /*return*/, appTourOverride];
                }
                return [4 /*yield*/, fetchAppConfig(appId)];
            case 1:
                app = _a.sent();
                if (!app) {
                    console.error("Application config for appId: ".concat(appId, " is not found "));
                    return [2 /*return*/];
                }
                return [4 /*yield*/, fetchToursData(app.path + '/' + tourId + '.json', app.baseUrl)];
            case 2:
                tourData = _a.sent();
                if (!tourData) {
                    console.error("Tour \"".concat(tourId, "\" can't be fetched"));
                }
                return [2 /*return*/, tourData];
        }
    });
}); };
/**
 * Resolves content from appToursPath/index.json file or from its overrides.
 * It first tries to find overrides
 * from localstorage,
 * then from registerTourOverrides()
 * and only if not found, loads appToursPath/index.json
 * @returns Application tours index.json file, which declares tours and videos for application with id appId
 */
export var fetchAppIndex = function (appId) { return __awaiter(void 0, void 0, void 0, function () {
    var localStorageAppIndex, AppIndexOverride, app, appIndex, e_1;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                _a.trys.push([0, 3, , 4]);
                localStorageAppIndex = getLocalStorageAppIndexOverride(appId);
                if (localStorageAppIndex) {
                    console.log("AppIndex (".concat(appId, ") was overriden by localStorage ").concat(LOCALSTORAGE_OVERRIDES_PREFIX, "/").concat(appId, "/index.json"));
                    return [2 /*return*/, localStorageAppIndex];
                }
                AppIndexOverride = APP_INDEX_OVERRIDES[appId];
                if (AppIndexOverride) {
                    console.log("AppIndex (".concat(appId, ") was overriden by application appTourOverride()"), AppIndexOverride);
                    return [2 /*return*/, AppIndexOverride];
                }
                return [4 /*yield*/, fetchAppConfig(appId)];
            case 1:
                app = _a.sent();
                if (!app) {
                    return [2 /*return*/];
                }
                return [4 /*yield*/, fetchToursData(app.path + '/index.v2.json', app.baseUrl)];
            case 2:
                appIndex = _a.sent();
                if (!appIndex) {
                    return [2 /*return*/];
                }
                // Add potentially missing dictionaries
                if (!appIndex.repriseTours) {
                    appIndex.repriseTours = {};
                }
                if (!appIndex.tours) {
                    appIndex.tours = {};
                }
                if (!appIndex.videos) {
                    appIndex.videos = {};
                }
                if (!appIndex.docs) {
                    appIndex.docs = {};
                }
                return [2 /*return*/, appIndex];
            case 3:
                e_1 = _a.sent();
                console.error(e_1);
                return [2 /*return*/];
            case 4: return [2 /*return*/];
        }
    });
}); };
/**
 * Small helper function to find appConfig by appId from apps.json
 * It console.error_s if can't find config for appId.
 * @returns app config item for specified appId
 */
export var fetchAppConfig = function (appId) { return __awaiter(void 0, void 0, void 0, function () {
    var apps, app;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0: return [4 /*yield*/, fetchAppsConfig()];
            case 1:
                apps = (_a.sent()) || [];
                app = apps.find(function (app) { return app.id === appId; });
                if (!app) {
                    console.error("Can't find AppConfig for ".concat(appId));
                }
                return [2 /*return*/, app];
        }
    });
}); };
/**
 * Resolves content from Tour/apps.json file or from its overrides.
 * It first tries to find overrides
 * from localstorage,
 * then from registerTourOverrides()
 * and only if not found, loads apps.json from /commonConsole/downloads/tours/
 * @returns Array of application configs
 */
export var fetchAppsConfig = function () { return __awaiter(void 0, void 0, void 0, function () {
    var localStorageAppsOverrides, apps;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                localStorageAppsOverrides = getLocalStorageAppsOverride();
                if (localStorageAppsOverrides) {
                    console.log("Tours/apps.json was overriden by localStorage ".concat(LOCALSTORAGE_OVERRIDES_PREFIX, "/apps.json"));
                    return [2 /*return*/, localStorageAppsOverrides];
                }
                if (APPS_OVERRIDES.length > 0) {
                    console.log("Tours/apps.json was overriden by application registerTourOverrides()", APPS_OVERRIDES);
                    return [2 /*return*/, APPS_OVERRIDES];
                }
                return [4 /*yield*/, fetchToursData(TOURS_APPS_PATH)];
            case 1:
                apps = _a.sent();
                return [2 /*return*/, apps];
        }
    });
}); };
/**
 *  Currently static resources located in /commonconsole/downloads
 *  doesn't require authentication when queried.
 *  Other api requests require authentication.
 */
export var shouldUseAuth = function (pathname) {
    if (!pathname) {
        return true;
    }
    return !pathname.startsWith('/commonconsole/downloads/');
};
/**
 * Similar to fetchSidebarData, but allows to pass baseURl
 * @param path Path of the resource.
 * If path is not started with '/' then resouce will be resolved from TOURS_BASE_PATH folder
 * @param defaultValue Default value returned if fething fails
 * @params {string} baseUrl
 */
export var fetchToursData = function (path, baseUrl) { return __awaiter(void 0, void 0, void 0, function () {
    var domain, fullPath, url, devOverride, config, response, data, error_1;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                domain = calcBaseUrl(baseUrl) || appConfig.getAltusDownloadsBaseUrl() || DEFAULT_DOWNLOAD_BASE_URL;
                fullPath = path.startsWith('/') ? path : "".concat(TOURS_BASE_PATH, "/").concat(path);
                url = domain + fullPath;
                devOverride = getLocalStorageValue(url);
                if (devOverride) {
                    return [2 /*return*/, devOverride];
                }
                if (SIDEBAR_DATA_CACHE[url]) {
                    return [2 /*return*/, SIDEBAR_DATA_CACHE[url]];
                }
                _a.label = 1;
            case 1:
                _a.trys.push([1, 5, , 6]);
                config = shouldUseAuth(fullPath) ? { credentials: 'include' } : {};
                return [4 /*yield*/, fetch(url, config)];
            case 2:
                response = _a.sent();
                if (!(response.status === 200)) return [3 /*break*/, 4];
                return [4 /*yield*/, response.json()];
            case 3:
                data = _a.sent();
                SIDEBAR_DATA_CACHE[url] = data;
                return [2 /*return*/, data];
            case 4: return [3 /*break*/, 6];
            case 5:
                error_1 = _a.sent();
                trackTourError("Can't fetchToursData(path: ".concat(path, ", baseUrl:").concat(baseUrl, ")"));
                console.error(error_1);
                return [3 /*break*/, 6];
            case 6: return [2 /*return*/];
        }
    });
}); };
// trial2901@trycdp.com -> 29  Used for trycdp.com demo as a temp workaround
export var realmIdFromEmail = function (email) {
    return (email === null || email === void 0 ? void 0 : email.includes('trycdp.com')) ? email.substr(5, 2) : undefined;
};
/**
 * Allows application to override items in apps.json and/or existing tour.json files
 * Overrides will be present till next page reload. They are not persisted in local or session storage.
 */
export var registerTourOverrides = function (_a) {
    var tours = _a.tours, apps = _a.apps, appIndexes = _a.appIndexes;
    if (tours) {
        TOUR_OVERRIDES = __assign(__assign({}, TOUR_OVERRIDES), tours);
    }
    if (appIndexes) {
        APP_INDEX_OVERRIDES = __assign(__assign({}, APP_INDEX_OVERRIDES), appIndexes);
    }
    if (apps) {
        APPS_OVERRIDES = __spreadArray(__spreadArray([], __read(APPS_OVERRIDES), false), __read(apps), false);
    }
};
//  Google Analytics Helpers
export var registerDefaultTourAnalytics = function (analytics) {
    if (!ANALYTICS) {
        registerTourAnalytics(analytics);
    }
};
export var registerTourAnalytics = function (analytics) {
    ANALYTICS = analytics;
    console.log('Register Tour Analytics', typeof analytics.trackEvent === 'function');
};
/**
 * Replaces all tourVars values with ****** to make sure we don't send them to google analytics
 */
export var hideTourVars = function (activeTourCookie) {
    if (!activeTourCookie) {
        return activeTourCookie;
    }
    var state = decompressActiveTourState(activeTourCookie);
    if (!(state === null || state === void 0 ? void 0 : state.vars)) {
        return activeTourCookie;
    }
    var vars = state.vars;
    Object.entries(vars).forEach(function (_a) {
        var _b = __read(_a, 2), k = _b[0], v = _b[1];
        return vars[k] = (v || '').replace(/./g, '*');
    });
    return compressActiveTourState(state);
};
export var stateToSimpleString = function (state) {
    return state
        ? "".concat(state.tourId, " / ").concat(state.stepId || state.stepNumber, " / ").concat(state.substepNestedNumber)
        : '-state-is-undefined-';
};
export var trackTourError = function (action, label, value) {
    try {
        trackTourEvent("".concat(TOUR_ERROR_EVENT, ": ").concat(action), label, value);
        console.warn("".concat(TOUR_ERROR_EVENT, ": ").concat(action), label, value);
    }
    catch (e) {
        console.error(e);
    }
};
export var trackTourEvent = function (action, label, value) {
    try {
        if (ANALYTICS && typeof ANALYTICS.trackEvent === 'function') {
            ANALYTICS.trackEvent(TOUR_EVENT_CATEGORY, action, label, value);
        }
    }
    catch (e) {
        console.error(e);
    }
};
