import { AppIndexProps, AppIndexItemMetaInfo, TourJson, AppsItemProps, TourExtendedJson, TourProgress, AppId, TourId } from './Tour/interfaces';
/**
 * Provides info about available tour apps
 * by means of loading apps.json and all nested app/index.json files
 */
export declare const getApps: (userEntitlementNames: string[]) => Promise<AppsItemProps[] | undefined>;
/**
 * Loads
 *  - apps.json for resolve app index.json location
 *  - app index.json for specified appId
 *  - all app nested tour.json files
 *
 */
export declare const getApp: (appId: AppId, userEntitlementNames: string[]) => Promise<AppIndexProps | undefined>;
/**
 * Loads
 *  - apps.json by appId and resolves application tours folder url
 *  - tourId.json by tourId
 */
export declare const getAppTour: (appId: AppId, tourId: TourId) => Promise<TourExtendedJson | undefined>;
export declare const getTourProgress: (tour: TourJson) => TourProgress;
export declare const isTourContainingAnyOfTags: (tour: AppIndexItemMetaInfo, tags?: string[]) => boolean;
export declare const isUserEntitledForTour: (tour: AppIndexItemMetaInfo, userEntitlementNames: string[]) => boolean;
export declare const doesUserHaveTourAllowedEntitlements: (tour: AppIndexItemMetaInfo, userEntitlementsNames?: string[]) => boolean;
export declare const doesUserHaveTourDeniedEntitlements: (tour: AppIndexItemMetaInfo, userEntitlementsNames?: string[]) => boolean;
