var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (_) try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [op[0] & 2, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
var __values = (this && this.__values) || function(o) {
    var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
    if (m) return m.call(o);
    if (o && typeof o.length === "number") return {
        next: function () {
            if (o && i >= o.length) o = void 0;
            return { value: o && o[i++], done: !o };
        }
    };
    throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
};
import { fetchTourData, fetchAppIndex, fetchAppsConfig } from './tourUtils';
import { VISITED_TOURS_V2_COOKIE_DONE_VALUE } from './variables';
import { getVisitedToursV1, getVisitedToursV2, readTourState } from "cuix/dist/cdp/tour/Tour/TourState";
var isEntitledItem = function (app, item, userEntitlementNames) {
    var itemExtra = app.tours[item] || app.repriseTours[item] || app.videos[item] || app.docs[item];
    if (!itemExtra) {
        console.error("Can't find item: ".concat(item, " info in ").concat(app.app, " index.json"));
        return false;
    }
    return isUserEntitledForTour(itemExtra, userEntitlementNames);
};
var getAppMetrics = function (app) { return ({
    items: app.items.length,
    tours: app.items.filter(function (item) { return app.tours[item]; }).length,
    repriseTours: app.items.filter(function (item) { return app.repriseTours[item]; }).length,
    videos: app.items.filter(function (item) { return app.videos[item]; }).length,
    docs: app.items.filter(function (item) { return app.docs[item]; }).length
}); };
/**
 * Provides info about available tour apps
 * by means of loading apps.json and all nested app/index.json files
 */
export var getApps = function (userEntitlementNames) { return __awaiter(void 0, void 0, void 0, function () {
    var apps, allAppsIndexes_1, allApps, entitledApps, entitledAppsWithMetrics, e_1;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                _a.trys.push([0, 3, , 4]);
                return [4 /*yield*/, fetchAppsConfig()];
            case 1:
                apps = _a.sent();
                if (!apps) {
                    return [2 /*return*/];
                }
                return [4 /*yield*/, Promise.all(apps.map(function (app) { return fetchAppIndex(app.id); }))];
            case 2:
                allAppsIndexes_1 = _a.sent();
                allApps = apps
                    .map(function (app, i) { return (__assign(__assign({}, app), allAppsIndexes_1[i])); })
                    .filter(function (app) { return app.items; });
                entitledApps = allApps.filter(function (app) {
                    app.items = app.items.filter(function (item) { return isEntitledItem(app, item, userEntitlementNames); });
                    return app.items.length > 0;
                });
                entitledAppsWithMetrics = entitledApps.map(function (app) {
                    return __assign(__assign({}, app), { metrics: getAppMetrics(app) });
                });
                return [2 /*return*/, entitledAppsWithMetrics];
            case 3:
                e_1 = _a.sent();
                console.error(e_1);
                return [2 /*return*/];
            case 4: return [2 /*return*/];
        }
    });
}); };
/**
 * Loads
 *  - apps.json for resolve app index.json location
 *  - app index.json for specified appId
 *  - all app nested tour.json files
 *
 */
export var getApp = function (appId, userEntitlementNames) { return __awaiter(void 0, void 0, void 0, function () {
    var appIndex_1, availableItems, availableTourNames_1, availableTours, failedTourIds_1, appData, e_2;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                _a.trys.push([0, 3, , 4]);
                return [4 /*yield*/, fetchAppIndex(appId)];
            case 1:
                appIndex_1 = (_a.sent());
                if (!appIndex_1) {
                    console.error("Can't fetchAppIndex(".concat(appId, ") "));
                    return [2 /*return*/];
                }
                availableItems = appIndex_1.items.filter(function (itemId) {
                    return isEntitledItem(appIndex_1, itemId, userEntitlementNames);
                });
                availableTourNames_1 = availableItems.filter(function (item) { return appIndex_1.tours[item]; });
                return [4 /*yield*/, Promise.all(availableTourNames_1.map(function (tourId) { return fetchTourData(appId, tourId); }))];
            case 2:
                availableTours = _a.sent();
                failedTourIds_1 = [];
                availableTours.forEach(function (tour, i) {
                    if (tour) {
                        var progress = getTourProgress(tour);
                        appIndex_1.tours[tour.id] = __assign(__assign(__assign({}, appIndex_1.tours[tour.id]), tour), { progress: progress, stepsAmount: progress.stepsAmount });
                    }
                    else {
                        failedTourIds_1.push(availableTourNames_1[i]);
                    }
                });
                // Exclude failed tours from tours hashMap
                // TODO [future] Make sure video is visible with the same id if it passes. (aburov)
                // TBD id_s should be unique accross tours, videos and docs. If we want to groups them, we need to find a way.
                failedTourIds_1.forEach(function (id) {
                    delete appIndex_1.tours[id];
                });
                appData = __assign(__assign({}, appIndex_1), { items: availableItems.filter(function (id) { return !failedTourIds_1.includes(id); }) });
                return [2 /*return*/, appData];
            case 3:
                e_2 = _a.sent();
                console.error(e_2);
                return [2 /*return*/];
            case 4: return [2 /*return*/];
        }
    });
}); };
/**
 * Loads
 *  - apps.json by appId and resolves application tours folder url
 *  - tourId.json by tourId
 */
export var getAppTour = function (appId, tourId) { return __awaiter(void 0, void 0, void 0, function () {
    var tour, progress, tourData, e_3;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                _a.trys.push([0, 2, , 3]);
                return [4 /*yield*/, fetchTourData(appId, tourId)];
            case 1:
                tour = _a.sent();
                if (!tour) {
                    return [2 /*return*/];
                }
                progress = getTourProgress(tour);
                tourData = __assign(__assign({}, tour), { stepsAmount: progress.stepsAmount, progress: progress });
                return [2 /*return*/, tourData];
            case 2:
                e_3 = _a.sent();
                console.error(e_3);
                return [2 /*return*/];
            case 3: return [2 /*return*/];
        }
    });
}); };
export var getTourProgress = function (tour) {
    var stepsAmount = tour.steps.length;
    var activeTourState = readTourState();
    // try active tour cookie state
    if ((activeTourState === null || activeTourState === void 0 ? void 0 : activeTourState.tourId) === tour.id) {
        var stepId_1 = activeTourState.stepId, stepNumber = activeTourState.stepNumber;
        if (stepId_1 !== undefined) {
            return {
                stepsAmount: stepsAmount,
                currentStepId: stepId_1,
                currentStepNumber: tour.steps.findIndex(function (step) { return step.id === stepId_1; })
            };
        }
        if (stepNumber !== undefined) {
            return {
                stepsAmount: stepsAmount,
                currentStepNumber: stepNumber,
                currentStepId: tour.steps[stepNumber].id
            };
        }
    }
    // try visited tours v2 cookie state
    var v2CurrentStepId = getVisitedToursV2()[tour.id];
    if (v2CurrentStepId) {
        if (v2CurrentStepId === VISITED_TOURS_V2_COOKIE_DONE_VALUE) {
            return {
                stepsAmount: stepsAmount,
                currentStepId: v2CurrentStepId,
                currentStepNumber: stepsAmount
            };
        }
        return {
            stepsAmount: stepsAmount,
            currentStepId: v2CurrentStepId,
            currentStepNumber: tour.steps.findIndex(function (step) { return step.id === v2CurrentStepId; })
        };
    }
    // try visited tours v1 cookie state
    var v1VisitedStepNumber = getVisitedToursV1()[tour.id];
    if (v1VisitedStepNumber !== undefined) {
        var currentStepNumber = v1VisitedStepNumber >= -1 ? v1VisitedStepNumber + 1 : undefined;
        var isDone = currentStepNumber === stepsAmount;
        return {
            stepsAmount: stepsAmount,
            currentStepNumber: currentStepNumber,
            currentStepId: isDone
                ? VISITED_TOURS_V2_COOKIE_DONE_VALUE
                : currentStepNumber !== undefined
                    ? tour.steps[currentStepNumber].id
                    : undefined
        };
    }
    // if no progress data was found
    return {
        stepsAmount: tour.steps.length
    };
};
export var isTourContainingAnyOfTags = function (tour, tags) {
    var e_4, _a, e_5, _b;
    if (tags === void 0) { tags = []; }
    var _c = tour.tags, tourTags = _c === void 0 ? [] : _c;
    if (!tags.length) {
        return true;
    }
    if (tags.length && tourTags.length === 0) {
        return false;
    }
    var tourAllTagsHashMap = {};
    try {
        for (var tourTags_1 = __values(tourTags), tourTags_1_1 = tourTags_1.next(); !tourTags_1_1.done; tourTags_1_1 = tourTags_1.next()) {
            var tag = tourTags_1_1.value;
            tourAllTagsHashMap[tag] = true;
        }
    }
    catch (e_4_1) { e_4 = { error: e_4_1 }; }
    finally {
        try {
            if (tourTags_1_1 && !tourTags_1_1.done && (_a = tourTags_1.return)) _a.call(tourTags_1);
        }
        finally { if (e_4) throw e_4.error; }
    }
    try {
        for (var tags_1 = __values(tags), tags_1_1 = tags_1.next(); !tags_1_1.done; tags_1_1 = tags_1.next()) {
            var tag = tags_1_1.value;
            if (tourAllTagsHashMap[tag]) {
                return true;
            }
        }
    }
    catch (e_5_1) { e_5 = { error: e_5_1 }; }
    finally {
        try {
            if (tags_1_1 && !tags_1_1.done && (_b = tags_1.return)) _b.call(tags_1);
        }
        finally { if (e_5) throw e_5.error; }
    }
    return false;
};
export var isUserEntitledForTour = function (tour, userEntitlementNames) {
    return doesUserHaveTourAllowedEntitlements(tour, userEntitlementNames) &&
        !doesUserHaveTourDeniedEntitlements(tour, userEntitlementNames);
};
export var doesUserHaveTourAllowedEntitlements = function (tour, userEntitlementsNames) {
    if (userEntitlementsNames === void 0) { userEntitlementsNames = []; }
    var entitlements = tour.entitlements;
    return !entitlements || !entitlements.length
        ? true
        : entitlements.every(function (entitlement) { return userEntitlementsNames.includes(entitlement); });
};
export var doesUserHaveTourDeniedEntitlements = function (tour, userEntitlementsNames) {
    if (userEntitlementsNames === void 0) { userEntitlementsNames = []; }
    var deniedEntitlements = tour.deniedEntitlements;
    return !deniedEntitlements || !deniedEntitlements.length
        ? false
        : deniedEntitlements.some(function (entitlement) { return userEntitlementsNames.includes(entitlement); });
};
