// Copyright (c) 2018 Cloudera, Inc. All rights reserved.
import { getResourceType } from "cdp-js/dist/lib/Crn";
import appConfig from "cdp-js/dist/lib/appConfig";
var AssignableResourceType;
(function (AssignableResourceType) {
    AssignableResourceType["ENVIRONMENT"] = "ENVIRONMENT";
    AssignableResourceType["CDP_ENVIRONMENT"] = "CDP_ENVIRONMENT";
    AssignableResourceType["CDP_PRIVATE_ENVIRONMENT"] = "CDP_PRIVATE_ENVIRONMENT";
    AssignableResourceType["WXM_ENVIRONMENT"] = "WXM_ENVIRONMENT";
    AssignableResourceType["NAMESPACE"] = "NAMESPACE";
    AssignableResourceType["WORKLOAD"] = "WORKLOAD";
    AssignableResourceType["CLASSICCLUSTERS"] = "CLASSICCLUSTERS";
    AssignableResourceType["CLUSTER"] = "CLUSTER";
    AssignableResourceType["RECIPE"] = "RECIPE";
    AssignableResourceType["IMAGE_CATALOG"] = "IMAGE_CATALOG";
    AssignableResourceType["CLUSTER_TEMPLATE"] = "CLUSTER_TEMPLATE";
    AssignableResourceType["CLUSTER_DEFINITION"] = "CLUSTER_DEFINITION";
    AssignableResourceType["CREDENTIAL"] = "CREDENTIAL";
    AssignableResourceType["WORKSPACE"] = "WORKSPACE";
    AssignableResourceType["PROXY_CONFIG"] = "PROXY_CONFIG";
    AssignableResourceType["DATA_SERVICES_CLUSTER"] = "DATA_SERVICES_CLUSTER";
    AssignableResourceType["PROJECT"] = "PROJECT";
})(AssignableResourceType || (AssignableResourceType = {}));
export default AssignableResourceType;
var RESOURCE_TYPE_ASSIGNABLE_RESOURCE_TYPE_MAP = {
    environment: AssignableResourceType.ENVIRONMENT,
    wxm_environment: AssignableResourceType.WXM_ENVIRONMENT,
    namespace: AssignableResourceType.NAMESPACE,
    workload: AssignableResourceType.WORKLOAD,
    cluster: AssignableResourceType.CLUSTER,
    classic_cluster: AssignableResourceType.CLASSICCLUSTERS,
    recipe: AssignableResourceType.RECIPE,
    imageCatalog: AssignableResourceType.IMAGE_CATALOG,
    clustertemplate: AssignableResourceType.CLUSTER_TEMPLATE,
    clusterdefinition: AssignableResourceType.CLUSTER_DEFINITION,
    credential: AssignableResourceType.CREDENTIAL,
    workspace: AssignableResourceType.WORKSPACE,
    proxyConfig: AssignableResourceType.PROXY_CONFIG,
    dateServicesCluster: AssignableResourceType.DATA_SERVICES_CLUSTER,
    project: AssignableResourceType.PROJECT
};
export var getAssignableResourceTypeFromCrn = function (crn) {
    var type = RESOURCE_TYPE_ASSIGNABLE_RESOURCE_TYPE_MAP[getResourceType(crn)];
    if (type === AssignableResourceType.ENVIRONMENT && crn) {
        if (appConfig.isPrivateCloud()) {
            return AssignableResourceType.CDP_PRIVATE_ENVIRONMENT;
        }
        if (crn.startsWith('crn:cdp')) {
            return AssignableResourceType.CDP_ENVIRONMENT;
        }
    }
    if (type === AssignableResourceType.CLUSTER && crn && crn.startsWith('crn:cdp:classicclusters')) {
        return AssignableResourceType.CLASSICCLUSTERS;
    }
    if (type === AssignableResourceType.CLUSTER && crn && crn.startsWith('crn:cdp:compute')) {
        return AssignableResourceType.DATA_SERVICES_CLUSTER;
    }
    return type;
};
