import { User } from "cdp-js/dist/api/iam/types";
export declare const PERSONAS: {
    POWER_USER: string;
    ENVIRONMENT_CREATOR: string;
};
/**
 * This saga returns an object in the following format:
 * {
 *   personas: List of personas identified for this user
 *   resources: List of crns of the resources assigned to this user.
 * }
 *
 * Users persona(s) are identified based on their role and resource role assignments.
 * We'll need to rework this to be based on rights when our authorization model starts supporting
 * custom roles and resource roles.
 *
 * @param {User} user the current user.
 * @param {boolean} identifyPersonas Whether to identify personas. Returns an empty array without
 * making any API calls if set to false.
 */
export default function accessSaga(user: User, identifyPersonas: boolean): Generator<import("redux-saga/effects").CallEffect<import("cdp-js/dist/lib/ApiResponse").default<import("cdp-js/dist/api/iam/types").GetAssigneeAuthorizationInformationResponse>>, {
    personas: {
        [x: string]: boolean;
    };
    resources: string[];
}, import("cdp-js/dist/lib/ApiResponse").default<import("cdp-js/dist/api/iam/types").GetAssigneeAuthorizationInformationResponse>>;
