// Copyright (c) 2018 Cloudera, Inc. All rights reserved.
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (g && (g = 0, op[0] && (_ = 0)), _) try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [op[0] & 2, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
var _a, _b;
import iam from "cdp-js/dist/api/iam";
import { call } from 'redux-saga/effects';
import { getResourceName } from "cdp-js/dist/lib/Crn";
import uniq from 'lodash/uniq';
import { getAllAssignedRoles, getAllAssignedResourceRoles, ROLES } from "../selectors/roles";
export var PERSONAS = {
    POWER_USER: 'POWER_USER',
    ENVIRONMENT_CREATOR: 'ENVIRONMENT_CREATOR'
};
var DEFAULT_PERSONAS = (_a = {},
    _a[PERSONAS.POWER_USER] = false,
    _a[PERSONAS.ENVIRONMENT_CREATOR] = false,
    _a);
// TODO: [future] This has been significantly reduces since we removed altus stuff
// It might be worthwhile to consider refactoring this as the 'personas' concept in
// this form might not really be meaingful anymore (arne)
var getPersonas = function (roles, user) {
    var roleNames = roles.map(function (crn) { return getResourceName(crn); });
    var personas = __assign({}, DEFAULT_PERSONAS);
    if (user.accountAdmin || roleNames.includes(ROLES.POWER_USER)) {
        personas[PERSONAS.POWER_USER] = true;
        return personas;
    }
    if (roleNames.includes(ROLES.ENVIRONMENT_CREATOR)) {
        personas[PERSONAS.ENVIRONMENT_CREATOR] = true;
        return personas;
    }
    return personas;
};
/**
 * If the API fails for any reason, or the page is not detecting personas,
 * we use this fallbackPersonas and assume the user is a power user.
 *
 * We would rather show the UI and allow the API to error out, then hide UI components.
 */
var FALLBACK_PERSONAS = __assign(__assign({}, DEFAULT_PERSONAS), (_b = {}, _b[PERSONAS.POWER_USER] = true, _b));
/**
 * This saga returns an object in the following format:
 * {
 *   personas: List of personas identified for this user
 *   resources: List of crns of the resources assigned to this user.
 * }
 *
 * Users persona(s) are identified based on their role and resource role assignments.
 * We'll need to rework this to be based on rights when our authorization model starts supporting
 * custom roles and resource roles.
 *
 * @param {User} user the current user.
 * @param {boolean} identifyPersonas Whether to identify personas. Returns an empty array without
 * making any API calls if set to false.
 */
export default function accessSaga(user, identifyPersonas) {
    var roles, resourceRoles, response, e_1;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (!identifyPersonas) {
                    return [2 /*return*/, { personas: FALLBACK_PERSONAS, resources: [] }];
                }
                _a.label = 1;
            case 1:
                _a.trys.push([1, 3, , 4]);
                return [4 /*yield*/, call(iam.getAssigneeAuthorizationInformation, { assigneeCrn: user.crn })];
            case 2:
                response = _a.sent();
                roles = getAllAssignedRoles(response.obj);
                resourceRoles = getAllAssignedResourceRoles(response.obj);
                return [3 /*break*/, 4];
            case 3:
                e_1 = _a.sent();
                // User may not have the rights for these API calls so we don't want to treat this as a fatal errors.
                return [2 /*return*/, { personas: FALLBACK_PERSONAS, resources: [] }];
            case 4: return [2 /*return*/, {
                    personas: getPersonas(roles, user),
                    // TODO: [future] this might be dead if you follow the chain down and perhaps we can remove it (arne)
                    resources: uniq(resourceRoles.map(function (r) { return r.resourceCrn; }))
                }];
        }
    });
}
