var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __read = (this && this.__read) || function (o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m) return o;
    var i = m.call(o), r, ar = [], e;
    try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
    }
    catch (error) { e = { error: error }; }
    finally {
        try {
            if (r && !r.done && (m = i["return"])) m.call(i);
        }
        finally { if (e) throw e.error; }
    }
    return ar;
};
var __spreadArray = (this && this.__spreadArray) || function (to, from, pack) {
    if (pack || arguments.length === 2) for (var i = 0, l = from.length, ar; i < l; i++) {
        if (ar || !(i in from)) {
            if (!ar) ar = Array.prototype.slice.call(from, 0, i);
            ar[i] = from[i];
        }
    }
    return to.concat(ar || Array.prototype.slice.call(from));
};
var _a;
// Copyright (c) 2018 Cloudera, Inc. All rights reserved.
import React from 'react';
import PropTypes from 'prop-types';
import { getResourceName, getResourceType, getServiceName } from "cdp-js/dist/lib/Crn";
import i18n from "cuix/dist/utils/i18n";
import I18nHtml from "cuix/dist/components/I18nHtml";
import { getItem, getItems } from "cuix/dist/reducers/apiBusReducer";
import keyBy from 'lodash/keyBy';
import flatten from 'lodash/flatten';
import groupBy from 'lodash/groupBy';
import AssignableResourceType from "../enums/AssignableResourceType";
import appConfig from "cdp-js/dist/lib/appConfig";
export var ROLES = {
    IAM_USER: 'IamUser',
    IAM_VIEWER: 'IamViewer',
    DATAENG_USER: 'DataEngUser',
    DATAWARE_USER: 'DatawareUser',
    SDX_ADMIN: 'SdxAdmin',
    DBUS_UPLOADER: 'DbusUploader',
    POWER_USER: 'PowerUser',
    ENVIRONMENT_CREATOR: 'EnvironmentCreator'
};
var HIDDEN_ROLE_NAMES = [ROLES.DBUS_UPLOADER];
export var RESOURCE_ROLE_NAMES = {
    IAM_GROUP_ADMIN: 'IamGroupAdmin',
    DATAENG_ENVIRONMENT_USER: 'DataEngEnvironmentUser',
    DATAENG_NAMESPACE_USER: 'DataEngNamespaceUser',
    DATAWARE_CLUSTER_USER: 'DatawareClusterUser',
    DATAWARE_CLUSTER_ADMIN: 'DatawareClusterAdmin',
    DATAWARE_NAMESPACE_USER: 'DatawareNamespaceUser',
    WXM_CLUSTER_USER: 'WXMClusterUser',
    WXM_LIMITED_CLUSTER_USER: 'WXMLimitedClusterUser',
    WXM_CLUSTER_ADMIN: 'WXMClusterAdmin',
    WXM_WORKLOAD_USER: 'WXMWorkloadUser',
    ENVIRONMENT_ADMIN: 'EnvironmentAdmin',
    ENVIRONMENT_PRIVILEGED_USER: 'EnvironmentPrivilegedUser',
    ENVIRONMENT_USER: 'EnvironmentUser',
    DATA_STEWARD: 'DataSteward',
    DE_ADMIN: 'DEAdmin',
    DE_USER: 'DEUser',
    ML_VIEWER: 'MLViewer',
    ML_ADMIN: 'MLAdmin',
    ML_USER: 'MLUser',
    ML_BUSINESS_USER: 'MLBusinessUser',
    ML_WORKSPACE_ADMIN: 'MLWorkspaceAdmin',
    ML_WORKSPACE_USER: 'MLWorkspaceUser',
    ML_WORKSPACE_BUSINESS_USER: 'MLWorkspaceBusinessUser',
    DW_ADMIN: 'DWAdmin',
    DW_USER: 'DWUser',
    OD_ADMIN: 'ODAdmin',
    OD_USER: 'ODUser',
    CLASSIC_CLUSTER_ADMIN: 'ClassicClusterAdmin',
    CLASSIC_CLUSTER_USER: 'ClassicClusterUser',
    DATA_HUB_ADMIN: 'DataHubAdmin',
    DATA_HUB_CREATOR: 'DataHubCreator',
    DATA_HUB_USER: 'DataHubUser',
    OWNER: 'Owner',
    SHARED_RESOURCE_USER: 'SharedResourceUser',
    DF_ADMIN: 'DFAdmin',
    DF_FLOW_ADMIN: 'DFFlowAdmin',
    DF_FLOW_DEVELOPER: 'DFFlowDeveloper',
    DF_FLOW_USER: 'DFFlowUser',
    DF_PROJECT_ADMIN: 'DFProjectAdmin',
    DF_PROJECT_CREATOR: 'DFProjectCreator',
    DF_PROJECT_MEMBER: 'DFProjectMember',
    DF_FUNCTION_MACHINE_USER: 'DFFunctionMachineUser',
    CDPONE_SERVICE_ADMIN: 'CDPOneServiceAdmin'
};
export var RESOURCE_TYPE_ROLE_MAP = (_a = {},
    _a[AssignableResourceType.ENVIRONMENT] = [
        RESOURCE_ROLE_NAMES.DATAWARE_CLUSTER_ADMIN,
        RESOURCE_ROLE_NAMES.DATAENG_ENVIRONMENT_USER,
        RESOURCE_ROLE_NAMES.DATAWARE_CLUSTER_USER
    ],
    _a[AssignableResourceType.CDP_ENVIRONMENT] = [
        RESOURCE_ROLE_NAMES.ENVIRONMENT_ADMIN,
        RESOURCE_ROLE_NAMES.ENVIRONMENT_PRIVILEGED_USER,
        RESOURCE_ROLE_NAMES.ENVIRONMENT_USER,
        RESOURCE_ROLE_NAMES.DATA_STEWARD,
        RESOURCE_ROLE_NAMES.DE_ADMIN,
        RESOURCE_ROLE_NAMES.DE_USER,
        RESOURCE_ROLE_NAMES.ML_VIEWER,
        RESOURCE_ROLE_NAMES.ML_ADMIN,
        RESOURCE_ROLE_NAMES.ML_USER,
        RESOURCE_ROLE_NAMES.ML_BUSINESS_USER,
        RESOURCE_ROLE_NAMES.DW_ADMIN,
        RESOURCE_ROLE_NAMES.DW_USER,
        RESOURCE_ROLE_NAMES.OD_ADMIN,
        RESOURCE_ROLE_NAMES.OD_USER,
        RESOURCE_ROLE_NAMES.DATA_HUB_CREATOR,
        RESOURCE_ROLE_NAMES.OWNER,
        RESOURCE_ROLE_NAMES.DF_ADMIN,
        RESOURCE_ROLE_NAMES.DF_FLOW_ADMIN,
        RESOURCE_ROLE_NAMES.DF_FLOW_DEVELOPER,
        RESOURCE_ROLE_NAMES.DF_FLOW_USER,
        RESOURCE_ROLE_NAMES.DF_FUNCTION_MACHINE_USER,
        RESOURCE_ROLE_NAMES.DF_PROJECT_CREATOR,
        RESOURCE_ROLE_NAMES.CDPONE_SERVICE_ADMIN
    ],
    _a[AssignableResourceType.CDP_PRIVATE_ENVIRONMENT] = [
        RESOURCE_ROLE_NAMES.ML_ADMIN,
        RESOURCE_ROLE_NAMES.ML_USER,
        RESOURCE_ROLE_NAMES.DW_ADMIN,
        RESOURCE_ROLE_NAMES.DW_USER,
        RESOURCE_ROLE_NAMES.DE_ADMIN,
        RESOURCE_ROLE_NAMES.DE_USER
    ],
    _a[AssignableResourceType.WXM_ENVIRONMENT] = [
        RESOURCE_ROLE_NAMES.WXM_CLUSTER_USER,
        RESOURCE_ROLE_NAMES.WXM_LIMITED_CLUSTER_USER,
        RESOURCE_ROLE_NAMES.WXM_CLUSTER_ADMIN
    ],
    _a[AssignableResourceType.WORKLOAD] = [RESOURCE_ROLE_NAMES.WXM_WORKLOAD_USER],
    _a[AssignableResourceType.NAMESPACE] = [
        RESOURCE_ROLE_NAMES.DATAENG_NAMESPACE_USER,
        RESOURCE_ROLE_NAMES.DATAWARE_NAMESPACE_USER
    ],
    _a[AssignableResourceType.CLASSICCLUSTERS] = [
        RESOURCE_ROLE_NAMES.CLASSIC_CLUSTER_ADMIN,
        RESOURCE_ROLE_NAMES.CLASSIC_CLUSTER_USER,
        RESOURCE_ROLE_NAMES.OWNER
    ],
    _a[AssignableResourceType.CLUSTER] = [
        RESOURCE_ROLE_NAMES.DATA_HUB_ADMIN,
        RESOURCE_ROLE_NAMES.DATA_HUB_USER,
        RESOURCE_ROLE_NAMES.OWNER
    ],
    _a[AssignableResourceType.RECIPE] = [
        RESOURCE_ROLE_NAMES.SHARED_RESOURCE_USER,
        RESOURCE_ROLE_NAMES.OWNER
    ],
    _a[AssignableResourceType.IMAGE_CATALOG] = [
        RESOURCE_ROLE_NAMES.SHARED_RESOURCE_USER,
        RESOURCE_ROLE_NAMES.OWNER
    ],
    _a[AssignableResourceType.CLUSTER_TEMPLATE] = [
        RESOURCE_ROLE_NAMES.SHARED_RESOURCE_USER,
        RESOURCE_ROLE_NAMES.OWNER
    ],
    _a[AssignableResourceType.CLUSTER_DEFINITION] = [
        RESOURCE_ROLE_NAMES.SHARED_RESOURCE_USER,
        RESOURCE_ROLE_NAMES.OWNER
    ],
    _a[AssignableResourceType.CREDENTIAL] = [
        RESOURCE_ROLE_NAMES.OWNER,
        RESOURCE_ROLE_NAMES.SHARED_RESOURCE_USER
    ],
    _a.GROUP = [RESOURCE_ROLE_NAMES.IAM_GROUP_ADMIN],
    _a[AssignableResourceType.WORKSPACE] = [
        RESOURCE_ROLE_NAMES.OWNER,
        RESOURCE_ROLE_NAMES.ML_WORKSPACE_ADMIN,
        RESOURCE_ROLE_NAMES.ML_WORKSPACE_USER,
        RESOURCE_ROLE_NAMES.ML_WORKSPACE_BUSINESS_USER
    ],
    _a[AssignableResourceType.PROXY_CONFIG] = [
        RESOURCE_ROLE_NAMES.OWNER,
        RESOURCE_ROLE_NAMES.SHARED_RESOURCE_USER
    ],
    _a[AssignableResourceType.DATA_SERVICES_CLUSTER] = [
    // TODO: [future] Add resource roles here when they are defined. (jgolieb)
    ],
    _a[AssignableResourceType.PROJECT] = [
        RESOURCE_ROLE_NAMES.DF_PROJECT_ADMIN,
        RESOURCE_ROLE_NAMES.DF_PROJECT_MEMBER
    ],
    _a);
export var isCdpEnvironmentRole = function (roleName) {
    return RESOURCE_TYPE_ROLE_MAP[AssignableResourceType.CDP_ENVIRONMENT].includes(roleName);
};
// =================================================================================================
// Selectors
/**
 * Returns a list of role info objects in RoleInfoPropType shape. Roles that are are not defined
 * above in the ROLES object are considered hidden and filtered out.
 */
export var getRoles = function (state) {
    return getItems(state, 'listRoles', function (role) { return getRoleInfo(role); }).filter(function (roleInfo) { return !HIDDEN_ROLE_NAMES.includes(roleInfo.name); });
};
export var getResourceRoles = function (state, resourceType) {
    var resourceRoles = getItems(state, 'listResourceRoles', function (resourceRole) { return getResourceRoleInfo(resourceRole); });
    if (!resourceType) {
        return resourceRoles;
    }
    return resourceRoles.filter(function (resourceRole) {
        var validRoleNames = RESOURCE_TYPE_ROLE_MAP[resourceType] || [];
        return validRoleNames.includes(resourceRole.name);
    });
};
var getGroups = function (state) {
    return getItems(state, 'listGroups');
};
var getGroupMembershipInfo = function (state) {
    return getItem(state, 'getAssigneeAuthorizationInformation', 'groupMembershipInfo') || [];
};
var getRoleAssignments = function (state) {
    return getItem(state, 'getAssigneeAuthorizationInformation', 'roleAssignments') || [];
};
var getResourceAssignments = function (state) {
    return getItem(state, 'getAssigneeAuthorizationInformation', 'resourceAssignments') || [];
};
var getResourceRolesMap = function (state) {
    var resourceRoles = getItems(state, 'listResourceRoles', function (resourceRole) { return getResourceRoleInfo(resourceRole); });
    return keyBy(resourceRoles, 'crn');
};
export var getAssignedGroups = function (state) {
    var groupMembershipInfo = getItem(state, 'getAssigneeAuthorizationInformation', 'groupMembershipInfo') || [];
    var assignedGroupCrns = groupMembershipInfo.map(function (_a) {
        var groupCrn = _a.groupCrn;
        return groupCrn;
    });
    return getGroups(state).filter(function (group) { return assignedGroupCrns.includes(group.crn); });
};
/**
 * Returns an array of RoleInfoPropType where each entry maps to a role assigned to current user
 * either directly or via a group membership.
 */
export var getAssignedRoles = function (state) {
    var roles = getItems(state, 'listRoles');
    var groups = getGroupMembershipInfo(state);
    var roleAssignments = getRoleAssignments(state);
    return flatten(__spreadArray([
        convertToRoleInfo(roleAssignments, roles)
    ], __read(groups.map(function (group) { return convertToRoleInfo(group.roleAssignments, roles, group.groupCrn); })), false));
};
/**
 * Returns an array of ResourceAssignmentInfoPropType where each entry maps to a resource role
 *  assigned to current user either directly or via a group membership.
 */
export var getAssignedResources = function (state) {
    var resourceRolesMap = getResourceRolesMap(state);
    var groups = getGroupMembershipInfo(state);
    var resourceAssignments = getResourceAssignments(state);
    var resources = flatten(__spreadArray([
        convertToResourceRoleInfo(resourceAssignments, resourceRolesMap)
    ], __read(groups.map(function (group) {
        return convertToResourceRoleInfo(group.resourceAssignments, resourceRolesMap, group.groupCrn);
    })), false));
    return resources;
};
/**
 * Returns an array of ResourceAssigneeInfoPropType where each entry contains an assignee and an
 * array of resources roles directly assigned to this assignee.
 */
export var calculateResourceAssignees = function (allAssignees, allResourceRoles, resourceAssignees) {
    var assigneesMap = groupBy(resourceAssignees, 'assigneeCrn');
    return allAssignees
        .filter(function (assignee) { return assigneesMap[assignee.crn]; })
        .map(function (assignee) {
        var assignedResourceRoleCrns = assigneesMap[assignee.crn].map(function (_a) {
            var resourceRoleCrn = _a.resourceRoleCrn;
            return resourceRoleCrn;
        });
        return {
            assignee: assignee,
            resourceRoles: allResourceRoles.filter(function (resourceRole) {
                return assignedResourceRoleCrns.includes(resourceRole.crn);
            })
        };
    })
        .filter(function (_a) {
        var resourceRoles = _a.resourceRoles;
        return resourceRoles.length > 0;
    });
};
export var getResourceAssignees = function (state, allAssignees) {
    var allResourceRoles = getResourceRoles(state);
    var resourceAssignees = getItems(state, 'listResourceAssignees');
    return calculateResourceAssignees(allAssignees, allResourceRoles, resourceAssignees);
};
// =================================================================================================
// Mappers and decorators
/**
 * Maps an array of role assignments to role info objects of type RoleInfoPropType
 */
var convertToRoleInfo = function (roleAssignments, roles, groupCrn) {
    return roles
        .filter(function (role) { return roleAssignments.indexOf(role.crn) !== -1; })
        .map(function (role) { return getRoleInfo(role, groupCrn); });
};
/**
 * Maps an array of resource assignments to resource assignment info objects of type
 * ResourceAssignmentInfoPropType
 */
var convertToResourceRoleInfo = function (resourceAssignments, resourceRolesMap, groupCrn) {
    return resourceAssignments
        .map(function (assignment) {
        var resourceRole = resourceRolesMap[assignment.resourceRoleCrn];
        return getResourceAssignmentInfo(assignment.resourceCrn, resourceRole, groupCrn);
    })
        .filter(function (assignment) { return !!assignment; });
};
/**
 * Decorates a role object with additional information like description, group name, etc.
 */
export var getRoleInfo = function (_a, groupCrn) {
    var crn = _a.crn, policies = _a.policies;
    var name = getResourceName(crn) || '';
    var description = React.createElement(I18nHtml, { messageKey: 'label.roles.' + name + '.description' });
    var groupName = getResourceName(groupCrn) || '';
    return { crn: crn, name: name, description: description, policies: policies, groupCrn: groupCrn, groupName: groupName };
};
export var getResourceInfo = function (crn) {
    var name = getResourceName(crn) || '';
    var service = getServiceName(crn) || '';
    var type = getResourceType(crn) || '';
    var key = "label.resourceType.".concat(service, ".").concat(type);
    if (!i18n.hasKey(key)) {
        key = "label.resourceType.".concat(type);
    }
    var typeDisplayName = i18n.t(key);
    return { crn: crn, name: name, type: type, typeDisplayName: typeDisplayName };
};
export var getResourceRoleInfo = function (resourceRole) {
    var name = getResourceName(resourceRole.crn) || '';
    var pcPrefix = name === RESOURCE_ROLE_NAMES.ENVIRONMENT_USER && appConfig.isPrivateCloud()
        ? 'cdpprivate.'
        : '';
    var description = i18n.t('label.resourceRoles.' + pcPrefix + name + '.description');
    return __assign(__assign({}, resourceRole), { name: name, description: description });
};
export var getResourceAssignmentInfo = function (resourceCrn, resourceRole, groupCrn) {
    if (!resourceRole) {
        return undefined;
    }
    return {
        resource: getResourceInfo(resourceCrn),
        resourceRole: getResourceRoleInfo(resourceRole),
        groupCrn: groupCrn,
        groupName: getResourceName(groupCrn) || ''
    };
};
/**
 * Returns all roles assigned to a user from the response of getAssigneeAuthorizationInformation
 * API call.
 * @param {object} assigneeAuthorizationInformation
 */
export var getAllAssignedRoles = function (assigneeAuthorizationInformation) {
    return flatten(__spreadArray([
        assigneeAuthorizationInformation.roleAssignments
    ], __read(assigneeAuthorizationInformation.groupMembershipInfo.map(function (group) { return group.roleAssignments; })), false));
};
/**
 * Returns all resource roles assigned to a user from the response of
 * getAssigneeAuthorizationInformation API call.
 * @param {object} assigneeAuthorizationInformation
 */
export var getAllAssignedResourceRoles = function (assigneeAuthorizationInformation) {
    return flatten(__spreadArray([
        assigneeAuthorizationInformation.resourceAssignments
    ], __read(assigneeAuthorizationInformation.groupMembershipInfo.map(function (group) { return group.resourceAssignments; })), false));
};
export var roleNames2roles = function (allRoles, roleNames) {
    var rolesMap = keyBy(allRoles, 'name');
    return roleNames.map(function (name) { return rolesMap[name]; });
};
// =================================================================================================
// PropType definitions
export var ResourceInfoPropType = PropTypes.shape({
    crn: PropTypes.string.isRequired,
    name: PropTypes.string.isRequired,
    type: PropTypes.string.isRequired,
    typeDisplayName: PropTypes.string.isRequired
});
export var ResourceRoleInfoPropType = PropTypes.shape({
    crn: PropTypes.string.isRequired,
    name: PropTypes.string.isRequired,
    rights: PropTypes.array.isRequired,
    description: PropTypes.string.isRequired
});
export var ResourceAssignmentInfoPropType = PropTypes.shape({
    resource: ResourceInfoPropType.isRequired,
    resourceRole: ResourceRoleInfoPropType.isRequired,
    groupCrn: PropTypes.string,
    groupName: PropTypes.string
});
export var RoleInfoPropType = PropTypes.shape({
    crn: PropTypes.string.isRequired,
    name: PropTypes.string.isRequired,
    description: PropTypes.string.isRequired,
    policies: PropTypes.array.isRequired,
    groupCrn: PropTypes.string,
    groupName: PropTypes.string
});
