/// <reference types="react" />
import { User, MachineUser, Group } from "cdp-js/dist/api/iam/types";
/** Represents a user or machine user. */
export type Actor = User | MachineUser;
/** Represents an entity that can be assigned roles. */
export type Assignee = Actor | Group;
/** Represents a role assignment with information on group that provides the role */
export interface RoleInfo {
    crn: string;
    name: string;
    description: string | React.ReactNode;
    policies: any[];
    groupCrn?: string;
    groupName?: string;
}
export interface ResourceAssigneeInfo {
    assignee: Assignee;
    resourceRoles: ResourceRoleInfo[];
}
export interface ResourceInfo {
    crn: string;
    name: string;
    type: string;
    typeDisplayName: string;
}
export interface ResourceRoleInfo {
    crn: string;
    name: string;
    rights: string[];
    description: string;
}
export interface ResourceAssignmentInfo {
    resource: ResourceInfo;
    resourceRole: ResourceRoleInfo;
    groupCrn?: string;
    groupName?: string;
}
