import React, { SVGProps } from 'react';
import { Color } from "cuix/dist/types/types";
import { LinkProps } from '../Link';
import { LinkButtonProps } from '../Button';
interface LinkAction {
    label: string;
    href?: LinkProps['href'];
    external?: LinkProps['external'];
    target?: LinkProps['target'];
}
interface ButtonAction {
    label: string;
    onClick: LinkButtonProps['onClick'];
}
export interface Props {
    /**
     * A value from the `Color` enum.
     */
    color: Color;
    title: string;
    body?: string;
    /**
     * An icon from the "brand" icons set.
     */
    icon: React.ComponentType<SVGProps<SVGSVGElement>>;
    /**
     * `string` -> `Link` with the string as the href
     *
     * `() => void` -> `LinkButton` with the function as the `onClick` property
     */
    actions: (LinkAction | ButtonAction)[];
    onClose: () => void;
}
/**
 * Banner containing brand colors and graphics in a specific layout designed for
 * use primarily on product landing pages.
 */
declare const ActionBanner: React.FC<Props>;
export default ActionBanner;
