var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
// Copyright (c) 2024 Cloudera, Inc. All rights reserved.
import React from 'react';
import { BaseCard } from '../Card';
import styled from 'styled-components';
import { backgroundColor, color } from './ActionBanner.theme';
import { cdlHeadingH4LineHeight, cdlHeadingH4Size, cdlHeadingH4Weight, cdlSpacingM, cdlSpacingS, cdlSpacingTiny, cdlSpacingXs, cdlSpacingXxs } from '@cloudera/cuix-core/variables';
import Link from '../Link';
import { Text } from '../Typography';
import { LinkButton } from '../Button';
import CloseIcon from '@cloudera/cuix-core/icons/react/CloseIcon';
import i18n from "cuix/dist/utils/i18n";
var IconWrapper = styled.div(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  color: ", ";\n  background-color: ", ";\n  font-size: 80px;\n  padding: 14px;\n  line-height: 1;\n"], ["\n  color: ", ";\n  background-color: ", ";\n  font-size: 80px;\n  padding: 14px;\n  line-height: 1;\n"])), color, backgroundColor);
var CardHeading = styled(Text)(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n  font-size: ", ";\n  font-weight: ", ";\n  line-height: ", ";\n"], ["\n  font-size: ", ";\n  font-weight: ", ";\n  line-height: ", ";\n"])), cdlHeadingH4Size, cdlHeadingH4Weight, cdlHeadingH4LineHeight);
var StyledLink = styled(Link)(templateObject_3 || (templateObject_3 = __makeTemplateObject(["\n  &&& {\n    display: inline-flex;\n    height: 19px;\n  }\n"], ["\n  &&& {\n    display: inline-flex;\n    height: 19px;\n  }\n"])));
var StyledLinkButton = styled(LinkButton)(templateObject_4 || (templateObject_4 = __makeTemplateObject(["\n  &&& {\n    margin-top: 1px;\n    height: 19px;\n\n    span {\n      position: relative;\n      bottom: 1px;\n    }\n  }\n"], ["\n  &&& {\n    margin-top: 1px;\n    height: 19px;\n\n    span {\n      position: relative;\n      bottom: 1px;\n    }\n  }\n"])));
/**
 * Banner containing brand colors and graphics in a specific layout designed for
 * use primarily on product landing pages.
 */
var ActionBanner = function (_a) {
    var Icon = _a.icon, color = _a.color, title = _a.title, body = _a.body, actions = _a.actions, onClose = _a.onClose;
    return (React.createElement(BaseCard, { colspan: 12, color: color, filled: true, bordered: true, style: { position: 'relative', display: 'flex', alignItems: 'stretch' } },
        React.createElement(IconWrapper, { color: color, "aria-hidden": true },
            React.createElement(Icon, { style: { display: 'block' } })),
        React.createElement("div", { style: {
                display: 'flex',
                flexDirection: 'column',
                padding: cdlSpacingS,
                flex: 'auto'
            } },
            React.createElement(CardHeading, { bold: true }, title),
            React.createElement(Text, { style: { marginTop: cdlSpacingTiny } }, body),
            React.createElement("div", { style: {
                    display: 'flex',
                    rowGap: cdlSpacingTiny,
                    columnGap: cdlSpacingS,
                    alignItems: 'center',
                    width: '100%',
                    marginTop: cdlSpacingXxs,
                    flexWrap: 'wrap'
                } }, actions.map(function (action, index) {
                var label = action.label, props = __rest(action, ["label"]);
                if ('href' in props) {
                    return (React.createElement(StyledLink, __assign({ key: index }, props), label));
                }
                return (React.createElement(StyledLinkButton, __assign({ key: index }, props), label));
            }))),
        onClose && (React.createElement(LinkButton, { icon: React.createElement(CloseIcon, { style: { fontSize: cdlSpacingM } }), "aria-label": i18n.t('label.close'), onClick: onClose, style: { width: cdlSpacingM, height: cdlSpacingM, margin: cdlSpacingXs, padding: 0 } }))));
};
export default ActionBanner;
var templateObject_1, templateObject_2, templateObject_3, templateObject_4;
