var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
// Copyright (c) 2023 Cloudera, Inc. All rights reserved.
import React from 'react';
import Card from '../Card';
import styled from 'styled-components';
import { color } from './ActionCard.theme';
import { cdlHeadingH3LineHeight, cdlHeadingH3Size, cdlHeadingH3Weight, cdlHeadingH4LineHeight, cdlHeadingH4Size, cdlHeadingH4Weight, cdlSpacingS, cdlSpacingTiny } from '@cloudera/cuix-core/variables';
import Button from '../Button';
import { Text, Paragraph } from '../Typography';
import DropdownButton from '../DropdownButton';
var breakpointL = '473px';
var breakpointM = '307px';
var IconWrapper = styled.div(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  color: ", ";\n  font-size: 40px;\n  padding: 16px;\n  line-height: 1;\n"], ["\n  color: ", ";\n  font-size: 40px;\n  padding: 16px;\n  line-height: 1;\n"])), color);
var Content = styled.div(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n  padding: ", ";\n  padding-left: 0;\n  display: flex;\n  flex-direction: column;\n  width: 100%;\n  background: white;\n\n  @container (min-width: ", ") {\n    flex-direction: column;\n  }\n\n  @container (min-width: ", ") {\n    flex-direction: row;\n    justify-content: space-between;\n  }\n"], ["\n  padding: ", ";\n  padding-left: 0;\n  display: flex;\n  flex-direction: column;\n  width: 100%;\n  background: white;\n\n  @container (min-width: ", ") {\n    flex-direction: column;\n  }\n\n  @container (min-width: ", ") {\n    flex-direction: row;\n    justify-content: space-between;\n  }\n"])), cdlSpacingS, breakpointM, breakpointL);
var CardHeading = styled(Text)(templateObject_3 || (templateObject_3 = __makeTemplateObject(["\n  font-size: ", ";\n  font-weight: ", ";\n  line-height: ", ";\n\n  @container (min-width: ", ") {\n    font-size: ", ";\n    font-weight: ", ";\n    line-height: ", ";\n  }\n"], ["\n  font-size: ", ";\n  font-weight: ", ";\n  line-height: ", ";\n\n  @container (min-width: ", ") {\n    font-size: ", ";\n    font-weight: ", ";\n    line-height: ", ";\n  }\n"])), cdlHeadingH4Size, cdlHeadingH4Weight, cdlHeadingH4LineHeight, breakpointM, cdlHeadingH3Size, cdlHeadingH3Weight, cdlHeadingH3LineHeight);
var Actions = styled.div(templateObject_4 || (templateObject_4 = __makeTemplateObject(["\n  align-self: flex-end;\n\n  @container (min-width: ", ") {\n    align-self: center;\n  }\n"], ["\n  align-self: flex-end;\n\n  @container (min-width: ", ") {\n    align-self: center;\n  }\n"])), breakpointL);
/**
 * Card containing a brand icon, text, and call(s) to action. Designed for use
 * primarily on product landing pages. The internal layout is responsive to the
 * grid width.
 */
var ActionCard = function (_a) {
    var size = _a.size, Icon = _a.icon, color = _a.color, actions = _a.actions, title = _a.title, body = _a.body;
    return (React.createElement(Card, { size: size, style: {
            // @ts-ignore React typings don't support `containerType` yet.
            containerType: 'inline-size',
            position: 'relative',
            display: 'flex',
            alignItems: 'stretch'
        } },
        React.createElement(IconWrapper, { color: color, "aria-hidden": true },
            React.createElement(Icon, null)),
        React.createElement(Content, null,
            React.createElement("div", null,
                React.createElement(CardHeading, { bold: true }, title),
                React.createElement(Paragraph, { style: { marginTop: cdlSpacingTiny } }, body)),
            React.createElement(Actions, null,
                Array.isArray(actions) && React.createElement(DropdownButton, { menu: { items: actions } }),
                actions && !Array.isArray(actions) && (React.createElement(Button, { onClick: actions.onClick }, actions.label))))));
};
export default ActionCard;
var templateObject_1, templateObject_2, templateObject_3, templateObject_4;
