// Copyright (c) 2017 Cloudera, Inc. All rights reserved.
import React from 'react';
import { Dropdown, Button } from 'antd';
import i18n from '../../utils/i18n';
import LinkButton from '../LegacyLinkButton';
import MoreVerticalIcon from '@cloudera/cuix-core/icons/react/MoreVerticalIcon';
import DropdownIcon from '@cloudera/cuix-core/icons/react/DropdownIcon';
import { fluidxGray700 } from '../../styles/variables';
var ActionsDropdown = function (_a) {
    var children = _a.children, size = _a.size, _b = _a.dots, dots = _b === void 0 ? false : _b, placement = _a.placement, dataTest = _a["data-test"];
    return (React.createElement(Dropdown, { overlay: children, trigger: ['click'], placement: placement }, dots ? (React.createElement(LinkButton, { "data-event": "Actions Dropdown", "data-test": dataTest },
        React.createElement(MoreVerticalIcon, { style: { color: fluidxGray700, fontSize: 20 } }))) : (React.createElement(Button, { size: size, "data-test": dataTest },
        React.createElement("span", null, i18n.t('label.actions')),
        React.createElement(DropdownIcon, { style: { fontSize: 20 } })))));
};
export default ActionsDropdown;
