// Copyright (c) 2021 Cloudera, Inc. All rights reserved.
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
// eslint-disable-next-line thunderhead/prefer-cuix-over-antd
import { Alert as AntdAlert } from 'antd';
import { paddingMd, fluidxSpacingXs, heading2Size, fontSizeLg, fluidxGreen600, heading3Size, fluidxBlue900, fluidxOrange900, fluidxRed900, fluidxGreen900, fluidxSpacingS } from "cuix/dist/styles/variables";
import React from 'react';
import styled from 'styled-components';
import AlertIcon from './AlertIcon';
var StyledAlert = styled(AntdAlert)(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  &.ant-alert {\n    padding-left: ", ";\n    padding-top: ", ";\n    padding-bottom: ", ";\n  }\n  &.ant-alert-with-description {\n    padding-left: ", ";\n    padding-top: ", ";\n    padding-bottom: ", ";\n    svg[class^='cdp-icon-'] {\n      height: ", ";\n      width: ", ";\n    }\n    .ant-alert-message {\n      font-size: ", ";\n      font-weight: 500;\n    }\n  }\n\n  // in case of Success Alerts, the design specifies different a different color for the border and the icons.\n  // See https://design.cloudera.com/9f23dd142/p/05dada-alerts/i/25723911\n  &.ant-alert-success:not(.ant-alert-banner) {\n    border: 1px solid ", ";\n  }\n  svg[class^='cdp-icon-'] {\n    margin-right: ", ";\n    height: ", ";\n    width: ", ";\n  }\n\n  &.cuix-alert-info-color {\n    .ant-alert-message,\n    .ant-alert-description,\n    .anticon.anticon-close {\n      color: ", ";\n    }\n  }\n  &.cuix-alert-warning-color {\n    .ant-alert-message,\n    .ant-alert-description,\n    .anticon.anticon-close {\n      color: ", ";\n    }\n  }\n  &.cuix-alert-error-color {\n    .ant-alert-message,\n    .ant-alert-description,\n    .anticon.anticon-close {\n      color: ", ";\n    }\n  }\n  &.cuix-alert-success-color {\n    .ant-alert-message,\n    .ant-alert-description,\n    .anticon.anticon-close {\n      color: ", ";\n    }\n  }\n"], ["\n  &.ant-alert {\n    padding-left: ", ";\n    padding-top: ", ";\n    padding-bottom: ", ";\n  }\n  &.ant-alert-with-description {\n    padding-left: ", ";\n    padding-top: ", ";\n    padding-bottom: ", ";\n    svg[class^='cdp-icon-'] {\n      height: ", ";\n      width: ", ";\n    }\n    .ant-alert-message {\n      font-size: ", ";\n      font-weight: 500;\n    }\n  }\n\n  // in case of Success Alerts, the design specifies different a different color for the border and the icons.\n  // See https://design.cloudera.com/9f23dd142/p/05dada-alerts/i/25723911\n  &.ant-alert-success:not(.ant-alert-banner) {\n    border: 1px solid ", ";\n  }\n  svg[class^='cdp-icon-'] {\n    margin-right: ", ";\n    height: ", ";\n    width: ", ";\n  }\n\n  &.cuix-alert-info-color {\n    .ant-alert-message,\n    .ant-alert-description,\n    .anticon.anticon-close {\n      color: ", ";\n    }\n  }\n  &.cuix-alert-warning-color {\n    .ant-alert-message,\n    .ant-alert-description,\n    .anticon.anticon-close {\n      color: ", ";\n    }\n  }\n  &.cuix-alert-error-color {\n    .ant-alert-message,\n    .ant-alert-description,\n    .anticon.anticon-close {\n      color: ", ";\n    }\n  }\n  &.cuix-alert-success-color {\n    .ant-alert-message,\n    .ant-alert-description,\n    .anticon.anticon-close {\n      color: ", ";\n    }\n  }\n"])), paddingMd, fluidxSpacingXs, fluidxSpacingXs, fluidxSpacingS, fluidxSpacingS, fluidxSpacingS, heading2Size, heading2Size, fontSizeLg, fluidxGreen600, fluidxSpacingXs, heading3Size, heading3Size, fluidxBlue900, fluidxOrange900, fluidxRed900, fluidxGreen900);
/**
 * Alert is using Ant design's alert with customized design that matches Cloudera design specifications,
 * especially regarding icons, icon sizes and some color changes.
 *
 * All the props are the same as Antd Alert's.
 *
 * When importing it, be careful to import this one and not Ant Design's own Alert component.
 */
var Alert = function (_a) {
    var props = __rest(_a, []);
    var type = props.type;
    return (React.createElement(StyledAlert, __assign({ icon: React.createElement(AlertIcon, { type: type }), className: "cuix-alert-".concat(type !== null && type !== void 0 ? type : 'info', "-color") }, props)));
};
export default Alert;
var templateObject_1;
