// Copyright (c) 2022 Cloudera, Inc. All rights reserved.
import React from 'react';
import { fluidxBlue500, fluidxOrange500, fluidxGreen600, fluidxRed500 } from "cuix/dist/styles/variables";
import ErrorIcon from '@cloudera/cuix-core/icons/react/ErrorIcon';
import InfoIcon from '@cloudera/cuix-core/icons/react/InfoIcon';
import SuccessIcon from '@cloudera/cuix-core/icons/react/SuccessIcon';
import WarningIcon from '@cloudera/cuix-core/icons/react/WarningIcon';
/**
 * AlertIcon is used to display official Cloudera icons for CUIX Alerts.
 * Design specification is based on https://design.cloudera.com/9f23dd142/p/05dada-alerts.
 */
var AlertIcon = function (_a) {
    var type = _a.type;
    if (type === undefined || type === 'info') {
        return React.createElement(InfoIcon, { "data-test": "infoIcon", color: fluidxBlue500 });
    }
    switch (type) {
        case 'warning':
            return React.createElement(WarningIcon, { "data-test": "warningIcon", color: fluidxOrange500 });
        case 'success':
            return React.createElement(SuccessIcon, { "data-test": "successIcon", color: fluidxGreen600 });
        case 'error':
            return React.createElement(ErrorIcon, { "data-test": "errorIcon", color: fluidxRed500 });
    }
};
export default AlertIcon;
