import React from 'react';
interface Props {
    className?: string;
    style?: React.CSSProperties;
    /**
     * The global navigation element, such as the CDP Sidebar.
     */
    nav?: React.ReactNode;
    /**
     * Any global banners that should span the top of the viewport.
     */
    banners?: React.ReactNode;
}
/**
 * Lays out a CDL application, including the navigation element (i.e. the CDP
 * `Sidebar`), main page content (i.e. `PageLayout` provided as children), and
 * any global banners provided.
 */
declare const AppLayout: React.FC<Props>;
export default AppLayout;
