var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __read = (this && this.__read) || function (o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m) return o;
    var i = m.call(o), r, ar = [], e;
    try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
    }
    catch (error) { e = { error: error }; }
    finally {
        try {
            if (r && !r.done && (m = i["return"])) m.call(i);
        }
        finally { if (e) throw e.error; }
    }
    return ar;
};
// Copyright (c) 2023 Cloudera, Inc. All rights reserved.
import React, { useRef, useState } from 'react';
import { cdlWhite, cdlSlate800, cdlGray300, cdlPurple100, cdlPurple600, cdlSpacingM, cdlSpacingS, cdlBlue100, cdlGray100 } from "cuix/dist/styles/variables";
import PageLayoutDemo from './PageLayoutDemo';
import WidthMeasurement from './WidthMeasurement';
import MeasuredCard from './MeasuredCard';
import Button from "cuix/dist/components/Button";
import FlowOptionsIcon from '@cloudera/cuix-core/icons/react/FlowOptionsIcon';
import ViewIcon from '@cloudera/cuix-core/icons/react/ViewIcon';
import HideIcon from '@cloudera/cuix-core/icons/react/HideIcon';
import AppLayout from '..';
import PageLayout from '../../PageLayout';
import ReactSidebar from "cuix/dist/cdp/CDPSidebarV2/adapters/Sidebar.react";
import productIconSrc from '@cloudera/cuix-core/icons/svg/ic-product-placeholder-lg.svg';
import productTextLogoSrc from '@cloudera/cuix-core/icons/wordmarks/wordmark-cdp-white.svg';
import configureStore from 'redux-mock-store';
import { Provider } from 'react-redux';
import FileSizeReportIcon from '@cloudera/cuix-core/icons/react/FileSizeReportIcon';
import { BaseCard } from "cuix/dist/components/Card";
import styled from 'styled-components';
import { useResizeObserver } from '@react-hookz/web/esm/useResizeObserver';
var ScrollbarIcon = styled(FileSizeReportIcon)(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  transform: scaleX(-1);\n"], ["\n  transform: scaleX(-1);\n"])));
var Gutter = styled('div')(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n  width: ", ";\n  height: 100%;\n  background: ", ";\n  flex: none;\n"], ["\n  width: ", ";\n  height: 100%;\n  background: ", ";\n  flex: none;\n"])), cdlSpacingM, cdlBlue100);
var Column = function () {
    return (React.createElement(BaseCard, { style: { height: '100%', backgroundColor: cdlGray100, flex: 'none' }, colspan: 1 },
        React.createElement(WidthMeasurement, { style: { top: 104 } })));
};
var NavContainer = styled('div')(templateObject_3 || (templateObject_3 = __makeTemplateObject(["\n  display: flex;\n  flex-direction: column;\n\n  & > :last-child {\n    flex-grow: 1;\n  }\n"], ["\n  display: flex;\n  flex-direction: column;\n\n  & > :last-child {\n    flex-grow: 1;\n  }\n"])));
var pageTitle = 'This Is The Title Of The Page';
export var AppLayoutStoryContainer = function (_a) {
    var children = _a.children;
    var _b = __read(useState(true), 2), showScrollbar = _b[0], setShowScrollbar = _b[1];
    var _c = __read(useState(false), 2), showXray = _c[0], setShowXray = _c[1];
    var _d = __read(useState(false), 2), fullWidth = _d[0], setFullWidth = _d[1];
    var _e = __read(useState(0), 2), widthAdjustment = _e[0], setWidthAdjustment = _e[1];
    var ref = useRef(null);
    useResizeObserver(ref, function () {
        if (ref.current) {
            setWidthAdjustment(ref.current.offsetWidth);
        }
    });
    var getMockStore = configureStore();
    var mockStore = getMockStore({
        auth: { entitlements: ['CDP_NOTIFICATION_SERVICE'] }
    });
    return (React.createElement(Provider, { store: mockStore },
        React.createElement(AppLayout, { banners: showXray && React.createElement(WidthMeasurement, { style: { backgroundColor: cdlGray300, flex: 'none' } }), nav: React.createElement(NavContainer, null,
                showXray && (React.createElement(WidthMeasurement, { style: { color: cdlWhite, backgroundColor: cdlSlate800 } })),
                React.createElement(ReactSidebar, { ref: ref, productDisplayName: "", productName: null, sidebarItems: [
                        {
                            name: 'toggleXray',
                            displayName: 'Toggle X-Ray',
                            type: 'navigation',
                            IconComponent: showXray ? HideIcon : ViewIcon,
                            handler: function () { return setShowXray(!showXray); }
                        },
                        {
                            name: 'toggleScrollbar',
                            displayName: 'Toggle Scrollbar',
                            type: 'navigation',
                            IconComponent: ScrollbarIcon,
                            handler: function () { return setShowScrollbar(!showScrollbar); }
                        },
                        {
                            name: 'toggleFullWidth',
                            displayName: 'Toggle Full Width',
                            type: 'navigation',
                            IconComponent: FlowOptionsIcon,
                            handler: function () { return setFullWidth(!fullWidth); }
                        }
                    ], productIconLogoSrc: productIconSrc, productTextLogoSrc: productTextLogoSrc, logoHref: "#", productColor: "", entitlements: null, user: null, versionNumber: "" })) },
            React.createElement("div", { id: "demoGrid", style: {
                    display: 'grid',
                    gridTemplateColumns: "100%",
                    height: '100%',
                    overflowY: showScrollbar ? 'scroll' : 'hidden'
                } },
                React.createElement(PageLayoutDemo, { fullWidth: fullWidth, style: {
                        gridRowStart: 1,
                        gridColumnStart: 1,
                        backgroundColor: 'transparent',
                        backgroundSize: "".concat(cdlSpacingS, " ").concat(cdlSpacingS),
                        backgroundImage: showXray
                            ? "repeating-linear-gradient(\n              45deg,\n              ".concat(cdlPurple100, ",\n              ").concat(cdlPurple100, " 44%,\n              ").concat(cdlPurple600, " 44%,\n              ").concat(cdlPurple600, " 50%,\n              ").concat(cdlPurple100, " 50%\n            )")
                            : undefined
                    }, widthAdjustment: widthAdjustment, showXray: showXray },
                    React.createElement("div", { id: "columns", style: { display: 'flex', height: "calc(100% - ".concat(cdlSpacingS) } },
                        React.createElement(Column, null),
                        React.createElement(Gutter, null),
                        React.createElement(Column, null),
                        React.createElement(Gutter, null),
                        React.createElement(Column, null),
                        React.createElement(Gutter, null),
                        React.createElement(Column, null),
                        React.createElement(Gutter, null),
                        React.createElement(Column, null),
                        React.createElement(Gutter, null),
                        React.createElement(Column, null),
                        React.createElement(Gutter, null),
                        React.createElement(Column, null),
                        React.createElement(Gutter, null),
                        React.createElement(Column, null),
                        React.createElement(Gutter, null),
                        React.createElement(Column, null),
                        React.createElement(Gutter, null),
                        React.createElement(Column, null),
                        React.createElement(Gutter, null),
                        React.createElement(Column, null),
                        React.createElement(Gutter, null),
                        React.createElement(Column, null))),
                React.createElement(PageLayout, { fullWidth: fullWidth, headerStyle: {
                        gridRowStart: 1,
                        gridColumnStart: 1,
                        top: showXray ? cdlSpacingS : 0
                    }, contentStyle: {
                        gridRowStart: 1,
                        gridColumnStart: 1,
                        marginTop: showXray ? 72 : 56,
                        height: showXray ? 'calc(100% - 72px)' : 'calc(100% - 56px)'
                    }, widthAdjustment: widthAdjustment, title: pageTitle, controls: React.createElement(Button, { "data-event": "Storybook" }, "Button"), breadcrumbs: [
                        { label: 'Overview', href: '#' },
                        { label: 'Parent Page', href: '#' },
                        { label: pageTitle, href: '#' }
                    ] }, showXray ? (React.createElement(React.Fragment, null,
                    React.createElement(MeasuredCard, { colspan: 2, style: { marginTop: cdlSpacingM } }),
                    React.createElement(MeasuredCard, { colspan: 3 }),
                    React.createElement(MeasuredCard, { colspan: 4 }),
                    React.createElement(MeasuredCard, { colspan: 6 }),
                    React.createElement(MeasuredCard, { colspan: 8 }),
                    React.createElement(MeasuredCard, { colspan: 12 }))) : (children))))));
};
var templateObject_1, templateObject_2, templateObject_3;
