var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
// Copyright (c) 2023 Cloudera, Inc. All rights reserved.
import React, { useRef } from 'react';
import { cdlGray200, cdlOrange100 } from "cuix/dist/styles/variables";
import WidthMeasurement from './WidthMeasurement';
import GridContext, { useGridContextValue } from '../../GridContext/GridContext';
import GridHorizontalLayout from "cuix/dist/components/PageLayout/GridHorizontalLayout";
var PageLayoutDemo = function (_a) {
    var showXray = _a.showXray, _b = _a.fullWidth, fullWidth = _b === void 0 ? false : _b, _c = _a.widthAdjustment, widthAdjustment = _c === void 0 ? 0 : _c, style = _a.style, children = _a.children;
    var ref = useRef(null);
    var gridContextValue = useGridContextValue(ref, showXray);
    return (React.createElement("div", { id: "fullWidthContainer", style: __assign({ display: 'flex', flexDirection: 'column' }, style) },
        React.createElement(GridHorizontalLayout, { fullWidth: fullWidth, widthAdjustment: widthAdjustment, style: {
                backgroundColor: showXray ? cdlOrange100 : 'transparent',
                height: "100%"
            } }, showXray && (React.createElement("div", { ref: ref, style: { height: '100%' } },
            React.createElement(WidthMeasurement, { style: { position: 'sticky', top: 0, zIndex: 1, backgroundColor: cdlGray200 } }),
            React.createElement(GridContext.Provider, { value: gridContextValue }, children))))));
};
export default PageLayoutDemo;
