var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __read = (this && this.__read) || function (o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m) return o;
    var i = m.call(o), r, ar = [], e;
    try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
    }
    catch (error) { e = { error: error }; }
    finally {
        try {
            if (r && !r.done && (m = i["return"])) m.call(i);
        }
        finally { if (e) throw e.error; }
    }
    return ar;
};
// Copyright (c) 2023 Cloudera, Inc. All rights reserved.
import React, { useState, useRef } from 'react';
import { cdlSpacingS } from '@cloudera/cuix-core/variables';
import { useResizeObserver } from '@react-hookz/web/esm/useResizeObserver';
import styled from 'styled-components';
var Arrow = styled('div')(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  position: relative;\n  flex: auto;\n  height: 1px;\n  background: currentColor;\n\n  &:after {\n    content: '';\n    width: 6px;\n    height: 6px;\n    border-top: 1px solid currentColor;\n    border-right: 1px solid currentColor;\n    transform: rotate(45deg) translateY(0.75px);\n    position: absolute;\n    right: 0;\n    top: -3px;\n  }\n"], ["\n  position: relative;\n  flex: auto;\n  height: 1px;\n  background: currentColor;\n\n  &:after {\n    content: '';\n    width: 6px;\n    height: 6px;\n    border-top: 1px solid currentColor;\n    border-right: 1px solid currentColor;\n    transform: rotate(45deg) translateY(0.75px);\n    position: absolute;\n    right: 0;\n    top: -3px;\n  }\n"])));
var WidthMeasurement = function (_a) {
    var style = _a.style;
    var _b = __read(useState(0), 2), width = _b[0], setWidth = _b[1];
    var ref = useRef(null);
    useResizeObserver(ref, function () {
        if (ref.current) {
            setWidth(ref.current.offsetWidth);
        }
    });
    return (React.createElement("div", { ref: ref, style: __assign({ position: 'relative', display: 'flex', alignItems: 'center', height: cdlSpacingS, width: '100%' }, style) },
        React.createElement(Arrow, { style: { transform: 'scaleX(-1)', marginLeft: 2, marginRight: 2 } }),
        React.createElement("span", { style: { fontSize: 13.5, lineHeight: 1 } }, width && "".concat(Math.round(width * 10) / 10, "px")),
        React.createElement(Arrow, { style: { marginLeft: 2, marginRight: 2 } })));
};
export default WidthMeasurement;
var templateObject_1;
