import React from 'react';
import "./ArrayInput.css";
export interface ArrayInputProps {
    /** ID of the input element. */
    id?: string;
    /** Max item limit for the input. If specified, plus buttons are hidden once this limit is reached. */
    maxItemCount?: number;
    /** Function to call when input value changes */
    onChange?: (items?: any[]) => void;
    /** Function to call input is blurred */
    onBlur?: (items?: any[]) => void;
    /** Value of the input. */
    value?: any[];
    /** The input element to render for each array entry. */
    children: React.ReactElement<any>;
    /** Possibility to disable the minus icon */
    minusIconIsDisabled?: boolean;
    /** Possibility to disable the plus icon */
    plusIconIsDisabled?: boolean;
    /** Define height of the container (or we can choose inherit to not define it) */
    lineHeight?: number | string;
}
/**
 * This component is used for entering an array of items. Each item is represented by the input field
 * provided as the children to this component.
 */
export default class ArrayInput extends React.Component<ArrayInputProps, {}> {
    onChange: (items?: any[]) => void;
    onBlur: (items?: any[]) => void;
    add: (index: number) => void;
    remove: (index: number) => void;
    update: (e: React.ChangeEvent<HTMLInputElement>, index: number) => void;
    getItems: () => any[];
    renderItem: (item: any, index: number) => JSX.Element;
    render(): JSX.Element;
}
