import React, { ReactNode } from 'react';
import { PillProps } from '../Pill';
type BadgeType = 'default' | 'info' | 'success' | 'warning' | 'error';
interface Props extends Omit<PillProps, 'color' | 'backgroundColor' | 'value' | 'onClose'> {
    /**
     * @default error
     */
    type?: BadgeType;
    value?: string;
    show?: boolean;
    children: ReactNode;
}
/**
 * A semantic component for displaying a small piece of information.
 */
declare const Badge: React.FC<Props>;
export default Badge;
