var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
// Copyright (c) 2023 Cloudera, Inc. All rights reserved.
import { cdlSpacingXs } from '@cloudera/cuix-core/variables';
import { useTheme } from "cuix/dist/styles/theme";
import React from 'react';
import Pill from '../Pill';
import { boxShadowColor, backgroundColor, dotColor, color } from './theme';
/**
 * A semantic component for displaying a small piece of information.
 */
var Badge = function (_a) {
    var children = _a.children, icon = _a.icon, value = _a.value, show = _a.show, type = _a.type, props = __rest(_a, ["children", "icon", "value", "show", "type"]);
    var theme = useTheme();
    var badgeStyle = {
        position: 'absolute',
        top: 0,
        right: 0,
        boxShadow: "0 0 0 1px ".concat(boxShadowColor({ theme: theme })),
        transform: "translateY(-50%) translateX(calc(100% - ".concat(cdlSpacingXs, "))"),
        minWidth: 'initial',
        maxWidth: 'initial'
    };
    // for no value or icon
    var dotStyle = {
        padding: 0,
        height: 6,
        width: 6,
        borderRadius: 3,
        transform: 'translateY(-50%) translateX(3px)'
    };
    var style = badgeStyle;
    var backgroundColorValue = backgroundColor({ theme: theme, type: type });
    if (!icon && !value) {
        style = __assign(__assign({}, badgeStyle), dotStyle);
        backgroundColorValue = dotColor({ theme: theme, type: type });
    }
    return (React.createElement("div", { style: { position: 'relative', width: 'fit-content' } },
        children,
        show && (React.createElement(Pill, __assign({ style: style, icon: icon, value: value, color: color({ theme: theme, type: type }), backgroundColor: backgroundColorValue }, props)))));
};
Badge.defaultProps = { type: 'error' };
export default Badge;
