var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
// Copyright (c) 2019 Cloudera, Inc. All rights reserved.
import React from 'react';
import i18n from '../../utils/i18n';
import styled from 'styled-components';
import { fluidxGray700, fluidxBlue500 } from "cuix/dist/styles/variables";
var Container = styled.div(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  position: relative;\n  height: 13px;\n"], ["\n  position: relative;\n  height: 13px;\n"])));
var Axis = styled.div(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n  position: absolute;\n  top: 6px;\n  left: 0;\n  right: 0;\n  border-top: 1px dashed ", ";\n"], ["\n  position: absolute;\n  top: 6px;\n  left: 0;\n  right: 0;\n  border-top: 1px dashed ", ";\n"])), fluidxGray700);
var IrqBox = styled.div(templateObject_3 || (templateObject_3 = __makeTemplateObject(["\n  position: absolute;\n  top: 4px;\n  height: 5px;\n  background-color: ", ";\n"], ["\n  position: absolute;\n  top: 4px;\n  height: 5px;\n  background-color: ", ";\n"])), fluidxBlue500);
var MediaIndicator = styled.div(templateObject_4 || (templateObject_4 = __makeTemplateObject(["\n  position: absolute;\n  top: 0;\n  height: 13px;\n  background-color: black;\n"], ["\n  position: absolute;\n  top: 0;\n  height: 13px;\n  background-color: black;\n"])));
var MIN_BOX_OVERLAP = 1; // see code comment
var MEDIAN_INDICATOR_WIDTH = 1;
/**
 * Small box plot preview, suitable for use in table, supports aggregate min/max so that
 * all rows will have same scale.
 */
var BoxPlotPreview = function (_a) {
    var stats = _a.stats, aggregateStats = _a.aggregateStats, _b = _a.width, width = _b === void 0 ? 100 : _b, otherProps = __rest(_a, ["stats", "aggregateStats", "width"]);
    var elementWidth = width;
    // we want the median indicator to fit within the axis
    var scaleWidth = elementWidth - MEDIAN_INDICATOR_WIDTH;
    if (aggregateStats.max === aggregateStats.min) {
        return React.createElement("span", null, i18n.t('label.boxPlotPreview.notAvailable'));
    }
    var scaleFactor = scaleWidth / (aggregateStats.max - aggregateStats.min);
    var startValue = aggregateStats.min;
    var boxLeft = Math.round((stats.percentile25 - startValue) * scaleFactor);
    var boxWidth = Math.round((stats.percentile75 - stats.percentile25) * scaleFactor);
    var medianLeft = Math.round((stats.median - startValue) * scaleFactor);
    // in order to have a bit of visual consistency, we want the IQR box to always be visible
    // even if technically it should be hidden beneat the median marker (1px wide). We have
    // have two cases when we adjust it so it is not fully hidden behind the median marker:
    // 1) the median indicator is not touching either end (e.g. max or min). In this case we
    //    want the box to show at least 1px on each side
    // 2) the median indicator is touching either end (e.g. min or max). In this case we want
    //    the box to show only 1px on the side facing the center of the graph.
    var minBoxWidthCentered = MEDIAN_INDICATOR_WIDTH + 2 * MIN_BOX_OVERLAP;
    var minBoxWidthOnEdge = MEDIAN_INDICATOR_WIDTH + 1 * MIN_BOX_OVERLAP;
    if (boxWidth < minBoxWidthCentered) {
        if (boxLeft === 0) {
            if (boxWidth < minBoxWidthOnEdge) {
                // show the box 1px to the right of the median indicator
                boxWidth = minBoxWidthOnEdge;
            }
        }
        else if (boxLeft + boxWidth === scaleWidth) {
            if (boxWidth < minBoxWidthOnEdge) {
                // show the box 1px to the left of the median indicator
                boxWidth = minBoxWidthOnEdge;
                boxLeft = scaleWidth - boxWidth + MIN_BOX_OVERLAP;
            }
        }
        else {
            // show the box 1px on eiter side of the indicator.
            boxLeft = medianLeft - MIN_BOX_OVERLAP;
            boxWidth = minBoxWidthCentered;
        }
    }
    return (React.createElement(Container, __assign({ className: "cuix-box-plot-preview", style: { width: elementWidth } }, otherProps),
        React.createElement(Axis, null),
        React.createElement(IrqBox, { style: {
                left: boxLeft,
                width: boxWidth
            } }),
        React.createElement(MediaIndicator, { style: {
                left: medianLeft,
                width: MEDIAN_INDICATOR_WIDTH
            } })));
};
export default BoxPlotPreview;
var templateObject_1, templateObject_2, templateObject_3, templateObject_4;
