import React, { ReactElement } from 'react';
export interface BreadcrumbProps {
    href: string;
    label: string;
    /**
     * Displays `icon` for the breadcrumb instead of `label` when provided.
     */
    icon?: ReactElement;
    shouldTruncate?: boolean;
    /**
     * @default middle
     */
    truncateFrom?: 'start' | 'middle' | 'end';
    truncateChars?: number;
}
/**
 * Renders a single breadcrumb. Supports truncation.
 */
declare const Breadcrumb: React.FC<BreadcrumbProps>;
export default Breadcrumb;
