import React, { SVGProps } from 'react';
import { BreadcrumbProps } from './Breadcrumb';
interface Props {
    /**
     * Icon displayed for the first breadcrumb.
     */
    homeIcon: React.ComponentType<SVGProps<SVGSVGElement>>;
    breadcrumbs: BreadcrumbProps[];
    shouldTruncate: boolean;
    truncateChars: number;
    /**
     * If true, breadcrumbs 2 to n-1 will be shown as a dropdown, i.e.
     *
     * 🏠 / First Breadcrumb / +6 ▼ / Page Title
     */
    showDropdown: boolean;
}
/**
 * Renders a list of breadcrumbs. If the list exceeds 50% of its container's
 * width, the breadcrumbs will be truncated. If truncation cannot make the
 * breadcrumbs fit in the allowed space, they are collapsed into a dropdown.
 */
declare const BreadcrumbList: React.FC<Props>;
export default BreadcrumbList;
