// Copyright (c) 2023 Cloudera, Inc. All rights reserved.
import React from 'react';
import Dropdown from '../Dropdown';
import DropdownIcon from '@cloudera/cuix-core/icons/react/DropdownIcon';
import LinkButton from '../Button/LinkButton';
/**
 * A dropdown shown by `Breadcrumbs` when the list of breadcrumbs is too long.
 */
var BreadcrumbsDropdown = function (_a) {
    var breadcrumbs = _a.breadcrumbs;
    var items = breadcrumbs.map(function (_a, key) {
        var href = _a.href, label = _a.label;
        return ({
            key: key,
            label: React.createElement("a", { href: href }, label)
        });
    });
    return (React.createElement(Dropdown, { small: true, menu: { items: items } },
        React.createElement(LinkButton, { "data-event": "Toggle Breadcrumbs Dropdown", style: { lineHeight: 1 } }, "+".concat(items.length),
            React.createElement(DropdownIcon, null))));
};
export default BreadcrumbsDropdown;
