var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
// Copyright (c) 2022 Cloudera, Inc. All rights reserved.
import React from 'react';
import { cdlFocusShadowNoColor } from '@cloudera/cuix-core/variables';
import styled from 'styled-components';
import ButtonBase from './ButtonBase';
import { color, hoverColor, hoverBorderColor, backgroundColor, focusColor, focusBorderColor, focusShadowColor, activeColor, activeBorderColor, disabledColor, activeBackgroundColor, borderColor, focusBackgroundColor, hoverBackgroundColor } from './BorderlessButton.theme';
import { defaultTheme as theme } from "cuix/dist/styles/theme";
var StyledButtonBase = styled(ButtonBase)(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  color: ", ";\n  background-color: ", ";\n  border-color: ", ";\n\n  &:hover,\n  &.demo-hover {\n    color: ", ";\n    border-color: ", ";\n    background-color: ", ";\n  }\n\n  &:focus,\n  &.demo-focus,\n  &:focus-visible,\n  &.demo-focus-visible {\n    color: ", ";\n    border-color: ", ";\n    background-color: ", ";\n  }\n\n  &:focus-visible,\n  &.demo-focus-visible {\n    box-shadow: ", " ", ";\n  }\n\n  &:active,\n  &.demo-active {\n    color: ", ";\n    border-color: ", ";\n    background-color: ", ";\n  }\n\n  &[disabled] {\n    color: ", ";\n    background-color: transparent;\n  }\n\n  &.label {\n    margin-right: 1px;\n  }\n"], ["\n  color: ", ";\n  background-color: ", ";\n  border-color: ", ";\n\n  &:hover,\n  &.demo-hover {\n    color: ", ";\n    border-color: ", ";\n    background-color: ", ";\n  }\n\n  &:focus,\n  &.demo-focus,\n  &:focus-visible,\n  &.demo-focus-visible {\n    color: ", ";\n    border-color: ", ";\n    background-color: ", ";\n  }\n\n  &:focus-visible,\n  &.demo-focus-visible {\n    box-shadow: ", " ", ";\n  }\n\n  &:active,\n  &.demo-active {\n    color: ", ";\n    border-color: ", ";\n    background-color: ", ";\n  }\n\n  &[disabled] {\n    color: ", ";\n    background-color: transparent;\n  }\n\n  &.label {\n    margin-right: 1px;\n  }\n"])), color, backgroundColor, borderColor, hoverColor, hoverBorderColor, hoverBackgroundColor, focusColor, focusBorderColor, focusBackgroundColor, cdlFocusShadowNoColor, focusShadowColor, activeColor, activeBorderColor, activeBackgroundColor, disabledColor);
StyledButtonBase.defaultProps = { theme: theme };
/**
 * Use to create a third level of button hierarchy for less important actions.
 */
var BorderlessButton = function (props) { return (React.createElement(StyledButtonBase, __assign({ type: "link" }, props))); };
export default BorderlessButton;
var templateObject_1;
