// Copyright (c) 2022 Cloudera, Inc. All rights reserved.
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import { Button } from 'antd';
import { fluidxButtonIconSizeLUnitless, fluidxButtonIconSizeMUnitless, fluidxButtonIconSizeSUnitless, fluidxSpacingXxs } from "cuix/dist/styles/variables";
import React from 'react';
/**
 * A component that provides common functionality which is the basis for the
 * other button components. Should not be used directly.
 */
var ButtonBase = function (_a) {
    var _b = _a["data-event-category"], dataEventCategory = _b === void 0 ? 'User Action' : _b, children = _a.children, props = __rest(_a, ['data-event-category', "children"]);
    // - If there is no icon, we don't need to add any spacing to the children.
    // - If there are no children (only an icon), we can pass the icon to the
    //   antd Button via the icon prop, which gets us an "icon-only" button.
    if (!props.icon || !children) {
        return (React.createElement(Button, __assign({}, props, { "data-event-category": dataEventCategory }), children));
    }
    var size = props.size, icon = props.icon, iconPosition = props.iconPosition, restProps = __rest(props, ["size", "icon", "iconPosition"]);
    var iconSize;
    switch (size) {
        case 'small':
            iconSize = fluidxButtonIconSizeSUnitless;
            break;
        case 'large':
            iconSize = fluidxButtonIconSizeLUnitless;
            break;
        default:
            iconSize = fluidxButtonIconSizeMUnitless;
    }
    // We can't use icon prop to achieve a right-aligned icon.
    // To maintain consistency, the icon prop is not used here either.
    var content = (React.createElement(React.Fragment, null,
        React.createElement("span", { style: { fontSize: iconSize } }, icon),
        React.createElement("span", { style: { marginLeft: fluidxSpacingXxs } }, children)));
    if (iconPosition === 'right') {
        content = (React.createElement(React.Fragment, null,
            React.createElement("span", { style: { marginRight: fluidxSpacingXxs } }, children),
            React.createElement("span", { style: { fontSize: iconSize } }, icon)));
    }
    return (React.createElement(Button, __assign({ size: size, "data-event-category": dataEventCategory }, restProps), content));
};
export default ButtonBase;
