var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
// Copyright (c) 2022 Cloudera, Inc. All rights reserved.
import { Button } from 'antd';
import { cdlButtonIconSizeLUnitless, cdlButtonIconSizeMUnitless, cdlButtonIconSizeSUnitless, cdlSpacingM, cdlSpacingTiny, cdlSpacingXs, cdlSpacingXxs, cdlTextSmallSize } from "cuix/dist/styles/variables";
import React from 'react';
import styled from 'styled-components';
import classNames from 'classnames';
var TooltipCompatibilityWrapper = function (_a) {
    var children = _a.children, onMouseEnter = _a.onMouseEnter, onMouseLeave = _a.onMouseLeave;
    return (
    // eslint-disable-next-line jsx-a11y/click-events-have-key-events, jsx-a11y/no-static-element-interactions
    React.createElement("span", { onMouseEnter: onMouseEnter, onMouseLeave: onMouseLeave }, children));
};
var StyledButton = styled(Button)(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  display: inline-flex;\n  align-items: center;\n  justify-content: center;\n  vertical-align: middle;\n  padding-top: 0;\n  padding-bottom: 0;\n\n  &.pill {\n    font-size: ", ";\n    height: ", ";\n    border-radius: ", ";\n    padding-right: ", ";\n    padding-left: ", ";\n    padding-top: ", ";\n    padding-bottom: ", ";\n\n    &.iconLeft {\n      padding-left: ", ";\n    }\n\n    &.iconRight {\n      padding-right: ", ";\n    }\n  }\n\n  // Ensure that the text will be visually centered.\n  span {\n    line-height: 1;\n    display: inline-flex;\n    align-items: center;\n  }\n"], ["\n  display: inline-flex;\n  align-items: center;\n  justify-content: center;\n  vertical-align: middle;\n  padding-top: 0;\n  padding-bottom: 0;\n\n  &.pill {\n    font-size: ", ";\n    height: ", ";\n    border-radius: ", ";\n    padding-right: ", ";\n    padding-left: ", ";\n    padding-top: ", ";\n    padding-bottom: ", ";\n\n    &.iconLeft {\n      padding-left: ", ";\n    }\n\n    &.iconRight {\n      padding-right: ", ";\n    }\n  }\n\n  // Ensure that the text will be visually centered.\n  span {\n    line-height: 1;\n    display: inline-flex;\n    align-items: center;\n  }\n"])), cdlTextSmallSize, cdlSpacingM, cdlSpacingXs, cdlSpacingXxs, cdlSpacingXxs, cdlSpacingTiny, cdlSpacingTiny, cdlSpacingTiny, cdlSpacingTiny);
/**
 * A component that provides common functionality which is the basis for the
 * other button components. Should not be used directly.
 */
var ButtonBase = function (_a) {
    var _b = _a["data-event-category"], dataEventCategory = _b === void 0 ? 'User Action' : _b, children = _a.children, props = __rest(_a, ['data-event-category', "children"]);
    // - If there is no icon, we don't need to add any spacing to the children.
    // - If there are no children (only an icon), we can pass the icon to the
    //   antd Button via the icon prop, which gets us an "icon-only" button.
    if (!props.icon || !children) {
        var button_1 = (React.createElement(Button, __assign({}, props, { "data-event-category": dataEventCategory }), children));
        if (props.disabled) {
            return (
            // eslint-disable-next-line jsx-a11y/click-events-have-key-events
            // This is done to make Tooltip compatible with disabled buttons.
            React.createElement(TooltipCompatibilityWrapper, __assign({}, props), button_1));
        }
        return button_1;
    }
    var size = props.size, icon = props.icon, iconPosition = props.iconPosition, className = props.className, pill = props.pill, restProps = __rest(props, ["size", "icon", "iconPosition", "className", "pill"]);
    var iconSize;
    switch (size) {
        case 'small':
            iconSize = cdlButtonIconSizeSUnitless;
            break;
        case 'large':
            iconSize = cdlButtonIconSizeLUnitless;
            break;
        default:
            iconSize = cdlButtonIconSizeMUnitless;
    }
    // We can't use icon prop to achieve a right-aligned icon.
    // To maintain consistency, the icon prop is not used here either.
    var content = (React.createElement(React.Fragment, null,
        React.createElement("span", { className: "icon", style: { fontSize: iconSize } }, icon),
        React.createElement("span", { className: "label", style: { marginLeft: cdlSpacingTiny } }, children)));
    if (iconPosition === 'right') {
        content = (React.createElement(React.Fragment, null,
            React.createElement("span", { className: "label", style: { marginRight: cdlSpacingTiny } }, children),
            React.createElement("span", { className: "icon", style: { fontSize: iconSize } }, icon)));
    }
    var button = (React.createElement(StyledButton, __assign({ className: classNames(className, {
            pill: pill,
            iconRight: icon && iconPosition === 'right',
            iconLeft: icon && iconPosition !== 'right'
        }), size: size, "data-event-category": dataEventCategory }, restProps), content));
    if (restProps.disabled) {
        return React.createElement(TooltipCompatibilityWrapper, __assign({}, restProps), button);
    }
    return button;
};
export default ButtonBase;
var templateObject_1;
