// Copyright (c) 2022 Cloudera, Inc. All rights reserved.
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import { fluidxIconSizeDefault } from '@cloudera/cuix-core/variables';
import React from 'react';
import ButtonBase from './ButtonBase';
/**
 * Use when you need a bare icon that acts as a button.
 */
var IconButton = function (_a) {
    var icon = _a.icon, style = _a.style, props = __rest(_a, ["icon", "style"]);
    var mergedStyle = __assign({ 
        // Force button to be no bigger than the icon it contains; see:
        // https://developer.mozilla.org/en-US/docs/Web/CSS/fit-content
        width: 'fit-content', height: 'fit-content', padding: 0, border: 'none' }, style);
    return (React.createElement(ButtonBase, __assign({ type: "text", icon: React.createElement("span", { style: { fontSize: fluidxIconSizeDefault } }, icon), style: mergedStyle }, props)));
};
export default IconButton;
