// Copyright (c) 2022 Cloudera, Inc. All rights reserved.
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import { fluidxIconSizeDefaultUnitless } from '@cloudera/cuix-core/variables';
import React from 'react';
import styled from 'styled-components';
import ButtonBase from './ButtonBase';
// This styling helps `LinkButton` align with other text on the same line.
var StyledButtonBase = styled(ButtonBase)(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  && span {\n    line-height: inherit;\n  }\n"], ["\n  && span {\n    line-height: inherit;\n  }\n"])));
/**
 * Use when you need a button styled like a link or in compact layouts. Note
 * that `LinkButton` inherits its parent's font-size.
 */
var LinkButton = function (_a) {
    var icon = _a.icon, children = _a.children, style = _a.style, props = __rest(_a, ["icon", "children", "style"]);
    var mergedStyle = __assign({ 
        // Force button to be no bigger than the text it contains; see:
        // https://developer.mozilla.org/en-US/docs/Web/CSS/fit-content
        width: 'fit-content', height: 'fit-content', padding: 0, border: 'none', fontSize: 'inherit', background: 'transparent' }, style);
    return (React.createElement(StyledButtonBase, __assign({ type: "link", icon: !children ? React.createElement("span", { style: { fontSize: fluidxIconSizeDefaultUnitless } }, icon) : icon, style: mergedStyle }, props), children));
};
export default LinkButton;
var templateObject_1;
