var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
// Copyright (c) 2022 Cloudera, Inc. All rights reserved.
import React from 'react';
import { cdlFocusShadowNoColor, cdlGray300, cdlGray400, cdlIconSizeDefaultUnitless } from '@cloudera/cuix-core/variables';
import ButtonBase from './ButtonBase';
import styled from 'styled-components';
import { color, focusColor, focusShadowColor, activeColor, disabledColor } from './LinkButton.theme';
import { defaultTheme as theme } from "cuix/dist/styles/theme";
var StyledButtonBase = styled(ButtonBase)(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  &&& {\n    padding-top: 0;\n    padding-bottom: 0;\n    padding-left: 2px;\n    padding-right: 2px;\n    margin-left: -2px;\n    margin-right: -2px;\n    border: none;\n    border-radius: 0;\n    font-size: inherit;\n    background: transparent;\n    height: auto;\n    display: inline;\n    transition-property: none;\n    color: ", ";\n\n    span {\n      display: inline;\n    }\n\n    .icon {\n      vertical-align: middle;\n    }\n\n    &:hover,\n    &.demo-hover,\n    &:focus,\n    &.demo-focus,\n    &:focus-visible,\n    &.demo-focus-visible,\n    &:active,\n    &.demo-active {\n      span {\n        text-decoration: underline;\n        text-underline-offset: 2px;\n      }\n    }\n\n    &:hover,\n    &.demo-hover,\n    &:focus,\n    &.demo-focus,\n    &:focus-visible,\n    &.demo-focus-visible {\n      color: ", ";\n      border-color: ", ";\n    }\n\n    &:active,\n    &.demo-active {\n      color: ", ";\n      border-color: ", ";\n    }\n\n    &:focus-visible,\n    &.demo-focus-visible {\n      box-shadow: ", " ", ";\n    }\n\n    &[disabled] {\n      color: ", ";\n      background-color: transparent;\n    }\n\n    &.label {\n      margin-right: 1px;\n    }\n  }\n"], ["\n  &&& {\n    padding-top: 0;\n    padding-bottom: 0;\n    padding-left: 2px;\n    padding-right: 2px;\n    margin-left: -2px;\n    margin-right: -2px;\n    border: none;\n    border-radius: 0;\n    font-size: inherit;\n    background: transparent;\n    height: auto;\n    display: inline;\n    transition-property: none;\n    color: ", ";\n\n    span {\n      display: inline;\n    }\n\n    .icon {\n      vertical-align: middle;\n    }\n\n    &:hover,\n    &.demo-hover,\n    &:focus,\n    &.demo-focus,\n    &:focus-visible,\n    &.demo-focus-visible,\n    &:active,\n    &.demo-active {\n      span {\n        text-decoration: underline;\n        text-underline-offset: 2px;\n      }\n    }\n\n    &:hover,\n    &.demo-hover,\n    &:focus,\n    &.demo-focus,\n    &:focus-visible,\n    &.demo-focus-visible {\n      color: ", ";\n      border-color: ", ";\n    }\n\n    &:active,\n    &.demo-active {\n      color: ", ";\n      border-color: ", ";\n    }\n\n    &:focus-visible,\n    &.demo-focus-visible {\n      box-shadow: ", " ", ";\n    }\n\n    &[disabled] {\n      color: ", ";\n      background-color: transparent;\n    }\n\n    &.label {\n      margin-right: 1px;\n    }\n  }\n"])), color, focusColor, cdlGray300, activeColor, cdlGray400, cdlFocusShadowNoColor, focusShadowColor, disabledColor);
StyledButtonBase.defaultProps = { theme: theme };
/**
 * Use when you need a button styled like a link or in compact layouts. Note
 * that `LinkButton` inherits its parent's font-size.
 */
var LinkButton = function (_a) {
    var size = _a.size, icon = _a.icon, children = _a.children, style = _a.style, props = __rest(_a, ["size", "icon", "children", "style"]);
    return (React.createElement(StyledButtonBase, __assign({ type: "link", icon: !children ? React.createElement("span", { style: { fontSize: cdlIconSizeDefaultUnitless } }, icon) : icon, style: style, size: size }, props), children));
};
export default LinkButton;
var templateObject_1;
