var __read = (this && this.__read) || function (o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m) return o;
    var i = m.call(o), r, ar = [], e;
    try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
    }
    catch (error) { e = { error: error }; }
    finally {
        try {
            if (r && !r.done && (m = i["return"])) m.call(i);
        }
        finally { if (e) throw e.error; }
    }
    return ar;
};
// Copyright (c) 2021 Cloudera, Inc. All rights reserved.
import React from 'react';
import * as fluidXVariables from '@cloudera/cuix-core/variables';
var bucketVariables = function (varMap) {
    var colors = [];
    var others = [];
    Object.entries(varMap).forEach(function (_a) {
        var _b = __read(_a, 2), varName = _b[0], value = _b[1];
        var entry = { name: varName, value: value };
        if (typeof value === 'string' && value.startsWith('#')) {
            colors.push(entry);
        }
        else {
            others.push(entry);
        }
    });
    return {
        colors: colors,
        others: others
    };
};
var officialVariables = bucketVariables(fluidXVariables);
/**
 * Displays a table of Cloudera Design Language (CDL, formerly fluid-x) color variables
 */
export var ColorVariablesTable = function () { return (React.createElement("div", null,
    React.createElement("table", null,
        React.createElement("thead", null,
            React.createElement("tr", null,
                React.createElement("th", null, "Variable (JS Naming)"),
                React.createElement("th", null, "Value"),
                React.createElement("th", null, " "))),
        React.createElement("tbody", null, officialVariables.colors.map(function (item) {
            return (React.createElement("tr", { key: item.name },
                React.createElement("td", null, item.name),
                React.createElement("td", null, item.value),
                React.createElement("td", null,
                    React.createElement("div", { style: { height: 40, width: 200, background: item.value } }))));
        }))))); };
/**
 * Displays a table of Cloudera Design Language (CDL, formerly fluid-x) variables that are not colors
 */
export var OtherVariablesTable = function () { return (React.createElement("div", null,
    React.createElement("table", null,
        React.createElement("thead", null,
            React.createElement("tr", null,
                React.createElement("th", null, "Variable (JS)"),
                React.createElement("th", null, "Value"))),
        React.createElement("tbody", null, officialVariables.others.map(function (item) {
            return (React.createElement("tr", { key: item.name },
                React.createElement("td", null, item.name),
                React.createElement("td", null, item.value)));
        }))))); };
