/// <reference types="react" />
import { Service } from '../../utils/linkUtils';
import { SimpleMap } from "cuix/dist/types/types";
declare type AnchorProps = JSX.IntrinsicElements['a'];
interface Props extends AnchorProps {
    service: Service;
    path?: string | string[];
    queryParams?: SimpleMap;
    hashPath?: string | string[];
    hashQueryParams?: SimpleMap;
    excludeBaseUrl?: boolean;
}
declare type ServiceLinkProps = Omit<Props, 'service'>;
export default function CDPLink({ service, path, queryParams, hashPath, hashQueryParams, excludeBaseUrl, children, ...otherProps }: Props): JSX.Element;
export declare const IAMLink: (props: ServiceLinkProps) => JSX.Element;
/**
 * Should only be used for outside applications linking to WXM, internal WXM links needs to be
 * generated via pages.ts
 */
export declare const ExternalWXMLink: (props: ServiceLinkProps) => JSX.Element;
export declare const EnvironmentsLink: (props: ServiceLinkProps) => JSX.Element;
export declare const SDXLink: (props: ServiceLinkProps) => JSX.Element;
export declare const MLLink: (props: ServiceLinkProps) => JSX.Element;
export declare const DataHubLink: (props: ServiceLinkProps) => JSX.Element;
export declare const ClassicClustersLink: (props: ServiceLinkProps) => JSX.Element;
export declare const DataCatalogLink: (props: ServiceLinkProps) => JSX.Element;
export declare const DWXLink: (props: ServiceLinkProps) => JSX.Element;
export declare const DMXLink: (props: ServiceLinkProps) => JSX.Element;
export declare const OPDBLink: (props: ServiceLinkProps) => JSX.Element;
export declare const EnvironmentCreateLink: (props: ServiceLinkProps) => JSX.Element;
export {};
