// Copyright (c) 2019 Cloudera, Inc. All rights reserved.
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React from 'react';
import { getLink, Service } from '../../utils/linkUtils';
export default function CDPLink(_a) {
    var service = _a.service, path = _a.path, queryParams = _a.queryParams, hashPath = _a.hashPath, hashQueryParams = _a.hashQueryParams, excludeBaseUrl = _a.excludeBaseUrl, children = _a.children, otherProps = __rest(_a, ["service", "path", "queryParams", "hashPath", "hashQueryParams", "excludeBaseUrl", "children"]);
    var href = getLink(service, path, queryParams, hashPath, hashQueryParams, excludeBaseUrl);
    return (React.createElement("a", __assign({ href: href }, otherProps), children));
}
export var IAMLink = function (props) { return React.createElement(CDPLink, __assign({}, props, { service: Service.IAM })); };
/**
 * Should only be used for outside applications linking to WXM, internal WXM links needs to be
 * generated via pages.ts
 */
export var ExternalWXMLink = function (props) { return (React.createElement(CDPLink, __assign({}, props, { service: Service.WXM }))); };
export var EnvironmentsLink = function (props) { return (React.createElement(CDPLink, __assign({}, props, { service: Service.ENVIRONMENTS }))); };
export var SDXLink = function (props) { return React.createElement(CDPLink, __assign({}, props, { service: Service.SDX })); };
export var MLLink = function (props) { return React.createElement(CDPLink, __assign({}, props, { service: Service.ML })); };
export var DataHubLink = function (props) { return (React.createElement(CDPLink, __assign({}, props, { service: Service.DATA_HUB }))); };
export var ClassicClustersLink = function (props) { return (React.createElement(CDPLink, __assign({}, props, { service: Service.CLASSIC_CLUSTERS }))); };
export var DataCatalogLink = function (props) { return (React.createElement(CDPLink, __assign({}, props, { service: Service.DATA_CATALOG }))); };
export var DWXLink = function (props) { return React.createElement(CDPLink, __assign({}, props, { service: Service.DWX })); };
export var DMXLink = function (props) { return React.createElement(CDPLink, __assign({}, props, { service: Service.DMX })); };
export var OPDBLink = function (props) { return React.createElement(CDPLink, __assign({}, props, { service: Service.OPDB })); };
export var EnvironmentCreateLink = function (props) { return (React.createElement(CDPLink, __assign({ queryParams: { provider: 'amazon' } }, props, { service: Service.ENVIRONMENTS, path: ['register', 'general', '(credential:credential/amazon/role-based)'] }))); };
