import React, { ReactNode } from 'react';
import { Color, Colspan, Shadow } from "cuix/dist/types/types";
interface StyledDivProps {
    colspan?: Colspan;
    /**
     * A value from the `Color` enum.
     */
    color?: Color;
    filled?: boolean;
    /**
     * Set to `true` if this card will be on a background that does not provide
     * enough contrast to make the card accessible. In that case, it requires a
     * border to differentiate it.
     */
    bordered?: boolean;
    /**
     * Set to `true` if this card is not a permanent part of the layout.
     */
    ephemeral?: boolean;
    /**
     * Specify the style of the shadow that will be used if the card is ephemeral
     * or clickable.
     */
    shadow?: Shadow;
    onClick?: () => void;
}
export interface Props extends Omit<StyledDivProps, 'gridContext'> {
    className?: string;
    style?: React.CSSProperties;
    children?: ReactNode;
}
/**
 * The base component for the `Card` family of components. Don't use directly.
 */
declare const BaseCard: React.ForwardRefExoticComponent<Props & React.RefAttributes<HTMLDivElement>>;
export default BaseCard;
