var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
// Copyright (c) 2023 Cloudera, Inc. All rights reserved.
import React, { useContext } from 'react';
import GridContext, { getColspanWidth } from '../GridContext/GridContext';
import { Color } from "cuix/dist/types/types";
import styled from 'styled-components';
import { cdlGridColumnGutterWidthUnitless, cdlShadowL, cdlShadowM, cdlShadowS } from '@cloudera/cuix-core/variables';
import { borderRadiusBase, focusShadow } from "cuix/dist/styles/variables";
import { backgroundColor, border } from './theme';
import { defaultTheme as theme } from "cuix/dist/styles/theme";
var boxShadow = {
    none: 'none',
    small: cdlShadowS,
    medium: cdlShadowM,
    large: cdlShadowL
};
var getBoxShadow = function (ephemeral, clickable, shadow) {
    if (shadow === void 0) { shadow = 'medium'; }
    if (!ephemeral && !clickable) {
        return 'none';
    }
    return boxShadow[shadow];
};
var StyledDiv = styled.div(function (props) {
    var colspan = props.colspan, ephemeral = props.ephemeral, shadow = props.shadow, onClick = props.onClick;
    var gridContext = useContext(GridContext);
    return {
        flex: 'none',
        display: 'flex',
        outline: 'none',
        backgroundColor: backgroundColor(props),
        width: colspan
            ? getColspanWidth(colspan, gridContext.columnWidth, cdlGridColumnGutterWidthUnitless)
            : 'auto',
        borderRadius: borderRadiusBase,
        border: border(props),
        boxShadow: getBoxShadow(!!ephemeral, !!onClick, shadow),
        cursor: onClick ? 'pointer' : 'auto'
    };
});
StyledDiv.defaultProps = { theme: theme, color: Color.Gray };
var ClickableDiv = styled(StyledDiv)(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  transition: all 0.1s cubic-bezier(0.645, 0.045, 0.355, 1);\n\n  &:hover {\n    box-shadow: ", ";\n  }\n\n  &:active {\n    box-shadow: ", ";\n  }\n\n  &:focus-visible {\n    box-shadow: ", ", ", ";\n  }\n"], ["\n  transition: all 0.1s cubic-bezier(0.645, 0.045, 0.355, 1);\n\n  &:hover {\n    box-shadow: ", ";\n  }\n\n  &:active {\n    box-shadow: ", ";\n  }\n\n  &:focus-visible {\n    box-shadow: ", ", ", ";\n  }\n"])), cdlShadowL, cdlShadowS, focusShadow, boxShadow);
/**
 * The base component for the `Card` family of components. Don't use directly.
 */
var BaseCard = React.forwardRef(function (_a, ref) {
    var onClick = _a.onClick, className = _a.className, style = _a.style, children = _a.children, props = __rest(_a, ["onClick", "className", "style", "children"]);
    var Container = onClick ? ClickableDiv : StyledDiv;
    return (React.createElement(Container, __assign({ ref: ref, className: className, style: style, onClick: onClick, onKeyPress: function (_a) {
            var key = _a.key;
            if (key === 'Enter' || key === ' ') {
                onClick === null || onClick === void 0 ? void 0 : onClick();
            }
        }, role: onClick && 'button' }, props, { tabIndex: onClick ? 0 : undefined }), children));
});
export default BaseCard;
var templateObject_1;
