var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
// Copyright (c) 2023 Cloudera, Inc. All rights reserved.
import React from 'react';
import { BaseCard } from '.';
var getColSpan = function (size) {
    switch (size) {
        case 'xxl':
            return 12;
        case 'xl':
            return 8;
        case 'l':
            return 6;
        case 'm':
            return 4;
        case 's':
            return 3;
        case 'xs':
            return 2;
        default:
            return undefined;
    }
};
/**
 * `Card` is a general-purpose container.
 */
var Card = function (_a) {
    var size = _a.size, transparent = _a.transparent, children = _a.children, props = __rest(_a, ["size", "transparent", "children"]);
    return (React.createElement(BaseCard, __assign({ filled: !transparent, colspan: getColSpan(size) }, props), children));
};
export default Card;
