var _a, _b;
// Copyright (c) 2024 Cloudera, Inc. All rights reserved.
import { cdlAmber100, cdlAmber800, cdlBlue100, cdlBlue800, cdlGray300, cdlGray800, cdlGreen100, cdlGreen800, cdlIndigo100, cdlIndigo800, cdlOrange100, cdlOrange800, cdlPear100, cdlPear800, cdlPink100, cdlPink800, cdlPurple100, cdlPurple800, cdlRed100, cdlRed800, cdlSpearmint100, cdlSpearmint800, cdlWhite } from '@cloudera/cuix-core/variables';
import { containerBackgroundColor } from "cuix/dist/styles/theme";
import { Color } from "cuix/dist/types/types";
import theme from 'styled-theming';
var getBackgroundColor = function (filled, ephemeral, color) {
    if (!filled && !ephemeral) {
        return 'transparent';
    }
    if (ephemeral) {
        return cdlWhite;
    }
    return color;
};
export var backgroundColor = theme('mode', {
    default: function (props) {
        return getBackgroundColor(props.filled, props.ephemeral, containerBackgroundColor({ theme: { mode: 'default' } }));
    },
    specialdark: function (props) {
        return getBackgroundColor(props.filled, props.ephemeral, containerBackgroundColor({ theme: { mode: 'specialdark' } }));
    }
});
var defaultBorderColor = (_a = {},
    _a[Color.Red] = cdlRed100,
    _a[Color.Orange] = cdlOrange100,
    _a[Color.Amber] = cdlAmber100,
    _a[Color.Pear] = cdlPear100,
    _a[Color.Green] = cdlGreen100,
    _a[Color.Spearmint] = cdlSpearmint100,
    _a[Color.Blue] = cdlBlue100,
    _a[Color.Indigo] = cdlIndigo100,
    _a[Color.Purple] = cdlPurple100,
    _a[Color.Pink] = cdlPink100,
    _a[Color.Gray] = cdlGray300,
    _a);
var specialdarkBorderColor = (_b = {},
    _b[Color.Red] = cdlRed800,
    _b[Color.Orange] = cdlOrange800,
    _b[Color.Amber] = cdlAmber800,
    _b[Color.Pear] = cdlPear800,
    _b[Color.Green] = cdlGreen800,
    _b[Color.Spearmint] = cdlSpearmint800,
    _b[Color.Blue] = cdlBlue800,
    _b[Color.Indigo] = cdlIndigo800,
    _b[Color.Purple] = cdlPurple800,
    _b[Color.Pink] = cdlPink800,
    _b[Color.Gray] = cdlGray800,
    _b);
var getBorder = function (bordered, shadowed, color) {
    return bordered && !shadowed ? "1px solid ".concat(color) : 'none';
};
export var border = theme('mode', {
    default: function (props) {
        return getBorder(props.bordered, !!props.ephemeral || !!props.onClick, defaultBorderColor[props.color]);
    },
    specialdark: function (props) {
        return getBorder(props.bordered, !!props.ephemeral || !!props.onClick, specialdarkBorderColor[props.color]);
    }
});
