// Copyright (c) 2020 Cloudera, Inc. All rights reserved.
import createReactToPreactAdapter from "cuix/dist/cdp/preact/createReactToPreactAdapter";
// Tell webpack to load up all modules in the icon-preact folders (e.g all our preact icons)
// so we don't need to import them all manually for the storybook. This method should *not* be
// used in our regular application as it bundles all the icons.
var requireContext = require.context('../../../packages/cuix-core/src/icons/preact', false, /\.tsx$/);
/**
 * List all preact icon component, along with name, and a react wrapper.
 */
export var preactIcons = requireContext.keys().map(function (path) {
    var PreactComponent = requireContext(path).default;
    // path will something like: "./AzureIcon.preact.tsx", so we'll want to extact
    // a more readable name.
    var name = path.replace(/^\.\/(.*)\.preact\.tsx$/, '$1');
    return {
        name: name,
        PreactComponent: PreactComponent,
        // wrap Preact icon in a react component so we can easily consume it in storybook
        ReactWrapperComponent: createReactToPreactAdapter(PreactComponent)
    };
});
