var _a;
// Copyright (c) 2022 Cloudera, Inc. All rights reserved.
import React from 'react';
import AwsIcon from '@cloudera/cuix-core/icons/react/AwsIcon';
import AzureIcon from '@cloudera/cuix-core/icons/react/AzureIcon';
import GoogleCloudIcon from '@cloudera/cuix-core/icons/react/GoogleCloudIcon';
import OpenshiftIcon from '@cloudera/cuix-core/icons/react/OpenshiftIcon';
import ClouderaSmIcon from '@cloudera/cuix-core/icons/react/ClouderaSmIcon';
import ClassicClustersIcon from '@cloudera/cuix-core/icons/react/ClassicClustersIcon';
import CloudMigrationIcon from '@cloudera/cuix-core/icons/react/CloudMigrationIcon';
import DataLakeIcon from '@cloudera/cuix-core/icons/react/DataLakeIcon';
import { fluidxIconSizeDefault } from "cuix/dist/styles/variables";
import { Cloud } from "cuix/dist/types/types";
import { EnvironmentsLink } from '../CDPLink';
var iconStyle = {
    height: fluidxIconSizeDefault,
    width: fluidxIconSizeDefault,
    top: -1,
    position: 'relative'
};
var iconMap = (_a = {},
    _a[Cloud.AmazonWebServices] = React.createElement(AwsIcon, { style: iconStyle }),
    _a[Cloud.GoogleCloudPlatform] = React.createElement(GoogleCloudIcon, { style: iconStyle }),
    _a[Cloud.MicrosoftAzure] = React.createElement(AzureIcon, { style: iconStyle }),
    _a[Cloud.RedHatOpenShift] = React.createElement(OpenshiftIcon, { style: iconStyle }),
    _a[Cloud.Cloudera] = React.createElement(ClouderaSmIcon, { style: iconStyle }),
    _a[Cloud.ClassicClusters] = React.createElement(ClassicClustersIcon, { style: iconStyle }),
    _a[Cloud.CloudMigration] = React.createElement(CloudMigrationIcon, { style: iconStyle }),
    _a[Cloud.DataLake] = React.createElement(DataLakeIcon, { style: iconStyle }),
    _a);
/**
 * Use when you need to display the name of a CDP cloud environment. Displays
 * the icon for the specified cloud and the environment name.
 */
var CloudEnvironmentLabel = function (_a) {
    var cloud = _a.cloud, environmentName = _a.environmentName, isLink = _a.isLink;
    return (React.createElement("span", null,
        cloud && iconMap[cloud],
        "\u00A0",
        isLink ? (React.createElement(EnvironmentsLink, { path: ['details', environmentName] }, environmentName)) : (environmentName)));
};
export default CloudEnvironmentLabel;
