var _a;
// Copyright (c) 2022 Cloudera, Inc. All rights reserved.
import React from 'react';
import AwsIcon from '@cloudera/cuix-core/icons/react/AwsIcon';
import AzureIcon from '@cloudera/cuix-core/icons/react/AzureIcon';
import GoogleCloudIcon from '@cloudera/cuix-core/icons/react/GoogleCloudIcon';
import OpenshiftIcon from '@cloudera/cuix-core/icons/react/OpenshiftIcon';
import EnvironmentIcon from '@cloudera/cuix-core/icons/react/EnvironmentIcon';
import { Cloud } from "cuix/dist/types/types";
import IconWithLabel from '../IconWithLabel';
import { getLink, Service } from "cuix/dist/utils/linkUtils";
import { EnvironmentsLink } from '../CDPLink';
import { Text } from "cuix/dist/components/Typography";
var iconMap = (_a = {},
    _a[Cloud.AmazonWebServices] = AwsIcon,
    _a[Cloud.GoogleCloudPlatform] = GoogleCloudIcon,
    _a[Cloud.MicrosoftAzure] = AzureIcon,
    _a[Cloud.RedHatOpenShift] = OpenshiftIcon,
    _a);
/**
 * Use when you need to display the name of a CDP cloud environment. Displays
 * the icon for the specified cloud and the environment name.
 * @deprecated Use `IconWithLabel` instead.
 */
var CloudEnvironmentLabel = function (_a) {
    var cloud = _a.cloud, environmentName = _a.environmentName, isLink = _a.isLink;
    if (cloud === null) {
        if (isLink) {
            return (React.createElement(EnvironmentsLink, { path: ['details', environmentName] }, environmentName));
        }
        return React.createElement(Text, null, environmentName);
    }
    var icon = EnvironmentIcon;
    if (cloud) {
        icon = iconMap[cloud] || EnvironmentIcon;
    }
    return (React.createElement(IconWithLabel, { icon: icon, label: environmentName, href: isLink ? getLink(Service.ENVIRONMENTS, ['details', environmentName]) : undefined }));
};
export default CloudEnvironmentLabel;
