// Copyright (c) 2018 Cloudera, Inc. All rights reserved.
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import React, { PureComponent, Fragment } from 'react';
import PropTypes from 'prop-types';
import { Controlled as CodeMirror } from 'react-codemirror2';
import ReactResizeDetector from 'react-resize-detector';
import 'codemirror/mode/sql/sql';
import 'codemirror/mode/xml/xml';
import 'codemirror/mode/pig/pig';
import "./Code.css";
var Code = /** @class */ (function (_super) {
    __extends(Code, _super);
    function Code() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.handleResize = function (width) {
            if (_this.cm && width !== undefined) {
                _this.cm.editor.setSize(width);
            }
        };
        _this.setupHandle = function (ref) {
            _this.cm = ref;
        };
        return _this;
    }
    Code.prototype.render = function () {
        var _a = this.props, text = _a.text, options = _a.options;
        return (React.createElement(Fragment, null,
            React.createElement(ReactResizeDetector, { handleWidth: true, onResize: this.handleResize }),
            React.createElement(CodeMirror, { ref: this.setupHandle, value: text, options: __assign({ theme: 'xq-light', lineNumbers: true }, options), onBeforeChange: function () { } })));
    };
    Code.propTypes = {
        text: PropTypes.string
    };
    return Code;
}(PureComponent));
export default Code;
