/* Copyright (c) 2018 Cloudera, Inc. All rights reserved. */
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React, { PureComponent } from 'react';
import PropTypes from 'prop-types';
import { Input } from 'antd';
import i18n from '../../utils/i18n';
import TriggerField from './TriggerField';
import "./CopyToClipboardField.css";
var onFocus = function (event) { return event.target.select(); };
var CopyToClipboardField = /** @class */ (function (_super) {
    __extends(CopyToClipboardField, _super);
    function CopyToClipboardField() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.isTriggerVisible = document.queryCommandSupported('copy');
        _this.copyToClipboard = function () {
            _this.input.focus();
            document.execCommand('copy');
        };
        return _this;
    }
    CopyToClipboardField.prototype.render = function () {
        var _this = this;
        var _a = this.props, name = _a.name, value = _a.value, iconText = _a.iconText, children = _a.children, triggeronly = _a.triggeronly, style = _a.style, otherProps = __rest(_a, ["name", "value", "iconText", "children", "triggeronly", "style"]);
        var inputProps = __assign({ ref: function (input) { return (_this.input = input); }, name: name, value: value, onFocus: onFocus, readOnly: true }, otherProps);
        var input = children ? (React.cloneElement(children, inputProps)) : (React.createElement(Input, __assign({ style: triggeronly && { opacity: 0 } }, inputProps)));
        return (React.createElement(TriggerField, { style: style, className: "altus-copy-to-clipboard", onTriggerClick: this.copyToClipboard, tooltip: i18n.t('label.copy.to.clipboard'), isTriggerVisible: this.isTriggerVisible, iconText: iconText }, input));
    };
    CopyToClipboardField.propTypes = {
        /** Input field name */
        name: PropTypes.string,
        /** Input field value */
        value: PropTypes.string,
        /** Custom Input element (overrides default implementation) */
        children: PropTypes.node,
        /** Copy button text */
        iconText: PropTypes.string,
        triggeronly: PropTypes.bool,
        style: PropTypes.object
    };
    return CopyToClipboardField;
}(PureComponent));
export default CopyToClipboardField;
