/* Copyright (c) 2018 Cloudera, Inc. All rights reserved. */
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React, { PureComponent } from 'react';
import PropTypes from 'prop-types';
import { Tooltip, Button } from 'antd';
import classNames from 'classnames';
import CopyClipboardIcon from '@cloudera/cuix-core/icons/react/CopyClipboardIcon';
import "./TriggerField.css";
/**
 * Decorates a child node with a trigger.
 * See CopyToClipboardField for example usage.
 */
var TriggerField = /** @class */ (function (_super) {
    __extends(TriggerField, _super);
    function TriggerField() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    TriggerField.prototype.render = function () {
        var _a = this.props, iconText = _a.iconText, children = _a.children, isTriggerVisible = _a.isTriggerVisible, onTriggerClick = _a.onTriggerClick, tooltip = _a.tooltip, className = _a.className, otherProps = __rest(_a, ["iconText", "children", "isTriggerVisible", "onTriggerClick", "tooltip", "className"]);
        var tooltipProps = {
            title: tooltip,
            placement: 'right'
        };
        if (!tooltip) {
            tooltipProps.visible = false;
        }
        return (React.createElement("div", __assign({ className: classNames('field trigger-field', className) }, otherProps),
            children,
            isTriggerVisible && (React.createElement(Tooltip, __assign({}, tooltipProps),
                React.createElement(Button, { onClick: onTriggerClick },
                    React.createElement(CopyClipboardIcon, null),
                    !!iconText && "".concat(iconText))))));
    };
    return TriggerField;
}(PureComponent));
export default TriggerField;
TriggerField.defaultProps = {
    isTriggerVisible: true,
    iconText: ''
};
TriggerField.propTypes = {
    isTriggerVisible: PropTypes.bool,
    tooltip: PropTypes.string,
    onTriggerClick: PropTypes.func,
    iconText: PropTypes.string,
    children: PropTypes.node,
    className: PropTypes.string
};
