// Copyright (c) 2022 Cloudera, Inc. All rights reserved.
import React from 'react';
import { Title, Subtitle, Description, Primary, ArgsTable, Stories, PRIMARY_STORY } from '@storybook/addon-docs';
import { CuixDescription } from './CuixDescription';
/**
 * We want to insert our own "doc block" here for CUIX related stuff.
 * There is no way (today) of inserting or changing part of the Docs
 * page directly, so we'll redefine the Docs page and insert our
 * component here. This is essentially a copy of
 * https://github.com/storybookjs/storybook/blob/761501bf1344c5bab34e881702cc1938557b611c/addons/docs/src/blocks/DocsPage.tsx
 * with our component added.
 */
export var CustomDocsPage = function () { return (React.createElement(React.Fragment, null,
    React.createElement(Title, null),
    React.createElement(Subtitle, null),
    React.createElement(CuixDescription, null),
    React.createElement(Description, null),
    React.createElement(Primary, null),
    React.createElement(ArgsTable, { story: PRIMARY_STORY }),
    React.createElement(Stories, null))); };
