import React from 'react';
import Input from "cuix/dist/components/Input";
declare type InputProps = React.ComponentProps<typeof Input>;
interface Props extends InputProps {
    debounceDelayMs?: number;
    onChange: NonNullable<InputProps['onChange']>;
}
/**
 * Input element with debouncing built-in. Particularly useful, when used to filter
 * items that are slow to render.
 */
declare const DebouncedInput: React.FC<React.PropsWithoutRef<Props> & // storybook wasn't happy without these
React.RefAttributes<Input>>;
export default DebouncedInput;
