// Copyright (c) 2020 Cloudera, Inc. All rights reserved.
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __read = (this && this.__read) || function (o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m) return o;
    var i = m.call(o), r, ar = [], e;
    try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
    }
    catch (error) { e = { error: error }; }
    finally {
        try {
            if (r && !r.done && (m = i["return"])) m.call(i);
        }
        finally { if (e) throw e.error; }
    }
    return ar;
};
import React, { useState, useEffect, useCallback, useMemo } from 'react';
import debounce from 'lodash/debounce';
import Input from "cuix/dist/components/Input";
/**
 * Input element with debouncing built-in. Particularly useful, when used to filter
 * items that are slow to render.
 */
var DebouncedInput = React.forwardRef(function (_a, ref) {
    var _b = _a.debounceDelayMs, debounceDelayMs = _b === void 0 ? 250 : _b, onChange = _a.onChange, value = _a.value, otherProps = __rest(_a, ["debounceDelayMs", "onChange", "value"]);
    var _c = __read(useState(value), 2), internalValue = _c[0], setInternalValue = _c[1];
    useEffect(function () {
        setInternalValue(value);
    }, [value]);
    var debouncedCallback = useMemo(function () {
        return debounce(onChange, debounceDelayMs);
    }, [onChange, debounceDelayMs]);
    var onInternalChange = useCallback(function (value) {
        setInternalValue(value);
        debouncedCallback(value);
    }, [debouncedCallback]);
    return React.createElement(Input, __assign({ onChange: onInternalChange, value: internalValue }, otherProps, { ref: ref }));
});
export default DebouncedInput;
