import React from 'react';
interface Props {
    delay: number;
}
/**
 * Render children after a delay.
 *
 * One use case:
 *   Sometimes you want to show a loading indicator only if the operation takes more than a certain
 *   time. For example, if an operation typically completes in 500ms 9 out of 10 times, you don't want to
 *   show a loading indicator for those. For the one case that takes 10s you do want an indicator.
 *   Same principle that is used by `<Loading />`.
 */
declare const Delayed: React.FunctionComponent<Props>;
export default Delayed;
