// Copyright (c) 2018 Cloudera, Inc. All rights reserved.
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React from 'react';
import classNames from 'classnames';
import { t } from '../../utils/i18n';
import styled from 'styled-components';
import { mediaResponsiveWidth, textMuted } from "cuix/dist/styles/variables";
import { useUniqueDomId } from "cuix/dist/utils/domId";
var StyledDescriptionList = styled.div(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  @media (min-width: ", "px) {\n    &.cuix-description-list-horizontal {\n      display: table;\n    }\n  }\n"], ["\n  @media (min-width: ", "px) {\n    &.cuix-description-list-horizontal {\n      display: table;\n    }\n  }\n"])), mediaResponsiveWidth);
var StyledDescriptionListItem = styled.div(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n  margin-bottom: 12px;\n\n  .cuix-description-list-inline &,\n  .cuix-description-list-inline-top-label & {\n    display: inline-block;\n    margin-right: 24px;\n    margin-bottom: 0;\n  }\n\n  @media (min-width: ", "px) {\n    .cuix-description-list-horizontal & {\n      display: table-row;\n      margin: 0;\n    }\n  }\n"], ["\n  margin-bottom: 12px;\n\n  .cuix-description-list-inline &,\n  .cuix-description-list-inline-top-label & {\n    display: inline-block;\n    margin-right: 24px;\n    margin-bottom: 0;\n  }\n\n  @media (min-width: ", "px) {\n    .cuix-description-list-horizontal & {\n      display: table-row;\n      margin: 0;\n    }\n  }\n"])), mediaResponsiveWidth);
var StyledLabel = styled.div(templateObject_3 || (templateObject_3 = __makeTemplateObject(["\n  display: block;\n  color: ", ";\n\n  .upper-case-label & {\n    text-transform: uppercase;\n  }\n\n  .cuix-description-list-inline & {\n    display: inline-block;\n    margin-right: 8px;\n  }\n\n  @media (min-width: ", "px) {\n    .cuix-description-list-horizontal & {\n      display: table-cell;\n      padding: 0 24px 12px 0;\n      white-space: nowrap;\n    }\n  }\n"], ["\n  display: block;\n  color: ", ";\n\n  .upper-case-label & {\n    text-transform: uppercase;\n  }\n\n  .cuix-description-list-inline & {\n    display: inline-block;\n    margin-right: 8px;\n  }\n\n  @media (min-width: ", "px) {\n    .cuix-description-list-horizontal & {\n      display: table-cell;\n      padding: 0 24px 12px 0;\n      white-space: nowrap;\n    }\n  }\n"])), textMuted, mediaResponsiveWidth);
var StyledValue = styled.div(templateObject_4 || (templateObject_4 = __makeTemplateObject(["\n  .cuix-description-list-inline & {\n    display: inline-block;\n  }\n\n  @media (min-width: ", "px) {\n    .cuix-description-list-horizontal & {\n      display: table-cell;\n      padding: 0 24px 12px 0;\n    }\n  }\n"], ["\n  .cuix-description-list-inline & {\n    display: inline-block;\n  }\n\n  @media (min-width: ", "px) {\n    .cuix-description-list-horizontal & {\n      display: table-cell;\n      padding: 0 24px 12px 0;\n    }\n  }\n"])), mediaResponsiveWidth);
var DescriptionList = function (_a) {
    var _b = _a.layout, layout = _b === void 0 ? 'vertical' : _b, children = _a.children, className = _a.className, upperCaseLabel = _a.upperCaseLabel, otherProps = __rest(_a, ["layout", "children", "className", "upperCaseLabel"]);
    return (React.createElement(StyledDescriptionList, __assign({}, otherProps, { className: classNames('cuix-description-list', "cuix-description-list-".concat(layout), className, {
            'upper-case-label': upperCaseLabel
        }), "data-test": "descriptionList", role: "list" }), children));
};
export default DescriptionList;
export var DescriptionListItem = function (_a) {
    var label = _a.label, children = _a.children, className = _a.className, hideIfEmpty = _a.hideIfEmpty, otherProps = __rest(_a, ["label", "children", "className", "hideIfEmpty"]);
    var id = useUniqueDomId();
    if (hideIfEmpty && !children) {
        return null;
    }
    return (React.createElement(StyledDescriptionListItem, __assign({}, otherProps, { className: classNames(className), role: "listitem", "aria-labelledby": id }),
        React.createElement(StyledLabel, { "data-test": "label", id: id }, t(label)),
        React.createElement(StyledValue, { "data-test": "value" }, t(children))));
};
var templateObject_1, templateObject_2, templateObject_3, templateObject_4;
