var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
// Copyright (c) 2024 Cloudera, Inc. All rights reserved.
import React from 'react';
import i18n from '../../utils/i18n';
import Button, { LinkButton, PrimaryButton } from '../Button';
import MoreVerticalIcon from '@cloudera/cuix-core/icons/react/MoreVerticalIcon';
import DropdownIcon from '@cloudera/cuix-core/icons/react/DropdownIcon';
import Dropdown from '../Dropdown';
/**
 * A button that opens a dropdown menu.
 */
var DropdownButton = function (_a) {
    var _b = _a.label, label = _b === void 0 ? i18n.t('label.actions') : _b, size = _a.size, type = _a.type, className = _a.className, props = __rest(_a, ["label", "size", "type", "className"]);
    var children;
    switch (type) {
        case 'dots':
            children = (React.createElement(LinkButton, { className: className, icon: React.createElement(MoreVerticalIcon, null), size: size, "aria-label": label }));
            break;
        case 'pill':
            children = (React.createElement(Button, { pill: true, className: className, size: size, icon: React.createElement(DropdownIcon, null), iconPosition: "right" }, label));
            break;
        case 'primary':
            children = (React.createElement(PrimaryButton, { className: className, size: size, icon: React.createElement(DropdownIcon, null), iconPosition: "right" }, label));
            break;
        default:
            children = (React.createElement(Button, { className: className, size: size, icon: React.createElement(DropdownIcon, null), iconPosition: "right" }, label));
    }
    return React.createElement(Dropdown, __assign({}, props), children);
};
export default DropdownButton;
