var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
/* Copyright (c) 2019 Cloudera, Inc. All rights reserved. */
import React from 'react';
import classNames from 'classnames';
import i18n from '../../utils/i18n';
import noDataImage from './no-data.svg';
import noAccessImage from './no-access.svg';
import styled from 'styled-components';
import { textMuted } from "cuix/dist/styles/variables";
export var NO_ACCESS_IMAGE = noAccessImage;
var EmptyStateContainer = styled.div(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  display: flex;\n  flex-direction: column;\n  flex-wrap: nowrap;\n  align-items: center;\n  justify-content: start;\n\n  max-width: 800px;\n  margin: 80px auto;\n  padding: 0 24px;\n\n  text-align: center;\n"], ["\n  display: flex;\n  flex-direction: column;\n  flex-wrap: nowrap;\n  align-items: center;\n  justify-content: start;\n\n  max-width: 800px;\n  margin: 80px auto;\n  padding: 0 24px;\n\n  text-align: center;\n"])));
var ImgPlaceholder = styled.div(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n  margin-bottom: 24px;\n"], ["\n  margin-bottom: 24px;\n"])));
var Img48 = styled.img(templateObject_3 || (templateObject_3 = __makeTemplateObject(["\n  height: 48px;\n"], ["\n  height: 48px;\n"])));
var Subtitle = styled.p(templateObject_4 || (templateObject_4 = __makeTemplateObject(["\n  color: ", ";\n"], ["\n  color: ", ";\n"])), textMuted);
var EmptyState = function (_a) {
    var image = _a.image, title = _a.title, subtitle = _a.subtitle, children = _a.children, className = _a.className, otherProps = __rest(_a, ["image", "title", "subtitle", "children", "className"]);
    var imageContent = typeof image === 'string' ? React.createElement(Img48, { src: image, alt: i18n.t('label.emptyState') }) : image;
    return (React.createElement(EmptyStateContainer, __assign({}, otherProps, { className: classNames('cuix-empty-state', className), "data-test": "emptyState" }),
        image && React.createElement(ImgPlaceholder, null, imageContent),
        typeof title === 'string' ? React.createElement("p", null, i18n.t(title)) : title,
        subtitle && React.createElement(Subtitle, null, i18n.t(subtitle)),
        children));
};
EmptyState.defaultProps = {
    image: noDataImage
};
export default EmptyState;
var templateObject_1, templateObject_2, templateObject_3, templateObject_4;
