var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
// Copyright (c) 2018 Cloudera, Inc. All rights reserved.
import React from 'react';
import PageError from "cuix/dist/components/PageError";
import i18n from "cuix/dist/utils/i18n";
/**
 * Catch/Handle errors in the React chain. See https://reactjs.org/docs/error-boundaries.html
 * for more details. As of now, this needs to be a class component.
 */
var ErrorBoundary = /** @class */ (function (_super) {
    __extends(ErrorBoundary, _super);
    function ErrorBoundary() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.state = { error: false };
        return _this;
    }
    ErrorBoundary.prototype.componentDidCatch = function (error) {
        if (error instanceof Error) {
            this.setState({ error: error });
        }
        else {
            // Make sure we only throw Error objects.
            throw error;
        }
    };
    ErrorBoundary.prototype.render = function () {
        var error = this.state.error;
        var _a = this.props, showActualErrorMessage = _a.showActualErrorMessage, title = _a.title, fallbackHandler = _a.fallbackHandler, children = _a.children;
        if (error) {
            if (fallbackHandler) {
                return fallbackHandler(error);
            }
            return (React.createElement(PageError, { title: title || i18n.t('label.unexpectedError.title'), message: showActualErrorMessage ? error.message : i18n.t('message.unexpectedError') }));
        }
        return children;
    };
    return ErrorBoundary;
}(React.Component));
export default ErrorBoundary;
