// Copyright (c) 2021 Cloudera, Inc. All rights reserved.
import facetFilter from './_facetFilter';
import React, { useEffect, useRef } from 'react';
import "./FacetFilter.css";
var FacetFilter = function (_a) {
    var data = _a.data, id = _a.id, onChange = _a.onChange, placeholder = _a.placeholder, ariaLabel = _a.ariaLabel, attachTooltip = _a.attachTooltip, autoFocus = _a.autoFocus, cssClasses = _a.cssClasses;
    var ref = useRef(null);
    useEffect(function () {
        var div = ref.current;
        if (div && onChange) {
            var control_1 = facetFilter(div, data, { attachTooltip: attachTooltip, autoFocus: autoFocus, css: cssClasses });
            div.addEventListener('changed.facetfilter.tokenfield', function () { return onChange(control_1.result()); });
        }
        // eslint-disable-next-line react-hooks/exhaustive-deps
    }, []);
    return React.createElement("div", { ref: ref, id: id, "data-placeholder": placeholder, "aria-label": ariaLabel });
};
export default FacetFilter;
