export interface Facet {
    key: string;
    values?: string[];
    header?: boolean;
    freeText?: boolean;
    noRepeat?: boolean;
}
interface Opts {
    tooltips: boolean;
    autoFocus: boolean;
    css: CssClasses;
    className?: string;
    attachTooltip?: (element: HTMLElement, text: string) => void;
}
export declare type Options = Partial<Opts>;
export interface Css {
    container: string;
    icon: string;
    iconType: string;
    token: string;
    tokenKeyEmpty: string;
    tokenValueEmpty: string;
    tokenCommitted: string;
    tokenKeyInput: string;
    tokenKey: string;
    tokenValueInput: string;
    tokenValue: string;
    dropdownMenu: string;
    dropdownItem: string;
    dropdownHeader: string;
}
export declare type CssClasses = Partial<Css>;
export interface FacetFilter {
    result: () => {
        [key: string]: any;
    };
}
declare const facetFilter: (container: Element, data: Facet[], options?: Options) => FacetFilter;
export default facetFilter;
