import { PureComponent } from 'react';
import { FeatureFlagsManager, FeatureFlag, FeatureFlagBase, FeatureFlagSelect } from './FeatureFlagsManager';
interface Props {
    featureFlagsManager: FeatureFlagsManager;
}
/**
 * Feature flag management UI
 *
 * NOTE: This is intended for developers/internal usage only so don't put this on a page that is linked
 * in the product.
 *
 * Displays all feature flags along with buttons/fields to change their value.
 */
export default class FeatureFlagsView extends PureComponent<Props> {
    onChange: (flag: FeatureFlag, value: any) => void;
    renderString(flag: FeatureFlagBase): JSX.Element;
    renderSelect(flag: FeatureFlagSelect): JSX.Element;
    renderBool(flag: FeatureFlagBase): JSX.Element;
    renderFlag(flag: FeatureFlag): JSX.Element | null;
    renderFlags(): JSX.Element | (JSX.Element | null)[];
    render(): JSX.Element;
}
export {};
