var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __read = (this && this.__read) || function (o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m) return o;
    var i = m.call(o), r, ar = [], e;
    try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
    }
    catch (error) { e = { error: error }; }
    finally {
        try {
            if (r && !r.done && (m = i["return"])) m.call(i);
        }
        finally { if (e) throw e.error; }
    }
    return ar;
};
// Copyright (c) 2018 Cloudera, Inc. All rights reserved.
import React, { PureComponent, Fragment, useState } from 'react';
import { Switch, Input, Button, Select, notification } from 'antd';
import styled from 'styled-components';
import { fluidxGray700 } from "cuix/dist/styles/variables";
import { FeatureFlagTypes } from './FeatureFlagsManager';
var Description = styled.div(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  color: ", ";\n"], ["\n  color: ", ";\n"])), fluidxGray700);
var StyledSwitch = styled(Switch)(templateObject_2 || (templateObject_2 = __makeTemplateObject([""], [""])));
var FlagLine = styled.div(templateObject_3 || (templateObject_3 = __makeTemplateObject([""], [""])));
var Container = styled.div(templateObject_4 || (templateObject_4 = __makeTemplateObject(["\n  margin: 20px;\n  ", " {\n    margin-right: 8px;\n  }\n  ", " {\n    margin-bottom: 12px;\n  }\n  ", " {\n    margin-top: 8px;\n  }\n"], ["\n  margin: 20px;\n  ", " {\n    margin-right: 8px;\n  }\n  ", " {\n    margin-bottom: 12px;\n  }\n  ", " {\n    margin-top: 8px;\n  }\n"])), StyledSwitch, FlagLine, Description);
var Option = Select.Option;
var StringField = function (_a) {
    var flag = _a.flag, onChange = _a.onChange;
    var _b = __read(useState(flag.value), 2), fieldValue = _b[0], setFieldValue = _b[1];
    var onInputFieldChange = function (event) { return setFieldValue(event.target.value); };
    var persistChange = function (value) {
        onChange(flag, value);
        if (fieldValue !== value) {
            setFieldValue(value);
        }
    };
    return (React.createElement("div", { style: { marginTop: 10 } },
        React.createElement("div", null,
            " ",
            flag.name,
            " "),
        flag.description && React.createElement(Description, null, flag.description),
        React.createElement(Input, { value: fieldValue, onChange: onInputFieldChange, style: { width: 500 } }),
        React.createElement(Button, { disabled: fieldValue === flag.value, onClick: function () { return persistChange(fieldValue); } }, "Save"),
        React.createElement(Button, { disabled: fieldValue === flag.defaultValue, onClick: function () { return persistChange(flag.defaultValue); } }, "Reset")));
};
// TODO: [future] use functional component, move render* fn to components instead (arne)
/**
 * Feature flag management UI
 *
 * NOTE: This is intended for developers/internal usage only so don't put this on a page that is linked
 * in the product.
 *
 * Displays all feature flags along with buttons/fields to change their value.
 */
var FeatureFlagsView = /** @class */ (function (_super) {
    __extends(FeatureFlagsView, _super);
    function FeatureFlagsView() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.onChange = function (flag, value) {
            _this.props.featureFlagsManager.setValue(flag.id, value);
            // since we're using featureFlagsManager as the store we'll force updates
            // for this simple component, so we don't need to build a bunch of boilerplate
            // code to interface back and forth with component <--> redux <--> localstorage .
            _this.forceUpdate();
            notification.info({
                message: 'Feature Toggle Changed',
                description: 'You might have to reload page for changes to take effect'
            });
        };
        return _this;
    }
    FeatureFlagsView.prototype.renderString = function (flag) {
        return React.createElement(StringField, { flag: flag, onChange: this.onChange });
    };
    FeatureFlagsView.prototype.renderSelect = function (flag) {
        var _this = this;
        return (React.createElement(Fragment, null,
            flag.name,
            flag.description && React.createElement(Description, null, flag.description),
            React.createElement("br", null),
            React.createElement(Select, { defaultValue: flag.value, style: { width: 350 }, onChange: function (value) { return _this.onChange(flag, value); } }, flag.values.map(function (item) { return (React.createElement(Option, { key: item.value, value: item.value }, item.name)); }))));
    };
    FeatureFlagsView.prototype.renderBool = function (flag) {
        var _this = this;
        return (React.createElement(Fragment, null,
            React.createElement(StyledSwitch, { checked: flag.value, onChange: function (checked) { return _this.onChange(flag, checked); } }),
            flag.name,
            flag.description && React.createElement(Description, null, flag.description)));
    };
    FeatureFlagsView.prototype.renderFlag = function (flag) {
        var content;
        if (flag.hidden) {
            return null;
        }
        else if (flag.type === FeatureFlagTypes.STRING) {
            content = this.renderString(flag);
        }
        else if (flag.type === FeatureFlagTypes.SELECT) {
            content = this.renderSelect(flag);
        }
        else {
            content = this.renderBool(flag);
        }
        return React.createElement(FlagLine, { key: flag.id }, content);
    };
    FeatureFlagsView.prototype.renderFlags = function () {
        var _this = this;
        var flags = this.props.featureFlagsManager.getAllFeatureFlags();
        if (!flags.length) {
            return React.createElement("strong", null, "No feature flags are available.");
        }
        return flags.map(function (flag) { return _this.renderFlag(flag); });
    };
    FeatureFlagsView.prototype.render = function () {
        return (React.createElement(Container, null,
            React.createElement("h2", null, " Feature Flags "),
            React.createElement("p", null, "Feature flags settings are stored in local storage, so are persistent for the browser you use. These are not intended to be utilized for production customers, just temporary for development. You might have to reload the page to let changes take effect."),
            this.renderFlags()));
    };
    return FeatureFlagsView;
}(PureComponent));
export default FeatureFlagsView;
var templateObject_1, templateObject_2, templateObject_3, templateObject_4;
