var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
// Copyright (c) 2023 Cloudera, Inc. All rights reserved.
import React from 'react';
import { Button } from 'antd';
import { Text } from "cuix/dist/components/Typography";
import styled from 'styled-components';
import { cdlFocusShadowNoColor, cdlSpacingXxs } from '@cloudera/cuix-core/variables';
import { backgroundColor, borderColor, focusBorderColor, focusBackgroundColor, focusShadowColor, openBackgroundColor } from './FacetButton.theme';
import { defaultTheme as theme } from "cuix/dist/styles/theme";
var StyledButton = styled(Button)(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  && {\n    padding-left: ", ";\n    padding-right: ", ";\n    background-color: ", ";\n    border-color: ", ";\n  }\n\n  &&:hover,\n  &&:active,\n  &&.ant-dropdown-open,\n  &&:focus {\n    &:not(:has(button:hover), :has(button:active), :has(button:focus)) {\n      border-color: ", ";\n    }\n  }\n\n  &&:hover,\n  &&:focus {\n    &:not(:has(button:hover), :has(button:active), :has(button:focus)) {\n      background-color: ", ";\n    }\n  }\n\n  &&:focus-visible,\n  button:focus-visible {\n    &:not(:has(button:hover), :has(button:active), :has(button:focus)) {\n      outline: none;\n      box-shadow: ", " ", ";\n    }\n  }\n\n  &&:active,\n  &&.ant-dropdown-open {\n    &:not(:has(button:hover), :has(button:active), :has(button:focus)) {\n      background-color: ", ";\n    }\n  }\n"], ["\n  && {\n    padding-left: ", ";\n    padding-right: ", ";\n    background-color: ", ";\n    border-color: ", ";\n  }\n\n  &&:hover,\n  &&:active,\n  &&.ant-dropdown-open,\n  &&:focus {\n    &:not(:has(button:hover), :has(button:active), :has(button:focus)) {\n      border-color: ", ";\n    }\n  }\n\n  &&:hover,\n  &&:focus {\n    &:not(:has(button:hover), :has(button:active), :has(button:focus)) {\n      background-color: ", ";\n    }\n  }\n\n  &&:focus-visible,\n  button:focus-visible {\n    &:not(:has(button:hover), :has(button:active), :has(button:focus)) {\n      outline: none;\n      box-shadow: ", " ", ";\n    }\n  }\n\n  &&:active,\n  &&.ant-dropdown-open {\n    &:not(:has(button:hover), :has(button:active), :has(button:focus)) {\n      background-color: ", ";\n    }\n  }\n"])), cdlSpacingXxs, cdlSpacingXxs, backgroundColor, borderColor, focusBorderColor, focusBackgroundColor, cdlFocusShadowNoColor, focusShadowColor, openBackgroundColor);
StyledButton.defaultProps = { theme: theme };
/**
 * A button, styled like a pill, that is used for the facet dropdowns.
 */
var FacetButton = function (_a) {
    var onClick = _a.onClick, className = _a.className, style = _a.style, children = _a.children, props = __rest(_a, ["onClick", "className", "style", "children"]);
    return (React.createElement(StyledButton, __assign({ className: className, style: style, onClick: onClick, shape: "round", size: "small" }, props),
        React.createElement(Text, { size: "small" }, children)));
};
export default FacetButton;
var templateObject_1;
