var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __read = (this && this.__read) || function (o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m) return o;
    var i = m.call(o), r, ar = [], e;
    try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
    }
    catch (error) { e = { error: error }; }
    finally {
        try {
            if (r && !r.done && (m = i["return"])) m.call(i);
        }
        finally { if (e) throw e.error; }
    }
    return ar;
};
// Copyright (c) 2023 Cloudera, Inc. All rights reserved.
import React, { useState } from 'react';
import DropdownIcon from '@cloudera/cuix-core/icons/react/DropdownIcon';
import { Text } from "cuix/dist/components/Typography";
import { cdlSpacingTinyUnitless, cdlSpacingXxsUnitless } from "cuix/dist/styles/variables";
import Dropdown from '../Dropdown';
import IconWithLabel from '../IconWithLabel';
import FacetButton from './FacetButton';
import CloseButton from '../Tag/CloseButton';
import { toLabel } from './helpers';
import { Color } from "cuix/dist/types/types";
var getDisplayValue = function (items) {
    if (!items || items.length === 0) {
        return '';
    }
    if (items.length === 1) {
        return toLabel(items[0]);
    }
    return "".concat(toLabel(items[0]), " +").concat(items.length - 1);
};
/**
 * A dropdown to represent a custom-filter facet.
 */
var FacetDropdown = function (_a) {
    var label = _a.label, values = _a.values, onClose = _a.onClose, style = _a.style, _b = _a.onChange, onChange = _b === void 0 ? function () { } : _b, dropdownRender = _a.dropdownRender, open = _a.open, props = __rest(_a, ["label", "values", "onClose", "style", "onChange", "dropdownRender", "open"]);
    var _c = __read(useState(open), 2), isOpen = _c[0], setIsOpen = _c[1];
    var close = function () {
        setIsOpen(false);
    };
    var children = (React.createElement(FacetButton, __assign({ style: style }, props),
        values && values.length > 0 ? (React.createElement(React.Fragment, null,
            React.createElement(Text, { size: "small", type: "secondary" },
                label,
                ":\u00A0"),
            React.createElement(IconWithLabel, { style: { marginRight: -cdlSpacingTinyUnitless }, size: "small", icon: DropdownIcon, label: getDisplayValue(values), labelPosition: "left" }))) : (React.createElement(IconWithLabel, { style: { marginRight: -cdlSpacingTinyUnitless }, size: "small", type: "secondary", icon: DropdownIcon, label: label, labelPosition: "left" })),
        onClose && (React.createElement("span", { style: { marginLeft: cdlSpacingTinyUnitless, marginRight: -cdlSpacingTinyUnitless } },
            React.createElement(CloseButton, { "data-event": "Close Facet", onClick: onClose, color: Color.Gray })))));
    return (React.createElement(Dropdown
    //@ts-ignore This prop is supported by the underlying rc-dropdown.
    , { 
        //@ts-ignore This prop is supported by the underlying rc-dropdown.
        minOverlayWidthMatchTrigger: false, dropdownRender: function () { return dropdownRender(onChange, close); }, align: { offset: [0, cdlSpacingXxsUnitless] }, open: isOpen, onOpenChange: setIsOpen, destroyPopupOnHide: true }, children));
};
export default FacetDropdown;
