var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
// Copyright (c) 2023 Cloudera, Inc. All rights reserved.
import React from 'react';
import Input from "cuix/dist/components/Input";
import styled, { ThemeProvider } from 'styled-components';
import SearchPrefixIcon from './SearchPrefixIcon';
import ClearIcon from './ClearIcon';
import i18n from "cuix/dist/utils/i18n";
import { cdlSpacingXxs } from '@cloudera/cuix-core/variables';
import { borderColor } from './MultipleValueFilter.theme';
import { defaultTheme as theme } from "cuix/dist/styles/theme";
export var StyledDiv = styled.div(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  padding: ", ";\n  padding-bottom: 0;\n  &:not(:has(+ span)) {\n    padding-bottom: ", ";\n    border-bottom: 1px solid ", ";\n  }\n"], ["\n  padding: ", ";\n  padding-bottom: 0;\n  &:not(:has(+ span)) {\n    padding-bottom: ", ";\n    border-bottom: 1px solid ", ";\n  }\n"])), cdlSpacingXxs, cdlSpacingXxs, borderColor);
StyledDiv.defaultProps = { theme: theme };
/**
 * Header containing the search box for use within a facet.
 */
var FacetSearch = function (_a) {
    var value = _a.value, onChange = _a.onChange;
    return (React.createElement(StyledDiv, null,
        React.createElement(ThemeProvider, { theme: { mode: 'default' } },
            React.createElement(Input, { value: value, prefix: React.createElement(SearchPrefixIcon, null), allowClear: { clearIcon: React.createElement(ClearIcon, null) }, placeholder: i18n.t('label.search'), onChange: onChange }))));
};
export default FacetSearch;
var templateObject_1;
