var __read = (this && this.__read) || function (o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m) return o;
    var i = m.call(o), r, ar = [], e;
    try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
    }
    catch (error) { e = { error: error }; }
    finally {
        try {
            if (r && !r.done && (m = i["return"])) m.call(i);
        }
        finally { if (e) throw e.error; }
    }
    return ar;
};
// Copyright (c) 2023 Cloudera, Inc. All rights reserved.
import React, { useState } from 'react';
import { useDebouncedCallback } from '@react-hookz/web/esm/useDebouncedCallback';
import FacetDropdown from './FacetDropdown';
import { isMatchingItem } from './helpers';
import { StyledFilterContainer, FilterMenu } from './styledComponents';
import { FilterEmptyMessage } from './FilterEmptyMessage';
import FacetSearch from './FacetSearch';
var getMatchingMenuItems = function (items, search) {
    return items.filter(function (item) { return ((item === null || item === void 0 ? void 0 : item.key) ? isMatchingItem(item.key.toString(), search) : false); });
};
/**
 * Used for selecting facets.
 */
var FacetSelector = function (_a) {
    var label = _a.label, items = _a.items, search = _a.search;
    var _b = __read(useState(''), 2), inputValue = _b[0], setInputValue = _b[1];
    var _c = __read(useState(''), 2), searchString = _c[0], setSearchString = _c[1];
    var handleSearch = useDebouncedCallback(setSearchString, [], 250);
    var matchingItems = getMatchingMenuItems(items, searchString);
    return (React.createElement(FacetDropdown, { label: label, dropdownRender: function (_, close) { return (React.createElement(StyledFilterContainer, null,
            search && (React.createElement(FacetSearch, { value: inputValue, onChange: function (event) {
                    setInputValue(event.target.value);
                    handleSearch(event.target.value);
                } })),
            matchingItems.length > 0 ? (React.createElement(FilterMenu, { items: matchingItems, onClick: close })) : (React.createElement(FilterEmptyMessage, null)))); } }));
};
export default FacetSelector;
