var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
// Copyright (c) 2023 Cloudera, Inc. All rights reserved.
import React, { useRef } from 'react';
import { BaseCard } from '../Card';
import { useClickOutside } from '@react-hookz/web/esm/useClickOutside';
/**
 * A helper component for building custom filters. It gives you a
 * correctly-styled container and handles clicks outside the container.
 */
var FilterContainer = function (_a) {
    var onClose = _a.onClose, className = _a.className, style = _a.style, children = _a.children;
    var ref = useRef(null);
    useClickOutside(ref, function () { return onClose === null || onClose === void 0 ? void 0 : onClose(); });
    return (React.createElement(BaseCard, { ref: ref, className: className, style: __assign({ width: 'auto' }, style), ephemeral: true }, children));
};
export default FilterContainer;
