// Copyright (c) 2023 Cloudera, Inc. All rights reserved.
import React from 'react';
import Input from "cuix/dist/components/Input";
import i18n from "cuix/dist/utils/i18n";
import ClearIcon from './ClearIcon';
import SearchPrefixIcon from './SearchPrefixIcon';
/**
 * The search box used by `Filter`.
 */
var Search = function (_a) {
    var value = _a.value, onChange = _a.onChange, placeholder = _a.placeholder;
    return (React.createElement(Input, { value: value, style: { minWidth: 128, maxWidth: 256 }, onChange: function (event) {
            onChange(event.target.value);
        }, prefix: React.createElement(SearchPrefixIcon, null), allowClear: { clearIcon: React.createElement(ClearIcon, null) }, placeholder: placeholder || i18n.t('label.search') }));
};
export default Search;
