// Copyright (c) 2023 Cloudera, Inc. All rights reserved.
import React from 'react';
import { Text } from '../Typography';
import i18n from "cuix/dist/utils/i18n";
// eslint-disable-next-line thunderhead/prefer-cuix-over-antd
import { Tooltip } from 'antd';
import { getTooltipStyle } from '../Tooltip/Tooltip';
import { ThemeProvider } from 'styled-components';
import { useTheme } from "cuix/dist/styles/theme";
/**
 * Tooltip used to show all selected values in a multiple value filter when more
 * than one value is selected.
 */
var SelectedValuesTooltip = function (_a) {
    var values = _a.values, children = _a.children;
    var theme = useTheme();
    var content = (React.createElement(ThemeProvider, { theme: { mode: 'default' } },
        React.createElement(Text, { type: "secondary", size: "small" }, "".concat(i18n.t('label.selected'), ":")),
        React.createElement("ul", { style: { listStyle: 'none', margin: 0, padding: 0 } }, values.map(function (value) { return (React.createElement("li", { key: value },
            React.createElement(Text, { size: "small" }, value.toString()))); }))));
    return (React.createElement(Tooltip, { title: values.length > 1 ? content : '', overlayStyle: { padding: 0, maxWidth: 'unset' }, overlayInnerStyle: getTooltipStyle(theme), mouseEnterDelay: 0.2, mouseLeaveDelay: 0.2, showArrow: false }, children));
};
export default SelectedValuesTooltip;
