var __read = (this && this.__read) || function (o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m) return o;
    var i = m.call(o), r, ar = [], e;
    try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
    }
    catch (error) { e = { error: error }; }
    finally {
        try {
            if (r && !r.done && (m = i["return"])) m.call(i);
        }
        finally { if (e) throw e.error; }
    }
    return ar;
};
// Copyright (c) 2023 Cloudera, Inc. All rights reserved.
import React, { useEffect, useState } from 'react';
import { useDebouncedCallback } from '@react-hookz/web/esm/useDebouncedCallback';
import { StyledFilterContainer, FilterMenu } from './styledComponents';
import { FilterEmptyMessage } from './FilterEmptyMessage';
import FacetSearch from './FacetSearch';
import { getMatchingItems } from './helpers';
var toMenuItem = function (item) {
    if (typeof item === 'string') {
        return { key: item, label: item };
    }
    return {
        key: item.key || item.value,
        label: item.display || item.label
    };
};
var toKey = function (item) {
    if (typeof item === 'string') {
        return item;
    }
    return item.key || item.value;
};
/**
 * A single value selection filter with an optional search box.
 */
var SingleValueFilter = function (_a) {
    var label = _a.label, name = _a.name, items = _a.items, values = _a.values, search = _a.search, onChange = _a.onChange, onClose = _a.onClose;
    var _b = __read(useState(items), 2), matchingItems = _b[0], setMatchingItems = _b[1];
    var _c = __read(useState(''), 2), searchString = _c[0], setSearchString = _c[1];
    var _d = __read(useState(values || []), 2), selectedValue = _d[0], setSelectedValue = _d[1];
    var handleSearch = useDebouncedCallback(function (value) { return setMatchingItems(getMatchingItems(items, value)); }, [], 250);
    useEffect(function () {
        onChange === null || onChange === void 0 ? void 0 : onChange({ label: name ? name : label, values: selectedValue });
        // Excluding `onChange` to avoid infinite loop.
        // eslint-disable-next-line react-hooks/exhaustive-deps
    }, [name, label, selectedValue]);
    return (React.createElement(StyledFilterContainer, null,
        search && (React.createElement(FacetSearch, { value: searchString, onChange: function (event) {
                setSearchString(event.target.value);
                handleSearch(event.target.value);
            } })),
        matchingItems.length > 0 ? (React.createElement(FilterMenu, { items: matchingItems.map(toMenuItem), defaultSelectedKeys: values ? values.map(toKey) : [], selectable: true, onSelect: function (_a) {
                var selectedKeys = _a.selectedKeys;
                setSelectedValue(selectedKeys);
                onClose === null || onClose === void 0 ? void 0 : onClose();
            }, onDeselect: function (_a) {
                var selectedKeys = _a.selectedKeys;
                return setSelectedValue(selectedKeys);
            } })) : (React.createElement(FilterEmptyMessage, null))));
};
export default SingleValueFilter;
