// Copyright (c) 2019 Cloudera, Inc. All rights reserved.
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __read = (this && this.__read) || function (o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m) return o;
    var i = m.call(o), r, ar = [], e;
    try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
    }
    catch (error) { e = { error: error }; }
    finally {
        try {
            if (r && !r.done && (m = i["return"])) m.call(i);
        }
        finally { if (e) throw e.error; }
    }
    return ar;
};
var __spreadArray = (this && this.__spreadArray) || function (to, from, pack) {
    if (pack || arguments.length === 2) for (var i = 0, l = from.length, ar; i < l; i++) {
        if (ar || !(i in from)) {
            if (!ar) ar = Array.prototype.slice.call(from, 0, i);
            ar[i] = from[i];
        }
    }
    return to.concat(ar || Array.prototype.slice.call(from));
};
import React, { PureComponent, Fragment } from 'react';
import ReactTable, { ReactTableDefaults } from 'react-table-v6';
import classNames from 'classnames';
import { Pagination, Checkbox } from 'antd';
import isFunction from 'lodash/isFunction';
import isString from 'lodash/isString';
import isNumber from 'lodash/isNumber';
import isBoolean from 'lodash/isBoolean';
import isEqual from 'lodash/isEqual';
import kebabCase from 'lodash/kebabCase';
import partial from 'lodash/partial';
import i18n from '../../utils/i18n';
import FormattedDateTime from '../../components/FormattedDateTime';
import { formatDuration, formatNumber, formatMemory, formatByteSeconds, formatPercent } from '../../utils/format';
import LoadingComponent from './FlexTableLoadingComponent';
import 'react-table-v6/react-table.css';
import "./FlexTable.css";
import DropupIcon from '@cloudera/cuix-core/icons/react/DropupIcon';
import DropdownIcon from '@cloudera/cuix-core/icons/react/DropdownIcon';
import EditIcon from '@cloudera/cuix-core/icons/react/EditIcon';
var NoData = function (props) { return React.createElement("div", { className: "sigma-table-no-data" }, props.children); };
/**
 * A wrapper component that binds Ant Pagination to the interface of ReactTable.
 */
function PaginationWrapper(props) {
    var page = props.page, pageSize = props.pageSize, defaultPageSize = props.defaultPageSize, data = props.data, itemCount = props.itemCount, showTotal = props.showTotal, showSizeChanger = props.showSizeChanger, hideOnSinglePage = props.hideOnSinglePage, pageSizeOptions = props.pageSizeOptions, onPageChange = props.onPageChange, onPageSizeChange = props.onPageSizeChange;
    return (React.createElement(Pagination, { current: page + 1, pageSize: pageSize, defaultPageSize: defaultPageSize, total: itemCount ? itemCount : data.length, showTotal: showTotal, pageSizeOptions: pageSizeOptions, 
        /*
        In react-table when we change page and pageSize they both internally call react `setState`.
        Since `setState` is batched (at least in this case when called via event handler) the second call
        will override the first state change (since the first state change isn't "committed" yet and flex table wrongly assumes it is).
        So for example calling `onPageSizeChange` and `onPageChange` directly after each other would lead
        to the pageSize change not working since that state change was immediately overwritten by the second call.
        To work around this issue we handle both cases now in the `onChange` event.
        */
        onChange: function (antCurrentPage, pageSize) {
            var flexTablePage = antCurrentPage - 1;
            if (flexTablePage === page) {
                onPageSizeChange(pageSize);
            }
            else {
                onPageChange(flexTablePage);
            }
        }, showSizeChanger: showSizeChanger, hideOnSinglePage: hideOnSinglePage }));
}
export var ColumnType;
(function (ColumnType) {
    ColumnType["DURATION"] = "duration";
    ColumnType["MEMORY"] = "memory";
    ColumnType["BYTE_SECONDS"] = "byteSeconds";
    ColumnType["NUMBER"] = "number";
    ColumnType["STRING"] = "string";
    ColumnType["DATE"] = "date";
    ColumnType["PERCENT"] = "percent";
})(ColumnType || (ColumnType = {}));
export var ColumnAlign;
(function (ColumnAlign) {
    ColumnAlign["LEFT"] = "left";
    ColumnAlign["CENTER"] = "center";
    ColumnAlign["RIGHT"] = "right";
})(ColumnAlign || (ColumnAlign = {}));
function inferColumnAlign(column) {
    var align = column.align, type = column.type;
    if (align) {
        return align;
    }
    if (type &&
        [
            ColumnType.DURATION,
            ColumnType.MEMORY,
            ColumnType.BYTE_SECONDS,
            ColumnType.NUMBER,
            ColumnType.PERCENT
        ].includes(type)) {
        return ColumnAlign.RIGHT;
    }
    return ColumnAlign.LEFT;
}
function inferRender(column) {
    var render = column.render, type = column.type;
    if (isFunction(render)) {
        return render;
    }
    switch (type) {
        case ColumnType.DURATION:
            return function (value) { return formatDuration(value); };
        case ColumnType.MEMORY:
            return function (value) { return formatMemory(value); };
        case ColumnType.BYTE_SECONDS:
            return function (value) { return formatByteSeconds(value); };
        case ColumnType.PERCENT:
            return function (value) { return formatPercent(value); };
        case ColumnType.DATE:
            return function (value) { return value && React.createElement(FormattedDateTime, { dateTime: value }); };
        case ColumnType.NUMBER:
            return function (value) { return formatNumber(value); };
        default:
            return undefined;
    }
}
/** Shows "Display 10 - 20 of 321" */
export var defaultShowTotal = function (total, range) {
    var _a = __read(range, 2), start = _a[0], end = _a[1];
    return i18n.t('ko.components.pagination.displayXtoY.known', start, end, total);
};
/** Shows "Display 10 - 20" */
export var showPageRangeOnly = function (total, range) {
    var _a = __read(range, 2), start = _a[0], end = _a[1];
    return i18n.t('ko.components.pagination.displayXtoY.unknown', start, end, total);
};
var defaultPagination = {
    defaultPageSize: 20,
    showTotal: defaultShowTotal,
    pageSizeOptions: ['10', '20', '30', '40'],
    showSizeChanger: true,
    hideOnSinglePage: true
};
export var SortOrder;
(function (SortOrder) {
    SortOrder["ASCEND"] = "ascend";
    SortOrder["DESCEND"] = "descend";
})(SortOrder || (SortOrder = {}));
var FlexTable = /** @class */ (function (_super) {
    __extends(FlexTable, _super);
    function FlexTable() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.state = {
            current: 1,
            dirtyCache: {}
        };
        _this.getCellKey = function (cell) {
            var column = cell.column, row = cell.row;
            return "".concat(column, "_").concat(row);
        };
        _this.isDirty = function (cell) {
            var dirtyCache = _this.state.dirtyCache;
            return dirtyCache.hasOwnProperty(_this.getCellKey(cell));
        };
        _this.getDirtyValue = function (cell) {
            var dirtyCache = _this.state.dirtyCache;
            return dirtyCache[_this.getCellKey(cell)];
        };
        _this.normalize = function (columns) {
            return columns.map(function (column) {
                var className = column.className, key = column.key, dataIndex = column.dataIndex, width = column.width, _a = column.minWidth, minWidth = _a === void 0 ? 100 : _a, maxWidth = column.maxWidth, sorter = column.sorter, type = column.type, title = column.title, _b = column.resizable, resizable = _b === void 0 ? true : _b, editor = column.editor, children = column.children, defaultSortDesc = column.defaultSortDesc;
                var align = inferColumnAlign(column);
                var render = inferRender(column);
                var config = {
                    className: classNames(className, 'column', isString(dataIndex) && kebabCase(dataIndex), isString(type) && kebabCase(type), editor && 'editable', align),
                    minWidth: minWidth,
                    maxWidth: maxWidth,
                    resizable: resizable,
                    defaultSortDesc: defaultSortDesc
                };
                if (isString(dataIndex)) {
                    config.accessor = dataIndex;
                }
                else if (isString(key)) {
                    config.id = key;
                }
                if (title) {
                    config.Header = function () {
                        return (React.createElement("div", { className: classNames('column', align, sorter && 'column-sorters') },
                            title,
                            sorter && (React.createElement("div", { className: "column-sorter" },
                                React.createElement(DropupIcon, { className: "cuix-flextable-icon cuix-flextable-caret-up" }),
                                React.createElement(DropdownIcon, { className: "cuix-flextable-icon cuix-flextable-caret-down" })))));
                    };
                }
                if (isNumber(width)) {
                    config.width = width;
                }
                if (isBoolean(sorter)) {
                    config.sortable = sorter;
                }
                else if (isFunction(sorter)) {
                    config.sortMethod = sorter;
                }
                else {
                    config.sortable = false;
                }
                config.Cell = function (cellInfo) {
                    var value = cellInfo.value, original = cellInfo.original, index = cellInfo.index;
                    if (dataIndex) {
                        var cell = { column: dataIndex, row: index };
                        var editedCell_1 = _this.state.editedCell;
                        // render a dirty value if there is any, otherwise render a value from the data source
                        var newValue = _this.isDirty(cell) ? _this.getDirtyValue(cell) : value;
                        // if the current cell is being edited, then render a cell editor specified in the column config
                        var onComplete = function (newValue) {
                            _this.onEditComplete(newValue, value, editedCell_1);
                        };
                        if (editor && isEqual(editedCell_1, cell)) {
                            return editor(newValue, original, cell, onComplete);
                        }
                    }
                    return (React.createElement(Fragment, null,
                        isFunction(render) ? render(value, original, index) : value,
                        editor && dataIndex !== undefined && (React.createElement(EditIcon, { "data-test": "FlexTableEditIcon", className: "cuix-flextable-icon cuix-flextable-edit", onClick: partial(_this.onEditRequest, dataIndex, index) }))));
                };
                if (Array.isArray(children)) {
                    config.columns = _this.normalize(children);
                }
                return config;
            });
        };
        _this.onEditComplete = function (newValue, oldValue, cell) {
            var _a;
            var onEdit = _this.props.onEdit;
            if (newValue !== oldValue) {
                // store the new value in the dirty cells cache and let the table to render it until the dataSource update
                var dirtyCache = _this.state.dirtyCache;
                _this.setState({
                    dirtyCache: __assign(__assign({}, dirtyCache), (_a = {}, _a["".concat(cell.column, "_").concat(cell.row)] = newValue, _a)),
                    editedCell: undefined
                });
                if (onEdit) {
                    onEdit(newValue, oldValue, cell.column, cell.row);
                }
            }
            else {
                _this.setState({ editedCell: undefined });
            }
        };
        _this.onEditRequest = function (dataIndex, index) {
            return _this.setState({
                editedCell: {
                    column: dataIndex,
                    row: index
                }
            });
        };
        _this.getPaginationProps = function () {
            var pagination = _this.props.pagination;
            if (pagination) {
                return pagination === true
                    ? defaultPagination
                    : __assign(__assign({}, defaultPagination), pagination);
            }
            // Even when pagination is set to false, this method is called by the component,
            // and pagination props are passed to the wrapper. We have to return empty pageSizeOptions
            // to override component defaults which are incompatible with the Ant pagination interface
            // (string[] in Ant vs number[] in ReactTable).
            return {
                pageSizeOptions: []
            };
        };
        _this.getTdProps = function (_, rowInfo, column) {
            if (rowInfo && column) {
                var index = rowInfo.index;
                var id = column.id;
                var editedCell = _this.state.editedCell;
                if (editedCell && editedCell.column === id && editedCell.row === index) {
                    return {
                        className: 'editing'
                    };
                }
            }
            return {};
        };
        _this.onSelectionChange = function (rowKeyValue, event) {
            var rowSelection = _this.props.rowSelection;
            var _a = rowSelection, _b = _a.selectedRowKeys, selectedRowKeys = _b === void 0 ? [] : _b, onChange = _a.onChange;
            var checked = event.target.checked;
            if (checked) {
                onChange(__spreadArray(__spreadArray([], __read(selectedRowKeys), false), [rowKeyValue], false));
            }
            else {
                onChange(selectedRowKeys.filter(function (value) { return value !== rowKeyValue; }));
            }
        };
        return _this;
    }
    FlexTable.prototype.componentDidUpdate = function (prevProps) {
        var dataSource = this.props.dataSource;
        if (dataSource !== prevProps.dataSource) {
            // clear the cache of dirty cells on data update
            this.setState({ dirtyCache: {} });
        }
    };
    FlexTable.prototype.buildColumns = function () {
        var _this = this;
        var _a = this.props, columns = _a.columns, rowSelection = _a.rowSelection, rowKey = _a.rowKey;
        var visibleColumns = columns.filter(function (column) { return !column.hidden; });
        if (rowSelection) {
            var _b = rowSelection.columnWidth, columnWidth = _b === void 0 ? 32 : _b, _c = rowSelection.selectedRowKeys, selectedRowKeys_1 = _c === void 0 ? [] : _c;
            visibleColumns = __spreadArray([
                {
                    render: function (_, record) {
                        var rowKeyValue = record[rowKey];
                        var checked = selectedRowKeys_1.includes(rowKeyValue);
                        return (React.createElement(Checkbox, { checked: checked, onChange: partial(_this.onSelectionChange, rowKeyValue) }));
                    },
                    resizable: false,
                    width: columnWidth
                }
            ], __read(visibleColumns), false);
        }
        return this.normalize(visibleColumns);
    };
    FlexTable.prototype.render = function () {
        var _a = this.props, columns = _a.columns, className = _a.className, pagination = _a.pagination, dataSource = _a.dataSource, resized = _a.resized, onResizedChange = _a.onResizedChange, highlightRows = _a.highlightRows, RowWrapperComponent = _a.RowWrapperComponent, style = _a.style, loading = _a.loading, manual = _a.manual, onFetchData = _a.onFetchData, sorted = _a.sorted, onSortedChange = _a.onSortedChange, noDataText = _a.noDataText;
        var showPagination = !!pagination;
        var props = {
            showPagination: showPagination,
            minRows: 0,
            data: dataSource,
            NoDataComponent: NoData,
            noDataText: loading ? ' ' : noDataText || i18n.t('message.noResultsFound'),
            PaginationComponent: PaginationWrapper,
            TrComponent: function (_a) {
                var children = _a.children, className = _a.className, rowInfo = _a.rowInfo, rest = __rest(_a, ["children", "className", "rowInfo"]);
                var row = (React.createElement(ReactTableDefaults.TrComponent, __assign({ className: className }, rest), children));
                return RowWrapperComponent ? (React.createElement(RowWrapperComponent, { row: rowInfo }, row)) : (row);
            },
            getTrProps: function (_, rowInfo) { return ({
                rowInfo: rowInfo
            }); },
            columns: this.buildColumns(),
            defaultSorted: columns.reduce(function (acc, column) {
                var defaultSortOrder = column.defaultSortOrder, dataIndex = column.dataIndex;
                if (defaultSortOrder && dataIndex) {
                    acc.push({
                        id: dataIndex,
                        desc: defaultSortOrder === 'descend'
                    });
                }
                return acc;
            }, []),
            resized: resized,
            onResizedChange: onResizedChange,
            getTdProps: this.getTdProps,
            getPaginationProps: this.getPaginationProps,
            style: style,
            LoadingComponent: LoadingComponent,
            loading: loading,
            manual: manual,
            onFetchData: onFetchData,
            sorted: sorted,
            onSortedChange: onSortedChange
        };
        if (!showPagination) {
            // extend the page size to the whole data source to override component defaults
            props.pageSize = dataSource.length;
        }
        else if (typeof pagination === 'object') {
            props.defaultPageSize = pagination.defaultPageSize;
        }
        return (React.createElement("div", { className: classNames('sigma-table', className, {
                'sigma-table-highlight-rows': highlightRows
            }) },
            React.createElement(ReactTable, __assign({}, props))));
    };
    FlexTable.defaultProps = {
        rowKey: 'id',
        pagination: defaultPagination,
        highlightRows: true
    };
    return FlexTable;
}(PureComponent));
export default FlexTable;
