/// <reference types="react" />
import { FlexTableProps } from './FlexTable';
interface Props<T> extends Omit<FlexTableProps<T>, 'pagination' | 'manual' | 'onFetchData' | 'onSortedChange' | 'sorted' | 'pagination'> {
    sort?: {
        col: string;
        isAscending: boolean;
    };
    setSort: (sortCol?: string, isAscending?: boolean) => any;
    truncated?: boolean;
}
/**
 * FlexTable with external sort (server side), but with local pagination.
 * Our FlexTable when set in "manual" mode (for external sort) also then delegates the
 * pagination to the parent component.
 **/
export declare const FlexTableWithExternalSort: <T extends unknown>({ sort, setSort, truncated, dataSource, ...otherProps }: Props<T>) => JSX.Element;
export {};
