// Copyright (c) 2021 Cloudera, Inc. All rights reserved.
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __read = (this && this.__read) || function (o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m) return o;
    var i = m.call(o), r, ar = [], e;
    try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
    }
    catch (error) { e = { error: error }; }
    finally {
        try {
            if (r && !r.done && (m = i["return"])) m.call(i);
        }
        finally { if (e) throw e.error; }
    }
    return ar;
};
import React, { useLayoutEffect, useState, useRef, useEffect } from 'react';
import { animationDurationFast } from "cuix/dist/styles/variables";
import ReactDOM from 'react-dom';
import styled from 'styled-components';
var TooltipContainer = styled.div(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  transition: top ", ", left ", ";\n  z-index: 1030; // same as antd\n  position: absolute;\n\n  .cuix-floating-tooltip-inner-container {\n    background-color: #ffffff;\n    background-clip: padding-box;\n    border-radius: 3px;\n    box-shadow: 0 2px 8px 0 rgba(0, 0, 0, 35%);\n  }\n\n  .cuix-floating-tooltip-content {\n    padding: 8px 12px;\n    color: #1b2329;\n  }\n"], ["\n  transition: top ", ", left ", ";\n  z-index: 1030; // same as antd\n  position: absolute;\n\n  .cuix-floating-tooltip-inner-container {\n    background-color: #ffffff;\n    background-clip: padding-box;\n    border-radius: 3px;\n    box-shadow: 0 2px 8px 0 rgba(0, 0, 0, 35%);\n  }\n\n  .cuix-floating-tooltip-content {\n    padding: 8px 12px;\n    color: #1b2329;\n  }\n"])), animationDurationFast, animationDurationFast);
var Tooltip = React.forwardRef(function (_a, contentRef) {
    var position = _a.position, content = _a.content, maxWidth = _a.maxWidth, pointerEvents = _a.pointerEvents;
    var child = (React.createElement(TooltipContainer, { style: {
            top: position.y,
            left: position.x,
            pointerEvents: pointerEvents ? undefined : 'none'
        }, ref: contentRef },
        React.createElement("div", { className: "cuix-floating-tooltip-inner-container", style: { maxWidth: maxWidth } },
            React.createElement("div", { className: "cuix-floating-tooltip-content" }, content))));
    return ReactDOM.createPortal(child, document.body);
});
/**
 * Displays a floating/non-clickable tooltip. This can for example be used to show information when
 * hovering over graphs or dense structures, where Antd Popover/tooltip isn't sufficient.
 */
var FloatingTooltip = function (_a) {
    var content = _a.content, pointAt = _a.pointAt, visible = _a.visible, _b = _a.relativeTo, relativeTo = _b === void 0 ? 'viewport' : _b, _c = _a.maxWidth, maxWidth = _c === void 0 ? 400 : _c, _d = _a.pointerEvents, pointerEvents = _d === void 0 ? false : _d, _e = _a.pointToTooltipDistance, pointToTooltipDistance = _e === void 0 ? 5 : _e;
    /**
     * Reference to the actual tooltip element with our tooltip content
     */
    var tooltipRef = useRef(null);
    /**
     * Optional reference to the offsetParent of where the this is rendered.
     */
    var parentCheckerRef = useRef(null);
    /**
     * Position of tooltip in absolute coordinates from page body
     */
    var _f = __read(useState({
        x: 0,
        y: 0,
        uncertainPosition: true
    }), 2), tooltipPosition = _f[0], setTooltipPosition = _f[1];
    /**
     * We'll hide the tooltip during (page) scrolling.
     */
    var _g = __read(useState(false), 2), isScrolling = _g[0], setIsScrolling = _g[1];
    // this needs to be layoutEffect since we want to measure/adjust/re-render before
    // the browser paints otherwise we'd see it "jitter"
    useLayoutEffect(function () {
        var contentEl = tooltipRef.current;
        if (!contentEl) {
            return;
        }
        /**
         * Size of the tooltip. It also includes the current position of the tooltip, but
         * we will change in this function, so the user will not see it at this position.
         */
        var tooltipRect = contentEl.getBoundingClientRect();
        /**
         * The point or rectangle which the tooltip should be attached to. If a point we'll
         * treat it is a zero width/height rect.
         */
        var target = __assign(__assign({}, pointAt), { width: pointAt.width || 0, height: pointAt.height || 0 });
        var parentCheckerEl = parentCheckerRef.current;
        if (relativeTo === 'parent' && parentCheckerEl) {
            // when relativeTo == parent is specified, we'll treat the coordinates we get
            // as relative to the (offset)parent of the tooltip so we'll need to add the cordinates
            // from the parent to the document origin.
            // The offset parent is the first positioned ancestor.
            var parentRect = parentCheckerEl.offsetParent.getBoundingClientRect();
            target.x += parentRect.x + window.scrollX;
            target.y += parentRect.y + window.scrollY;
        }
        else if (relativeTo === 'viewport') {
            // when relative to viewport, we'll need to add in any window scroll, since we
            // render the element relative to the body/docoument.
            target.x += window.scrollX;
            target.y += window.scrollY;
        }
        /**
         * margin around the edges where we do not render tooltip content.
         * If zero, we'd render tooltip until it touches the page edge.
         */
        var margin = 10;
        var spaceBelowTarget = document.documentElement.clientHeight - (target.y + target.height - window.scrollY);
        var spaceRightOfTarget = document.documentElement.clientWidth - (target.x + target.width - window.scrollX);
        var canFitBelow = spaceBelowTarget > tooltipRect.height + pointToTooltipDistance + margin;
        var canFitOnRight = spaceRightOfTarget > tooltipRect.width + pointToTooltipDistance + margin;
        /**
         * Placement of the tooltip relative to the target
         */
        var placement = {
            onBtm: canFitBelow,
            onRight: canFitOnRight
        };
        // if currently our tooltip is rendered such that part of it outside the page boundary on the
        // bottom or the right, we'll want to disable our css transition, since we don't want at any
        // point to fully render the tooltip outside, as that would likely cause scrollbars to appear.
        // Typically this happens only when the content of the tooltip changes and becomes larger while
        // rendered close to a page edge.
        var hasOverflowOnRight = tooltipRect.x + tooltipRect.width + window.scrollX > document.documentElement.clientWidth;
        var hasOverflowBelow = tooltipRect.y + tooltipRect.height + window.scrollY > document.documentElement.clientHeight;
        contentEl.style.transition = '';
        if (hasOverflowOnRight || hasOverflowBelow) {
            contentEl.style.transition = 'none';
        }
        // on the inital render, we render blind at 0,0 so we don't want to transition from that
        // to the actual tooltip point, we want the tooltip to appear first at the correct spot.
        if (tooltipPosition.uncertainPosition) {
            contentEl.style.transition = 'none';
        }
        var tooltipOrigin = { x: 0, y: 0 };
        if (placement.onRight) {
            tooltipOrigin.x = target.x + target.width + pointToTooltipDistance;
        }
        else {
            tooltipOrigin.x = target.x - pointToTooltipDistance - tooltipRect.width;
        }
        if (placement.onBtm) {
            tooltipOrigin.y = target.y + target.height + pointToTooltipDistance;
        }
        else {
            tooltipOrigin.y = target.y - pointToTooltipDistance - tooltipRect.height;
        }
        setTooltipPosition(tooltipOrigin);
    }, [pointAt, tooltipPosition.uncertainPosition, relativeTo, content, pointToTooltipDistance]);
    useLayoutEffect(function () {
        // After we hide the tooltip, we don't want to transition it to the new spot if it is
        // shown again.
        if (!visible) {
            setTooltipPosition(function (pos) { return (__assign(__assign({}, pos), { uncertainPosition: true })); });
        }
    }, [visible]);
    useEffect(function () {
        if (!visible) {
            return;
        }
        var timerId = null;
        var debounceDelay = 250;
        // We will hide the tooltip on scrolling, and only after we have stopped scrolling for
        // a certain delay we will show it again.
        var onWindowScroll = function () {
            if (timerId) {
                clearTimeout(timerId);
                timerId = null;
            }
            setIsScrolling(true); // noop if value doesn't change
            timerId = window.setTimeout(function () {
                setIsScrolling(false);
                setTooltipPosition(function (pos) { return (__assign(__assign({}, pos), { uncertainPosition: true })); });
            }, debounceDelay);
        };
        document.addEventListener('scroll', onWindowScroll, true);
        return function () {
            document.removeEventListener('scroll', onWindowScroll, true);
            if (timerId) {
                clearTimeout(timerId);
                setIsScrolling(false);
                timerId = null;
            }
        };
    }, [visible]);
    if (!visible || isScrolling) {
        return null;
    }
    return (React.createElement(React.Fragment, null,
        relativeTo === 'parent' && React.createElement("div", { ref: parentCheckerRef }),
        React.createElement(Tooltip, { position: tooltipPosition, content: content, ref: tooltipRef, maxWidth: maxWidth, pointerEvents: pointerEvents })));
};
export default FloatingTooltip;
var templateObject_1;
