var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
// Copyright (c) 2018 Cloudera, Inc. All rights reserved.
import React from 'react';
import { Form } from '@ant-design/compatible';
import "@ant-design/compatible/lib/form/style/index.css";
import { Button, Layout } from 'antd';
import i18n from "cuix/dist/utils/i18n";
import { FORM_LAYOUT, onCancelConfirm, getFormConfig } from '../../utils/formUtils';
import PageTitleBar from "cuix/dist/components/PageTitleBar";
import Loading from "cuix/dist/components/Loading";
import classNames from 'classnames';
import "./FormContainer.css";
import Toolbar from "cuix/dist/components/Toolbar";
var Content = Layout.Content, Footer = Layout.Footer;
/**
 * Container component for a basic single page form. Constructs a formConfig object that contains
 * Ant's form object, methods to get initial values and validation rules, and a default layout (which
 * can be overriden for each field)
 *
 * This formConfig object is passed to each FormField instance when creating the form.
 */
var UnwrappedFormContainer = /** @class */ (function (_super) {
    __extends(UnwrappedFormContainer, _super);
    function UnwrappedFormContainer(props) {
        var _this = _super.call(this, props) || this;
        _this.debug = function () { return !!window.location.hash.match('[&?]debug=true'); };
        _this.beforeUnload = function (event) {
            if (!_this.debug()) {
                event.preventDefault();
                event.returnValue = i18n.t('message.unsavedChanges');
                return event.returnValue;
            }
        };
        _this.onSubmit = function (e) {
            e.preventDefault();
            _this.props.form.validateFields(function (err, values) {
                if (!err) {
                    _this.props.onSubmit(values);
                }
            });
        };
        var _a = _this.props, form = _a.form, getValidationRules = _a.getValidationRules;
        _this.formConfig = getFormConfig({
            form: form,
            getInitialValues: function () { return _this.props.initialValues || {}; },
            getValidationRules: getValidationRules,
            defaultLayout: _this.props.layout === 'horizontal' ? FORM_LAYOUT : false
        });
        return _this;
    }
    UnwrappedFormContainer.prototype.componentDidMount = function () {
        if (!this.debug() && this.props.warnOnExit) {
            window.addEventListener('beforeunload', this.beforeUnload);
        }
    };
    UnwrappedFormContainer.prototype.componentWillUnmount = function () {
        window.removeEventListener('beforeunload', this.beforeUnload);
    };
    UnwrappedFormContainer.prototype.render = function () {
        var _a = this.props, formName = _a.formName, title = _a.title, onCancel = _a.onCancel, cancelText = _a.cancelText, submitText = _a.submitText, submitting = _a.submitting, renderForm = _a.renderForm, className = _a.className, layout = _a.layout;
        var submitButtonProps = __assign({ type: 'primary', size: 'large', htmlType: 'submit', onClick: this.onSubmit, disabled: this.props.disableSubmit }, this.props.submitButtonProps);
        var cancelButtonProps = {
            size: 'large'
        };
        if (typeof onCancel === 'string') {
            cancelButtonProps.href = onCancel;
        }
        if (typeof onCancel === 'function') {
            cancelButtonProps.onClick = function (event) { return onCancelConfirm(event, onCancel); };
        }
        if (formName) {
            cancelButtonProps = __assign(__assign({}, cancelButtonProps), { 'data-event': "Cancel ".concat(formName), 'data-event-category': 'User Action' });
        }
        cancelButtonProps = __assign(__assign({}, cancelButtonProps), this.props.cancelButtonProps);
        return (React.createElement(Form, { onSubmit: this.onSubmit, className: classNames('ant-layout altus-form', className), layout: layout },
            submitting && React.createElement(Loading, { delay: 0 }),
            title ? React.createElement(PageTitleBar, { breadcrumbs: [{ breadcrumbName: title }] }) : null,
            React.createElement(Content, { className: "form-outer-content" },
                React.createElement(Content, { className: "form-content" }, renderForm(this.formConfig))),
            React.createElement(Footer, null,
                React.createElement(Toolbar, { right: React.createElement(React.Fragment, null,
                        React.createElement(Button, __assign({}, cancelButtonProps), cancelText),
                        React.createElement(Button, __assign({}, submitButtonProps), submitText)) }))));
    };
    UnwrappedFormContainer.defaultProps = {
        submitText: i18n.t('label.submit'),
        cancelText: i18n.t('label.cancel'),
        submitting: false,
        warnOnExit: true,
        layout: 'vertical'
    };
    return UnwrappedFormContainer;
}(React.Component));
/**
 * @deprecated Uses old antd 3.x forms. See antd docs for current form usage.
 */
var FormContainer = Form.create()(UnwrappedFormContainer);
FormContainer.displayName = 'FormContainer';
export default FormContainer;
/**
 * @deprecated Uses old antd 3.x forms. See antd docs for current form usage.
 */
export var makeFormContainer = function () {
    var form = Form.create()(/** @class */ (function (_super) {
        __extends(class_1, _super);
        function class_1() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        return class_1;
    }(UnwrappedFormContainer)));
    form.displayName = 'FormContainer';
    return form;
};
