var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __read = (this && this.__read) || function (o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m) return o;
    var i = m.call(o), r, ar = [], e;
    try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
    }
    catch (error) { e = { error: error }; }
    finally {
        try {
            if (r && !r.done && (m = i["return"])) m.call(i);
        }
        finally { if (e) throw e.error; }
    }
    return ar;
};
var __spreadArray = (this && this.__spreadArray) || function (to, from, pack) {
    if (pack || arguments.length === 2) for (var i = 0, l = from.length, ar; i < l; i++) {
        if (ar || !(i in from)) {
            if (!ar) ar = Array.prototype.slice.call(from, 0, i);
            ar[i] = from[i];
        }
    }
    return to.concat(ar || Array.prototype.slice.call(from));
};
// Copyright (c) 2022 Cloudera, Inc. All rights reserved.
import React from 'react';
import { Form } from 'antd';
import i18n from "cuix/dist/utils/i18n";
import { fluidxSpacingXs } from "cuix/dist/styles/variables";
import styled from 'styled-components';
import FormListAddButton from './FormListAddButton';
import FormListRemoveButton from './FormListRemoveButton';
export var getRequiredRule = function (required, requiredMessage, isItemTouched) { return ({
    validator: function (_rule, items) {
        if (required &&
            (!items ||
                items.length === 0 ||
                items.every(function (item) { return !item; }) ||
                (isItemTouched && items.every(function (item) { return !isItemTouched(item); })))) {
            return Promise.reject(new Error(requiredMessage || i18n.t('form.validation.field.required')));
        }
        return Promise.resolve();
    }
}); };
export var getDuplicatesRule = function (allowDuplicates, noDuplicatesMessage) { return ({
    validator: function (_rule, items) {
        if (!items || items.length === 0 || allowDuplicates) {
            return Promise.resolve();
        }
        var uniqueItems = new Set(items.map(function (item) { return (item === '' ? undefined : item); }));
        if (uniqueItems.size !== items.length) {
            return Promise.reject(noDuplicatesMessage || i18n.t('form.validation.uniqueValues'));
        }
        return Promise.resolve();
    }
}); };
var ListContent = styled.div(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  .ant-form-item-explain:not(.ant-form-item-explain-connected)\n    .ant-form-item-explain-error:last-child {\n    margin-bottom: -22px; // This is not 24px because there is 2px of padding that should be maintained.\n  }\n"], ["\n  .ant-form-item-explain:not(.ant-form-item-explain-connected)\n    .ant-form-item-explain-error:last-child {\n    margin-bottom: -22px; // This is not 24px because there is 2px of padding that should be maintained.\n  }\n"])));
var ListItem = styled.div(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n  display: flex;\n  margin-bottom: ", ";\n\n  &&& .ant-form-item {\n    flex: auto;\n    margin-bottom: 0;\n  }\n"], ["\n  display: flex;\n  margin-bottom: ", ";\n\n  &&& .ant-form-item {\n    flex: auto;\n    margin-bottom: 0;\n  }\n"])), fluidxSpacingXs);
/**
 * Base component for `FormList`, etc. By providing different `mapper`
 * components via `renderMapper`, you can embellish the `Form.Item`s in the list
 * in different ways.
 */
var FormList = function (_a) {
    var name = _a.name, renderFormItem = _a.renderFormItem, addButtonLabel = _a.addButtonLabel, removeButtonLabel = _a.removeButtonLabel, disableAdd = _a.disableAdd, readOnly = _a.readOnly, required = _a.required, requiredMessage = _a.requiredMessage, allowDuplicates = _a.allowDuplicates, noDuplicatesMessage = _a.noDuplicatesMessage, rules = _a.rules, isItemTouched = _a.isItemTouched, onAdd = _a.onAdd, onRemove = _a.onRemove;
    var isTouched = isItemTouched || (function (value) { return value !== undefined; });
    return (React.createElement(Form.List, { name: name, rules: __spreadArray([
            getRequiredRule(required, requiredMessage, isItemTouched),
            getDuplicatesRule(allowDuplicates, noDuplicatesMessage)
        ], __read((rules || [])), false) }, function (fields, _a, _b) {
        var add = _a.add, remove = _a.remove;
        var errors = _b.errors;
        return (React.createElement(ListContent, null,
            fields.map(function (field, index) { return (React.createElement(ListItem, { key: index },
                renderFormItem(__assign({}, field)),
                !readOnly && remove && (React.createElement(FormListRemoveButton, { label: removeButtonLabel, onClick: function () {
                        remove(field.name);
                        onRemove === null || onRemove === void 0 ? void 0 : onRemove(field.name);
                    } })))); }),
            !readOnly && (React.createElement(FormListAddButton, { name: name, onClick: function () {
                    add();
                    onAdd === null || onAdd === void 0 ? void 0 : onAdd();
                }, label: addButtonLabel, disableAdd: disableAdd, isTouched: isTouched })),
            React.createElement(Form.ErrorList, { errors: errors })));
    }));
};
export default FormList;
var templateObject_1, templateObject_2;
