import React from 'react';
import type { NamePath } from 'antd/es/form/interface';
interface Props<T> {
    /**
     * Name of the related `FormList` component.
     */
    name: NamePath;
    onClick: React.MouseEventHandler<HTMLElement>;
    label?: string;
    disableAdd?: boolean | ((values: T[]) => boolean);
    /**
     * Used to determine whether an item in the list should be considered
     * "touched". If there are untouched items, the Add button is disabled to
     * prevent creating multiple blank list items.
     */
    isTouched: (value: T) => boolean;
}
/**
 * Button for `FormList` that you click to add an item.
 */
declare const FormListAddButton: <T extends unknown>({ name, onClick, label, disableAdd, isTouched }: Props<T>) => JSX.Element;
export default FormListAddButton;
