// Copyright (c) 2022 Cloudera, Inc. All rights reserved.
import React from 'react';
import { Form } from 'antd';
import PlusCircleIcon from '@cloudera/cuix-core/icons/react/PlusCircleIcon';
import i18n from "cuix/dist/utils/i18n";
import Button from '../Button';
var getDisabled = function (values, disableAdd, isTouched) {
    if (values && values.length > 0 && !values.every(isTouched)) {
        return true;
    }
    if (typeof disableAdd === 'function') {
        return disableAdd(values);
    }
    return disableAdd;
};
/**
 * Button for `FormList` that you click to add an item.
 */
var FormListAddButton = function (_a) {
    var name = _a.name, onClick = _a.onClick, label = _a.label, disableAdd = _a.disableAdd, isTouched = _a.isTouched;
    return (React.createElement(Form.Item, { shouldUpdate: true, noStyle: true }, function (_a) {
        var getFieldValue = _a.getFieldValue;
        return (React.createElement(Button, { "data-event": "Add Form List Item", icon: React.createElement(PlusCircleIcon, null), onClick: onClick, disabled: getDisabled(getFieldValue(name), typeof disableAdd === 'function' ? disableAdd : !!disableAdd, isTouched) }, label || i18n.t('label.add')));
    }));
};
export default FormListAddButton;
