// Copyright (c) 2022 Cloudera, Inc. All rights reserved.
import React from 'react';
import { Tooltip } from 'antd';
import i18n from "cuix/dist/utils/i18n";
import { fluidxSpacingXs } from "cuix/dist/styles/variables";
import RemoveAltIcon from '@cloudera/cuix-core/icons/react/RemoveAltIcon';
import { IconButton } from '../Button';
/**
 * Button for `FormList` that you click to remove an item.
 */
var FormListRemoveButton = function (_a) {
    var label = _a.label, onClick = _a.onClick;
    return (React.createElement(Tooltip, { title: label },
        React.createElement(IconButton, { "aria-label": label || i18n.t('label.remove'), "data-event": "Remove Form List Item", icon: React.createElement(RemoveAltIcon, null), style: {
                marginTop: 6,
                marginLeft: fluidxSpacingXs
            }, onClick: onClick })));
};
export default FormListRemoveButton;
