import React from 'react';
export declare enum FORMATS {
    SHORT = "short",
    MEDIUM = "medium",
    LONG = "long",
    CDP_12H = "cdp_12h",
    HHMM24 = "HHMM24"
}
declare type DateTime = string | number;
declare type Formatter = (value: DateTime) => string;
interface FormattedDateTimeProps {
    dateTime?: number | string;
    format: FORMATS | Formatter;
}
export declare const dateTimeFormatter: (format: FORMATS | Formatter, dateTime?: DateTime) => string;
declare function FormattedDateTime(props: FormattedDateTimeProps & React.HTMLAttributes<HTMLSpanElement>): JSX.Element;
declare namespace FormattedDateTime {
    var defaultProps: {
        format: FORMATS;
    };
}
export default FormattedDateTime;
