var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var _a;
// Copyright (c) 2017 Cloudera, Inc. All rights reserved.
import React from 'react';
import moment from 'moment';
import i18n from '../../utils/i18n';
import timeUtil from '../../utils/timeUtil';
export var FORMATS;
(function (FORMATS) {
    FORMATS["SHORT"] = "short";
    FORMATS["MEDIUM"] = "medium";
    FORMATS["LONG"] = "long";
    FORMATS["CDP_12H"] = "cdp_12h";
    // 24h time e.g. 08:23 11:45 15:29 23:59
    FORMATS["HHMM24"] = "HHMM24";
})(FORMATS || (FORMATS = {}));
var formatMapper = (_a = {},
    _a[FORMATS.SHORT] = timeUtil.shortDateTime,
    _a[FORMATS.MEDIUM] = timeUtil.mediumDateTime,
    _a[FORMATS.LONG] = timeUtil.longDateTime,
    _a[FORMATS.CDP_12H] = timeUtil.cdp_12HDateTime,
    _a[FORMATS.HHMM24] = function (value) { return moment(value).format('HH:mm'); },
    _a);
export var dateTimeFormatter = function (format, dateTime) {
    if (!dateTime) {
        return i18n.t('label.unknown');
    }
    var formatter;
    if (typeof format === 'function') {
        formatter = format;
    }
    else {
        formatter = formatMapper[format];
    }
    var formattedDate = formatter(dateTime);
    formattedDate = formattedDate === '' ? i18n.t('label.unknown') : formattedDate;
    return formattedDate;
};
export default function FormattedDateTime(props) {
    var dateTime = props.dateTime, format = props.format, otherProps = __rest(props, ["dateTime", "format"]);
    var maybeEpochTime = typeof dateTime === 'string' && Number(dateTime);
    var sanitizedTime = maybeEpochTime ? maybeEpochTime : dateTime;
    var contents = dateTimeFormatter(format, sanitizedTime);
    return React.createElement("span", __assign({}, otherProps), contents);
}
FormattedDateTime.defaultProps = {
    format: FORMATS.MEDIUM
};
