import React from 'react';
import { FORMATS } from '../FormattedDateTime';
declare type DateTime = string | number;
declare type Formatter = (value?: DateTime) => string;
interface FormattedDateTimeRangeProps {
    start: string | number;
    end: string | number;
    format: FORMATS | Formatter;
    delimiter: string;
    /**
     * if start and end are equal after being formatted, reduce output to start
     */
    showOnlyStartWhenFormattedBoundsEqual?: boolean;
}
declare const FormattedDefaultTimeRange: {
    (props: FormattedDateTimeRangeProps & React.HTMLAttributes<HTMLSpanElement>): JSX.Element;
    defaultProps: {
        format: FORMATS;
        delimiter: string;
        showOnlyStartWhenFormattedBoundsEqual: boolean;
    };
};
export default FormattedDefaultTimeRange;
