// Copyright (c) 2019 Cloudera, Inc. All rights reserved.
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React, { Fragment } from 'react';
import { dateTimeFormatter, FORMATS } from '../FormattedDateTime';
var DEFAULT_DELIMITER = '-';
var FormattedDefaultTimeRange = function (props) {
    var start = props.start, end = props.end, format = props.format, delimiter = props.delimiter, showOnlyStartWhenFormattedBoundsEqual = props.showOnlyStartWhenFormattedBoundsEqual, otherProps = __rest(props, ["start", "end", "format", "delimiter", "showOnlyStartWhenFormattedBoundsEqual"]);
    var formattedStart = dateTimeFormatter(format, start);
    var formattedEnd = dateTimeFormatter(format, end);
    if (formattedStart === formattedEnd && showOnlyStartWhenFormattedBoundsEqual) {
        return React.createElement("span", __assign({}, otherProps), formattedStart);
    }
    return (React.createElement(Fragment, null,
        React.createElement("span", __assign({}, otherProps), formattedStart),
        " ",
        delimiter,
        ' ',
        React.createElement("span", __assign({}, otherProps), formattedEnd)));
};
FormattedDefaultTimeRange.defaultProps = {
    format: FORMATS.MEDIUM,
    delimiter: DEFAULT_DELIMITER,
    showOnlyStartWhenFormattedBoundsEqual: true
};
export default FormattedDefaultTimeRange;
