import React from 'react';
import { Colspan } from "cuix/dist/types/types";
/**
 * Get the width of an element that spans a given number of columns, given the
 * current column width.
 */
export declare const getColspanWidth: (colspan: Colspan, columnWidth: number, gutterWidth: number) => number;
/**
 * Get the current column width, given the total available width and the
 * provided constraints, less the `widthAdjustment`.
 */
export declare const getColumnWidth: (gridWidth: number, gridColumns: number, gutterWidth: number) => number;
export declare const defaultGridContext: {
    columnWidth: number;
};
/**
 * Typically, you should use this hook when providing a value to
 * `GridContext.Provider`.
 */
export declare const useGridContextValue: <T extends HTMLElement>(ref: React.ForwardedRef<T> | React.RefObject<T> | null, enabled?: boolean) => {
    columnWidth: number;
};
/**
 * Stores information about the state of the CDL layout grid.
 */
declare const GridContext: React.Context<{
    columnWidth: number;
}>;
/**
 * Makes its children responsive by wrapping them in a container element and
 * providing a `GridContext` to its children that responds to the container.
 */
export declare const GridContextProvider: React.FC;
export default GridContext;
