var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __read = (this && this.__read) || function (o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m) return o;
    var i = m.call(o), r, ar = [], e;
    try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
    }
    catch (error) { e = { error: error }; }
    finally {
        try {
            if (r && !r.done && (m = i["return"])) m.call(i);
        }
        finally { if (e) throw e.error; }
    }
    return ar;
};
var __spreadArray = (this && this.__spreadArray) || function (to, from, pack) {
    if (pack || arguments.length === 2) for (var i = 0, l = from.length, ar; i < l; i++) {
        if (ar || !(i in from)) {
            if (!ar) ar = Array.prototype.slice.call(from, 0, i);
            ar[i] = from[i];
        }
    }
    return to.concat(ar || Array.prototype.slice.call(from));
};
// Copyright (c) 2019 Cloudera, Inc. All rights reserved.
import React from 'react';
import PropTypes from 'prop-types';
import { connect } from 'react-redux';
import { Tabs } from 'antd';
import { actions as routerActions } from "cuix/dist/reducers/routerReducer";
import classNames from 'classnames';
import "cuix/dist/components/HashTabs/HashTabs.css";
export var types = {
    TAB_CHANGED: 'TAB_CHANGED'
};
var HashTabs = /** @class */ (function (_super) {
    __extends(HashTabs, _super);
    /**
     * @deprecated
     * Please use Tabs instead!
     * HashTabs is the same as AntTabsWrapper, but when the tabs change, the url hash is updated.
     * The hash will by default be ?tab=<tabKey>
     */
    function HashTabs() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    HashTabs_1 = HashTabs;
    HashTabs.prototype.render = function () {
        var _this = this;
        var _a = this.props, children = _a.children, className = _a.className, currentTab = _a.currentTab, setSearchParams = _a.setSearchParams, tabChanged = _a.tabChanged, otherProps = __rest(_a, ["children", "className", "currentTab", "setSearchParams", "tabChanged"]);
        if (!currentTab) {
            var _b = __read(children, 1), first = _b[0];
            currentTab = first.key;
        }
        return (React.createElement(Tabs, __assign({ defaultActiveKey: currentTab, onChange: function () {
                var args = [];
                for (var _i = 0; _i < arguments.length; _i++) {
                    args[_i] = arguments[_i];
                }
                return _this.onChange.apply(_this, __spreadArray([], __read(args), false));
            }, className: classNames('hash-tabs', className) }, otherProps), children));
    };
    Object.defineProperty(HashTabs, "DEFAULT_HASH_KEY", {
        get: function () {
            return 'tab';
        },
        enumerable: false,
        configurable: true
    });
    HashTabs.prototype.onChange = function (tabKey) {
        var _a;
        var _b = this.props, hashTabKey = _b.hashTabKey, setSearchParams = _b.setSearchParams, tabChanged = _b.tabChanged;
        var urlHashKey = hashTabKey || HashTabs_1.DEFAULT_HASH_KEY;
        setSearchParams((_a = {}, _a[urlHashKey] = tabKey, _a));
        tabChanged(tabKey);
    };
    var HashTabs_1;
    HashTabs.propTypes = {
        // gotten from the url via @connect, can be empty
        currentTab: PropTypes.string,
        className: PropTypes.string,
        // optionally override defaultHashKey
        hashTabKey: PropTypes.string,
        children: PropTypes.array.isRequired,
        setSearchParams: PropTypes.func.isRequired,
        tabChanged: PropTypes.func.isRequired
    };
    HashTabs.defaultProps = {
        animated: false
    };
    HashTabs = HashTabs_1 = __decorate([
        connect(function (state) { return ({
            currentTab: state.routing.searchParams.tab
        }); }, {
            setSearchParams: routerActions.setSearchParams,
            tabChanged: function (tab) { return ({ type: types.TAB_CHANGED, tab: tab }); }
        })
        /**
         * @deprecated
         * Please use Tabs instead!
         * HashTabs is the same as AntTabsWrapper, but when the tabs change, the url hash is updated.
         * The hash will by default be ?tab=<tabKey>
         */
    ], HashTabs);
    return HashTabs;
}(React.Component));
export default HashTabs;
