import React from 'react';
interface Props {
    messageKey: string;
    params?: any[] | {
        [key in number | string]: any;
    };
}
/**
 * Component to translate message with optional params.
 * For params we either accept a list e.g. messageKey="Hello {0} {1}" params={['Joe', 'Heyming']}
 * or objects e.g. messageKey="Hello {fname} {lname}" params={{ fname: 'Joe', lname: 'Heyming' }}
 */
declare const I18nHtml: ({ messageKey, params }: Props) => React.ReactElement<any>;
export default I18nHtml;
