var __read = (this && this.__read) || function (o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m) return o;
    var i = m.call(o), r, ar = [], e;
    try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
    }
    catch (error) { e = { error: error }; }
    finally {
        try {
            if (r && !r.done && (m = i["return"])) m.call(i);
        }
        finally { if (e) throw e.error; }
    }
    return ar;
};
// Copyright (c) 2018 Cloudera, Inc. All rights reserved.
import React from 'react';
import i18n from '../../utils/i18n';
import DOMPurify from 'dompurify';
import escape from 'lodash/escape';
// since we're allowing `target` attribute, we'll add rel="noreferrer noopener" for security
// reasons - https://web.dev/external-anchors-use-rel-noopener/
var purifier = DOMPurify();
purifier.addHook('afterSanitizeAttributes', function (node) {
    if (node.getAttribute('target')) {
        node.setAttribute('rel', 'noreferrer noopener');
    }
});
/**
 * Component to translate message with optional params.
 * For params we either accept a list e.g. messageKey="Hello {0} {1}" params={['Joe', 'Heyming']}
 * or objects e.g. messageKey="Hello {fname} {lname}" params={{ fname: 'Joe', lname: 'Heyming' }}
 */
var I18nHtml = function (_a) {
    var messageKey = _a.messageKey, _b = _a.params, params = _b === void 0 ? [] : _b;
    var escapedParams;
    if (Array.isArray(params)) {
        escapedParams = params.map(function (param) { return escape(param); });
    }
    else if (params) {
        escapedParams = Object.entries(params).reduce(function (result, _a) {
            var _b = __read(_a, 2), key = _b[0], param = _b[1];
            result[key] = escape(param);
            return result;
        }, {});
    }
    var translated = i18n.t(messageKey, escapedParams);
    var sanitizedHtml = purifier.sanitize(translated, { ADD_ATTR: ['target'] });
    return React.createElement("span", { dangerouslySetInnerHTML: { __html: sanitizedHtml } });
};
export default I18nHtml;
