import React, { SVGProps } from 'react';
import { TextProps } from '../Typography';
import type { LinkProps as AntdLinkProps } from 'antd/es/typography/Link';
interface LinkProps extends AntdLinkProps {
    /**
     * If true, the icon will be linked in addition to the text.
     */
    linkIcon?: boolean;
}
interface Props {
    icon: React.ComponentType<SVGProps<SVGSVGElement>>;
    iconStyle?: React.CSSProperties;
    label: string;
    /**
     * @deprecated Use `link` prop instead.
     */
    href?: string;
    labelPosition?: 'bottom' | 'left' | 'right' | 'top';
    size?: TextProps['size'];
    type?: TextProps['type'];
    /**
     * If true, the icon will be linked in addition to the text.
     * @deprecated Use `link` prop instead.
     */
    linkIcon?: boolean;
    link?: LinkProps;
    style?: React.CSSProperties;
    labelStyle?: React.CSSProperties;
}
/**
 * Use any time you need to display an icon with a text label. The label can be
 * linked or not linked. This component can be wrapped for specific use-cases,
 * like `CloudEnvironmentLabel`.
 * */
declare const IconWithLabel: React.FC<Props>;
export default IconWithLabel;
