var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
// Copyright (c) 2023 Cloudera, Inc. All rights reserved.
import { cdlIconSizeDefault, cdlSpacingTiny } from "cuix/dist/styles/variables";
import React from 'react';
import { Link, Text } from '../Typography';
import styled from 'styled-components';
var Container = styled('span')(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  display: inline-flex;\n  align-items: center;\n"], ["\n  display: inline-flex;\n  align-items: center;\n"])));
// TODO: [future] Replace these with a variable when CDL defines one for this value. (@jgolieb)
var iconSizeS = '14px';
var iconSizeL = '24px';
/**
 * Use any time you need to display an icon with a text label. The label can be
 * linked or not linked. This component can be wrapped for specific use-cases,
 * like `CloudEnvironmentLabel`.
 * */
var IconWithLabel = function (_a) {
    var Icon = _a.icon, iconStyle = _a.iconStyle, label = _a.label, _b = _a.labelPosition, labelPosition = _b === void 0 ? 'right' : _b, _c = _a.size, size = _c === void 0 ? 'default' : _c, type = _a.type, href = _a.href, linkIcon = _a.linkIcon, link = _a.link, labelStyle = _a.labelStyle, style = _a.style;
    var iconSize;
    switch (size) {
        case 'small':
            iconSize = iconSizeS;
            break;
        case 'large':
            iconSize = iconSizeL;
            break;
        default:
            iconSize = cdlIconSizeDefault;
            break;
    }
    var iconContent = (React.createElement(Icon, { style: __assign({ height: iconSize, width: iconSize, position: 'relative', top: linkIcon ? '2px' : 0, flexShrink: 0 }, iconStyle) }));
    var baseLabelStyle = {};
    if (labelPosition === 'right') {
        baseLabelStyle.marginLeft = cdlSpacingTiny;
    }
    if (labelPosition === 'left') {
        baseLabelStyle.marginRight = cdlSpacingTiny;
    }
    var textContent = label;
    if (href || link) {
        if (href) {
            textContent = React.createElement(Link, { href: href }, label);
        }
        if (link) {
            textContent = React.createElement(Link, __assign({}, link), label);
        }
    }
    textContent = (React.createElement(Text, { size: size, type: type, style: __assign(__assign({}, baseLabelStyle), labelStyle) }, textContent));
    if (linkIcon && (href || link)) {
        if (href) {
            iconContent = React.createElement(Link, { href: href }, iconContent);
        }
        if (link) {
            iconContent = (React.createElement(Link, __assign({}, link, { external: false }), iconContent));
        }
    }
    if (labelPosition === 'bottom') {
        return (React.createElement(Container, { style: __assign({ flexDirection: 'column' }, style) },
            iconContent,
            textContent));
    }
    if (labelPosition === 'top') {
        return (React.createElement(Container, { style: __assign({ flexDirection: 'column' }, style) },
            textContent,
            iconContent));
    }
    // &#8288; is a "zero-width non-breaking" character
    if (labelPosition === 'left') {
        return (React.createElement(Container, { style: style },
            textContent,
            "\u2060",
            iconContent));
    }
    return (React.createElement(Container, { style: style },
        iconContent,
        "\u2060",
        textContent));
};
export default IconWithLabel;
var templateObject_1;
