import React from 'react';
import { AlertProps } from 'antd';
import { ApiError } from "cuix/dist/types/types";
interface InlineErrorProps extends Omit<AlertProps, 'message' | 'type' | 'description'> {
    error?: ApiError;
}
/**
 * This is meant to be used in components that need to show
 * API errors inline, while still presenting other components.
 *
 * The best use case for InlineError is for Modal Form components.
 * It is not meant to be used in the case where the error hides other components.
 *
 * You can pass any AlertProps to it (except message, type and description as these are custom).
 */
declare const InlineError: React.FC<InlineErrorProps>;
export default InlineError;
