var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
// Copyright (c) 2019 Cloudera, Inc. All rights reserved.
import React from 'react';
import Alert from "cuix/dist/components/Alert";
import ApiErrorMessageBody from "cuix/dist/components/ApiErrorMessageBody";
import { cleanUpErrorMessage } from './util';
/**
 * This is meant to be used in components that need to show
 * API errors inline, while still presenting other components.
 *
 * The best use case for InlineError is for Modal Form components.
 * It is not meant to be used in the case where the error hides other components.
 *
 * You can pass any AlertProps to it (except message, type and description as these are custom).
 */
var InlineError = function (_a) {
    var error = _a.error, otherProps = __rest(_a, ["error"]);
    if (!error) {
        return null;
    }
    var cleanedUpError = __assign(__assign({}, error), { message: cleanUpErrorMessage(error.message) });
    return (React.createElement(Alert, __assign({}, otherProps, { message: error.title, type: "error", description: React.createElement(ApiErrorMessageBody, { error: cleanedUpError }) })));
};
export default InlineError;
