import React from 'react';
import "@ant-design/compatible/lib/form/style/index.css";
import { CommonFormProps } from '../../utils/formUtils';
import { FormConfig } from '../../types/react-types';
import type { FormLayout } from 'antd/es/form/Form';
interface Props<T> extends CommonFormProps<T> {
    /** A function that gets called when user clicks Cancel. */
    onCancel?: () => void;
    disableSubmit?: boolean;
}
/**
 * Container component for an inline form form. Constructs a formConfig object that contains
 * Ant's form object, methods to get initial values and validation rules, and a default layout (which
 * can be overriden for each field)
 *
 * This formConfig object is passed to each FormField instance when creating the form.
 */
declare class UnwrappedInlineFormContainer<T = any> extends React.Component<Props<T>> {
    formConfig: FormConfig;
    constructor(props: CommonFormProps<T>);
    onSubmit: (e: React.FormEvent) => void;
    render(): JSX.Element;
    static defaultProps: {
        submitText: string;
        cancelText: string;
        submitting: boolean;
        layout: FormLayout;
    };
}
/**
 * @deprecated Uses old antd 3.x forms. See antd docs for current form usage.
 */
export declare const makeFormContainer: <T extends unknown>() => import("@ant-design/compatible/lib/form/interface").ConnectedComponentClass<{
    new (props: CommonFormProps<T>): {
        formConfig: FormConfig;
        onSubmit: (e: React.FormEvent) => void;
        render(): JSX.Element;
        context: any;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<Props<T>>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callback?: (() => void) | undefined): void;
        readonly props: Readonly<Props<T>> & Readonly<{
            children?: React.ReactNode;
        }>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
        componentDidMount?(): void;
        shouldComponentUpdate?(nextProps: Readonly<Props<T>>, nextState: Readonly<{}>, nextContext: any): boolean;
        componentWillUnmount?(): void;
        componentDidCatch?(error: Error, errorInfo: React.ErrorInfo): void;
        getSnapshotBeforeUpdate?(prevProps: Readonly<Props<T>>, prevState: Readonly<{}>): any;
        componentDidUpdate?(prevProps: Readonly<Props<T>>, prevState: Readonly<{}>, snapshot?: any): void;
        componentWillMount?(): void;
        UNSAFE_componentWillMount?(): void;
        componentWillReceiveProps?(nextProps: Readonly<Props<T>>, nextContext: any): void;
        UNSAFE_componentWillReceiveProps?(nextProps: Readonly<Props<T>>, nextContext: any): void;
        componentWillUpdate?(nextProps: Readonly<Props<T>>, nextState: Readonly<{}>, nextContext: any): void;
        UNSAFE_componentWillUpdate?(nextProps: Readonly<Props<T>>, nextState: Readonly<{}>, nextContext: any): void;
    };
    defaultProps: {
        submitText: string;
        cancelText: string;
        submitting: boolean;
        layout: FormLayout;
    };
    contextType?: React.Context<any> | undefined;
}, import("@ant-design/compatible/lib/_util/types").Omit<Props<T>, "form">>;
/**
 * @deprecated Uses old antd 3.x forms. See antd docs for current form usage.
 */
declare const InlineFormContainer: import("@ant-design/compatible/lib/form/interface").ConnectedComponentClass<typeof UnwrappedInlineFormContainer, import("@ant-design/compatible/lib/_util/types").Omit<Props<any>, "form">>;
export default InlineFormContainer;
