var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
// Copyright (c) 2018 Cloudera, Inc. All rights reserved.
import React, { Fragment } from 'react';
import { Form } from '@ant-design/compatible';
import "@ant-design/compatible/lib/form/style/index.css";
import { Button } from 'antd';
import i18n from "cuix/dist/utils/i18n";
import { FORM_LAYOUT, getFormConfig } from '../../utils/formUtils';
import Loading from "cuix/dist/components/Loading";
import classNames from 'classnames';
import Toolbar from "cuix/dist/components/Toolbar";
/**
 * Container component for an inline form form. Constructs a formConfig object that contains
 * Ant's form object, methods to get initial values and validation rules, and a default layout (which
 * can be overriden for each field)
 *
 * This formConfig object is passed to each FormField instance when creating the form.
 */
var UnwrappedInlineFormContainer = /** @class */ (function (_super) {
    __extends(UnwrappedInlineFormContainer, _super);
    function UnwrappedInlineFormContainer(props) {
        var _this = _super.call(this, props) || this;
        _this.onSubmit = function (e) {
            e.preventDefault();
            _this.props.form.validateFields(function (err, values) {
                if (!err) {
                    _this.props.onSubmit(values);
                }
            });
        };
        var _a = _this.props, form = _a.form, getValidationRules = _a.getValidationRules;
        _this.formConfig = getFormConfig({
            form: form,
            getInitialValues: function () { return _this.props.initialValues || {}; },
            getValidationRules: getValidationRules,
            defaultLayout: _this.props.layout === 'horizontal' ? FORM_LAYOUT : false,
            popupContainerRef: undefined
        });
        return _this;
    }
    UnwrappedInlineFormContainer.prototype.render = function () {
        var _a = this.props, submitText = _a.submitText, cancelText = _a.cancelText, submitting = _a.submitting, renderForm = _a.renderForm, onCancel = _a.onCancel, className = _a.className, layout = _a.layout, disableSubmit = _a.disableSubmit;
        return (React.createElement(Form, { onSubmit: this.onSubmit, className: classNames('ant-layout altus-form', className), layout: layout },
            submitting && React.createElement(Loading, { delay: 0 }),
            React.createElement("div", null, renderForm(this.formConfig)),
            React.createElement(Form.Item, __assign({}, this.formConfig.defaultLayout, { label: " " }),
                React.createElement(Toolbar, { left: React.createElement(Fragment, null,
                        onCancel && React.createElement(Button, { onClick: onCancel }, cancelText),
                        React.createElement(Button, { type: "primary", htmlType: "submit", onClick: this.onSubmit, disabled: disableSubmit }, submitText)) }))));
    };
    UnwrappedInlineFormContainer.defaultProps = {
        submitText: i18n.t('label.submit'),
        cancelText: i18n.t('label.cancel'),
        submitting: false,
        layout: 'vertical'
    };
    return UnwrappedInlineFormContainer;
}(React.Component));
/**
 * @deprecated Uses old antd 3.x forms. See antd docs for current form usage.
 */
export var makeFormContainer = function () {
    var form = Form.create()(/** @class */ (function (_super) {
        __extends(class_1, _super);
        function class_1() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        return class_1;
    }(UnwrappedInlineFormContainer)));
    form.displayName = 'InlineFormContainer';
    return form;
};
/**
 * @deprecated Uses old antd 3.x forms. See antd docs for current form usage.
 */
var InlineFormContainer = Form.create()(UnwrappedInlineFormContainer);
InlineFormContainer.displayName = 'InlineFormContainer';
export default InlineFormContainer;
