// Copyright (c) 2018 Cloudera, Inc. All rights reserved.
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React from 'react';
import { Input } from 'antd';
import classNames from 'classnames';
import { getValueFromEvent } from '../../utils/formUtils';
import i18n from '../../utils/i18n';
import "./Input.css";
var DEFAULT_VALUE_TRANSFORM = function (value) {
    return value === '' ? undefined : value;
};
/**
 * Extends ant Input. Provides ClearButton and trim features
 */
var CUIXInput = /** @class */ (function (_super) {
    __extends(CUIXInput, _super);
    function CUIXInput() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.trimOnBlur = function (e) {
            var value = _this.transformValue(getValueFromEvent(e));
            var trimmedValue = value && value.trim ? value.trim() : value;
            var _a = _this.props, onChange = _a.onChange, onBlur = _a.onBlur;
            if (value !== trimmedValue && onChange) {
                onChange(trimmedValue);
            }
            onBlur && onBlur(trimmedValue);
        };
        _this.transformValue = function (v) {
            var valueTransform = _this.props.valueTransform;
            return valueTransform ? valueTransform(v) : v;
        };
        _this.onChange = function (e) {
            var onChange = _this.props.onChange;
            var value = _this.transformValue(getValueFromEvent(e));
            if (onChange) {
                onChange(value);
            }
        };
        return _this;
    }
    CUIXInput.prototype.focus = function () {
        if (this._input) {
            this._input.focus();
        }
    };
    CUIXInput.prototype.select = function () {
        // note, Ant Input doesn't have select, but you can access Ant's native <input> with the .input attribute.  (•_•)
        if (this._input) {
            this._input.input.select();
        }
    };
    CUIXInput.prototype._fixAutoFocus = function () {
        var _this = this;
        if (this.props.autoFocus) {
            setTimeout(function () { return _this.focus(); }, 0);
        }
    };
    CUIXInput.prototype.componentDidMount = function () {
        this._fixAutoFocus();
    };
    CUIXInput.prototype.render = function () {
        var _this = this;
        var _a = this.props, trim = _a.trim, onBlur = _a.onBlur, className = _a.className, autoFocus = _a.autoFocus, autoSelect = _a.autoSelect, placeholder = _a.placeholder, valueTransform = _a.valueTransform, otherProps = __rest(_a, ["trim", "onBlur", "className", "autoFocus", "autoSelect", "placeholder", "valueTransform"]);
        // Antd workaround. Assign suffix to props vs tag attribute to avoid redundant wrapper if allowClear is false
        if (autoSelect) {
            otherProps.onFocus = function () { return _this.select(); };
        }
        return (React.createElement(Input, __assign({}, otherProps, { placeholder: placeholder && i18n.t(placeholder), className: classNames('altus-input', className), onChange: this.onChange, onBlur: trim ? this.trimOnBlur : onBlur, ref: function (input) { return (_this._input = input); } })));
    };
    CUIXInput.defaultProps = {
        valueTransform: DEFAULT_VALUE_TRANSFORM
    };
    CUIXInput.displayName = 'Input';
    return CUIXInput;
}(React.Component));
export default CUIXInput;
