var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
// Copyright (c) 2024 Cloudera, Inc. All rights reserved.
import React from 'react';
import { Input as AntdInput } from 'antd';
import styled from 'styled-components';
import { cdlFocusShadowNoColor, cdlInputHeightDefault } from '@cloudera/cuix-core/variables';
import { color, backgroundColor, placeholderColor, disabledBackgroundColor, disabledBorderColor, disabledColor, errorBorderColor, errorBackgroundColor, errorShadowColor, hoverBorderColor, focusBorderColor, focusShadowColor, borderColor } from './theme';
import { defaultTheme as theme } from "cuix/dist/styles/theme";
var StyledInput = styled(AntdInput)(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  color: ", ";\n  background-color: ", ";\n\n  &.ant-input-prefix,\n  &.ant-input-suffix {\n    line-height: 1;\n    color: ", ";\n  }\n\n  &.ant-input {\n    min-height: ", ";\n    line-height: 1;\n\n    &::placeholder {\n      color: ", ";\n    }\n\n    &-disabled,\n    &[disabled],\n    &-disabled:hover,\n    &[disabled]:hover,\n    &[readonly],\n    &[readonly]:hover,\n    &[readonly]:focus {\n      background-color: ", ";\n      border-color: ", ";\n      box-shadow: none;\n\n      &::placeholder {\n        color: ", ";\n      }\n    }\n\n    &[readonly] {\n      color: ", ";\n    }\n\n    &&&.ant-input-status-error {\n      border-color: ", ";\n      background-color: ", ";\n\n      &:focus,\n      &.ant-input-focused {\n        box-shadow: ", " ", ";\n      }\n    }\n  }\n\n  &.ant-input:hover {\n    border-color: ", ";\n  }\n\n  &.ant-input:focus,\n  &.ant-input-focused {\n    border-color: ", ";\n    box-shadow: ", " ", ";\n  }\n\n  &.ant-input-affix-wrapper {\n    // When you use Input prefix/suffix props it changes the structure so we\n    // have to apply styling to the parent element\n    min-height: ", ";\n    border-color: ", ";\n\n    .ant-input {\n      min-height: 0;\n      line-height: 1;\n      background-color: transparent;\n      color: ", ";\n    }\n\n    &.ant-input-affix-wrapper:hover {\n      border-color: ", ";\n    }\n\n    &.ant-input-affix-wrapper:focus,\n    &.ant-input-affix-wrapper-focused {\n      border-color: ", ";\n      box-shadow: ", " ", ";\n    }\n  }\n"], ["\n  color: ", ";\n  background-color: ", ";\n\n  &.ant-input-prefix,\n  &.ant-input-suffix {\n    line-height: 1;\n    color: ", ";\n  }\n\n  &.ant-input {\n    min-height: ", ";\n    line-height: 1;\n\n    &::placeholder {\n      color: ", ";\n    }\n\n    &-disabled,\n    &[disabled],\n    &-disabled:hover,\n    &[disabled]:hover,\n    &[readonly],\n    &[readonly]:hover,\n    &[readonly]:focus {\n      background-color: ", ";\n      border-color: ", ";\n      box-shadow: none;\n\n      &::placeholder {\n        color: ", ";\n      }\n    }\n\n    &[readonly] {\n      color: ", ";\n    }\n\n    &&&.ant-input-status-error {\n      border-color: ", ";\n      background-color: ", ";\n\n      &:focus,\n      &.ant-input-focused {\n        box-shadow: ", " ", ";\n      }\n    }\n  }\n\n  &.ant-input:hover {\n    border-color: ", ";\n  }\n\n  &.ant-input:focus,\n  &.ant-input-focused {\n    border-color: ", ";\n    box-shadow: ", " ", ";\n  }\n\n  &.ant-input-affix-wrapper {\n    // When you use Input prefix/suffix props it changes the structure so we\n    // have to apply styling to the parent element\n    min-height: ", ";\n    border-color: ", ";\n\n    .ant-input {\n      min-height: 0;\n      line-height: 1;\n      background-color: transparent;\n      color: ", ";\n    }\n\n    &.ant-input-affix-wrapper:hover {\n      border-color: ", ";\n    }\n\n    &.ant-input-affix-wrapper:focus,\n    &.ant-input-affix-wrapper-focused {\n      border-color: ", ";\n      box-shadow: ", " ", ";\n    }\n  }\n"])), color, backgroundColor, placeholderColor, cdlInputHeightDefault, placeholderColor, disabledBackgroundColor, disabledBorderColor, disabledColor, color, errorBorderColor, errorBackgroundColor, cdlFocusShadowNoColor, errorShadowColor, hoverBorderColor, focusBorderColor, cdlFocusShadowNoColor, focusShadowColor, cdlInputHeightDefault, borderColor, color, hoverBorderColor, focusBorderColor, cdlFocusShadowNoColor, focusShadowColor);
StyledInput.defaultProps = { theme: theme };
/**
 * CDL-compliant, themable `Input`.
 */
var Input = function (_a) {
    var style = _a.style, props = __rest(_a, ["style"]);
    return React.createElement(StyledInput, __assign({ style: style }, props));
};
export default Input;
var templateObject_1;
