import React from 'react';
import { FormItemProps } from 'antd';
import { IpCidrValidatorOptions } from './ipCidrValidator';
interface Props extends FormItemProps {
    /**
     * @default { ip: true, cidr: false, v4: true, v6: false }
     */
    options?: IpCidrValidatorOptions;
    placeholder?: string;
    readOnly?: boolean;
}
/**
 * A form component that validates IP addresses and/or CIDR ranges. It allows
 * IPv4 only by default. To change this, pass an `IpCidrValidatorOptions` object
 * to the `options` prop specifying the desired combination of formats and
 * versions that should be allowed.
 */
declare const IpCidrFormItem: React.FC<Props>;
export default IpCidrFormItem;
