// Copyright (c) 2022 Cloudera, Inc. All rights reserved.
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React from 'react';
import { Form, Input } from 'antd';
import getIpCidrValidator from './ipCidrValidator';
/**
 * A form component that validates IP addresses and/or CIDR ranges. It allows
 * IPv4 only by default. To change this, pass an `IpCidrValidatorOptions` object
 * to the `options` prop specifying the desired combination of formats and
 * versions that should be allowed.
 */
var IpCidrFormItem = function (_a) {
    var options = _a.options, placeholder = _a.placeholder, required = _a.required, readOnly = _a.readOnly, formItemProps = __rest(_a, ["options", "placeholder", "required", "readOnly"]);
    return (React.createElement(Form.Item, __assign({ validateTrigger: "onBlur", validateFirst: true, rules: [{ required: required }, { validator: getIpCidrValidator(options) }] }, formItemProps),
        React.createElement(Input, { placeholder: placeholder, readOnly: readOnly })));
};
export default IpCidrFormItem;
