import React from 'react';
import { IpCidrValidatorOptions } from "cuix/dist/components/IpCidrFormItem";
import { FormListProps } from "cuix/dist/components/FormList";
interface Props extends Omit<FormListProps, 'renderFormItem'> {
    /**
     * @default { ip: true, cidr: false, v4: true, v6: false }
     */
    options?: IpCidrValidatorOptions;
    placeholder?: string;
}
/**
 * A list of `IpCidrFormItem` components. It allows IPv4 only by default. To
 * change this, pass an `IpCidrValidatorOptions` object to the `options` prop
 * specifying the desired combination of formats and versions that should be
 * allowed.
 */
declare const IpCidrFormItemList: React.FC<Props>;
export default IpCidrFormItemList;
