var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __read = (this && this.__read) || function (o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m) return o;
    var i = m.call(o), r, ar = [], e;
    try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
    }
    catch (error) { e = { error: error }; }
    finally {
        try {
            if (r && !r.done && (m = i["return"])) m.call(i);
        }
        finally { if (e) throw e.error; }
    }
    return ar;
};
// Copyright (c) 2018 Cloudera, Inc. All rights reserved.
import React from 'react';
import PropTypes from 'prop-types';
import Input from '../Input';
import { getValueFromEvent } from '../../utils/formUtils';
var SEPARATOR = '=';
var getKeyValueObjectFromValueStr = function (valueStr) {
    if (valueStr === void 0) { valueStr = ''; }
    var _a = __read(valueStr.split(SEPARATOR)), key = _a[0], valueParts = _a.slice(1);
    return {
        key: key,
        value: valueParts.join(SEPARATOR)
    };
};
var KeyValueInput = /** @class */ (function (_super) {
    __extends(KeyValueInput, _super);
    function KeyValueInput() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        // Parses the string value into key and value strings
        _this.getKeyValue = function () {
            if (!_this.props.stringifyValue) {
                return _this.props.value || {};
            }
            return getKeyValueObjectFromValueStr(_this.props.value);
        };
        // Updates the key value when key input is changed
        _this.updateKey = function (e) {
            var key = getValueFromEvent(e) || '';
            if (key.includes(SEPARATOR)) {
                return _this.onChange(getKeyValueObjectFromValueStr(key));
            }
            var value = _this.getKeyValue().value;
            _this.onChange({ key: key, value: value });
        };
        // Updates the value value when value input is changed
        _this.updateValue = function (e) {
            var value = getValueFromEvent(e) || '';
            var key = _this.getKeyValue().key;
            _this.onChange({ key: key, value: value });
        };
        _this.onChange = function (value) {
            if (value.key === '' && value.value === '') {
                _this.props.onChange(undefined);
            }
            else if (_this.props.stringifyValue) {
                _this.props.onChange("".concat(value.key).concat(SEPARATOR).concat(value.value));
            }
            else {
                _this.props.onChange(value);
            }
        };
        _this.onBlur = function () {
            _this.props.onBlur(_this.props.value);
        };
        return _this;
    }
    KeyValueInput.prototype.render = function () {
        var _a = this.props, keyPlaceholder = _a.keyPlaceholder, valuePlaceholder = _a.valuePlaceholder;
        var _b = this.getKeyValue(), key = _b.key, value = _b.value;
        return (React.createElement("div", { style: { display: 'flex', flex: 'auto' } },
            React.createElement(Input, { trim: true, style: { marginRight: 12 }, value: key, onChange: this.updateKey, placeholder: keyPlaceholder }),
            React.createElement(Input, { trim: true, value: value, onChange: this.updateValue, onBlur: this.onBlur, placeholder: valuePlaceholder })));
    };
    KeyValueInput.propTypes = {
        /** Whehter to call onChange with a string in key=value format or an object in {key, value} format. */
        stringifyValue: PropTypes.bool,
        /** Value of the input. Value should match the output format specified in stringifyValue prop. */
        value: PropTypes.oneOfType([
            PropTypes.string,
            PropTypes.shape({
                key: PropTypes.string,
                value: PropTypes.string
            })
        ]),
        /** Function to call when input value changes */
        onChange: PropTypes.func,
        /** Function to call input is blurred */
        onBlur: PropTypes.func,
        /** Placeholder for key input */
        keyPlaceholder: PropTypes.string,
        /** Placeholder for value input */
        valuePlaceholder: PropTypes.string
    };
    KeyValueInput.defaultProps = {
        stringifyValue: true,
        onChange: function () { },
        onBlur: function () { }
    };
    return KeyValueInput;
}(React.Component));
export default KeyValueInput;
