// Copyright (c) 2022 Cloudera, Inc. All rights reserved.
var __read = (this && this.__read) || function (o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m) return o;
    var i = m.call(o), r, ar = [], e;
    try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
    }
    catch (error) { e = { error: error }; }
    finally {
        try {
            if (r && !r.done && (m = i["return"])) m.call(i);
        }
        finally { if (e) throw e.error; }
    }
    return ar;
};
import React, { useEffect, useState } from 'react';
import { fluidxSpacingXs } from "cuix/dist/styles/variables";
import { Input } from 'antd';
export var isPairComplete = function (pair) { var _a, _b; return ((_a = pair.key) === null || _a === void 0 ? void 0 : _a.toString().trim()) && ((_b = pair.val) === null || _b === void 0 ? void 0 : _b.toString().trim()); };
/**
 * A form input for entering key/value pair. You probably want
 * `KeyValuePairFormItem` instead.
 */
var KeyValuePairInput = function (_a) {
    var value = _a.value, readOnly = _a.readOnly, onChange = _a.onChange, keyPlaceholder = _a.keyPlaceholder, valuePlaceholder = _a.valuePlaceholder;
    var _b = __read(useState(value === null || value === void 0 ? void 0 : value.key), 2), key = _b[0], setKey = _b[1];
    var _c = __read(useState(value === null || value === void 0 ? void 0 : value.val), 2), val = _c[0], setVal = _c[1];
    useEffect(function () {
        setKey(value === null || value === void 0 ? void 0 : value.key);
        setVal(value === null || value === void 0 ? void 0 : value.val);
    }, [value]);
    var handleKeyBlur = function (event) {
        var pair = { key: event.target.value, val: val };
        if (event.target.nextElementSibling !== event.relatedTarget) {
            onChange === null || onChange === void 0 ? void 0 : onChange(pair);
        }
    };
    var handleKeyChange = function (event) {
        setKey(event.target.value);
        var pair = { key: event.target.value, val: val };
        if (isPairComplete(pair)) {
            onChange === null || onChange === void 0 ? void 0 : onChange(pair);
        }
    };
    var handleValBlur = function (event) {
        var pair = { key: key, val: event.target.value };
        if (event.target.previousElementSibling !== event.relatedTarget) {
            onChange === null || onChange === void 0 ? void 0 : onChange(pair);
        }
    };
    var handleValChange = function (event) {
        setVal(event.target.value);
        var pair = { key: key, val: event.target.value };
        if (isPairComplete(pair)) {
            onChange === null || onChange === void 0 ? void 0 : onChange(pair);
        }
    };
    return (React.createElement("div", { style: { display: 'flex' } },
        React.createElement(Input, { style: {
                marginRight: fluidxSpacingXs
            }, disabled: readOnly, value: key, onBlur: handleKeyBlur, onChange: handleKeyChange, placeholder: keyPlaceholder }),
        React.createElement(Input, { value: val, disabled: readOnly, onBlur: handleValBlur, onChange: handleValChange, placeholder: valuePlaceholder })));
};
export default KeyValuePairInput;
