var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __read = (this && this.__read) || function (o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m) return o;
    var i = m.call(o), r, ar = [], e;
    try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
    }
    catch (error) { e = { error: error }; }
    finally {
        try {
            if (r && !r.done && (m = i["return"])) m.call(i);
        }
        finally { if (e) throw e.error; }
    }
    return ar;
};
var __spreadArray = (this && this.__spreadArray) || function (to, from, pack) {
    if (pack || arguments.length === 2) for (var i = 0, l = from.length, ar; i < l; i++) {
        if (ar || !(i in from)) {
            if (!ar) ar = Array.prototype.slice.call(from, 0, i);
            ar[i] = from[i];
        }
    }
    return to.concat(ar || Array.prototype.slice.call(from));
};
// Copyright (c) 2022 Cloudera, Inc. All rights reserved.
import React from 'react';
import i18n from "cuix/dist/utils/i18n";
import KeyValuePairFormItem from "cuix/dist/components/KeyValuePairFormItem";
import FormList from "cuix/dist/components/FormList";
/**
 * A list of `KeyValuePairFormItem` components.
 */
var KeyValuePairFormItemList = function (_a) {
    var keyPlaceholder = _a.keyPlaceholder, valuePlaceholder = _a.valuePlaceholder, allowDuplicates = _a.allowDuplicates, readOnly = _a.readOnly, rules = _a.rules, formListProps = __rest(_a, ["keyPlaceholder", "valuePlaceholder", "allowDuplicates", "readOnly", "rules"]);
    if (!allowDuplicates) {
        rules = __spreadArray([
            {
                validator: function (_, tags) {
                    if (tags.length < 2) {
                        return Promise.resolve();
                    }
                    var tagsWithKey = tags.filter(function (tag) { return (tag === null || tag === void 0 ? void 0 : tag.key) !== undefined && !!tag.key.toString(); });
                    var uniqueKeys = new Set(tagsWithKey.map(function (tag) { return tag === null || tag === void 0 ? void 0 : tag.key; }));
                    return uniqueKeys.size !== tagsWithKey.length
                        ? Promise.reject(new Error(i18n.t('form.validation.duplicateKey')))
                        : Promise.resolve();
                }
            }
        ], __read((rules || [])), false);
    }
    return (React.createElement(FormList, __assign({ rules: rules, readOnly: readOnly }, formListProps, { renderFormItem: function (formItemProps) { return (React.createElement(KeyValuePairFormItem, __assign({}, formItemProps, { readOnly: readOnly, keyPlaceholder: keyPlaceholder || i18n.t('label.key'), valuePlaceholder: valuePlaceholder || i18n.t('label.value') }))); }, isItemTouched: function (item) { var _a, _b; return !!((_a = item === null || item === void 0 ? void 0 : item.key) === null || _a === void 0 ? void 0 : _a.toString()) || !!((_b = item === null || item === void 0 ? void 0 : item.val) === null || _b === void 0 ? void 0 : _b.toString()); } })));
};
export default KeyValuePairFormItemList;
