// Copyright (c) 2022 Cloudera, Inc. All rights reserved.
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React from 'react';
import Tag from "cuix/dist/components/Tag";
import { fluidxGray, fluidxSpacingXxs, fluidxWhite } from "cuix/dist/styles/variables";
import styled from 'styled-components';
import classnames from 'classnames';
var Separator = styled.span.attrs({ role: 'separator' })(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  width: 1px;\n  height: 100%;\n  margin-left: ", ";\n  margin-right: ", ";\n  background-color: ", ";\n"], ["\n  width: 1px;\n  height: 100%;\n  margin-left: ", ";\n  margin-right: ", ";\n  background-color: ", ";\n"])), fluidxSpacingXxs, fluidxSpacingXxs, fluidxGray);
var StyledTag = styled(Tag)(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n  && {\n    align-items: center;\n    opacity: 1; // override antd hover style\n\n    span {\n      display: inline-flex;\n      height: 20px;\n    }\n\n    &.cuix-key-value-pair-tag-dark {\n      color: ", ";\n      border-color: ", ";\n      background: none;\n\n      ", " {\n        background-color: ", ";\n      }\n    }\n  }\n"], ["\n  && {\n    align-items: center;\n    opacity: 1; // override antd hover style\n\n    span {\n      display: inline-flex;\n      height: 20px;\n    }\n\n    &.cuix-key-value-pair-tag-dark {\n      color: ", ";\n      border-color: ", ";\n      background: none;\n\n      ", " {\n        background-color: ", ";\n      }\n    }\n  }\n"])), fluidxWhite, fluidxWhite, Separator, fluidxWhite);
/**
 * A tag component for representing a key/value pair. If a value for `onClose`
 * is provided, the tag will have a close button.
 */
var KeyValuePairTag = function (_a) {
    var keyValuePair = _a.keyValuePair, theme = _a.theme, props = __rest(_a, ["keyValuePair", "theme"]);
    var key = keyValuePair.key, val = keyValuePair.val;
    return (React.createElement(StyledTag, __assign({ className: classnames({ 'cuix-key-value-pair-tag-dark': theme === 'dark' && !props.color }) }, props),
        React.createElement("span", null,
            key,
            React.createElement(Separator, null),
            val)));
};
export default KeyValuePairTag;
var templateObject_1, templateObject_2;
