import React from 'react';
import { TagListProps } from '../TagList';
interface KeyValuePair {
    key: string;
    val: string;
}
interface Props extends Omit<TagListProps, 'values'> {
    keyValuePairs: KeyValuePair[] | {
        [key: string]: string;
    };
}
/**
 * Displays a list of `Tag` components that contain key/value pairs.
 *
 * @deprecated Use `TagList` instead. It supports key/value pairs when you pass
 * an array of objects to its `values` prop in which `label` is the key and
 * `value` is the value.
 */
export declare const KeyValuePairTagList: React.FC<Props>;
export default KeyValuePairTagList;
