// Copyright (c) 2022 Cloudera, Inc. All rights reserved.
var __read = (this && this.__read) || function (o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m) return o;
    var i = m.call(o), r, ar = [], e;
    try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
    }
    catch (error) { e = { error: error }; }
    finally {
        try {
            if (r && !r.done && (m = i["return"])) m.call(i);
        }
        finally { if (e) throw e.error; }
    }
    return ar;
};
import React from 'react';
import { LineClampedParagraph } from "cuix/dist/components/Typography";
import KeyValuePairTag from "cuix/dist/components/KeyValuePairTag";
export var objectToKeyValuePairs = function (obj) {
    return Object.entries(obj).map(function (_a) {
        var _b = __read(_a, 2), key = _b[0], val = _b[1];
        return ({ key: key, val: val });
    });
};
/**
 * Displays a list of `KeyValuePairTag` components. If the list of tags exceeds
 * the width of the line, the list is truncated and a button is rendered to
 * show/hide the remainder.
 */
export var KeyValuePairTagList = function (_a) {
    var keyValuePairs = _a.keyValuePairs;
    var pairs;
    if (!Array.isArray(keyValuePairs)) {
        pairs = objectToKeyValuePairs(keyValuePairs);
    }
    else {
        pairs = keyValuePairs;
    }
    return (React.createElement(LineClampedParagraph, { lineClamp: { lines: 1 }, style: { margin: 0, lineHeight: 2, whiteSpace: 'normal' } }, pairs.map(function (pair) { return (React.createElement(KeyValuePairTag, { key: pair.key, keyValuePair: pair })); })));
};
export default KeyValuePairTagList;
