var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __read = (this && this.__read) || function (o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m) return o;
    var i = m.call(o), r, ar = [], e;
    try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
    }
    catch (error) { e = { error: error }; }
    finally {
        try {
            if (r && !r.done && (m = i["return"])) m.call(i);
        }
        finally { if (e) throw e.error; }
    }
    return ar;
};
// Copyright (c) 2023 Cloudera, Inc. All rights reserved.
import React from 'react';
import TagList from '../TagList';
/**
 * Displays a list of `Tag` components that contain key/value pairs.
 *
 * @deprecated Use `TagList` instead. It supports key/value pairs when you pass
 * an array of objects to its `values` prop in which `label` is the key and
 * `value` is the value.
 */
export var KeyValuePairTagList = function (_a) {
    var keyValuePairs = _a.keyValuePairs, props = __rest(_a, ["keyValuePairs"]);
    var values;
    if (!Array.isArray(keyValuePairs)) {
        values = Object.entries(keyValuePairs).map(function (_a) {
            var _b = __read(_a, 2), key = _b[0], val = _b[1];
            return ({ label: key, value: val });
        });
    }
    else {
        values = keyValuePairs.map(function (_a) {
            var key = _a.key, val = _a.val;
            return ({ label: key, value: val });
        });
    }
    return React.createElement(TagList, __assign({ values: values }, props));
};
export default KeyValuePairTagList;
