import React from 'react';
import type { ButtonProps } from 'antd/es/button';
export interface Props extends ButtonProps {
    /** Button childrens that will be auto-separated with 8px space. */
    children?: React.ReactNode;
    /** Accessibility attribure. If omitted data-event-label || data-event will be used  */
    'aria-label'?: string;
    /** Google analytics Category name */
    'data-event-category'?: string;
    /** Google analytics Event name */
    'data-event': string;
    /** Google analytics Event label */
    'data-event-label'?: string;
}
/**
 * WARNING: The utility of this component is uncertain. It might be deprecated in favor of
 * using antd button directly. It does arguably provide some utility related to tracking
 * e.g data-* attributes. However, the icon support might be non-standard as the underlying
 * antd button has an `icon` prop that is maybe handled slightly differently. Until this
 * has been discussed/settled, consider using antd button directly.
 *
 * Wrapper for AntButton that provides default configuration.
 * It also does necessary propTypes checks to support Accessibility and Google analytics.
 *
 * @deprecated Use `cuix/components/Button` instead.
 */
declare const CUIXButton: {
    ({ icon, children, className, "aria-label": ariaLabel, "data-event-category": dataEventCategory, "data-event": dataEvent, "data-event-label": dataEventLabel, ...otherProps }: Props): JSX.Element;
    defaultProps: {
        'data-event-category': string;
    };
    displayName: string;
};
export default CUIXButton;
