// Copyright (c) 2019 Cloudera, Inc. All rights reserved.
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React from 'react';
import { Button } from 'antd';
import i18n from '../../utils/i18n';
import classNames from 'classnames';
/**
 * WARNING: The utility of this component is uncertain. It might be deprecated in favor of
 * using antd button directly. It does arguably provide some utility related to tracking
 * e.g data-* attributes. However, the icon support might be non-standard as the underlying
 * antd button has an `icon` prop that is maybe handled slightly differently. Until this
 * has been discussed/settled, consider using antd button directly.
 *
 * Wrapper for AntButton that provides default configuration.
 * It also does necessary propTypes checks to support Accessibility and Google analytics.
 *
 * @deprecated Use `cuix/components/Button` instead.
 */
var CUIXButton = function (_a) {
    var icon = _a.icon, children = _a.children, className = _a.className, ariaLabel = _a["aria-label"], dataEventCategory = _a["data-event-category"], dataEvent = _a["data-event"], dataEventLabel = _a["data-event-label"], otherProps = __rest(_a, ["icon", "children", "className", 'aria-label', 'data-event-category', 'data-event', 'data-event-label']);
    var iconContent = icon && (typeof icon === 'string' ? null : icon);
    if (typeof icon === 'string') {
        console.warn('"icon" with string type is not supported in cuix/button anymore. Icon ignored.');
    }
    return (React.createElement(Button, __assign({ className: classNames('cuix-button', className) }, otherProps, { "aria-label": i18n.t(ariaLabel || dataEvent), "data-event-category": dataEventCategory, "data-event": i18n.t(dataEvent), "data-event-label": dataEventLabel }), icon && !children ? (iconContent) : (React.createElement(React.Fragment, null,
        iconContent,
        children))));
};
CUIXButton.defaultProps = {
    'data-event-category': 'User Action'
};
CUIXButton.displayName = 'Button';
export default CUIXButton;
