// Copyright (c) 2022 Cloudera, Inc. All rights reserved.
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
/* eslint-disable thunderhead/no-antd-typography, thunderhead/no-antd-deep-imports --
 * We're overrding antd components and some are not available on the main Typography
 * import from `antd`.
 */
import React from 'react';
import AntLink from 'antd/es/typography/Link';
// Since we don't import Typography from antd directly,
// we need to import the styles manually.
import 'antd/es/typography/style';
import "../Typography/Typography.css";
import styled from 'styled-components';
import { cdlFocusShadowNoColor } from '@cloudera/cuix-core/variables';
import { color, disabledColor, focusColor, focusShadowColor, activeColor } from './theme';
import { defaultTheme as theme } from "cuix/dist/styles/theme";
var StyledLink = styled(AntLink)(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  && {\n    transition: none;\n    color: ", ";\n    line-height: 16px;\n    text-underline-offset: 2px;\n\n    &.disabled {\n      color: ", ";\n      pointer-events: none;\n    }\n\n    &:not(.disabled):hover,\n    &:not(.disabled).demo-hover,\n    &:not(.disabled):focus,\n    &:not(.disabled).demo-focus,\n    &:not(.disabled):focus-visible,\n    &:not(.disabled).demo-focus-visible {\n      color: ", ";\n      text-decoration: underline;\n    }\n\n    &:not(.disabled):focus-visible,\n    &:not(.disabled).demo-focus-visible {\n      box-shadow: ", " ", ";\n    }\n\n    &:not(.disabled):active,\n    &:not(.disabled).demo-active {\n      color: ", ";\n    }\n  }\n"], ["\n  && {\n    transition: none;\n    color: ", ";\n    line-height: 16px;\n    text-underline-offset: 2px;\n\n    &.disabled {\n      color: ", ";\n      pointer-events: none;\n    }\n\n    &:not(.disabled):hover,\n    &:not(.disabled).demo-hover,\n    &:not(.disabled):focus,\n    &:not(.disabled).demo-focus,\n    &:not(.disabled):focus-visible,\n    &:not(.disabled).demo-focus-visible {\n      color: ", ";\n      text-decoration: underline;\n    }\n\n    &:not(.disabled):focus-visible,\n    &:not(.disabled).demo-focus-visible {\n      box-shadow: ", " ", ";\n    }\n\n    &:not(.disabled):active,\n    &:not(.disabled).demo-active {\n      color: ", ";\n    }\n  }\n"])), color, disabledColor, focusColor, cdlFocusShadowNoColor, focusShadowColor, activeColor);
StyledLink.defaultProps = { theme: theme };
/**
 * A CDL-compliant link component.
 */
var Link = function (_a) {
    var className = _a.className, external = _a.external, restProps = __rest(_a, ["className", "external"]);
    var externalClass = '';
    switch (external) {
        case true:
            externalClass = 'external-link';
            break;
        case false:
            externalClass = 'no-external-icon';
            break;
        default:
            externalClass = restProps.target === '_blank' ? 'external-link' : '';
    }
    var baseClassName = "".concat(externalClass).concat(restProps.disabled ? ' disabled' : '');
    var mergedProps = __assign(__assign({}, restProps), { className: className ? "".concat(baseClassName, " ").concat(className) : baseClassName });
    return React.createElement(StyledLink, __assign({}, mergedProps));
};
export default Link;
var templateObject_1;
