var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
// Copyright (c) 2017 Cloudera, Inc. All rights reserved.
import React, { PureComponent } from 'react';
import { Spin } from 'antd';
import classNames from 'classnames';
import "./Loading.css";
import SpinnerIcon from '../SpinnerIcon';
export var SIZES = ['small', 'default', 'large'];
var CSS_TRANSITION_FIX_DELAY = 50;
export var SLOW_DELAY = 1000;
export var DEFAULT_PROPS = {
    /** Size of loading indicator */
    size: 'large',
    delay: 300
};
var Loading = /** @class */ (function (_super) {
    __extends(Loading, _super);
    function Loading() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.state = { appear: false };
        return _this;
    }
    /** Adds smooth loader appearance using css transition */
    Loading.prototype.componentDidMount = function () {
        var _this = this;
        this.appearTimeout = window.setTimeout(function () {
            _this.setState({ appear: true });
        }, Math.max(0, this.props.delay) + CSS_TRANSITION_FIX_DELAY);
    };
    Loading.prototype.componentWillUnmount = function () {
        clearTimeout(this.appearTimeout);
    };
    Loading.prototype.render = function () {
        var _a = this.props, className = _a.className, wrapperClassName = _a.wrapperClassName, inline = _a.inline, size = _a.size, delay = _a.delay, tip = _a.tip, spinning = _a.spinning, children = _a.children, style = _a.style;
        var appear = this.state.appear;
        return (React.createElement(Spin, { className: classNames('altus-loading', { appear: appear, overlap: !inline }, className), wrapperClassName: classNames('altus-loading-wrapper', wrapperClassName), tip: tip, spinning: spinning, size: size, indicator: React.createElement(SpinnerIcon, { size: size, className: "anticon" }), delay: delay, style: style, "data-test": "Loading" }, children));
    };
    Loading.defaultProps = DEFAULT_PROPS;
    return Loading;
}(PureComponent));
export default Loading;
