var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
// Copyright (c) 2021 Cloudera, Inc. All rights reserved.
import React from 'react';
import { Tooltip } from 'antd';
import Alert from "cuix/dist/components/Alert";
import ApiErrorMessageBody from "cuix/dist/components/ApiErrorMessageBody";
import { cleanUpErrorMessage } from '../InlineError/util';
import ErrorIcon from '@cloudera/cuix-core/icons/react/ErrorIcon';
import { errorBgColor, errorColor } from "cuix/dist/styles/variables";
/**
 * Show API error in icon format e.g. icon with popover.
 *
 * This could for example be used in a table for secondary/lazy loaded info if you we hit an API error
 * as opposed to showing a page error.
 */
var MiniError = function (_a) {
    var error = _a.error;
    if (!error) {
        return null;
    }
    var cleanedUpError = __assign(__assign({}, error), { message: cleanUpErrorMessage(error.message) });
    return (React.createElement(Tooltip, { trigger: ['hover', 'click'], color: errorBgColor, title: React.createElement(Alert, { banner: true, message: error.title, type: "error", description: React.createElement(ApiErrorMessageBody, { error: cleanedUpError }) }) },
        React.createElement("span", null,
            React.createElement(ErrorIcon, { style: { color: errorColor } }))));
};
export default MiniError;
