import { ModalProps } from 'antd';
import React from 'react';
import { DataEventProps } from '../Button/ButtonBase';
type ButtonProps = ModalProps['cancelButtonProps'] & Partial<DataEventProps> & {
    [dataKey: `data-${string}`]: string | undefined;
};
export interface Props extends ModalProps {
    secondaryButtonText?: React.ReactNode;
    onSecondary?: ModalProps['onCancel'];
    secondaryButtonProps?: ButtonProps;
    okButtonProps?: ButtonProps;
    cancelButtonProps?: ButtonProps;
    /**
     * Set to false if you want to hide cancel button. Defaults to true.
     */
    cancellable?: boolean;
    /** Optionally used to populate the button `data-event` text */
    eventModalName?: string;
}
/**
 * CDL modal. In addition to antd props it supports a secondary action button.
 */
declare const Modal: React.FC<Props>;
export default Modal;
