var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
// Copyright (c) 2022 Cloudera, Inc. All rights reserved.
import CloseIcon from '@cloudera/cuix-core/icons/react/CloseIcon';
import { Modal as AntdModal } from 'antd';
import { fluidxGray700, fluidxSpacingM, fluidxSpacingS, fluidxSpacingXs, fluidxTitleH1SmallLineHeight, fluidxTitleH1SmallSize, fluidxTitleH1SmallWeight } from "cuix/dist/styles/variables";
import i18n from "cuix/dist/utils/i18n";
import React from 'react';
import styled from 'styled-components';
import Button, { PrimaryButton, BorderlessButton } from '../Button';
import { ButtonFooter } from '../ButtonFooter';
var StyledAntdModal = styled(AntdModal)(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  .ant-modal-header {\n    padding: ", " 56px 0 ", ";\n    border: none;\n  }\n\n  .ant-modal-title {\n    font-size: ", ";\n    font-weight: ", ";\n    line-height: ", ";\n  }\n\n  .ant-modal-close {\n    // The close button is inside a sized container, so to not have extensive\n    // css changes here, it was simpler to move the container a bit instead\n    // of resizing it + adding margin to it.\n    top: ", ";\n    right: ", ";\n  }\n\n  .ant-modal-body {\n    padding: ", " ", " ", " ", ";\n  }\n\n  .ant-modal-footer {\n    text-align: left;\n    padding: ", " ", ";\n  }\n"], ["\n  .ant-modal-header {\n    padding: ", " 56px 0 ", ";\n    border: none;\n  }\n\n  .ant-modal-title {\n    font-size: ", ";\n    font-weight: ", ";\n    line-height: ", ";\n  }\n\n  .ant-modal-close {\n    // The close button is inside a sized container, so to not have extensive\n    // css changes here, it was simpler to move the container a bit instead\n    // of resizing it + adding margin to it.\n    top: ", ";\n    right: ", ";\n  }\n\n  .ant-modal-body {\n    padding: ", " ", " ", " ", ";\n  }\n\n  .ant-modal-footer {\n    text-align: left;\n    padding: ", " ", ";\n  }\n"])), fluidxSpacingS, fluidxSpacingM, fluidxTitleH1SmallSize, fluidxTitleH1SmallWeight, fluidxTitleH1SmallLineHeight, fluidxSpacingS, fluidxSpacingXs, fluidxSpacingS, fluidxSpacingM, fluidxSpacingM, fluidxSpacingM, fluidxSpacingS, fluidxSpacingM);
var StyledCloseIcon = styled(CloseIcon)(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n  font-size: 24px;\n  color: ", ";\n"], ["\n  font-size: 24px;\n  color: ", ";\n"])), fluidxGray700);
/**
 * Wrapper around antd modal so we can get closer to design specs.
 * In addition to antd props it supports a secondary action button.
 */
var Modal = function (_a) {
    var footer = _a.footer, secondaryButtonText = _a.secondaryButtonText, secondaryButtonProps = _a.secondaryButtonProps, onSecondary = _a.onSecondary, eventModalName = _a.eventModalName, _b = _a.cancellable, cancellable = _b === void 0 ? true : _b, props = __rest(_a, ["footer", "secondaryButtonText", "secondaryButtonProps", "onSecondary", "eventModalName", "cancellable"]);
    if (footer === undefined) {
        var handleCancel = function (event) {
            var onCancel = props.onCancel;
            onCancel === null || onCancel === void 0 ? void 0 : onCancel(event);
        };
        var handleOk = function (event) {
            var onOk = props.onOk;
            onOk === null || onOk === void 0 ? void 0 : onOk(event);
        };
        var handleSecondary = function (event) {
            onSecondary === null || onSecondary === void 0 ? void 0 : onSecondary(event);
        };
        eventModalName = eventModalName || 'Modal';
        footer = (React.createElement(ButtonFooter, { primaryButton: React.createElement(PrimaryButton, __assign({ onClick: handleOk, "data-event": "".concat(eventModalName, " primary action"), loading: props.confirmLoading, "data-test": "ModalOkBtn" }, props.okButtonProps), props.okText || i18n.t('label.ok')), secondaryButton: secondaryButtonText !== undefined ? (React.createElement(Button, __assign({ onClick: handleSecondary, "data-event": "".concat(eventModalName, " secondary action"), "data-test": "ModalSecondaryBtn" }, secondaryButtonProps), secondaryButtonText)) : undefined, cancelButton: cancellable && (React.createElement(BorderlessButton, __assign({ onClick: handleCancel, "data-event": "".concat(eventModalName, " cancel action"), "data-test": "ModalCancelBtn" }, props.cancelButtonProps), props.cancelText || i18n.t('label.cancel'))) }));
    }
    return React.createElement(StyledAntdModal, __assign({ closeIcon: React.createElement(StyledCloseIcon, null) }, props, { footer: footer }));
};
export default Modal;
var templateObject_1, templateObject_2;
