var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
// Copyright (c) 2018 Cloudera, Inc. All rights reserved.
import React from 'react';
import { Form } from '@ant-design/compatible';
import "@ant-design/compatible/lib/form/style/index.css";
import { Modal } from 'antd';
import Loading from '../Loading';
import { getFormConfig, MODAL_FORM_LAYOUT } from '../../utils/formUtils';
import i18n from '../../utils/i18n';
/**
 * Container component for a modal form. Props are very similar to FormContainer.
 * @deprecated Uses old antd 3.x forms. See antd docs for current form usage.
 */
var UnwrappedModalFormContainer = /** @class */ (function (_super) {
    __extends(UnwrappedModalFormContainer, _super);
    function UnwrappedModalFormContainer(props) {
        var _this = _super.call(this, props) || this;
        _this.onSubmit = function (e) {
            e.preventDefault();
            var _a = _this.props, form = _a.form, onSubmit = _a.onSubmit, hideOnSubmit = _a.hideOnSubmit, onCancel = _a.onCancel;
            form.validateFields(function (err, values) {
                if (!err) {
                    onSubmit(values);
                    if (hideOnSubmit && onCancel) {
                        onCancel();
                    }
                }
            });
        };
        _this.isOkDisabled = function () {
            return (_this.props.disableOkIfNotTouched && !_this.props.form.isFieldsTouched()) ||
                (_this.props && _this.props.disable);
        };
        var _a = _this.props, form = _a.form, getValidationRules = _a.getValidationRules;
        _this.formConfig = getFormConfig({
            form: form,
            getInitialValues: function () { return _this.props.initialValues || {}; },
            getValidationRules: getValidationRules,
            defaultLayout: _this.props.layout === 'horizontal' ? MODAL_FORM_LAYOUT : false
        });
        return _this;
    }
    UnwrappedModalFormContainer.prototype.render = function () {
        return (React.createElement(Modal, { visible: this.props.visible, title: this.props.title, onOk: this.onSubmit, onCancel: this.props.onCancel, okText: this.props.submitText, okButtonProps: this.props.okButtonProps
                ? this.props.okButtonProps
                : this.isOkDisabled()
                    ? { disabled: true }
                    : undefined, cancelText: this.props.cancelText, maskClosable: false, destroyOnClose: true, width: this.props.width, footer: this.props.footer, cancelButtonProps: this.props.cancelButtonProps },
            React.createElement(Form, { onSubmit: this.onSubmit, className: "altus-form", layout: this.props.layout },
                this.props.submitting && React.createElement(Loading, { delay: 0 }),
                this.props.renderForm(this.formConfig),
                React.createElement("input", { type: "submit", style: { display: 'none' } }))));
    };
    UnwrappedModalFormContainer.defaultProps = {
        submitText: i18n.t('label.save'),
        cancelText: i18n.t('label.cancel'),
        hideOnSubmit: false,
        submitting: false,
        disableOkIfNotTouched: false,
        layout: 'vertical',
        disable: false
    };
    return UnwrappedModalFormContainer;
}(React.Component));
export { UnwrappedModalFormContainer };
/**
 * @deprecated Uses old antd 3.x forms. See antd docs for current form usage.
 */
var ModalFormContainer = Form.create()(UnwrappedModalFormContainer);
ModalFormContainer.displayName = 'ModalFormContainer';
export default ModalFormContainer;
