/*
 *    CLOUDERA Cloudera Data Platform
 *
 *    (C) Cloudera, Inc. 2021
 *    All rights reserved.
 *
 *    Applicable Open Source License: AGPLv3
 *
 *    NOTE: Cloudera open source products are modular software products
 *    made up of hundreds of individual components, each of which was
 *    individually copyrighted.  Each Cloudera open source product is a
 *    collective work under U.S. Copyright Law. Your license to use the
 *    collective work is as provided in your written agreement with
 *    Cloudera.  Used apart from the collective work, this file is
 *    licensed for your use pursuant to the open source license
 *    identified above.
 *
 *    This code is provided to you pursuant a written agreement with
 *    (i) Cloudera, Inc. or (ii) a third-party authorized to distribute
 *    this code. If you do not have a written agreement with Cloudera nor
 *    with an authorized and properly licensed third party, you do not
 *    have any rights to access nor to use this code.
 *
 *    Absent a written agreement with Cloudera, Inc. (“Cloudera”) to the
 *    contrary, A) CLOUDERA PROVIDES THIS CODE TO YOU WITHOUT WARRANTIES OF ANY
 *    KIND; (B) CLOUDERA DISCLAIMS ANY AND ALL EXPRESS AND IMPLIED
 *    WARRANTIES WITH RESPECT TO THIS CODE, INCLUDING BUT NOT LIMITED TO
 *    IMPLIED WARRANTIES OF TITLE, NON-INFRINGEMENT, MERCHANTABILITY AND
 *    FITNESS FOR A PARTICULAR PURPOSE; (C) CLOUDERA IS NOT LIABLE TO YOU,
 *    AND WILL NOT DEFEND, INDEMNIFY, NOR HOLD YOU HARMLESS FOR ANY CLAIMS
 *    ARISING FROM OR RELATED TO THE CODE; AND (D)WITH RESPECT TO YOUR EXERCISE
 *    OF ANY RIGHTS GRANTED TO YOU FOR THE CODE, CLOUDERA IS NOT LIABLE FOR ANY
 *    DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, PUNITIVE OR
 *    CONSEQUENTIAL DAMAGES INCLUDING, BUT NOT LIMITED TO, DAMAGES
 *    RELATED TO LOST REVENUE, LOST PROFITS, LOSS OF INCOME, LOSS OF
 *    BUSINESS ADVANTAGE OR UNAVAILABILITY, OR LOSS OR CORRUPTION OF
 *    DATA.
 */
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import React, { useEffect } from 'react';
import { Input } from 'antd';
import * as Typography from "cuix/dist/components/Typography";
import { fontSizeBase, lineHeightBase, marginSm, paddingMd, layoutHeaderHeight, borderColorBase, marginMd } from "cuix/dist/styles/variables";
import Select from 'react-select';
var Search = Input.Search;
var Text = Typography.Text;
var reactSelectStyles = {
    control: function (base) { return (__assign(__assign({}, base), { minHeight: 32, borderRadius: 3, boxShadow: 'none' })); },
    valueContainer: function () { return ({
        paddingLeft: 15,
        paddingRight: 15,
        paddingTop: 5,
        paddingBottom: 5,
        fontSize: fontSizeBase,
        lineHeight: lineHeightBase // will this be ~16px?
    }); },
    input: function (base) { return (__assign(__assign({}, base), { margin: 0, padding: 0 })); },
    singleValue: function (base) { return (__assign(__assign({}, base), { maxWidth: 'calc(100% - 48px)' })); },
    indicatorSeparator: function (base) { return (__assign(__assign({}, base), { margin: 0 })); },
    dropdownIndicator: function (base) { return (__assign(__assign({}, base), { paddingLeft: 5, paddingRight: 5, paddingTop: 2, paddingBottom: 2 })); }
};
var SearchInput = function (_a) {
    var onSearch = _a.onSearch, searchText = _a.searchText, style = _a.style;
    return (React.createElement(Search, { onChange: function (e) {
            onSearch(e.target.value);
        }, onSearch: onSearch, value: searchText, placeholder: "Search", allowClear: true, style: __assign({ minWidth: 240, width: 240 }, style), role: "searchbox" }));
};
var SortSelector = function (_a) {
    var sortOptions = _a.sortOptions, sortOption = _a.sortOption, onSort = _a.onSort, style = _a.style;
    useEffect(function () { return onSort(sortOption); }, [onSort, sortOption, sortOptions]);
    return (React.createElement("div", { style: __assign({ display: 'flex', alignItems: 'center' }, style) },
        React.createElement(Text, { id: "sort-label", style: { marginRight: marginSm } }, "Sort by"),
        React.createElement(Select, { options: sortOptions, value: sortOption, onChange: onSort, styles: __assign({ container: function (base) { return (__assign(__assign({}, base), { width: 240 })); } }, reactSelectStyles), "aria-labelledby": "sort-label" })));
};
var ControlBar = function (_a) {
    var searchText = _a.searchText, onSearch = _a.onSearch, sortOptions = _a.sortOptions, sortOption = _a.sortOption, onSort = _a.onSort, children = _a.children, customControl = _a.customControl;
    return (React.createElement("div", { style: {
            display: 'flex',
            alignItems: 'center',
            padding: paddingMd,
            height: layoutHeaderHeight,
            fontSize: fontSizeBase,
            whiteSpace: 'nowrap',
            borderBottom: "1px solid ".concat(borderColorBase)
        } },
        React.createElement("div", { style: { marginRight: 'auto' } }, children),
        customControl,
        onSearch && (React.createElement(SearchInput, { onSearch: onSearch, searchText: searchText, style: customControl
                ? { marginRight: marginMd }
                : { marginLeft: 'auto', marginRight: marginMd } })),
        sortOptions && sortOptions.length > 0 && sortOption && onSort && (React.createElement(SortSelector, { sortOptions: sortOptions, sortOption: sortOption, onSort: onSort }))));
};
export default ControlBar;
