/*
 *    CLOUDERA Cloudera Data Platform
 *
 *    (C) Cloudera, Inc. 2021
 *    All rights reserved.
 *
 *    Applicable Open Source License: AGPLv3
 *
 *    NOTE: Cloudera open source products are modular software products
 *    made up of hundreds of individual components, each of which was
 *    individually copyrighted.  Each Cloudera open source product is a
 *    collective work under U.S. Copyright Law. Your license to use the
 *    collective work is as provided in your written agreement with
 *    Cloudera.  Used apart from the collective work, this file is
 *    licensed for your use pursuant to the open source license
 *    identified above.
 *
 *    This code is provided to you pursuant a written agreement with
 *    (i) Cloudera, Inc. or (ii) a third-party authorized to distribute
 *    this code. If you do not have a written agreement with Cloudera nor
 *    with an authorized and properly licensed third party, you do not
 *    have any rights to access nor to use this code.
 *
 *    Absent a written agreement with Cloudera, Inc. (“Cloudera”) to the
 *    contrary, A) CLOUDERA PROVIDES THIS CODE TO YOU WITHOUT WARRANTIES OF ANY
 *    KIND; (B) CLOUDERA DISCLAIMS ANY AND ALL EXPRESS AND IMPLIED
 *    WARRANTIES WITH RESPECT TO THIS CODE, INCLUDING BUT NOT LIMITED TO
 *    IMPLIED WARRANTIES OF TITLE, NON-INFRINGEMENT, MERCHANTABILITY AND
 *    FITNESS FOR A PARTICULAR PURPOSE; (C) CLOUDERA IS NOT LIABLE TO YOU,
 *    AND WILL NOT DEFEND, INDEMNIFY, NOR HOLD YOU HARMLESS FOR ANY CLAIMS
 *    ARISING FROM OR RELATED TO THE CODE; AND (D)WITH RESPECT TO YOUR EXERCISE
 *    OF ANY RIGHTS GRANTED TO YOU FOR THE CODE, CLOUDERA IS NOT LIABLE FOR ANY
 *    DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, PUNITIVE OR
 *    CONSEQUENTIAL DAMAGES INCLUDING, BUT NOT LIMITED TO, DAMAGES
 *    RELATED TO LOST REVENUE, LOST PROFITS, LOSS OF INCOME, LOSS OF
 *    BUSINESS ADVANTAGE OR UNAVAILABILITY, OR LOSS OR CORRUPTION OF
 *    DATA.
 */
import React from 'react';
import { Group } from '@visx/group';
import { DEPTH_SPACE, HEADER_HEIGHT, LINK_MARGIN, NODE_WIDTH, TREE_PADDING } from '../utils/constants';
export var LevelTitles = function (_a) {
    var levels = _a.levels, width = _a.width, zoom = _a.zoom;
    var titles = [];
    var fontSize = 14;
    for (var level = 0; level <= levels; level++) {
        titles.push(React.createElement("text", { key: "level-title-".concat(level), className: "header-text", x: (NODE_WIDTH + DEPTH_SPACE) * level * ((zoom === null || zoom === void 0 ? void 0 : zoom.transformMatrix.scaleX) || 1), y: (HEADER_HEIGHT + fontSize) / 2 - 2, fill: "black", style: { fontSize: fontSize } }, "Level ".concat(level + 1)));
    }
    var titlesGroup = zoom ? (React.createElement(Group, { transform: "translate(".concat(zoom.transformMatrix.translateX, ")") }, titles)) : (titles);
    return (React.createElement(React.Fragment, null,
        React.createElement("rect", { className: "header-background", width: (width || 0) + 2, height: HEADER_HEIGHT, x: 0, y: 0 }),
        React.createElement("line", { className: "header-border", x1: 0, y1: HEADER_HEIGHT - 0.5, x2: width, y2: HEADER_HEIGHT - 0.5 }),
        titlesGroup));
};
export var LevelBars = function (_a) {
    var levels = _a.levels, height = _a.height, zoom = _a.zoom;
    var bars = [];
    for (var level = 0; level <= levels; level++) {
        bars.push(React.createElement("rect", { key: "level-bar-".concat(level), className: "level", x: LINK_MARGIN + level * (NODE_WIDTH + DEPTH_SPACE) - NODE_WIDTH / 2, width: NODE_WIDTH - LINK_MARGIN * 2, height: (height || 0) + TREE_PADDING * 2 }));
    }
    var barsGroup = zoom ? (React.createElement(Group, { transform: "scale(".concat(zoom.transformMatrix.scaleX, ",1) translate(").concat(zoom.transformMatrix.translateX / zoom.transformMatrix.scaleX, ")") }, bars)) : (React.createElement(React.Fragment, null, bars));
    return barsGroup;
};
//#endregion
