/// <reference types="react" />
import { Bbox, LinkProvider, NodeData, NodeProvider, TreeVisualNode, ZoomProvider } from '../types';
import { FlexNode } from './FlexTree';
interface Props<T extends NodeData> {
    data: TreeVisualNode<T>;
    renderNode: NodeProvider<T>;
    renderLink: LinkProvider<T>;
    viewportWidth: number;
    viewportHeight: number;
    bbox: Bbox;
    compareFunction?: (a: FlexNode<TreeVisualNode<T>>, b: FlexNode<TreeVisualNode<T>>) => number | undefined;
    zoom: ZoomProvider;
}
/**
 * Minimap view of the entire tree view to drag/view through
 */
declare const MiniMap: <T extends NodeData>({ data, renderNode, renderLink, viewportWidth, viewportHeight, bbox, compareFunction, zoom }: Props<T>) => JSX.Element;
export default MiniMap;
