/*
 *    CLOUDERA Cloudera Data Platform
 *
 *    (C) Cloudera, Inc. 2021
 *    All rights reserved.
 *
 *    Applicable Open Source License: AGPLv3
 *
 *    NOTE: Cloudera open source products are modular software products
 *    made up of hundreds of individual components, each of which was
 *    individually copyrighted.  Each Cloudera open source product is a
 *    collective work under U.S. Copyright Law. Your license to use the
 *    collective work is as provided in your written agreement with
 *    Cloudera.  Used apart from the collective work, this file is
 *    licensed for your use pursuant to the open source license
 *    identified above.
 *
 *    This code is provided to you pursuant a written agreement with
 *    (i) Cloudera, Inc. or (ii) a third-party authorized to distribute
 *    this code. If you do not have a written agreement with Cloudera nor
 *    with an authorized and properly licensed third party, you do not
 *    have any rights to access nor to use this code.
 *
 *    Absent a written agreement with Cloudera, Inc. (“Cloudera”) to the
 *    contrary, A) CLOUDERA PROVIDES THIS CODE TO YOU WITHOUT WARRANTIES OF ANY
 *    KIND; (B) CLOUDERA DISCLAIMS ANY AND ALL EXPRESS AND IMPLIED
 *    WARRANTIES WITH RESPECT TO THIS CODE, INCLUDING BUT NOT LIMITED TO
 *    IMPLIED WARRANTIES OF TITLE, NON-INFRINGEMENT, MERCHANTABILITY AND
 *    FITNESS FOR A PARTICULAR PURPOSE; (C) CLOUDERA IS NOT LIABLE TO YOU,
 *    AND WILL NOT DEFEND, INDEMNIFY, NOR HOLD YOU HARMLESS FOR ANY CLAIMS
 *    ARISING FROM OR RELATED TO THE CODE; AND (D)WITH RESPECT TO YOUR EXERCISE
 *    OF ANY RIGHTS GRANTED TO YOU FOR THE CODE, CLOUDERA IS NOT LIABLE FOR ANY
 *    DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, PUNITIVE OR
 *    CONSEQUENTIAL DAMAGES INCLUDING, BUT NOT LIMITED TO, DAMAGES
 *    RELATED TO LOST REVENUE, LOST PROFITS, LOSS OF INCOME, LOSS OF
 *    BUSINESS ADVANTAGE OR UNAVAILABILITY, OR LOSS OR CORRUPTION OF
 *    DATA.
 */
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import React, { useEffect, useRef } from 'react';
import { Menu } from 'antd';
import { shadow1Down } from "cuix/dist/styles/variables";
import { getTreeViewContainer, repositionInContainer } from '../utils/helpers';
var getMenuPosition = function (menuButton, parent) {
    var menuButtonRect = menuButton.getBoundingClientRect();
    var parentRect = parent.getBoundingClientRect();
    return {
        top: menuButtonRect.top - parentRect.top + menuButtonRect.height + 2,
        left: menuButtonRect.left - parentRect.left
    };
};
var onMenuClick = function (menuInfo, nodeData, handlers) {
    var _a;
    (_a = handlers[menuInfo.key]) === null || _a === void 0 ? void 0 : _a.call(handlers, nodeData);
};
var NodeMenu = function (_a) {
    var node = _a.node, menuButton = _a.menuButton, handlers = _a.handlers, children = _a.children;
    var treeViewContainer = getTreeViewContainer();
    var menuRef = useRef(null);
    useEffect(function () {
        setTimeout(function () { return repositionInContainer(menuRef.current, treeViewContainer); });
    });
    if (!treeViewContainer) {
        return null;
    }
    return (React.createElement("div", { ref: menuRef, style: __assign({ position: 'absolute', visibility: 'hidden' }, getMenuPosition(menuButton, treeViewContainer)) },
        React.createElement(Menu, { onClick: node && (function (menuInfo) { return onMenuClick(menuInfo, node.data.nodeData, handlers); }), style: {
                border: 'none',
                boxShadow: shadow1Down
            } }, children)));
};
export default NodeMenu;
