/*
 *    CLOUDERA Cloudera Data Platform
 *
 *    (C) Cloudera, Inc. 2021
 *    All rights reserved.
 *
 *    Applicable Open Source License: AGPLv3
 *
 *    NOTE: Cloudera open source products are modular software products
 *    made up of hundreds of individual components, each of which was
 *    individually copyrighted.  Each Cloudera open source product is a
 *    collective work under U.S. Copyright Law. Your license to use the
 *    collective work is as provided in your written agreement with
 *    Cloudera.  Used apart from the collective work, this file is
 *    licensed for your use pursuant to the open source license
 *    identified above.
 *
 *    This code is provided to you pursuant a written agreement with
 *    (i) Cloudera, Inc. or (ii) a third-party authorized to distribute
 *    this code. If you do not have a written agreement with Cloudera nor
 *    with an authorized and properly licensed third party, you do not
 *    have any rights to access nor to use this code.
 *
 *    Absent a written agreement with Cloudera, Inc. (“Cloudera”) to the
 *    contrary, A) CLOUDERA PROVIDES THIS CODE TO YOU WITHOUT WARRANTIES OF ANY
 *    KIND; (B) CLOUDERA DISCLAIMS ANY AND ALL EXPRESS AND IMPLIED
 *    WARRANTIES WITH RESPECT TO THIS CODE, INCLUDING BUT NOT LIMITED TO
 *    IMPLIED WARRANTIES OF TITLE, NON-INFRINGEMENT, MERCHANTABILITY AND
 *    FITNESS FOR A PARTICULAR PURPOSE; (C) CLOUDERA IS NOT LIABLE TO YOU,
 *    AND WILL NOT DEFEND, INDEMNIFY, NOR HOLD YOU HARMLESS FOR ANY CLAIMS
 *    ARISING FROM OR RELATED TO THE CODE; AND (D)WITH RESPECT TO YOUR EXERCISE
 *    OF ANY RIGHTS GRANTED TO YOU FOR THE CODE, CLOUDERA IS NOT LIABLE FOR ANY
 *    DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, PUNITIVE OR
 *    CONSEQUENTIAL DAMAGES INCLUDING, BUT NOT LIMITED TO, DAMAGES
 *    RELATED TO LOST REVENUE, LOST PROFITS, LOSS OF INCOME, LOSS OF
 *    BUSINESS ADVANTAGE OR UNAVAILABILITY, OR LOSS OR CORRUPTION OF
 *    DATA.
 */
import React, { useEffect, useRef } from 'react';
import Portal from '../../Portal/Portal';
import { getTreeViewContainer, repositionInContainer } from '../utils/helpers';
var NodeTooltip = function (_a) {
    var showTooltip = _a.showTooltip, top = _a.top, left = _a.left, children = _a.children;
    var tooltipContainer = getTreeViewContainer();
    var tooltipRef = useRef(null);
    useEffect(function () {
        setTimeout(function () { return repositionInContainer(tooltipRef.current, tooltipContainer, 8); });
    });
    if (!showTooltip || !tooltipContainer) {
        return null;
    }
    var tooltipContainerRect = tooltipContainer.getBoundingClientRect();
    return (React.createElement(Portal, { getParentElement: getTreeViewContainer },
        React.createElement("div", { ref: tooltipRef, className: "ant-tooltip", style: {
                visibility: 'hidden',
                top: top - tooltipContainerRect.top,
                left: left - tooltipContainerRect.left
            } },
            React.createElement("div", { className: "ant-tooltip-content" },
                React.createElement("div", { className: "ant-tooltip-inner", role: "tooltip" }, children)))));
};
export default NodeTooltip;
