import "../styles/index.css";
import { ReactNode } from 'react';
import { LinkProvider, MenuProvider, NodeData, NodeProvider, NodeSortOption, TreeLayoutNode, TreeVisualNode } from '../types';
interface Props<T extends NodeData> {
    data: TreeVisualNode<T>;
    renderNode: NodeProvider<T>;
    renderLink: LinkProvider<T>;
    renderMenu?: MenuProvider<TreeLayoutNode<T>>;
    renderNodeThumbnail?: NodeProvider<T>;
    renderLinkThumbnail?: LinkProvider<T>;
    isReadOnly?: boolean;
    sortOptions?: NodeSortOption[];
    defaultSortOption?: NodeSortOption;
    onRefresh?: () => void;
    setNodeHeights?: (data: TreeLayoutNode<T>) => void;
    customControl?: ReactNode;
}
declare const NodeTreeView: <T extends NodeData>({ data, renderNode, renderLink, renderMenu, renderNodeThumbnail, renderLinkThumbnail, isReadOnly, sortOptions, defaultSortOption, onRefresh, setNodeHeights, customControl }: Props<T>) => JSX.Element;
export default NodeTreeView;
