import React from 'react';
import { WithParentSizeProps } from '@visx/responsive/lib/enhancers/withParentSize';
import { Bbox, ZoomProvider } from '../types';
export interface Props {
    data: any;
    svgRef: React.RefObject<SVGGElement>;
    children: (zoom: ZoomProvider, width: number, height: number, bbox: Bbox) => React.ReactNode;
}
declare const _default: {
    new (props: Readonly<Props & WithParentSizeProps & {
        parentWidth?: number | undefined;
        parentHeight?: number | undefined;
        initialWidth?: number | undefined;
        initialHeight?: number | undefined;
    }>): {
        state: {
            parentWidth: undefined;
            parentHeight: undefined;
        };
        animationFrameID: number;
        resizeObserver: import("resize-observer-polyfill").default | undefined;
        container: HTMLDivElement | null;
        componentDidMount(): void;
        componentWillUnmount(): void;
        setRef: (ref: HTMLDivElement) => void;
        resize: any;
        render(): JSX.Element;
        context: any;
        setState<K extends "parentWidth" | "parentHeight" | "initialWidth" | "initialHeight">(state: {
            parentWidth?: number | undefined;
            parentHeight?: number | undefined;
            initialWidth?: number | undefined;
            initialHeight?: number | undefined;
        } | ((prevState: Readonly<{
            parentWidth?: number | undefined;
            parentHeight?: number | undefined;
            initialWidth?: number | undefined;
            initialHeight?: number | undefined;
        }>, props: Readonly<Props & WithParentSizeProps & {
            parentWidth?: number | undefined;
            parentHeight?: number | undefined;
            initialWidth?: number | undefined;
            initialHeight?: number | undefined;
        }>) => {
            parentWidth?: number | undefined;
            parentHeight?: number | undefined;
            initialWidth?: number | undefined;
            initialHeight?: number | undefined;
        } | Pick<{
            parentWidth?: number | undefined;
            parentHeight?: number | undefined;
            initialWidth?: number | undefined;
            initialHeight?: number | undefined;
        }, K> | null) | Pick<{
            parentWidth?: number | undefined;
            parentHeight?: number | undefined;
            initialWidth?: number | undefined;
            initialHeight?: number | undefined;
        }, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callback?: (() => void) | undefined): void;
        readonly props: Readonly<Props & WithParentSizeProps & {
            parentWidth?: number | undefined;
            parentHeight?: number | undefined;
            initialWidth?: number | undefined;
            initialHeight?: number | undefined;
        }> & Readonly<{
            children?: React.ReactNode;
        }>;
        refs: {
            [key: string]: React.ReactInstance;
        };
        shouldComponentUpdate?(nextProps: Readonly<Props & WithParentSizeProps & {
            parentWidth?: number | undefined;
            parentHeight?: number | undefined;
            initialWidth?: number | undefined;
            initialHeight?: number | undefined;
        }>, nextState: Readonly<{
            parentWidth?: number | undefined;
            parentHeight?: number | undefined;
            initialWidth?: number | undefined;
            initialHeight?: number | undefined;
        }>, nextContext: any): boolean;
        componentDidCatch?(error: Error, errorInfo: React.ErrorInfo): void;
        getSnapshotBeforeUpdate?(prevProps: Readonly<Props & WithParentSizeProps & {
            parentWidth?: number | undefined;
            parentHeight?: number | undefined;
            initialWidth?: number | undefined;
            initialHeight?: number | undefined;
        }>, prevState: Readonly<{
            parentWidth?: number | undefined;
            parentHeight?: number | undefined;
            initialWidth?: number | undefined;
            initialHeight?: number | undefined;
        }>): any;
        componentDidUpdate?(prevProps: Readonly<Props & WithParentSizeProps & {
            parentWidth?: number | undefined;
            parentHeight?: number | undefined;
            initialWidth?: number | undefined;
            initialHeight?: number | undefined;
        }>, prevState: Readonly<{
            parentWidth?: number | undefined;
            parentHeight?: number | undefined;
            initialWidth?: number | undefined;
            initialHeight?: number | undefined;
        }>, snapshot?: any): void;
        componentWillMount?(): void;
        UNSAFE_componentWillMount?(): void;
        componentWillReceiveProps?(nextProps: Readonly<Props & WithParentSizeProps & {
            parentWidth?: number | undefined;
            parentHeight?: number | undefined;
            initialWidth?: number | undefined;
            initialHeight?: number | undefined;
        }>, nextContext: any): void;
        UNSAFE_componentWillReceiveProps?(nextProps: Readonly<Props & WithParentSizeProps & {
            parentWidth?: number | undefined;
            parentHeight?: number | undefined;
            initialWidth?: number | undefined;
            initialHeight?: number | undefined;
        }>, nextContext: any): void;
        componentWillUpdate?(nextProps: Readonly<Props & WithParentSizeProps & {
            parentWidth?: number | undefined;
            parentHeight?: number | undefined;
            initialWidth?: number | undefined;
            initialHeight?: number | undefined;
        }>, nextState: Readonly<{
            parentWidth?: number | undefined;
            parentHeight?: number | undefined;
            initialWidth?: number | undefined;
            initialHeight?: number | undefined;
        }>, nextContext: any): void;
        UNSAFE_componentWillUpdate?(nextProps: Readonly<Props & WithParentSizeProps & {
            parentWidth?: number | undefined;
            parentHeight?: number | undefined;
            initialWidth?: number | undefined;
            initialHeight?: number | undefined;
        }>, nextState: Readonly<{
            parentWidth?: number | undefined;
            parentHeight?: number | undefined;
            initialWidth?: number | undefined;
            initialHeight?: number | undefined;
        }>, nextContext: any): void;
    };
    new (props: Props & WithParentSizeProps & {
        parentWidth?: number | undefined;
        parentHeight?: number | undefined;
        initialWidth?: number | undefined;
        initialHeight?: number | undefined;
    }, context?: any): {
        state: {
            parentWidth: undefined;
            parentHeight: undefined;
        };
        animationFrameID: number;
        resizeObserver: import("resize-observer-polyfill").default | undefined;
        container: HTMLDivElement | null;
        componentDidMount(): void;
        componentWillUnmount(): void;
        setRef: (ref: HTMLDivElement) => void;
        resize: any;
        render(): JSX.Element;
        context: any;
        setState<K_1 extends "parentWidth" | "parentHeight" | "initialWidth" | "initialHeight">(state: {
            parentWidth?: number | undefined;
            parentHeight?: number | undefined;
            initialWidth?: number | undefined;
            initialHeight?: number | undefined;
        } | ((prevState: Readonly<{
            parentWidth?: number | undefined;
            parentHeight?: number | undefined;
            initialWidth?: number | undefined;
            initialHeight?: number | undefined;
        }>, props: Readonly<Props & WithParentSizeProps & {
            parentWidth?: number | undefined;
            parentHeight?: number | undefined;
            initialWidth?: number | undefined;
            initialHeight?: number | undefined;
        }>) => {
            parentWidth?: number | undefined;
            parentHeight?: number | undefined;
            initialWidth?: number | undefined;
            initialHeight?: number | undefined;
        } | Pick<{
            parentWidth?: number | undefined;
            parentHeight?: number | undefined;
            initialWidth?: number | undefined;
            initialHeight?: number | undefined;
        }, K_1> | null) | Pick<{
            parentWidth?: number | undefined;
            parentHeight?: number | undefined;
            initialWidth?: number | undefined;
            initialHeight?: number | undefined;
        }, K_1> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callback?: (() => void) | undefined): void;
        readonly props: Readonly<Props & WithParentSizeProps & {
            parentWidth?: number | undefined;
            parentHeight?: number | undefined;
            initialWidth?: number | undefined;
            initialHeight?: number | undefined;
        }> & Readonly<{
            children?: React.ReactNode;
        }>;
        refs: {
            [key: string]: React.ReactInstance;
        };
        shouldComponentUpdate?(nextProps: Readonly<Props & WithParentSizeProps & {
            parentWidth?: number | undefined;
            parentHeight?: number | undefined;
            initialWidth?: number | undefined;
            initialHeight?: number | undefined;
        }>, nextState: Readonly<{
            parentWidth?: number | undefined;
            parentHeight?: number | undefined;
            initialWidth?: number | undefined;
            initialHeight?: number | undefined;
        }>, nextContext: any): boolean;
        componentDidCatch?(error: Error, errorInfo: React.ErrorInfo): void;
        getSnapshotBeforeUpdate?(prevProps: Readonly<Props & WithParentSizeProps & {
            parentWidth?: number | undefined;
            parentHeight?: number | undefined;
            initialWidth?: number | undefined;
            initialHeight?: number | undefined;
        }>, prevState: Readonly<{
            parentWidth?: number | undefined;
            parentHeight?: number | undefined;
            initialWidth?: number | undefined;
            initialHeight?: number | undefined;
        }>): any;
        componentDidUpdate?(prevProps: Readonly<Props & WithParentSizeProps & {
            parentWidth?: number | undefined;
            parentHeight?: number | undefined;
            initialWidth?: number | undefined;
            initialHeight?: number | undefined;
        }>, prevState: Readonly<{
            parentWidth?: number | undefined;
            parentHeight?: number | undefined;
            initialWidth?: number | undefined;
            initialHeight?: number | undefined;
        }>, snapshot?: any): void;
        componentWillMount?(): void;
        UNSAFE_componentWillMount?(): void;
        componentWillReceiveProps?(nextProps: Readonly<Props & WithParentSizeProps & {
            parentWidth?: number | undefined;
            parentHeight?: number | undefined;
            initialWidth?: number | undefined;
            initialHeight?: number | undefined;
        }>, nextContext: any): void;
        UNSAFE_componentWillReceiveProps?(nextProps: Readonly<Props & WithParentSizeProps & {
            parentWidth?: number | undefined;
            parentHeight?: number | undefined;
            initialWidth?: number | undefined;
            initialHeight?: number | undefined;
        }>, nextContext: any): void;
        componentWillUpdate?(nextProps: Readonly<Props & WithParentSizeProps & {
            parentWidth?: number | undefined;
            parentHeight?: number | undefined;
            initialWidth?: number | undefined;
            initialHeight?: number | undefined;
        }>, nextState: Readonly<{
            parentWidth?: number | undefined;
            parentHeight?: number | undefined;
            initialWidth?: number | undefined;
            initialHeight?: number | undefined;
        }>, nextContext: any): void;
        UNSAFE_componentWillUpdate?(nextProps: Readonly<Props & WithParentSizeProps & {
            parentWidth?: number | undefined;
            parentHeight?: number | undefined;
            initialWidth?: number | undefined;
            initialHeight?: number | undefined;
        }>, nextState: Readonly<{
            parentWidth?: number | undefined;
            parentHeight?: number | undefined;
            initialWidth?: number | undefined;
            initialHeight?: number | undefined;
        }>, nextContext: any): void;
    };
    defaultProps: {
        debounceTime: number;
        enableDebounceLeadingCall: boolean;
    };
    contextType?: React.Context<any> | undefined;
};
export default _default;
