import { NodeData, TreeVisualNode } from '../types';
export declare const getNodeWidth: (node: TreeVisualNode<NodeData>) => number;
export declare const getNodeHeight: (node: TreeVisualNode<NodeData>) => number;
export declare const isRootNode: (nodeData: NodeData) => boolean;
export declare const hasChildren: <T extends NodeData>(node: TreeVisualNode<T>) => boolean;
export declare const isParentNode: <T extends NodeData>(node: TreeVisualNode<T>) => boolean;
export declare const isNodeInTree: (node: TreeVisualNode<NodeData>, path: string) => boolean;
export declare const isNodeActive: (path?: string, activeNode?: NodeData, searchText?: string) => boolean;
export declare const isNodeAncestorActive: (path?: string, activeNode?: NodeData, searchText?: string) => boolean;
export declare const isNodeChildActive: (node: TreeVisualNode<NodeData>, activeNode?: NodeData, searchText?: string) => boolean;
export declare const isNodeDescendantActive: (node: TreeVisualNode<NodeData>, activeNode?: NodeData, searchText?: string) => boolean;
export declare const isNodeSearched: (nodeName: string, searchText?: string) => boolean;
export declare const isNodeChildSearched: (node: TreeVisualNode<NodeData>, searchText?: string) => boolean;
export declare const isNodeDescendantSearched: (node: TreeVisualNode<NodeData>, searchText?: string) => boolean;
export declare const isNodeMuted: (node: TreeVisualNode<NodeData>, activeNode?: NodeData, searchText?: string) => boolean;
