// Copyright (c) 2021 Cloudera, Inc. All rights reserved.
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React from 'react';
import { notification as antdNotification } from 'antd';
import AlertIcon from '../Alert/AlertIcon';
import CloseIcon from '@cloudera/cuix-core/icons/react/CloseIcon';
import "./notification.css";
var notification = {
    close: function (key) {
        antdNotification.close(key);
    },
    destroy: function () {
        antdNotification.destroy();
    },
    config: function (options) {
        antdNotification.config(options);
    },
    open: function (_a) {
        var className = _a.className, props = __rest(_a, ["className"]);
        antdNotification.open(__assign({ className: "cuix-notification-unknown-color ".concat(props.description ? 'cuix-notification-with-description' : '', " ").concat(className || ''), closeIcon: React.createElement(CloseIcon, null) }, props));
    },
    info: function (_a) {
        var className = _a.className, icon = _a.icon, props = __rest(_a, ["className", "icon"]);
        antdNotification.open(__assign({ className: "cuix-notification-info-color ".concat(props.description ? 'cuix-notification-with-description' : '', " ").concat(className || ''), icon: icon || AlertIcon({ type: 'info' }), closeIcon: React.createElement(CloseIcon, null) }, props));
    },
    success: function (_a) {
        var className = _a.className, icon = _a.icon, props = __rest(_a, ["className", "icon"]);
        antdNotification.open(__assign({ className: "cuix-notification-success-color ".concat(props.description ? 'cuix-notification-with-description' : '', " ").concat(className || ''), icon: icon || AlertIcon({ type: 'success' }), closeIcon: React.createElement(CloseIcon, null) }, props));
    },
    warning: function (_a) {
        var className = _a.className, icon = _a.icon, props = __rest(_a, ["className", "icon"]);
        antdNotification.open(__assign({ className: "cuix-notification-warning-color ".concat(props.description ? 'cuix-notification-with-description' : '', " ").concat(className || ''), icon: icon || AlertIcon({ type: 'warning' }), closeIcon: React.createElement(CloseIcon, null) }, props));
    },
    error: function (_a) {
        var className = _a.className, icon = _a.icon, props = __rest(_a, ["className", "icon"]);
        antdNotification.open(__assign({ className: "cuix-notification-error-color ".concat(props.description ? 'cuix-notification-with-description' : '', " ").concat(className || ''), icon: icon || AlertIcon({ type: 'error' }), closeIcon: React.createElement(CloseIcon, null) }, props));
    }
};
export default notification;
