var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
// Copyright (c) 2022 Cloudera, Inc. All rights reserved.
import React from 'react';
import DragHandleIcon from '@cloudera/cuix-core/icons/react/DragHandleIcon';
import { fluidxSpacingXxs } from "cuix/dist/styles/variables";
import i18n from "cuix/dist/utils/i18n";
import { IconButton } from "cuix/dist/components/Button";
import styled from 'styled-components';
var DragHandleButton = styled(IconButton)(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  cursor: grab;\n"], ["\n  cursor: grab;\n"])));
/**
 * A drag handle that can be used by `Draggable` components.
 */
var DragHandle = React.forwardRef(function (_a, ref) {
    var dataEventCategory = _a["data-event-category"], dataEvent = _a["data-event"], dataEventLabel = _a["data-event-label"], dataEventValue = _a["data-event-value"], listeners = __rest(_a, ['data-event-category', 'data-event', 'data-event-label', 'data-event-value']);
    return (React.createElement("div", __assign({ ref: ref }, listeners, { style: {
            display: 'flex',
            marginRight: fluidxSpacingXxs,
            alignItems: 'center'
        } }),
        React.createElement(DragHandleButton, { "aria-label": i18n.t('label.move'), "data-event-category": dataEventCategory, "data-event": dataEvent, "data-event-label": dataEventLabel, "data-event-value": dataEventValue, icon: React.createElement(DragHandleIcon, null), onMouseDown: function (event) {
                event.preventDefault(); // Prevent from taking focus
            } })));
});
export default DragHandle;
var templateObject_1;
