var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
// Copyright (c) 2022 Cloudera, Inc. All rights reserved.
import React from 'react';
import { useSortable } from '@dnd-kit/sortable';
import { CSS } from '@dnd-kit/utilities';
import DragHandle from './DragHandle';
import { fluidxSpacingXs } from "cuix/dist/styles/variables";
/**
 * Makes its children draggable.
 */
var Draggable = function (_a) {
    var id = _a.id, disabled = _a.disabled, style = _a.style, children = _a.children, showPlaceholder = _a.showPlaceholder, showHandle = _a.showHandle;
    var _b = useSortable({
        id: id,
        disabled: disabled
    }), attributes = _b.attributes, listeners = _b.listeners, setNodeRef = _b.setNodeRef, setActivatorNodeRef = _b.setActivatorNodeRef, transform = _b.transform, transition = _b.transition, isDragging = _b.isDragging;
    return (React.createElement("div", __assign({ ref: setNodeRef, style: __assign({ transform: CSS.Transform.toString(transform), transition: transition, opacity: showPlaceholder && isDragging ? 0.5 : 1, display: 'flex', alignItems: 'center', marginBottom: fluidxSpacingXs }, style) }, attributes, (!showHandle ? listeners : undefined)),
        !disabled && showHandle && (React.createElement(DragHandle, __assign({ ref: setActivatorNodeRef }, listeners, { "data-event": "Drag Item" }))),
        children));
};
export default Draggable;
