import React, { ReactNode } from 'react';
import type { FormListFieldData, FormListOperation } from 'antd/es/form/FormList';
export declare const getDraggableId: (field: FormListFieldData) => string;
export declare const getDraggableIds: (fields?: FormListFieldData[]) => string[];
interface Props {
    fields: FormListFieldData[];
    onDrop: FormListOperation['move'];
    showHandle?: boolean;
    /**
     * If provided, a placeholder will be rendered while an item is being dragged to
     * indicate where the item will be dropped.
     */
    renderPlaceholder?: (ids: string[], activeId: string) => ReactNode;
}
/**
 * Represents the area in which a `Draggable` can be dropped.
 */
declare const Droppable: React.FC<Props>;
export default Droppable;
