var __read = (this && this.__read) || function (o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m) return o;
    var i = m.call(o), r, ar = [], e;
    try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
    }
    catch (error) { e = { error: error }; }
    finally {
        try {
            if (r && !r.done && (m = i["return"])) m.call(i);
        }
        finally { if (e) throw e.error; }
    }
    return ar;
};
// Copyright (c) 2022 Cloudera, Inc. All rights reserved.
import React, { useEffect, useState } from 'react';
import { DndContext, closestCenter, KeyboardSensor, PointerSensor, useSensor, useSensors, DragOverlay } from '@dnd-kit/core';
import { arrayMove, SortableContext, sortableKeyboardCoordinates, verticalListSortingStrategy } from '@dnd-kit/sortable';
import { restrictToVerticalAxis, restrictToParentElement } from '@dnd-kit/modifiers';
import Draggable from './Draggable';
export var getDraggableId = function (field) { return field.key.toString(); };
export var getDraggableIds = function (fields) {
    if (!fields) {
        return [];
    }
    return fields.map(function (field) {
        return getDraggableId(field);
    });
};
/**
 * Represents the area in which a `Draggable` can be dropped.
 */
var Droppable = function (_a) {
    var fields = _a.fields, onDrop = _a.onDrop, renderPlaceholder = _a.renderPlaceholder, showHandle = _a.showHandle, children = _a.children;
    var _b = __read(useState(getDraggableIds(fields)), 2), draggableItemIds = _b[0], setDraggableItemIds = _b[1];
    useEffect(function () { return setDraggableItemIds(getDraggableIds(fields)); }, [fields]);
    var _c = __read(useState(), 2), activeId = _c[0], setActiveId = _c[1];
    var sensors = useSensors(useSensor(PointerSensor), useSensor(KeyboardSensor, {
        coordinateGetter: sortableKeyboardCoordinates
    }));
    function handleDragStart(event) {
        setActiveId(event.active.id.toString());
        document.body.style.cursor = 'grabbing';
    }
    var handleDragEnd = function (event) {
        var _a;
        setActiveId(undefined);
        document.body.style.cursor = '';
        var overId = (_a = event.over) === null || _a === void 0 ? void 0 : _a.id.toString();
        var activeId = event.active.id.toString();
        if (overId && activeId !== overId) {
            var oldIndex = draggableItemIds.indexOf(activeId);
            var newIndex = draggableItemIds.indexOf(overId);
            onDrop(oldIndex, newIndex);
            setDraggableItemIds(arrayMove(draggableItemIds, oldIndex, newIndex));
        }
    };
    return (React.createElement("div", { className: "dnd-boundary" },
        React.createElement(DndContext, { sensors: sensors, collisionDetection: closestCenter, onDragStart: handleDragStart, onDragEnd: handleDragEnd, modifiers: [restrictToVerticalAxis, restrictToParentElement] },
            React.createElement(SortableContext, { items: draggableItemIds, strategy: verticalListSortingStrategy }, children),
            renderPlaceholder && activeId && (React.createElement(DragOverlay, { adjustScale: true },
                React.createElement(Draggable, { id: "", style: { pointerEvents: 'none' }, disabled: false, showHandle: showHandle }, renderPlaceholder(draggableItemIds, activeId)))))));
};
export default Droppable;
