/// <reference types="react" />
import { FormListProps, FormListOperationHandler } from "cuix/dist/components/FormList";
interface Props<T = string> extends FormListProps<T>, FormListOperationHandler {
    /**
     * If `true`, a drag handle will be rendered. This is recommended when the
     * draggable item contains interactive elements. Default is `true`.
     */
    showHandle?: boolean;
}
/**
 * A list of form item components that can be arranged in the desired order.
 * Pass a `Form.Item` or other compatible component to the `formItem` prop and
 * `OrderableFormList` provides the logic to add and remove multiple instances
 * that are treated as a single, array-valued form field.
 */
declare const OrderableFormList: <T extends unknown = string>({ name, renderFormItem, addButtonLabel, removeButtonLabel, showHandle, required, requiredMessage, allowDuplicates, noDuplicatesMessage, readOnly, disableAdd, rules, isItemTouched, onAdd, onMove, onRemove }: Props<T>) => JSX.Element;
export default OrderableFormList;
