var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __read = (this && this.__read) || function (o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m) return o;
    var i = m.call(o), r, ar = [], e;
    try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
    }
    catch (error) { e = { error: error }; }
    finally {
        try {
            if (r && !r.done && (m = i["return"])) m.call(i);
        }
        finally { if (e) throw e.error; }
    }
    return ar;
};
var __spreadArray = (this && this.__spreadArray) || function (to, from, pack) {
    if (pack || arguments.length === 2) for (var i = 0, l = from.length, ar; i < l; i++) {
        if (ar || !(i in from)) {
            if (!ar) ar = Array.prototype.slice.call(from, 0, i);
            ar[i] = from[i];
        }
    }
    return to.concat(ar || Array.prototype.slice.call(from));
};
// Copyright (c) 2022 Cloudera, Inc. All rights reserved.
import React from 'react';
import { Form } from 'antd';
import { getRequiredRule, getDuplicatesRule, FormListRemoveButton, FormListAddButton } from "cuix/dist/components/FormList";
import Draggable from './Draggable';
import Droppable, { getDraggableId } from './Droppable';
/**
 * A list of form item components that can be arranged in the desired order.
 * Pass a `Form.Item` or other compatible component to the `formItem` prop and
 * `OrderableFormList` provides the logic to add and remove multiple instances
 * that are treated as a single, array-valued form field.
 */
var OrderableFormList = function (_a) {
    var name = _a.name, renderFormItem = _a.renderFormItem, addButtonLabel = _a.addButtonLabel, removeButtonLabel = _a.removeButtonLabel, showHandle = _a.showHandle, required = _a.required, requiredMessage = _a.requiredMessage, allowDuplicates = _a.allowDuplicates, noDuplicatesMessage = _a.noDuplicatesMessage, readOnly = _a.readOnly, disableAdd = _a.disableAdd, rules = _a.rules, isItemTouched = _a.isItemTouched, onAdd = _a.onAdd, onMove = _a.onMove, onRemove = _a.onRemove;
    var isTouched = isItemTouched || (function (value) { return value !== undefined; });
    var disabled = readOnly === undefined ? false : !!readOnly;
    var shouldShowHandle = showHandle === undefined ? true : !!showHandle;
    var renderPlaceholder = function (ids, activeId) {
        return (React.createElement(React.Fragment, null,
            renderFormItem({
                name: ids.indexOf(activeId),
                key: ids.indexOf(activeId),
                style: { flex: 'auto', marginBottom: 0 }
            }),
            React.createElement(FormListRemoveButton, { label: removeButtonLabel, onClick: function () { } })));
    };
    return (React.createElement(Form.List, { name: name, rules: __spreadArray([
            getRequiredRule(required, requiredMessage),
            getDuplicatesRule(allowDuplicates, noDuplicatesMessage)
        ], __read((rules || [])), false) }, function (fields, _a, _b) {
        var add = _a.add, move = _a.move, remove = _a.remove;
        var errors = _b.errors;
        return (React.createElement(Droppable, { fields: fields, onDrop: function (oldIndex, newIndex) {
                move(oldIndex, newIndex);
                onMove === null || onMove === void 0 ? void 0 : onMove(oldIndex, newIndex);
            }, renderPlaceholder: renderPlaceholder, showHandle: shouldShowHandle },
            fields &&
                fields.map(function (field) { return (React.createElement(Draggable, { key: getDraggableId(field), id: getDraggableId(field), disabled: disabled, showPlaceholder: !!renderPlaceholder, showHandle: shouldShowHandle },
                    renderFormItem(__assign(__assign({}, field), { style: { flex: 'auto', marginBottom: 0 } })),
                    !readOnly && remove && (React.createElement(FormListRemoveButton, { label: removeButtonLabel, onClick: function () {
                            remove(field.name);
                            onRemove === null || onRemove === void 0 ? void 0 : onRemove(field.name);
                        } })))); }),
            !readOnly && (React.createElement(FormListAddButton, { name: name, onClick: function () {
                    add();
                    onAdd === null || onAdd === void 0 ? void 0 : onAdd();
                }, label: addButtonLabel, disableAdd: disableAdd, isTouched: isTouched })),
            React.createElement(Form.ErrorList, { errors: errors })));
    }));
};
export default OrderableFormList;
