/// <reference types="react" />
import type { BaseOptionType, DefaultOptionType } from 'antd/es/select';
import { FormListProps } from "cuix/dist/components/FormList";
declare type OptionType = BaseOptionType | DefaultOptionType;
interface Props<T = string, U extends OptionType = DefaultOptionType> extends Omit<FormListProps<T>, 'renderFormItem'> {
    options: U[];
    placeholder?: string;
}
/**
 * An orderable list of `Select` components that all share the same options. By
 * default, options are disabled as they are selected and when all options are
 * selected, the Add button is disabled; however, you can change this behavior
 * by setting `allowDuplicates` to `true`.
 */
declare const OrderableSelectList: <T extends unknown = string, U extends OptionType = DefaultOptionType>({ options, placeholder, allowDuplicates, readOnly, disableAdd, ...formListProps }: Props<T, U>) => JSX.Element;
export default OrderableSelectList;
