var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
// Copyright (c) 2022 Cloudera, Inc. All rights reserved.
import React from 'react';
import { Form, Select } from 'antd';
import OrderableFormList from "cuix/dist/components/OrderableFormList";
var getDisableAdd = function (disableAdd, allowDuplicates, optionCount) {
    var isAddDisabled = function (values) {
        if (!values) {
            return false;
        }
        return optionCount === values.length;
    };
    if (disableAdd) {
        return true;
    }
    if (allowDuplicates) {
        return true;
    }
    return isAddDisabled;
};
var getOptionsWithState = function (options, selectedValues, itemValue, allowDuplicates) {
    if (!options || !selectedValues || selectedValues.length === 0 || allowDuplicates) {
        return options;
    }
    var optionsWithState = options.map(function (option) {
        if (option.value && option.value !== itemValue && selectedValues.includes(option.value)) {
            option.disabled = true;
        }
        else {
            option.disabled = false;
        }
        return __assign({}, option);
    });
    return optionsWithState;
};
/**
 * An orderable list of `Select` components that all share the same options. By
 * default, options are disabled as they are selected and when all options are
 * selected, the Add button is disabled; however, you can change this behavior
 * by setting `allowDuplicates` to `true`.
 */
var OrderableSelectList = function (_a) {
    var options = _a.options, placeholder = _a.placeholder, allowDuplicates = _a.allowDuplicates, readOnly = _a.readOnly, disableAdd = _a.disableAdd, formListProps = __rest(_a, ["options", "placeholder", "allowDuplicates", "readOnly", "disableAdd"]);
    return (React.createElement(OrderableFormList, __assign({ readOnly: readOnly, allowDuplicates: allowDuplicates, disableAdd: getDisableAdd(!!disableAdd, !!allowDuplicates, options.length) }, formListProps, { renderFormItem: function (formItemProps) {
            return (
            // `shouldUpdate` is required so we can use a function as the child of
            // `Form.Item`.
            React.createElement(Form.Item, { shouldUpdate: true, noStyle: true }, function (_a) {
                var getFieldValue = _a.getFieldValue;
                var selectedValues = getFieldValue(formListProps.name);
                var optionsWithState = getOptionsWithState(options, selectedValues, selectedValues[formItemProps.name], allowDuplicates);
                return (React.createElement(Form.Item, __assign({}, formItemProps),
                    React.createElement(Select, { options: optionsWithState, placeholder: placeholder, disabled: readOnly })));
            }));
        } })));
};
export default OrderableSelectList;
