// Copyright (c) 2018 Cloudera, Inc. All rights reserved.
import React from 'react';
import { Row, Col } from 'antd';
import Alert from "cuix/dist/components/Alert";
import InsufficientRights from "cuix/dist/components/InsufficientRights";
import i18n from "cuix/dist/utils/i18n";
import { cleanUpErrorMessage } from '../InlineError/util';
import StatusErrorIcon from '@cloudera/cuix-core/icons/react/StatusErrorIcon';
var PageError = function (_a) {
    var code = _a.code, title = _a.title, message = _a.message, requestId = _a.requestId;
    message = cleanUpErrorMessage(message ? message === null || message === void 0 ? void 0 : message.toString() : '');
    if (requestId) {
        message = (React.createElement(React.Fragment, null,
            message,
            React.createElement("br", null),
            i18n.t('label.requestID'),
            ": ",
            requestId));
    }
    return (React.createElement(Row, { justify: "center", align: "middle", style: { height: '100%' } },
        React.createElement(Col, { xs: 12 }, code === 'PERMISSION_DENIED' ? (React.createElement(InsufficientRights, null)) : (React.createElement(Alert, { type: "error", showIcon: true, icon: React.createElement(StatusErrorIcon, null), message: title, description: message })))));
};
export default PageError;
