import React, { ReactNode, ReactElement } from 'react';
import "./PageHeader.css";
interface BreadcrumbItem {
    label: string;
    href?: string;
    content?: ReactElement<any>;
}
export interface Props {
    className?: string;
    /** Page title.*/
    title: ReactNode;
    /** Breadcrumbs array. Each breadcrumb is mapped to a Breadcrumb.Item component. */
    breadcrumbs?: BreadcrumbItem[];
    /** Actions menu for the page. Displayed next to the title. */
    actionMenu?: ReactNode;
    /** Tabs for the page. Displayed next to title or action menu. */
    tabs?: ReactNode;
    /** Filters (or any other content) for the page. Displayed on the right. */
    filters?: ReactNode;
}
export default class PageHeader extends React.Component<Props> {
    renderBreadcrumbs(): JSX.Element | null;
    render(): JSX.Element;
}
export {};
