// Copyright (c) 2018 Cloudera, Inc. All rights reserved.
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import React, { Fragment } from 'react';
import { Breadcrumb } from 'antd';
import classNames from 'classnames';
import get from 'lodash/get';
import Toolbar from '../Toolbar';
import "./PageHeader.css";
var PageHeader = /** @class */ (function (_super) {
    __extends(PageHeader, _super);
    function PageHeader() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    PageHeader.prototype.renderBreadcrumbs = function () {
        var breadcrumbs = this.props.breadcrumbs;
        if (!breadcrumbs) {
            return null;
        }
        return (React.createElement(Breadcrumb, null, breadcrumbs.map(function (_a) {
            var label = _a.label, href = _a.href, content = _a.content;
            return content ? (React.createElement(Breadcrumb.Item, { key: label }, React.cloneElement(content, {
                className: classNames(get(content, 'props.className'), 'ant-breadcrumb-link')
            }))) : (React.createElement(Breadcrumb.Item, { key: label, href: href }, label));
        })));
    };
    PageHeader.prototype.render = function () {
        var _a = this.props, title = _a.title, actionMenu = _a.actionMenu, tabs = _a.tabs, className = _a.className, filters = _a.filters;
        var titleRendered = typeof title === 'string' ? (React.createElement("h1", { className: classNames({ large: !actionMenu }) }, title)) : (title);
        return (React.createElement("div", { className: classNames('altus-page-header', className) },
            this.renderBreadcrumbs(),
            React.createElement(Toolbar, { left: React.createElement(Fragment, null,
                    titleRendered,
                    actionMenu,
                    tabs), right: filters })));
    };
    return PageHeader;
}(React.Component));
export default PageHeader;
