import React from 'react';
interface Props {
    fullWidth: boolean;
    /**
     * Additional space that must be reserved for elements outside the grid, such
     * as the navigation bar.
     */
    widthAdjustment: number;
    style?: React.CSSProperties;
    children: React.ReactNode;
}
/**
 * Helper component that defines the horizontal parameters of the grid layout.
 * Specifically, this defines the left and right padding/margins and the min/max
 * width of the entire grid. The `columnWidth` of `GridContext` is based on the
 * width of this component.
 */
declare const GridHorizontalLayout: React.ForwardRefExoticComponent<Props & React.RefAttributes<HTMLDivElement>>;
export default GridHorizontalLayout;
