var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
// Copyright (c) 2023 Cloudera, Inc. All rights reserved.
import React from 'react';
import { cdlScrollbarWidthMaxUnitless, cdlSpacingM, cdlAppLayoutFullWidthMaxUnitless, cdlAppLayoutCenteredWidthMaxUnitless, cdlAppLayoutWidthMinUnitless } from "cuix/dist/styles/variables";
/**
 * Helper component that defines the horizontal parameters of the grid layout.
 * Specifically, this defines the left and right padding/margins and the min/max
 * width of the entire grid. The `columnWidth` of `GridContext` is based on the
 * width of this component.
 */
var GridHorizontalLayout = React.forwardRef(function (_a, ref) {
    var fullWidth = _a.fullWidth, widthAdjustment = _a.widthAdjustment, style = _a.style, children = _a.children;
    return (React.createElement("div", { ref: ref, style: __assign({ marginLeft: fullWidth ? 'unset' : 'auto', marginRight: 'auto', paddingLeft: cdlSpacingM, paddingRight: cdlSpacingM, width: '100%', minWidth: cdlAppLayoutWidthMinUnitless - widthAdjustment - cdlScrollbarWidthMaxUnitless, maxWidth: (fullWidth ? cdlAppLayoutFullWidthMaxUnitless : cdlAppLayoutCenteredWidthMaxUnitless) -
                widthAdjustment }, style) }, children));
});
export default GridHorizontalLayout;
