import React from 'react';
import { BreadcrumbsProps } from '../Breadcrumbs/Breadcrumbs';
interface Props extends Partial<BreadcrumbsProps> {
    /**
     * Style for the content area.
     */
    style?: React.CSSProperties;
    /**
     * Additional space that must be reserved for elements outside the grid, such
     * as the navigation bar.
     */
    widthAdjustment?: number;
    /**
     * If true, the page content will use the entire available viewport width;
     * otherwise, the page content will be centered in viewports larger than the
     * maximum supported width.
     *
     * @default false
     */
    fullWidth?: boolean;
}
declare const PageContent: React.FC<Props>;
export default PageContent;
