var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
// Copyright (c) 2023 Cloudera, Inc. All rights reserved.
import React from 'react';
import PageTitle from '../PageTitle/PageTitle';
import { cdlTitleBarHeight } from "cuix/dist/styles/variables";
import styled from 'styled-components';
import GridHorizontalLayout from './GridHorizontalLayout';
import PageContent from './PageContent';
import { backgroundColor } from './theme';
import { defaultTheme as theme } from "cuix/dist/styles/theme";
var PageHeader = styled('header')(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  position: sticky;\n  top: 0;\n  left: 0;\n  z-index: 1;\n  height: ", ";\n  background-color: ", ";\n"], ["\n  position: sticky;\n  top: 0;\n  left: 0;\n  z-index: 1;\n  height: ", ";\n  background-color: ", ";\n"])), cdlTitleBarHeight, backgroundColor);
PageHeader.defaultProps = { theme: theme };
/**
 * Lays out a CDL page, including the title, breadcrumbs, and content (children)
 * in a 12-column grid. It provides a columnWidth value to its children via
 * React Context that they can use to size themselves correctly, given the
 * number of columns they want to span.
 *
 * Children placed directly inside this component will stack with the correct
 * gap between them. The children should be other, more specific layout
 * components, or Cards.
 *
 * Cards have a `size` prop that dictates their width in grid columns. By
 * placing them inside this component, they will responsively resize themselves
 * within the limits defined by CDL.
 */
var PageLayout = function (_a) {
    var headerStyle = _a.headerStyle, title = _a.title, controls = _a.controls, homeIcon = _a.homeIcon, breadcrumbs = _a.breadcrumbs, showPrevious = _a.showPrevious, _b = _a.fullWidth, fullWidth = _b === void 0 ? false : _b, _c = _a.widthAdjustment, widthAdjustment = _c === void 0 ? 0 : _c, contentStyle = _a.contentStyle, 
    // TODO: [future] Uncomment or remove based on final decision in CDL regarding footers. (jgolieb)
    // footer,
    children = _a.children, _d = _a.isAdmin, isAdmin = _d === void 0 ? false : _d;
    return (React.createElement(React.Fragment, null,
        React.createElement(PageHeader, { style: headerStyle },
            React.createElement(GridHorizontalLayout, { fullWidth: fullWidth, widthAdjustment: widthAdjustment, style: { minWidth: 'initial' } },
                React.createElement(PageTitle, { title: title, controls: controls, isAdmin: isAdmin }))),
        React.createElement(PageContent, { style: __assign({ height: "calc(100% - ".concat(cdlTitleBarHeight, ")") }, contentStyle), showPrevious: showPrevious, breadcrumbs: breadcrumbs, homeIcon: homeIcon, fullWidth: fullWidth, widthAdjustment: widthAdjustment }, children)));
};
export default PageLayout;
var templateObject_1;
