var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
// Copyright (c) 2023 Cloudera, Inc. All rights reserved.
import React from 'react';
import styled from 'styled-components';
import { cdlSpacingM, cdlTitleBarHeight } from "cuix/dist/styles/variables";
import { Heading } from '../Typography';
import Notifications from '../../notification/components/Notifications/Notifications';
import { backgroundColor } from './theme';
import { defaultTheme as theme } from "cuix/dist/styles/theme";
var TitleLayout = styled('div')(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  display: flex;\n  align-items: center;\n  height: ", ";\n  background-color: ", ";\n"], ["\n  display: flex;\n  align-items: center;\n  height: ", ";\n  background-color: ", ";\n"])), cdlTitleBarHeight, backgroundColor);
TitleLayout.defaultProps = { theme: theme };
/**
 * This style is based on "H1 Small", as specified here:
 * https://design.cloudera.com/9f23dd142/p/88f716-typography/t/753c35; however,
 * it should be factored out into a common style (ideally, as part of `Heading`)
 * using an `h1` element for proper semantics. We have not done this yet,
 * though, because there is a conflicting usage of `h1` for the heading style
 * specified here:
 * https://design.cloudera.com/9f23dd142/p/88f716-typography/t/1929a8 This
 * should be revisited when the CDL specification resolves this conflict.
 */
var Title = styled(Heading)(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n  && {\n    font-size: 20px;\n    margin: 0;\n    margin-right: ", ";\n    white-space: nowrap;\n    overflow: hidden;\n    text-overflow: ellipsis;\n  }\n"], ["\n  && {\n    font-size: 20px;\n    margin: 0;\n    margin-right: ", ";\n    white-space: nowrap;\n    overflow: hidden;\n    text-overflow: ellipsis;\n  }\n"])), cdlSpacingM);
/**
 * Renders the page title and any controls provided.
 */
var PageTitle = function (_a) {
    var title = _a.title, controls = _a.controls, isAdmin = _a.isAdmin;
    var notification = !isAdmin ? (React.createElement(React.Fragment, null,
        React.createElement("div", { style: { marginLeft: 'auto' } }, controls),
        React.createElement(Notifications, null))) : null;
    return (React.createElement(TitleLayout, null,
        React.createElement(Title, { level: 1 }, title),
        notification));
};
export default PageTitle;
var templateObject_1, templateObject_2;
