// Copyright (c) 2019 Cloudera, Inc. All rights reserved.
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
import React from 'react';
import classNames from 'classnames';
import Toolbar from '../Toolbar';
import { Breadcrumb } from 'antd';
import i18n from '../../utils/i18n';
import styled from 'styled-components';
import { fluidxWhite } from "cuix/dist/styles/variables";
var StyledPageTitleBar = styled(Toolbar)(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  background: ", ";\n  height: 56px;\n  flex-shrink: 0;\n  padding: 0 24px;\n"], ["\n  background: ", ";\n  height: 56px;\n  flex-shrink: 0;\n  padding: 0 24px;\n"])), fluidxWhite);
var StyledBreadcrumb = styled(Breadcrumb)(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n  &.ant-breadcrumb {\n    font-size: 20px;\n    font-weight: 300;\n    display: flex;\n    align-items: center;\n\n    & > span {\n      display: flex;\n      align-items: center;\n    }\n\n    & .ant-breadcrumb-link {\n      max-width: 320px;\n      overflow: hidden;\n      text-overflow: ellipsis;\n      white-space: nowrap;\n      display: inline-block;\n      vertical-align: bottom; // overflow: hidden throws off vertical alignment\n    }\n  }\n"], ["\n  &.ant-breadcrumb {\n    font-size: 20px;\n    font-weight: 300;\n    display: flex;\n    align-items: center;\n\n    & > span {\n      display: flex;\n      align-items: center;\n    }\n\n    & .ant-breadcrumb-link {\n      max-width: 320px;\n      overflow: hidden;\n      text-overflow: ellipsis;\n      white-space: nowrap;\n      display: inline-block;\n      vertical-align: bottom; // overflow: hidden throws off vertical alignment\n    }\n  }\n"])));
function breadcrumbRenderer(route, _params, routes) {
    var last = routes.indexOf(route) === routes.length - 1;
    var breadcrumbName = route.breadcrumbName;
    var title;
    if (typeof breadcrumbName === 'string') {
        breadcrumbName = i18n.t(breadcrumbName);
        title = breadcrumbName;
    }
    return last || !route.path ? (React.createElement("span", { title: title }, breadcrumbName)) : (React.createElement("a", { href: route.path, title: title }, breadcrumbName));
}
var PageTitleBar = function (_a) {
    var breadcrumbs = _a.breadcrumbs, className = _a.className, center = _a.center, right = _a.right;
    return (React.createElement(StyledPageTitleBar, { className: classNames('cuix-page-titlebar', className), left: React.createElement(StyledBreadcrumb, { routes: breadcrumbs, itemRender: breadcrumbRenderer }), center: center, right: right, "data-test": "PageTitleBar" }));
};
PageTitleBar.defaultProps = {};
export default PageTitleBar;
var templateObject_1, templateObject_2;
