var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __read = (this && this.__read) || function (o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m) return o;
    var i = m.call(o), r, ar = [], e;
    try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
    }
    catch (error) { e = { error: error }; }
    finally {
        try {
            if (r && !r.done && (m = i["return"])) m.call(i);
        }
        finally { if (e) throw e.error; }
    }
    return ar;
};
// Copyright (c) 2023 Cloudera, Inc. All rights reserved.
import React, { useEffect, useRef, useState } from 'react';
import styled from 'styled-components';
import Tooltip from '../Tooltip';
import { useResizeObserver } from '@react-hookz/web/esm/useResizeObserver';
import { cdlSpacingM, cdlSpacingXs, cdlSpacingXxs, cdlSpacingTiny, cdlTextSmallSize, cdlSpacingTinyUnitless } from '@cloudera/cuix-core/variables';
var StyledSpan = styled.span(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  display: inline-flex;\n  align-items: center;\n  justify-content: center;\n  vertical-align: middle; // keep all tags vertically aligned\n  height: ", ";\n  border-radius: ", ";\n  padding-right: ", ";\n  padding-left: ", ";\n  padding-top: ", ";\n  padding-bottom: ", ";\n  font-size: ", ";\n  line-height: 1;\n  white-space: nowrap;\n  overflow: hidden;\n  min-width: ", ";\n  max-width: 100%;\n"], ["\n  display: inline-flex;\n  align-items: center;\n  justify-content: center;\n  vertical-align: middle; // keep all tags vertically aligned\n  height: ", ";\n  border-radius: ", ";\n  padding-right: ", ";\n  padding-left: ", ";\n  padding-top: ", ";\n  padding-bottom: ", ";\n  font-size: ", ";\n  line-height: 1;\n  white-space: nowrap;\n  overflow: hidden;\n  min-width: ", ";\n  max-width: 100%;\n"])), cdlSpacingM, cdlSpacingXs, cdlSpacingXxs, cdlSpacingXxs, cdlSpacingTiny, cdlSpacingTiny, cdlTextSmallSize, cdlSpacingM);
/**
 * The base component for Tag, Badge, and others. You probably shouldn't use
 * this directly.
 */
var Pill = function (_a) {
    var className = _a.className, pillStyle = _a.style, color = _a.color, backgroundColor = _a.backgroundColor, borderColor = _a.borderColor, Icon = _a.icon, value = _a.value, controls = _a.controls, _b = _a.tooltip, tooltip = _b === void 0 ? true : _b;
    var style = pillStyle;
    // For icon-only or single characters
    var largeDotStyle = {
        width: cdlSpacingM
    };
    var isLargeDot = false;
    if (!Icon && !controls) {
        if (typeof value === 'string' && (value === null || value === void 0 ? void 0 : value.length) === 1) {
            isLargeDot = true;
        }
    }
    else if (!value && !controls) {
        isLargeDot = true;
    }
    if (isLargeDot) {
        style = __assign(__assign({}, pillStyle), largeDotStyle);
    }
    else if (Icon && value) {
        // We use special left padding when there's an icon and value to better
        // nestle the icon into the curve of the pill
        style = __assign(__assign({}, pillStyle), { paddingLeft: cdlSpacingTiny });
    }
    var _c = __read(useState(false), 2), isTruncated = _c[0], setIsTruncated = _c[1];
    var ref = useRef(null);
    useResizeObserver(ref, function () {
        if (ref.current) {
            setIsTruncated(ref.current.offsetWidth < ref.current.scrollWidth);
        }
    });
    var _d = __read(useState(false), 2), showTooltip = _d[0], setShowTooltip = _d[1];
    useEffect(function () {
        setShowTooltip(isTruncated && !!tooltip);
    }, [isTruncated, tooltip]);
    var title = undefined;
    if (typeof tooltip === 'string') {
        title = tooltip;
    }
    else if (typeof value === 'string') {
        title = value;
    }
    return (React.createElement(Tooltip, { title: showTooltip ? title : undefined },
        React.createElement(StyledSpan, { className: className, style: __assign(__assign({}, style), { color: color, backgroundColor: backgroundColor, borderStyle: 'solid', borderColor: borderColor, borderWidth: borderColor ? 1 : 0 }) },
            Icon && (React.createElement("span", { style: { fontSize: 16, height: 16, marginRight: value ? cdlSpacingTiny : 0 } },
                React.createElement(Icon, null))),
            React.createElement("div", { ref: ref, style: {
                    whiteSpace: 'nowrap',
                    textOverflow: 'ellipsis',
                    overflow: isLargeDot ? 'initial' : 'hidden'
                } }, value),
            controls && (React.createElement("span", { style: { marginLeft: cdlSpacingTiny, marginRight: -cdlSpacingTinyUnitless } }, controls)))));
};
export default Pill;
var templateObject_1;
