import React from 'react';
import "@ant-design/compatible/lib/form/style/index.css";
import { CommonFormProps } from '../../utils/formUtils';
import { FormConfig } from '../../types/react-types';
import type { FormLayout } from 'antd/es/form/Form';
export interface Props<T> extends CommonFormProps<T> {
    /** children is used as a trigger to show the popover. */
    children: React.ReactElement<any>;
    /** Title of the popover. */
    title: React.ReactNode;
    /** Disables Submit form button if form is not touched by user */
    disableOkIfNotTouched?: boolean;
    /** Whether to hide the form on submit. */
    hideOnSubmit?: boolean;
    /** Width of the modal. */
    width?: number;
    /** Custom footer for the modal. See Ant's documentation for more info. */
    footer?: React.ReactNode;
    /** Whether modal is visible. */
    visible?: boolean;
    /** A function that gets called when user clicks Cancel. */
    onCancel?: () => void;
}
interface StateProps {
    visible: boolean;
}
/**
 * Container component for a popover form. Props are very similar to FormContainer. This also expects
 * a children which is used as the trigger for displaying the popover.
 */
declare class UnwrappedPopoverFormContainer<T = any> extends React.Component<Props<T>, StateProps> {
    formConfig: FormConfig;
    constructor(props: Props<T>);
    toggle: (visible: boolean) => void;
    show: () => void;
    hide: () => void;
    onSubmit: (e: React.FormEvent) => void;
    renderContent(): JSX.Element;
    render(): JSX.Element;
    static defaultProps: {
        submitText: string;
        cancelText: string;
        submitting: boolean;
        layout: FormLayout;
    };
}
/**
 * @deprecated Uses old antd 3.x forms. See antd docs for current form usage.
 */
declare const PopoverFormContainer: import("@ant-design/compatible/lib/form/interface").ConnectedComponentClass<typeof UnwrappedPopoverFormContainer, import("@ant-design/compatible/lib/_util/types").Omit<import("@ant-design/compatible/lib/form").FormComponentProps<any>, "form">>;
export default PopoverFormContainer;
