var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
// Copyright (c) 2018 Cloudera, Inc. All rights reserved.
import React from 'react';
import { Form } from '@ant-design/compatible';
import "@ant-design/compatible/lib/form/style/index.css";
import { Popover, Button } from 'antd';
import { getFormConfig, POPOVER_FORM_LAYOUT } from '../../utils/formUtils';
import Loading from "cuix/dist/components/Loading";
import Toolbar from "cuix/dist/components/Toolbar";
import i18n from "cuix/dist/utils/i18n";
/**
 * Container component for a popover form. Props are very similar to FormContainer. This also expects
 * a children which is used as the trigger for displaying the popover.
 */
var UnwrappedPopoverFormContainer = /** @class */ (function (_super) {
    __extends(UnwrappedPopoverFormContainer, _super);
    function UnwrappedPopoverFormContainer(props) {
        var _this = _super.call(this, props) || this;
        _this.toggle = function (visible) {
            if (visible) {
                return _this.show();
            }
            _this.hide();
        };
        _this.show = function () { return _this.setState({ visible: true }); };
        _this.hide = function () {
            _this.setState({ visible: false }, function () {
                if (_this.props.onCancel) {
                    _this.props.onCancel();
                }
            });
        };
        _this.onSubmit = function (e) {
            e.preventDefault();
            _this.props.form.validateFields(function (err, values) {
                if (!err) {
                    _this.props.onSubmit(values);
                    _this.hide();
                }
            });
        };
        _this.state = { visible: false };
        var _a = _this.props, form = _a.form, getValidationRules = _a.getValidationRules;
        _this.formConfig = getFormConfig({
            form: form,
            getInitialValues: function () { return _this.props.initialValues || {}; },
            getValidationRules: getValidationRules,
            defaultLayout: _this.props.layout === 'horizontal' ? POPOVER_FORM_LAYOUT : false,
            popupContainerRef: React.createRef()
        });
        return _this;
    }
    UnwrappedPopoverFormContainer.prototype.renderContent = function () {
        var _a = this.props, renderForm = _a.renderForm, submitText = _a.submitText, submitting = _a.submitting, cancelText = _a.cancelText, layout = _a.layout;
        return (React.createElement("div", { ref: this.formConfig.popupContainerRef },
            React.createElement(Form, { onSubmit: this.onSubmit, layout: layout },
                submitting && React.createElement(Loading, { delay: 0 }),
                renderForm(this.formConfig),
                React.createElement(Toolbar, { right: React.createElement(React.Fragment, null,
                        React.createElement(Button, { onClick: this.hide }, cancelText),
                        React.createElement(Button, { onClick: this.onSubmit, htmlType: "submit", type: "primary" }, submitText)) }))));
    };
    UnwrappedPopoverFormContainer.prototype.render = function () {
        var _a = this.props, title = _a.title, children = _a.children;
        var trigger = React.cloneElement(children, { onClick: this.show });
        return (React.createElement(Popover, __assign({ trigger: "click", placement: "right", overlayClassName: "popover-large", visible: this.state.visible, onVisibleChange: this.toggle, title: title, content: this.renderContent() }, { destroyTooltipOnHide: true }), trigger));
    };
    UnwrappedPopoverFormContainer.defaultProps = {
        submitText: i18n.t('label.save'),
        cancelText: i18n.t('label.cancel'),
        submitting: false,
        layout: 'vertical'
    };
    return UnwrappedPopoverFormContainer;
}(React.Component));
/**
 * @deprecated Uses old antd 3.x forms. See antd docs for current form usage.
 */
var PopoverFormContainer = Form.create()(UnwrappedPopoverFormContainer);
PopoverFormContainer.displayName = 'PopoverFormContainer';
export default PopoverFormContainer;
