// Copyright (c) 2023 Cloudera, Inc. All rights reserved.
import React, { useEffect, useRef } from 'react';
import Portal from './Portal';
var MenuPortal = function (_a) {
    var data = _a.data, renderMenu = _a.renderMenu, menuTrigger = _a.menuTrigger, getParentElement = _a.getParentElement, onClick = _a.onClick, onClickOutside = _a.onClickOutside;
    var ref = useRef(null);
    useEffect(function () {
        var mouseEventHandler = function (event) {
            if (ref.current && !ref.current.contains(event.target) && onClickOutside) {
                onClickOutside(event);
            }
        };
        document.addEventListener('mousedown', mouseEventHandler);
        return function () { return document.removeEventListener('mousedown', mouseEventHandler); };
    }, [onClickOutside]);
    if (!data || !menuTrigger) {
        return null;
    }
    return (React.createElement(Portal, { getParentElement: getParentElement, ref: ref },
        React.createElement("div", { onClick: onClick }, renderMenu({ data: data, menuTrigger: menuTrigger }))));
};
export default MenuPortal;
