// Copyright (c) 2023 Cloudera, Inc. All rights reserved.
import React, { forwardRef, useEffect } from 'react';
import { createPortal } from 'react-dom';
var Portal = forwardRef(function (_a, ref) {
    var getParentElement = _a.getParentElement, children = _a.children;
    var parentElement = typeof getParentElement === 'function'
        ? getParentElement()
        : getParentElement || document.body;
    var element = document.createElement('div');
    useEffect(function () {
        if (parentElement) {
            parentElement.appendChild(element);
        }
        return function () {
            if (parentElement) {
                parentElement.removeChild(element);
            }
        };
    }, [element, parentElement]);
    return createPortal(React.createElement("div", { ref: ref }, children), element);
});
export default Portal;
