// Copyright (c) 2022 Cloudera, Inc. All rights reserved.
import React from 'react';
import { Tooltip } from 'antd';
import i18n from "cuix/dist/utils/i18n";
import FormattedDateTime, { FORMATS } from "cuix/dist/components/FormattedDateTime";
import { IconButton } from "cuix/dist/components/Button";
import RefreshIcon from '@cloudera/cuix-core/icons/react/RefreshIcon';
var RefreshButton = function (_a) {
    var onRefresh = _a.onRefresh, lastRefreshed = _a.lastRefreshed, hideTooltip = _a.hideTooltip;
    var refreshLabel = lastRefreshed && !hideTooltip ? (React.createElement(React.Fragment, null,
        i18n.t('label.lastRefreshed'),
        ":",
        ' ',
        React.createElement(FormattedDateTime, { dateTime: lastRefreshed, format: FORMATS.SHORT }))) : null;
    return (React.createElement(Tooltip, { placement: "left", title: refreshLabel },
        React.createElement(IconButton, { "data-event": "Refresh", "aria-label": "Refresh", onClick: onRefresh, icon: React.createElement(RefreshIcon, null) })));
};
export default RefreshButton;
