// Copyright (c) 2021 Cloudera, Inc. All rights reserved.
import React from 'react';
import DOMPurify from 'dompurify';
var purifier = DOMPurify();
// we want all links to be external/open in new tab/window
purifier.addHook('afterSanitizeAttributes', function (node) {
    if (node.tagName === 'A') {
        node.setAttribute('target', '_blank');
        node.setAttribute('rel', 'noreferrer noopener');
    }
});
export var sanitizeHtml = function (html) { return purifier.sanitize(html); };
/**
 * Sanitize and display html.
 *
 * **WARNING**: This should not be used to render user provided content. Only trusted content
 * from cloudera.
 */
export var SanitizedHtml = function (_a) {
    var dangerouslyInnerHTML = _a.dangerouslyInnerHTML;
    var sanitizedHtml = sanitizeHtml(dangerouslyInnerHTML);
    return React.createElement("span", { dangerouslySetInnerHTML: { __html: sanitizedHtml } });
};
export default SanitizedHtml;
