// Copyright (c) 2019 Cloudera, Inc. All rights reserved.
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React from 'react';
import classNames from 'classnames';
import Input from '../Input';
import styled from 'styled-components';
import { actions as routerActions, getSimpleSearchParam } from '../../reducers/routerReducer';
import { connect } from 'react-redux';
import i18n from '../../utils/i18n';
import SearchIcon from '@cloudera/cuix-core/icons/react/SearchIcon';
var SEARCH_PARAM_NAME = 'searchTerm';
var mapState = function (state, ownProps) { return ({
    value: getSimpleSearchParam(state, ownProps.searchParamName || SEARCH_PARAM_NAME)
}); };
var mapDispatch = {
    updateSearchParams: routerActions.updateSearchParams
};
var StyledInput = styled(Input)(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  max-width: 260px;\n"], ["\n  max-width: 260px;\n"])));
var SearchFilterBox = function (_a) {
    var className = _a.className, value = _a.value, updateSearchParams = _a.updateSearchParams, _b = _a.placeholder, placeholder = _b === void 0 ? 'label.search' : _b, _c = _a.searchParamName, searchParamName = _c === void 0 ? SEARCH_PARAM_NAME : _c, otherProps = __rest(_a, ["className", "value", "updateSearchParams", "placeholder", "searchParamName"]);
    return (React.createElement(StyledInput, __assign({ allowClear: true, placeholder: placeholder && i18n.t(placeholder), prefix: React.createElement(SearchIcon, null) }, otherProps, { value: value, className: classNames('cuix-search-filter-box', className), onChange: function (value) {
            var _a;
            return updateSearchParams((_a = {}, _a[searchParamName] = value, _a));
        } })));
};
export default connect(mapState, mapDispatch)(SearchFilterBox);
var templateObject_1;
