import React from 'react';
import { Select as AntdSelect, SelectProps } from 'antd';
import type { DefaultOptionType, RefSelectProps } from 'antd/es/select';
/**
 * Ant `<Select>` wrapper with proper icon. See ant docs for documentation of options/props.
 */
declare const Select: React.ForwardRefExoticComponent<SelectProps<any, DefaultOptionType> & React.RefAttributes<RefSelectProps>>;
declare type CompleteSelect = typeof Select & {
    Option: typeof AntdSelect.Option;
    OptGroup: typeof AntdSelect.OptGroup;
};
declare const _default: CompleteSelect;
export default _default;
export type { SelectProps, RefSelectProps };
/**
 * Filter function to allow search within a `<Select>` that searches on labels instead
 * of values when given as `filterOption`.
 */
export declare const basicLabelSearch: (input?: string, option?: DefaultOptionType) => boolean;
