var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
// Copyright (c) 2022 Cloudera, Inc. All rights reserved.
import React from 'react';
import { Select as AntdSelect } from 'antd';
import DropdownIcon from '@cloudera/cuix-core/icons/react/DropdownIcon';
import { fluidxButtonIconSizeM } from "cuix/dist/styles/variables";
/**
 * Ant `<Select>` wrapper with proper icon. See ant docs for documentation of options/props.
 */
var Select = React.forwardRef(function (props, ref) {
    return (React.createElement(AntdSelect, __assign({ ref: ref, suffixIcon: props.loading ? (
        // `suffixIcon` will override the default loading spinner
        // so when loading we set to undefined unless the caller
        // has also set a `suffixIcon` in which case we use theirs.
        props.suffixIcon) : (React.createElement(DropdownIcon, { style: { fontSize: fluidxButtonIconSizeM } })) }, props)));
});
Select.Option = AntdSelect.Option;
Select.OptGroup = AntdSelect.OptGroup;
export default Select;
/**
 * Filter function to allow search within a `<Select>` that searches on labels instead
 * of values when given as `filterOption`.
 */
export var basicLabelSearch = function (input, option) {
    if (input === void 0) { input = ''; }
    var label = (option === null || option === void 0 ? void 0 : option.label) || '';
    if (typeof label !== 'string') {
        throw new Error('Can not search on non-strings');
    }
    return label.toLowerCase().includes(input.toLowerCase());
};
