var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
// Copyright (c) 2021 Cloudera, Inc. All rights reserved.
import { Input } from 'antd';
import React from 'react';
import Select from '../Select/Select';
/**
 * Wraps antd `<Select>` to provide an additional readOnly state similar to `<Input>`.
 *
 * The only reason to use this over ant directly is if you need the readOnly state.
 */
var SelectWithReadOnly = function (_a) {
    var _b;
    var readOnly = _a.readOnly, props = __rest(_a, ["readOnly"]);
    if (props.children) {
        throw new Error('This component wrapper does not support children, user "options" props instead');
    }
    if (readOnly) {
        var option = (_b = props.options) === null || _b === void 0 ? void 0 : _b.find(function (option) { return option.value === props.value; });
        var label = (option === null || option === void 0 ? void 0 : option.label) || props.value;
        return React.createElement(Input, { readOnly: true, style: props.style, value: label });
    }
    return React.createElement(Select, __assign({}, props));
};
export default SelectWithReadOnly;
