var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
// Copyright (c) 2022 Cloudera, Inc. All rights reserved.
import { Col, Form, Row } from 'antd';
import { fluidxGray300, fluidxSpacingS, fluidxSpacingXxs, fluidxWhite } from "cuix/dist/styles/variables";
import React from 'react';
import styled from 'styled-components';
import { ButtonFooter } from '../ButtonFooter';
import { Heading } from '../Typography';
/**
 * Convenience wrapper `Heading` used for an optional title for the form
 */
export var ShortPageFormHeading = styled(Heading).attrs(function (props) { return (__assign({ level: 3 }, props)); })(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  && {\n    margin-bottom: 16px;\n  }\n"], ["\n  && {\n    margin-bottom: 16px;\n  }\n"])));
/**
 * A special Form.Item that we will style when placed inside our Card
 */
var ShortPageFormFooterItem = styled(Form.Item)(templateObject_2 || (templateObject_2 = __makeTemplateObject([""], [""])));
/**
 * Form footer that can display three buttons. For customization use the
 * wrapped components directly instead of this convenience wrapper
 */
export var ShortPageFormFooter = function (props) {
    return (React.createElement(ShortPageFormFooterItem, null,
        React.createElement(ButtonFooter, __assign({}, props))));
};
var FORM_WIDTH_SPAN = 16;
export var ShortPageFormLayout = function (_a) {
    var children = _a.children;
    return (React.createElement(Row, null,
        React.createElement(Col, { span: FORM_WIDTH_SPAN }, children)));
};
/**
 * A "Card" (e.g. white container) used to wrap a Short Page Form
 * with custom styling to match specs.
 */
export var ShortPageFormCard = styled.div(templateObject_3 || (templateObject_3 = __makeTemplateObject(["\n  padding: ", ";\n  background-color: ", ";\n\n  && .ant-form-item .ant-form-item-label {\n    // this overrides cuix specific styling !?\n    // should investigate more\n    // NOTE: this overrides cuix specific styling that sets it to 4px.\n    // 2px, 1px or 0px seems to match the spec closer depending on which\n    // form we look at.\n    // TODO: [future] Updated comment/values after we hear back from design. Consider updating\n    // cuix override instead (arne)\n    padding-bottom: 2px;\n  }\n\n  .ant-form-item {\n    // 22px currently matches the spec. I have reached out to Ryan\n    // for clarification.\n    // TODO: [future] Updated comment/values after we hear back from design (arne)\n    margin-bottom: 22px;\n  }\n\n  ", " {\n    border-top: 1px solid ", ";\n    // We'll use negative margins here to make sure the border-top\n    // stretches from side-to-side in the Card. We could solve this\n    // by removing padding on the Card and then having a CardContent,\n    // where CardContent would have the padding e.g.:\n    // <Card>\n    //   <CardContent>\n    //     .. form stuff\n    //   </CardContent>\n    //   <FooterWithTopBorder>\n    //     .. button stuff\n    //   </FooterWithTopBorder>\n    // </Card>\n    // But this would then complicate all Form layouts a bit by adding an extra\n    // level of nesting to all of them, so this seems overall a lot cleaner.\n    //\n    // The 44px is from the spec. Perhaps it is meant to be 40px? (16 + 24)?\n    // I have asked Ryan for clarification.\n    // TODO: [future] Updated comment/values after we hear back from design (arne)\n    margin: 44px -", " 0 -", ";\n    padding: ", " ", " 0 ", ";\n\n    .ant-btn + .ant-btn {\n      margin-left: ", ";\n    }\n  }\n"], ["\n  padding: ", ";\n  background-color: ", ";\n\n  && .ant-form-item .ant-form-item-label {\n    // this overrides cuix specific styling !?\n    // should investigate more\n    // NOTE: this overrides cuix specific styling that sets it to 4px.\n    // 2px, 1px or 0px seems to match the spec closer depending on which\n    // form we look at.\n    // TODO: [future] Updated comment/values after we hear back from design. Consider updating\n    // cuix override instead (arne)\n    padding-bottom: 2px;\n  }\n\n  .ant-form-item {\n    // 22px currently matches the spec. I have reached out to Ryan\n    // for clarification.\n    // TODO: [future] Updated comment/values after we hear back from design (arne)\n    margin-bottom: 22px;\n  }\n\n  ", " {\n    border-top: 1px solid ", ";\n    // We'll use negative margins here to make sure the border-top\n    // stretches from side-to-side in the Card. We could solve this\n    // by removing padding on the Card and then having a CardContent,\n    // where CardContent would have the padding e.g.:\n    // <Card>\n    //   <CardContent>\n    //     .. form stuff\n    //   </CardContent>\n    //   <FooterWithTopBorder>\n    //     .. button stuff\n    //   </FooterWithTopBorder>\n    // </Card>\n    // But this would then complicate all Form layouts a bit by adding an extra\n    // level of nesting to all of them, so this seems overall a lot cleaner.\n    //\n    // The 44px is from the spec. Perhaps it is meant to be 40px? (16 + 24)?\n    // I have asked Ryan for clarification.\n    // TODO: [future] Updated comment/values after we hear back from design (arne)\n    margin: 44px -", " 0 -", ";\n    padding: ", " ", " 0 ", ";\n\n    .ant-btn + .ant-btn {\n      margin-left: ", ";\n    }\n  }\n"])), fluidxSpacingS, fluidxWhite, ShortPageFormFooterItem, fluidxGray300, fluidxSpacingS, fluidxSpacingS, fluidxSpacingS, fluidxSpacingS, fluidxSpacingS, fluidxSpacingXxs);
/**
 * A `<Form>` with included layout and card to simplify creating a "Short Page
 * Form". This is intended to be used on Pages only (e.g. not in Modals etc).
 * See design.cloudera.com for more details on Form usage. This convenience
 * component should handle most cases. For uncommon cases, then re-use the
 * underlying building blocks instead of this.
 *
 * Example:
 *
 * ```jsx
 * <ShortPageForm onFinish={onFinish}>
 *   // Optional header
 *   <ShortPageFormHeader>Database Overview</ShortPageFormHeader>
 *   <Form.Item label="Environment" name="env">
 *     <Input />
 *   </Form.Item>
 *   <ShortPageFormFooter
 *     primaryButton={
 *       <PrimaryButton htmlType="submit" data-event="Create database">
 *         Create Database
 *       </PrimaryButton>
 *     }
 *     cancelButton={
 *       <BorderlessButton data-event="Cancel create database" onClick={onCancel}>
 *         Cancel
 *       </BorderlessButton>
 *     }
 *   />
 *  </ShortPageForm>
 * ```
 *
 */
export var ShortPageForm = function (props) {
    return (React.createElement(ShortPageFormLayout, null,
        React.createElement(ShortPageFormCard, null,
            React.createElement(Form, __assign({ layout: "vertical" }, props)))));
};
var templateObject_1, templateObject_2, templateObject_3;
