import React from 'react';
import { StepsProps } from 'antd';
interface Props extends Omit<StepsProps, 'labelPlacement' | 'progressDot' | 'size' | 'type'> {
    /**
     * The default size is what antd calls "small". You can set `size` to "large"
     * to get a large `Steps` component, but it will be ignored if you also set
     * `direction` to "horizontal".
     */
    size?: 'large';
}
/**
 * A CDL-compliant `Steps` component.
 */
declare const Steps: React.FC<Props>;
export default Steps;
