import React, { CSSProperties } from 'react';
import "./Table.css";
import type { ColumnProps as AntColumnProps, TableProps as AntTableProps, TablePaginationConfig } from 'antd/es/table';
import type { SpinProps } from 'antd/es/spin';
import type { SortOrder } from 'antd/es/table/interface';
/** Convenience variable to prevent the sorter from having a 'cancel sort' option */
export declare const ASCEND_DESCEND_ONLY_SORT_DIRECTIONS: SortOrder[];
export interface ColumnProps<T> extends AntColumnProps<T> {
    hidden?: boolean;
}
export interface Props extends AntTableProps<any> {
    /** Custom css className you can add to Table */
    className?: string;
    style?: CSSProperties;
    loading?: boolean | SpinProps;
    /** Same as Ant Table columns, but each column definition supports extra 'hidden' property. */
    columns?: ColumnProps<any>[];
    /** Same as Ant Table pagination, but with custom defaults */
    pagination?: false | TablePaginationConfig;
    toolbar?: React.ReactNode;
}
declare const Table: {
    ({ className, loading, columns, pagination, size, locale, toolbar, ...props }: Props): JSX.Element;
    EXPAND_COLUMN: {};
    SELECT_COLUMN: {};
    SELECTION_ALL: "SELECT_ALL";
    SELECTION_INVERT: "SELECT_INVERT";
    SELECTION_NONE: "SELECT_NONE";
};
export default Table;
