var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
/* Copyright (c) 2019 Cloudera, Inc. All rights reserved. */
import React from 'react';
// eslint-disable-next-line thunderhead/prefer-cuix-over-antd
import { Table as AntTable } from 'antd';
import i18n from '../../utils/i18n';
import classNames from 'classnames';
import { defaults } from '../../utils/constants';
import "./Table.css";
import { DEFAULT_PROPS as DEFAULT_LOADING_PROPS } from '../Loading';
import SpinnerIcon from '../SpinnerIcon';
import { TableToolbar } from './TableToolbar';
var totalRangeLabel = function (total, range) {
    return i18n.t('ko.components.pagination.displayXtoY.known', range[0], range[1], total);
};
/** Convenience variable to prevent the sorter from having a 'cancel sort' option */
export var ASCEND_DESCEND_ONLY_SORT_DIRECTIONS = ['ascend', 'descend', 'ascend'];
var Table = function (_a) {
    var className = _a.className, loading = _a.loading, columns = _a.columns, _b = _a.pagination, pagination = _b === void 0 ? {
        defaultPageSize: defaults.PAGE_SIZE,
        showTotal: totalRangeLabel,
        showSizeChanger: true,
        hideOnSinglePage: true,
        pageSizeOptions: defaults.PAGE_SIZE_OPTIONS
    } : _b, size = _a.size, _c = _a.locale, locale = _c === void 0 ? {
        emptyText: React.createElement("span", { "data-test": "TableNoResultsFound" }, i18n.t('message.noResultsFound'))
    } : _c, toolbar = _a.toolbar, props = __rest(_a, ["className", "loading", "columns", "pagination", "size", "locale", "toolbar"]);
    if (loading && locale) {
        // if we don't override the empty message, we'll show it ("nothing found")
        // when in loading state, which isn't really correct since we don't know yet
        locale.emptyText = React.createElement("span", { "data-test": "TableLoadingText" },
            i18n.t('label.loading'),
            "\u2026");
    }
    var table = (React.createElement(AntTable, __assign({}, props, { columns: columns ? columns.filter(function (column) { return !column.hidden; }) : undefined, locale: locale, pagination: pagination, size: size, className: classNames('cdp-table', className), loading: __assign({ spinning: !!loading, indicator: React.createElement(SpinnerIcon, { size: "default" }) }, DEFAULT_LOADING_PROPS) })));
    if (toolbar) {
        return (React.createElement(React.Fragment, null,
            React.createElement(TableToolbar, null, toolbar),
            table));
    }
    return table;
};
Table.EXPAND_COLUMN = AntTable.EXPAND_COLUMN;
Table.SELECT_COLUMN = AntTable.SELECTION_COLUMN;
Table.SELECTION_ALL = AntTable.SELECTION_ALL;
Table.SELECTION_INVERT = AntTable.SELECTION_INVERT;
Table.SELECTION_NONE = AntTable.SELECTION_NONE;
export default Table;
