var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __read = (this && this.__read) || function (o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m) return o;
    var i = m.call(o), r, ar = [], e;
    try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
    }
    catch (error) { e = { error: error }; }
    finally {
        try {
            if (r && !r.done && (m = i["return"])) m.call(i);
        }
        finally { if (e) throw e.error; }
    }
    return ar;
};
// Copyright (c) 2023 Cloudera, Inc. All rights reserved.
import React from 'react';
import { Tabs as AntdTabs } from 'antd';
import { useSelector } from 'react-redux';
import useSearchParamState from "cuix/dist/hooks/useSearchParamState";
import styled from 'styled-components';
import { getSearchParam } from "cuix/dist/reducers/routerReducer";
import { fluidxApiColor } from "cuix/dist/styles/variables";
var DEFAULT_SEARCH_PARAM_KEY = 'tab';
var StyledTabs = styled(AntdTabs)(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  position: relative;\n\n  &&.ant-tabs {\n    color: ", ";\n  }\n\n  && .ant-tabs-tabpane-active {\n    min-height: 400px;\n  }\n"], ["\n  position: relative;\n\n  &&.ant-tabs {\n    color: ", ";\n  }\n\n  && .ant-tabs-tabpane-active {\n    min-height: 400px;\n  }\n"])), fluidxApiColor);
/**
 * Wrapper around antd Tabs with the additional functionality of being able to update url with searchParams.
 * The searchParam will by default be ?tab=<tabKey>
 */
export var Tabs = function (_a) {
    var searchParamKey = _a.searchParamKey, _b = _a.updateUrlWith, updateUrlWith = _b === void 0 ? null : _b, otherProps = __rest(_a, ["searchParamKey", "updateUrlWith"]);
    var urlSearchParamKey = searchParamKey || DEFAULT_SEARCH_PARAM_KEY;
    var currentTab = useSelector(function (state) { return getSearchParam(state, urlSearchParamKey); });
    if (!currentTab) {
        currentTab = otherProps.items[0].key;
    }
    var _c = __read(useSearchParamState(urlSearchParamKey, currentTab), 2), url = _c[0], setUrl = _c[1];
    var onChange = function (tabName) {
        if (updateUrlWith === 'searchParam') {
            setUrl(tabName);
        }
    };
    return React.createElement(StyledTabs, __assign({ defaultActiveKey: url, onChange: onChange }, otherProps));
};
var templateObject_1;
