var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
// Copyright (c) 2023 Cloudera, Inc. All rights reserved.
import React from 'react';
import { Tabs as AntdTabs } from 'antd';
import styled from 'styled-components';
import { cdlGray700 } from "cuix/dist/styles/variables";
import { decodeSearchQuery, encodeSearchQuery } from "cuix/dist/utils/searchQuery";
var DEFAULT_SEARCH_PARAM_KEY = 'tab';
var StyledTabs = styled(AntdTabs)(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  position: relative;\n\n  &&.ant-tabs {\n    color: ", ";\n  }\n\n  && .ant-tabs-tabpane-active {\n    min-height: 400px;\n  }\n"], ["\n  position: relative;\n\n  &&.ant-tabs {\n    color: ", ";\n  }\n\n  && .ant-tabs-tabpane-active {\n    min-height: 400px;\n  }\n"])), cdlGray700);
/**
 * A Tabs component that has the options to synchronize the url queryString with
 * the current tab ID.
 */
export var Tabs = function (_a) {
    var searchParamKey = _a.searchParamKey, updateUrlWith = _a.updateUrlWith, props = __rest(_a, ["searchParamKey", "updateUrlWith"]);
    if (updateUrlWith === null) {
        return React.createElement(StyledTabs, __assign({}, props));
    }
    var searchParams;
    if (updateUrlWith === 'serverSearchParam') {
        searchParams = decodeSearchQuery(location.search);
    }
    else {
        var search = location.href.split('?')[1];
        searchParams = decodeSearchQuery(search);
    }
    var paramKey = searchParamKey || DEFAULT_SEARCH_PARAM_KEY;
    var currentTab = searchParams[paramKey];
    if (!currentTab) {
        currentTab = props.items[0].key;
    }
    var onChange = function (tabName) {
        searchParams[paramKey] = tabName;
        var queryString = encodeSearchQuery(searchParams);
        var newUrl;
        if (updateUrlWith === 'serverSearchParam') {
            var url = new URL(location.href);
            url.search = queryString;
            newUrl = url.href;
        }
        else {
            var oldUrl = location.href.split('?')[0];
            newUrl = "".concat(oldUrl).concat(queryString);
        }
        history.replaceState(null, '', newUrl);
    };
    return (React.createElement(StyledTabs, __assign({ defaultActiveKey: searchParams[paramKey], onChange: onChange }, props)));
};
var templateObject_1;
