import React from 'react';
import { TagProps } from 'antd';
export interface Props extends TagProps {
    /**
     * If the tag is on a dark background, such as when used in a Tooltip, set
     * this to `"dark"`. The `color` prop will override this.
     */
    theme?: 'light' | 'dark';
}
/**
 * A design-compliant Tag component that wraps the antd Tag component. If a
 * value for `onClose` is provided, the tag will have a close button.
 */
declare const Tag: React.FC<Props>;
export default Tag;
