import React from 'react';
import { PillProps } from '../Pill';
import { Color } from "cuix/dist/types/types";
export interface Props extends Omit<PillProps, 'color' | 'backgroundColor' | 'borderColor' | 'controls'> {
    /**
     * The key to display for a key/value pair. Named as such to avoid colliding
     * with React's built-in `key` prop.
     */
    label?: string;
    /**
     * Accepts a `Color` enum value to specify one of the supported CDL colors.
     * @default Color.Gray
     */
    color?: Color;
    /**
     * If provided, the tag will be closeable.
     */
    onClose?: () => void;
}
/**
 * A non-semantic component for displaying a small piece of information.
 */
declare const Tag: React.FC<Props>;
export default Tag;
