// Copyright (c) 2022 Cloudera, Inc. All rights reserved.
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React from 'react';
import { Tag as AntdTag } from 'antd';
import { borderColorSplit, fluidxWhite } from "cuix/dist/styles/variables";
import { TagCloseButton } from '.';
import styled from 'styled-components';
import classnames from 'classnames';
var StyledTag = styled(AntdTag)(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  && {\n    display: inline-flex;\n    align-items: center;\n    opacity: 1; // override antd hover style\n    height: 20px;\n    border-radius: 10px;\n    border-color: ", ";\n    vertical-align: middle; // Keeps all tags vertically aligned\n\n    &.cuix-tag-dark {\n      color: ", ";\n      border-color: ", ";\n      background: none;\n    }\n  }\n"], ["\n  && {\n    display: inline-flex;\n    align-items: center;\n    opacity: 1; // override antd hover style\n    height: 20px;\n    border-radius: 10px;\n    border-color: ", ";\n    vertical-align: middle; // Keeps all tags vertically aligned\n\n    &.cuix-tag-dark {\n      color: ", ";\n      border-color: ", ";\n      background: none;\n    }\n  }\n"])), borderColorSplit, fluidxWhite, fluidxWhite);
/**
 * A design-compliant Tag component that wraps the antd Tag component. If a
 * value for `onClose` is provided, the tag will have a close button.
 */
var Tag = function (_a) {
    var icon = _a.icon, onClose = _a.onClose, _b = _a.theme, theme = _b === void 0 ? 'light' : _b, children = _a.children, props = __rest(_a, ["icon", "onClose", "theme", "children"]);
    return (React.createElement(StyledTag, __assign({ className: classnames({ 'cuix-tag-dark': theme === 'dark' && !props.color }), icon: icon && React.createElement(React.Fragment, null,
            icon,
            "\u00A0") }, props),
        children,
        onClose && (React.createElement(TagCloseButton, { "data-event": "Dismiss Tag", onClick: function (event) {
                onClose(event);
            } }))));
};
export default Tag;
var templateObject_1;
