var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
// Copyright (c) 2023 Cloudera, Inc. All rights reserved.
import React from 'react';
import Pill from '../Pill';
import { Text } from '../Typography';
import { Color } from "cuix/dist/types/types";
import CloseButton from './CloseButton';
import { keyColor, textColor, backgroundColor, borderColor } from './Tag.theme';
import { useTheme } from "cuix/dist/styles/theme";
/**
 * A non-semantic component for displaying a small piece of information.
 */
var Tag = function (_a) {
    var key = _a.label, value = _a.value, color = _a.color, onClose = _a.onClose, props = __rest(_a, ["label", "value", "color", "onClose"]);
    var theme = useTheme();
    var pillValue;
    var tooltip = undefined;
    if (!key) {
        pillValue = value;
        if (typeof value === 'string') {
            tooltip = value;
        }
    }
    else if (!value) {
        {
            /*
             * The secondary text color doesn't provide enough contrast on any of
             * the non-default background colors, so using default text color for
             * those. The value is displayed in black in those cases, so there
             * will still be a difference in color between the key and the value.
             */
        }
        pillValue = key;
        if (typeof key === 'string') {
            tooltip = key;
        }
    }
    else {
        pillValue = (React.createElement(React.Fragment, null,
            React.createElement(Text, { size: "small", style: { color: keyColor({ theme: theme, color: color }) } },
                key,
                ":"),
            "\u00A0",
            value));
        if (typeof key === 'string' && typeof value === 'string') {
            tooltip = "".concat(key, ": ").concat(value);
        }
    }
    return (React.createElement(Pill, __assign({ value: pillValue, tooltip: tooltip, color: textColor({ theme: theme, color: color }), backgroundColor: backgroundColor({ theme: theme, color: color }), borderColor: borderColor({ theme: theme, color: color }), controls: onClose && React.createElement(CloseButton, { "data-event": "Close Pill", onClick: onClose, color: color }) }, props)));
};
Tag.defaultProps = { color: Color.Gray };
export default Tag;
