import React, { ReactNode } from 'react';
import { TagProps } from '../Tag';
export type TagValue = ReactNode | Pick<TagProps, 'label' | 'value' | 'color' | 'icon' | 'tooltip'>;
export interface Props {
    className?: string;
    values: TagValue[];
    /**
     * If true, when the list of tags exceeds the width of the line, the list is
     * truncated and a button is rendered to show/hide the remainder.
     */
    clamp?: boolean;
    /**
     * If provided, tags will have close buttons.
     */
    onClose?: (value: TagValue) => void;
}
/**
 * Displays a list of `Tag` components.
 */
export declare const TagList: React.FC<Props>;
export default TagList;
