var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
// Copyright (c) 2023 Cloudera, Inc. All rights reserved.
import React from 'react';
import { LineClampedParagraph, Paragraph } from "cuix/dist/components/Typography";
import Tag from '../Tag';
import { styled } from 'styled-components';
var paragraphStyle = "\n  &&& {\n    margin: 0;\n    line-height: 2;\n    white-space: normal;\n  }\n";
var StyledParagraph = styled(Paragraph)(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  ", "\n"], ["\n  ", "\n"])), paragraphStyle);
var StyledLineClampedParagraph = styled(LineClampedParagraph)(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n  ", "\n"], ["\n  ", "\n"])), paragraphStyle);
/**
 * Displays a list of `Tag` components.
 */
export var TagList = function (_a) {
    var values = _a.values, clamp = _a.clamp, onClose = _a.onClose, className = _a.className;
    var tags = values.map(function (value, index) {
        if (value && typeof value === 'object' && 'value' in value) {
            return (React.createElement(Tag, { key: index, style: { marginRight: 8 }, onClose: onClose ? function () { return onClose(value); } : undefined, label: value.label, value: value.value, color: value.color, icon: value.icon, tooltip: value.tooltip }));
        }
        return (React.createElement(Tag, { key: index, style: { marginRight: 8 }, value: String(value), onClose: onClose ? function () { return onClose(value); } : undefined }));
    });
    if (!clamp) {
        return React.createElement(StyledParagraph, { className: className }, tags);
    }
    return (React.createElement(StyledLineClampedParagraph, { className: className, lineClamp: { lines: 1 } }, tags));
};
export default TagList;
var templateObject_1, templateObject_2;
