var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
// Copyright (c) 2019 Cloudera, Inc. All rights reserved.
import React from 'react';
import PropTypes from 'prop-types';
import { Card, Tooltip } from 'antd';
import classNames from 'classnames';
import "./Tile.css";
import i18n from '../../utils/i18n';
var VERTICAL = 'vertical';
var HORIZONTAL = 'horizontal';
export var LAYOUTS = [VERTICAL, HORIZONTAL];
var Tile = /** @class */ (function (_super) {
    __extends(Tile, _super);
    function Tile() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Tile.prototype.render = function () {
        var _a = this.props, icon = _a.icon, title = _a.title, description = _a.description, url = _a.url, children = _a.children, layout = _a.layout, active = _a.active, tooltip = _a.tooltip, className = _a.className, hoverable = _a.hoverable, otherProps = __rest(_a, ["icon", "title", "description", "url", "children", "layout", "active", "tooltip", "className", "hoverable"]);
        if (url) {
            otherProps.href = url;
        }
        var card = (React.createElement("a", __assign({}, otherProps, { className: classNames('altus-tile', { horizontal: layout === HORIZONTAL }, className) }),
            React.createElement(Card, { hoverable: hoverable, className: classNames({
                    'altus-tile-active': active
                }) },
                !!icon && React.createElement("div", { className: "altus-tile-icon" }, icon),
                children || (React.createElement("div", null,
                    !!title && (React.createElement("div", { className: "altus-tile-title" }, typeof title === 'string' ? i18n.t(title) : title)),
                    typeof description === 'string' ? React.createElement("p", null, i18n.t(description)) : description)))));
        if (tooltip) {
            return React.createElement(Tooltip, { title: tooltip }, card);
        }
        return card;
    };
    Tile.propTypes = {
        /** Tile icon  */
        icon: PropTypes.node,
        /** Tile title. Can be text, i18n key or node */
        title: PropTypes.node,
        /** Tile description. Can be text or i18n key. If you need custom content consider to use children */
        description: PropTypes.node,
        /** Tile url */
        url: PropTypes.string,
        /** Children are custom HTML, rendered instead of name and descriptions */
        children: PropTypes.element,
        /** Tile layout [vertical, horizontal] */
        layout: PropTypes.oneOf(LAYOUTS),
        /** Adds .altus-tile-active css class if true */
        active: PropTypes.bool,
        /**  Tile tooltip */
        tooltip: PropTypes.string,
        /** Adds hover effect  */
        hoverable: PropTypes.bool,
        /** Arbitrary css className */
        className: PropTypes.string
    };
    Tile.defaultProps = {
        layout: VERTICAL,
        hoverable: true,
        active: false
    };
    return Tile;
}(React.Component));
export default Tile;
