import React from 'react';
import { TooltipProps } from 'antd';
import { DefaultTheme } from 'styled-components';
export declare const getTooltipStyle: (theme: DefaultTheme) => {
    minHeight: string;
    minWidth: string;
    borderRadius: string;
    backgroundColor: string;
    paddingTop: string;
    paddingBottom: string;
    paddingLeft: string;
    paddingRight: string;
    boxShadow: string;
};
export interface Props extends Omit<TooltipProps, 'title' | 'overlay' | 'color' | 'arrowPointAtCenter' | 'showArrow' | 'overlayStyle' | 'overlayInnerStyle' | 'trigger' | 'mouseEnterDelay' | 'mouseLeaveDelay' | 'builtInPlacements'> {
    /**
     * Receives the tooltip text. If it is not set, the tooltip will be disabled.
     * This is useful for making the tooltip conditional, like when you only want
     * to display it when its child is truncated.
     */
    title?: string;
    style?: React.CSSProperties;
}
/**
 * Displays a single line of help text when its children are hovered. By design,
 * it does not wrap. If you need to display a lot of text or something other
 * than simple text, use a `Popover`.
 */
declare const Tooltip: React.FC<Props>;
export default Tooltip;
