var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
// Copyright (c) 2023 Cloudera, Inc. All rights reserved.
import React from 'react';
// eslint-disable-next-line thunderhead/prefer-cuix-over-antd
import { Tooltip as AntdTooltip } from 'antd';
import { Text } from "cuix/dist/components/Typography";
import { cdlShadowM, cdlSpacingTiny, cdlSpacingXxs } from '@cloudera/cuix-core/variables';
import { borderRadiusBase } from "cuix/dist/styles/variables";
import { ThemeProvider } from 'styled-components';
import { backgroundColor } from './theme';
import { useTheme } from "cuix/dist/styles/theme";
export var getTooltipStyle = function (theme) { return ({
    minHeight: 'unset',
    minWidth: 'unset',
    borderRadius: borderRadiusBase,
    backgroundColor: backgroundColor({ theme: theme }),
    paddingTop: cdlSpacingTiny,
    paddingBottom: cdlSpacingTiny,
    paddingLeft: cdlSpacingXxs,
    paddingRight: cdlSpacingXxs,
    boxShadow: cdlShadowM
}); };
/**
 * Displays a single line of help text when its children are hovered. By design,
 * it does not wrap. If you need to display a lot of text or something other
 * than simple text, use a `Popover`.
 */
var Tooltip = function (_a) {
    var children = _a.children, title = _a.title, style = _a.style, placement = _a.placement, tooltipProps = __rest(_a, ["children", "title", "style", "placement"]);
    var theme = useTheme();
    return (React.createElement(AntdTooltip, __assign({ title: title ? (React.createElement(ThemeProvider, { theme: { mode: 'default' } },
            React.createElement(Text, { size: "small", style: { whiteSpace: 'nowrap' } }, title))) : (''), overlayStyle: { padding: 0, maxWidth: 'unset' }, overlayInnerStyle: __assign(__assign({}, getTooltipStyle(theme)), style), mouseEnterDelay: 0.2, mouseLeaveDelay: 0.2, showArrow: false, placement: placement || 'bottom' }, tooltipProps), children));
};
export default Tooltip;
