import React from 'react';
import type { TitleProps } from 'antd/es/typography/Title';
import 'antd/es/typography/style';
import "./Typography.css";
declare const TITLE_ELE_LIST: readonly [1, 2, 3, 4, 5, 6];
interface Props extends Omit<TitleProps, 'level'> {
    level?: typeof TITLE_ELE_LIST[number];
}
/**
 * Whenever you would use an HTML <h*> element or the antd Title component, use this instead.
 * This is very similar to the antd Title component, but we've named it Heading for semantic clarity.
 * Using this also ensures styling consistent with FluidX and adds support for level 6 headings.
 */
declare const Heading: React.FC<Props>;
export default Heading;
