// Copyright (c) 2022 Cloudera, Inc. All rights reserved.
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
/* eslint-disable thunderhead/no-antd-typography, thunderhead/no-antd-deep-imports --
 * We're overrding antd components and some are not available on the main Typography
 * import from `antd`.
 */
import React from 'react';
import Base from 'antd/es/typography/Base';
// Since we don't import Typography from antd directly,
// we need to import the styles manually.
import 'antd/es/typography/style';
import "./Typography.css";
var TITLE_ELE_LIST = [1, 2, 3, 4, 5, 6];
/**
 * Whenever you would use an HTML <h*> element or the antd Title component, use this instead.
 * This is very similar to the antd Title component, but we've named it Heading for semantic clarity.
 * Using this also ensures styling consistent with FluidX and adds support for level 6 headings.
 */
var Heading = function (_a) {
    var _b = _a.level, level = _b === void 0 ? 1 : _b, className = _a.className, restProps = __rest(_a, ["level", "className"]);
    var component;
    if (TITLE_ELE_LIST.includes(level)) {
        component = "h".concat(level);
    }
    else {
        console.warn("Heading: level must be 1, 2, 3, 4, 5, or 6. \"".concat(level, "\" is not valid."));
        component = 'h1';
    }
    var baseClassName = "cuix-typography";
    var mergedProps = __assign(__assign({}, restProps), { className: className ? "".concat(baseClassName, " ").concat(className) : baseClassName });
    return (React.createElement(Base, __assign({}, mergedProps, { 
        // @ts-expect-error: antd removed the `component` prop from the emitted
        //                   type, but we can still use it
        component: component })));
};
export default Heading;
