// Copyright (c) 2022 Cloudera, Inc. All rights reserved.
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import React from 'react';
import { borderRadiusBase, fluidxGray050 } from "cuix/dist/styles/variables";
import { Tooltip } from 'antd';
export var lineClampStyle = {
    display: '-webkit-box',
    overflow: 'hidden',
    textOverflow: 'ellipsis',
    WebkitBoxOrient: 'vertical',
    margin: 0
};
export var codeWrapperStyle = {
    padding: '0.4em 0.6em',
    border: '1px solid rgb(0 0 0 / 20%)',
    borderRadius: borderRadiusBase,
    backgroundColor: fluidxGray050,
    zoom: 0.85
};
export var codeLineClampStyle = {
    margin: 0,
    padding: 0,
    border: 'none',
    fontSize: '100%'
};
/**
 * Works in tandem with the Paragraph component, which uses CSS line-clamp to
 * provide "More"/"Less" functionality for text blocks.
 *
 * Improves on the antd "ellipsis" feature by providing a way to toggle the
 * collapsed state of the content and by supporting different display styles,
 * like preformatted text.
 */
export var LineClamp = function (_a) {
    var isTruncated = _a.isTruncated, isCollapsed = _a.isCollapsed, collapseButton = _a.collapseButton, expandButton = _a.expandButton, position = _a.position, tooltip = _a.tooltip, children = _a.children;
    var style = {
        position: 'relative',
        display: 'flex'
    };
    if (position === 'bottom') {
        style.flexDirection = 'column';
        style.alignItems = 'flex-start';
        style.justifyContent = 'initial';
    }
    if (position === 'right') {
        style.flexDirection = 'row';
        style.justifyContent = 'flex-start';
    }
    if (position === 'left') {
        style.flexDirection = 'row-reverse';
        style.justifyContent = 'flex-end';
    }
    if (position === 'top') {
        style.flexDirection = 'column-reverse';
        style.justifyContent = 'initial';
    }
    var tooltipProps = { title: null };
    if (isTruncated && isCollapsed && tooltip) {
        if (typeof tooltip === 'object') {
            tooltipProps = tooltip;
        }
        else {
            tooltipProps.title = tooltip;
        }
    }
    return (React.createElement("div", { style: style },
        React.createElement(Tooltip, __assign({}, tooltipProps),
            React.createElement("div", { style: { width: '100%' } }, children)),
        isTruncated && (isCollapsed ? expandButton : collapseButton)));
};
export default LineClamp;
