import React from 'react';
import { LineClampConfig } from './LineClamp';
import type { ParagraphProps } from 'antd/es/typography/Paragraph';
import 'antd/es/typography/style';
import "../Typography.css";
interface Props extends Omit<ParagraphProps, 'ellipsis'> {
    /** If this is a number, the text will be permanently line-clamped to the
     * specified number of lines and you will not get expand/collapse
     * functionality. */
    lineClamp: number | LineClampConfig;
}
/**
 * Adds line-clamping to `Paragraph`. This allows you to only display a
 * specified number of lines, which will be truncated with an ellipsis. If so
 * configured, the paragraph can be expanded and collapsed. It also supports a
 * custom tooltip to be shown when the content is truncated.
 */
export declare const LineClampedParagraph: React.FC<Props>;
export default LineClampedParagraph;
