// Copyright (c) 2022 Cloudera, Inc. All rights reserved.
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __read = (this && this.__read) || function (o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m) return o;
    var i = m.call(o), r, ar = [], e;
    try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
    }
    catch (error) { e = { error: error }; }
    finally {
        try {
            if (r && !r.done && (m = i["return"])) m.call(i);
        }
        finally { if (e) throw e.error; }
    }
    return ar;
};
/* eslint-disable thunderhead/no-antd-typography, thunderhead/no-antd-deep-imports --
 * We're overrding antd components and some are not available on the main Typography
 * import from `antd`.
 */
import React, { useState } from 'react';
import Base from 'antd/es/typography/Base';
import LineClamp, { codeLineClampStyle, codeWrapperStyle, lineClampStyle } from './LineClamp';
import LinkButton from "cuix/dist/components/Button/LinkButton";
import { fluidxSpacingXs } from "cuix/dist/styles/variables";
import i18n from "cuix/dist/utils/i18n";
// Since we don't import Typography from antd directly,
// we need to import the styles manually.
import 'antd/es/typography/style';
import "../Typography.css";
/**
 * Adds line-clamping to `Paragraph`. This allows you to only display a
 * specified number of lines, which will be truncated with an ellipsis. If so
 * configured, the paragraph can be expanded and collapsed. It also supports a
 * custom tooltip to be shown when the content is truncated.
 */
export var LineClampedParagraph = function (_a) {
    var className = _a.className, style = _a.style, code = _a.code, lineClamp = _a.lineClamp, children = _a.children, restProps = __rest(_a, ["className", "style", "code", "lineClamp", "children"]);
    var _b = __read(useState(false), 2), isTruncated = _b[0], setIsTruncated = _b[1];
    var _c = __read(useState(true), 2), isCollapsed = _c[0], setIsCollapsed = _c[1];
    var baseClassName = "cuix-typography";
    var mergedProps = __assign(__assign({}, restProps), { className: className ? "".concat(baseClassName, " ").concat(className) : baseClassName });
    var component = 'p';
    if (code) {
        component = 'pre';
    }
    var mergedStyle = style;
    if (isTruncated) {
        mergedStyle = __assign(__assign({}, mergedStyle), lineClampStyle);
    }
    if (code) {
        mergedStyle = __assign(__assign({}, codeLineClampStyle), mergedStyle);
    }
    if (typeof lineClamp !== 'object') {
        return (React.createElement(Base, __assign({}, mergedProps, { 
            // @ts-expect-error: antd removed the `component` prop from the emitted
            //                   type, but we can still use it
            component: component, style: __assign(__assign({}, mergedStyle), { WebkitLineClamp: lineClamp }), ellipsis: { rows: lineClamp } }), children));
    }
    var lines = lineClamp.lines, position = lineClamp.position, expandable = lineClamp.expandable, CustomExpandButton = lineClamp.expandButton, CustomCollapseButton = lineClamp.collapseButton, onExpand = lineClamp.onExpand, onCollapse = lineClamp.onCollapse, lineClampProps = __rest(lineClamp, ["lines", "position", "expandable", "expandButton", "collapseButton", "onExpand", "onCollapse"]);
    var defaultButtonStyle = {
        display: 'inline-flex',
        alignItems: 'center',
        verticalAlign: 'baseline',
        marginInlineStart: fluidxSpacingXs
    };
    // Expand/collapse buttons are not inline
    if (position) {
        defaultButtonStyle.marginInlineStart = 0;
        if (position === 'right') {
            defaultButtonStyle.marginLeft = fluidxSpacingXs;
        }
        if (position === 'left') {
            defaultButtonStyle.marginRight = fluidxSpacingXs;
        }
        if (typeof position === 'object') {
            defaultButtonStyle.position = 'absolute';
            defaultButtonStyle.top = position.top;
            defaultButtonStyle.right = position.right;
            defaultButtonStyle.bottom = position.bottom;
            defaultButtonStyle.left = position.left;
        }
    }
    var handleExpand = function (event) {
        setIsCollapsed(false);
        onExpand === null || onExpand === void 0 ? void 0 : onExpand(event);
    };
    var expandButton = (React.createElement(LinkButton, { key: "line-clamped-paragraph-button", "data-event": "Expand Line Clamp", style: defaultButtonStyle, onClick: handleExpand }, i18n.t('label.more')));
    if (CustomExpandButton) {
        expandButton = (React.createElement(CustomExpandButton, { key: "line-clamped-paragraph-button", onClick: handleExpand }));
    }
    var handleCollapse = function (event) {
        setIsCollapsed(true);
        onCollapse === null || onCollapse === void 0 ? void 0 : onCollapse(event);
    };
    var collapseButton = (React.createElement(LinkButton, { key: "line-clamped-paragraph-button", "data-event": "Collapse Line Clamp", style: defaultButtonStyle, onClick: handleCollapse }, i18n.t('label.less')));
    if (CustomCollapseButton) {
        collapseButton = (React.createElement(CustomCollapseButton, { key: "line-clamped-paragraph-button", onClick: handleCollapse }));
    }
    var isExpandable = expandable === false ? false : true;
    if (position && isExpandable) {
        var base_1 = (React.createElement(Base, __assign({}, mergedProps, { 
            // @ts-expect-error: antd removed the `component` prop from the emitted
            //                   type, but we can still use it
            component: component, style: __assign(__assign({}, mergedStyle), { WebkitLineClamp: isCollapsed ? lines : 0 }), ellipsis: isCollapsed && {
                rows: lines,
                onEllipsis: setIsTruncated
            } }), children));
        var content_1;
        if (code) {
            content_1 = React.createElement("div", { style: codeWrapperStyle }, base_1);
        }
        else {
            content_1 = base_1;
        }
        return (React.createElement(LineClamp, __assign({}, lineClampProps, { position: position, isTruncated: isTruncated, isCollapsed: isCollapsed, expandButton: expandButton, collapseButton: collapseButton }), content_1));
    }
    var base = (React.createElement(Base, __assign({}, mergedProps, { 
        // The use of `component` on the next line should cause a typescript
        // error. It doesn't because `ellipsis` below already causes an error.
        // Even though that error is being ignored, it is still blocking the
        // linter from showing the `component` error. If this behavior ever
        // changes, there will be an error on this line and we should add the
        // `@ts-expect-error` annotation as we did above.
        component: component, style: __assign(__assign({}, mergedStyle), { WebkitLineClamp: isCollapsed ? lines : 0 }), 
        // @ts-ignore: We are passing a ReactNode to `suffix` even though it is
        //             typed as string
        ellipsis: isCollapsed && {
            rows: lines,
            onEllipsis: setIsTruncated,
            suffix: isTruncated && isExpandable && expandButton
        } }),
        children,
        isTruncated && !isCollapsed && collapseButton));
    var content;
    if (code) {
        content = React.createElement("div", { style: codeWrapperStyle }, base);
    }
    else {
        content = base;
    }
    // Expand/collpase buttons are inline
    return (React.createElement(LineClamp, __assign({}, lineClampProps, { position: position, isTruncated: isTruncated, isCollapsed: isCollapsed }), content));
};
export default LineClampedParagraph;
