import React from 'react';
import type { ParagraphProps } from 'antd/es/typography/Paragraph';
import 'antd/es/typography/style';
import "../Typography.css";
declare type Props = Omit<ParagraphProps, 'ellipsis'>;
/**
 * Whenever you would use an HTML <p> element or the antd `Paragraph` component,
 * use this instead. This is very similar to the antd `Paragraph` component, but
 * using this ensures styling consistent with FluidX and semantically
 * appropriate HTML usage.
 */
export declare const Paragraph: React.FC<Props>;
export default Paragraph;
