var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
// Copyright (c) 2022 Cloudera, Inc. All rights reserved.
/* eslint-disable thunderhead/no-antd-typography, thunderhead/no-antd-deep-imports --
 * We're overrding antd components and some are not available on the main Typography
 * import from `antd`.
 */
import React from 'react';
import AntText from 'antd/es/typography/Text';
// Since we don't import Typography from antd directly,
// we need to import the styles manually.
import 'antd/es/typography/style';
import "./Typography.css";
import classnames from 'classnames';
import { cdlTextDefaultBoldWeight, cdlTextDefaultLineHeight, cdlTextDefaultSize, cdlTextDefaultWeight, cdlTextLargeBoldWeight, cdlTextLargeLineHeight, cdlTextLargeSize, cdlTextLargeWeight, cdlTextSmallBoldWeight, cdlTextSmallLineHeight, cdlTextSmallSize, cdlTextSmallWeight } from '@cloudera/cuix-core/variables';
import styled from 'styled-components';
import { color, secondaryTextColor, warningTextColor, dangerTextColor, disabledTextColor } from './Text.theme';
import { defaultTheme as theme } from "cuix/dist/styles/theme";
var StyledText = styled(AntText)(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  &&& {\n    color: ", ";\n\n    &.ant-typography {\n      &.ant-typography-secondary {\n        color: ", ";\n      }\n      &.ant-typography-warning {\n        color: ", ";\n      }\n      &.ant-typography-danger {\n        color: ", ";\n      }\n      &.ant-typography-disabled {\n        color: ", ";\n      }\n    }\n  }\n"], ["\n  &&& {\n    color: ", ";\n\n    &.ant-typography {\n      &.ant-typography-secondary {\n        color: ", ";\n      }\n      &.ant-typography-warning {\n        color: ", ";\n      }\n      &.ant-typography-danger {\n        color: ", ";\n      }\n      &.ant-typography-disabled {\n        color: ", ";\n      }\n    }\n  }\n"])), color, secondaryTextColor, warningTextColor, dangerTextColor, disabledTextColor);
StyledText.defaultProps = { theme: theme };
var DefaultText = styled(StyledText)(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n  font-size: ", ";\n  line-height: ", ";\n  font-weight: ", ";\n"], ["\n  font-size: ", ";\n  line-height: ", ";\n  font-weight: ", ";\n"])), cdlTextDefaultSize, cdlTextDefaultLineHeight, cdlTextDefaultWeight);
var BoldDefaultText = styled(DefaultText)(templateObject_3 || (templateObject_3 = __makeTemplateObject(["\n  font-weight: ", ";\n"], ["\n  font-weight: ", ";\n"])), cdlTextDefaultBoldWeight);
var LargeText = styled(StyledText)(templateObject_4 || (templateObject_4 = __makeTemplateObject(["\n  font-size: ", ";\n  line-height: ", ";\n  font-weight: ", ";\n"], ["\n  font-size: ", ";\n  line-height: ", ";\n  font-weight: ", ";\n"])), cdlTextLargeSize, cdlTextLargeLineHeight, cdlTextLargeWeight);
var BoldLargeText = styled(LargeText)(templateObject_5 || (templateObject_5 = __makeTemplateObject(["\n  font-weight: ", ";\n"], ["\n  font-weight: ", ";\n"])), cdlTextLargeBoldWeight);
var SmallText = styled(StyledText)(templateObject_6 || (templateObject_6 = __makeTemplateObject(["\n  font-size: ", ";\n  line-height: ", ";\n  font-weight: ", ";\n"], ["\n  font-size: ", ";\n  line-height: ", ";\n  font-weight: ", ";\n"])), cdlTextSmallSize, cdlTextSmallLineHeight, cdlTextSmallWeight);
var BoldSmallText = styled(SmallText)(templateObject_7 || (templateObject_7 = __makeTemplateObject(["\n  font-weight: ", ";\n"], ["\n  font-weight: ", ";\n"])), cdlTextSmallBoldWeight);
/**
 * A CDL-compliant text component.
 */
var Text = function (_a) {
    var _b;
    var className = _a.className, size = _a.size, bold = _a.bold, style = _a.style, restProps = __rest(_a, ["className", "size", "bold", "style"]);
    var classNames = classnames('cuix-typography', (_b = {},
        _b["".concat(className)] = className,
        _b));
    var TextComponent;
    switch (size) {
        case 'large':
            TextComponent = bold ? BoldLargeText : LargeText;
            break;
        case 'small':
            TextComponent = bold ? BoldSmallText : SmallText;
            break;
        default:
            TextComponent = bold ? BoldDefaultText : DefaultText;
    }
    return React.createElement(TextComponent, __assign({ className: classNames, style: style }, restProps));
};
export default Text;
var templateObject_1, templateObject_2, templateObject_3, templateObject_4, templateObject_5, templateObject_6, templateObject_7;
