// Copyright (c) 2019 Cloudera, Inc. All rights reserved.
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React from 'react';
import { getAssigneeDisplayName, getAssigneeIconColor } from "cdp-js/dist/helpers/iamHelpers";
import styled from 'styled-components';
import Button from "cuix/dist/components/LegacyButton";
import classNames from 'classnames';
import { fluidxGray700, fluidxGray800, fluidxGray900, fluidxGray200 } from "cuix/dist/styles/variables";
var StyledUserButton = styled(Button)(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  &.ant-btn {\n    position: relative;\n    display: flex;\n    align-items: center;\n    border-radius: 20px;\n    border: none;\n    height: 40px;\n    padding: 0 16px 0 10px;\n    color: ", ";\n    text-overflow: ellipsis;\n    white-space: nowrap;\n    overflow: hidden;\n    font-size: 14px;\n    line-height: 16px;\n\n    &:hover,\n    &:focus {\n      color: ", ";\n    }\n\n    &:active,\n    &:focus {\n      color: ", ";\n    }\n\n    &.cuix-user-button-inverted-look {\n      color: ", ";\n      // magic color gotten from the design itself\n      background-image: linear-gradient(104deg, ", ", #194251 100%);\n    }\n  }\n"], ["\n  &.ant-btn {\n    position: relative;\n    display: flex;\n    align-items: center;\n    border-radius: 20px;\n    border: none;\n    height: 40px;\n    padding: 0 16px 0 10px;\n    color: ", ";\n    text-overflow: ellipsis;\n    white-space: nowrap;\n    overflow: hidden;\n    font-size: 14px;\n    line-height: 16px;\n\n    &:hover,\n    &:focus {\n      color: ", ";\n    }\n\n    &:active,\n    &:focus {\n      color: ", ";\n    }\n\n    &.cuix-user-button-inverted-look {\n      color: ", ";\n      // magic color gotten from the design itself\n      background-image: linear-gradient(104deg, ", ", #194251 100%);\n    }\n  }\n"])), fluidxGray700, fluidxGray800, fluidxGray900, fluidxGray200, fluidxGray800);
var UserIcon = styled.span(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n  .ant-btn & {\n    border-radius: 50%;\n    width: 24px;\n    height: 24px;\n    font-size: 16px;\n    display: inline-flex;\n    align-items: center;\n    justify-content: center;\n    color: ", ";\n    text-transform: uppercase;\n    margin-right: 8px;\n  }\n"], ["\n  .ant-btn & {\n    border-radius: 50%;\n    width: 24px;\n    height: 24px;\n    font-size: 16px;\n    display: inline-flex;\n    align-items: center;\n    justify-content: center;\n    color: ", ";\n    text-transform: uppercase;\n    margin-right: 8px;\n  }\n"])), fluidxGray900);
var UserButton = function (_a) {
    var user = _a.user, className = _a.className, invertedLook = _a.invertedLook, otherProps = __rest(_a, ["user", "className", "invertedLook"]);
    var userName = getAssigneeDisplayName(user);
    return (React.createElement(StyledUserButton, __assign({}, otherProps, { className: classNames('cuix-user-button', { 'cuix-user-button-inverted-look': invertedLook }, className) }),
        React.createElement(UserIcon, { style: { backgroundColor: getAssigneeIconColor(user) } }, userName[0]),
        userName));
};
export default UserButton;
var templateObject_1, templateObject_2;
