// Copyright (c) 2019 Cloudera, Inc. All rights reserved.
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
import React from 'react';
import { getAssigneeDisplayName, getAssigneeIconColor } from "cdp-js/dist/helpers/iamHelpers";
import styled from 'styled-components';
import classNames from 'classnames';
import { fluidxGray700, fluidxGray800, fluidxGray900 } from "cuix/dist/styles/variables";
var StyledUserCard = styled.div(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  color: ", ";\n  border-radius: 20px;\n  border: none;\n  position: relative;\n  display: inline-flex;\n  align-items: center;\n  padding: 0;\n  white-space: nowrap;\n\n  &:hover {\n    color: ", ";\n  }\n  &:active,\n  &:focus {\n    color: ", ";\n  }\n"], ["\n  color: ", ";\n  border-radius: 20px;\n  border: none;\n  position: relative;\n  display: inline-flex;\n  align-items: center;\n  padding: 0;\n  white-space: nowrap;\n\n  &:hover {\n    color: ", ";\n  }\n  &:active,\n  &:focus {\n    color: ", ";\n  }\n"])), fluidxGray700, fluidxGray800, fluidxGray900);
var UserIcon = styled.span(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n  border-radius: 50%;\n  width: 36px;\n  height: 36px;\n  font-size: 24px;\n  display: inline-flex;\n  align-items: center;\n  justify-content: center;\n  color: ", ";\n  text-transform: uppercase;\n  margin-right: 10px;\n"], ["\n  border-radius: 50%;\n  width: 36px;\n  height: 36px;\n  font-size: 24px;\n  display: inline-flex;\n  align-items: center;\n  justify-content: center;\n  color: ", ";\n  text-transform: uppercase;\n  margin-right: 10px;\n"])), fluidxGray900);
var UserInfo = styled.span(templateObject_3 || (templateObject_3 = __makeTemplateObject(["\n  display: inline-flex;\n  flex-direction: column;\n  margin: 0 8px 0 0;\n"], ["\n  display: inline-flex;\n  flex-direction: column;\n  margin: 0 8px 0 0;\n"])));
var UserName = styled.span(templateObject_4 || (templateObject_4 = __makeTemplateObject(["\n  color: @fluidx-gray-900;\n  font-size: 14px;\n  line-height: 20px;\n"], ["\n  color: @fluidx-gray-900;\n  font-size: 14px;\n  line-height: 20px;\n"])));
var Email = styled.span(templateObject_5 || (templateObject_5 = __makeTemplateObject(["\n  color: @fluidx-gray-700;\n  font-size: 12px;\n  line-height: 16px;\n"], ["\n  color: @fluidx-gray-700;\n  font-size: 12px;\n  line-height: 16px;\n"])));
var UserCard = function (_a) {
    var user = _a.user, className = _a.className;
    var userName = getAssigneeDisplayName(user);
    var email = user.email;
    return (React.createElement(StyledUserCard, { className: classNames('cuix-user-card', className) },
        React.createElement(UserIcon, { className: "cuix-user-icon", style: { backgroundColor: getAssigneeIconColor(user) } }, userName[0]),
        React.createElement(UserInfo, null,
            React.createElement(UserName, null, userName),
            React.createElement(Email, { title: email }, email))));
};
export default UserCard;
var templateObject_1, templateObject_2, templateObject_3, templateObject_4, templateObject_5;
