// Copyright (c) 2022 Cloudera, Inc. All rights reserved.
import { Heading } from "cuix/dist/components/Typography";
import React from 'react';
import { cdlSpacingXxs, cdlSpacingXxsUnitless, cdlHeadingH2SizeUnitless } from "cuix/dist/styles/variables";
/**
 * A "section" used in a wizard summary page, corresponding to a page of the wizard.
 */
var ReviewSection = function (_a) {
    var heading = _a.heading, level = _a.level, icon = _a.icon, children = _a.children;
    return (React.createElement(React.Fragment, null,
        React.createElement(Heading, { level: level || 2, style: { display: 'flex', alignItems: 'center' } },
            icon,
            icon ? React.createElement("span", { style: { marginLeft: cdlSpacingXxs } }, heading) : heading),
        React.createElement("div", { style: {
                marginLeft: cdlHeadingH2SizeUnitless + cdlSpacingXxsUnitless
            } }, children)));
};
export default ReviewSection;
