import { ReactNode } from 'react';
import { WizardStep } from './types';
interface Props<T> {
    steps: (WizardStep<T> | ((data: T, previous: () => void, next: () => void) => WizardStep<T>))[];
    data: T;
    cancelLabel?: string;
    cancelIcon?: ReactNode;
    onCancel?: (data: object) => void;
}
/**
 * Implements a wizard in Cloudera Design Language. Wizards should always take
 * up the entire main content area of a view; they should not be part of a
 * larger interface and should not be used inside containers such as modals.
 */
declare const Wizard: <T extends unknown>({ data, steps, cancelLabel, cancelIcon, onCancel }: Props<T>) => JSX.Element;
export default Wizard;
