var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
// Copyright (c) 2018 Cloudera, Inc. All rights reserved.
import React, { Fragment, Component } from 'react';
import PropTypes from 'prop-types';
import { Form } from '@ant-design/compatible';
import "@ant-design/compatible/lib/form/style/index.css";
import { Button, Layout, Steps } from 'antd';
import i18n from '../../utils/i18n';
import { WIZARD_FORM_LAYOUT, onCancelConfirm, getFormConfig } from '../../utils/formUtils';
import PageTitleBar from '../PageTitleBar';
import Toolbar from '../Toolbar';
import "../FormContainer/FormContainer.css";
import CloseIcon from '@cloudera/cuix-core/icons/react/CloseIcon';
import LinkButton from '../LegacyLinkButton';
import styled from 'styled-components';
import { bodyBackground, fluidxDefaultBorderColor } from "cuix/dist/styles/variables";
var Content = Layout.Content, Footer = Layout.Footer, Sider = Layout.Sider;
var Step = Steps.Step;
var WizardStep = styled.div(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  display: ", ";\n"], ["\n  display: ", ";\n"])), function (props) { return (props.current ? 'block' : 'none'); });
var WizardForm = styled.form(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n  display: flex;\n  flex-direction: column;\n  justify-content: flex-start;\n"], ["\n  display: flex;\n  flex-direction: column;\n  justify-content: flex-start;\n"])));
var WizardOuterContainer = styled(Content)(templateObject_3 || (templateObject_3 = __makeTemplateObject(["\n  .form-content {\n    display: flex;\n  }\n"], ["\n  .form-content {\n    display: flex;\n  }\n"])));
var WizardContainer = styled(Layout)(templateObject_4 || (templateObject_4 = __makeTemplateObject(["\n  margin: -24px;\n  background-color: ", ";\n"], ["\n  margin: -24px;\n  background-color: ", ";\n"])), bodyBackground);
var WizardContent = styled(Content)(templateObject_5 || (templateObject_5 = __makeTemplateObject(["\n  overflow-y: auto;\n  padding: 24px;\n  height: 100%;\n\n  &.cuix-wizard-content-layout-vertical {\n    // needed after upgrade from ant 3.x to 4.x\n    // might only be useful while using legacy form (?)\n    .ant-row {\n      position: relative;\n      height: auto;\n      margin-right: 0;\n      margin-left: 0;\n      zoom: 1;\n      display: block;\n      box-sizing: border-box;\n    }\n  }\n"], ["\n  overflow-y: auto;\n  padding: 24px;\n  height: 100%;\n\n  &.cuix-wizard-content-layout-vertical {\n    // needed after upgrade from ant 3.x to 4.x\n    // might only be useful while using legacy form (?)\n    .ant-row {\n      position: relative;\n      height: auto;\n      margin-right: 0;\n      margin-left: 0;\n      zoom: 1;\n      display: block;\n      box-sizing: border-box;\n    }\n  }\n"])));
var WizardStepSider = styled(Sider)(templateObject_6 || (templateObject_6 = __makeTemplateObject(["\n  overflow-y: auto;\n  padding: 24px;\n  height: 100%;\n  border-right: 1px solid ", ";\n  .ant-steps-vertical > .ant-steps-item {\n    min-height: 92px;\n  }\n  background-color: transparent;\n"], ["\n  overflow-y: auto;\n  padding: 24px;\n  height: 100%;\n  border-right: 1px solid ", ";\n  .ant-steps-vertical > .ant-steps-item {\n    min-height: 92px;\n  }\n  background-color: transparent;\n"])), fluidxDefaultBorderColor);
/**
 * Container component for a multi page/step form. Since Ant destroys fields that aren't rendered
 * (like when we switch to next step) we store form data in this component's state and update it
 * as user navigates between different steps.
 */
var UnwrappedWizardFormContainer = /** @class */ (function (_super) {
    __extends(UnwrappedWizardFormContainer, _super);
    function UnwrappedWizardFormContainer(props) {
        var _this = _super.call(this, props) || this;
        _this.updateValidationRules = function (currentStep) {
            var steps = _this.props.steps;
            var step = steps[currentStep];
            var validationRules = (step && step.validationRules) || {};
            _this.formConfig.validationRules =
                typeof validationRules === 'function'
                    ? validationRules(_this.formConfig.form)
                    : validationRules;
        };
        _this.beforeUnload = function (event) {
            event.preventDefault();
            event.returnValue = i18n.t('message.unsavedChanges');
            return event.returnValue;
        };
        // Update the values on step change
        _this.updateState = function (newStep, callback) {
            _this.updateValidationRules(newStep);
            callback = callback || (function () { return null; });
            _this.setState({
                currentStep: newStep
            }, callback);
            _this.runBeforeEnter(newStep);
        };
        _this.runBeforeEnter = function (step) {
            var beforeEnter = _this.props.steps[step].beforeEnter;
            if (typeof beforeEnter === 'function') {
                beforeEnter(_this.formConfig);
            }
        };
        _this.onPrevious = function () { return _this.updateState(Math.max(_this.state.currentStep - 1, 0)); };
        _this.onSubmit = function (event) {
            event && event.preventDefault && event.preventDefault();
            var _a = _this.props, steps = _a.steps, onSubmit = _a.onSubmit, onNext = _a.onNext;
            _this.props.form.validateFields(function (err, values) {
                if (!err) {
                    var currentStep_1 = _this.state.currentStep;
                    _this.updateState(Math.min(currentStep_1 + 1, steps.length - 1), function () {
                        // no more steps, submit
                        if (currentStep_1 === steps.length - 1) {
                            onSubmit(values);
                        }
                        else if (onNext) {
                            onNext(values, currentStep_1 + 1);
                        }
                    });
                }
            });
        };
        _this.onCancel = function (event) { return onCancelConfirm(event, _this.props.onCancel); };
        _this.getStepDescription = function (step) {
            return typeof step.description === 'function'
                ? step.description(_this.formConfig, _this.state.currentStep)
                : step.description;
        };
        _this.state = {
            currentStep: _this.props.currentStep
        };
        var form = _this.props.form;
        _this.formConfig = getFormConfig({
            form: form,
            getInitialValues: function () { return _this.props.initialValues || {}; },
            defaultLayout: _this.props.layout === 'horizontal' ? WIZARD_FORM_LAYOUT : false
        });
        _this.updateValidationRules(_this.props.currentStep);
        _this.runBeforeEnter(_this.props.currentStep);
        return _this;
    }
    // remember the initial values on each step before submitting
    UnwrappedWizardFormContainer.prototype.componentDidMount = function () {
        //window.addEventListener('beforeunload', this.beforeUnload);
    };
    UnwrappedWizardFormContainer.prototype.componentDidUpdate = function (prevProps, prevState) {
        if (this.state.currentStep !== prevState.currentStep) {
            // Since we display: none/block all steps, the container that is scrolling (the cuix-wizard-content container)
            // needs to be kicked to put the form at the top.
            var content = document.querySelector(".cuix-wizard-content");
            if (content) {
                content.scrollTop = 0;
            }
        }
    };
    UnwrappedWizardFormContainer.prototype.componentWillUnmount = function () {
        window.removeEventListener('beforeunload', this.beforeUnload);
    };
    UnwrappedWizardFormContainer.prototype.renderStepsSider = function () {
        var _this = this;
        var currentStep = this.state.currentStep;
        var steps = this.props.steps;
        return (React.createElement(WizardStepSider, { width: "240px" },
            React.createElement(Steps, { direction: "vertical", current: currentStep, size: "small" }, steps.map(function (step) { return (React.createElement(Step, { key: step.title, title: step.title, description: _this.getStepDescription(step) })); }))));
    };
    UnwrappedWizardFormContainer.prototype.render = function () {
        var _this = this;
        var currentStep = this.state.currentStep;
        var _a = this.props, steps = _a.steps, title = _a.title, onCancel = _a.onCancel, cancelText = _a.cancelText, submitText = _a.submitText, previousText = _a.previousText, nextText = _a.nextText, finishText = _a.finishText, submitting = _a.submitting, isFinished = _a.isFinished, onFinish = _a.onFinish;
        var cancelProps = typeof onCancel === 'string' ? { href: onCancel } : {};
        cancelProps.onClick = this.onCancel;
        return (React.createElement(Fragment, null,
            React.createElement(PageTitleBar, { breadcrumbs: [{ breadcrumbName: title }], right: React.createElement(LinkButton, __assign({}, cancelProps, { "data-event": "Wizard Cancel", "data-event-category": "User Action" }),
                    React.createElement(CloseIcon, { style: { fontSize: 20 } })) }),
            React.createElement(WizardOuterContainer, { className: "form-outer-content" },
                React.createElement(Content, { className: "form-content" },
                    React.createElement(WizardContainer, null,
                        this.renderStepsSider(),
                        React.createElement(Layout, null,
                            React.createElement(WizardContent, { className: "cuix-wizard-content cuix-wizard-content-layout-".concat(this.props.layout) },
                                React.createElement(WizardForm, { onSubmit: this.onSubmit },
                                    steps.map(function (step, i) { return (React.createElement(WizardStep, { current: currentStep === i, key: i }, step.renderForm(_this.formConfig, currentStep === i))); }),
                                    React.createElement(Button, { htmlType: "submit", style: { display: 'none' } }))),
                            React.createElement(Footer, null,
                                React.createElement(Toolbar, { left: !isFinished && (React.createElement("a", __assign({}, cancelProps, { "data-event": "Wizard Cancel", "data-event-category": "User Action" }),
                                        React.createElement(Button, { size: "large", style: { float: 'left' } }, cancelText))), right: React.createElement(React.Fragment, null,
                                        !isFinished && currentStep > 0 && !submitting && (React.createElement(Button, { size: "large", onClick: this.onPrevious }, previousText)),
                                        !isFinished && currentStep < steps.length - 1 && (React.createElement(Button, { type: "primary", size: "large", onClick: this.onSubmit, "data-test": "nextButton" }, nextText)),
                                        !isFinished && currentStep === steps.length - 1 && (React.createElement(Button, { type: "primary", size: "large", loading: submitting, "data-event": "Wizard onSubmit", "data-event-category": "User Action", onClick: this.onSubmit, "data-test": "submitButton" }, submitText)),
                                        isFinished && onFinish && (React.createElement(Button, { type: "primary", size: "large", "data-event": "Wizard onFinish", "data-event-category": "User Action", onClick: typeof onFinish === 'function' ? onFinish : undefined, href: typeof onFinish === 'string' ? onFinish : undefined }, finishText))) }))))))));
    };
    UnwrappedWizardFormContainer.propTypes = {
        /** Title of the wizard. */
        title: PropTypes.string.isRequired,
        /** Array of steps to render in the wizard. See the makeStep helper below for more info. */
        steps: PropTypes.array.isRequired,
        /** Current step index. If give, wizard will start from that step. */
        currentStep: PropTypes.number,
        /** A function that gets called with the form values when user clicks Submit. */
        onSubmit: PropTypes.func.isRequired,
        /** A function that gets called with the form values and current step index when user clicks Next. */
        onNext: PropTypes.func,
        /** A function that gets called when user clicks Cancel. Can also be a URL string. */
        onCancel: PropTypes.oneOfType([PropTypes.func, PropTypes.string]).isRequired,
        /** A function that gets called with the form values when user clicks Submit when isFinished is true. */
        onFinish: PropTypes.oneOfType([PropTypes.func, PropTypes.string]),
        /** Ant form's form object. Provided by the Form.create HOC. */
        form: PropTypes.object,
        /** Object containing the initial values for the form. */
        initialValues: PropTypes.object,
        /** Label for the next button. */
        nextText: PropTypes.string,
        /** Label for the submit button. */
        submitText: PropTypes.string,
        /** Label for the cancel button. */
        cancelText: PropTypes.string,
        /** Label for the finish button. */
        finishText: PropTypes.string,
        /** Whether the form is in submitting state. */
        submitting: PropTypes.bool,
        /** Whether the form submission is finished. If true, we'll only render the finish button. */
        isFinished: PropTypes.bool,
        layout: PropTypes.oneOf(['horizontal', 'vertical'])
    };
    UnwrappedWizardFormContainer.defaultProps = {
        submitText: i18n.t('label.submit'),
        cancelText: i18n.t('label.cancel'),
        previousText: i18n.t('label.previous'),
        nextText: i18n.t('label.next'),
        finishText: i18n.t('label.finish'),
        currentStep: 0,
        submitting: false,
        layout: 'vertical'
    };
    return UnwrappedWizardFormContainer;
}(Component));
/**
 * @deprecated Uses old antd 3.x forms. Use new `Wizard` component instead.
 */
var WizardFormContainer = Form.create()(UnwrappedWizardFormContainer);
WizardFormContainer.displayName = 'WizardFormContainer';
WizardFormContainer.propTypes = UnwrappedWizardFormContainer.propTypes;
WizardFormContainer.defaultProps = UnwrappedWizardFormContainer.defaultProps;
export default WizardFormContainer;
/**
 * @deprecated Uses old antd 3.x forms. Use new `Wizard` component instead.
 */
export var makeStep = function (Step, _a) {
    var _b = _a === void 0 ? {} : _a, _c = _b.validationRules, validationRules = _c === void 0 ? {} : _c, _d = _b.props, props = _d === void 0 ? {} : _d, _e = _b.title, title = _e === void 0 ? Step.title : _e, description = _b.description;
    // this allows for custom validations to simply pass the i18n key instead of calling i18n itself.
    Object.keys(validationRules).forEach(function (key) {
        var rule = validationRules[key];
        if (rule.message && typeof rule.message === 'string') {
            rule.message = i18n.t(rule.message);
        }
    });
    return {
        title: title,
        description: description,
        renderForm: function (formConfig, isCurrentStep) {
            if (isCurrentStep === void 0) { isCurrentStep = false; }
            return (React.createElement(Step, __assign({ formConfig: formConfig }, props, { isCurrentStep: isCurrentStep })));
        },
        validationRules: validationRules,
        beforeEnter: Step.beforeEnter
    };
};
var templateObject_1, templateObject_2, templateObject_3, templateObject_4, templateObject_5, templateObject_6;
