// Copyright (c) 2022 Cloudera, Inc. All rights reserved.
import React from 'react';
import { Col, Row } from 'antd';
import * as jsdiff from 'diff';
/**
 * Side by side diff e.g showing two views with the (line) differences highlighted
 */
export var SideBySideDiff = function (_a) {
    var a = _a.a, b = _a.b, aBackgroundColor = _a.aBackgroundColor, bBackgroundColor = _a.bBackgroundColor, aHeader = _a.aHeader, bHeader = _a.bHeader;
    var diff = jsdiff.diffLines(a, b);
    return (React.createElement(Row, { gutter: 28 },
        React.createElement(Col, { lg: 12, md: 12 },
            aHeader,
            React.createElement("pre", { "data-test": "SideBySideDiffA" }, diff
                .filter(function (chunk) { return !chunk.added; })
                .map(function (chunk, index) {
                var backgroundColor;
                var changed = false;
                if (chunk.removed) {
                    backgroundColor = aBackgroundColor;
                    changed = true;
                }
                return (React.createElement("span", { style: { backgroundColor: backgroundColor }, "data-changed": changed, key: index }, chunk.value));
            }))),
        React.createElement(Col, { lg: 12, md: 12 },
            bHeader,
            React.createElement("pre", { "data-test": "SideBySideDiffB" }, diff
                .filter(function (chunk) { return !chunk.removed; })
                .map(function (chunk, index) {
                var backgroundColor;
                var changed = false;
                if (chunk.added) {
                    backgroundColor = bBackgroundColor;
                    changed = true;
                }
                return (React.createElement("span", { style: { backgroundColor: backgroundColor }, "data-changed": changed, key: index }, chunk.value));
            })))));
};
