// Copyright (c) 2022 Cloudera, Inc. All rights reserved.
import React from 'react';
import * as jsdiff from 'diff';
/**
 * Show a unified diff (e.g. only one view as opposed to a side by side diff) with
 * line differences highlighted
 */
export var UnifiedDiff = function (_a) {
    var a = _a.a, b = _a.b, aBackgroundColor = _a.aBackgroundColor, bBackgroundColor = _a.bBackgroundColor;
    var diff = jsdiff.diffLines(a, b);
    return (React.createElement("pre", null, diff.map(function (chunk, index) {
        var backgroundColor;
        var change = 'same';
        if (chunk.added) {
            backgroundColor = bBackgroundColor;
            change = 'b';
        }
        else if (chunk.removed) {
            backgroundColor = aBackgroundColor;
            change = 'a';
        }
        return (React.createElement("span", { style: { backgroundColor: backgroundColor }, "data-change": change, key: index }, chunk.value));
    })));
};
