import React from 'react';
import { Props as BaseProps, HoverArg, GenericData } from './BaseNodeChart';
interface Props<NodeData extends GenericData> extends BaseProps<NodeData> {
    tooltipContent?: (node: HoverArg<NodeData>['entry']) => React.ReactNode;
    valueProperty?: keyof NodeData;
}
/**
 * Displays a grid of nodes, each with a color and optional tooltip.
 */
declare const NodeChart: <NodeData extends GenericData>({ tooltipContent, onHover, ...props }: Props<NodeData>) => JSX.Element;
export default NodeChart;
