var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __read = (this && this.__read) || function (o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m) return o;
    var i = m.call(o), r, ar = [], e;
    try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
    }
    catch (error) { e = { error: error }; }
    finally {
        try {
            if (r && !r.done && (m = i["return"])) m.call(i);
        }
        finally { if (e) throw e.error; }
    }
    return ar;
};
// Copyright (c) 2021 Cloudera, Inc. All rights reserved.
import React, { useState, useCallback, useRef } from 'react';
import BaseNodeChart from './BaseNodeChart';
import FloatingTooltip from "cuix/dist/components/FloatingTooltip/FloatingTooltip";
/**
 * Displays a grid of nodes, each with a color and optional tooltip.
 */
var NodeChart = function (_a) {
    var tooltipContent = _a.tooltipContent, onHover = _a.onHover, props = __rest(_a, ["tooltipContent", "onHover"]);
    var _b = __read(useState(false), 2), tooltip = _b[0], setShowTooltip = _b[1];
    var timer = useRef(null);
    var onInternalHover = useCallback(function (args) {
        if (onHover) {
            onHover(args);
        }
        if (timer.current) {
            clearTimeout(timer.current);
            timer.current = null;
        }
        if (!args) {
            // When you go from node to node, we don't want to flash the tooltip, just update it,
            // so when transitioning out of a node, we'll wait a bit before hiding the tooltip as in
            // most cases we'll transition into a new Node before then.
            timer.current = window.setTimeout(function () {
                setShowTooltip(false);
            }, 100); // 100ms seems reasonable based on testing. We could expose it as a prop as well if needed.
            return;
        }
        setShowTooltip(args);
    }, [onHover]);
    return (React.createElement(React.Fragment, null,
        React.createElement(BaseNodeChart
        // the valueProperty which is a keyof T is causing some issues, so
        // moving to any. This component is still properly typed.
        , __assign({}, props, { onHover: onInternalHover })),
        tooltipContent && tooltip && (React.createElement(FloatingTooltip, { visible: true, pointAt: tooltip.dim, content: tooltipContent(tooltip.entry) }))));
};
export default NodeChart;
