var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __read = (this && this.__read) || function (o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m) return o;
    var i = m.call(o), r, ar = [], e;
    try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
    }
    catch (error) { e = { error: error }; }
    finally {
        try {
            if (r && !r.done && (m = i["return"])) m.call(i);
        }
        finally { if (e) throw e.error; }
    }
    return ar;
};
var __spreadArray = (this && this.__spreadArray) || function (to, from, pack) {
    if (pack || arguments.length === 2) for (var i = 0, l = from.length, ar; i < l; i++) {
        if (ar || !(i in from)) {
            if (!ar) ar = Array.prototype.slice.call(from, 0, i);
            ar[i] = from[i];
        }
    }
    return to.concat(ar || Array.prototype.slice.call(from));
};
// Copyright (c) 2022 Cloudera, Inc. All rights reserved.
import React from 'react';
import { Form } from 'antd';
import i18n from "cuix/dist/utils/i18n";
import AutoScalingInput from './AutoScalingInput';
/**
 * A form item for entering AutoScaling parameters. It has built-in
 * validation to ensure that the minimum value is not greater than the maximum
 * value.
 */
var AutoScalingFormItem = function (_a) {
    var rules = _a.rules, disabled = _a.disabled, minimumValue = _a.minimumValue, maximumValue = _a.maximumValue, formItemProps = __rest(_a, ["rules", "disabled", "minimumValue", "maximumValue"]);
    return (React.createElement(Form.Item, __assign({ rules: __spreadArray([
            {
                validator: function (_, value) {
                    var minimumNodes = new Number(value === null || value === void 0 ? void 0 : value.minimumNodes);
                    var maximumNodes = new Number(value === null || value === void 0 ? void 0 : value.maximumNodes);
                    if (!Number.isNaN(minimumNodes) &&
                        !Number.isNaN(maximumNodes) &&
                        minimumNodes > maximumNodes) {
                        return Promise.reject(i18n.t('label.autoScalingValidation'));
                    }
                    return Promise.resolve();
                }
            }
        ], __read((rules || [])), false) }, formItemProps),
        React.createElement(AutoScalingInput, { disabled: disabled, minimumValue: minimumValue, maximumValue: maximumValue })));
};
export default AutoScalingFormItem;
