var __read = (this && this.__read) || function (o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m) return o;
    var i = m.call(o), r, ar = [], e;
    try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
    }
    catch (error) { e = { error: error }; }
    finally {
        try {
            if (r && !r.done && (m = i["return"])) m.call(i);
        }
        finally { if (e) throw e.error; }
    }
    return ar;
};
// Copyright (c) 2022 Cloudera, Inc. All rights reserved.
import React, { useState } from 'react';
import { Form, InputNumber } from 'antd';
import i18n from "cuix/dist/utils/i18n";
import Triangle from './Triangle';
import { cdlSpacingXxs } from '@cloudera/cuix-core/variables';
var TRIANGLE_WIDTH = 40;
/**
 * A form input for entering AutoScaling parameters. You probably want
 * `AutoScalingFormItem` instead.
 */
var AutoScalingInput = function (_a) {
    var id = _a.id, value = _a.value, onChange = _a.onChange, disabled = _a.disabled, minimumValue = _a.minimumValue, maximumValue = _a.maximumValue;
    var _b = __read(useState((value === null || value === void 0 ? void 0 : value.minimumNodes) || 0), 2), minimumNodes = _b[0], setMinimumNodes = _b[1];
    var _c = __read(useState((value === null || value === void 0 ? void 0 : value.maximumNodes) || 0), 2), maximumNodes = _c[0], setMaximumNodes = _c[1];
    var handleBlur = function (event) {
        var _a, _b;
        if (((_a = event.target) === null || _a === void 0 ? void 0 : _a.closest("#".concat(id))) !== ((_b = event.relatedTarget) === null || _b === void 0 ? void 0 : _b.closest("#".concat(id)))) {
            onChange === null || onChange === void 0 ? void 0 : onChange({ minimumNodes: minimumNodes || 0, maximumNodes: maximumNodes || 0 });
        }
    };
    return (React.createElement("div", { id: id, style: { display: 'flex' } },
        React.createElement(Form.Item, { style: { flex: 'auto', marginBottom: 0 }, label: i18n.t('label.minimumNodes') },
            React.createElement(InputNumber, { style: { width: '100%' }, min: minimumValue || 0, max: maximumValue || Infinity, value: minimumNodes, onBlur: handleBlur, onChange: function (value) { return setMinimumNodes(value || 0); }, disabled: disabled })),
        React.createElement(Triangle, { width: TRIANGLE_WIDTH, style: { marginLeft: cdlSpacingXxs, marginRight: cdlSpacingXxs } }),
        React.createElement(Form.Item, { style: {
                flex: 'auto',
                marginLeft: TRIANGLE_WIDTH * 2,
                marginBottom: 0
            }, label: i18n.t('label.maximumNodes') },
            React.createElement(InputNumber, { style: { width: '100%' }, min: minimumValue || 0, max: maximumValue || Infinity, value: maximumNodes, onBlur: handleBlur, onChange: function (value) { return setMaximumNodes(value || 0); }, disabled: disabled }))));
};
export default AutoScalingInput;
