// Copyright (c) 2022 Cloudera, Inc. All rights reserved.
var _a;
import React from 'react';
import StatusDestroyedIcon from '@cloudera/cuix-core/icons/react/StatusDestroyedIcon';
import StatusErrorIcon from '@cloudera/cuix-core/icons/react/StatusErrorIcon';
import StatusInProgressIcon from '@cloudera/cuix-core/icons/react/StatusInProgressIcon';
import StatusSuccessIcon from '@cloudera/cuix-core/icons/react/StatusSuccessIcon';
import StatusUnknownIcon from '@cloudera/cuix-core/icons/react/StatusUnknownIcon';
import i18n from "cuix/dist/utils/i18n";
// eslint-disable-next-line thunderhead/no-legacy-icons
import IconWithLabel from "cuix/dist/components/IconWithLabel";
export var ClusterStatusType;
(function (ClusterStatusType) {
    ClusterStatusType["Creating"] = "CREATING";
    ClusterStatusType["CreateFailed"] = "CREATE_FAILED";
    ClusterStatusType["Updating"] = "UPDATING";
    ClusterStatusType["UpdateFailed"] = "UPDATE_FAILED";
    ClusterStatusType["Running"] = "RUNNING";
    ClusterStatusType["DeployingServices"] = "DEPLOYING_SERVICES";
    ClusterStatusType["DeploymentFailed"] = "DEPLOYMENT_FAILED";
    ClusterStatusType["Deleting"] = "DELETING";
    ClusterStatusType["Deleted"] = "DELETED";
    ClusterStatusType["DeleteFailed"] = "DELETE_FAILED";
    ClusterStatusType["RegisterFailed"] = "REGISTER_FAILED";
    ClusterStatusType["Registering"] = "REGISTERING";
    ClusterStatusType["Registered"] = "REGISTERED";
    ClusterStatusType["Unregistered"] = "UNREGISTERED";
    ClusterStatusType["UnregisterFailed"] = "UNREGISTER_FAILED";
    ClusterStatusType["Unregistering"] = "UNREGISTERING";
    ClusterStatusType["Error"] = "ERROR";
    ClusterStatusType["Upgrading"] = "UPGRADING";
    ClusterStatusType["UpgradeFailed"] = "UPGRADE_FAILED";
    ClusterStatusType["DeploymentUpgradeFailed"] = "UPGRADE_DEPLOYMENTS_FAILED";
})(ClusterStatusType || (ClusterStatusType = {}));
var iconMap = (_a = {},
    _a[ClusterStatusType.Creating] = StatusInProgressIcon,
    _a[ClusterStatusType.CreateFailed] = StatusErrorIcon,
    _a[ClusterStatusType.Updating] = StatusInProgressIcon,
    _a[ClusterStatusType.UpdateFailed] = StatusErrorIcon,
    _a[ClusterStatusType.Running] = StatusSuccessIcon,
    _a[ClusterStatusType.DeployingServices] = StatusInProgressIcon,
    _a[ClusterStatusType.DeploymentFailed] = StatusErrorIcon,
    _a[ClusterStatusType.Deleting] = StatusInProgressIcon,
    _a[ClusterStatusType.Deleted] = StatusDestroyedIcon,
    _a[ClusterStatusType.RegisterFailed] = StatusErrorIcon,
    _a[ClusterStatusType.Registering] = StatusInProgressIcon,
    _a[ClusterStatusType.DeleteFailed] = StatusErrorIcon,
    _a[ClusterStatusType.Registered] = StatusSuccessIcon,
    _a[ClusterStatusType.Unregistered] = StatusUnknownIcon,
    _a[ClusterStatusType.UnregisterFailed] = StatusErrorIcon,
    _a[ClusterStatusType.Unregistering] = StatusInProgressIcon,
    _a[ClusterStatusType.Error] = StatusErrorIcon,
    _a[ClusterStatusType.Upgrading] = StatusInProgressIcon,
    _a[ClusterStatusType.UpgradeFailed] = StatusErrorIcon,
    _a[ClusterStatusType.DeploymentUpgradeFailed] = StatusErrorIcon,
    _a[''] = StatusUnknownIcon,
    _a);
var spinningStatuses = [
    ClusterStatusType.Creating,
    ClusterStatusType.Updating,
    ClusterStatusType.DeployingServices,
    ClusterStatusType.Deleting,
    ClusterStatusType.Registering,
    ClusterStatusType.Unregistering,
    ClusterStatusType.Upgrading
];
var spinStyle = { animation: 'loadingCircle 1s infinite linear' };
/**
 * Displays cluser status icon and text.
 */
var ClusterStatus = function (_a) {
    var status = _a.status;
    return (React.createElement(IconWithLabel, { icon: iconMap[status], iconStyle: spinningStatuses.includes(status) ? spinStyle : undefined, label: i18n.t("compute.status.".concat(status)), style: { whiteSpace: 'nowrap' } }));
};
export default ClusterStatus;
