var __read = (this && this.__read) || function (o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m) return o;
    var i = m.call(o), r, ar = [], e;
    try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
    }
    catch (error) { e = { error: error }; }
    finally {
        try {
            if (r && !r.done && (m = i["return"])) m.call(i);
        }
        finally { if (e) throw e.error; }
    }
    return ar;
};
// Copyright (c) 2022 Cloudera, Inc. All rights reserved.
import { Card, Tooltip } from 'antd';
import { Heading } from "cuix/dist/components/Typography";
import { cdlBlue600, cdlIconSizeDefault, cdlSpacingS, cdlSpacingTiny, cdlSpacingXxs, cdlWhite, paddingXs } from "cuix/dist/styles/variables";
import React, { useEffect, useState } from 'react';
import KeyValuePairTagList from "cuix/dist/components/KeyValuePairTagList";
import NotificationsIcon from '@cloudera/cuix-core/icons/react/NotificationsIcon';
import DeleteIcon from '@cloudera/cuix-core/icons/react/DeleteIcon';
import SettingsIcon from '@cloudera/cuix-core/icons/react/SettingsIcon';
import i18n from "cuix/dist/utils/i18n";
import WorkLoadsIcon from '@cloudera/cuix-core/icons/react/WorkloadsIcon';
import MapReorientIcon from '@cloudera/cuix-core/icons/react/MapReorientIcon';
import MoneyIcon from '@cloudera/cuix-core/icons/react/MoneyIcon';
import NodeGroupModal from './NodeGroupModal';
import { IconButton } from "cuix/dist/components/Button";
import compute from "cdp-js/dist/api/compute";
import useSubmissionApi from "cuix/dist/hooks/useSubmissionApi";
import I18nHtml from "cuix/dist/components/I18nHtml";
import apiErrorNotification from "cuix/dist/utils/apiErrorNotification";
import apiSuccessNotification from "cuix/dist/utils/apiSuccessNotification";
import apiDangerConfirm from "cuix/dist/utils/apiDangerConfirm";
import NodeGroupStatus from './NodeGroupStatus';
import NodeStatus from './NodeChartDisplay';
import DescriptionList, { DescriptionListItem } from "cuix/dist/components/DescriptionList";
import Toolbar from "cuix/dist/components/Toolbar";
import { getAlerts } from '../helpers';
var NodeGroupCard = function (_a) {
    var disabled = _a.disabled, cluster = _a.cluster, nodeGroup = _a.nodeGroup, disableDeleteNodeGroup = _a.disableDeleteNodeGroup, disableEditNodeGroup = _a.disableEditNodeGroup;
    var name = nodeGroup.name, labels = nodeGroup.labels, taints = nodeGroup.taints, minimumNodes = nodeGroup.minimumNodes, maximumNodes = nodeGroup.maximumNodes, configuredNodes = nodeGroup.configuredNodes, nodeStates = nodeGroup.nodeStates, hasGpu = nodeGroup.hasGpu, isOnDemand = nodeGroup.isOnDemand, rootVolume = nodeGroup.rootVolume, isSingleZone = nodeGroup.isSingleZone, status = nodeGroup.status, image = nodeGroup.image;
    var _b = __read(useState(false), 2), isModalVisible = _b[0], setIsModalVisible = _b[1];
    var showModalFromEdit = function () {
        setIsModalVisible(true);
    };
    var _c = __read(useSubmissionApi(compute.deleteInstanceGroup), 2), deleteInstanceGroupResponse = _c[0], deleteInstanceGroup = _c[1];
    var iconStyle = {
        height: cdlIconSizeDefault,
        width: cdlIconSizeDefault,
        backgroundColor: cdlBlue600,
        borderRadius: 10,
        color: cdlWhite,
        padding: paddingXs,
        marginRight: cdlSpacingTiny
    };
    useEffect(function () {
        if (deleteInstanceGroupResponse.data) {
            apiSuccessNotification(React.createElement(I18nHtml, { messageKey: "compute.label.instanceGroup.deleted", params: [name] }));
        }
    }, [deleteInstanceGroupResponse.data, name]);
    useEffect(function () {
        if (deleteInstanceGroupResponse.error) {
            apiErrorNotification(deleteInstanceGroupResponse.error);
        }
    }, [deleteInstanceGroupResponse.error]);
    return (React.createElement(Card, { style: { width: 450 }, bodyStyle: { padding: cdlSpacingS } },
        React.createElement(Toolbar, { style: { marginBottom: cdlSpacingXxs }, left: React.createElement("div", { style: { display: 'flex', alignItems: 'center' } },
                status ? (React.createElement(NodeGroupStatus, { status: status, style: { marginRight: cdlSpacingTiny } })) : null,
                React.createElement(Heading, { level: 3, style: { margin: 0, marginRight: cdlSpacingTiny } }, name),
                hasGpu && (React.createElement(Tooltip, { title: i18n.t('compute.label.gpu'), overlayInnerStyle: { minHeight: 0 } },
                    React.createElement(WorkLoadsIcon, { style: iconStyle }))),
                isSingleZone && (React.createElement(Tooltip, { title: i18n.t('compute.label.singleZone'), overlayInnerStyle: { minHeight: 0 } },
                    React.createElement(MapReorientIcon, { style: iconStyle }))),
                isOnDemand && (React.createElement(Tooltip, { title: i18n.t('compute.label.onDemand'), overlayInnerStyle: { minHeight: 0 } },
                    React.createElement(MoneyIcon, { style: iconStyle })))), right: React.createElement("span", { className: "spaced-4", style: { marginLeft: 'auto' } },
                getAlerts() && (React.createElement(IconButton, { "aria-label": i18n.t('compute.label.nodeGroupAlerts'), "data-event": "View Node Group Alerts", icon: React.createElement(NotificationsIcon, null), disabled: disabled })),
                !disableDeleteNodeGroup && (React.createElement(IconButton, { "aria-label": i18n.t('compute.label.deleteNodeGroup'), "data-event": "Delete Node Group", icon: React.createElement(DeleteIcon, null), hidden: disableDeleteNodeGroup, onClick: function () {
                        apiDangerConfirm(i18n.t('compute.label.deleteConfirmMessageWithName', [name]), function (confirmed) {
                            if (confirmed) {
                                deleteInstanceGroup({
                                    clusterCrn: cluster.clusterCrn,
                                    clusterStateVersion: cluster.clusterStateVersion,
                                    instanceGroupName: name
                                });
                            }
                        });
                    }, disabled: disabled })),
                !disableEditNodeGroup && (React.createElement(IconButton, { "aria-label": i18n.t('compute.label.editNodeGroup'), "data-event": "Edit Node Group", "data-test": "settings", icon: React.createElement(SettingsIcon, null), onClick: showModalFromEdit, disabled: disabled }))) }),
        React.createElement(DescriptionList, { upperCaseLabel: true },
            React.createElement(DescriptionListItem, { label: i18n.t('compute.label.labels'), hideIfEmpty: true }, labels && Object.entries(labels).length > 0 ? (React.createElement(KeyValuePairTagList, { clamp: true, keyValuePairs: labels })) : null),
            React.createElement(DescriptionListItem, { label: i18n.t('compute.label.taints'), hideIfEmpty: true }, taints && Object.entries(taints).length > 0 ? (React.createElement(KeyValuePairTagList, { clamp: true, keyValuePairs: taints })) : null),
            React.createElement(DescriptionListItem, { label: i18n.t('compute.label.image'), hideIfEmpty: true }, image),
            React.createElement(DescriptionListItem, { label: i18n.t('compute.label.rootVolume') }, rootVolume),
            React.createElement(DescriptionListItem, { label: i18n.t('label.nodes'), hideIfEmpty: true },
                React.createElement(NodeStatus, { configuredNodes: configuredNodes, minimumNodes: minimumNodes, maximumNodes: maximumNodes, nodeStates: nodeStates }))),
        React.createElement(NodeGroupModal, { cluster: cluster, nodeGroupForEdit: nodeGroup, isModalVisible: isModalVisible, setIsModalVisible: setIsModalVisible })));
};
export default NodeGroupCard;
