var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (g && (g = 0, op[0] && (_ = 0)), _) try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [op[0] & 2, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
var __read = (this && this.__read) || function (o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m) return o;
    var i = m.call(o), r, ar = [], e;
    try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
    }
    catch (error) { e = { error: error }; }
    finally {
        try {
            if (r && !r.done && (m = i["return"])) m.call(i);
        }
        finally { if (e) throw e.error; }
    }
    return ar;
};
// Copyright (c) 2022 Cloudera, Inc. All rights reserved.
import React, { useEffect } from 'react';
import { Checkbox, Form, Input, InputNumber, Radio, Select } from 'antd';
import Modal from "cuix/dist/components/Modal";
import compute from "cdp-js/dist/api/compute";
import { ComputePlatform, EnvCloudProvider } from "cdp-js/dist/api/compute/types";
import I18nHtml from "cuix/dist/components/I18nHtml";
import { Heading } from "cuix/dist/components/Typography";
import useSubmissionApi from "cuix/dist/hooks/useSubmissionApi";
import apiErrorNotification from "cuix/dist/utils/apiErrorNotification";
import apiSuccessNotification from "cuix/dist/utils/apiSuccessNotification";
import i18n from "cuix/dist/utils/i18n";
import { keyValuePairsToObject } from '../helpers';
import KeyValuePairFormItemList from "cuix/dist/components/KeyValuePairFormItemList";
import { InstanceTierType } from '../types';
import AutoScalingFormItem from '../AutoScalingFormItem/AutoScalingFormItem';
import OrderableSelectList from "cuix/dist/components/OrderableSelectList";
// TODO: [future] Replace this with values from the API when they are available. (jgolieb)
var nodeTypesAws = [
    { value: 'm5.large', label: 'm5.large' },
    { value: 'm5a.large', label: 'm5a.large' },
    { value: 'm5.xlarge', label: 'm5.xlarge' },
    { value: 'm5a.xlarge', label: 'm5a.xlarge' }
];
var nodeTypesAzure = [
    { value: 'Standard_B2s', label: 'Standard_B2s' },
    { value: 'Standard_D2s_v3', label: 'Standard_D2s_v3' },
    { value: 'Standard_D2_v4', label: 'Standard_D2_v4' }
];
var objectToKeyValuePairs = function (obj) {
    return Object.entries(obj).map(function (_a) {
        var _b = __read(_a, 2), key = _b[0], val = _b[1];
        return ({ key: key, val: val });
    });
};
var getInitialValues = function (computePlatform, nodeGroup) {
    var initialValues = {
        name: '',
        nodeTier: InstanceTierType.Spot,
        autoScaling: { minimumNodes: 0, maximumNodes: 0 },
        rootVolume: 0,
        labels: [{ key: undefined, val: undefined }],
        taints: [{ key: undefined, val: undefined }],
        isSingleZone: false
    };
    switch (computePlatform) {
        case ComputePlatform.EKS:
            initialValues.nodeTypes = [undefined];
            break;
        default:
            break;
    }
    // edit mode
    if (nodeGroup) {
        initialValues.name = nodeGroup.name;
        if (nodeGroup.isOnDemand) {
            initialValues.nodeTier = InstanceTierType.OnDemand;
        }
        initialValues.autoScaling = {
            minimumNodes: nodeGroup.minimumNodes || 0,
            maximumNodes: nodeGroup.maximumNodes || 0
        };
        initialValues.rootVolume = nodeGroup.rootVolume || 0;
        var labels = objectToKeyValuePairs(nodeGroup.labels);
        if (labels.length === 0) {
            labels.push({ key: undefined, val: undefined });
        }
        initialValues.labels = labels;
        var taints = objectToKeyValuePairs(nodeGroup.taints);
        if (taints.length === 0) {
            taints.push({ key: undefined, val: undefined });
        }
        initialValues.taints = taints;
        initialValues.isSingleZone = nodeGroup.isSingleZone;
        switch (computePlatform) {
            case ComputePlatform.EKS:
                initialValues.nodeTypes = nodeGroup.nodeTypes;
                break;
            case ComputePlatform.AKS:
                initialValues.nodeType = nodeGroup.nodeTypes[0];
                break;
            default:
                break;
        }
    }
    return initialValues;
};
var NodeGroupModal = function (_a) {
    var nodeGroupForEdit = _a.nodeGroupForEdit, isModalVisible = _a.isModalVisible, setIsModalVisible = _a.setIsModalVisible, cluster = _a.cluster;
    var _b = __read(Form.useForm(), 1), form = _b[0];
    /*
     * This is required to ensure that the form is always initialized with the
     * correct values. Simply using the `initialValues` prop of `Form` wasn't
     * doing the job.
     */
    useEffect(function () {
        if (isModalVisible) {
            form.setFieldsValue(getInitialValues(cluster.computePlatform, nodeGroupForEdit));
        }
        /*
         * We're not including `nodeGroupForEdit` in the deps list because we want
         * to ensure that this only runs when the modal is made visible.
         */
        // eslint-disable-next-line react-hooks/exhaustive-deps
    }, [form, isModalVisible, cluster]);
    var _c = __read(useSubmissionApi(compute.createInstanceGroups), 2), createInstanceGroupResponse = _c[0], createInstanceGroup = _c[1];
    var _d = __read(useSubmissionApi(compute.updateInstanceGroup), 2), updateInstanceGroupResponse = _d[0], updateInstanceGroup = _d[1];
    var handleCancel = function () {
        setIsModalVisible(false);
    };
    useEffect(function () {
        if (createInstanceGroupResponse.data) {
            apiSuccessNotification(React.createElement(I18nHtml, { messageKey: "compute.label.instanceGroup.created", params: [form.getFieldValue('name')] }));
        }
        else if (updateInstanceGroupResponse.data) {
            apiSuccessNotification(React.createElement(I18nHtml, { messageKey: "compute.label.instanceGroup.updated", params: [form.getFieldValue('name')] }));
        }
    }, [createInstanceGroupResponse.data, updateInstanceGroupResponse.data, form]);
    useEffect(function () {
        if (createInstanceGroupResponse.error) {
            apiErrorNotification(createInstanceGroupResponse.error);
        }
        else if (updateInstanceGroupResponse.error) {
            apiErrorNotification(updateInstanceGroupResponse.error);
        }
    }, [createInstanceGroupResponse.error, updateInstanceGroupResponse.error]);
    var instanceGroupFromNodeGroup = function (nodeGroup) {
        return {
            name: nodeGroup.name,
            instanceTypes: nodeGroup.nodeTypes,
            autoscaling: {
                maxInstance: nodeGroup.maximumNodes || 0,
                minInstance: nodeGroup.minimumNodes || 0,
                enabled: nodeGroup.maximumNodes !== nodeGroup.minimumNodes
            },
            instanceTier: nodeGroup.isOnDemand ? InstanceTierType.OnDemand : InstanceTierType.Spot,
            labels: nodeGroup.labels,
            taints: nodeGroup.taints,
            singleZone: nodeGroup.isSingleZone,
            rootVolume: {
                size: nodeGroup.rootVolume
            },
            instanceCount: nodeGroup.minimumNodes
        };
    };
    var checkIsValid = function () { return __awaiter(void 0, void 0, void 0, function () {
        var values, error_1;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    _a.trys.push([0, 2, , 3]);
                    return [4 /*yield*/, form.validateFields()];
                case 1:
                    values = _a.sent();
                    if (values) {
                        return [2 /*return*/, true];
                    }
                    return [2 /*return*/, false];
                case 2:
                    error_1 = _a.sent();
                    return [2 /*return*/, false];
                case 3: return [2 /*return*/];
            }
        });
    }); };
    var handleOk = function () { return __awaiter(void 0, void 0, void 0, function () {
        var isValid, nodeGroup, updateInstanceGroupRequest, createInstanceGroupRequest;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0: return [4 /*yield*/, checkIsValid()];
                case 1:
                    isValid = _a.sent();
                    if (isValid) {
                        nodeGroup = {
                            name: form.getFieldValue('name'),
                            labels: keyValuePairsToObject(form.getFieldValue('labels')),
                            taints: keyValuePairsToObject(form.getFieldValue('taints')),
                            minimumNodes: form.getFieldValue('autoScaling').minimumNodes,
                            maximumNodes: form.getFieldValue('autoScaling').maximumNodes,
                            rootVolume: form.getFieldValue('rootVolume'),
                            isOnDemand: form.getFieldValue('nodeTier') === InstanceTierType.OnDemand,
                            isSingleZone: form.getFieldValue('isSingleZone'),
                            configuredNodes: form.getFieldValue('minimumNodes')
                        };
                        switch (cluster.computePlatform) {
                            case ComputePlatform.EKS:
                                nodeGroup.nodeTypes = form.getFieldValue('nodeTypes').filter(function (nodeType) { return typeof nodeType === 'string'; });
                                break;
                            case ComputePlatform.AKS:
                                nodeGroup.nodeTypes = [form.getFieldValue('nodeType')];
                                break;
                            default:
                                break;
                        }
                        if (nodeGroupForEdit) {
                            updateInstanceGroupRequest = {
                                clusterCrn: cluster.clusterCrn,
                                clusterStateVersion: cluster.clusterStateVersion,
                                instanceGroup: instanceGroupFromNodeGroup(nodeGroup)
                            };
                            updateInstanceGroup(updateInstanceGroupRequest);
                        }
                        else {
                            createInstanceGroupRequest = {
                                clusterCrn: cluster.clusterCrn,
                                clusterStateVersion: cluster.clusterStateVersion,
                                instanceGroups: [instanceGroupFromNodeGroup(nodeGroup)]
                            };
                            createInstanceGroup(createInstanceGroupRequest);
                        }
                        setIsModalVisible(false);
                    }
                    return [2 /*return*/];
            }
        });
    }); };
    return (React.createElement(Modal, { title: React.createElement(Heading, { level: 2 }, nodeGroupForEdit
            ? i18n.t('compute.label.editNodeGroup')
            : i18n.t('compute.label.addNodeGroup')), open: isModalVisible, onOk: handleOk, onCancel: handleCancel, okText: nodeGroupForEdit ? i18n.t('label.update') : i18n.t('label.add'), destroyOnClose: true, maskClosable: false },
        React.createElement(Form, { form: form, layout: "vertical", initialValues: getInitialValues(cluster.computePlatform, nodeGroupForEdit), preserve: false },
            React.createElement(Form.Item, { name: "name", label: i18n.t('label.name'), rules: [{ required: true }] },
                React.createElement(Input, { placeholder: i18n.t('compute.label.newGroup'), readOnly: !!nodeGroupForEdit })),
            React.createElement(Form.Item, { name: "nodeTier", label: i18n.t('compute.label.nodeTier') },
                React.createElement(Radio.Group, null,
                    React.createElement(Radio, { value: InstanceTierType.Spot }, i18n.t('compute.label.spot')),
                    React.createElement(Radio, { value: InstanceTierType.OnDemand }, i18n.t('compute.label.onDemand')))),
            cluster.envCloudProvider === EnvCloudProvider.AWS && (React.createElement(Form.Item, { label: i18n.t('compute.label.nodeTypes'), extra: i18n.t('compute.label.nodeTypesHelp'), required: true },
                React.createElement(OrderableSelectList, { name: "nodeTypes", placeholder: i18n.t('compute.label.selectNodeType'), options: nodeTypesAws, required: true }))),
            cluster.envCloudProvider === EnvCloudProvider.AZURE && (React.createElement(Form.Item, { name: "nodeType", label: i18n.t('compute.label.nodeType') },
                React.createElement(Select, { placeholder: i18n.t('compute.label.selectNodeType'), options: nodeTypesAzure }))),
            React.createElement(Form.Item, { name: "rootVolume", label: i18n.t('compute.label.rootVolume') },
                React.createElement(InputNumber, { style: { width: '100%' }, min: 0, onBlur: function (event) {
                        var value = Number.parseInt(event.target.value);
                        if (Number.isNaN(value)) {
                            form.setFieldsValue({ rootVolume: 0 });
                        }
                    } })),
            React.createElement(Form.Item, { name: "isSingleZone", valuePropName: "checked" },
                React.createElement(Checkbox, null, i18n.t('compute.label.useSingleZone'))),
            React.createElement(AutoScalingFormItem, { name: "autoScaling" }),
            React.createElement(Form.Item, { label: i18n.t('compute.label.labels') },
                React.createElement(KeyValuePairFormItemList, { name: "labels" })),
            React.createElement(Form.Item, { label: i18n.t('compute.label.taints') },
                React.createElement(KeyValuePairFormItemList, { name: "taints" })))));
};
export default NodeGroupModal;
