var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var _a;
// Copyright (c) 2022 Cloudera, Inc. All rights reserved.
import StatusInProgressIcon from '@cloudera/cuix-core/icons/react/StatusInProgressIcon';
import StatusSuccessIcon from '@cloudera/cuix-core/icons/react/StatusSuccessIcon';
import StatusUnknownIcon from '@cloudera/cuix-core/icons/react/StatusUnknownIcon';
import { cdlIconSizeDefault } from '@cloudera/cuix-core/variables';
import { Tooltip } from 'antd';
import i18n from "cuix/dist/utils/i18n";
import React from 'react';
export var NodeGroupStatusType;
(function (NodeGroupStatusType) {
    NodeGroupStatusType["NodeAcquisitionInProgress"] = "NODE_ACQUISITION_IN_PROGRESS";
    NodeGroupStatusType["CreateComplete"] = "CREATE_COMPLETE";
})(NodeGroupStatusType || (NodeGroupStatusType = {}));
var iconStyle = { height: cdlIconSizeDefault, width: cdlIconSizeDefault };
var SpinningProgressIcon = (React.createElement(StatusInProgressIcon, { style: __assign({ animation: 'loadingCircle 1s infinite linear' }, iconStyle) }));
var iconMap = (_a = {},
    _a[NodeGroupStatusType.NodeAcquisitionInProgress] = SpinningProgressIcon,
    _a[NodeGroupStatusType.CreateComplete] = React.createElement(StatusSuccessIcon, { style: iconStyle }),
    _a);
var NodeGroupStatus = function (_a) {
    var status = _a.status, style = _a.style;
    return (React.createElement(Tooltip, { title: i18n.t("compute.status.".concat(status ? status : 'unknown')), overlayInnerStyle: { minHeight: 0 } },
        React.createElement("div", { "aria-label": i18n.t('compute.label.nodeGroupStatus', [status]), style: style }, iconMap[status] || React.createElement(StatusUnknownIcon, { style: iconStyle }))));
};
export default NodeGroupStatus;
