import { DescribeClusterResponse } from "cdp-js/dist/api/compute/types";
import React from 'react';
import { NodeGroup } from '../types';
interface Props {
    cluster: DescribeClusterResponse;
    nodeGroups: NodeGroup[];
    isClusterDisabled: boolean;
    /**
     * This will override all other logic and hide the Upgrade Node Images button.
     * This is intended to allow applications consuming this component to disable
     * this function if it would be too destructive.
     */
    disableUpgradeImage?: boolean;
    /**
     * This will override all other logic and hide the Add Node Group button.
     * This is intended to allow applications consuming this component to disable
     * this function if it would be too destructive.
     */
    disableAddNodeGroup?: boolean;
    /**
     * This will override all other logic and hide the Edit Node Group icon.
     * This is intended to allow applications consuming this component to disable
     * this function if it would be too destructive.
     */
    disableEditNodeGroup?: boolean;
    /**
     * This will override all other logic and hide the Delete Node Group icon.
     * This is intended to allow applications consuming this component to disable
     * this function if it would be too destructive.
     */
    disableDeleteNodeGroup?: boolean;
    onUpgradeImageSuccess: () => void;
    /**
     * This will refresh the Node Groups List.
     */
    refreshNodeGroups?: () => void;
    isRefreshing?: boolean;
}
declare const NodeGroups: React.FC<Props>;
export default NodeGroups;
