var __read = (this && this.__read) || function (o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m) return o;
    var i = m.call(o), r, ar = [], e;
    try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
    }
    catch (error) { e = { error: error }; }
    finally {
        try {
            if (r && !r.done && (m = i["return"])) m.call(i);
        }
        finally { if (e) throw e.error; }
    }
    return ar;
};
// Copyright (c) 2022 Cloudera, Inc. All rights reserved.
import PlusCircleIcon from '@cloudera/cuix-core/icons/react/PlusCircleIcon';
import Button, { PrimaryButton } from "cuix/dist/components/Button";
import Toolbar from "cuix/dist/components/Toolbar";
import { Heading } from "cuix/dist/components/Typography";
import { cdlSpacingS, marginMd } from "cuix/dist/styles/variables";
import i18n from "cuix/dist/utils/i18n";
import React, { useState } from 'react';
import CardListLayout from "cuix/dist/compute/components/CardListLayout";
import NodeGroupCard from './NodeGroupCard';
import NodeGroupModal from './NodeGroupModal';
import Pending from '../Pending';
import UpgradeIcon from '@cloudera/cuix-core/icons/react/UpgradeIcon';
import { useUpgradeImage } from '../hooks';
import { canUpgradeImage } from '../helpers';
import RefreshButton from '../../../components/RefreshButton';
var NodeGroups = function (_a) {
    var cluster = _a.cluster, nodeGroups = _a.nodeGroups, isClusterDisabled = _a.isClusterDisabled, disableUpgradeImage = _a.disableUpgradeImage, onUpgradeImageSuccess = _a.onUpgradeImageSuccess, disableDeleteNodeGroup = _a.disableDeleteNodeGroup, disableEditNodeGroup = _a.disableEditNodeGroup, disableAddNodeGroup = _a.disableAddNodeGroup, refreshNodeGroups = _a.refreshNodeGroups, isRefreshing = _a.isRefreshing;
    var upgradeImage = useUpgradeImage(cluster, onUpgradeImageSuccess);
    var _b = __read(useState(false), 2), isNodeGroupModalVisible = _b[0], setIsNodeGroupModalVisible = _b[1];
    return (React.createElement(React.Fragment, null,
        React.createElement(Pending, { cluster: cluster, showForPendingNodeGroup: true, spin: isRefreshing },
            React.createElement(Toolbar, { style: { marginBottom: marginMd }, left: React.createElement(Heading, { level: 2 }, i18n.t('compute.label.nodeGroups')), right: React.createElement(React.Fragment, null,
                    !disableUpgradeImage && (React.createElement(Button, { "data-event": "Upgrade Node Images", icon: React.createElement(UpgradeIcon, null), onClick: upgradeImage, disabled: !canUpgradeImage(cluster) }, i18n.t('compute.label.upgradeImage'))),
                    !disableAddNodeGroup && (React.createElement(PrimaryButton, { "data-event": "Add Node Group", icon: React.createElement(PlusCircleIcon, null), onClick: function () { return setIsNodeGroupModalVisible(true); }, disabled: isClusterDisabled }, i18n.t('label.add'))),
                    React.createElement(RefreshButton, { onRefresh: function () {
                            refreshNodeGroups === null || refreshNodeGroups === void 0 ? void 0 : refreshNodeGroups();
                        } })) }),
            React.createElement(CardListLayout, { style: { gap: cdlSpacingS } }, nodeGroups
                .sort(function (a, b) { return a.name.localeCompare(b.name); })
                .map(function (nodeGroup) { return (React.createElement(NodeGroupCard, { cluster: cluster, key: nodeGroup.name, disabled: isClusterDisabled, nodeGroup: nodeGroup, disableDeleteNodeGroup: disableDeleteNodeGroup, disableEditNodeGroup: disableEditNodeGroup })); }))),
        React.createElement(NodeGroupModal, { isModalVisible: isNodeGroupModalVisible, setIsModalVisible: setIsNodeGroupModalVisible, cluster: cluster })));
};
export default NodeGroups;
