import React from 'react';
import { DescribeClusterResponse } from "cdp-js/dist/api/compute/types";
interface PendingProps {
    cluster: DescribeClusterResponse;
    /**
     * If true, the spinner will be shown when any node group is pending.
     * */
    showForPendingNodeGroup?: boolean;
    spin?: boolean;
}
/**
 * Displays a `Loading` spinner with a message based on the cluster status if the
 * cluster is in a pending state. Otherwise, this has basically the same features
 * as `Loading` and can be used similarly.
 */
declare const Pending: React.FC<PendingProps>;
export default Pending;
