var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
// Copyright (c) 2022 Cloudera, Inc. All rights reserved.
import React from 'react';
import i18n from "cuix/dist/utils/i18n";
import styled from 'styled-components';
import Loading from "cuix/dist/components/Loading";
import { isClusterPending, isAnyInstanceGroupPending } from '../helpers';
var shouldSpin = function (cluster, showForPendingNodeGroup, spin) {
    return spin ||
        isClusterPending(cluster) ||
        (showForPendingNodeGroup && isAnyInstanceGroupPending(cluster));
};
var StyledLoading = styled(function (props) { return (React.createElement(Loading, __assign({}, props, { wrapperClassName: props.className }))); })(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  height: 100%;\n\n  .ant-spin-container:after {\n    background: transparent;\n  }\n\n  &&.ant-spin.ant-spin-lg.ant-spin-spinning.appear.overlap:before {\n    background: transparent;\n  }\n\n  .ant-spin-lg.ant-spin-show-text .ant-spin-dot {\n    margin-left: 0;\n  }\n"], ["\n  height: 100%;\n\n  .ant-spin-container:after {\n    background: transparent;\n  }\n\n  &&.ant-spin.ant-spin-lg.ant-spin-spinning.appear.overlap:before {\n    background: transparent;\n  }\n\n  .ant-spin-lg.ant-spin-show-text .ant-spin-dot {\n    margin-left: 0;\n  }\n"])));
var getMessage = function (cluster, showForPendingNodeGroup) {
    if (isClusterPending(cluster)) {
        return i18n.t('compute.label.pleaseWaitClusterIs', [
            i18n.t("compute.status.".concat(cluster.status)).toLocaleLowerCase()
        ]);
    }
    if (showForPendingNodeGroup && isAnyInstanceGroupPending(cluster)) {
        return i18n.t('compute.label.pleaseWaitNodeGroup');
    }
    return undefined;
};
/**
 * Displays a `Loading` spinner with a message based on the cluster status if the
 * cluster is in a pending state. Otherwise, this has basically the same features
 * as `Loading` and can be used similarly.
 */
var Pending = function (_a) {
    var cluster = _a.cluster, showForPendingNodeGroup = _a.showForPendingNodeGroup, spin = _a.spin, children = _a.children;
    return (React.createElement(StyledLoading, { spinning: shouldSpin(cluster, !!showForPendingNodeGroup, !!spin), delay: 0, tip: getMessage(cluster, !!showForPendingNodeGroup) }, children));
};
export default Pending;
var templateObject_1;
