var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (g && (g = 0, op[0] && (_ = 0)), _) try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [op[0] & 2, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
var __read = (this && this.__read) || function (o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m) return o;
    var i = m.call(o), r, ar = [], e;
    try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
    }
    catch (error) { e = { error: error }; }
    finally {
        try {
            if (r && !r.done && (m = i["return"])) m.call(i);
        }
        finally { if (e) throw e.error; }
    }
    return ar;
};
// Copyright (c) 2022 Cloudera, Inc. All rights reserved.
import BackIcon from '@cloudera/cuix-core/icons/react/BackIcon';
import CloudMigrationIcon from '@cloudera/cuix-core/icons/react/CloudMigrationIcon';
import KubernetesIcon from '@cloudera/cuix-core/icons/react/KubernetesIcon';
import { cdlSpacingM, cdlSpacingMUnitless, cdlSpacingXxsUnitless } from '@cloudera/cuix-core/variables';
import { Card, Form, Input } from 'antd';
import compute from "cdp-js/dist/api/compute";
import Button, { PrimaryButton } from "cuix/dist/components/Button";
import I18nHtml from "cuix/dist/components/I18nHtml";
import Modal from "cuix/dist/components/Modal";
import { Heading, Paragraph } from "cuix/dist/components/Typography";
import useSubmissionApi from "cuix/dist/hooks/useSubmissionApi";
import apiDangerConfirm from "cuix/dist/utils/apiDangerConfirm";
import apiErrorNotification from "cuix/dist/utils/apiErrorNotification";
import apiSuccessNotification from "cuix/dist/utils/apiSuccessNotification";
import i18n from "cuix/dist/utils/i18n";
import React, { useEffect, useState } from 'react';
var cardWidth = 200;
var gutter = cdlSpacingMUnitless;
var scrollbarWidth = 15;
var InstallDeploymentModal = function (_a) {
    var availableCharts = _a.availableCharts, cluster = _a.cluster, isInstallDeploymentModalVisible = _a.isInstallDeploymentModalVisible, setIsInstallDeploymentModalVisible = _a.setIsInstallDeploymentModalVisible, onSuccess = _a.onSuccess;
    var _b = __read(useState(), 2), chart = _b[0], setChart = _b[1];
    var _c = __read(Form.useForm(), 1), form = _c[0];
    var _d = __read(useSubmissionApi(compute.installDeployment), 2), installDeploymentResponse = _d[0], installDeployment = _d[1];
    var handleCancel = function () {
        setIsInstallDeploymentModalVisible(false);
    };
    var handleSubmit = function () { return __awaiter(void 0, void 0, void 0, function () {
        var namespace, error_1;
        var _a;
        return __generator(this, function (_b) {
            switch (_b.label) {
                case 0:
                    namespace = ((_a = form.getFieldValue('namespace')) === null || _a === void 0 ? void 0 : _a.toLocaleLowerCase()) || 'default';
                    _b.label = 1;
                case 1:
                    _b.trys.push([1, 3, , 4]);
                    return [4 /*yield*/, form.validateFields()];
                case 2:
                    _b.sent();
                    return [3 /*break*/, 4];
                case 3:
                    error_1 = _b.sent();
                    return [2 /*return*/];
                case 4:
                    apiDangerConfirm(i18n.t('label.areYouSure'), function (confirmed) {
                        if (confirmed) {
                            installDeployment({
                                chartName: chart === null || chart === void 0 ? void 0 : chart.name,
                                name: chart === null || chart === void 0 ? void 0 : chart.name,
                                namespace: namespace,
                                clusterCrn: cluster.clusterCrn,
                                chartVersion: chart === null || chart === void 0 ? void 0 : chart.deploymentVersion
                            });
                            setIsInstallDeploymentModalVisible(false);
                            onSuccess === null || onSuccess === void 0 ? void 0 : onSuccess();
                        }
                    }, {
                        title: i18n.t('compute.label.deployment.installDeployment', [chart === null || chart === void 0 ? void 0 : chart.name])
                    });
                    return [2 /*return*/];
            }
        });
    }); };
    useEffect(function () {
        if (installDeploymentResponse.data) {
            apiSuccessNotification(React.createElement(I18nHtml, { messageKey: "compute.label.deployment.installDeploymentRequestSuccess", params: [installDeploymentResponse.data.name] }));
        }
    }, [installDeploymentResponse.data]);
    useEffect(function () {
        if (installDeploymentResponse.error) {
            apiErrorNotification(installDeploymentResponse.error);
        }
    }, [installDeploymentResponse.error]);
    // TODO: [future] map these accordingly when the icons for deployments are available (manojayyanavara)
    var icon = React.createElement(KubernetesIcon, null);
    return React.createElement(Modal, { title: React.createElement(Heading, { level: 2 }, i18n.t('compute.label.addPlatformServices')), open: isInstallDeploymentModalVisible, onCancel: handleCancel, destroyOnClose: true, maskClosable: false, style: {
            minWidth: cardWidth * 2 + gutter * 3 + scrollbarWidth,
            maxWidth: cardWidth * 4 + gutter * 5 + scrollbarWidth
        }, 
        // Due to shadows on the content, we add extra bottom padding to make it appear even
        bodyStyle: { paddingBottom: cdlSpacingMUnitless + cdlSpacingXxsUnitless }, width: "auto", footer: chart ? (React.createElement(React.Fragment, null,
            React.createElement(Button, { onClick: function () {
                    setChart(undefined);
                }, icon: React.createElement(BackIcon, null), "data-event": "Back to Select Deployment" }, i18n.t('label.previous')),
            React.createElement(PrimaryButton, { onClick: handleSubmit, icon: React.createElement(CloudMigrationIcon, null), "data-event": "Confirm Install Deployment" }, i18n.t('compute.label.install')))) : null }, chart ? (React.createElement(Form, { form: form, layout: "vertical", preserve: false },
        React.createElement(Form.Item, { name: "namespace", label: React.createElement(I18nHtml, { messageKey: "compute.label.namespaceNameOptional", params: [chart.name] }), rules: [
                {
                    validator: function (_, value) {
                        if (value && value.length > 63) {
                            return Promise.reject(i18n.t('compute.label.namespace.error.length'));
                        }
                        var namespaceRegExp = /^[a-zA-Z0-9-]*$/;
                        if (!namespaceRegExp.test(value)) {
                            return Promise.reject(i18n.t('compute.label.namespace.error.format'));
                        }
                        return Promise.resolve();
                    }
                }
            ] },
            React.createElement(Input, { placeholder: i18n.t('compute.label.namespaceName'), onInput: function (e) {
                    e.target.value = e.target.value.toLocaleLowerCase();
                } })))) : (React.createElement(React.Fragment, null,
        React.createElement(Paragraph, null, i18n.t('compute.label.selectPlatformService')),
        React.createElement("div", { style: {
                display: 'flex',
                flexWrap: 'wrap',
                textAlign: 'center',
                gap: cdlSpacingM,
                margin: 'auto',
                maxWidth: cardWidth * 4 + gutter * 3
            } }, availableCharts === null || availableCharts === void 0 ? void 0 : availableCharts.map(function (chart) {
            return (React.createElement(Card, { key: chart.name, style: {
                    width: '200px',
                    boxShadow: '0 2px 6px 0 rgba(0,0,0,0.1)',
                    cursor: 'pointer'
                }, onClick: function () {
                    setChart(chart);
                } },
                React.createElement("div", { style: { fontSize: 60 } }, icon),
                React.createElement(Heading, { level: 4, style: { margin: 0 } }, chart.name),
                React.createElement(React.Fragment, null, "".concat(i18n.t('label.version'), " ").concat(chart.deploymentVersion))));
        })))));
};
export default InstallDeploymentModal;
