import { Chart, DescribeClusterResponse } from "cdp-js/dist/api/compute/types";
import React from 'react';
import { PlatformServiceCardProps } from './PlatformServiceCard';
interface Props {
    cluster: DescribeClusterResponse;
    platformServices: PlatformServiceCardProps[];
    availableCharts: Chart[];
    onDeploymentInstallSuccess?: () => void;
    onDeploymentUpgradeSuccess?: () => void;
    onKubernetesUpgradeSuccess?: () => void;
    upgradeConfirmMessage?: string;
    isEntitledToAdvancedDeploymentOperations?: boolean;
    /**
     * This will override all other logic and hide the Upgrade button on
     * `PlatformServiceCard`. This is intended to allow applications consuming
     * this component to disable this function if it would be too destructive.
     */
    disableUpgrade?: boolean;
    /**
     * This will show all the deployments including the ones that are not managed by Liftie.
     */
    showAllDeployments?: boolean;
    /**
     * This will refresh the Platform Services List.
     */
    refreshPlatformServices?: () => void;
    isRefreshing?: boolean;
}
declare const PlatformServices: React.FC<Props>;
export default PlatformServices;
