var __read = (this && this.__read) || function (o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m) return o;
    var i = m.call(o), r, ar = [], e;
    try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
    }
    catch (error) { e = { error: error }; }
    finally {
        try {
            if (r && !r.done && (m = i["return"])) m.call(i);
        }
        finally { if (e) throw e.error; }
    }
    return ar;
};
// Copyright (c) 2022 Cloudera, Inc. All rights reserved.
import PlusCircleIcon from '@cloudera/cuix-core/icons/react/PlusCircleIcon';
import { PrimaryButton } from "cuix/dist/components/Button";
import Toolbar from "cuix/dist/components/Toolbar";
import { Heading } from "cuix/dist/components/Typography";
import { cdlSpacingS, marginMd } from "cuix/dist/styles/variables";
import i18n from "cuix/dist/utils/i18n";
import React, { useState } from 'react';
import InstallDeploymentModal from './InstallDeploymentModal';
import Pending from '../Pending';
import PlatformServiceCard from './PlatformServiceCard';
import CardListLayout from "cuix/dist/compute/components/CardListLayout";
import { KUBERNETES, canUpgradeKubernetes, getRecommendedDeploymentUpgrade, getRecommendedKubernetesUpgrade } from '../helpers';
import KubernetesUpgradeModal from './KubernetesUpgradeModal';
import RefreshButton from '../../../components/RefreshButton';
var PlatformServices = function (_a) {
    var cluster = _a.cluster, platformServices = _a.platformServices, onDeploymentUpgradeSuccess = _a.onDeploymentUpgradeSuccess, disableUpgrade = _a.disableUpgrade, availableCharts = _a.availableCharts, onDeploymentInstallSuccess = _a.onDeploymentInstallSuccess, onKubernetesUpgradeSuccess = _a.onKubernetesUpgradeSuccess, upgradeConfirmMessage = _a.upgradeConfirmMessage, isEntitledToAdvancedDeploymentOperations = _a.isEntitledToAdvancedDeploymentOperations, showAllDeployments = _a.showAllDeployments, refreshPlatformServices = _a.refreshPlatformServices, isRefreshing = _a.isRefreshing;
    var _b = __read(useState(false), 2), isKubernetesUpgradeModalVisible = _b[0], setIsKubernetesUpgradeModalVisible = _b[1];
    var _c = __read(useState(false), 2), isInstallDeploymentModalVisible = _c[0], setIsInstallDeploymentModalVisible = _c[1];
    if (!showAllDeployments) {
        platformServices = platformServices.filter(function (value) { return value.liftieManaged; });
    }
    platformServices.forEach(function (service) {
        return (service.recommendedUpgrade = getRecommendedDeploymentUpgrade(service.version, service.availableUpgrades));
    });
    var recommendedKubernetesUpgrade = getRecommendedKubernetesUpgrade(cluster.kubernetesVersion, cluster.availableUpgrades);
    var upgradableServices = disableUpgrade
        ? []
        : platformServices.filter(function (service) { return service.recommendedUpgrade !== undefined; });
    var otherServices = platformServices.filter(function (service) { return service.recommendedUpgrade === undefined; });
    return (React.createElement(Pending, { cluster: cluster, spin: isRefreshing },
        React.createElement(Toolbar, { style: { marginBottom: marginMd }, left: React.createElement(Heading, { level: 2 }, i18n.t('compute.label.platformServices')), right: React.createElement(React.Fragment, null,
                isEntitledToAdvancedDeploymentOperations && setIsInstallDeploymentModalVisible && (React.createElement(PrimaryButton, { "data-event": "Add Platform Service", icon: React.createElement(PlusCircleIcon, null), onClick: function () { return setIsInstallDeploymentModalVisible(true); }, hidden: !availableCharts }, i18n.t('label.add'))),
                React.createElement(RefreshButton, { onRefresh: function () {
                        refreshPlatformServices === null || refreshPlatformServices === void 0 ? void 0 : refreshPlatformServices();
                    } })) }),
        upgradableServices.length > 0 && (React.createElement(React.Fragment, null,
            React.createElement(Heading, { level: 3 }, i18n.t('compute.label.availableUpgrades')),
            React.createElement(CardListLayout, { style: { marginBottom: cdlSpacingS, gap: cdlSpacingS } }, upgradableServices
                .sort(function (a, b) { return a.name.localeCompare(b.name); })
                .map(function (platformService) {
                var upgradeHandler = platformService.onUpgrade;
                if (platformService.name === KUBERNETES) {
                    upgradeHandler = canUpgradeKubernetes(cluster)
                        ? function () { return setIsKubernetesUpgradeModalVisible(true); }
                        : undefined;
                }
                return (React.createElement(PlatformServiceCard, { key: platformService.name, name: platformService.name, namespace: platformService.namespace, version: platformService.version, icon: platformService.icon, canUpgrade: !disableUpgrade, onUpgrade: upgradeHandler, canRemove: isEntitledToAdvancedDeploymentOperations && platformService.canRemove, onConfigure: platformService.onConfigure, recommendedUpgrade: platformService.recommendedUpgrade, availableUpgrades: platformService.availableUpgrades, cluster: cluster, onUpgradeSuccess: onDeploymentUpgradeSuccess, showAdvanced: isEntitledToAdvancedDeploymentOperations, upgradeConfirmMessage: upgradeConfirmMessage }));
            })))),
        otherServices.length > 0 && (React.createElement(React.Fragment, null,
            upgradableServices.length > 0 && (React.createElement(Heading, { level: 3 }, i18n.t('compute.label.otherServices'))),
            React.createElement(CardListLayout, { style: { gap: cdlSpacingS } }, otherServices
                .sort(function (a, b) { return a.name.localeCompare(b.name); })
                .map(function (platformService) {
                var upgradeHandler = platformService.onUpgrade;
                if (platformService.name === KUBERNETES) {
                    upgradeHandler = canUpgradeKubernetes(cluster)
                        ? function () { return setIsKubernetesUpgradeModalVisible(true); }
                        : undefined;
                }
                return (React.createElement(PlatformServiceCard, { key: platformService.name, name: platformService.name, namespace: platformService.namespace, version: platformService.version, icon: platformService.icon, canUpgrade: !disableUpgrade, onUpgrade: upgradeHandler, canRemove: isEntitledToAdvancedDeploymentOperations && platformService.canRemove, onConfigure: platformService.onConfigure, availableUpgrades: platformService.availableUpgrades, cluster: cluster, onUpgradeSuccess: onDeploymentUpgradeSuccess, showAdvanced: isEntitledToAdvancedDeploymentOperations, upgradeConfirmMessage: upgradeConfirmMessage }));
            })))),
        isEntitledToAdvancedDeploymentOperations && setIsInstallDeploymentModalVisible && (React.createElement(InstallDeploymentModal, { cluster: cluster, availableCharts: availableCharts, isInstallDeploymentModalVisible: isInstallDeploymentModalVisible || false, setIsInstallDeploymentModalVisible: setIsInstallDeploymentModalVisible, onSuccess: onDeploymentInstallSuccess })),
        isEntitledToAdvancedDeploymentOperations &&
            (cluster === null || cluster === void 0 ? void 0 : cluster.availableUpgrades) &&
            (cluster === null || cluster === void 0 ? void 0 : cluster.availableUpgrades.length) > 0 &&
            recommendedKubernetesUpgrade && (React.createElement(KubernetesUpgradeModal, { isModalVisible: isKubernetesUpgradeModalVisible, setIsModalVisible: setIsKubernetesUpgradeModalVisible, clusterCrn: cluster === null || cluster === void 0 ? void 0 : cluster.clusterCrn, clusterStateVersion: cluster === null || cluster === void 0 ? void 0 : cluster.clusterStateVersion, versions: cluster === null || cluster === void 0 ? void 0 : cluster.availableUpgrades, recommendedVersion: recommendedKubernetesUpgrade, onSuccess: onKubernetesUpgradeSuccess }))));
};
export default PlatformServices;
