import React, { Dispatch, SetStateAction } from 'react';
import { ValidateClusterResponse, ValidationResponse, ValidationResult } from "cdp-js/dist/api/compute/types";
interface Props {
    description: string;
    validationResponse?: ValidationResponse | ValidateClusterResponse;
    isVisible: boolean;
    setIsVisible: Dispatch<SetStateAction<boolean>>;
}
interface ValidationResultsProps {
    failures: number;
    warnings: number;
    validations: ValidationResult[];
}
/**
 * List of validation results. Used to display the results of various operations
 * which are validated on the back end.
 */
export declare const ValidationResults: React.FC<ValidationResultsProps>;
/**
 * Modal that shows cluster creation validation results.
 */
declare const ValidationResultsModal: React.FC<Props>;
export default ValidationResultsModal;
