import { DescribeClusterResponse, EksInstanceGroup, ListClusterItem, ListDeploymentsResponse } from "cdp-js/dist/api/compute/types";
import { KeyValuePair } from "cuix/dist/components/KeyValuePairTag";
import { PlatformServiceCardProps } from './PlatformServices/PlatformServiceCard';
import { NodeGroup } from './types';
export declare const KUBERNETES = "kubernetes";
export declare const none: string;
export declare const keyValuePairsToObject: (pairs: KeyValuePair[]) => {
    [key: string]: string;
};
/**
 * Compares "DSP" chart versions, which have a semver portion followed by an
 * optional "DSP" version. For example:
 *
 * 1.0.0-dsp.1
 *
 * The delimiter between the two portions is the string '-dsp.'. Unlike standard
 * semver, which considers any version that contains a '-' to be a pre-release
 * and, therefore, a lower version than the same version without the '-', DSP
 * versions should be considered higher than their non-DSP counterparts.
 */
export declare const compareDspChartVersions: (a: string, b: string) => 0 | 1 | -1;
/**
 * TODO: [future] This is placeholder logic for how to determine the recommended
 * version. In the future, we should replace this with a real algorithm or with
 * a call to a "recommendation" API. (@jgolieb)
 */
export declare const getRecommendedDeploymentUpgrade: (currentVersion: string | undefined, upgrades?: string[]) => string | undefined;
export declare const isClusterPending: (cluster: ListClusterItem | DescribeClusterResponse) => boolean;
export declare const isInstanceGroupPending: (instanceGroup: EksInstanceGroup) => boolean;
export declare const isAnyClusterPending: (clusters: (ListClusterItem | DescribeClusterResponse)[]) => boolean;
export declare const isAnyInstanceGroupPending: (cluster: DescribeClusterResponse) => boolean;
export declare const getIsClusterDisabled: (cluster: DescribeClusterResponse) => boolean;
export declare const isBootstrapScriptAvailable: (environmentProvider: string) => boolean;
/**
 * Determines whether the cluster node images can be upgraded.
 */
export declare const canUpgradeImage: (cluster: DescribeClusterResponse) => boolean;
export declare const canUpgradeKubernetes: (cluster: DescribeClusterResponse) => boolean;
export declare const getAlerts: () => boolean;
export declare const getNodeGroups: (cluster: DescribeClusterResponse) => NodeGroup[];
export declare const getPlatformServices: (cluster: DescribeClusterResponse, listDeploymentsResponse: ListDeploymentsResponse, includeKubernetes?: boolean) => PlatformServiceCardProps[];
/**
 * TODO: [future] This is placeholder logic for how to determine the recommended
 * version. In the future, we should replace this with a real algorithm or with
 * a call to a "recommendation" API. (@jgolieb)
 */
export declare const getRecommendedKubernetesUpgrade: (currentVersion: string | undefined, upgrades?: string[]) => string | undefined;
