var __read = (this && this.__read) || function (o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m) return o;
    var i = m.call(o), r, ar = [], e;
    try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
    }
    catch (error) { e = { error: error }; }
    finally {
        try {
            if (r && !r.done && (m = i["return"])) m.call(i);
        }
        finally { if (e) throw e.error; }
    }
    return ar;
};
// Copyright (c) 2023 Cloudera, Inc. All rights reserved.
import compute from "cdp-js/dist/api/compute";
import useSubmissionApi from "cuix/dist/hooks/useSubmissionApi";
import apiDangerConfirm from "cuix/dist/utils/apiDangerConfirm";
import apiErrorNotification from "cuix/dist/utils/apiErrorNotification";
import apiSuccessNotification from "cuix/dist/utils/apiSuccessNotification";
import i18n from "cuix/dist/utils/i18n";
export var useUpgradeImage = function (cluster, onSuccess, confirmMessage) {
    var _a = __read(useSubmissionApi(compute.updateCluster, function (_, err) {
        if (!err) {
            apiSuccessNotification(i18n.t('compute.label.upgradeImageInProgress'));
            onSuccess === null || onSuccess === void 0 ? void 0 : onSuccess();
        }
        else {
            apiErrorNotification(err);
        }
    }), 2), upgradeImage = _a[1];
    return function () {
        apiDangerConfirm(confirmMessage ||
            "".concat(i18n.t('compute.label.upgradeImageConfirmMessage'), " ").concat(i18n.t('label.areYouSure')), function (confirmed) {
            if (confirmed) {
                upgradeImage({
                    clusterCrn: cluster.clusterCrn,
                    clusterStateVersion: cluster.clusterStateVersion,
                    spec: {
                        refreshInstanceGroups: true
                    }
                });
            }
        }, { title: i18n.t('compute.label.upgradeImage') });
    };
};
