import { CommonInstanceStateCounts } from "cdp-js/dist/api/compute/types";
import { ReactNode } from 'react';
export declare enum ValidationStatusType {
    Failed = "FAILED",
    Passed = "PASSED",
    Warning = "WARNING"
}
export interface NodeGroup {
    name: string;
    nodeTypes: (string | undefined)[];
    labels?: {
        [key: string]: string;
    };
    taints?: {
        [key: string]: string;
    };
    minimumNodes?: number;
    maximumNodes?: number;
    nodeStates: Required<CommonInstanceStateCounts>;
    configuredNodes: number;
    rootVolume?: number;
    isOnDemand: boolean;
    isSingleZone: boolean;
    hasGpu?: boolean;
    status?: string;
    image?: string;
}
export declare enum InstanceTierType {
    Spot = "SPOT",
    OnDemand = "ON_DEMAND"
}
export interface DataService {
    name: string;
    version: string;
    icon: ReactNode;
    workloadCount: number;
    workloadDescriptor: string;
}
export declare enum DeploymentStatus {
    Unknown = "UNKNOWN",
    Deployed = "DEPLOYED",
    Uninstalled = "UNINSTALLED",
    Superseded = "SUPERSEDED",
    Failed = "FAILED",
    PendingInstall = "PENDING-INSTALL",
    PendingUpgrade = "PENDING-UPGRADE",
    PendingRollback = "PENDING-ROLLBACK"
}
