// Copyright (c) 2017 Cloudera, Inc. All rights reserved.
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React, { PureComponent } from 'react';
import { connect } from 'react-redux';
import { Modal } from 'antd';
import I18nHtml from '../components/I18nHtml';
import i18n from '../utils/i18n';
import { actions as confirmationActions } from '../reducers/confirmationReducer';
var mapState = function (_a) {
    var confirmation = _a.confirmation;
    return (__assign({ visible: !!confirmation }, confirmation));
};
var mapDispatch = {
    confirmYes: confirmationActions.confirmYes,
    confirmNo: confirmationActions.confirmNo
};
var ConfirmationContainer = /** @class */ (function (_super) {
    __extends(ConfirmationContainer, _super);
    function ConfirmationContainer() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    ConfirmationContainer.prototype.componentDidUpdate = function () {
        var _a = this.props, visible = _a.visible, content = _a.content, _b = _a.contentParams, contentParams = _b === void 0 ? [] : _b, confirmYes = _a.confirmYes, confirmNo = _a.confirmNo, otherProps = __rest(_a, ["visible", "content", "contentParams", "confirmYes", "confirmNo"]);
        if (!visible || !content) {
            return;
        }
        Modal.confirm(__assign(__assign({}, otherProps), { maskClosable: false, content: React.createElement(I18nHtml, { messageKey: content, params: contentParams }), onOk: function () {
                confirmYes();
                // Returning a promise block the hiding of the confirmation modal so we return nothing here.
                return;
            }, onCancel: function () {
                confirmNo();
                // Returning a promise block the hiding of the confirmation modal so we return nothing here.
                return;
            } }));
    };
    ConfirmationContainer.prototype.render = function () {
        return null;
    };
    ConfirmationContainer.defaultProps = {
        title: i18n.t('label.confirm'),
        okType: 'danger'
    };
    return ConfirmationContainer;
}(PureComponent));
export default connect(mapState, mapDispatch)(ConfirmationContainer);
