import React, { PureComponent } from 'react';
import { ModalState } from '../reducers/modalReducer';
import type { ModalFuncProps } from 'antd/es/modal/Modal';
import type { ModalFunc } from 'antd/es/modal/confirm';
interface OwnProps {
    modalComponents: {
        [key: string]: any;
    };
}
declare type StateProps = ModalState;
declare const mapDispatch: {
    hideModal: () => import("redux").Action<any>;
};
declare type Props = OwnProps & StateProps & typeof mapDispatch;
declare class ModalContainer extends PureComponent<Props> {
    get commonModalAntMap(): {
        [x: string]: {
            method: import("antd/lib/modal/confirm").ModalFunc;
            defaultSettings: {
                title: string;
            };
        };
    };
    showCommonModal(method: ModalFunc, settings: Partial<ModalFuncProps>): void;
    /**
     * We handle common modals in the componentDidUpdate since we use the Modal.info/success/error ...
     * methods to render these modals. Custom modals are rendered as reqular react components so they
     * are handled in the render method.
     */
    componentDidUpdate(): void;
    render(): JSX.Element | null;
}
declare const _default: import("react-redux").ConnectedComponent<typeof ModalContainer, import("react-redux").Omit<React.ClassAttributes<ModalContainer> & OwnProps & ModalState & {
    hideModal: () => import("redux").Action<any>;
}, "visible" | "modalType" | "modalParams" | "hideModal">>;
export default _default;
