// Copyright (c) 2017 Cloudera, Inc. All rights reserved.
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import React, { PureComponent } from 'react';
import { connect } from 'react-redux';
import { notification } from 'antd';
import i18n from '../utils/i18n';
import I18nHtml from '../components/I18nHtml';
import delay from 'lodash/delay';
var mapState = function (_a) {
    var notification = _a.notification;
    return (__assign({}, notification));
};
var NotificationContainer = /** @class */ (function (_super) {
    __extends(NotificationContainer, _super);
    function NotificationContainer() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    NotificationContainer.prototype.componentDidUpdate = function () {
        var _a = this.props, type = _a.type, description = _a.description, descriptionKey = _a.descriptionKey, descriptionParams = _a.descriptionParams, wait = _a.wait, message = _a.message;
        if (!description && !descriptionKey) {
            return;
        }
        var notificationArgs = { message: message };
        if (description) {
            notificationArgs.description = description;
        }
        else if (descriptionKey) {
            notificationArgs.description = (React.createElement(I18nHtml, { messageKey: descriptionKey, params: descriptionParams }));
        }
        delay(notification[type], wait, notificationArgs);
    };
    NotificationContainer.prototype.render = function () {
        return null;
    };
    NotificationContainer.defaultProps = {
        message: i18n.t('label.success'),
        type: 'success',
        wait: 1000
    };
    return NotificationContainer;
}(PureComponent));
export default connect(mapState)(NotificationContainer);
