var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
// Copyright (c) 2018 Cloudera, Inc. All rights reserved.
import React, { Suspense } from 'react';
import { connect } from 'react-redux';
import Loading from '../components/Loading';
import LoadableComponent from "cuix/dist/components/LoadableComponent";
var mapState = function (state) { return ({
    id: state.routing.id,
    ready: state.routing.ready
}); };
var RouteContainer = /** @class */ (function (_super) {
    __extends(RouteContainer, _super);
    function RouteContainer() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    RouteContainer.prototype.shouldComponentUpdate = function (nextProps) {
        // Only update if id or ready state changed.
        return this.props.id !== nextProps.id || this.props.ready !== nextProps.ready;
    };
    RouteContainer.prototype.render = function () {
        var _a = this.props, routes = _a.routes, id = _a.id, ready = _a.ready, componentProps = _a.componentProps, onNotFound = _a.onNotFound;
        if (!ready || !id) {
            // We don't want to render anything while route is not ready. But we want to remove the component
            // for the previous route. If we don't, the previous component might re-render due to changes in
            //state caused by next page's saga.
            return React.createElement(Loading, null);
        }
        var route = routes[id];
        if (!route || !route.pageImportWrapper) {
            onNotFound();
            return null;
        }
        var Component = LoadableComponent(route.pageImportWrapper);
        return (React.createElement(Suspense, { fallback: React.createElement(Loading, null) },
            React.createElement(Component, __assign({}, componentProps))));
    };
    return RouteContainer;
}(React.Component));
export default connect(mapState)(RouteContainer);
