#! /usr/bin/env node
"use strict";
// Copyright (c) 2020 Cloudera, Inc. All rights reserved.
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (_) try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [op[0] & 2, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
var SVGO = require('svgo');
var docopt = require('docopt');
var fs = require('fs');
var path = require('path');
var doc = "\nUsage:\n  generate-json-svg-icon.js --apps-v3 <iconPath>\n  generate-json-svg-icon.js --sidebar-v2 <iconPath>\n  generate-json-svg-icon.js -h\n\nTake an SVG and generate the optimized and escaped version for JSON embedding.\nCurrently, just for apps.v3.json embedding.\n\nOptions:\n --apps-v3\n   Generate svg format/encoding for app.v3.json\n --sidebar-v2\n   Generate svg format/encoding for sidebar.v2.json\n -h, --help\n   Show help\n";
var values = docopt.docopt(doc, {
    version: 0.1
});
var svgFilePath = path.resolve(values['<iconPath>']);
var svgoAppsV3 = new SVGO({
    js2svg: { pretty: false, indent: 2 },
    plugins: [
        { removeViewBox: false },
        { cleanupIDs: true },
        { prefixIds: true },
        { removeUselessDefs: true },
        { removeDimensions: true },
        { addAttributesToSVGElement: { attributes: ['width="1em"', 'height="1em"'] } }
    ]
});
var svgoSidebarV2 = new SVGO({
    js2svg: { pretty: false, indent: 2 },
    plugins: [
        { removeViewBox: false },
        { cleanupIDs: true },
        { prefixIds: true },
        { removeUselessDefs: true }
    ]
});
var optimizeIcon = function (iconFilePath) { return __awaiter(void 0, void 0, void 0, function () {
    var svgSrc, result, _a;
    return __generator(this, function (_b) {
        switch (_b.label) {
            case 0:
                svgSrc = fs.readFileSync(iconFilePath, 'utf-8');
                if (!values["--apps-v3"]) return [3 /*break*/, 2];
                return [4 /*yield*/, svgoAppsV3.optimize(svgSrc, { path: iconFilePath })];
            case 1:
                _a = _b.sent();
                return [3 /*break*/, 4];
            case 2: return [4 /*yield*/, svgoSidebarV2.optimize(svgSrc, { path: iconFilePath })];
            case 3:
                _a = _b.sent();
                _b.label = 4;
            case 4:
                result = _a;
                console.log('👩‍💻  Original SVG Source: ');
                console.log('');
                console.log(svgSrc);
                console.log('');
                console.log('🏆 Optimized SVG escaped for JSON embedding');
                console.log('');
                if (values["--apps-v3"]) {
                    console.log(JSON.stringify({ logo: result.data }));
                }
                else {
                    console.log(JSON.stringify({ icon: result.data }));
                }
                return [2 /*return*/];
        }
    });
}); };
optimizeIcon(svgFilePath);
