import { Channels, Status } from "cuix/dist/reducers/apiBusReducer";
/**
 * Convenience hook to get api bus item. See underlying reducer for more description.
 *
 * ```tsx
 * const MyComponent = () => {
 *   const item = useApiBusItem<SomeItemType>('channelName');
 *   return ...;
 * }
 * ```
 */
export declare const useApiBusItem: <T = any>(channel: string, itemPath?: string) => T | undefined;
/**
 * Convenience hook to get api bus items. See underlying reducer for more description
 */
export declare const useApiBusItems: <T = any>(channel: string) => T[];
/**
 * Convenience hook to get api bus error. See underlying reducer for more description
 */
export declare const useApiBusError: (channels: Channels) => import("../../types/types").ApiError | undefined;
/**
 * Convenience hook to get api bus status. See underlying reducer for more description
 */
export declare const useApiBusFetchingStatus: (channels: Channels) => Status;
/**
 * Convenience hook to get is fetching status. See underlying reducer for more description
 */
export declare const useApiBusIsFetching: (channels: Channels) => boolean;
/**
 * Convenience hook to get details on an api bus item. Details include the bus item, whether it is fetching, and possible bus error.
 * See the underlying reducer for more description
 */
export declare const useApiBusItemDetails: <T = any>(channel: string, itemPath?: string) => {
    item: T | undefined;
    isFetching: boolean;
    error: import("../../types/types").ApiError | undefined;
};
/**
 * Convenience hook to get details on api bus items. Details include the bus items, whether it is fetching, and possible bus error.
 * See the underlying reducer for more description
 */
export declare const useApiBusItemsDetails: <T = any>(channel: string) => {
    items: T[];
    isFetching: boolean;
    error: import("../../types/types").ApiError | undefined;
};
