/**
 * Hook to filter an array be search term, only when search term or array has changed.
 *
 * If the search term contains spaces, it will be broken up in to parts and, each part
 * match individually.
 *
 * **Note**: Altering `accessorFn` will not cause re-renders.
 */
declare const useSearchFiltering: <T extends {}>(allItems: T[] | undefined, searchTerm: string | undefined, accessorFn: (item: T) => (string | undefined) | (string | undefined)[]) => T[] | undefined;
export default useSearchFiltering;
