import { SearchParams } from "cuix/dist/reducers/routerReducer";
/**
 * Instead of dealing with searchParams/routerReducer directly, this hook is to
 * access and edit all search params. See `useSearchParamState` for single value
 * state edit that behaves more like `React.useState`.
 *
 * Note that the set call does behave differently than `React.useState` here in
 * that it will only update the keys given and leave other keys alone. This is
 * the same behavior routerActions.updateSearchParams has.
 */
export declare const useAllSearchParamsState: () => readonly [SearchParams, (value: SearchParams) => void];
