var __read = (this && this.__read) || function (o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m) return o;
    var i = m.call(o), r, ar = [], e;
    try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
    }
    catch (error) { e = { error: error }; }
    finally {
        try {
            if (r && !r.done && (m = i["return"])) m.call(i);
        }
        finally { if (e) throw e.error; }
    }
    return ar;
};
// Copyright (c) 2019 Cloudera, Inc. All rights reserved.
import { useState, useEffect, useMemo } from 'react';
import throttle from 'lodash/throttle';
var getWindowSizeObj = function () { return ({
    innerWidth: window.innerWidth,
    innerHeight: window.innerHeight
}); };
// default to update no faster than 60hz
var refreshPeriod60hz = 17;
/**
 * Get window size to use in functional react components that need to re-render based on
 * window size changes (e.g a drawer that fits to window).
 */
var useWindowSize = function (throttleDelayMs) {
    if (throttleDelayMs === void 0) { throttleDelayMs = refreshPeriod60hz; }
    var _a = __read(useState(getWindowSizeObj()), 2), size = _a[0], setSize = _a[1];
    var throttledSetSize = useMemo(function () { return throttle(function () { return setSize(getWindowSizeObj()); }, throttleDelayMs); }, [throttleDelayMs]);
    useEffect(function () {
        window.addEventListener('resize', throttledSetSize);
        return function () {
            window.removeEventListener('resize', throttledSetSize);
        };
    }, [throttledSetSize]);
    return size;
};
export default useWindowSize;
