var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
// Copyright (c) 2023 Cloudera, Inc. All rights reserved.
import React from 'react';
import ActionsDropdown from "cuix/dist/components/ActionsDropdown";
import { Menu } from 'antd';
import moment from 'moment/moment';
import GetStartedIcon from '@cloudera/cuix-core/icons/react/GetStartedIcon';
import EditIcon from '@cloudera/cuix-core/icons/react/EditIcon';
import { Heading, Paragraph, Text } from "cuix/dist/components/Typography";
import styled from 'styled-components';
import { cdlBlue500, cdlIconSizeDefault, cdlSpacingS, cdlSpacingXxs } from "cuix/dist/styles/variables";
import i18n from "cuix/dist/utils/i18n";
import Card from "cuix/dist/components/Card";
import { bodyColor, titleColor, cardBackgroundColor, cardBorderColor } from './Notifications.theme';
import { defaultTheme as theme } from "cuix/dist/styles/theme";
var ServiceTile = styled(Card)(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  min-height: 134px;\n  display: flex;\n  flex-direction: column;\n  padding-top: ", ";\n  padding-bottom: ", ";\n  padding-left: ", ";\n  padding-right: ", ";\n  &:not(:last-child) {\n    margin-bottom: ", ";\n  }\n  &:hover {\n    border: 1px solid ", ";\n  }\n  background-color: ", ";\n  border: 1px solid ", ";\n"], ["\n  min-height: 134px;\n  display: flex;\n  flex-direction: column;\n  padding-top: ", ";\n  padding-bottom: ", ";\n  padding-left: ", ";\n  padding-right: ", ";\n  &:not(:last-child) {\n    margin-bottom: ", ";\n  }\n  &:hover {\n    border: 1px solid ", ";\n  }\n  background-color: ", ";\n  border: 1px solid ", ";\n"])), cdlSpacingS, cdlSpacingXxs, cdlSpacingS, cdlSpacingS, cdlSpacingXxs, cdlBlue500, cardBackgroundColor, cardBorderColor);
ServiceTile.defaultProps = { theme: theme };
var Header = styled.div(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n  display: flex;\n  justify-content: space-between;\n  margin-bottom: ", ";\n"], ["\n  display: flex;\n  justify-content: space-between;\n  margin-bottom: ", ";\n"])), cdlSpacingXxs);
var Title = styled(Heading)(templateObject_3 || (templateObject_3 = __makeTemplateObject(["\n  &&& {\n    white-space: nowrap;\n    overflow: hidden;\n    text-overflow: ellipsis;\n    margin-right: ", ";\n    margin-bottom: 0;\n    color: ", ";\n  }\n"], ["\n  &&& {\n    white-space: nowrap;\n    overflow: hidden;\n    text-overflow: ellipsis;\n    margin-right: ", ";\n    margin-bottom: 0;\n    color: ", ";\n  }\n"])), cdlSpacingXxs, titleColor);
Title.defaultProps = { theme: theme };
var Description = styled(Paragraph)(templateObject_4 || (templateObject_4 = __makeTemplateObject(["\n  &&& {\n    height: 60px;\n    margin: 0;\n    overflow-x: hidden;\n    color: ", ";\n  }\n"], ["\n  &&& {\n    height: 60px;\n    margin: 0;\n    overflow-x: hidden;\n    color: ", ";\n  }\n"])), bodyColor);
Description.defaultProps = { theme: theme };
var Footer = styled.div(templateObject_5 || (templateObject_5 = __makeTemplateObject(["\n  margin-top: ", ";\n"], ["\n  margin-top: ", ";\n"])), cdlSpacingXxs);
var items = [
    {
        key: 'goToResource',
        label: i18n.t('label.goToResource'),
        icon: React.createElement(GetStartedIcon, { style: { fontSize: cdlIconSizeDefault } })
    },
    {
        key: 'editSubscription',
        label: i18n.t('label.editSubscription'),
        icon: React.createElement(EditIcon, { style: { fontSize: cdlIconSizeDefault } })
    }
];
var Notification = function (_a) {
    var broadcastNotification = _a.broadcastNotification;
    var title = broadcastNotification.title, description = broadcastNotification.description, createdAt = broadcastNotification.createdAt, notificationType = broadcastNotification.notificationType;
    return (React.createElement(ServiceTile, null,
        React.createElement(Header, null,
            React.createElement(Title, { level: 5 }, title),
            notificationType == 'targeted_notification' && (React.createElement(ActionsDropdown, { dots: true },
                React.createElement(Menu, { items: items })))),
        React.createElement(Description, null, description),
        React.createElement(Footer, null,
            React.createElement(Text, { size: "small" }, moment(createdAt).fromNow()))));
};
export default Notification;
var templateObject_1, templateObject_2, templateObject_3, templateObject_4, templateObject_5;
