var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __read = (this && this.__read) || function (o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m) return o;
    var i = m.call(o), r, ar = [], e;
    try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
    }
    catch (error) { e = { error: error }; }
    finally {
        try {
            if (r && !r.done && (m = i["return"])) m.call(i);
        }
        finally { if (e) throw e.error; }
    }
    return ar;
};
var __spreadArray = (this && this.__spreadArray) || function (to, from, pack) {
    if (pack || arguments.length === 2) for (var i = 0, l = from.length, ar; i < l; i++) {
        if (ar || !(i in from)) {
            if (!ar) ar = Array.prototype.slice.call(from, 0, i);
            ar[i] = from[i];
        }
    }
    return to.concat(ar || Array.prototype.slice.call(from));
};
// Copyright (c) 2023 Cloudera, Inc. All rights reserved.
import React from 'react';
import { Heading, Text } from "cuix/dist/components/Typography";
import { Form } from 'antd';
import i18n from "cuix/dist/utils/i18n";
import Input from "cuix/dist/components/LegacyInput/Input";
import PlusCircleIcon from '@cloudera/cuix-core/icons/react/PlusCircleIcon';
import Button from "cuix/dist/components/Button";
import styled from 'styled-components';
import { cdlSpacingXxs } from '@cloudera/cuix-core/variables';
import TagList from "cuix/dist/components/TagList";
import ResourceNotifications from './ResourceNotifications';
var InputContainer = styled.div(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  display: flex;\n"], ["\n  display: flex;\n"])));
var StyledButton = styled(Button)(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n  margin-left: ", ";\n"], ["\n  margin-left: ", ";\n"])), cdlSpacingXxs);
var DistributionLists = function (_a) {
    var hideTitle = _a.hideTitle, targetedList = _a.targetedList, setTargetedList = _a.setTargetedList, emailList = _a.emailList, setEmailList = _a.setEmailList;
    var _b = __read(Form.useForm(), 1), form = _b[0];
    var EMAIL_ADDRESS_VALIDATION_REGEX = /^[a-z0-9\.]+@[a-z]+\.[a-z]{2,3}$/gim;
    var onFinish = function () {
        var emailAddress = form.getFieldValue('emailGroup');
        setEmailList(__spreadArray(__spreadArray([], __read(emailList), false), [emailAddress], false));
        form.resetFields();
    };
    return (React.createElement(React.Fragment, null,
        React.createElement(Heading, { level: 2, hidden: hideTitle }, i18n.t('label.distributionLists')),
        React.createElement(Heading, { level: 3 }, i18n.t('label.distributionListDescription')),
        React.createElement(Form, { form: form, layout: "vertical", onFinish: onFinish },
            React.createElement(Form.Item, { name: "emailGroup", label: i18n.t('label.addEmailGroup'), rules: [
                    { required: true },
                    {
                        pattern: EMAIL_ADDRESS_VALIDATION_REGEX,
                        message: i18n.t('label.pleaseEnterInCorrectFormat')
                    }
                ] },
                React.createElement(InputContainer, null,
                    React.createElement(Input, { name: "addEmailInput", "aria-label": i18n.t('label.addEmailGroup'), placeholder: i18n.t('label.emailInputPlaceholder') }),
                    React.createElement(StyledButton, { htmlType: "submit", "aria-label": i18n.t('label.add'), "data-event": "Add Group Email Address", icon: React.createElement(PlusCircleIcon, null) }, i18n.t('label.add'))))),
        React.createElement(Text, { type: "secondary" }, i18n.t('label.addedEmailGroups')),
        React.createElement(TagList, { values: emailList, onClose: function (value) {
                var list = emailList.filter(function (email) { return email != value; });
                setEmailList(__spreadArray([], __read(list), false));
            } }),
        React.createElement(ResourceNotifications, { distributionList: true, targetEventList: targetedList, changeTargetedEventList: setTargetedList })));
};
export default DistributionLists;
var templateObject_1, templateObject_2;
