var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __read = (this && this.__read) || function (o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m) return o;
    var i = m.call(o), r, ar = [], e;
    try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
    }
    catch (error) { e = { error: error }; }
    finally {
        try {
            if (r && !r.done && (m = i["return"])) m.call(i);
        }
        finally { if (e) throw e.error; }
    }
    return ar;
};
// Copyright (c) 2023 Cloudera, Inc. All rights reserved.
import React, { useEffect, useMemo, useState } from 'react';
import notification from "cdp-js/dist/api/notification";
import useApiData from "cuix/dist/hooks/useApiData";
import DistributionLists from './DistributionLists';
import Loading from "cuix/dist/components/Loading";
import i18n from '../../../utils/i18n';
import Text from '../../../components/Typography/Text';
import styled from 'styled-components';
import { cdlSpacingXxs } from '@cloudera/cuix-core/variables';
var StyledDiv = styled.div(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  padding: ", ";\n"], ["\n  padding: ", ";\n"])), cdlSpacingXxs);
var DistributionListsContainer = function (_a) {
    var _b, _c, _d, _e;
    var sendDataToParent = _a.sendDataToParent, hideTitle = _a.hideTitle, resourceCrn = _a.resourceCrn, emailAddresses = _a.emailAddresses;
    var _f = __read(useState([]), 2), targetedList = _f[0], setTargetedList = _f[1];
    var _g = __read(useState(emailAddresses || []), 2), emailList = _g[0], setEmailList = _g[1];
    useEffect(function () {
        sendDataToParent === null || sendDataToParent === void 0 ? void 0 : sendDataToParent(emailList, targetedList);
    }, [sendDataToParent, targetedList, emailList]);
    var targetedEventList = useApiData({
        api: notification.listResourceEventCatalog,
        fetchParams: {
            resourceCrn: resourceCrn || ''
        }
    });
    var distributionList = useApiData({
        api: notification.listDistributionLists,
        fetchParams: {
            resourceCrn: resourceCrn || ''
        }
    });
    useMemo(function () {
        var _a, _b;
        var subscribedEvents = [];
        (_b = (_a = targetedEventList === null || targetedEventList === void 0 ? void 0 : targetedEventList.data) === null || _a === void 0 ? void 0 : _a.resourceEvents) === null || _b === void 0 ? void 0 : _b.map(function (resourceEvent) {
            var _a, _b, _c, _d, _e;
            var subscribedEvent = {};
            subscribedEvent.eventTypeId = resourceEvent.eventTypeId;
            subscribedEvent.eventName = resourceEvent.eventName;
            if (distributionList === null || distributionList === void 0 ? void 0 : distributionList.data) {
                subscribedEvent.channels = (_e = (_d = (_c = (_b = (_a = distributionList === null || distributionList === void 0 ? void 0 : distributionList.data) === null || _a === void 0 ? void 0 : _a.distributionLists) === null || _b === void 0 ? void 0 : _b.at(0)) === null || _c === void 0 ? void 0 : _c.subscribedEvents) === null || _d === void 0 ? void 0 : _d.find(function (event) { return event.eventTypeId === resourceEvent.eventTypeId; })) === null || _e === void 0 ? void 0 : _e.channels;
            }
            if (!distributionList.data || !subscribedEvent.channels) {
                subscribedEvent.channels = [];
            }
            subscribedEvents === null || subscribedEvents === void 0 ? void 0 : subscribedEvents.push(subscribedEvent);
        });
        setTargetedList(subscribedEvents || []);
    }, [distributionList === null || distributionList === void 0 ? void 0 : distributionList.data, (_b = targetedEventList === null || targetedEventList === void 0 ? void 0 : targetedEventList.data) === null || _b === void 0 ? void 0 : _b.resourceEvents]);
    if (distributionList.fetching) {
        return React.createElement(Loading, null);
    }
    if (!distributionList ||
        !(distributionList === null || distributionList === void 0 ? void 0 : distributionList.data) ||
        !((_c = distributionList === null || distributionList === void 0 ? void 0 : distributionList.data) === null || _c === void 0 ? void 0 : _c.distributionLists) ||
        !((_e = (_d = distributionList === null || distributionList === void 0 ? void 0 : distributionList.data) === null || _d === void 0 ? void 0 : _d.distributionLists) === null || _e === void 0 ? void 0 : _e.at(0))) {
        return (React.createElement(StyledDiv, null,
            React.createElement(Text, null, i18n.t('label.noSubscriptionFound'))));
    }
    return (React.createElement(DistributionLists, { hideTitle: hideTitle, targetedList: targetedList, setTargetedList: setTargetedList, emailList: emailList, setEmailList: setEmailList }));
};
export default DistributionListsContainer;
var templateObject_1;
