var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __read = (this && this.__read) || function (o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m) return o;
    var i = m.call(o), r, ar = [], e;
    try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
    }
    catch (error) { e = { error: error }; }
    finally {
        try {
            if (r && !r.done && (m = i["return"])) m.call(i);
        }
        finally { if (e) throw e.error; }
    }
    return ar;
};
var __spreadArray = (this && this.__spreadArray) || function (to, from, pack) {
    if (pack || arguments.length === 2) for (var i = 0, l = from.length, ar; i < l; i++) {
        if (ar || !(i in from)) {
            if (!ar) ar = Array.prototype.slice.call(from, 0, i);
            ar[i] = from[i];
        }
    }
    return to.concat(ar || Array.prototype.slice.call(from));
};
// Copyright (c) 2023 Cloudera, Inc. All rights reserved.
import React, { useEffect, useState } from 'react';
import Text from "cuix/dist/components/Typography/Text";
import { Checkbox } from 'antd';
import styled from 'styled-components';
import i18n from "cuix/dist/utils/i18n";
import { cdlSpacingXs } from "cuix/dist/styles/variables";
import { ChannelType } from "cdp-js/dist/api/notification/types";
var StyledResourceRow = styled.div(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  width: 592px;\n  flex-grow: 0;\n"], ["\n  width: 592px;\n  flex-grow: 0;\n"])));
var StyledDiv = styled.div(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n  display: flex;\n  justify-content: space-between;\n  align-content: space-around;\n  padding: 0 ", " ", " ", ";\n"], ["\n  display: flex;\n  justify-content: space-between;\n  align-content: space-around;\n  padding: 0 ", " ", " ", ";\n"])), cdlSpacingXs, cdlSpacingXs, cdlSpacingXs);
var ResourceList = function (_a) {
    var distributionList = _a.distributionList, list = _a.list, changeTargetedEventList = _a.changeTargetedEventList;
    var _b = __read(useState(list), 2), displayList = _b[0], setDisplayList = _b[1];
    useEffect(function () {
        setDisplayList(list);
    }, [list]);
    var onChange = function (e, eventTypeId, channelName) {
        var _a, _b, _c, _d;
        var list = __spreadArray([], __read(displayList), false);
        for (var i = 0; i < list.length; i++) {
            if (list[i].eventTypeId === eventTypeId) {
                if (e.target.checked) {
                    (_b = (_a = list[i]) === null || _a === void 0 ? void 0 : _a.channels) === null || _b === void 0 ? void 0 : _b.push(channelName);
                }
                else {
                    list[i].channels = (_d = (_c = list[i]) === null || _c === void 0 ? void 0 : _c.channels) === null || _d === void 0 ? void 0 : _d.filter(function (data) { return data !== channelName; });
                }
            }
        }
        setDisplayList(__spreadArray([], __read(list), false));
        changeTargetedEventList(list);
    };
    if (!list.length) {
        return React.createElement(Text, null, i18n.t('label.noResourceFound'));
    }
    return list.map(function (data) {
        var _a, _b;
        return (React.createElement(StyledResourceRow, { key: data.eventTypeId },
            React.createElement(StyledDiv, null,
                React.createElement("div", null,
                    React.createElement(Text, null, data.eventName)),
                React.createElement("div", null,
                    React.createElement(Checkbox, { onChange: function (e) { return onChange(e, data.eventTypeId, ChannelType.EMAIL); }, checked: Boolean((_a = data === null || data === void 0 ? void 0 : data.channels) === null || _a === void 0 ? void 0 : _a.find(function (e) { return e === ChannelType.EMAIL; })) }, i18n.t('label.email')),
                    !distributionList && (React.createElement(Checkbox, { onChange: function (e) { return onChange(e, data.eventTypeId, ChannelType.IN_APP); }, disabled: true, checked: Boolean((_b = data === null || data === void 0 ? void 0 : data.channels) === null || _b === void 0 ? void 0 : _b.find(function (e) { return e === ChannelType.IN_APP; })) }, i18n.t('label.inApp')))))));
    });
};
export default ResourceList;
var templateObject_1, templateObject_2;
