var __read = (this && this.__read) || function (o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m) return o;
    var i = m.call(o), r, ar = [], e;
    try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
    }
    catch (error) { e = { error: error }; }
    finally {
        try {
            if (r && !r.done && (m = i["return"])) m.call(i);
        }
        finally { if (e) throw e.error; }
    }
    return ar;
};
// Copyright (c) 2023 Cloudera, Inc. All rights reserved.
import React, { useMemo, useState } from 'react';
import ResourceNotifications from './ResourceNotifications';
import Heading from "cuix/dist/components/Typography/Heading";
import useApiData from "cuix/dist/hooks/useApiData";
import { ChannelType } from "cdp-js/dist/api/notification/types";
import notification from "cdp-js/dist/api/notification";
import useSubmissionApi from "cuix/dist/hooks/useSubmissionApi";
import apiErrorNotification from "cuix/dist/utils/apiErrorNotification";
import Loading from "cuix/dist/components/Loading";
import apiSuccessNotification from "cuix/dist/utils/apiSuccessNotification";
import i18n from "cuix/dist/utils/i18n";
import Button from "cuix/dist/components/Button";
import { cdlSpacingS } from "cuix/dist/styles/variables";
var Subscriptions = function (_a) {
    var _b;
    var resourceCrn = _a.resourceCrn;
    var _c = __read(useState([]), 2), targetedList = _c[0], setTargetedList = _c[1];
    var _d = __read(useState(false), 2), isLoadingResourceSubmit = _d[0], setIsLoadingResourceSubmit = _d[1];
    var targetedEventList = useApiData({
        api: notification.listResourceEventCatalog,
        fetchParams: {
            resourceCrn: resourceCrn || ''
        }
    });
    var targetedSubscription = useApiData({
        api: notification.getResourceSubscription,
        fetchParams: {
            resourceCrn: resourceCrn || ''
        }
    });
    var _e = __read(useSubmissionApi(notification.createOrUpdateResourceSubscription, function (_resp, err) {
        if (err) {
            setIsLoadingResourceSubmit(false);
            apiErrorNotification(err);
        }
        else {
            setIsLoadingResourceSubmit(false);
            apiSuccessNotification(i18n.t('message.savedResourceNotifications'));
        }
    }), 2), editSubscription = _e[1];
    useMemo(function () {
        var _a, _b;
        var subscribedEvents = [];
        (_b = (_a = targetedEventList === null || targetedEventList === void 0 ? void 0 : targetedEventList.data) === null || _a === void 0 ? void 0 : _a.resourceEvents) === null || _b === void 0 ? void 0 : _b.map(function (resourceEvent) {
            var _a, _b, _c, _d;
            var subscribedEvent = {};
            subscribedEvent.eventTypeId = resourceEvent.eventTypeId;
            subscribedEvent.eventName = resourceEvent.eventName;
            if (targetedSubscription === null || targetedSubscription === void 0 ? void 0 : targetedSubscription.data) {
                subscribedEvent.channels =
                    (_d = (_c = (_b = (_a = targetedSubscription === null || targetedSubscription === void 0 ? void 0 : targetedSubscription.data) === null || _a === void 0 ? void 0 : _a.resourceSubscription) === null || _b === void 0 ? void 0 : _b.subscribedEvents) === null || _c === void 0 ? void 0 : _c.find(function (event) { return event.eventTypeId === resourceEvent.eventTypeId; })) === null || _d === void 0 ? void 0 : _d.channels;
            }
            if (!targetedSubscription.data || !subscribedEvent.channels) {
                subscribedEvent.channels = [ChannelType.IN_APP];
            }
            subscribedEvents === null || subscribedEvents === void 0 ? void 0 : subscribedEvents.push(subscribedEvent);
        });
        setTargetedList(subscribedEvents || []);
    }, [targetedSubscription === null || targetedSubscription === void 0 ? void 0 : targetedSubscription.data, (_b = targetedEventList === null || targetedEventList === void 0 ? void 0 : targetedEventList.data) === null || _b === void 0 ? void 0 : _b.resourceEvents]);
    var onSubmit = function () {
        var _a, _b;
        var targetResourceMap = [];
        for (var i = 0; i < targetedList.length; i++) {
            var jsonBody = {};
            jsonBody['eventTypeId'] = targetedList[i].eventTypeId;
            jsonBody['notificationType'] = 'TARGETED';
            jsonBody['channels'] = targetedList[i].channels;
            targetResourceMap.push(jsonBody);
        }
        var payload = {
            resourceCrn: resourceCrn || '',
            eventChannelPreferences: targetResourceMap,
            existingSubscriptionId: ((_b = (_a = targetedSubscription.data) === null || _a === void 0 ? void 0 : _a.resourceSubscription) === null || _b === void 0 ? void 0 : _b.subscriptionId) || ''
        };
        setIsLoadingResourceSubmit(true);
        editSubscription(payload);
    };
    if (targetedEventList.fetching) {
        return React.createElement(Loading, null);
    }
    return (React.createElement(React.Fragment, null,
        React.createElement(Heading, { level: 2 }, i18n.t('label.subscriptions')),
        React.createElement(ResourceNotifications, { targetEventList: targetedList, changeTargetedEventList: setTargetedList }),
        React.createElement(Button, { "data-event": "Submit Resource Notification", onClick: onSubmit, loading: isLoadingResourceSubmit, style: { marginTop: cdlSpacingS } }, i18n.t('label.save'))));
};
export default Subscriptions;
