import { Action, AnyAction } from 'redux';
import type { ModalFuncProps } from 'antd/es/modal';
export interface Confirmation extends ModalFuncProps {
    content?: string;
    contentParams?: string[];
}
export interface ShowConfirmationAction {
    type: string;
    config: Confirmation;
}
declare type ConfirmationAction = ShowConfirmationAction | Action;
export declare type ConfirmationState = Confirmation;
export declare const types: {
    SHOW_CONFIRMATION: string;
    HIDE_CONFIRMATION: string;
    CONFIRM_YES: string;
    CONFIRM_NO: string;
};
export declare const actions: {
    showConfirmation: (content: string | Confirmation) => ConfirmationAction;
    hideConfirmation: () => Action;
    confirmYes: () => Action;
    confirmNo: () => Action;
};
declare const confirmationReducer: (state: Confirmation | undefined, action: AnyAction) => ConfirmationState;
export default confirmationReducer;
