export var types = {
    SHOW_CONFIRMATION: 'SHOW_CONFIRMATION',
    HIDE_CONFIRMATION: 'HIDE_CONFIRMATION',
    CONFIRM_YES: 'CONFIRM_YES',
    CONFIRM_NO: 'CONFIRM_NO'
};
export var actions = {
    showConfirmation: function (content) {
        if (typeof content === 'string') {
            return { type: types.SHOW_CONFIRMATION, config: { content: content } };
        }
        else {
            return { type: types.SHOW_CONFIRMATION, config: content };
        }
    },
    hideConfirmation: function () { return ({ type: types.HIDE_CONFIRMATION }); },
    confirmYes: function () { return ({ type: types.CONFIRM_YES }); },
    confirmNo: function () { return ({ type: types.CONFIRM_NO }); }
};
var confirmationReducer = function (state, action) {
    if (state === void 0) { state = {}; }
    switch (action.type) {
        case types.SHOW_CONFIRMATION:
            return action.config;
        case types.CONFIRM_YES:
        case types.CONFIRM_NO:
        case types.HIDE_CONFIRMATION:
            return {};
        default:
            return state;
    }
};
export default confirmationReducer;
