// Copyright (c) 2017 Cloudera, Inc. All rights reserved.
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
export var types = {
    SHOW_MODAL: 'SHOW_MODAL',
    HIDE_MODAL: 'HIDE_MODAL'
};
export var commonModals = {
    INFO_MODAL: 'INFO_MODAL',
    SUCCESS_MODAL: 'SUCCESS_MODAL',
    ERROR_MODAL: 'ERROR_MODAL',
    REQUEST_ERROR_MODAL: 'REQUEST_ERROR_MODAL',
    WARNING_MODAL: 'WARNING_MODAL',
    CONFIRM_MODAL: 'CONFIRM_MODAL'
};
export var actions = {
    showModal: function (modalType, modalParams) {
        if (modalParams === void 0) { modalParams = {}; }
        return ({
            type: types.SHOW_MODAL,
            modalType: modalType,
            modalParams: modalParams
        });
    },
    hideModal: function () { return ({ type: types.HIDE_MODAL }); }
};
// Action selectors for modal actions. Used when trying to react to a modal action in sagas.
export var actionSelectors = {
    showModal: function (modalType) { return function (action) {
        return action.type === types.SHOW_MODAL && action.modalType === modalType;
    }; }
};
var initialState = {
    modalType: null,
    modalParams: {},
    visible: false
};
var modalReducer = function (state, action) {
    if (state === void 0) { state = initialState; }
    switch (action.type) {
        case types.SHOW_MODAL:
            return {
                modalType: action.modalType,
                modalParams: action.modalParams,
                visible: true
            };
        case types.HIDE_MODAL:
            return __assign(__assign({}, state), { visible: false });
        default:
            return state;
    }
};
export default modalReducer;
