import { AnyAction } from 'redux';
import type { IconType } from 'antd/es/notification';
export interface Notification {
    message?: string;
    description?: string;
    descriptionKey?: string;
    descriptionParams?: string[];
    wait?: number;
    type?: IconType;
}
interface NotificationAction {
    type: string;
    notification: Notification;
}
export interface NotificationState extends Notification {
    id: number;
}
export declare const types: {
    SHOW_NOTIFICATION: string;
};
export declare const actions: {
    showNotification: (description: string | Notification) => NotificationAction;
};
declare const notificationReducer: (state: NotificationState | undefined, action: AnyAction) => NotificationState;
export default notificationReducer;
