// Copyright (c) 2017 Cloudera, Inc. All rights reserved.
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import get from 'lodash/get';
export var types = {
    SAVE_PREFERENCE: 'SAVE_PREFERENCE'
};
export var actions = {
    savePreference: function (key, value) { return ({
        type: types.SAVE_PREFERENCE,
        key: key,
        value: value
    }); }
};
export default function preferenceReducer(state, action) {
    var _a;
    if (state === void 0) { state = {}; }
    switch (action.type) {
        case types.SAVE_PREFERENCE:
            return __assign(__assign({}, state), (_a = {}, _a[action.key] = action.value, _a));
        default:
            return state;
    }
}
// Selectors
export var getPreference = function (state, key, defaultValue) {
    if (defaultValue === void 0) { defaultValue = undefined; }
    return get(state, "preferences.".concat(key), defaultValue);
};
