// Copyright (c) 2018 Cloudera, Inc. All rights reserved.
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (_) try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [op[0] & 2, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
var __read = (this && this.__read) || function (o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m) return o;
    var i = m.call(o), r, ar = [], e;
    try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
    }
    catch (error) { e = { error: error }; }
    finally {
        try {
            if (r && !r.done && (m = i["return"])) m.call(i);
        }
        finally { if (e) throw e.error; }
    }
    return ar;
};
import { call, put, take, fork, race, cancel, getContext } from 'redux-saga/effects';
import { actions as apiActions, types as apiTypes } from '../reducers/apiBusReducer';
import { types as confirmationTypes, actions as confirmationActions } from '../reducers/confirmationReducer';
import { actions as notificationActions } from '../reducers/notificationReducer';
import { types as routerTypes } from '../reducers/routerReducer';
/**
 * This saga listens for SUBMIT_REQUEST actions. When that happens, it calls the api method
 * Then it publishes success or failure.
 */
export function apiSaga(action) {
    var confirmed, apiHandlers_1, found, hook, ex_1;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                _a.trys.push([0, 13, , 15]);
                if (!action.args.confirm) return [3 /*break*/, 5];
                return [4 /*yield*/, call(confirmRequest, action)];
            case 1:
                confirmed = _a.sent();
                if (!!confirmed) return [3 /*break*/, 3];
                return [4 /*yield*/, put(apiActions.flush(action.channel))];
            case 2: return [2 /*return*/, _a.sent()];
            case 3: return [4 /*yield*/, put(apiActions.isConfirmed(action.channel))];
            case 4:
                _a.sent();
                _a.label = 5;
            case 5: return [4 /*yield*/, getContext('apiHandlers')];
            case 6:
                apiHandlers_1 = (_a.sent()) || {};
                found = Object.keys(action.args).find(function (actionKey) { return !!apiHandlers_1[actionKey]; });
                if (!found) return [3 /*break*/, 8];
                hook = apiHandlers_1[found];
                return [4 /*yield*/, call(hook, action)];
            case 7:
                _a.sent();
                return [3 /*break*/, 10];
            case 8: return [4 /*yield*/, call(submitRequest, action)];
            case 9:
                _a.sent();
                _a.label = 10;
            case 10:
                if (!action.args.notify) return [3 /*break*/, 12];
                return [4 /*yield*/, call(notifyRequest, action)];
            case 11:
                _a.sent();
                _a.label = 12;
            case 12: return [3 /*break*/, 15];
            case 13:
                ex_1 = _a.sent();
                return [4 /*yield*/, call(handleError, action, ex_1)];
            case 14:
                _a.sent();
                return [3 /*break*/, 15];
            case 15: return [2 /*return*/];
        }
    });
}
/**
 * Performs the API call and fires a REQUEST_SUCCESS action with the fetched data.
 */
export function submitRequest(action) {
    var rawResponse, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0: return [4 /*yield*/, call(action.requestMethod, action.requestParams)];
            case 1:
                rawResponse = _a.sent();
                response = (rawResponse && rawResponse.obj) || rawResponse;
                return [4 /*yield*/, put(apiActions.requestSuccess(action, response, Date.now()))];
            case 2:
                _a.sent();
                return [2 /*return*/];
        }
    });
}
/**
 * Fires a SHOW_CONFIRMATION action for the given action.
 */
export function confirmRequest(action) {
    var config, messageConfig, _a, _b, confirmModalParams, confirmKey, confirmParams, yes;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                config = (_c = action === null || action === void 0 ? void 0 : action.args) === null || _c === void 0 ? void 0 : _c.messageConfig;
                messageConfig = {};
                if (typeof config === 'string') {
                    messageConfig = { confirmKey: messageConfig };
                }
                else if (Array.isArray(messageConfig)) {
                    messageConfig = { confirmParams: messageConfig };
                }
                else {
                    messageConfig = config;
                }
                _a = messageConfig || {}, _b = _a.confirmModalParams, confirmModalParams = _b === void 0 ? {} : _b, confirmKey = _a.confirmKey, confirmParams = _a.confirmParams;
                return [4 /*yield*/, put(confirmationActions.showConfirmation(__assign(__assign({}, confirmModalParams), { content: confirmKey, contentParams: confirmParams })))];
            case 1:
                _d.sent();
                return [4 /*yield*/, race({
                        yes: take(confirmationTypes.CONFIRM_YES),
                        no: take(confirmationTypes.CONFIRM_NO)
                    })];
            case 2:
                yes = (_d.sent()).yes;
                return [2 /*return*/, yes];
        }
    });
}
/**
 * Fires a SHOW_NOTIFICATION action for the given action.
 */
export function notifyRequest(action) {
    var config, messageConfig, _a, notifyKey, notifyParams;
    var _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                config = (_b = action === null || action === void 0 ? void 0 : action.args) === null || _b === void 0 ? void 0 : _b.messageConfig;
                messageConfig = {};
                if (typeof config === 'string') {
                    messageConfig = { notifyKey: config };
                }
                else {
                    messageConfig = config;
                }
                _a = messageConfig || {}, notifyKey = _a.notifyKey, notifyParams = _a.notifyParams;
                return [4 /*yield*/, put(notificationActions.showNotification({
                        descriptionKey: notifyKey,
                        descriptionParams: notifyParams
                    }))];
            case 1:
                _c.sent();
                return [2 /*return*/];
        }
    });
}
/**
 * Handles errors that are caught during api operations. If API call fails due to 401, we redirect
 * user to home page.
 */
export function handleError(action, error) {
    var errorHandler, errorResponse;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0: return [4 /*yield*/, getContext('errorHandler')];
            case 1:
                errorHandler = _a.sent();
                errorResponse = errorHandler ? errorHandler(error) : error;
                // In certain cases we'll want to redirect on error (e.g. you have become logged out).  In those cases
                // we don't want to show any errors on the screen to the user (in the time period it takes to complete
                // a redirect), so we avoid putting the error in the store, so as far as the apiBus state knows the API
                // is still loading and hence no error will be shown.
                if (!errorResponse) {
                    return [2 /*return*/];
                }
                // Convert exception to a plain js error object
                return [4 /*yield*/, put(apiActions.requestFailure(action, errorResponse))];
            case 2:
                // Convert exception to a plain js error object
                _a.sent();
                return [2 /*return*/];
        }
    });
}
export default function apiBusSaga() {
    var runningTasks, _a, apiAction, runningTask, _b, _c, _d;
    return __generator(this, function (_e) {
        switch (_e.label) {
            case 0:
                runningTasks = {};
                _e.label = 1;
            case 1:
                if (!true) return [3 /*break*/, 9];
                return [4 /*yield*/, race([take(apiTypes.SUBMIT_REQUEST), take(routerTypes.NAVIGATE)])];
            case 2:
                _a = __read.apply(void 0, [_e.sent(), 1]), apiAction = _a[0];
                if (!apiAction) return [3 /*break*/, 6];
                runningTask = runningTasks[apiAction.channel];
                if (!runningTask) return [3 /*break*/, 4];
                return [4 /*yield*/, cancel(runningTask.task)];
            case 3:
                _e.sent();
                _e.label = 4;
            case 4:
                _b = runningTasks;
                _c = apiAction.channel;
                _d = {};
                return [4 /*yield*/, fork(apiSaga, apiAction)];
            case 5:
                _b[_c] = (_d.task = _e.sent(),
                    _d.args = apiAction.args || {},
                    _d);
                return [3 /*break*/, 8];
            case 6: 
            // NAVIGATE action is fired. Cancel all running API tasks.
            return [4 /*yield*/, cancel(Object.values(runningTasks)
                    .filter(function (task) { return !task.args.preserve; })
                    .map(function (task) { return task.task; }))];
            case 7:
                // NAVIGATE action is fired. Cancel all running API tasks.
                _e.sent();
                runningTasks = {};
                _e.label = 8;
            case 8: return [3 /*break*/, 1];
            case 9: return [2 /*return*/];
        }
    });
}
export function takeChannelAction(channel, actionType) {
    var realChannel;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                realChannel = typeof channel === 'string' ? channel : channel.methodName;
                return [4 /*yield*/, take(function (action) {
                        return (action.type === actionType || !actionType) && action.channel === realChannel;
                    })];
            case 1: return [2 /*return*/, _a.sent()];
        }
    });
}
export function takeSuccess(channel) {
    var action;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0: return [4 /*yield*/, takeChannelAction(channel, apiTypes.REQUEST_SUCCESS)];
            case 1:
                action = _a.sent();
                return [2 /*return*/, action.response];
        }
    });
}
export function takeFailure(channel) {
    var action;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0: return [4 /*yield*/, takeChannelAction(channel, apiTypes.REQUEST_FAILURE)];
            case 1:
                action = _a.sent();
                return [2 /*return*/, action.error];
        }
    });
}
/**
 * If you need to wait for a request completion in a saga (e.g. either success or fail)
 */
export function takeSuccessOrFailure(channel) {
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0: return [4 /*yield*/, race([takeSuccess(channel), takeFailure(channel)])];
            case 1: return [2 /*return*/, _a.sent()];
        }
    });
}
