export declare const types: {
    BOOTSTRAP_SUCCESS: "BOOTSTRAP_SUCCESS";
    BOOTSTRAP_FAILURE: "BOOTSTRAP_FAILURE";
};
export declare const actions: {
    bootstrapSuccess: (payload?: {}) => {
        type: "BOOTSTRAP_SUCCESS";
        payload: {};
    };
    bootstrapFailure: (error: any) => {
        type: "BOOTSTRAP_FAILURE";
        error: any;
    };
};
/**
 * Default bootstrap saga that is run after authentication and before router is initialized. This
 * saga doesn't do anything other than triggering the router saga by firing BOOTSTRAP_SUCCESS
 * action. An alternative bootstrap sagas can be provided similar to this one.
 * @param {*} history History object
 */
export default function defaultBootstrapSaga(): Generator<import("redux-saga/effects").TakeEffect | import("redux-saga/effects").PutEffect<{
    type: "BOOTSTRAP_SUCCESS";
    payload: {};
}>, void, unknown>;
