var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (_) try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [op[0] & 2, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
var __read = (this && this.__read) || function (o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m) return o;
    var i = m.call(o), r, ar = [], e;
    try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
    }
    catch (error) { e = { error: error }; }
    finally {
        try {
            if (r && !r.done && (m = i["return"])) m.call(i);
        }
        finally { if (e) throw e.error; }
    }
    return ar;
};
var __spreadArray = (this && this.__spreadArray) || function (to, from, pack) {
    if (pack || arguments.length === 2) for (var i = 0, l = from.length, ar; i < l; i++) {
        if (ar || !(i in from)) {
            if (!ar) ar = Array.prototype.slice.call(from, 0, i);
            ar[i] = from[i];
        }
    }
    return to.concat(ar || Array.prototype.slice.call(from));
};
// Copyright (c) 2018 Cloudera, Inc. All rights reserved.
import { takeLatest, fork, put, delay, call } from 'redux-saga/effects';
import { types as apiTypes } from '../reducers/apiBusReducer';
import { takeSuccess } from './apiBusSaga';
import { types as modalTypes } from '../reducers/modalReducer';
var DEFAULT_REPEAT_DELAY = 10000;
var DEFAULT_SHOULD_REPEAT = function () { return true; };
var takeLatestApiType = function (apiType) {
    return function (channel, saga) {
        var args = [];
        for (var _i = 2; _i < arguments.length; _i++) {
            args[_i - 2] = arguments[_i];
        }
        return fork(function () {
            var channels, channelNames, matcher;
            return __generator(this, function (_a) {
                switch (_a.label) {
                    case 0:
                        channels = Array.isArray(channel) ? channel : [channel];
                        channelNames = channels.map(function (c) { return c.methodName || c; });
                        matcher = function (action) { return action.type === apiType && channelNames.includes(action.channel); };
                        return [4 /*yield*/, takeLatest.apply(void 0, __spreadArray([matcher, saga], __read(args), false))];
                    case 1:
                        _a.sent();
                        return [2 /*return*/];
                }
            });
        });
    };
};
/**
 * Custom effect that starts listening to the REQUEST_SUCCESS action for a given channel. Internally
 * it uses takeLatest so the cancellation behavior the same as takeLatest.
 * @param {string|function|array} channel Channel or channels to listen for success actions. If an
 * array is provided, each item in the array can be a string channel name or an API method with
 * methodName set.
 * @param {function} saga Saga to run when success action is taken
 * @param  {...any} args Additional args to pass to the saga. This also matches the behavior of
 * takeLatest where the incoming action is provided as the last argument.
 */
export var takeLatestSuccess = function (channel, saga) {
    var args = [];
    for (var _i = 2; _i < arguments.length; _i++) {
        args[_i - 2] = arguments[_i];
    }
    return takeLatestApiType(apiTypes.REQUEST_SUCCESS).apply(void 0, __spreadArray([channel, saga], __read(args), false));
};
/**
 * Custom effect that starts listening to the REQUEST_FAILURE action for a given channel. Internally
 * it uses takeLatest so the cancellation behavior the same as takeLatest.
 * @param {string|function|array} channel Channel or channels to listen for success actions. If an
 * array is provided, each item in the array can be a string channel name or an API method with
 * methodName set.
 * @param {function} saga Saga to run when success action is taken
 * @param  {...any} args Additional args to pass to the saga. This also matches the behavior of
 * takeLatest where the incoming action is provided as the last argument.
 */
export var takeLatestFailure = function (channel, saga) {
    var args = [];
    for (var _i = 2; _i < arguments.length; _i++) {
        args[_i - 2] = arguments[_i];
    }
    return takeLatestApiType(apiTypes.REQUEST_FAILURE).apply(void 0, __spreadArray([channel, saga], __read(args), false));
};
/**
 *
 * @param {string} modalType Modal type
 * @param {function} saga Saga to run when matching show action is taken
 * @param  {...any} args Additional args to pass to the saga. This also matches the behavior of
 * takeLatest where the incoming action is provided as the last argument.
 */
export var takeLatestShowModal = function (modalType, saga) {
    var args = [];
    for (var _i = 2; _i < arguments.length; _i++) {
        args[_i - 2] = arguments[_i];
    }
    return fork(function () {
        var matcher;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    matcher = function (action) {
                        return action.type === modalTypes.SHOW_MODAL && action.modalType === modalType;
                    };
                    return [4 /*yield*/, takeLatest.apply(void 0, __spreadArray([matcher, saga], __read(args), false))];
                case 1:
                    _a.sent();
                    return [2 /*return*/];
            }
        });
    });
};
/**
 * Repeat a given action until shouldRepeat returns false.
 * @param {object} action Action to repeat
 * @param {function} shouldRepeat A function that returns true if the repeater should continue repeating
 * @param {number} args.delayMs Amount of time to wait between repeat attempts
 */
export var repeatAction = function (action, shouldRepeat, _a) {
    if (shouldRepeat === void 0) { shouldRepeat = DEFAULT_SHOULD_REPEAT; }
    var _b = _a === void 0 ? {} : _a, _c = _b.delayMs, delayMs = _c === void 0 ? DEFAULT_REPEAT_DELAY : _c;
    return fork(function () {
        var response;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    if (!true) return [3 /*break*/, 6];
                    return [4 /*yield*/, put(action)];
                case 1:
                    _a.sent();
                    _a.label = 2;
                case 2:
                    if (!true) return [3 /*break*/, 4];
                    return [4 /*yield*/, takeSuccess(action.channel)];
                case 3:
                    response = _a.sent();
                    if (response && shouldRepeat(response)) {
                        // Break out of the inner waiting loop to perform the action again.
                        return [3 /*break*/, 4];
                    }
                    return [3 /*break*/, 2];
                case 4: return [4 /*yield*/, delay(delayMs)];
                case 5:
                    _a.sent();
                    return [3 /*break*/, 0];
                case 6: return [2 /*return*/];
            }
        });
    });
};
function putAndTakeSaga(action) {
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0: return [4 /*yield*/, put(action)];
            case 1:
                _a.sent();
                return [4 /*yield*/, takeSuccess(action.channel)];
            case 2: return [2 /*return*/, _a.sent()];
        }
    });
}
/**
 * Puts an API action and takes and returns the corresponding success action
 * @param {object} action Action to repeat
 */
export var putAndTake = function (action) { return call(putAndTakeSaga, action); };
