// Copyright (c) 2018 Cloudera, Inc. All rights reserved.
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (_) try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [op[0] & 2, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
var __read = (this && this.__read) || function (o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m) return o;
    var i = m.call(o), r, ar = [], e;
    try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
    }
    catch (error) { e = { error: error }; }
    finally {
        try {
            if (r && !r.done && (m = i["return"])) m.call(i);
        }
        finally { if (e) throw e.error; }
    }
    return ar;
};
import { eventChannel, buffers } from 'redux-saga';
import { take, put, call, race, takeLatest, fork, select } from 'redux-saga/effects';
import pathToRegexp from 'path-to-regexp';
import get from 'lodash/get';
import isEqual from 'lodash/isEqual';
import { decodeSearchQuery, encodeSearchQuery } from '../utils/searchQuery';
import { types as bootstrapTypes } from './bootstrapSaga';
import { types as routerTypes, actions as routerActions } from '../reducers/routerReducer';
import { actions as modalActions } from '../reducers/modalReducer';
import { actions as confirmActions } from '../reducers/confirmationReducer';
var defaultBeforeNavigate = function () {
    return {
        canNavigate: true,
        canRunSaga: true,
        routeProps: {}
    };
};
/**
 *
 * @param {object} routes Routes object
 * Returns a copy of the routes object where each route is decorated with following additional fields:
 * matcher: A regular expression that matches a url path to a route path.
 * keys: Key information returned by the pathToRegexp library. See https://github.com/pillarjs/path-to-regexp
 * for more info.
 * toPath: A function that returns a url path given a parameters object.
 */
export function buildRoutesMap(routes) {
    return Object.keys(routes).reduce(function (acc, id) {
        var route = routes[id];
        var keys = [];
        var matcher = pathToRegexp(route.path, keys);
        var toPath = pathToRegexp.compile(route.path);
        acc[id] = __assign(__assign({}, route), { id: id, matcher: matcher, keys: keys, toPath: toPath });
        return acc;
    }, {});
}
export function actionToPath(routesMap, action) {
    var route = routesMap[action.id] || null;
    return route && route.toPath(action.params);
}
export function pathToAction(routesMap, path, search) {
    var routesList = Object.values(routesMap);
    var _loop_1 = function (i) {
        var route = routesList[i];
        var captures = path.match(route.matcher);
        if (!captures) {
            return "continue";
        }
        var params = captures.slice(1).reduce(function (params, capture, index) {
            var key = route.keys[index];
            var value = typeof capture === 'string' ? decodeURIComponent(capture) : capture;
            params[key.name] = value;
            return params;
        }, {});
        var searchParams = decodeSearchQuery(search);
        return { value: routerActions.navigate(route.id, params, searchParams, undefined, path) };
    };
    for (var i = 0; i < routesList.length; i++) {
        var state_1 = _loop_1(i);
        if (typeof state_1 === "object")
            return state_1.value;
    }
    return routerActions.navigate('NOT_FOUND', undefined, undefined, undefined, path);
}
/**
 * Intended to be able to get the route object **before** routing is started, to help
 * us do some UX loading optimization such as showing an empty sidebar.
 */
export function getPreloadingActiveRoute(routesMap) {
    var _a = __read(location.hash.split('?', 2), 2), path = _a[0], search = _a[1];
    path = path.replace(/^#/, '');
    search = search || '';
    var action = pathToAction(routesMap, path, search);
    var id = action.id;
    var route = routesMap[id];
    return route;
}
export function createHistoryChannel(history) {
    return eventChannel(function (emitter) {
        emitter({ location: history.location });
        var ignore = history.listen(function (location, action) {
            emitter({ location: location, action: action });
        });
        return function () {
            ignore();
        };
    }, buffers.fixed());
}
export function historyToStore(routesMap, historyChannel) {
    var lastAction, _a, location_1, action, navigateAction, lastId, lastParams, id, params, shouldNavigate;
    return __generator(this, function (_b) {
        switch (_b.label) {
            case 0:
                if (!true) return [3 /*break*/, 7];
                return [4 /*yield*/, take(historyChannel)];
            case 1:
                _a = _b.sent(), location_1 = _a.location, action = _a.action;
                if (!(!action || action === 'POP')) return [3 /*break*/, 6];
                navigateAction = pathToAction(routesMap, location_1.pathname, location_1.search);
                lastId = get(lastAction, 'id');
                lastParams = get(lastAction, 'params', {});
                id = get(navigateAction, 'id');
                params = get(navigateAction, 'params', {});
                shouldNavigate = lastId !== id || !isEqual(lastParams, params);
                if (!shouldNavigate) return [3 /*break*/, 3];
                return [4 /*yield*/, put(navigateAction)];
            case 2:
                _b.sent();
                return [3 /*break*/, 5];
            case 3: return [4 /*yield*/, put(routerActions.setSearchParams(navigateAction.searchParams))];
            case 4:
                _b.sent();
                _b.label = 5;
            case 5:
                lastAction = navigateAction;
                _b.label = 6;
            case 6: return [3 /*break*/, 0];
            case 7: return [2 /*return*/];
        }
    });
}
export function storeToHistory(routesMap, history) {
    var _a, navigateAction, updateSearchParamsAction, setSearchParamsAction, navigatePath, currentAction, currentPath, method, currentSearchParams;
    return __generator(this, function (_b) {
        switch (_b.label) {
            case 0:
                if (!true) return [3 /*break*/, 5];
                return [4 /*yield*/, race([
                        take(routerTypes.NAVIGATE),
                        take(routerTypes.UPDATE_SEARCH_PARAMS),
                        take(routerTypes.SET_SEARCH_PARAMS)
                    ])];
            case 1:
                _a = __read.apply(void 0, [_b.sent(), 3]), navigateAction = _a[0], updateSearchParamsAction = _a[1], setSearchParamsAction = _a[2];
                if (!navigateAction) return [3 /*break*/, 2];
                navigatePath = actionToPath(routesMap, navigateAction);
                currentAction = pathToAction(routesMap, history.location.pathname, history.location.search);
                currentPath = actionToPath(routesMap, currentAction);
                if (navigatePath && navigatePath !== currentPath) {
                    method = navigateAction.opts.replace ? 'replace' : 'push';
                    history[method](navigatePath + encodeSearchQuery(navigateAction.searchParams));
                }
                return [3 /*break*/, 4];
            case 2:
                if (!(updateSearchParamsAction || setSearchParamsAction)) return [3 /*break*/, 4];
                return [4 /*yield*/, select(function (state) { return state.routing.searchParams || {}; })];
            case 3:
                currentSearchParams = _b.sent();
                history.replace(history.location.pathname + encodeSearchQuery(currentSearchParams));
                _b.label = 4;
            case 4: return [3 /*break*/, 0];
            case 5: return [2 /*return*/];
        }
    });
}
function getSagaFromRouteDefinition(route) {
    var result;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (!route.pageImportWrapper) return [3 /*break*/, 2];
                return [4 /*yield*/, call(route.pageImportWrapper)];
            case 1:
                result = _a.sent();
                return [2 /*return*/, result.saga];
            case 2: return [2 /*return*/, route.saga];
        }
    });
}
/**
 * Starts loading the JS resources required for the route to render.
 *
 * In cases where we have a blocking API call before a route can be rendered, we can
 * still load the JS resources ahead of time.
 *
 * Naive Case Page Navigation Timeline:
 *      [ check rights API Call]
 *                              [load JS resources]
 *                                                 [render]
 *
 * Optimized Case Page Navigation Timeline:
 *      [ check rights API Call]
 *       [load JS resources]
 *                              [render]  <--- can happen much earlier
 *
 * Specifically the blocking call we have in mind `iam.checkRights` which is
 * can be performed in (thunderhead) `beforeNavigateSaga` when `route.rights`
 * is specified.
 */
function preloadJS(route) {
    var pageImportWrapper = route.pageImportWrapper;
    if (pageImportWrapper) {
        // Since this is an optimization and might not be the critical path, we'll put it
        // in a timeout, so we don't compete directly with any critical API calls we make
        // right away (such as `iam.checkRights` when triggered)
        setTimeout(function () {
            // calling this multiple times is noop.
            // The first time it is called it will start loading the JS resources.
            pageImportWrapper();
        }, 0);
    }
}
export function onNavigate(routesMap, beforeNavigate, action) {
    var route, _a, canNavigate, canRunSaga, routeProps, saga;
    return __generator(this, function (_b) {
        switch (_b.label) {
            case 0:
                route = routesMap[action.id];
                if (!route) return [3 /*break*/, 5];
                return [4 /*yield*/, call(preloadJS, route)];
            case 1:
                _b.sent();
                return [4 /*yield*/, call(beforeNavigate, route)];
            case 2:
                _a = _b.sent(), canNavigate = _a.canNavigate, canRunSaga = _a.canRunSaga, routeProps = _a.routeProps;
                if (!canNavigate) {
                    return [2 /*return*/];
                }
                if (!canRunSaga) return [3 /*break*/, 5];
                return [4 /*yield*/, call(getSagaFromRouteDefinition, route)];
            case 3:
                saga = _b.sent();
                if (!saga) return [3 /*break*/, 5];
                return [4 /*yield*/, fork(saga, action, routeProps)];
            case 4:
                _b.sent();
                _b.label = 5;
            case 5: return [4 /*yield*/, put(modalActions.hideModal())];
            case 6:
                _b.sent();
                return [4 /*yield*/, put(confirmActions.hideConfirmation())];
            case 7:
                _b.sent();
                return [4 /*yield*/, put(routerActions.navigateSuccess())];
            case 8:
                _b.sent();
                return [2 /*return*/];
        }
    });
}
export function routeSaga(routesMap, beforeNavigate) {
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0: return [4 /*yield*/, takeLatest(routerTypes.NAVIGATE, onNavigate, routesMap, beforeNavigate)];
            case 1:
                _a.sent();
                return [2 /*return*/];
        }
    });
}
/**
 *
 * @param {object} routesMap Route definition map
 * @param {*} history History object
 * @param {*} beforeNavigate A saga that will be run before navigating to a new path. Can be
 * used to perform pre-navigation checks and cancel navigation if needed. (E.g., Altus uses this
 * hook for checking entitlements and rights associated with the new route.)
 * This saga needs to return an object that contains following fields:
 * canNavigate: Whether user can navigate to the new route. If false, navigation is cancelled.
 * canRunSaga: Whether we can run the saga for the new route. If false, navigation happens but
 * the saga associated with the route isn't run. This flag is used when you want to render the
 * UI with an error message and don't want to kick of the API calls from the page saga. (E.g., user
 * failed the authorization checks so you know the API calls will fail.)
 * routeProps: Additional props/arguments passed to the route saga. This will passed as the second
 * parameter to the route saga.
 *
 * See the defaultBeforeNavigate method above for the response format.
 */
export default function routerSaga(routesMap, history, 
// Non-trivial to type, so leaving as unknown
beforeNavigate) {
    var historyChannel;
    if (beforeNavigate === void 0) { beforeNavigate = defaultBeforeNavigate; }
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0: 
            // Make sure router saga starts after bootstrap phase is completed
            return [4 /*yield*/, take(bootstrapTypes.BOOTSTRAP_SUCCESS)];
            case 1:
                // Make sure router saga starts after bootstrap phase is completed
                _a.sent();
                // Register NAVIGATE listeners
                return [4 /*yield*/, fork(routeSaga, routesMap, beforeNavigate)];
            case 2:
                // Register NAVIGATE listeners
                _a.sent();
                if (!(!history || routesMap.__ALL)) return [3 /*break*/, 4];
                // If a route named __ALL is defined we assume all urls are handled by the same component and
                // disable routing. This allows us to have another router handle the url state (E.g., Hue's router)
                return [4 /*yield*/, put(routerActions.navigate(routesMap.__ALL.id, undefined, undefined, undefined, ''))];
            case 3:
                // If a route named __ALL is defined we assume all urls are handled by the same component and
                // disable routing. This allows us to have another router handle the url state (E.g., Hue's router)
                _a.sent();
                return [3 /*break*/, 8];
            case 4: return [4 /*yield*/, fork(storeToHistory, routesMap, history)];
            case 5:
                _a.sent();
                return [4 /*yield*/, call(createHistoryChannel, history)];
            case 6:
                historyChannel = _a.sent();
                return [4 /*yield*/, fork(historyToStore, routesMap, historyChannel)];
            case 7:
                _a.sent();
                _a.label = 8;
            case 8: return [2 /*return*/];
        }
    });
}
