// Copyright (c) 2018 Cloudera, Inc. All rights reserved.
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (_) try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [op[0] & 2, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
import { takeEvery, all } from 'redux-saga/effects';
import set from 'lodash/set';
import { types as preferenceTpes } from '../reducers/preferenceReducer';
var PREFIX = 'state';
var SAVE = 'STORAGE/SAVE';
export var types = {
    SAVE: SAVE
};
var stripPrefix = function (key) { return key.replace(new RegExp("^".concat(PREFIX, "\\.")), ''); };
export var actions = {
    save: function (key, value) { return ({ type: SAVE, key: key, value: value }); }
};
export var loadState = function () {
    try {
        return Object.keys(localStorage)
            .filter(function (key) { return key && key.startsWith(PREFIX); })
            .reduce(function (acc, key) {
            try {
                var value = JSON.parse(localStorage.getItem(key) || '');
                var path = stripPrefix(key);
                return set(acc, path, value);
            }
            catch (_a) {
                console.info("Could not load preference for key ".concat(key));
                return acc;
            }
        }, {});
    }
    catch (err) {
        console.error(err);
        return undefined;
    }
};
var save = function (key, value) {
    try {
        localStorage.setItem("".concat(PREFIX, ".").concat(key), JSON.stringify(value));
    }
    catch (err) {
        console.error(err);
    }
};
var onSave = function (action) { return save(action.key, action.value); };
var onSavePreference = function (action) {
    return save("preferences.".concat(action.key), action.value);
};
export default function storageSaga() {
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0: return [4 /*yield*/, all([takeEvery(SAVE, onSave), takeEvery(preferenceTpes.SAVE_PREFERENCE, onSavePreference)])];
            case 1:
                _a.sent();
                return [2 /*return*/];
        }
    });
}
