var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __read = (this && this.__read) || function (o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m) return o;
    var i = m.call(o), r, ar = [], e;
    try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
    }
    catch (error) { e = { error: error }; }
    finally {
        try {
            if (r && !r.done && (m = i["return"])) m.call(i);
        }
        finally { if (e) throw e.error; }
    }
    return ar;
};
// Copyright (c) 2022 Cloudera, Inc. All rights reserved.
import extractLessVars from '../../styles/extractLessVars';
import prettier from 'prettier';
import camelCase from 'lodash/camelCase';
import mapKeys from 'lodash/mapKeys';
import * as cuixCoreVars from '@cloudera/cuix-core/src/variables.cjs';
/**
 * Generate variable.ts content from less and other sources.
 */
export var generateVariableTsCode = function () {
    var cuixLessVars = extractLessVars();
    var cuixVars = mapKeys(cuixLessVars, function (_value, key) { return camelCase(key); });
    var allVariables = __assign(__assign({}, cuixVars), cuixCoreVars);
    var content = "// Copyright (c) ".concat(new Date().getFullYear(), " Cloudera, Inc. All rights reserved.\n  // ***** This file was AUTO-GENERATED, do not modify *****\n  // Run 'yarn run generate-variables-ts' to re-generate it.\n\n  /**\n   * All style variables used in cuix and cuix-core as one object.\n   * @deprecated use individual exports below instead of this default export to support tree shaking. This default export is left to support backwards compatibility.\n   */\n  export default ").concat(JSON.stringify(allVariables, null, '  '), ";\n\n  // Our core Cloudera Design Language (formerly fluid-x) variables e.g. colors, spacing etc.\n  export * from '@cloudera/cuix-core/variables';\n\n  // Variables created in cuix that does not exist in cuix-core\n  ").concat(Object.entries(cuixVars)
        .map(function (_a) {
        var _b = __read(_a, 2), name = _b[0], value = _b[1];
        return "export const ".concat(name, " = ").concat(JSON.stringify(value), ";");
    })
        .join('\n'), "\n  ");
    var formattedContent = prettier.format(content, {
        parser: 'babel',
        singleQuote: true,
        printWidth: 100,
        trailingComma: 'none'
    });
    return formattedContent;
};
