// Copyright (c) 2022 Cloudera, Inc. All rights reserved.
import fs from 'fs';
import path from 'path';
import { generateVariableTsCode } from './common';
import docopt from 'docopt';
var doc = "\nUsage:\n  generate-variables-js\n  generate-variables-js --assert-fresh\n  generate-variables-js -h\n\nGenerate variables.ts file from our variables.less files\n\nOptions:\n -h, --help\n   Show help\n --assert-fresh\n   Assert that the variables.ts files is current by generating a new\n   one and comparing to the store file\n";
var args = docopt.docopt(doc, {
    version: 0.1
});
var assertFresh = args['--assert-fresh'];
var PACKAGE_FOLDER = path.join(__dirname, '..', '..');
var newContent = generateVariableTsCode();
var variablesPath = path.join(PACKAGE_FOLDER, 'styles/variables.ts');
if (assertFresh) {
    var oldContent = fs.readFileSync(variablesPath, 'utf-8');
    // ignore first line of copyright when comparing so that we don't get an error every new year
    var firstLineOldContent = oldContent.split('\n')[0];
    var oldContentIgnoreCopyright = oldContent.replace(firstLineOldContent, '');
    var firstLineNewContent = newContent.split('\n')[0];
    var newContentIgnoreCopyright = newContent.replace(firstLineNewContent, '');
    if (oldContentIgnoreCopyright !== newContentIgnoreCopyright) {
        console.log('variables.ts is outdated. Re-run variable generation script to update');
        process.exitCode = 1;
    }
    else {
        console.log('variables.ts is up to date');
    }
}
else {
    fs.writeFileSync(variablesPath, newContent);
}
