var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __read = (this && this.__read) || function (o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m) return o;
    var i = m.call(o), r, ar = [], e;
    try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
    }
    catch (error) { e = { error: error }; }
    finally {
        try {
            if (r && !r.done && (m = i["return"])) m.call(i);
        }
        finally { if (e) throw e.error; }
    }
    return ar;
};
// Copyright (c) 2022 Cloudera, Inc. All rights reserved.
import pages from "../../../../../cloud-common/src/js/utils/pages";
import { resolvePath } from "cuix/dist/reducers/routerReducer";
import React from 'react';
import { useRoutePath } from "cuix/dist/hooks/router/hooks";
import { useAllSearchParamsState } from "cuix/dist/hooks/useSearchParamState";
/**
 * Generate a WXM/Lens for environment pages.
 * Supports relative and absolute paths.
 */
export var useWxmEnvRouteHref = function (to, shouldAddRangeParam) {
    if (shouldAddRangeParam === void 0) { shouldAddRangeParam = true; }
    var _a = __read(useAllSearchParamsState(), 1), searchParams = _a[0];
    var currentPath = useRoutePath();
    var nextPath = resolvePath(currentPath, to);
    var range = searchParams.range;
    var url = pages.getWorkloadXMUrl(nextPath, shouldAddRangeParam ? { range: range } : {});
    return url;
};
/**
 * Generate a WXM/Lens for environment pages.
 * Supports relative and absolute paths.
 */
export var WxmEnvRouteLink = function (_a) {
    var to = _a.to, props = __rest(_a, ["to"]);
    var url = useWxmEnvRouteHref(to);
    // content is passed through props.children
    // eslint-disable-next-line jsx-a11y/anchor-has-content
    return React.createElement("a", __assign({}, props, { href: url }));
};
/**
 * Returns the service path part of the URL
 */
export var getServiceUrl = function () {
    var currentPath = location.href.split('/');
    var url = '';
    var envIdx = currentPath.findIndex(function (unit) { return unit === 'env'; });
    if (envIdx > 0) {
        url += "/env/".concat(currentPath[envIdx + 1], "/");
        var serviceIdx = currentPath.findIndex(function (unit) { return unit === 'service'; });
        if (serviceIdx > 0) {
            url += "service/".concat(currentPath[serviceIdx + 1], "/");
        }
    }
    return url;
};
