// Copyright (c) 2024 Cloudera, Inc. All rights reserved.
import { cdlBlue300, cdlBlue600, cdlGray900, cdlWhite } from '@cloudera/cuix-core/variables';
import { useContext } from 'react';
import { ThemeContext } from 'styled-components';
import theme from 'styled-theming';
export var defaultTheme = { mode: 'default' };
/**
 * Our own version of `useTheme`, which returns the default theme if there is no
 * `ThemeProvider`.
 */
export function useTheme() {
    var theme = useContext(ThemeContext);
    if (!theme) {
        return defaultTheme;
    }
    return theme;
}
export var focusShadowColor = theme('mode', {
    default: cdlBlue300,
    specialdark: cdlBlue600
});
export var containerBackgroundColor = theme('mode', {
    default: cdlWhite,
    specialdark: cdlGray900
});
