/**
 * All style variables used in cuix and cuix-core as one object.
 * @deprecated use individual exports below instead of this default export to support tree shaking. This default export is left to support backwards compatibility.
 */
declare const _default: {
    cuixApplicationBackgroundColor: string;
    backgroundColorBase: string;
    cuixApplicationLightBackgroundColor: string;
    backgroundColorLight: string;
    cuixContainerBackgroundColor: string;
    bodyBackground: string;
    componentBackground: string;
    cuixNeutralBackgroundColor: string;
    cuixInfoBackgroundColor: string;
    cuixPrimaryBackgroundColor: string;
    primaryColor: string;
    cuixSuccessBackgroundColor: string;
    successColor: string;
    cuixWarningBackgroundColor: string;
    warningColor: string;
    warningBgColor: string;
    cuixErrorBackgroundColor: string;
    errorColor: string;
    errorBgColor: string;
    processingColor: string;
    normalColor: string;
    highlightColor: string;
    fluidxDefaultBorderColor: string;
    primary0: string;
    primary1: string;
    primary2: string;
    primary3: string;
    primary4: string;
    primary5: string;
    primary6: string;
    primary7: string;
    primary8: string;
    primary9: string;
    fontFamilySansSerif: string;
    fontFamily: string;
    fontFamilyMonospace: string;
    codeFamily: string;
    fontSizeSm: string;
    fontSizeBase: string;
    fontSizeLg: string;
    fontSizeXl: string;
    lineHeightBase: number;
    lineHeightBaseOriginal: number;
    fluidxLineHeightLg: string;
    cuixTextColor: string;
    textColor: string;
    cuixTextMutedColor: string;
    textMuted: string;
    textColorSecondary: string;
    cuixTextLightColor: string;
    cuixTextWarningColor: string;
    textColorWarning: string;
    cuixTextErrorColor: string;
    textColorDanger: string;
    headingColor: string;
    heading1Size: string;
    heading2Size: string;
    heading3Size: string;
    heading4Size: string;
    heading5Size: string;
    cuixNeutralBorderColor: string;
    borderColorBase: string;
    borderColorSplit: string;
    borderRadiusBase: string;
    outlineWidth: string;
    focusShadow: string;
    focusWarningShadow: string;
    focusErrorShadow: string;
    shadow1Up: string;
    shadow1Down: string;
    shadow1Left: string;
    shadow1Right: string;
    shadow2: string;
    paddingLg: string;
    paddingMd: string;
    paddingSm: string;
    paddingXs: string;
    marginLg: string;
    marginMd: string;
    marginSm: string;
    marginXs: string;
    itemActiveBg: string;
    itemHoverBg: string;
    hoverColor: string;
    activeColor: string;
    disabledColor: string;
    disabledBg: string;
    zIndexFloatingPanel: number;
    zIndexPopper: number;
    zIndexPopperModal: number;
    linkColor: string;
    linkHoverColor: string;
    linkActiveColor: string;
    alertSuccessBorderColor: string;
    alertSuccessBgColor: string;
    alertSuccessIconColor: string;
    alertInfoBorderColor: string;
    alertInfoBgColor: string;
    alertInfoIconColor: string;
    alertWarningBorderColor: string;
    alertWarningBgColor: string;
    alertWarningIconColor: string;
    alertErrorBorderColor: string;
    alertErrorBgColor: string;
    alertErrorIconColor: string;
    alertMessageColor: string;
    tableBg: string;
    tableHeaderBg: string;
    tableHeaderColor: string;
    tableHeaderSortBg: string;
    tableBodySortBg: string;
    tableSelectedRowBg: string;
    tableExpandedRowBg: string;
    tablePaddingVertical: string;
    tableHeaderSortActiveBg: string;
    tableHeaderFilterActiveBg: string;
    tableBgHover: string;
    layoutBodyBackground: string;
    layoutHeaderBackground: string;
    layoutHeaderHeight: string;
    layoutHeaderPadding: number;
    layoutFooterPadding: string;
    layoutFooterBackground: string;
    btnShadow: string;
    btnPrimaryShadow: string;
    btnTextShadow: string;
    btnTextHoverBg: string;
    btnDefaultColor: string;
    btnDisableBorder: string;
    btnFontSizeSm: string;
    btnPaddingHorizontalSm: string;
    btnPaddingHorizontalBase: string;
    btnPaddingHorizontalLg: string;
    tagDefaultBg: string;
    tagDefaultColor: string;
    formItemTrailingColon: string;
    progressRemainingColor: string;
    progressDefaultColor: string;
    animationDurationSlow: string;
    animationDurationBase: string;
    animationDurationFast: string;
    breadcrumbLinkColor: string;
    breadcrumbLinkColorHover: string;
    breadcrumbSeparatorColor: string;
    labelColor: string;
    inputBorderColor: string;
    inputPlaceholderColor: string;
    inputDisabledColor: string;
    inputDisabledBg: string;
    inputReadonlyColor: string;
    inputReadonlyBgColor: string;
    inputReadonlyBorderColor: string;
    passwordIconSize: string;
    dropdownVerticalPadding: string;
    dropdownHorizontalPadding: string;
    selectBorderColor: string;
    selectDropdownHorizontalPadding: string;
    checkboxHoverShadow: string;
    sidebarV2HeaderHeight: string;
    sidebarV2IndicatorWidth: string;
    sidebarV2ZIndex: number;
    rootEntryName: string;
    specPrefix: string;
    libPrefix: string;
    mediaResponsiveWidth: number;
    fluidxMinContentWidth: number;
    fluidxPink010: string;
    fluidxBlue040: string;
    fluidxYellow900: string;
    fluidxYellow800: string;
    fluidxYellow700: string;
    fluidxYellow600: string;
    fluidxYellow500: string;
    fluidxYellow400: string;
    fluidxYellow300: string;
    fluidxYellow200: string;
    fluidxYellow100: string;
    fluidxYellow050: string;
    fluidxBlueGray900: string;
    fluidxBlueGray800: string;
    fluidxBlueGray700: string;
    fluidxBlueGray600: string;
    fluidxBlueGray500: string;
    fluidxBlueGray400: string;
    fluidxBlueGray300: string;
    fluidxBlueGray200: string;
    fluidxBlueGray100: string;
    fluidxBlueGray050: string;
    fluidxSteel900: string;
    fluidxSteel800: string;
    fluidxSteel700: string;
    fluidxSteel600: string;
    fluidxSteel500: string;
    fluidxSteel400: string;
    fluidxSteel300: string;
    fluidxSteel200: string;
    fluidxSteel100: string;
    fluidxSteel050: string;
    fluidxTeal900: string;
    fluidxTeal800: string;
    fluidxTeal700: string;
    fluidxTeal600: string;
    fluidxTeal500: string;
    fluidxTeal400: string;
    fluidxTeal300: string;
    fluidxTeal200: string;
    fluidxTeal100: string;
    fluidxTeal050: string;
    fluidxLime900: string;
    fluidxLime800: string;
    fluidxLime700: string;
    fluidxLime600: string;
    fluidxLime500: string;
    fluidxLime400: string;
    fluidxLime300: string;
    fluidxLime200: string;
    fluidxLime100: string;
    fluidxLime050: string;
    fluidxLime010: string;
    fluidxMint900: string;
    fluidxMint800: string;
    fluidxMint700: string;
    fluidxMint600: string;
    fluidxMint500: string;
    fluidxMint400: string;
    fluidxMint300: string;
    fluidxMint200: string;
    fluidxMint100: string;
    fluidxMint050: string;
    fluidxSlate: string;
    fluidxBlue: string;
    fluidxGray: string;
    fluidxGreen: string;
    fluidxOrange: string;
    fluidxRed: string;
    fluidxYellow: string;
    fluidxPurple: string;
    fluidxMintish: string;
    fluidxOozieBlue: string;
    fluidxOozieYellow: string;
    fluidxHiveColor: string;
    fluidxHdfsColor: string;
    fluidxHbaseColor: string;
    fluidxHueColor: string;
    fluidxMapreduceColor: string;
    fluidxZookeeperColor: string;
    fluidxOozieColor: string;
    fluidxFlumeColor: string;
    fluidxImpalaColor: string;
    fluidxSqoopColor: string;
    fluidxSolrColor: string;
    fluidxSparkColor: string;
    fluidxPigColor: string;
    fluidxYarnColor: string;
    fluidxS3Color: string;
    fluidxApiColor: string;
    cuixDefault0: string;
    cuixDefault1: string;
    cuixDefault2: string;
    cuixDefault3: string;
    cuixDefault4: string;
    cuixDefault5: string;
    cuixDefault6: string;
    cuixDefault7: string;
    cuixDefault8: string;
    cuixDefault9: string;
    cuixPrimary0: string;
    cuixPrimary1: string;
    cuixPrimary2: string;
    cuixPrimary3: string;
    cuixPrimary4: string;
    cuixPrimary5: string;
    cuixPrimary6: string;
    cuixPrimary7: string;
    cuixPrimary8: string;
    cuixPrimary9: string;
    cuixWarning0: string;
    cuixWarning1: string;
    cuixWarning2: string;
    cuixWarning3: string;
    cuixWarning4: string;
    cuixWarning5: string;
    cuixWarning6: string;
    cuixWarning7: string;
    cuixWarning8: string;
    cuixWarning9: string;
    cuixError0: string;
    cuixError1: string;
    cuixError2: string;
    cuixError3: string;
    cuixError4: string;
    cuixError5: string;
    cuixError6: string;
    cuixError7: string;
    cuixError8: string;
    cuixError9: string;
    cdlAmber050: string;
    fluidxAmber050: string;
    cdlAmber100: string;
    fluidxAmber100: string;
    cdlAmber200: string;
    fluidxAmber200: string;
    cdlAmber300: string;
    fluidxAmber300: string;
    cdlAmber400: string;
    fluidxAmber400: string;
    cdlAmber500: string;
    fluidxAmber500: string;
    cdlAmber600: string;
    fluidxAmber600: string;
    cdlAmber700: string;
    fluidxAmber700: string;
    cdlAmber800: string;
    fluidxAmber800: string;
    cdlAmber900: string;
    fluidxAmber900: string;
    cdlBlack: string;
    fluidxBlack: string;
    cdlBlue050: string;
    fluidxBlue050: string;
    cdlBlue100: string;
    fluidxBlue100: string;
    cdlBlue200: string;
    fluidxBlue200: string;
    cdlBlue300: string;
    fluidxBlue300: string;
    cdlBlue400: string;
    fluidxBlue400: string;
    cdlBlue500: string;
    fluidxBlue500: string;
    cdlBlue600: string;
    fluidxBlue600: string;
    cdlBlue700: string;
    fluidxBlue700: string;
    cdlBlue800: string;
    fluidxBlue800: string;
    cdlBlue900: string;
    fluidxBlue900: string;
    cdlGray040: string;
    fluidxGray040: string;
    cdlGray050: string;
    fluidxGray050: string;
    cdlGray100: string;
    fluidxGray100: string;
    cdlGray200: string;
    fluidxGray200: string;
    cdlGray300: string;
    fluidxGray300: string;
    cdlGray400: string;
    fluidxGray400: string;
    cdlGray500: string;
    fluidxGray500: string;
    cdlGray600: string;
    fluidxGray600: string;
    cdlGray700: string;
    fluidxGray700: string;
    cdlGray800: string;
    fluidxGray800: string;
    cdlGray825: string;
    fluidxGray825: string;
    cdlGray850: string;
    fluidxGray850: string;
    cdlGray875: string;
    fluidxGray875: string;
    cdlGray900: string;
    fluidxGray900: string;
    cdlGray925: string;
    fluidxGray925: string;
    cdlGray950: string;
    fluidxGray950: string;
    cdlGreen050: string;
    fluidxGreen050: string;
    cdlGreen100: string;
    fluidxGreen100: string;
    cdlGreen200: string;
    fluidxGreen200: string;
    cdlGreen300: string;
    fluidxGreen300: string;
    cdlGreen400: string;
    fluidxGreen400: string;
    cdlGreen500: string;
    fluidxGreen500: string;
    cdlGreen600: string;
    fluidxGreen600: string;
    cdlGreen700: string;
    fluidxGreen700: string;
    cdlGreen800: string;
    fluidxGreen800: string;
    cdlGreen900: string;
    fluidxGreen900: string;
    cdlIndigo050: string;
    fluidxIndigo050: string;
    cdlIndigo100: string;
    fluidxIndigo100: string;
    cdlIndigo200: string;
    fluidxIndigo200: string;
    cdlIndigo300: string;
    fluidxIndigo300: string;
    cdlIndigo400: string;
    fluidxIndigo400: string;
    cdlIndigo500: string;
    fluidxIndigo500: string;
    cdlIndigo600: string;
    fluidxIndigo600: string;
    cdlIndigo700: string;
    fluidxIndigo700: string;
    cdlIndigo800: string;
    fluidxIndigo800: string;
    cdlIndigo900: string;
    fluidxIndigo900: string;
    cdlOrange050: string;
    fluidxOrange050: string;
    cdlOrange100: string;
    fluidxOrange100: string;
    cdlOrange200: string;
    fluidxOrange200: string;
    cdlOrange300: string;
    fluidxOrange300: string;
    cdlOrange400: string;
    fluidxOrange400: string;
    cdlOrange500: string;
    fluidxOrange500: string;
    cdlOrange600: string;
    fluidxOrange600: string;
    cdlOrange700: string;
    fluidxOrange700: string;
    cdlOrange800: string;
    fluidxOrange800: string;
    cdlOrange900: string;
    fluidxOrange900: string;
    cdlPear050: string;
    fluidxPear050: string;
    cdlPear100: string;
    fluidxPear100: string;
    cdlPear200: string;
    fluidxPear200: string;
    cdlPear300: string;
    fluidxPear300: string;
    cdlPear400: string;
    fluidxPear400: string;
    cdlPear500: string;
    fluidxPear500: string;
    cdlPear600: string;
    fluidxPear600: string;
    cdlPear700: string;
    fluidxPear700: string;
    cdlPear800: string;
    fluidxPear800: string;
    cdlPear900: string;
    fluidxPear900: string;
    cdlPink050: string;
    fluidxPink050: string;
    cdlPink100: string;
    fluidxPink100: string;
    cdlPink200: string;
    fluidxPink200: string;
    cdlPink300: string;
    fluidxPink300: string;
    cdlPink400: string;
    fluidxPink400: string;
    cdlPink500: string;
    fluidxPink500: string;
    cdlPink600: string;
    fluidxPink600: string;
    cdlPink700: string;
    fluidxPink700: string;
    cdlPink800: string;
    fluidxPink800: string;
    cdlPink900: string;
    fluidxPink900: string;
    cdlPurple050: string;
    fluidxPurple050: string;
    cdlPurple100: string;
    fluidxPurple100: string;
    cdlPurple200: string;
    fluidxPurple200: string;
    cdlPurple300: string;
    fluidxPurple300: string;
    cdlPurple400: string;
    fluidxPurple400: string;
    cdlPurple500: string;
    fluidxPurple500: string;
    cdlPurple600: string;
    fluidxPurple600: string;
    cdlPurple700: string;
    fluidxPurple700: string;
    cdlPurple800: string;
    fluidxPurple800: string;
    cdlPurple900: string;
    fluidxPurple900: string;
    cdlRed050: string;
    fluidxRed050: string;
    cdlRed100: string;
    fluidxRed100: string;
    cdlRed200: string;
    fluidxRed200: string;
    cdlRed300: string;
    fluidxRed300: string;
    cdlRed400: string;
    fluidxRed400: string;
    cdlRed500: string;
    fluidxRed500: string;
    cdlRed600: string;
    fluidxRed600: string;
    cdlRed700: string;
    fluidxRed700: string;
    cdlRed800: string;
    fluidxRed800: string;
    cdlRed900: string;
    fluidxRed900: string;
    cdlSlate050: string;
    fluidxSlate050: string;
    cdlSlate100: string;
    fluidxSlate100: string;
    cdlSlate200: string;
    fluidxSlate200: string;
    cdlSlate300: string;
    fluidxSlate300: string;
    cdlSlate400: string;
    fluidxSlate400: string;
    cdlSlate500: string;
    fluidxSlate500: string;
    cdlSlate600: string;
    fluidxSlate600: string;
    cdlSlate700: string;
    fluidxSlate700: string;
    cdlSlate800: string;
    fluidxSlate800: string;
    cdlSlate900: string;
    fluidxSlate900: string;
    cdlSpearmint050: string;
    fluidxSpearmint050: string;
    cdlSpearmint100: string;
    fluidxSpearmint100: string;
    cdlSpearmint200: string;
    fluidxSpearmint200: string;
    cdlSpearmint300: string;
    fluidxSpearmint300: string;
    cdlSpearmint400: string;
    fluidxSpearmint400: string;
    cdlSpearmint500: string;
    fluidxSpearmint500: string;
    cdlSpearmint600: string;
    fluidxSpearmint600: string;
    cdlSpearmint700: string;
    fluidxSpearmint700: string;
    cdlSpearmint800: string;
    fluidxSpearmint800: string;
    cdlSpearmint900: string;
    fluidxSpearmint900: string;
    cdlWhite: string;
    fluidxWhite: string;
    cdlShadowS: string;
    fluidxShadowS: string;
    cdlShadowM: string;
    fluidxShadowM: string;
    cdlShadowL: string;
    fluidxShadowL: string;
    cdlBorderRadius: string;
    cdlBorderRadiusUnitless: number;
    fluidxBorderRadiusUnitless: number;
    fluidxBorderRadius: string;
    cdlFocusShadowNoColor: string;
    fluidxFocusShadowNoColor: string;
    cdlIconSizeDefault: string;
    cdlIconSizeDefaultUnitless: number;
    fluidxIconSizeDefaultUnitless: number;
    fluidxIconSizeDefault: string;
    cdlButtonIconSizeS: string;
    cdlButtonIconSizeSUnitless: number;
    fluidxButtonIconSizeSUnitless: number;
    fluidxButtonIconSizeS: string;
    cdlButtonIconSizeM: string;
    cdlButtonIconSizeMUnitless: number;
    fluidxButtonIconSizeMUnitless: number;
    fluidxButtonIconSizeM: string;
    cdlButtonIconSizeL: string;
    cdlButtonIconSizeLUnitless: number;
    fluidxButtonIconSizeLUnitless: number;
    fluidxButtonIconSizeL: string;
    cdlInputHeightDefault: string;
    cdlInputHeightDefaultUnitless: number;
    fluidxInputHeightDefaultUnitless: number;
    fluidxInputHeightDefault: string;
    cdlGridColumns: number;
    fluidxGridColumns: number;
    cdlGridColumnGutterWidth: string;
    cdlGridColumnGutterWidthUnitless: number;
    fluidxGridColumnGutterWidthUnitless: number;
    fluidxGridColumnGutterWidth: string;
    cdlAppLayoutFullWidthMax: string;
    cdlAppLayoutFullWidthMaxUnitless: number;
    fluidxAppLayoutFullWidthMaxUnitless: number;
    fluidxAppLayoutFullWidthMax: string;
    cdlAppLayoutCenteredWidthMax: string;
    cdlAppLayoutCenteredWidthMaxUnitless: number;
    fluidxAppLayoutCenteredWidthMaxUnitless: number;
    fluidxAppLayoutCenteredWidthMax: string;
    cdlAppLayoutWidthMin: string;
    cdlAppLayoutWidthMinUnitless: number;
    fluidxAppLayoutWidthMinUnitless: number;
    fluidxAppLayoutWidthMin: string;
    cdlScrollbarWidthMax: string;
    cdlScrollbarWidthMaxUnitless: number;
    fluidxScrollbarWidthMaxUnitless: number;
    fluidxScrollbarWidthMax: string;
    cdlNavWidthMax: string;
    cdlNavWidthMaxUnitless: number;
    fluidxNavWidthMaxUnitless: number;
    fluidxNavWidthMax: string;
    cdlNavWidthMin: string;
    cdlNavWidthMinUnitless: number;
    fluidxNavWidthMinUnitless: number;
    fluidxNavWidthMin: string;
    cdlTitleBarHeight: string;
    cdlTitleBarHeightUnitless: number;
    fluidxTitleBarHeightUnitless: number;
    fluidxTitleBarHeight: string;
    cdlDataHubProductColor: string;
    fluidxDataHubProductColor: string;
    cdlDataFlowProductColor: string;
    fluidxDataFlowProductColor: string;
    cdlDataEngProductColor: string;
    fluidxDataEngProductColor: string;
    cdlDataWarehouseProductColor: string;
    fluidxDataWarehouseProductColor: string;
    cdlOpdbProductColor: string;
    fluidxOpdbProductColor: string;
    cdlMlProductColor: string;
    fluidxMlProductColor: string;
    cdlDataCatalogProductColor: string;
    fluidxDataCatalogProductColor: string;
    cdlReplicationManagerProductColor: string;
    fluidxReplicationManagerProductColor: string;
    cdlWxmProductColor: string;
    fluidxWxmProductColor: string;
    cdlMgmtConsoleProductColor: string;
    fluidxMgmtConsoleProductColor: string;
    cdlSpacingTiny: string;
    cdlSpacingTinyUnitless: number;
    fluidxSpacingXxsUnitless: number;
    fluidxSpacingXxs: string;
    cdlSpacingXxs: string;
    cdlSpacingXxsUnitless: number;
    fluidxSpacingXsUnitless: number;
    fluidxSpacingXs: string;
    cdlSpacingXs: string;
    cdlSpacingXsUnitless: number;
    cdlSpacingS: string;
    cdlSpacingSUnitless: number;
    fluidxSpacingSUnitless: number;
    fluidxSpacingS: string;
    cdlSpacingM: string;
    cdlSpacingMUnitless: number;
    fluidxSpacingMUnitless: number;
    fluidxSpacingM: string;
    cdlSpacingL: string;
    cdlSpacingLUnitless: number;
    fluidxSpacingLUnitless: number;
    fluidxSpacingL: string;
    cdlSpacingXl: string;
    cdlSpacingXlUnitless: number;
    fluidxSpacingXlUnitless: number;
    fluidxSpacingXl: string;
    cdlSpacingXxl: string;
    cdlSpacingXxlUnitless: number;
    fluidxSpacingXxlUnitless: number;
    fluidxSpacingXxl: string;
    cdlSpacingGiant: string;
    cdlSpacingGiantUnitless: number;
    fluidxSpacingGiantUnitless: number;
    fluidxSpacingGiant: string;
    cdlHeadingH1Size: string;
    cdlHeadingH1SizeUnitless: number;
    fluidxHeadingH1SizeUnitless: number;
    fluidxHeadingH1Size: string;
    cdlHeadingH1LineHeight: string;
    cdlHeadingH1LineHeightUnitless: number;
    fluidxHeadingH1LineHeightUnitless: number;
    fluidxHeadingH1LineHeight: string;
    cdlHeadingH1Weight: number;
    fluidxHeadingH1Weight: number;
    cdlHeadingH2Size: string;
    cdlHeadingH2SizeUnitless: number;
    fluidxHeadingH2SizeUnitless: number;
    fluidxHeadingH2Size: string;
    cdlHeadingH2LineHeight: string;
    cdlHeadingH2LineHeightUnitless: number;
    fluidxHeadingH2LineHeightUnitless: number;
    fluidxHeadingH2LineHeight: string;
    cdlHeadingH2Weight: number;
    fluidxHeadingH2Weight: number;
    cdlHeadingH3Size: string;
    cdlHeadingH3SizeUnitless: number;
    fluidxHeadingH3SizeUnitless: number;
    fluidxHeadingH3Size: string;
    cdlHeadingH3LineHeight: string;
    cdlHeadingH3LineHeightUnitless: number;
    fluidxHeadingH3LineHeightUnitless: number;
    fluidxHeadingH3LineHeight: string;
    cdlHeadingH3Weight: number;
    fluidxHeadingH3Weight: number;
    cdlHeadingH4Size: string;
    cdlHeadingH4SizeUnitless: number;
    fluidxHeadingH4SizeUnitless: number;
    fluidxHeadingH4Size: string;
    cdlHeadingH4LineHeight: string;
    cdlHeadingH4LineHeightUnitless: number;
    fluidxHeadingH4LineHeightUnitless: number;
    fluidxHeadingH4LineHeight: string;
    cdlHeadingH4Weight: number;
    fluidxHeadingH4Weight: number;
    cdlHeadingH5Size: string;
    cdlHeadingH5SizeUnitless: number;
    fluidxHeadingH5SizeUnitless: number;
    fluidxHeadingH5Size: string;
    cdlHeadingH5LineHeight: string;
    cdlHeadingH5LineHeightUnitless: number;
    fluidxHeadingH5LineHeightUnitless: number;
    fluidxHeadingH5LineHeight: string;
    cdlHeadingH5Weight: number;
    fluidxHeadingH5Weight: number;
    cdlHeadingH6Size: string;
    cdlHeadingH6SizeUnitless: number;
    fluidxHeadingH6SizeUnitless: number;
    fluidxHeadingH6Size: string;
    cdlHeadingH6LineHeight: string;
    cdlHeadingH6LineHeightUnitless: number;
    fluidxHeadingH6LineHeightUnitless: number;
    fluidxHeadingH6LineHeight: string;
    cdlHeadingH6Weight: number;
    fluidxHeadingH6Weight: number;
    cdlTitleH1SmallSize: string;
    cdlTitleH1SmallSizeUnitless: number;
    fluidxTitleH1SmallSizeUnitless: number;
    fluidxTitleH1SmallSize: string;
    cdlTitleH1SmallLineHeight: string;
    cdlTitleH1SmallLineHeightUnitless: number;
    fluidxTitleH1SmallLineHeightUnitless: number;
    fluidxTitleH1SmallLineHeight: string;
    cdlTitleH1SmallWeight: number;
    fluidxTitleH1SmallWeight: number;
    cdlTextSmallSize: string;
    cdlTextSmallSizeUnitless: number;
    fluidxTextSmallSizeUnitless: number;
    fluidxTextSmallSize: string;
    cdlTextSmallLineHeight: string;
    cdlTextSmallLineHeightUnitless: number;
    fluidxTextSmallLineHeightUnitless: number;
    fluidxTextSmallLineHeight: string;
    cdlTextSmallWeight: number;
    fluidxTextSmallWeight: number;
    cdlTextSmallBoldWeight: number;
    fluidxTextSmallBoldWeight: number;
    cdlTextDefaultSize: string;
    cdlTextDefaultSizeUnitless: number;
    fluidxTextDefaultSizeUnitless: number;
    fluidxTextDefaultSize: string;
    cdlTextDefaultLineHeight: string;
    cdlTextDefaultLineHeightUnitless: number;
    fluidxTextDefaultLineHeightUnitless: number;
    fluidxTextDefaultLineHeight: string;
    cdlTextDefaultWeight: number;
    fluidxTextDefaultWeight: number;
    cdlTextDefaultBoldWeight: number;
    fluidxTextDefaultBoldWeight: number;
    cdlTextLargeSize: string;
    cdlTextLargeSizeUnitless: number;
    fluidxTextLargeSizeUnitless: number;
    fluidxTextLargeSize: string;
    cdlTextLargeLineHeight: string;
    cdlTextLargeLineHeightUnitless: number;
    fluidxTextLargeLineHeightUnitless: number;
    fluidxTextLargeLineHeight: string;
    cdlTextLargeWeight: number;
    fluidxTextLargeWeight: number;
    cdlTextLargeBoldWeight: number;
    fluidxTextLargeBoldWeight: number;
    cdlMonospaceSmallSize: string;
    cdlMonospaceSmallSizeUnitless: number;
    fluidxMonospaceSmallSizeUnitless: number;
    fluidxMonospaceSmallSize: string;
    cdlMonospaceSmallLineHeight: string;
    cdlMonospaceSmallLineHeightUnitless: number;
    fluidxMonospaceSmallLineHeightUnitless: number;
    fluidxMonospaceSmallLineHeight: string;
    cdlMonospaceSmallWeight: number;
    fluidxMonospaceSmallWeight: number;
    cdlMonospaceDefaultSize: string;
    cdlMonospaceDefaultSizeUnitless: number;
    fluidxMonospaceDefaultSizeUnitless: number;
    fluidxMonospaceDefaultSize: string;
    cdlMonospaceDefaultLineHeight: string;
    cdlMonospaceDefaultLineHeightUnitless: number;
    fluidxMonospaceDefaultLineHeightUnitless: number;
    fluidxMonospaceDefaultLineHeight: string;
    cdlMonospaceDefaultWeight: number;
    fluidxMonospaceDefaultWeight: number;
    cdlMonospaceLargeSize: string;
    cdlMonospaceLargeSizeUnitless: number;
    fluidxMonospaceLargeSizeUnitless: number;
    fluidxMonospaceLargeSize: string;
    cdlMonospaceLargeLineHeight: string;
    cdlMonospaceLargeLineHeightUnitless: number;
    fluidxMonospaceLargeLineHeightUnitless: number;
    fluidxMonospaceLargeLineHeight: string;
    cdlMonospaceLargeWeight: number;
    fluidxMonospaceLargeWeight: number;
};
export default _default;
export * from '@cloudera/cuix-core/variables';
export declare const cuixApplicationBackgroundColor = "#f1f2f3";
export declare const backgroundColorBase = "#f1f2f3";
export declare const cuixApplicationLightBackgroundColor = "#fafbfc";
export declare const backgroundColorLight = "#fafbfc";
export declare const cuixContainerBackgroundColor = "#ffffff";
export declare const bodyBackground = "#ffffff";
export declare const componentBackground = "#ffffff";
export declare const cuixNeutralBackgroundColor = "#eaebec";
export declare const cuixInfoBackgroundColor = "#008cff";
export declare const cuixPrimaryBackgroundColor = "#0074d2";
export declare const primaryColor = "#0074d2";
export declare const cuixSuccessBackgroundColor = "#4ccf4c";
export declare const successColor = "#4ccf4c";
export declare const cuixWarningBackgroundColor = "#f96702";
export declare const warningColor = "#f96702";
export declare const warningBgColor = "#fff3e5";
export declare const cuixErrorBackgroundColor = "#fe3f3f";
export declare const errorColor = "#fe3f3f";
export declare const errorBgColor = "#ffecec";
export declare const processingColor = "#008cff";
export declare const normalColor = "#d6d8db";
export declare const highlightColor = "#ce2626";
export declare const cdlDefaultBorderColor = "#d6d8db";
/** @deprecated Use `cdlDefaultBorderColor` instead. */
export declare const fluidxDefaultBorderColor = "#d6d8db";
export declare const primary0 = "#edf7ff";
export declare const primary1 = "#bee2ff";
export declare const primary2 = "#90ceff";
export declare const primary3 = "#61bbff";
export declare const primary4 = "#31a2ff";
export declare const primary5 = "#008cff";
export declare const primary6 = "#0074d2";
export declare const primary7 = "#005ba6";
export declare const primary8 = "#004379";
export declare const primary9 = "#002b4d";
export declare const fontFamilySansSerif = "Roboto, -apple-system, 'Segoe UI', sans-serif";
export declare const fontFamily = "Roboto, -apple-system, 'Segoe UI', sans-serif";
export declare const fontFamilyMonospace = "Roboto Mono, monospace";
export declare const codeFamily = "Roboto Mono, monospace";
export declare const fontSizeSm = "12px";
export declare const fontSizeBase = "14px";
export declare const fontSizeLg = "16px";
export declare const fontSizeXl = "20px";
export declare const lineHeightBase = 1.4285;
export declare const lineHeightBaseOriginal = 1.5715;
export declare const cdlLineHeightLg = "24px";
/** @deprecated Use `cdlLineHeightLg` instead. */
export declare const fluidxLineHeightLg = "24px";
export declare const cuixTextColor = "#1b2329";
export declare const textColor = "#1b2329";
export declare const cuixTextMutedColor = "#5a656d";
export declare const textMuted = "#5a656d";
export declare const textColorSecondary = "#5a656d";
export declare const cuixTextLightColor = "#ffffff";
export declare const cuixTextWarningColor = "#f96702";
export declare const textColorWarning = "#f96702";
export declare const cuixTextErrorColor = "#fe3f3f";
export declare const textColorDanger = "#fe3f3f";
export declare const headingColor = "#1b2329";
export declare const heading1Size = "28px";
export declare const heading2Size = "24px";
export declare const heading3Size = "20px";
export declare const heading4Size = "16px";
export declare const heading5Size = "14px";
export declare const cuixNeutralBorderColor = "#d6d8db";
export declare const borderColorBase = "#d6d8db";
export declare const borderColorSplit = "#eaebec";
export declare const borderRadiusBase = "3px";
export declare const outlineWidth = "4px";
export declare const focusShadow = "0 0 0 4px #61bbff";
export declare const focusWarningShadow = "0 0 0 4px #ffa139";
export declare const focusErrorShadow = "0 0 0 4px #fe8484";
export declare const shadow1Up = "0 -2px 8px 0 rgba(0, 0, 0, 0.2)";
export declare const shadow1Down = "0 2px 8px 0 rgba(0, 0, 0, 0.2)";
export declare const shadow1Left = "-2px 0 8px 0 rgba(0, 0, 0, 0.2)";
export declare const shadow1Right = "2px 0 8px 0 rgba(0, 0, 0, 0.2)";
export declare const shadow2 = "0 2px 8px 0 rgba(0, 0, 0, 0.35)";
export declare const paddingLg = "24px";
export declare const paddingMd = "12px";
export declare const paddingSm = "8px";
export declare const paddingXs = "4px";
export declare const marginLg = "24px";
export declare const marginMd = "12px";
export declare const marginSm = "8px";
export declare const marginXs = "4px";
export declare const itemActiveBg = "#d6d8db";
export declare const itemHoverBg = "#eaebec";
export declare const hoverColor = "#0074d2";
export declare const activeColor = "#005ba6";
export declare const disabledColor = "#adb2b6";
export declare const disabledBg = "#eaebec";
export declare const zIndexFloatingPanel = 4000;
export declare const zIndexPopper = 3333;
export declare const zIndexPopperModal = 4333;
export declare const linkColor = "#0074d2";
export declare const linkHoverColor = "#0074d2";
export declare const linkActiveColor = "#005ba6";
export declare const alertSuccessBorderColor = "#4ccf4c";
export declare const alertSuccessBgColor = "#e5ffe5";
export declare const alertSuccessIconColor = "#4ccf4c";
export declare const alertInfoBorderColor = "#008cff";
export declare const alertInfoBgColor = "#edf7ff";
export declare const alertInfoIconColor = "#008cff";
export declare const alertWarningBorderColor = "#f96702";
export declare const alertWarningBgColor = "#fff3e5";
export declare const alertWarningIconColor = "#f96702";
export declare const alertErrorBorderColor = "#fe3f3f";
export declare const alertErrorBgColor = "#ffecec";
export declare const alertErrorIconColor = "#fe3f3f";
export declare const alertMessageColor = "#1b2329";
export declare const tableBg = "#ffffff";
export declare const tableHeaderBg = "#ffffff";
export declare const tableHeaderColor = "#5a656d";
export declare const tableHeaderSortBg = "#ffffff";
export declare const tableBodySortBg = "#ffffff";
export declare const tableSelectedRowBg = "#edf7ff";
export declare const tableExpandedRowBg = "#fafbfc";
export declare const tablePaddingVertical = "8px";
export declare const tableHeaderSortActiveBg = "#ffffff";
export declare const tableHeaderFilterActiveBg = "#ffffff";
export declare const tableBgHover = "#f4f5f6";
export declare const layoutBodyBackground = "transparent";
export declare const layoutHeaderBackground = "#ffffff";
export declare const layoutHeaderHeight = "57px";
export declare const layoutHeaderPadding = 0;
export declare const layoutFooterPadding = "24px";
export declare const layoutFooterBackground = "#ffffff";
export declare const btnShadow = "none";
export declare const btnPrimaryShadow = "none";
export declare const btnTextShadow = "none";
export declare const btnTextHoverBg = "transparent";
export declare const btnDefaultColor = "#0074d2";
export declare const btnDisableBorder = "#eaebec";
export declare const btnFontSizeSm = "12px";
export declare const btnPaddingHorizontalSm = "8px";
export declare const btnPaddingHorizontalBase = "12px";
export declare const btnPaddingHorizontalLg = "20px";
export declare const tagDefaultBg = "#eaebec";
export declare const tagDefaultColor = "#5a656d";
export declare const formItemTrailingColon = "false";
export declare const progressRemainingColor = "#f1f2f3";
export declare const progressDefaultColor = "#008cff";
export declare const animationDurationSlow = "0.3s";
export declare const animationDurationBase = "0.2s";
export declare const animationDurationFast = "0.1s";
export declare const breadcrumbLinkColor = "#5a656d";
export declare const breadcrumbLinkColorHover = "#333e47";
export declare const breadcrumbSeparatorColor = "#d6d8db";
export declare const labelColor = "#5a656d";
export declare const inputBorderColor = "#838b92";
export declare const inputPlaceholderColor = "#989ea4";
export declare const inputDisabledColor = "#d6d8db";
export declare const inputDisabledBg = "#ffffff";
export declare const inputReadonlyColor = "#5a656d";
export declare const inputReadonlyBgColor = "#f1f2f3";
export declare const inputReadonlyBorderColor = "#d6d8db";
export declare const passwordIconSize = "20px";
export declare const dropdownVerticalPadding = "8px";
export declare const dropdownHorizontalPadding = "16px";
export declare const selectBorderColor = "#838b92";
export declare const selectDropdownHorizontalPadding = "16px";
export declare const checkboxHoverShadow = "inset 0px 0px 0px 1px #0074d2";
export declare const sidebarV2HeaderHeight = "56px";
export declare const sidebarV2IndicatorWidth = "4px";
export declare const sidebarV2ZIndex = 10;
export declare const rootEntryName = "default";
export declare const specPrefix = "fluidx";
export declare const libPrefix = "cuix";
export declare const mediaResponsiveWidth = 768;
export declare const cdlMinContentWidth = 984;
/** @deprecated Use `cdlMinContentWidth` instead. */
export declare const fluidxMinContentWidth = 984;
export declare const cdlPink010 = "#ffedf9";
/** @deprecated Use `cdlPink010` instead. */
export declare const fluidxPink010 = "#ffedf9";
export declare const cdlBlue040 = "#edf7ff";
/** @deprecated Use `cdlBlue040` instead. */
export declare const fluidxBlue040 = "#edf7ff";
export declare const cdlYellow900 = "#403200";
/** @deprecated Use `cdlYellow900` instead. */
export declare const fluidxYellow900 = "#403200";
export declare const cdlYellow800 = "#6e5600";
/** @deprecated Use `cdlYellow800` instead. */
export declare const fluidxYellow800 = "#6e5600";
export declare const cdlYellow700 = "#9b7a00";
/** @deprecated Use `cdlYellow700` instead. */
export declare const fluidxYellow700 = "#9b7a00";
export declare const cdlYellow600 = "#c99e00";
/** @deprecated Use `cdlYellow600` instead. */
export declare const fluidxYellow600 = "#c99e00";
export declare const cdlYellow500 = "#f7c200";
/** @deprecated Use `cdlYellow500` instead. */
export declare const fluidxYellow500 = "#f7c200";
export declare const cdlYellow400 = "#f9cc28";
/** @deprecated Use `cdlYellow400` instead. */
export declare const fluidxYellow400 = "#f9cc28";
export declare const cdlYellow300 = "#fad650";
/** @deprecated Use `cdlYellow300` instead. */
export declare const fluidxYellow300 = "#fad650";
export declare const cdlYellow200 = "#fce079";
/** @deprecated Use `cdlYellow200` instead. */
export declare const fluidxYellow200 = "#fce079";
export declare const cdlYellow100 = "#fdeaa3";
/** @deprecated Use `cdlYellow100` instead. */
export declare const fluidxYellow100 = "#fdeaa3";
export declare const cdlYellow050 = "#fff4cd";
/** @deprecated Use `cdlYellow050` instead. */
export declare const fluidxYellow050 = "#fff4cd";
export declare const cdlBlueGray900 = "#0b1316";
/** @deprecated Use `cdlBlueGray900` instead. */
export declare const fluidxBlueGray900 = "#0b1316";
export declare const cdlBlueGray800 = "#132329";
/** @deprecated Use `cdlBlueGray800` instead. */
export declare const fluidxBlueGray800 = "#132329";
export declare const cdlBlueGray700 = "#19323c";
/** @deprecated Use `cdlBlueGray700` instead. */
export declare const fluidxBlueGray700 = "#19323c";
export declare const cdlBlueGray600 = "#224452";
/** @deprecated Use `cdlBlueGray600` instead. */
export declare const fluidxBlueGray600 = "#224452";
export declare const cdlBlueGray500 = "#305868";
/** @deprecated Use `cdlBlueGray500` instead. */
export declare const fluidxBlueGray500 = "#305868";
export declare const cdlBlueGray400 = "#517989";
/** @deprecated Use `cdlBlueGray400` instead. */
export declare const fluidxBlueGray400 = "#517989";
export declare const cdlBlueGray300 = "#789aa8";
/** @deprecated Use `cdlBlueGray300` instead. */
export declare const fluidxBlueGray300 = "#789aa8";
export declare const cdlBlueGray200 = "#a2bbc5";
/** @deprecated Use `cdlBlueGray200` instead. */
export declare const fluidxBlueGray200 = "#a2bbc5";
export declare const cdlBlueGray100 = "#cbdae0";
/** @deprecated Use `cdlBlueGray100` instead. */
export declare const fluidxBlueGray100 = "#cbdae0";
export declare const cdlBlueGray050 = "#f4f7f9";
/** @deprecated Use `cdlBlueGray050` instead. */
export declare const fluidxBlueGray050 = "#f4f7f9";
export declare const cdlSteel900 = "#0b1316";
/** @deprecated Use `cdlSteel900` instead. */
export declare const fluidxSteel900 = "#0b1316";
export declare const cdlSteel800 = "#132329";
/** @deprecated Use `cdlSteel800` instead. */
export declare const fluidxSteel800 = "#132329";
export declare const cdlSteel700 = "#19323c";
/** @deprecated Use `cdlSteel700` instead. */
export declare const fluidxSteel700 = "#19323c";
export declare const cdlSteel600 = "#224452";
/** @deprecated Use `cdlSteel600` instead. */
export declare const fluidxSteel600 = "#224452";
export declare const cdlSteel500 = "#305868";
/** @deprecated Use `cdlSteel500` instead. */
export declare const fluidxSteel500 = "#305868";
export declare const cdlSteel400 = "#517989";
/** @deprecated Use `cdlSteel400` instead. */
export declare const fluidxSteel400 = "#517989";
export declare const cdlSteel300 = "#789aa8";
/** @deprecated Use `cdlSteel300` instead. */
export declare const fluidxSteel300 = "#789aa8";
export declare const cdlSteel200 = "#a2bbc5";
/** @deprecated Use `cdlSteel200` instead. */
export declare const fluidxSteel200 = "#a2bbc5";
export declare const cdlSteel100 = "#cbdae0";
/** @deprecated Use `cdlSteel100` instead. */
export declare const fluidxSteel100 = "#cbdae0";
export declare const cdlSteel050 = "#f4f7f9";
/** @deprecated Use `cdlSteel050` instead. */
export declare const fluidxSteel050 = "#f4f7f9";
export declare const cdlTeal900 = "#001240";
/** @deprecated Use `cdlTeal900` instead. */
export declare const fluidxTeal900 = "#001240";
export declare const cdlTeal800 = "#092770";
/** @deprecated Use `cdlTeal800` instead. */
export declare const fluidxTeal800 = "#092770";
export declare const cdlTeal700 = "#1a419f";
/** @deprecated Use `cdlTeal700` instead. */
export declare const fluidxTeal700 = "#1a419f";
export declare const cdlTeal600 = "#325fcf";
/** @deprecated Use `cdlTeal600` instead. */
export declare const fluidxTeal600 = "#325fcf";
export declare const cdlTeal500 = "#5284ff";
/** @deprecated Use `cdlTeal500` instead. */
export declare const fluidxTeal500 = "#5284ff";
export declare const cdlTeal400 = "#719aff";
/** @deprecated Use `cdlTeal400` instead. */
export declare const fluidxTeal400 = "#719aff";
export declare const cdlTeal300 = "#90b0ff";
/** @deprecated Use `cdlTeal300` instead. */
export declare const fluidxTeal300 = "#90b0ff";
export declare const cdlTeal200 = "#afc6ff";
/** @deprecated Use `cdlTeal200` instead. */
export declare const fluidxTeal200 = "#afc6ff";
export declare const cdlTeal100 = "#cfddff";
/** @deprecated Use `cdlTeal100` instead. */
export declare const fluidxTeal100 = "#cfddff";
export declare const cdlTeal050 = "#eef3ff";
/** @deprecated Use `cdlTeal050` instead. */
export declare const fluidxTeal050 = "#eef3ff";
export declare const cdlLime900 = "#344000";
/** @deprecated Use `cdlLime900` instead. */
export declare const fluidxLime900 = "#344000";
export declare const cdlLime800 = "#526602";
/** @deprecated Use `cdlLime800` instead. */
export declare const fluidxLime800 = "#526602";
export declare const cdlLime700 = "#728b06";
/** @deprecated Use `cdlLime700` instead. */
export declare const fluidxLime700 = "#728b06";
export declare const cdlLime600 = "#91b10c";
/** @deprecated Use `cdlLime600` instead. */
export declare const fluidxLime600 = "#91b10c";
export declare const cdlLime500 = "#b4d620";
/** @deprecated Use `cdlLime500` instead. */
export declare const fluidxLime500 = "#b4d620";
export declare const cdlLime400 = "#c0de3c";
/** @deprecated Use `cdlLime400` instead. */
export declare const fluidxLime400 = "#c0de3c";
export declare const cdlLime300 = "#cce65a";
/** @deprecated Use `cdlLime300` instead. */
export declare const fluidxLime300 = "#cce65a";
export declare const cdlLime200 = "#d9ef7a";
/** @deprecated Use `cdlLime200` instead. */
export declare const fluidxLime200 = "#d9ef7a";
export declare const cdlLime100 = "#e6f79c";
/** @deprecated Use `cdlLime100` instead. */
export declare const fluidxLime100 = "#e6f79c";
export declare const cdlLime050 = "#f4ffc0";
/** @deprecated Use `cdlLime050` instead. */
export declare const fluidxLime050 = "#f4ffc0";
export declare const cdlLime010 = "#f4ffc0";
/** @deprecated Use `cdlLime010` instead. */
export declare const fluidxLime010 = "#f4ffc0";
export declare const cdlMint900 = "#003a2d";
/** @deprecated Use `cdlMint900` instead. */
export declare const fluidxMint900 = "#003a2d";
export declare const cdlMint800 = "#006550";
/** @deprecated Use `cdlMint800` instead. */
export declare const fluidxMint800 = "#006550";
export declare const cdlMint700 = "#009071";
/** @deprecated Use `cdlMint700` instead. */
export declare const fluidxMint700 = "#009071";
export declare const cdlMint600 = "#00bb93";
/** @deprecated Use `cdlMint600` instead. */
export declare const fluidxMint600 = "#00bb93";
export declare const cdlMint500 = "#00e6b5";
/** @deprecated Use `cdlMint500` instead. */
export declare const fluidxMint500 = "#00e6b5";
export declare const cdlMint400 = "#29f0c6";
/** @deprecated Use `cdlMint400` instead. */
export declare const fluidxMint400 = "#29f0c6";
export declare const cdlMint300 = "#55f8d5";
/** @deprecated Use `cdlMint300` instead. */
export declare const fluidxMint300 = "#55f8d5";
export declare const cdlMint200 = "#80fae0";
/** @deprecated Use `cdlMint200` instead. */
export declare const fluidxMint200 = "#80fae0";
export declare const cdlMint100 = "#acfbea";
/** @deprecated Use `cdlMint100` instead. */
export declare const fluidxMint100 = "#acfbea";
export declare const cdlMint050 = "#d8fdf5";
/** @deprecated Use `cdlMint050` instead. */
export declare const fluidxMint050 = "#d8fdf5";
export declare const cdlSlate = "#305868";
/** @deprecated Use `cdlSlate` instead. */
export declare const fluidxSlate = "#305868";
export declare const cdlBlue = "#008cff";
/** @deprecated Use `cdlBlue` instead. */
export declare const fluidxBlue = "#008cff";
export declare const cdlGray = "#989ea4";
/** @deprecated Use `cdlGray` instead. */
export declare const fluidxGray = "#989ea4";
export declare const cdlGreen = "#4ccf4c";
/** @deprecated Use `cdlGreen` instead. */
export declare const fluidxGreen = "#4ccf4c";
export declare const cdlOrange = "#f96702";
/** @deprecated Use `cdlOrange` instead. */
export declare const fluidxOrange = "#f96702";
export declare const cdlRed = "#fe3f3f";
/** @deprecated Use `cdlRed` instead. */
export declare const fluidxRed = "#fe3f3f";
export declare const cdlYellow = "#f7c200";
/** @deprecated Use `cdlYellow` instead. */
export declare const fluidxYellow = "#f7c200";
export declare const cdlPurple = "#c354ff";
/** @deprecated Use `cdlPurple` instead. */
export declare const fluidxPurple = "#c354ff";
export declare const cdlMintish = "#1fcfb8";
/** @deprecated Use `cdlMintish` instead. */
export declare const fluidxMintish = "#1fcfb8";
export declare const cdlOozieBlue = "#0050a2";
/** @deprecated Use `cdlOozieBlue` instead. */
export declare const fluidxOozieBlue = "#0050a2";
export declare const cdlOozieYellow = "#fff300";
/** @deprecated Use `cdlOozieYellow` instead. */
export declare const fluidxOozieYellow = "#fff300";
export declare const cdlHiveColor = "#9b7a00";
/** @deprecated Use `cdlHiveColor` instead. */
export declare const fluidxHiveColor = "#9b7a00";
export declare const cdlHdfsColor = "#325fcf";
/** @deprecated Use `cdlHdfsColor` instead. */
export declare const fluidxHdfsColor = "#325fcf";
export declare const cdlHbaseColor = "#cd2b96";
/** @deprecated Use `cdlHbaseColor` instead. */
export declare const fluidxHbaseColor = "#cd2b96";
export declare const cdlHueColor = "#d992ff";
/** @deprecated Use `cdlHueColor` instead. */
export declare const fluidxHueColor = "#d992ff";
export declare const cdlMapreduceColor = "#517989";
/** @deprecated Use `cdlMapreduceColor` instead. */
export declare const fluidxMapreduceColor = "#517989";
export declare const cdlZookeeperColor = "#91b10c";
/** @deprecated Use `cdlZookeeperColor` instead. */
export declare const fluidxZookeeperColor = "#91b10c";
export declare const cdlOozieColor = "#008cff";
/** @deprecated Use `cdlOozieColor` instead. */
export declare const fluidxOozieColor = "#008cff";
export declare const cdlFlumeColor = "#ca4f01";
/** @deprecated Use `cdlFlumeColor` instead. */
export declare const fluidxFlumeColor = "#ca4f01";
export declare const cdlImpalaColor = "#0074d2";
/** @deprecated Use `cdlImpalaColor` instead. */
export declare const fluidxImpalaColor = "#0074d2";
export declare const cdlSqoopColor = "#2fae2f";
/** @deprecated Use `cdlSqoopColor` instead. */
export declare const fluidxSqoopColor = "#2fae2f";
export declare const cdlSolrColor = "#cd2b96";
/** @deprecated Use `cdlSolrColor` instead. */
export declare const fluidxSolrColor = "#cd2b96";
export declare const cdlSparkColor = "#ca4f01";
/** @deprecated Use `cdlSparkColor` instead. */
export declare const fluidxSparkColor = "#ca4f01";
export declare const cdlPigColor = "#9933cf";
/** @deprecated Use `cdlPigColor` instead. */
export declare const fluidxPigColor = "#9933cf";
export declare const cdlYarnColor = "#c99e00";
/** @deprecated Use `cdlYarnColor` instead. */
export declare const fluidxYarnColor = "#c99e00";
export declare const cdlS3Color = "#f96702";
/** @deprecated Use `cdlS3Color` instead. */
export declare const fluidxS3Color = "#f96702";
export declare const cdlApiColor = "#5a656d";
/** @deprecated Use `cdlApiColor` instead. */
export declare const fluidxApiColor = "#5a656d";
export declare const cuixDefault0 = "#f4f5f6";
export declare const cuixDefault1 = "#f1f2f3";
export declare const cuixDefault2 = "#eaebec";
export declare const cuixDefault3 = "#d6d8db";
export declare const cuixDefault4 = "#adb2b6";
export declare const cuixDefault5 = "#989ea4";
export declare const cuixDefault6 = "#838b92";
export declare const cuixDefault7 = "#5a656d";
export declare const cuixDefault8 = "#333e47";
export declare const cuixDefault9 = "#1b2329";
export declare const cuixPrimary0 = "#edf7ff";
export declare const cuixPrimary1 = "#bee2ff";
export declare const cuixPrimary2 = "#90ceff";
export declare const cuixPrimary3 = "#61bbff";
export declare const cuixPrimary4 = "#31a2ff";
export declare const cuixPrimary5 = "#008cff";
export declare const cuixPrimary6 = "#0074d2";
export declare const cuixPrimary7 = "#005ba6";
export declare const cuixPrimary8 = "#004379";
export declare const cuixPrimary9 = "#002b4d";
export declare const cuixWarning0 = "#fff3e5";
export declare const cuixWarning1 = "#ffd9ac";
export declare const cuixWarning2 = "#ffbe73";
export declare const cuixWarning3 = "#ffa139";
export declare const cuixWarning4 = "#ff8400";
export declare const cuixWarning5 = "#f96702";
export declare const cuixWarning6 = "#ca4f01";
export declare const cuixWarning7 = "#9b3801";
export declare const cuixWarning8 = "#6c2500";
export declare const cuixWarning9 = "#3d1300";
export declare const cuixError0 = "#ffecec";
export declare const cuixError1 = "#ffc9c9";
export declare const cuixError2 = "#fea7a7";
export declare const cuixError3 = "#fe8484";
export declare const cuixError4 = "#fe6161";
export declare const cuixError5 = "#fe3f3f";
export declare const cuixError6 = "#ce2626";
export declare const cuixError7 = "#9e1414";
export declare const cuixError8 = "#6e0707";
export declare const cuixError9 = "#3d0000";
