import { WrappedFormUtils, ValidationRule } from '@ant-design/compatible/lib/form/Form';
import { RefObject } from 'react';
import { Action } from 'redux';
import { ModalState } from '../reducers/modalReducer';
import { PreferenceState } from '../reducers/preferenceReducer';
import { ConfirmationState } from '../reducers/confirmationReducer';
import { NotificationState } from '../reducers/notificationReducer';
import { RouterState } from '../reducers/routerReducer';
import { ApiBusState } from '../reducers/apiBusReducer';
import type { ColProps } from 'antd/es/col';
import { GetStartedState } from "cuix/dist/reducers/getStartedReducer";
import { SimpleMap } from './types';
export interface FormConfig {
    form: WrappedFormUtils;
    getInitialValues: () => SimpleMap;
    validationRules: SimpleMap<ValidationRule | ValidationRule[]>;
    getFieldCurrentValue(fieldName: string): any;
    defaultLayout?: {
        wrapperCol?: ColProps;
        labelCol?: ColProps;
    } | false;
    popupContainerRef?: RefObject<any>;
}
/** Type of the root redux state */
export interface RootState {
    getStarted: GetStartedState;
    preferences: PreferenceState;
    auth: any;
    confirmation: ConfirmationState;
    notification: NotificationState;
    modal: ModalState;
    routing: RouterState;
    apiBus: ApiBusState;
}
/**
 * Type guard for redux actions.
 */
export declare function isActionOfType<T extends Action>(action: Action, type: string): action is T;
