// Copyright (c) 2017 Cloudera, Inc. All rights reserved.
var ALTUS_REQUEST_ID_HEADER = 'x-altus-request-id';
var CDP_REQUEST_ID_HEADER = 'x-cdp-request-id';
var ApiResponse = /** @class */ (function () {
    function ApiResponse(response) {
        this.requestId =
            response.headers &&
                (response.headers.get(CDP_REQUEST_ID_HEADER) ||
                    response.headers.get(ALTUS_REQUEST_ID_HEADER));
        this.status = response.status;
        this.statusText = response.statusText;
        this.responseText = response.responseText;
        this.obj = response.obj;
        this.unauthorized = response.status === 401;
        this.notfound = response.status === 404;
        this.forbidden = response.status === 403;
    }
    ApiResponse.prototype.log = function (apiPath) {
        console.log("Path: ".concat(apiPath, " -- Status Code: ").concat(this.status, " -- Request ID: ").concat(this.requestId));
    };
    return ApiResponse;
}());
export default ApiResponse;
