var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
// Copyright (c) 2017 Cloudera, Inc. All rights reserved.
import get from 'lodash/get';
import ApiResponse from './ApiResponse';
import i18n from './i18n';
var ErrorResponse = /** @class */ (function (_super) {
    __extends(ErrorResponse, _super);
    /**
     * @param {Response} response window.fetch response object, if any.
     * @param {Error} error thrown while making a request, if any.
     */
    function ErrorResponse(response, error) {
        var _this = _super.call(this, get(response, 'obj.message') ||
            get(response, 'statusText') ||
            get(error, 'message', i18n.t('auth.error.unknown'))) || this;
        if (error instanceof Error) {
            _this.stack = error.stack;
        }
        if (response) {
            _this.response = new ApiResponse(response);
        }
        return _this;
    }
    return ErrorResponse;
}(Error));
export default ErrorResponse;
