var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (_) try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [op[0] & 2, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
var __read = (this && this.__read) || function (o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m) return o;
    var i = m.call(o), r, ar = [], e;
    try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
    }
    catch (error) { e = { error: error }; }
    finally {
        try {
            if (r && !r.done && (m = i["return"])) m.call(i);
        }
        finally { if (e) throw e.error; }
    }
    return ar;
};
// Copyright (c) 2022 Cloudera, Inc. All rights reserved.
import appConfig from "cdp-js/dist/lib/appConfig";
import { cuixInitAnalytics, hasRunCuixInitAnalytics } from './cuixInitAnalytics';
import { FS_CDP_PROD_ORG_ID, FS_CDP_STAGE_ORG_ID } from './fullstoryOrgIds';
var fullStoryEntitlementName = 'FULLSTORY_ANALYTICS';
var handleAutoPromise = function (valueOrPromiseOrAuto, autoHandler) {
    var promiseValue = valueOrPromiseOrAuto === null
        ? null
        : Promise.resolve(valueOrPromiseOrAuto).then(function (valueOrAuto) {
            if (valueOrAuto === 'auto') {
                return autoHandler();
            }
            return valueOrAuto;
        });
    return promiseValue;
};
/**
 * **NOTE**: This method might not be settled yet.
 *
 * Analytics setup for CDP projects (tested with Public Control Plane).
 *
 * By default it will "self-configure", but can be overridden. If this is not suitable for
 * your project, consider using the underlying `cuixInitAnalytics` directly. If you think
 * it's a common use-case then reach out to the `cuix` team to see if we can handle it better
 * here.
 *
 * By default this will fetch user/entitlements when run.
 *
 * See description of `cuixInitAnalytics` as well.
 */
export var cdpInitAnalytics = function (_a) {
    var _b = _a.user, userOrPromiseOrAuto = _b === void 0 ? 'auto' : _b, _c = _a.fullStory, fullStoryOrPromiseOrAuto = _c === void 0 ? 'auto' : _c, _d = _a.entitlements, entitlementsOrPromiseOrAuto = _d === void 0 ? 'auto' : _d, _e = _a.isLocalDev, isLocalDevOrAuto = _e === void 0 ? 'auto' : _e, delay = _a.delay;
    if (hasRunCuixInitAnalytics()) {
        return false;
    }
    try {
        var isLocalDev_1 = isLocalDevOrAuto === 'auto' ? appConfig.isLocal() : isLocalDevOrAuto;
        var user = handleAutoPromise(userOrPromiseOrAuto, function () { return __awaiter(void 0, void 0, void 0, function () {
            var dataFetch, userResp;
            return __generator(this, function (_a) {
                switch (_a.label) {
                    case 0: return [4 /*yield*/, import('./dataFetchOptimization')];
                    case 1:
                        dataFetch = _a.sent();
                        return [4 /*yield*/, dataFetch.getUserOnce()];
                    case 2:
                        userResp = _a.sent();
                        return [2 /*return*/, {
                                crn: userResp.obj.user.crn
                            }];
                }
            });
        }); });
        var entitlements = handleAutoPromise(entitlementsOrPromiseOrAuto, function () {
            return import('./dataFetchOptimization').then(function (dataFetch) { return dataFetch.listEntitlementsOnce(); });
        });
        var isEntitledToFullStory = Promise.resolve(entitlements).then(function (entitlements) {
            return !!(entitlements === null || entitlements === void 0 ? void 0 : entitlements.find(function (entitlement) { return entitlement.entitlementName === fullStoryEntitlementName; }));
        });
        var fullStoryConfig = handleAutoPromise(fullStoryOrPromiseOrAuto, function () {
            return {
                orgId: appConfig.isProd() && !isLocalDev_1 ? FS_CDP_PROD_ORG_ID : FS_CDP_STAGE_ORG_ID
            };
        });
        var fullStory = Promise.all([fullStoryConfig, isEntitledToFullStory, user]).then(function (_a) {
            var _b = __read(_a, 2), fullStoryConfig = _b[0], isEntitledToFullStory = _b[1];
            if (!isEntitledToFullStory || appConfig.isGovCloud()) {
                return null;
            }
            return fullStoryConfig;
        });
        return cuixInitAnalytics({
            user: user,
            fullStory: fullStory,
            isLocalDev: isLocalDev_1,
            delay: delay
        });
    }
    catch (err) {
        return false;
    }
};
