// Copyright (c) 2022 Cloudera, Inc. All rights reserved.
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (_) try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [op[0] & 2, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
export var hasRunCuixInitAnalytics = function () { return !!window._cuix_init_analytics; };
/**
 * **NOTE**: This method might not be settled yet.
 *
 * Low-level setup for cuix analytics that tries to be generic enough to be used
 * outside of CDP.
 * For CDP projects, use `cdpInitAnalytics` instead.
 *
 * Certain argument supports promises so that the function can be called early, before
 * certain things are known (e.g. user crn).
 */
export var cuixInitAnalytics = function (_a) {
    var userOrPromise = _a.user, fullStoryOrPromise = _a.fullStory, isLocalDev = _a.isLocalDev, _b = _a.delay, delay = _b === void 0 ? 100 : _b;
    return __awaiter(void 0, void 0, void 0, function () {
        var fullStory, fs, user, err_1;
        return __generator(this, function (_c) {
            switch (_c.label) {
                case 0:
                    if (hasRunCuixInitAnalytics()) {
                        return [2 /*return*/, false];
                    }
                    window._cuix_init_analytics = true;
                    _c.label = 1;
                case 1:
                    _c.trys.push([1, 6, , 7]);
                    return [4 /*yield*/, fullStoryOrPromise];
                case 2:
                    fullStory = _c.sent();
                    if (!fullStory || isLocalDev) {
                        return [2 /*return*/, false];
                    }
                    return [4 /*yield*/, import('@fullstory/browser')];
                case 3:
                    fs = _c.sent();
                    // Adding small delay so less likely to compete with more critical resources
                    return [4 /*yield*/, new Promise(function (resolve) { return setTimeout(resolve, delay); })];
                case 4:
                    // Adding small delay so less likely to compete with more critical resources
                    _c.sent();
                    fs.init({ orgId: fullStory.orgId });
                    return [4 /*yield*/, userOrPromise];
                case 5:
                    user = _c.sent();
                    if (user) {
                        fs.identify(user.crn, user.userData);
                    }
                    return [3 /*break*/, 7];
                case 6:
                    err_1 = _c.sent();
                    console.error(err_1);
                    return [2 /*return*/, false];
                case 7: return [2 /*return*/, true];
            }
        });
    });
};
