import React from 'react';
declare type OnComplete = (verified: boolean) => any;
/**
 * Confirmation modal that is used to confirm dangerous operations.
 *
 * Perhaps you want to confirm before deleting an important resource.
 *
 * If you are using apiBus directly, also look at the `submitConfirmedRequest`
 * which can do this for you at least for basic cases.
 *
 * This component is very simple, but will help
 * consistency and future potential changes to be more easily applied.
 */
declare const apiDangerConfirm: (content: React.ReactNode, onComplete: OnComplete, options?: {
    title?: string;
}) => void;
export default apiDangerConfirm;
