var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import { Modal } from 'antd';
import i18n from "cuix/dist/utils/i18n";
/**
 * Confirmation modal that is used to confirm dangerous operations.
 *
 * Perhaps you want to confirm before deleting an important resource.
 *
 * If you are using apiBus directly, also look at the `submitConfirmedRequest`
 * which can do this for you at least for basic cases.
 *
 * This component is very simple, but will help
 * consistency and future potential changes to be more easily applied.
 */
var apiDangerConfirm = function (content, onComplete, options) {
    if (options === void 0) { options = {}; }
    var opts = __assign({ title: i18n.t('label.confirm') }, options);
    Modal.confirm({
        title: opts.title,
        okButtonProps: { danger: true },
        content: content,
        onCancel: function () { return onComplete(false); },
        onOk: function () { return onComplete(true); }
    });
};
export default apiDangerConfirm;
