// Copyright (c) 2020 Cloudera, Inc. All rights reserved.
import React from 'react';
import { notification } from 'antd';
import i18n from "cuix/dist/utils/i18n";
/**
 * Notification that shows an API error.
 * Particularly useful for user-initiated actions where there is minimal UI and/or
 * little reason to bake the error display into the page itself (e.g. clicking a button)
 */
var apiErrorNotification = function (error) {
    var msg = (React.createElement(React.Fragment, null,
        error.message,
        error.requestId && (React.createElement(React.Fragment, null,
            React.createElement("br", null),
            React.createElement("small", null,
                i18n.t('label.requestID'),
                ": ",
                error.requestId)))));
    notification.error({
        message: error.title,
        description: msg
    });
};
export default apiErrorNotification;
