import React from 'react';
/**
 * Notification that show a successfull action (typically based on API call).
 *
 * This is useful to show the user after a successfull create/update/delete
 * action.
 *
 * If you are using apiBus directly, also look at the `notify` param which can
 * do this for you at least for basic cases.
 *
 * This component is very simple (it just adds a default message), but will help
 * consistency and future potential changes to be more easily applied.
 *
 * Currently the format commonly used is:

 * - `{type} <strong>{item name}</strong> has been updated.`
 * - `{type} <strong>{item name}</strong> has been deleted.`
 * - `{type} <strong>{item name}</strong> has been created.` (perhaps with <a> as well)
 * - `User <strong>Arne</strong> has been deleted.`
 */
declare const apiSuccessNotification: (msg: React.ReactNode) => void;
export default apiSuccessNotification;
