export interface Rectangle {
    x: number;
    y: number;
    width: number;
    height: number;
}
/**
 * Convenience method to create a rectangle object.
 */
export declare const getRect: (x: number, y: number, width: number, height: number) => {
    x: number;
    y: number;
    width: number;
    height: number;
};
/**
 * Get intersection between two rectangles. If they don't intersect (no overlap)
 * then returns null;
 */
export declare const getRectIntersection: (rect1: Rectangle, rect2: Rectangle) => null | Rectangle;
/**
 * Convert a Rectangle to css style (top, left, height, width).
 */
export declare const rectToCssStyle: (rect: Rectangle) => {
    left: number;
    top: number;
    height: number;
    width: number;
};
