/**
 * Generate unique DOM ids.
 */
export declare const getUniqueDomId: (prefix?: string) => string;
/**
 * Generate unique DOM ids as hook.
 * This is for example useful inside an svg where certain features like clip-path
 * are often done with <defs> utilizing DOM ids.
 *
 * Sample usage:
 *
 * ```js
 * const myId = useUniqueDomId('my-clip-mask');
 * ```
 *
 */
export declare const useUniqueDomId: (prefix?: string) => string;
