/// <reference types="react" />
import PropTypes from 'prop-types';
import { FormConfig } from "cuix/dist/types/react-types";
import { FormComponentProps, WrappedFormUtils, ValidationRule } from '@ant-design/compatible/lib/form/Form';
import type { FormLayout } from 'antd/es/form/Form';
export * from './formUtilsModern';
/**
 * @deprecated Legacy form util
 */
export declare const FORM_LAYOUT: {
    labelCol: {
        sm: {
            span: number;
        };
        md: {
            span: number;
        };
        lg: {
            span: number;
        };
    };
    wrapperCol: {
        sm: {
            span: number;
        };
        md: {
            span: number;
        };
        lg: {
            span: number;
        };
    };
};
/**
 * @deprecated Legacy form util
 */
export declare const WIZARD_FORM_LAYOUT: {
    labelCol: {
        sm: {
            span: number;
        };
        md: {
            span: number;
        };
        lg: {
            span: number;
        };
    };
    wrapperCol: {
        sm: {
            span: number;
        };
        md: {
            span: number;
        };
        lg: {
            span: number;
        };
    };
};
/**
 * @deprecated Legacy form util
 */
export declare const MODAL_FORM_LAYOUT: {
    labelCol: {
        xs: {
            span: number;
        };
        sm: {
            span: number;
        };
    };
    wrapperCol: {
        xs: {
            span: number;
        };
        sm: {
            span: number;
        };
    };
};
/**
 * @deprecated Legacy form util
 */
export declare const POPOVER_FORM_LAYOUT: {
    labelCol: {
        span: number;
    };
    wrapperCol: {
        span: number;
    };
};
/**
 * @deprecated Legacy form util
 */
export declare const onCancelConfirm: (event: React.MouseEvent, onCancel: (event: React.MouseEvent) => void) => boolean;
/**
 * Generates the formConfig object that is used by form containers to pass info to each form field.
 * @param {any} formConfig
 * @deprecated Legacy form util
 */
export declare const getFormConfig: ({ form, getInitialValues, getValidationRules, defaultLayout, popupContainerRef }: {
    form: WrappedFormUtils;
    getInitialValues: FormConfig['getInitialValues'];
    getValidationRules?: ((form: WrappedFormUtils) => FormConfig['validationRules']) | undefined;
    defaultLayout?: FormConfig['defaultLayout'];
    popupContainerRef?: FormConfig['popupContainerRef'];
}) => {
    form: WrappedFormUtils<any>;
    getInitialValues: () => import("../types/types").SimpleMap<any>;
    validationRules: import("../types/types").SimpleMap<ValidationRule | ValidationRule[]>;
    defaultLayout: false | {
        wrapperCol?: import("antd/es/grid").ColProps | undefined;
        labelCol?: import("antd/es/grid").ColProps | undefined;
    };
    popupContainerRef: import("react").RefObject<any> | undefined;
    getFieldCurrentValue: (fieldName: string) => any;
};
export declare const FormConfigPropType: PropTypes.Requireable<PropTypes.InferProps<{
    form: PropTypes.Validator<object>;
    getInitialValues: PropTypes.Validator<(...args: any[]) => any>;
    validationRules: PropTypes.Validator<object>;
    defaultLayout: PropTypes.Requireable<NonNullable<boolean | object | null | undefined>>;
    popupContainerRef: PropTypes.Requireable<object>;
    getFieldCurrentValue: PropTypes.Validator<(...args: any[]) => any>;
}>>;
/** Type T describes object created by form. It usually corresponds to some API schema
 * @deprecated Legacy form util
 */
export interface CommonFormProps<T> extends FormComponentProps<T> {
    /**
     * formName is used in Google Analytics only to track events like cancel, submit, next, prev
     * and validate
     * */
    formName?: string;
    /** Render prop for rendering the form elements. */
    renderForm: (formConfig: FormConfig) => any;
    /** A function that returns the validation rules for the form. */
    getValidationRules?: (form: WrappedFormUtils<T>) => {
        [K in keyof T]: ValidationRule | ValidationRule[];
    };
    /** A function that gets called with the form values when user clicks Submit. */
    onSubmit: (values: T) => void;
    /** A function that gets called when user clicks Cancel. */
    /** Object containing the initial values for the form. */
    initialValues?: any;
    /** Label for the submit button. */
    submitText?: string;
    /** Label for the cancel button. */
    cancelText?: string;
    /** Whether the form is in submitting state. */
    submitting?: boolean;
    /** Additional class name to add to the container. */
    className?: string;
    /** Layout for the form. Defaults to true */
    layout?: FormLayout;
}
