// Copyright (c) 2018 Cloudera, Inc. All rights reserved.
import PropTypes from 'prop-types';
import get from 'lodash/get';
import i18n from './i18n';
export * from './formUtilsModern';
/**
 * @deprecated Legacy form util
 */
export var FORM_LAYOUT = {
    labelCol: {
        sm: { span: 24 },
        md: { span: 8 },
        lg: { span: 6 }
    },
    wrapperCol: {
        sm: { span: 24 },
        md: { span: 16 },
        lg: { span: 12 }
    }
};
/**
 * @deprecated Legacy form util
 */
export var WIZARD_FORM_LAYOUT = {
    labelCol: {
        sm: { span: 24 },
        md: { span: 8 },
        lg: { span: 8 }
    },
    wrapperCol: {
        sm: { span: 24 },
        md: { span: 12 },
        lg: { span: 12 }
    }
};
/**
 * @deprecated Legacy form util
 */
export var MODAL_FORM_LAYOUT = {
    labelCol: {
        xs: { span: 24 },
        sm: { span: 8 }
    },
    wrapperCol: {
        xs: { span: 24 },
        sm: { span: 16 }
    }
};
/**
 * @deprecated Legacy form util
 */
export var POPOVER_FORM_LAYOUT = {
    labelCol: {
        span: 8
    },
    wrapperCol: {
        span: 16
    }
};
/**
 * @deprecated Legacy form util
 */
export var onCancelConfirm = function (event, onCancel) {
    var confirmed = confirm(i18n.t('message.unsavedChanges'));
    if (confirmed) {
        if (typeof onCancel === 'function') {
            onCancel(event);
        }
        return confirmed;
    }
    event.preventDefault();
    return confirmed;
};
/**
 * Returns the current value of a field. If the field is touched by the user we return the value
 * from the form's store. If not, we return the initial value. This allows us to always have
 * access to the current value of a field whether the field is created in the store or updated by
 * the user.
 * @deprecated Legacy form util
 */
var getFieldCurrentValue = function (form, getInitialValues, fieldName) {
    if (form.isFieldTouched(fieldName)) {
        return form.getFieldValue(fieldName);
    }
    return get(getInitialValues(), fieldName);
};
/**
 * Generates the formConfig object that is used by form containers to pass info to each form field.
 * @param {any} formConfig
 * @deprecated Legacy form util
 */
export var getFormConfig = function (_a) {
    var form = _a.form, getInitialValues = _a.getInitialValues, getValidationRules = _a.getValidationRules, _b = _a.defaultLayout, defaultLayout = _b === void 0 ? FORM_LAYOUT : _b, popupContainerRef = _a.popupContainerRef;
    return ({
        form: form,
        getInitialValues: getInitialValues,
        validationRules: (getValidationRules && getValidationRules(form)) || {},
        defaultLayout: defaultLayout,
        popupContainerRef: popupContainerRef,
        getFieldCurrentValue: function (fieldName) {
            return getFieldCurrentValue(form, getInitialValues, fieldName);
        }
    });
};
export var FormConfigPropType = PropTypes.shape({
    form: PropTypes.object.isRequired,
    getInitialValues: PropTypes.func.isRequired,
    validationRules: PropTypes.object.isRequired,
    defaultLayout: PropTypes.oneOfType([PropTypes.object, PropTypes.bool]),
    popupContainerRef: PropTypes.object,
    getFieldCurrentValue: PropTypes.func.isRequired
});
