import { Moment } from 'moment-timezone';
export declare const DATETIME_FORMAT = "YYYY-MM-DDTHH:mm:ss.SSSZ";
/**
 * Transforms a date object to a common format.
 * @param {Date|moment} date The date to format.
 * @param {string} timezone A timezone for the formatted date. Defaults to use moment to guess our timezone.
 * @param {string} format The expected output value.
 * @return {string}
 */
export declare function formatDateTime(date: Date | Moment, timezone?: string, format?: string): string;
export declare const formatLongString: (str: string, maxLength?: number) => string;
export declare const formatDuration: (value?: number) => string;
export declare const formatNumber: (value?: number) => string | 0 | undefined;
export declare const formatMemory: (value?: number) => string;
export declare const formatByteSeconds: (value?: number) => string | 0 | undefined;
export declare const formatPercent: (value?: number, precision?: number) => string;
