import { ApiError } from "cuix/dist/types/types";
export declare const API_ERROR_CODES: {
    readonly UNKNOWN: string;
    readonly INVALID_ARGUMENT: string;
    readonly REQUEST_NOT_IN_ACCEPTANCE_WINDOW: string;
    readonly AUTHENTICATION_FAILURE: string;
    readonly MALFORMED_REQUEST: string;
    readonly NOT_FOUND: string;
    readonly ALREADY_EXISTS: string;
    readonly THROTTLED: string;
    readonly RESOURCE_EXHAUSTED: string;
    readonly INVALID_DIRECTOR_STATE: string;
    readonly PERMISSION_DENIED: string;
    readonly COMMUNICATION_ERROR: string;
    readonly GATEWAY_TIMEOUT: string;
    readonly TERMS_ACCEPTANCE_EXPIRED: string;
    readonly CDPONE_TRIAL_INACTIVE: string;
} & {
    readonly [key: string]: undefined;
} & {
    readonly [key: number]: undefined;
};
/**
 * Returns the title and message for the given failed response.
 * @param {object} response The api response.
 */
export default function getErrorInfo(response: any): {
    code: string;
    title: string;
    message: string;
};
export declare function getErrorObj(error: any): ApiError;
