// Copyright (c) 2022 Cloudera, Inc. All rights reserved.
import { encodeSearchQuery } from "cuix/dist/utils/searchQuery";
/**
 * Constructs a THUNDERHEAD url with the given params.
 * @param  {string} service  Name of the service (E.g., iam)
 * @param  {string} page     Name of the page (E.g., index.html)
 * @param  {string} section  Name of the section for this url (E.g, users)
 * @param  {object} params   Url hash parameters
 */
var getUrl = function (service, page, section, params) {
    section = section || '';
    var url = ['', service, page].join('/') + '#/';
    if (section || params) {
        url += section;
        if (params) {
            url += encodeSearchQuery(params);
        }
    }
    return url.replace(/\/[/]+/g, '/');
};
export var getComputeUrl = function (section, params) {
    return getUrl('compute', '', section, params);
};
export default getUrl;
