// Copyright (c) 2019 Cloudera, Inc. All rights reserved.
var _a;
import { encodeSearchQuery } from "cuix/dist/utils/searchQuery";
import appConfig from "cdp-js/dist/lib/appConfig";
export var Service;
(function (Service) {
    Service["IAM"] = "IAM";
    Service["WXM"] = "WXM";
    Service["ENVIRONMENTS"] = "ENVIRONMENTS";
    Service["SDX"] = "SDX";
    Service["ML"] = "ML";
    Service["DATA_HUB"] = "DATA_HUB";
    Service["CLASSIC_CLUSTERS"] = "CLASSIC_CLUSTERS";
    Service["DATA_CATALOG"] = "DATA_CATALOG";
    Service["DWX"] = "DWX";
    Service["DMX"] = "REPLICATION_MANAGER";
    Service["OPDB"] = "OPDB";
})(Service || (Service = {}));
export var SERVICE_BASE_PATH_MAP = (_a = {},
    _a[Service.IAM] = '/iam/index.html',
    _a[Service.WXM] = "/".concat(appConfig.getWxmPathPrefix(), "/index.html"),
    _a[Service.ENVIRONMENTS] = appConfig.isPrivateCloud() ? '/environments' : '/cloud/environments',
    _a[Service.SDX] = '/cloud/datalakes',
    _a[Service.ML] = '/ml',
    _a[Service.DATA_HUB] = '/cloud/workloads',
    _a[Service.CLASSIC_CLUSTERS] = '/classic-clusters',
    _a[Service.DATA_CATALOG] = '/dss',
    _a[Service.DWX] = '/dwx',
    _a[Service.DMX] = '/dmx',
    _a[Service.OPDB] = '/opdb/index.html',
    _a);
var THUNDERHEAD_SERVICES = [Service.IAM, Service.WXM];
var getPath = function (path) {
    var paths = Array.isArray(path) ? path : [path];
    var pathStr = paths.map(function (p) { return encodeURIComponent(p); }).join('/');
    return pathStr ? "/".concat(pathStr) : '';
};
var getBaseUrlForService = function (service) {
    if (THUNDERHEAD_SERVICES.includes(service)) {
        return appConfig.getAltusBaseUrl();
    }
    else {
        return appConfig.getMowBaseUrl();
    }
};
export var getLink = function (service, path, queryParams, hashPath, hashQueryParams, excludeBaseUrl) {
    if (path === void 0) { path = []; }
    if (queryParams === void 0) { queryParams = {}; }
    if (hashPath === void 0) { hashPath = []; }
    if (hashQueryParams === void 0) { hashQueryParams = {}; }
    if (excludeBaseUrl === void 0) { excludeBaseUrl = false; }
    var baseUrl = excludeBaseUrl ? '' : getBaseUrlForService(service);
    var basePath = SERVICE_BASE_PATH_MAP[service];
    if (!basePath) {
        throw new Error("Service ".concat(service, " is not defined."));
    }
    var pathStr = getPath(path);
    var queryParamsStr = encodeSearchQuery(queryParams);
    var hashStr = getPath(hashPath) + encodeSearchQuery(hashQueryParams);
    // Special case empty string for hashPath as #/ in order to generate urls to home pages correctly.
    var fullHashStr = hashStr ? "#".concat(hashStr) : hashPath === '' ? '#/' : '';
    return "".concat(baseUrl).concat(basePath).concat(pathStr).concat(queryParamsStr).concat(fullHashStr);
};
