/**
 * Parses byte strings such as "10MB" / "10MiB" / "23.2 GB" into bytes.
 * Supports binary units (e.g. KiB, MiB, GiB etc.)
 * and decimal units (e.g. KB, MB, GB, etc.).
 * Read up on "Binary Prefix" on Wikipedia if you want to understand the difference.
 * Return null if it can't understand/parse the byte string.
 */
declare const parseBytes: (bytesText: string) => number | null;
export default parseBytes;
