// Copyright (c) 2020 Cloudera, Inc. All rights reserved.
import parseCount from './parseCount';
var bytesRe = /^(-?)\s*([\d.]+)\s*([A-Za-z]*)$/;
/**
 * Parses byte strings such as "10MB" / "10MiB" / "23.2 GB" into bytes.
 * Supports binary units (e.g. KiB, MiB, GiB etc.)
 * and decimal units (e.g. KB, MB, GB, etc.).
 * Read up on "Binary Prefix" on Wikipedia if you want to understand the difference.
 * Return null if it can't understand/parse the byte string.
 */
var parseBytes = function (bytesText) {
    bytesText = bytesText.trim();
    var match = bytesText.match(bytesRe);
    if (!match) {
        return null;
    }
    var result = parseCount(bytesText.replace(/[bB]$/, ''));
    if (result === null) {
        return null;
    }
    return Math.round(result);
};
export default parseBytes;
