/**
 * Parses metric strings such as "10k" / "100G" / "1.23 T" into numbers.
 * Returns null if not parsable.
 */
declare const _default: (countText: string) => number | null;
export default _default;
/**
 * Mainly to handle numbers that use B suffix for billion. Billion has different meaning in different
 * parts of the world. With the US using the "short scale".
 */
export declare const parseCountWithShortScale: (countText: string) => number | null;
