export declare type Json = string | number | boolean | null | Json[] | {
    [key: string]: Json;
};
export declare type ContextData = {
    [key: string]: Json | undefined;
};
export interface Context {
    application?: ContextData;
    page?: ContextData;
}
export declare const getApplicationContext: () => ContextData | undefined;
export declare const clearApplicationContext: () => void;
export declare const setApplicationContextProps: (props: ContextData) => void;
export declare const getPageContext: () => ContextData | undefined;
/**
 * Collects page context properties, to enrich analytics trackEvents on this page.
 * @param  pageContext is a hashMap with key value pairs.
 */
export declare const setPageContextProps: (pageContext: ContextData) => void;
export declare const clearPageContext: () => void;
export declare const getSessionContext: (onError: (event: ErrorEvent) => void) => any;
export declare const clearSessionContext: () => void;
export declare const setSessionContext: (sessionContext: ContextData, onError: (event: ErrorEvent) => void) => void;
export declare const setSessionContextProps: (context: ContextData, onError: (event: ErrorEvent) => void) => void;
export declare const getLocalContext: (onError: (event: ErrorEvent) => void) => any;
export declare const clearLocalContext: () => void;
export declare const setLocalContext: (localContext: ContextData, onError: (event: ErrorEvent) => void) => void;
export declare const setLocalContextProps: (context: ContextData, onError: (event: ErrorEvent) => void) => void;
export declare const clearAllContexts: () => void;
export declare const getAllContexts: (onError: (event: ErrorEvent) => void) => {
    application: ContextData | undefined;
    page: ContextData | undefined;
    session: any;
    local: any;
};
