// Copyright (c) 2017 Cloudera, Inc. All rights reserved.
/**
 * Helper function to use as a comparer when sorting an array of items based on a key in the item.
 */
export function sortItemsByKey(key) {
    return sortItemsBy(function (item) { return item[key]; });
}
/**
 * Helper function to use as a comparer when sorting an array of items.
 */
export function sortItemsBy(mapper) {
    return function (a, b) {
        var aString = (mapper(a) || '').toString();
        var bString = (mapper(b) || '').toString();
        return aString.localeCompare(bString);
    };
}
// returns selector function that can be uses in _.sortBy for lowercased sort by key/
export var lowercasedSelectorByKey = function (key) { return function (item) {
    var v = item[key];
    return typeof v === 'string' ? v.toLocaleLowerCase() : v;
}; };
