var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (_) try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [op[0] & 2, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
// Copyright (c) 2019 Cloudera, Inc. All rights reserved.
import React from 'react';
import FormContainer from '../components/FormContainer';
import pick from 'lodash/pick';
import preferenceReducer from '../reducers/preferenceReducer';
import notificationReducer from '../reducers/notificationReducer';
import apiBusReducer from '../reducers/apiBusReducer';
import modalReducer from '../reducers/modalReducer';
import confirmationReducer from '../reducers/confirmationReducer';
import SagaTester from '../utils/SagaTester';
import getRouterReducer, { types as routeTypes } from '../reducers/routerReducer';
import apiBusSaga from '../sagas/apiBusSaga';
/** React Form utils */
export var clickNext = function (wrapper) {
    var button = wrapper.find('Button').last();
    button.simulate('click');
};
export var clickPopoverSave = function (wrapper) {
    var button = wrapper.find('.ant-popover Button').last();
    button.simulate('click');
};
export var updateInput = function (input, value) {
    input.simulate('change', { target: { value: value } });
};
export var setCheckbox = function (input, checked) {
    input.simulate('change', { target: { checked: checked } });
};
export var selectDropdown = function (wrapper, dropdown, value) {
    dropdown.simulate('click');
    var items = wrapper.find('.ant-select-dropdown-menu-item');
    var item = items.filterWhere(function (item) {
        var label = (item && item.prop('label')) || '';
        return !!label.match(value);
    });
    item && item.simulate('click');
};
export var findNodeByText = function (wrapper, selector, text) {
    return wrapper
        .find(selector)
        .findWhere(function (n) { return n.contains(text); })
        .at(0);
};
export var getTestFormData = function (wrapper, FormComponent) {
    var formContainer = wrapper.find(FormComponent);
    var props = formContainer.props();
    var form = props.formConfig && props.formConfig.form;
    return (form && form.getFieldsValue()) || {};
};
export var renderTestFormContainer = function (FormComponent, formProps, containerProps) {
    if (formProps === void 0) { formProps = {}; }
    if (containerProps === void 0) { containerProps = {}; }
    containerProps = __assign({ title: 'Test Form', onSubmit: jest.fn(), onCancel: jest.fn() }, containerProps);
    return (React.createElement(FormContainer, __assign({ renderForm: function (formConfig) { return React.createElement(FormComponent, __assign({ formConfig: formConfig }, formProps)); } }, containerProps)));
};
export function cuixSagaTester(_a) {
    if (_a === void 0) { _a = {}; }
    var _b = _a.reducers, reducers = _b === void 0 ? {} : _b, _c = _a.routesMap, routesMap = _c === void 0 ? {} : _c, now = _a.now, otherOptions = __rest(_a, ["reducers", "routesMap", "now"]);
    var sagaTester = new SagaTester(__assign({ reducers: __assign({ routing: getRouterReducer(routesMap), modal: modalReducer, confirmation: confirmationReducer, apiBus: apiBusReducer, notification: notificationReducer, preferences: preferenceReducer }, reducers) }, otherOptions));
    var mockNow = 12345678910;
    Date.now = now || jest.fn(function () { return mockNow++; });
    sagaTester.start(apiBusSaga);
    sagaTester.dispatchNavigate = function (id, params, searchParams, opts) {
        if (params === void 0) { params = {}; }
        if (searchParams === void 0) { searchParams = {}; }
        if (opts === void 0) { opts = {}; }
        this.dispatch({
            type: routeTypes.NAVIGATE,
            id: id,
            params: params,
            searchParams: searchParams,
            opts: opts,
            route: {}
        });
    };
    sagaTester.waitForRequests = function (n) {
        return __awaiter(this, void 0, void 0, function () {
            var i;
            return __generator(this, function (_a) {
                switch (_a.label) {
                    case 0:
                        i = 0;
                        _a.label = 1;
                    case 1:
                        if (!(i <= n)) return [3 /*break*/, 4];
                        return [4 /*yield*/, sagaTester.waitFor('REQUEST_SUCCESS')];
                    case 2:
                        _a.sent();
                        _a.label = 3;
                    case 3:
                        i++;
                        return [3 /*break*/, 1];
                    case 4: return [2 /*return*/];
                }
            });
        });
    };
    sagaTester.recentActions = 0;
    /**
     * Returns new actions fired since last time getRecentActions was called.
     * @param {array} fieldNames  A list of fields that are picked from each action. If empty,
     * actions are returns as is.
     */
    sagaTester.getRecentActions = function (fieldNames) {
        var currentActions = sagaTester.getCalledActions();
        var mostRecentActions = currentActions.slice(sagaTester.recentActions);
        sagaTester.recentActions = currentActions.length;
        if (!fieldNames) {
            return mostRecentActions;
        }
        return mostRecentActions.map(function (action) { return pick(action, fieldNames); });
    };
    sagaTester.getRecentActionSummaries = function () {
        return sagaTester.getRecentActions(['type', 'channel', 'requestParams']);
    };
    sagaTester.getLastAction = function () {
        var _a = sagaTester.getLatestCalledAction(), type = _a.type, id = _a.id;
        return { type: type, id: id };
    };
    return sagaTester;
}
