/// <reference types="jest" />
import ApiResponse from "cdp-js/dist/lib/ApiResponse";
import { RequestMethod } from "cdp-js/dist/lib/apiCommon";
/**
 * jest.spyOn(), jest.fn(), doesn't preserve the methodName and serviceName so we need
 * to preserve those manually, when spying on API calls.
 * @param fakeApi a fake API function
 */
export declare const spyApi: (fakeApi: RequestMethod<any, any>) => jest.Mock<Promise<ApiResponse<any>>, [requestParams: any]> & RequestMethod<any, any>;
/**
 * Returns a pair of API calls, one normal and one that will error. They share
 * methodName, so should be considered the same API method.
 * @param methodSuffix optional suffix to used in-stead of random string
 */
export declare const getMockApis: (methodSuffix?: string) => {
    normal: jest.Mock<Promise<ApiResponse<any>>, [requestParams: any]> & RequestMethod<any, any>;
    error: jest.Mock<Promise<ApiResponse<any>>, [requestParams: any]> & RequestMethod<any, any>;
};
/**
 * Mock API where the response will be (predictably) different each time it is called.
 * @param methodSuffix optional suffix to used in-stead of random string
 */
export declare const getIncreasingMockApi: (methodSuffix?: string) => jest.Mock<Promise<ApiResponse<any>>, [requestParams: any]> & RequestMethod<any, any>;
