/**
 * Truncates middle of a string e.g.
 * 'abcdef' -> 'ab…ef'
 */
export declare const truncateMiddle: (text: string, maxLength: number) => string;
/**
 * Truncates the end of a string
 * 'abcde' -> 'abc…'
 */
export declare const truncateEnd: (text: string, maxLength: number) => string;
/**
 * Truncates a path "smartly"
 * The first segment will be truncated at the end (if needed) and have ellipsis if truncated
 * or if we have truncated middle segments. The last segment (like filename) will be truncated
 * in the middle. Examples:
 * /my-path/some/place/to.txt => /my-path…/to.txt
 * /my-very-long-path/some-filename-that-has-many.txt => /my-very…/some…many.txt;
 */
export declare const truncatePath: (path: string, maxLength: number) => string;
